diff -pruN 1.2.0.20090904-1/aclocal.m4 1.2.0.20091024-1/aclocal.m4
--- 1.2.0.20090904-1/aclocal.m4	2009-09-04 03:51:06.000000000 +0100
+++ 1.2.0.20091024-1/aclocal.m4	2009-10-24 04:18:08.000000000 +0100
@@ -277,6 +277,439 @@ main ()
   rm -f conf.glibtest
 ])
 
+# Copyright (C) 1995-2002 Free Software Foundation, Inc.
+# Copyright (C) 2001-2003,2004 Red Hat, Inc.
+#
+# This file is free software, distributed under the terms of the GNU
+# General Public License.  As a special exception to the GNU General
+# Public License, this file may be distributed as part of a program
+# that contains a configuration script generated by Autoconf, under
+# the same distribution terms as the rest of that program.
+#
+# This file can be copied and used freely without restrictions.  It can
+# be used in projects which are not available under the GNU Public License
+# but which still want to provide support for the GNU gettext functionality.
+#
+# Macro to add for using GNU gettext.
+# Ulrich Drepper <drepper@cygnus.com>, 1995, 1996
+#
+# Modified to never use included libintl. 
+# Owen Taylor <otaylor@redhat.com>, 12/15/1998
+#
+# Major rework to remove unused code
+# Owen Taylor <otaylor@redhat.com>, 12/11/2002
+#
+# Added better handling of ALL_LINGUAS from GNU gettext version 
+# written by Bruno Haible, Owen Taylor <otaylor.redhat.com> 5/30/3002
+#
+# Modified to require ngettext
+# Matthias Clasen <mclasen@redhat.com> 08/06/2004
+#
+# We need this here as well, since someone might use autoconf-2.5x
+# to configure GLib then an older version to configure a package
+# using AM_GLIB_GNU_GETTEXT
+AC_PREREQ(2.53)
+
+dnl
+dnl We go to great lengths to make sure that aclocal won't 
+dnl try to pull in the installed version of these macros
+dnl when running aclocal in the glib directory.
+dnl
+m4_copy([AC_DEFUN],[glib_DEFUN])
+m4_copy([AC_REQUIRE],[glib_REQUIRE])
+dnl
+dnl At the end, if we're not within glib, we'll define the public
+dnl definitions in terms of our private definitions.
+dnl
+
+# GLIB_LC_MESSAGES
+#--------------------
+glib_DEFUN([GLIB_LC_MESSAGES],
+  [AC_CHECK_HEADERS([locale.h])
+    if test $ac_cv_header_locale_h = yes; then
+    AC_CACHE_CHECK([for LC_MESSAGES], am_cv_val_LC_MESSAGES,
+      [AC_TRY_LINK([#include <locale.h>], [return LC_MESSAGES],
+       am_cv_val_LC_MESSAGES=yes, am_cv_val_LC_MESSAGES=no)])
+    if test $am_cv_val_LC_MESSAGES = yes; then
+      AC_DEFINE(HAVE_LC_MESSAGES, 1,
+        [Define if your <locale.h> file defines LC_MESSAGES.])
+    fi
+  fi])
+
+# GLIB_PATH_PROG_WITH_TEST
+#----------------------------
+dnl GLIB_PATH_PROG_WITH_TEST(VARIABLE, PROG-TO-CHECK-FOR,
+dnl   TEST-PERFORMED-ON-FOUND_PROGRAM [, VALUE-IF-NOT-FOUND [, PATH]])
+glib_DEFUN([GLIB_PATH_PROG_WITH_TEST],
+[# Extract the first word of "$2", so it can be a program name with args.
+set dummy $2; ac_word=[$]2
+AC_MSG_CHECKING([for $ac_word])
+AC_CACHE_VAL(ac_cv_path_$1,
+[case "[$]$1" in
+  /*)
+  ac_cv_path_$1="[$]$1" # Let the user override the test with a path.
+  ;;
+  *)
+  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
+  for ac_dir in ifelse([$5], , $PATH, [$5]); do
+    test -z "$ac_dir" && ac_dir=.
+    if test -f $ac_dir/$ac_word; then
+      if [$3]; then
+	ac_cv_path_$1="$ac_dir/$ac_word"
+	break
+      fi
+    fi
+  done
+  IFS="$ac_save_ifs"
+dnl If no 4th arg is given, leave the cache variable unset,
+dnl so AC_PATH_PROGS will keep looking.
+ifelse([$4], , , [  test -z "[$]ac_cv_path_$1" && ac_cv_path_$1="$4"
+])dnl
+  ;;
+esac])dnl
+$1="$ac_cv_path_$1"
+if test ifelse([$4], , [-n "[$]$1"], ["[$]$1" != "$4"]); then
+  AC_MSG_RESULT([$]$1)
+else
+  AC_MSG_RESULT(no)
+fi
+AC_SUBST($1)dnl
+])
+
+# GLIB_WITH_NLS
+#-----------------
+glib_DEFUN([GLIB_WITH_NLS],
+  dnl NLS is obligatory
+  [USE_NLS=yes
+    AC_SUBST(USE_NLS)
+
+    gt_cv_have_gettext=no
+
+    CATOBJEXT=NONE
+    XGETTEXT=:
+    INTLLIBS=
+
+    AC_CHECK_HEADER(libintl.h,
+     [gt_cv_func_dgettext_libintl="no"
+      libintl_extra_libs=""
+
+      #
+      # First check in libc
+      #
+      AC_CACHE_CHECK([for ngettext in libc], gt_cv_func_ngettext_libc,
+        [AC_TRY_LINK([
+#include <libintl.h>
+],
+         [return !ngettext ("","", 1)],
+	  gt_cv_func_ngettext_libc=yes,
+          gt_cv_func_ngettext_libc=no)
+        ])
+  
+      if test "$gt_cv_func_ngettext_libc" = "yes" ; then
+	      AC_CACHE_CHECK([for dgettext in libc], gt_cv_func_dgettext_libc,
+        	[AC_TRY_LINK([
+#include <libintl.h>
+],
+	          [return !dgettext ("","")],
+		  gt_cv_func_dgettext_libc=yes,
+	          gt_cv_func_dgettext_libc=no)
+        	])
+      fi
+  
+      if test "$gt_cv_func_ngettext_libc" = "yes" ; then
+        AC_CHECK_FUNCS(bind_textdomain_codeset)
+      fi
+
+      #
+      # If we don't have everything we want, check in libintl
+      #
+      if test "$gt_cv_func_dgettext_libc" != "yes" \
+	 || test "$gt_cv_func_ngettext_libc" != "yes" \
+         || test "$ac_cv_func_bind_textdomain_codeset" != "yes" ; then
+        
+        AC_CHECK_LIB(intl, bindtextdomain,
+	    [AC_CHECK_LIB(intl, ngettext,
+		    [AC_CHECK_LIB(intl, dgettext,
+			          gt_cv_func_dgettext_libintl=yes)])])
+
+	if test "$gt_cv_func_dgettext_libintl" != "yes" ; then
+	  AC_MSG_CHECKING([if -liconv is needed to use gettext])
+	  AC_MSG_RESULT([])
+  	  AC_CHECK_LIB(intl, ngettext,
+          	[AC_CHECK_LIB(intl, dcgettext,
+		       [gt_cv_func_dgettext_libintl=yes
+			libintl_extra_libs=-liconv],
+			:,-liconv)],
+		:,-liconv)
+        fi
+
+        #
+        # If we found libintl, then check in it for bind_textdomain_codeset();
+        # we'll prefer libc if neither have bind_textdomain_codeset(),
+        # and both have dgettext and ngettext
+        #
+        if test "$gt_cv_func_dgettext_libintl" = "yes" ; then
+          glib_save_LIBS="$LIBS"
+          LIBS="$LIBS -lintl $libintl_extra_libs"
+          unset ac_cv_func_bind_textdomain_codeset
+          AC_CHECK_FUNCS(bind_textdomain_codeset)
+          LIBS="$glib_save_LIBS"
+
+          if test "$ac_cv_func_bind_textdomain_codeset" = "yes" ; then
+            gt_cv_func_dgettext_libc=no
+          else
+            if test "$gt_cv_func_dgettext_libc" = "yes" \
+		&& test "$gt_cv_func_ngettext_libc" = "yes"; then
+              gt_cv_func_dgettext_libintl=no
+            fi
+          fi
+        fi
+      fi
+
+      if test "$gt_cv_func_dgettext_libc" = "yes" \
+	|| test "$gt_cv_func_dgettext_libintl" = "yes"; then
+        gt_cv_have_gettext=yes
+      fi
+  
+      if test "$gt_cv_func_dgettext_libintl" = "yes"; then
+        INTLLIBS="-lintl $libintl_extra_libs"
+      fi
+  
+      if test "$gt_cv_have_gettext" = "yes"; then
+	AC_DEFINE(HAVE_GETTEXT,1,
+	  [Define if the GNU gettext() function is already present or preinstalled.])
+	GLIB_PATH_PROG_WITH_TEST(MSGFMT, msgfmt,
+	  [test -z "`$ac_dir/$ac_word -h 2>&1 | grep 'dv '`"], no)dnl
+	if test "$MSGFMT" != "no"; then
+          glib_save_LIBS="$LIBS"
+          LIBS="$LIBS $INTLLIBS"
+	  AC_CHECK_FUNCS(dcgettext)
+	  MSGFMT_OPTS=
+	  AC_MSG_CHECKING([if msgfmt accepts -c])
+	  GLIB_RUN_PROG([$MSGFMT -c -o /dev/null],[
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Project-Id-Version: test 1.0\n"
+"PO-Revision-Date: 2007-02-15 12:01+0100\n"
+"Last-Translator: test <foo@bar.xx>\n"
+"Language-Team: C <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Transfer-Encoding: 8bit\n"
+], [MSGFMT_OPTS=-c; AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no])])
+	  AC_SUBST(MSGFMT_OPTS)
+	  AC_PATH_PROG(GMSGFMT, gmsgfmt, $MSGFMT)
+	  GLIB_PATH_PROG_WITH_TEST(XGETTEXT, xgettext,
+	    [test -z "`$ac_dir/$ac_word -h 2>&1 | grep '(HELP)'`"], :)
+	  AC_TRY_LINK(, [extern int _nl_msg_cat_cntr;
+			 return _nl_msg_cat_cntr],
+	    [CATOBJEXT=.gmo 
+             DATADIRNAME=share],
+	    [case $host in
+	    *-*-solaris*)
+	    dnl On Solaris, if bind_textdomain_codeset is in libc,
+	    dnl GNU format message catalog is always supported,
+            dnl since both are added to the libc all together.
+	    dnl Hence, we'd like to go with DATADIRNAME=share and
+	    dnl and CATOBJEXT=.gmo in this case.
+            AC_CHECK_FUNC(bind_textdomain_codeset,
+	      [CATOBJEXT=.gmo 
+               DATADIRNAME=share],
+	      [CATOBJEXT=.mo
+               DATADIRNAME=lib])
+	    ;;
+	    *)
+	    CATOBJEXT=.mo
+            DATADIRNAME=lib
+	    ;;
+	    esac])
+          LIBS="$glib_save_LIBS"
+	  INSTOBJEXT=.mo
+	else
+	  gt_cv_have_gettext=no
+	fi
+      fi
+    ])
+
+    if test "$gt_cv_have_gettext" = "yes" ; then
+      AC_DEFINE(ENABLE_NLS, 1,
+        [always defined to indicate that i18n is enabled])
+    fi
+
+    dnl Test whether we really found GNU xgettext.
+    if test "$XGETTEXT" != ":"; then
+      dnl If it is not GNU xgettext we define it as : so that the
+      dnl Makefiles still can work.
+      if $XGETTEXT --omit-header /dev/null 2> /dev/null; then
+        : ;
+      else
+        AC_MSG_RESULT(
+	  [found xgettext program is not GNU xgettext; ignore it])
+        XGETTEXT=":"
+      fi
+    fi
+
+    # We need to process the po/ directory.
+    POSUB=po
+
+    AC_OUTPUT_COMMANDS(
+      [case "$CONFIG_FILES" in *po/Makefile.in*)
+        sed -e "/POTFILES =/r po/POTFILES" po/Makefile.in > po/Makefile
+      esac])
+
+    dnl These rules are solely for the distribution goal.  While doing this
+    dnl we only have to keep exactly one list of the available catalogs
+    dnl in configure.in.
+    for lang in $ALL_LINGUAS; do
+      GMOFILES="$GMOFILES $lang.gmo"
+      POFILES="$POFILES $lang.po"
+    done
+
+    dnl Make all variables we use known to autoconf.
+    AC_SUBST(CATALOGS)
+    AC_SUBST(CATOBJEXT)
+    AC_SUBST(DATADIRNAME)
+    AC_SUBST(GMOFILES)
+    AC_SUBST(INSTOBJEXT)
+    AC_SUBST(INTLLIBS)
+    AC_SUBST(PO_IN_DATADIR_TRUE)
+    AC_SUBST(PO_IN_DATADIR_FALSE)
+    AC_SUBST(POFILES)
+    AC_SUBST(POSUB)
+  ])
+
+# AM_GLIB_GNU_GETTEXT
+# -------------------
+# Do checks necessary for use of gettext. If a suitable implementation 
+# of gettext is found in either in libintl or in the C library,
+# it will set INTLLIBS to the libraries needed for use of gettext
+# and AC_DEFINE() HAVE_GETTEXT and ENABLE_NLS. (The shell variable
+# gt_cv_have_gettext will be set to "yes".) It will also call AC_SUBST()
+# on various variables needed by the Makefile.in.in installed by 
+# glib-gettextize.
+dnl
+glib_DEFUN([GLIB_GNU_GETTEXT],
+  [AC_REQUIRE([AC_PROG_CC])dnl
+   AC_REQUIRE([AC_HEADER_STDC])dnl
+   
+   GLIB_LC_MESSAGES
+   GLIB_WITH_NLS
+
+   if test "$gt_cv_have_gettext" = "yes"; then
+     if test "x$ALL_LINGUAS" = "x"; then
+       LINGUAS=
+     else
+       AC_MSG_CHECKING(for catalogs to be installed)
+       NEW_LINGUAS=
+       for presentlang in $ALL_LINGUAS; do
+         useit=no
+         if test "%UNSET%" != "${LINGUAS-%UNSET%}"; then
+           desiredlanguages="$LINGUAS"
+         else
+           desiredlanguages="$ALL_LINGUAS"
+         fi
+         for desiredlang in $desiredlanguages; do
+ 	   # Use the presentlang catalog if desiredlang is
+           #   a. equal to presentlang, or
+           #   b. a variant of presentlang (because in this case,
+           #      presentlang can be used as a fallback for messages
+           #      which are not translated in the desiredlang catalog).
+           case "$desiredlang" in
+             "$presentlang"*) useit=yes;;
+           esac
+         done
+         if test $useit = yes; then
+           NEW_LINGUAS="$NEW_LINGUAS $presentlang"
+         fi
+       done
+       LINGUAS=$NEW_LINGUAS
+       AC_MSG_RESULT($LINGUAS)
+     fi
+
+     dnl Construct list of names of catalog files to be constructed.
+     if test -n "$LINGUAS"; then
+       for lang in $LINGUAS; do CATALOGS="$CATALOGS $lang$CATOBJEXT"; done
+     fi
+   fi
+
+   dnl If the AC_CONFIG_AUX_DIR macro for autoconf is used we possibly
+   dnl find the mkinstalldirs script in another subdir but ($top_srcdir).
+   dnl Try to locate is.
+   MKINSTALLDIRS=
+   if test -n "$ac_aux_dir"; then
+     MKINSTALLDIRS="$ac_aux_dir/mkinstalldirs"
+   fi
+   if test -z "$MKINSTALLDIRS"; then
+     MKINSTALLDIRS="\$(top_srcdir)/mkinstalldirs"
+   fi
+   AC_SUBST(MKINSTALLDIRS)
+
+   dnl Generate list of files to be processed by xgettext which will
+   dnl be included in po/Makefile.
+   test -d po || mkdir po
+   if test "x$srcdir" != "x."; then
+     if test "x`echo $srcdir | sed 's@/.*@@'`" = "x"; then
+       posrcprefix="$srcdir/"
+     else
+       posrcprefix="../$srcdir/"
+     fi
+   else
+     posrcprefix="../"
+   fi
+   rm -f po/POTFILES
+   sed -e "/^#/d" -e "/^\$/d" -e "s,.*,	$posrcprefix& \\\\," -e "\$s/\(.*\) \\\\/\1/" \
+	< $srcdir/po/POTFILES.in > po/POTFILES
+  ])
+
+# AM_GLIB_DEFINE_LOCALEDIR(VARIABLE)
+# -------------------------------
+# Define VARIABLE to the location where catalog files will
+# be installed by po/Makefile.
+glib_DEFUN([GLIB_DEFINE_LOCALEDIR],
+[glib_REQUIRE([GLIB_GNU_GETTEXT])dnl
+glib_save_prefix="$prefix"
+glib_save_exec_prefix="$exec_prefix"
+glib_save_datarootdir="$datarootdir"
+test "x$prefix" = xNONE && prefix=$ac_default_prefix
+test "x$exec_prefix" = xNONE && exec_prefix=$prefix
+datarootdir=`eval echo "${datarootdir}"`
+if test "x$CATOBJEXT" = "x.mo" ; then
+  localedir=`eval echo "${libdir}/locale"`
+else
+  localedir=`eval echo "${datadir}/locale"`
+fi
+prefix="$glib_save_prefix"
+exec_prefix="$glib_save_exec_prefix"
+datarootdir="$glib_save_datarootdir"
+AC_DEFINE_UNQUOTED($1, "$localedir",
+  [Define the location where the catalogs will be installed])
+])
+
+dnl
+dnl Now the definitions that aclocal will find
+dnl
+ifdef(glib_configure_in,[],[
+AC_DEFUN([AM_GLIB_GNU_GETTEXT],[GLIB_GNU_GETTEXT($@)])
+AC_DEFUN([AM_GLIB_DEFINE_LOCALEDIR],[GLIB_DEFINE_LOCALEDIR($@)])
+])dnl
+
+# GLIB_RUN_PROG(PROGRAM, TEST-FILE, [ACTION-IF-PASS], [ACTION-IF-FAIL])
+# 
+# Create a temporary file with TEST-FILE as its contents and pass the
+# file name to PROGRAM.  Perform ACTION-IF-PASS if PROGRAM exits with
+# 0 and perform ACTION-IF-FAIL for any other exit status.
+AC_DEFUN([GLIB_RUN_PROG],
+[cat >conftest.foo <<_ACEOF
+$2
+_ACEOF
+if AC_RUN_LOG([$1 conftest.foo]); then
+  m4_ifval([$3], [$3], [:])
+m4_ifvaln([$4], [else $4])dnl
+echo "$as_me: failed input was:" >&AS_MESSAGE_LOG_FD
+sed 's/^/| /' conftest.foo >&AS_MESSAGE_LOG_FD
+fi])
+
+
 # pkg.m4 - Macros to locate and utilise pkg-config.            -*- Autoconf -*-
 # 
 # Copyright © 2004 Scott James Remnant <scott@netsplit.com>.
@@ -1645,18 +2078,11 @@ AC_SUBST([am__untar])
 ]) # _AM_PROG_TAR
 
 m4_include([m4/as-version.m4])
-m4_include([m4/gettext.m4])
 m4_include([m4/gtk-doc.m4])
-m4_include([m4/iconv.m4])
 m4_include([m4/intltool.m4])
-m4_include([m4/lib-ld.m4])
-m4_include([m4/lib-link.m4])
-m4_include([m4/lib-prefix.m4])
 m4_include([m4/libtool.m4])
 m4_include([m4/ltoptions.m4])
 m4_include([m4/ltsugar.m4])
 m4_include([m4/ltversion.m4])
 m4_include([m4/lt~obsolete.m4])
 m4_include([m4/nls.m4])
-m4_include([m4/po.m4])
-m4_include([m4/progtest.m4])
diff -pruN 1.2.0.20090904-1/AUTHORS 1.2.0.20091024-1/AUTHORS
--- 1.2.0.20090904-1/AUTHORS	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/AUTHORS	2009-10-23 08:51:45.000000000 +0100
@@ -1,5 +1,5 @@
 
-Huang Peng <shawn.p.huang@gmail.com>
+Peng Huang <shawn.p.huang@gmail.com>
 
 Translators:
 -----------
@@ -29,6 +29,8 @@ ja.po:
 UTUMI Hirosi <utuhiro78@yahoo.co.jp>
 kn.po:
 Shankar Prasad Venkateshbhat <svenkate@redhat.com>
+ko.po:
+Eun Ju Kim <eukim@redhat.com>
 ml.po:
 Ani Peter <apeter@redhat.com>
 mr.po:
@@ -39,6 +41,8 @@ pa.po:
 Amanpreet Singh <aalam@users.sf.net>
 pl.po:
 Piotr Drąg <piotrdrag@gmail.com>
+ru.po:
+koterpillar
 sr.po sr@latin.po:
 Miloš Komarčević <kmilos@gmail.com>
 te.po
@@ -48,7 +52,7 @@ Felix <ifelix@redhat.com>
 vi.po:
 Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
 zh_CN.po:
-Huang Peng <shawn.p.huang@gmail.com>
+Peng Huang <shawn.p.huang@gmail.com>
 zh_HK.po:
 Caius "kaio" Chance <cchance@redhat.com>
 zh_TW.po:
diff -pruN 1.2.0.20090904-1/autogen.sh 1.2.0.20091024-1/autogen.sh
--- 1.2.0.20090904-1/autogen.sh	2009-06-17 09:18:07.000000000 +0100
+++ 1.2.0.20091024-1/autogen.sh	2009-10-10 07:51:01.000000000 +0100
@@ -1,16 +1,21 @@
 #!/bin/sh
-set -e
-set -x
+# Run this to generate all the initial makefiles, etc.
 
-touch ChangeLog
-autopoint  --force || exit 1
-intltoolize --copy --force || exit 1
-libtoolize --automake --copy --force || exit 1
-gtkdocize  --copy || exit 1 #--flavour=no-tmpl
-aclocal -I m4 --force || exit 1
-autoheader --force || exit 1
-automake --add-missing --copy --force || exit 1
-autoconf --force || exit 1
-export CFLAGS="-Wall -g -O0 -Wl,--no-undefined"
-export CXXFLAGS="$CFLAGS"
-./configure --enable-maintainer-mode --enable-gtk-doc $* || exit 1
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="ibus"
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/README ) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
+
+ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4" REQUIRED_AUTOMAKE_VERSION=1.8 . gnome-autogen.sh
diff -pruN 1.2.0.20090904-1/bus/connection.c 1.2.0.20091024-1/bus/connection.c
--- 1.2.0.20090904-1/bus/connection.c	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/bus/connection.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/connection.h 1.2.0.20091024-1/bus/connection.h
--- 1.2.0.20090904-1/bus/connection.h	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/bus/connection.h	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/dbusimpl.c 1.2.0.20091024-1/bus/dbusimpl.c
--- 1.2.0.20090904-1/bus/dbusimpl.c	2009-08-10 07:07:40.000000000 +0100
+++ 1.2.0.20091024-1/bus/dbusimpl.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/dbusimpl.h 1.2.0.20091024-1/bus/dbusimpl.h
--- 1.2.0.20090904-1/bus/dbusimpl.h	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/dbusimpl.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/engineproxy.c 1.2.0.20091024-1/bus/engineproxy.c
--- 1.2.0.20090904-1/bus/engineproxy.c	2009-08-28 23:38:58.000000000 +0100
+++ 1.2.0.20091024-1/bus/engineproxy.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -22,8 +23,7 @@
 #include <ibusmarshalers.h>
 #include "ibusimpl.h"
 #include "engineproxy.h"
-
-#define PROCESS_KEY_EVENT_TIMEOUT (10000)
+#include "option.h"
 
 enum {
     COMMIT_TEXT,
@@ -528,7 +528,8 @@ failed:
 typedef struct {
     GFunc    func;
     gpointer user_data;
-}CallData;
+    BusEngineProxy *engine;
+} CallData;
 
 static void
 bus_engine_proxy_process_key_event_reply_cb (IBusPendingCall *pending,
@@ -541,9 +542,19 @@ bus_engine_proxy_process_key_event_reply
     reply_message = dbus_pending_call_steal_reply (pending);
 
     if (reply_message == NULL) {
+        /* reply timeout */
+        IBusObject *connection;
+        connection = (IBusObject *) ibus_proxy_get_connection ((IBusProxy *)call_data->engine);
+        ibus_object_destroy (connection);
         goto _out;
     }
     else if ((error = ibus_error_new_from_message (reply_message)) != NULL) {
+        if (g_strcmp0 (error->name, DBUS_ERROR_NO_REPLY) == 0) {
+            /* reply timeout */
+            IBusObject *connection;
+            connection = (IBusObject *) ibus_proxy_get_connection ((IBusProxy *)call_data->engine);
+            ibus_object_destroy (connection);
+        }
         g_warning ("%s: %s", error->name, error->message);
         ibus_error_free (error);
         goto _out;
@@ -562,6 +573,7 @@ _out:
     if (reply_message) {
         ibus_message_unref (reply_message);
     }
+    g_object_unref (call_data->engine);
     call_data->func (GINT_TO_POINTER (retval), call_data->user_data);
     g_slice_free (CallData, call_data);
 }
@@ -592,7 +604,7 @@ bus_engine_proxy_process_key_event (BusE
     retval = ibus_proxy_call_with_reply ((IBusProxy *) engine,
                                          "ProcessKeyEvent",
                                          &pending,
-                                         PROCESS_KEY_EVENT_TIMEOUT,
+                                         g_dbus_timeout,
                                          &error,
                                          G_TYPE_UINT, &keyval,
                                          G_TYPE_UINT, &keycode,
@@ -608,6 +620,8 @@ bus_engine_proxy_process_key_event (BusE
     call_data = g_slice_new0 (CallData);
     call_data->func = return_cb;
     call_data->user_data = user_data;
+    g_object_ref (engine);
+    call_data->engine = engine;
 
     retval = ibus_pending_call_set_notify (pending,
                                            (IBusPendingCallNotifyFunction) bus_engine_proxy_process_key_event_reply_cb,
@@ -616,6 +630,7 @@ bus_engine_proxy_process_key_event (BusE
     ibus_pending_call_unref (pending);
 
     if (!retval) {
+        g_object_unref (call_data->engine);
         g_slice_free (CallData, call_data);
         g_warning ("%s : ProcessKeyEvent", DBUS_ERROR_NO_MEMORY);
         return_cb (GINT_TO_POINTER (FALSE), user_data);
diff -pruN 1.2.0.20090904-1/bus/engineproxy.h 1.2.0.20091024-1/bus/engineproxy.h
--- 1.2.0.20090904-1/bus/engineproxy.h	2009-06-14 07:28:57.000000000 +0100
+++ 1.2.0.20091024-1/bus/engineproxy.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/factoryproxy.c 1.2.0.20091024-1/bus/factoryproxy.c
--- 1.2.0.20090904-1/bus/factoryproxy.c	2009-08-28 11:53:29.000000000 +0100
+++ 1.2.0.20091024-1/bus/factoryproxy.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -22,8 +23,7 @@
 #include <ibusmarshalers.h>
 #include "dbusimpl.h"
 #include "factoryproxy.h"
-
-#define REPLY_TIMEOUT (-1)
+#include "option.h"
 
 /* functions prototype */
 static void      bus_factory_proxy_class_init   (BusFactoryProxyClass   *klass);
@@ -188,7 +188,7 @@ bus_factory_proxy_create_engine (BusFact
     retval = ibus_proxy_call_with_reply ((IBusProxy *) factory,
                                          "CreateEngine",
                                          &pending,
-                                         REPLY_TIMEOUT,
+                                         g_dbus_timeout,
                                          &error,
                                          G_TYPE_STRING, &(desc->name),
                                          G_TYPE_INVALID);
@@ -204,12 +204,20 @@ bus_factory_proxy_create_engine (BusFact
     ibus_pending_call_unref (pending);
 
     if (reply_message == NULL) {
+        IBusObject *connection;
+        connection = (IBusObject *) ibus_proxy_get_connection ((IBusProxy *)factory);
+        ibus_object_destroy (connection);
         g_warning ("%s: %s", error->name, error->message);
         ibus_error_free (error);
         return NULL;
     }
 
     if ((error = ibus_error_new_from_message (reply_message)) != NULL) {
+        if (g_strcmp0 (error->name, DBUS_ERROR_NO_REPLY) == 0) {
+            IBusObject *connection;
+            connection = (IBusObject *) ibus_proxy_get_connection ((IBusProxy *)factory);
+            ibus_object_destroy (connection);
+        }
         g_warning ("%s: %s", error->name, error->message);
         ibus_error_free (error);
         ibus_message_unref (reply_message);
diff -pruN 1.2.0.20090904-1/bus/factoryproxy.h 1.2.0.20091024-1/bus/factoryproxy.h
--- 1.2.0.20090904-1/bus/factoryproxy.h	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/factoryproxy.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/ibusimpl.c 1.2.0.20091024-1/bus/ibusimpl.c
--- 1.2.0.20090904-1/bus/ibusimpl.c	2009-08-10 03:15:43.000000000 +0100
+++ 1.2.0.20091024-1/bus/ibusimpl.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -33,7 +34,7 @@
 #include "factoryproxy.h"
 #include "panelproxy.h"
 #include "inputcontext.h"
-
+#include "option.h"
 
 enum {
     LAST_SIGNAL,
@@ -67,8 +68,6 @@ static void     _factory_destroy_cb     
 
 static IBusServiceClass  *parent_class = NULL;
 
-extern gboolean g_verbose;
-
 GType
 bus_ibus_impl_get_type (void)
 {
@@ -1105,10 +1104,10 @@ _ibus_exit (BusIBusImpl     *ibus,
         gint fd;
 
         exe = g_strdup_printf ("/proc/%d/exe", getpid ());
-        if (!g_file_test (exe, G_FILE_TEST_EXISTS)) {
-            g_free (exe);
-            exe = g_argv[0];
-        }
+        exe = g_file_read_link (exe, NULL);
+
+        if (exe == NULL)
+            exe = BINDIR"/ibus-daemon";
 
         /* close all fds except stdin, stdout, stderr */
         for (fd = 3; fd <= sysconf (_SC_OPEN_MAX); fd ++) {
diff -pruN 1.2.0.20090904-1/bus/ibusimpl.h 1.2.0.20091024-1/bus/ibusimpl.h
--- 1.2.0.20090904-1/bus/ibusimpl.h	2009-06-17 03:46:51.000000000 +0100
+++ 1.2.0.20091024-1/bus/ibusimpl.h	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/inputcontext.c 1.2.0.20091024-1/bus/inputcontext.c
--- 1.2.0.20090904-1/bus/inputcontext.c	2009-07-18 01:39:46.000000000 +0100
+++ 1.2.0.20091024-1/bus/inputcontext.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/inputcontext.h 1.2.0.20091024-1/bus/inputcontext.h
--- 1.2.0.20090904-1/bus/inputcontext.h	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/bus/inputcontext.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/main.c 1.2.0.20091024-1/bus/main.c
--- 1.2.0.20090904-1/bus/main.c	2009-08-28 11:38:56.000000000 +0100
+++ 1.2.0.20091024-1/bus/main.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -42,6 +43,7 @@ static gchar *address = "";
 gboolean g_rescan = FALSE;
 gboolean g_mempro = FALSE;
 gboolean g_verbose = FALSE;
+gint   g_dbus_timeout = 2000;
 
 static const GOptionEntry entries[] =
 {
@@ -54,6 +56,7 @@ static const GOptionEntry entries[] =
     { "address",   'a', 0, G_OPTION_ARG_STRING, &address,   "specify the address of ibus daemon.", "address" },
     { "replace",   'r', 0, G_OPTION_ARG_NONE,   &replace,   "if there is an old ibus-daemon is running, it will be replaced.", NULL },
     { "re-scan",   't', 0, G_OPTION_ARG_NONE,   &g_rescan,  "force to re-scan components, and re-create registry cache.", NULL },
+    { "timeout",   'o', 0, G_OPTION_ARG_INT,    &g_dbus_timeout, "dbus reply timeout", "timeout" },
     { "mem-profile", 'm', 0, G_OPTION_ARG_NONE,   &g_mempro,   "enable memory profile, send SIGUSR2 to print out the memory profile.", NULL },
     { "verbose",   'v', 0, G_OPTION_ARG_NONE,   &g_verbose,   "verbose.", NULL },
     { NULL },
diff -pruN 1.2.0.20090904-1/bus/Makefile.am 1.2.0.20091024-1/bus/Makefile.am
--- 1.2.0.20090904-1/bus/Makefile.am	2009-08-13 09:31:24.000000000 +0100
+++ 1.2.0.20091024-1/bus/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -32,6 +33,7 @@ AM_CFLAGS = \
 	-DG_LOG_DOMAIN=\"IBUS\" \
 	-DPKGDATADIR=\"$(pkgdatadir)\" \
 	-DLIBEXECDIR=\"$(libexecdir)\" \
+	-DBINDIR=\"@bindir@\" \
 	$(INCLUDES) \
 	$(NULL)
 AM_LDFLAGS = \
@@ -80,6 +82,7 @@ ibus_daemon_SOURCES = \
 	matchrule.h \
 	registry.c \
 	registry.h \
+	option.h \
 	$(NULL)
 ibus_daemon_CFLAGS = \
 	$(AM_CFLAGS) \
@@ -114,4 +117,4 @@ $(libibus):
 	$(MAKE) -C $(top_builddir)/src
 
 test: ibus-daemon
-	$(builddir)/ibus-daemon
+	$(builddir)/ibus-daemon -v
diff -pruN 1.2.0.20090904-1/bus/Makefile.in 1.2.0.20091024-1/bus/Makefile.in
--- 1.2.0.20090904-1/bus/Makefile.in	2009-09-04 03:51:11.000000000 +0100
+++ 1.2.0.20091024-1/bus/Makefile.in	2009-10-24 04:18:12.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -63,17 +64,14 @@ subdir = bus
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -148,6 +146,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -191,8 +191,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -207,32 +207,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -253,7 +250,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -264,7 +264,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -274,7 +273,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
@@ -344,6 +342,7 @@ AM_CFLAGS = \
 	-DG_LOG_DOMAIN=\"IBUS\" \
 	-DPKGDATADIR=\"$(pkgdatadir)\" \
 	-DLIBEXECDIR=\"$(libexecdir)\" \
+	-DBINDIR=\"@bindir@\" \
 	$(INCLUDES) \
 	$(NULL)
 
@@ -387,6 +386,7 @@ ibus_daemon_SOURCES = \
 	matchrule.h \
 	registry.c \
 	registry.h \
+	option.h \
 	$(NULL)
 
 ibus_daemon_CFLAGS = \
@@ -1059,7 +1059,7 @@ $(libibus):
 	$(MAKE) -C $(top_builddir)/src
 
 test: ibus-daemon
-	$(builddir)/ibus-daemon
+	$(builddir)/ibus-daemon -v
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
diff -pruN 1.2.0.20090904-1/bus/matchrule.c 1.2.0.20091024-1/bus/matchrule.c
--- 1.2.0.20090904-1/bus/matchrule.c	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/matchrule.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/matchrule.h 1.2.0.20091024-1/bus/matchrule.h
--- 1.2.0.20090904-1/bus/matchrule.h	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/matchrule.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/option.h 1.2.0.20091024-1/bus/option.h
--- 1.2.0.20090904-1/bus/option.h	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/bus/option.h	2009-10-23 07:37:36.000000000 +0100
@@ -0,0 +1,33 @@
+/* vim:set et sts=4: */
+/* bus - The Input Bus
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+#ifndef __OPTION_H_
+#define __OPTION_H_
+
+G_BEGIN_DECLS
+
+extern gboolean g_rescan;
+extern gboolean g_mempro;
+extern gboolean g_verbose;
+extern gint   g_dbus_timeout;
+
+G_END_DECLS
+#endif
+
diff -pruN 1.2.0.20090904-1/bus/panelproxy.c 1.2.0.20091024-1/bus/panelproxy.c
--- 1.2.0.20090904-1/bus/panelproxy.c	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/bus/panelproxy.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/panelproxy.h 1.2.0.20091024-1/bus/panelproxy.h
--- 1.2.0.20090904-1/bus/panelproxy.h	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/bus/panelproxy.h	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/registry.c 1.2.0.20091024-1/bus/registry.c
--- 1.2.0.20090904-1/bus/registry.c	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/registry.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -22,6 +23,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include "registry.h"
+#include "option.h"
 
 enum {
     LAST_SIGNAL,
@@ -89,8 +91,6 @@ bus_registry_init (BusRegistry *registry
     registry->components = NULL;
     registry->engine_table = g_hash_table_new (g_str_hash, g_str_equal);
     
-    extern gboolean g_rescan;
-
     if (g_rescan ||
         bus_registry_load_cache (registry) == FALSE ||
         bus_registry_check_modification (registry)) {
@@ -155,10 +155,7 @@ bus_registry_load (BusRegistry *registry
 
     g_free (dirname);
 
-    homedir = (gchar *) g_getenv ("HOME");
-    if (!homedir)
-        homedir = (gchar *) g_get_home_dir ();
-    dirname = g_build_filename (homedir, ".ibus", "component", NULL);
+    dirname = g_build_filename (g_get_user_data_dir (), "ibus", "component", NULL);
 
     path = ibus_observed_path_new (dirname, TRUE);
     registry->observed_paths = g_list_append (registry->observed_paths, path);
@@ -188,7 +185,7 @@ bus_registry_load_cache (BusRegistry *re
     XMLNode *node;
     GList *p;
 
-    filename = g_build_filename (g_get_user_cache_dir (), "ibus", "registry.xml", NULL);
+    filename = g_build_filename (g_get_user_cache_dir (), "ibus", "bus", "registry.xml", NULL);
     node = ibus_xml_parse_file (filename);
     g_free (filename);
 
@@ -263,7 +260,7 @@ bus_registry_save_cache (BusRegistry *re
     GList *p;
     FILE *pf;
 
-    cachedir = g_build_filename (g_get_user_cache_dir (), "ibus", NULL);
+    cachedir = g_build_filename (g_get_user_cache_dir (), "ibus", "bus", NULL);
     filename = g_build_filename (cachedir, "registry.xml", NULL);
     g_mkdir_with_parents (cachedir, 0775);
     pf = g_fopen (filename, "w");
diff -pruN 1.2.0.20090904-1/bus/registry.h 1.2.0.20091024-1/bus/registry.h
--- 1.2.0.20090904-1/bus/registry.h	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/registry.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/server.c 1.2.0.20091024-1/bus/server.c
--- 1.2.0.20090904-1/bus/server.c	2009-08-12 02:59:04.000000000 +0100
+++ 1.2.0.20091024-1/bus/server.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/bus/server.h 1.2.0.20091024-1/bus/server.h
--- 1.2.0.20090904-1/bus/server.h	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/bus/server.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ChangeLog 1.2.0.20091024-1/ChangeLog
--- 1.2.0.20090904-1/ChangeLog	2009-09-04 11:38:41.000000000 +0100
+++ 1.2.0.20091024-1/ChangeLog	2009-10-24 04:23:55.000000000 +0100
@@ -1,3 +1,1234 @@
+commit 29a2503e4b47f41e4596fbc2124d425f789ca368
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-24 11:23:29 +0800
+
+    Fix problem in POTFILES.in
+
+M	po/POTFILES.in
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/ru.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+
+commit 1da3d970c145e4b10059346754851afcacb5d10d
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-24 11:16:29 +0800
+
+    Add mkinstalldirs in .gitingore
+
+M	.gitignore
+
+commit 67939f0b1d678bcbbeaf510b0f8d368f438b11b9
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-24 07:30:07 +0800
+
+    Update pl.po from Piotr Drąg
+
+M	po/pl.po
+
+commit 2a2566b68d671469e7291306185c9ef1180ff139
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-23 15:58:14 +0800
+
+    Modify copying information
+
+M	AUTHORS
+M	README
+M	client/qt4/ibus.pro
+M	configure.ac
+M	doc/specification
+M	ibus/_config.py.in
+M	po/Makevars
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/ru.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+M	setup/ibus-setup.in
+M	src/ibuskeysyms-update.pl
+M	src/ibusversion.h.in
+M	ui/gtk/ibus-ui-gtk.in
+
+commit 8b2b2613e13258d7535bf09e818aebe9361ba52b
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-23 14:42:16 +0800
+
+    Add Copying for Red Hat
+
+M	Makefile.am
+M	bindings/Makefile.am
+M	bindings/python/Makefile.am
+M	bus/Makefile.am
+M	bus/connection.c
+M	bus/connection.h
+M	bus/dbusimpl.c
+M	bus/dbusimpl.h
+M	bus/engineproxy.c
+M	bus/engineproxy.h
+M	bus/factoryproxy.c
+M	bus/factoryproxy.h
+M	bus/ibusimpl.c
+M	bus/ibusimpl.h
+M	bus/inputcontext.c
+M	bus/inputcontext.h
+M	bus/main.c
+M	bus/matchrule.c
+M	bus/matchrule.h
+M	bus/option.h
+M	bus/panelproxy.c
+M	bus/panelproxy.h
+M	bus/registry.c
+M	bus/registry.h
+M	bus/server.c
+M	bus/server.h
+M	client/Makefile.am
+M	client/gtk2/Makefile.am
+M	client/gtk2/ibusim.c
+M	client/gtk2/ibusimcontext.c
+M	client/gtk2/ibusimcontext.h
+M	client/qt4/Makefile.am
+M	client/qt4/ibus-client.cpp
+M	client/qt4/ibus-client.h
+M	client/qt4/ibus-input-context.cpp
+M	client/qt4/ibus-input-context.h
+M	client/qt4/im-ibus-qt.cpp
+M	client/x11/Makefile.am
+M	client/x11/gdk-private.c
+M	client/x11/gdk-private.h
+M	client/x11/main.c
+M	data/Makefile.am
+M	data/icons/Makefile.am
+M	data/keymaps/Makefile.am
+M	docs/Makefile.am
+M	docs/reference/Makefile.am
+M	gconf/Makefile.am
+M	ibus/Makefile.am
+M	ibus/__init__.py
+M	ibus/_config.py.in
+M	ibus/_gtk.py
+M	ibus/application.py
+M	ibus/attribute.py
+M	ibus/bus.py
+M	ibus/common.py
+M	ibus/component.py
+M	ibus/config.py
+M	ibus/engine.py
+M	ibus/enginedesc.py
+M	ibus/exception.py
+M	ibus/factory.py
+M	ibus/inputcontext.py
+M	ibus/interface/Makefile.am
+M	ibus/interface/__init__.py
+M	ibus/interface/iconfig.py
+M	ibus/interface/iengine.py
+M	ibus/interface/ienginefactory.py
+M	ibus/interface/iibus.py
+M	ibus/interface/iinputcontext.py
+M	ibus/interface/inotifications.py
+M	ibus/interface/ipanel.py
+M	ibus/lang.py
+M	ibus/lookuptable.py
+M	ibus/modifier.py
+M	ibus/notifications.py
+M	ibus/object.py
+M	ibus/observedpath.py
+M	ibus/panel.py
+M	ibus/property.py
+M	ibus/serializable.py
+M	ibus/text.py
+M	ibus/utility.py
+M	m4/Makefile.am
+M	setup/Makefile.am
+M	setup/enginecombobox.py
+M	setup/enginetreeview.py
+M	setup/icon.py
+M	setup/keyboardshortcut.py
+M	setup/main.py
+M	src/Makefile.am
+M	src/ibus.h
+M	src/ibusattribute.c
+M	src/ibusattribute.h
+M	src/ibusbus.c
+M	src/ibusbus.h
+M	src/ibuscomponent.c
+M	src/ibuscomponent.h
+M	src/ibusconfig.c
+M	src/ibusconfig.h
+M	src/ibusconfigprivate.h
+M	src/ibusconfigservice.c
+M	src/ibusconfigservice.h
+M	src/ibusconnection.c
+M	src/ibusconnection.h
+M	src/ibusdebug.h
+M	src/ibusengine.c
+M	src/ibusengine.h
+M	src/ibusenginedesc.c
+M	src/ibusenginedesc.h
+M	src/ibuserror.c
+M	src/ibuserror.h
+M	src/ibusfactory.c
+M	src/ibusfactory.h
+M	src/ibushotkey.c
+M	src/ibushotkey.h
+M	src/ibusinputcontext.c
+M	src/ibusinputcontext.h
+M	src/ibusinternal.h
+M	src/ibuskeymap.c
+M	src/ibuskeymap.h
+M	src/ibuskeysyms.h
+M	src/ibuslookuptable.c
+M	src/ibuslookuptable.h
+M	src/ibusmainloop.c
+M	src/ibusmainloop.h
+M	src/ibusmessage.c
+M	src/ibusmessage.h
+M	src/ibusobject.c
+M	src/ibusobject.h
+M	src/ibusobservedpath.c
+M	src/ibusobservedpath.h
+M	src/ibuspendingcall.c
+M	src/ibuspendingcall.h
+M	src/ibusproperty.c
+M	src/ibusproperty.h
+M	src/ibusproxy.c
+M	src/ibusproxy.h
+M	src/ibusserializable.c
+M	src/ibusserializable.h
+M	src/ibusserver.c
+M	src/ibusserver.h
+M	src/ibusservice.c
+M	src/ibusservice.h
+M	src/ibusshare.c
+M	src/ibusshare.h
+M	src/ibustext.c
+M	src/ibustext.h
+M	src/ibustypes.h
+M	src/ibusxml.c
+M	src/ibusxml.h
+M	ui/Makefile.am
+M	ui/gtk/Makefile.am
+M	ui/gtk/candidatepanel.py
+M	ui/gtk/engineabout.py
+M	ui/gtk/handle.py
+M	ui/gtk/icon.py
+M	ui/gtk/languagebar.py
+M	ui/gtk/main.py
+M	ui/gtk/menu.py
+M	ui/gtk/notifications.py
+M	ui/gtk/panel.py
+M	ui/gtk/propitem.py
+M	ui/gtk/toolitem.py
+M	util/IMdkit/Makefile.am
+M	util/Makefile.am
+
+commit 95493e7c2a24898d5eaafd9c5cb2177afb2fec29
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-23 14:17:30 +0800
+
+    Change file header
+
+M	Makefile.am
+M	bindings/Makefile.am
+M	bindings/python/Makefile.am
+M	bus/Makefile.am
+M	bus/connection.c
+M	bus/connection.h
+M	bus/dbusimpl.c
+M	bus/dbusimpl.h
+M	bus/engineproxy.c
+M	bus/engineproxy.h
+M	bus/factoryproxy.c
+M	bus/factoryproxy.h
+M	bus/ibusimpl.c
+M	bus/ibusimpl.h
+M	bus/inputcontext.c
+M	bus/inputcontext.h
+M	bus/main.c
+M	bus/matchrule.c
+M	bus/matchrule.h
+M	bus/option.h
+M	bus/panelproxy.c
+M	bus/panelproxy.h
+M	bus/registry.c
+M	bus/registry.h
+M	bus/server.c
+M	bus/server.h
+M	client/Makefile.am
+M	client/gtk2/Makefile.am
+M	client/gtk2/ibusim.c
+M	client/gtk2/ibusimcontext.c
+M	client/gtk2/ibusimcontext.h
+M	client/qt4/Makefile.am
+M	client/qt4/ibus-client.cpp
+M	client/qt4/ibus-client.h
+M	client/qt4/ibus-input-context.cpp
+M	client/qt4/ibus-input-context.h
+M	client/qt4/im-ibus-qt.cpp
+M	client/x11/Makefile.am
+M	client/x11/gdk-private.c
+M	client/x11/gdk-private.h
+M	client/x11/main.c
+M	data/Makefile.am
+M	data/icons/Makefile.am
+M	data/keymaps/Makefile.am
+M	docs/Makefile.am
+M	docs/reference/Makefile.am
+M	gconf/Makefile.am
+M	ibus/Makefile.am
+M	ibus/__init__.py
+M	ibus/_config.py.in
+M	ibus/_gtk.py
+M	ibus/application.py
+M	ibus/attribute.py
+M	ibus/bus.py
+M	ibus/common.py
+M	ibus/component.py
+M	ibus/config.py
+M	ibus/engine.py
+M	ibus/enginedesc.py
+M	ibus/exception.py
+M	ibus/factory.py
+M	ibus/inputcontext.py
+M	ibus/interface/Makefile.am
+M	ibus/interface/__init__.py
+M	ibus/interface/iconfig.py
+M	ibus/interface/iengine.py
+M	ibus/interface/ienginefactory.py
+M	ibus/interface/iibus.py
+M	ibus/interface/iinputcontext.py
+M	ibus/interface/inotifications.py
+M	ibus/interface/ipanel.py
+M	ibus/lang.py
+M	ibus/lookuptable.py
+M	ibus/modifier.py
+M	ibus/notifications.py
+M	ibus/object.py
+M	ibus/observedpath.py
+M	ibus/panel.py
+M	ibus/property.py
+M	ibus/serializable.py
+M	ibus/text.py
+M	ibus/utility.py
+M	m4/Makefile.am
+M	po/POTFILES.in
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/ru.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+M	setup/Makefile.am
+M	setup/enginecombobox.py
+M	setup/enginetreeview.py
+M	setup/icon.py
+M	setup/keyboardshortcut.py
+M	setup/main.py
+M	src/Makefile.am
+M	src/ibus.h
+M	src/ibusattribute.c
+M	src/ibusattribute.h
+M	src/ibusbus.c
+M	src/ibusbus.h
+M	src/ibuscomponent.c
+M	src/ibuscomponent.h
+M	src/ibusconfig.c
+M	src/ibusconfig.h
+M	src/ibusconfigprivate.h
+M	src/ibusconfigservice.c
+M	src/ibusconfigservice.h
+M	src/ibusconnection.c
+M	src/ibusconnection.h
+M	src/ibusdebug.h
+M	src/ibusengine.c
+M	src/ibusengine.h
+M	src/ibusenginedesc.c
+M	src/ibusenginedesc.h
+M	src/ibuserror.c
+M	src/ibuserror.h
+M	src/ibusfactory.c
+M	src/ibusfactory.h
+M	src/ibushotkey.c
+M	src/ibushotkey.h
+M	src/ibusinputcontext.c
+M	src/ibusinputcontext.h
+M	src/ibusinternal.h
+M	src/ibuskeymap.c
+M	src/ibuskeymap.h
+M	src/ibuskeysyms.h
+M	src/ibuslookuptable.c
+M	src/ibuslookuptable.h
+M	src/ibusmainloop.c
+M	src/ibusmainloop.h
+M	src/ibusmessage.c
+M	src/ibusmessage.h
+M	src/ibusobject.c
+M	src/ibusobject.h
+M	src/ibusobservedpath.c
+M	src/ibusobservedpath.h
+M	src/ibuspendingcall.c
+M	src/ibuspendingcall.h
+M	src/ibusproperty.c
+M	src/ibusproperty.h
+M	src/ibusproxy.c
+M	src/ibusproxy.h
+M	src/ibusserializable.c
+M	src/ibusserializable.h
+M	src/ibusserver.c
+M	src/ibusserver.h
+M	src/ibusservice.c
+M	src/ibusservice.h
+M	src/ibusshare.c
+M	src/ibusshare.h
+M	src/ibustext.c
+M	src/ibustext.h
+M	src/ibustypes.h
+M	src/ibusxml.c
+M	src/ibusxml.h
+M	ui/Makefile.am
+M	ui/gtk/Makefile.am
+M	ui/gtk/candidatepanel.py
+M	ui/gtk/engineabout.py
+M	ui/gtk/handle.py
+M	ui/gtk/icon.py
+M	ui/gtk/languagebar.py
+M	ui/gtk/main.py
+M	ui/gtk/menu.py
+M	ui/gtk/notifications.py
+M	ui/gtk/panel.py
+M	ui/gtk/propitem.py
+M	ui/gtk/toolitem.py
+M	util/IMdkit/Makefile.am
+M	util/Makefile.am
+
+commit 921b29ef089c8cb9fb3fc60b8177ba479e0fb174
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-20 14:45:28 +0800
+
+    Update es.po by Domingo Becker <domingobecker@gmail.com>
+
+M	po/es.po
+
+commit 50ad31397479119c02fce6892cd7cb6a6de06531
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-16 07:58:48 +0800
+
+    Change tooltip of shortcut keys.
+
+M	setup/main.py
+
+commit 916f2eb94c56d9f699578a2630b4e20c1b3843fb
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-16 07:22:55 +0800
+
+    Update some English strings.
+
+M	data/ibus.schemas.in
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/ru.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+M	setup/setup.ui
+
+commit c592ccade047fe82e149399132bd70e7fc05f8f3
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-15 07:08:23 +0800
+
+    Update es.po from daniel cabrera <h.daniel.cabrera@gmail.com>
+
+M	po/es.po
+
+commit dfa70649d00084de5cbb29a1613817d9cb5bbcbc
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-14 14:12:33 +0800
+
+    Update ru.po from Alexey Kotlyarov
+
+M	po/ru.po
+
+commit a3a2bc47fb1da462f4df17b9c7bb4c311f832483
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-14 13:11:38 +0800
+
+    Update po files.
+
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/ru.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+
+commit 3b8770ec863615b67d410abc34e379f0b44de259
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-14 13:11:21 +0800
+
+    Update some descriptions text
+
+M	data/ibus.schemas.in
+M	setup/setup.ui
+
+commit 36c6dc76bd83eb4c2fa7f39f00d486a03aeca9f5
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-14 10:59:16 +0800
+
+    Fix show icon on systray option
+
+M	setup/main.py
+
+commit fe6bb742651bc50bae0c26dd80073d0442bd4042
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-14 09:32:41 +0800
+
+    Update ja.po
+
+M	po/ja.po
+
+commit e3955616b1fb15152478dc99a8b81c6b9b345212
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-14 09:26:18 +0800
+
+    Update fr.po from julroy67
+
+M	po/fr.po
+
+commit 3de9055a53185309885ede71824677fc78fa3aee
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-13 14:15:57 +0800
+
+    Dont need set "" to icon anymore.
+
+M	src/ibusproperty.c
+
+commit 18d497a03d58b694f5713be41dc8cdef705a0326
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-13 14:11:46 +0800
+
+    Do not crash if append NULL string to IBusMessage.
+
+M	src/ibusenginedesc.c
+M	src/ibusmessage.c
+
+commit 563b82f8ea37bbcda78d40701dec667137e3c234
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-13 10:22:06 +0800
+
+    Update some icons.
+
+A	data/icons/16/ibus-keyboard.png
+D	data/icons/16/ibus-off.png
+A	data/icons/22/ibus-keyboard.png
+D	data/icons/22/ibus-off.png
+A	data/icons/24/ibus-keyboard.png
+D	data/icons/24/ibus-off.png
+A	data/icons/32/ibus-keyboard.png
+D	data/icons/32/ibus-off.png
+A	data/icons/48/ibus-keyboard.png
+D	data/icons/48/ibus-off.png
+M	data/icons/Makefile.am
+D	data/icons/ibus-engine.svg
+D	data/icons/ibus-off.svg
+D	data/icons/ibus-setup.svg
+D	data/icons/ibus.svg
+A	data/icons/scalable/ibus-engine.svg
+A	data/icons/scalable/ibus-keyboard.svg
+D	data/icons/scalable/ibus-off.svg
+A	data/icons/scalable/ibus-setup.svg
+A	data/icons/scalable/ibus.svg
+M	ibus.spec.in
+M	setup/setup.ui
+M	ui/gtk/panel.py
+
+commit 9c81b2d7974a135075aa9be4d5dcdb49bc9bbb4f
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-13 10:03:34 +0800
+
+    Update some icons.
+
+M	data/icons/ibus-engine.svg
+M	data/icons/ibus-setup.svg
+
+commit e00cf06ca3248478b6b98bc24edea695d3c38e2b
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-13 08:30:29 +0800
+
+    Update po files
+
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+
+commit 9d6faacab96ec30678556ddc7a8670306855b09d
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-13 08:30:17 +0800
+
+    Add ru.po from koterpillar
+
+M	AUTHORS
+M	po/LINGUAS
+A	po/ru.po
+
+commit 289c8fd7480c05eac28cc806099202676f461d55
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 16:06:21 +0800
+
+    Use ibus-engine as default icon for engine
+
+M	setup/enginecombobox.py
+M	setup/enginetreeview.py
+M	ui/gtk/engineabout.py
+
+commit ecc591e78defcf65b7ec073c3c2f2d10ff7f10b6
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 16:01:49 +0800
+
+    Update ibus-engine.svg
+
+M	data/icons/ibus-engine.svg
+
+commit 4d50b88437ab9f503724f8278c7fc08e2077ee94
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 15:57:49 +0800
+
+    Update ibus-setup.svg
+
+T	data/icons/ibus-setup.svg
+
+commit 520ece79238373d87480cd15bafdde2568a44b6e
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 13:48:59 +0800
+
+    Remove unused code.
+
+M	setup/main.py
+
+commit 7aef3c3efb2653af2ecc93f8350f9c5c95e92ac7
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 13:47:33 +0800
+
+    Remove setup.glade
+
+M	setup/Makefile.am
+D	setup/setup.glade
+
+commit 2806c626f47bd15c4cf8168166d66aa9d2f86a61
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 13:44:33 +0800
+
+    Use gnome-autogen.sh
+
+M	autogen.sh
+M	configure.ac
+M	src/Makefile.am
+
+commit 9c98bfc23772bd92388c94c23f3ee90c0e4dd82a
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 13:37:04 +0800
+
+    Update po files.
+
+M	po/POTFILES.in
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+
+commit 1a6b0f4b13b055571a54daa6c3fd121f534011bf
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 11:34:30 +0800
+
+    Fix some problems.
+
+M	setup/main.py
+M	setup/setup.ui
+
+commit 5c64d26273fae00360347e9da1efa486396be1f8
+Author: Xingshen Luo <luoxsbupt@gmail.com>
+Date:   2009-10-10 11:29:35 +0800
+
+    migrate from libglade to libgtkbuilder
+
+M	setup/main.py
+A	setup/setup.ui
+
+commit c8f1385638e66e7c96fce82988ee1dd7995efde8
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 07:53:47 +0800
+
+    Change .ibus to ibus
+
+M	bus/registry.c
+
+commit 0cecc08f0dc547f1431d0e1d4efe2fbb66d1f672
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 07:47:01 +0800
+
+    use XDG floder.
+
+M	bus/registry.c
+
+commit 7366591b9673450315efc97d1b5000a2628137ea
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-10 07:23:54 +0800
+
+    Move all tmp file to ~/.config/ibus
+
+M	src/ibusshare.c
+
+commit 797248a19b88833fe00a46a0c8c926a15df093c5
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-09 19:30:10 +0800
+
+    Update zh_CN.po
+
+M	po/zh_CN.po
+
+commit 8dd8a11667e1dd5e2c1f821a70fb3c6d99f8c784
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-09 07:35:00 +0800
+
+    Add option to show/hide icon on system tray
+
+M	data/ibus.schemas.in
+M	po/ar.po
+M	po/as.po
+M	po/bn_IN.po
+M	po/ca.po
+M	po/da.po
+M	po/de.po
+M	po/es.po
+M	po/fr.po
+M	po/gu.po
+M	po/hi.po
+M	po/hu.po
+M	po/ibus.pot
+M	po/ja.po
+M	po/kn.po
+M	po/ko.po
+M	po/ml.po
+M	po/mr.po
+M	po/or.po
+M	po/pa.po
+M	po/pl.po
+M	po/sr.po
+M	po/sr@latin.po
+M	po/ta.po
+M	po/te.po
+M	po/vi.po
+M	po/zh_CN.po
+M	po/zh_HK.po
+M	po/zh_TW.po
+M	setup/main.py
+M	setup/setup.glade
+M	ui/gtk/panel.py
+
+commit ee8685e8b7c71a7b3fc3551e0590d9d0835e64a1
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-04 08:03:02 +0800
+
+    Put all files in $(HOME)/.ibus
+
+M	bus/registry.c
+M	src/ibusshare.c
+
+commit 55971a86028f3d3856cac8508db9b88a9502dc1f
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-04 07:19:15 +0800
+
+    Update pl.po from Piotr Drąg <piotrdrag@gmail.com>
+
+M	po/pl.po
+
+commit 9df6be63e0aa76867ce81b5e383d23b737167709
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-03 10:12:46 +0800
+
+    Use 2 second as default timeout
+
+M	bus/main.c
+
+commit 8d630d2c1725264056adf0a07683cff5035536ad
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-03 10:11:59 +0800
+
+    Add --timeout option.
+
+M	bus/Makefile.am
+M	bus/engineproxy.c
+M	bus/factoryproxy.c
+M	bus/ibusimpl.c
+M	bus/main.c
+A	bus/option.h
+M	bus/registry.c
+
+commit 90bd8060ecb83a86dccc8662389736e12563cbe0
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-10-03 06:54:44 +0800
+
+    Build rpm in subfolder
+
+M	.gitignore
+M	Makefile.am
+
+commit ad718c65b5088308036baf50079ef8c753f3abdc
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-30 13:38:58 +0800
+
+    Restore ibus.pot
+
+A	po/ibus.pot
+
+commit fd1fe90c0d71f5e721efbf69a6630542afc9176c
+Author: Peng Huang <phuang@phuang-laptop.(none)>
+Date:   2009-09-30 13:36:19 +0800
+
+    Update debian packaging scripts from ubuntu
+
+D	debian/README.Debian
+M	debian/changelog
+A	debian/clean
+M	debian/compat
+M	debian/control
+M	debian/copyright
+D	debian/cron.d.ex
+D	debian/dirs
+M	debian/docs
+D	debian/emacsen-install.ex
+D	debian/emacsen-remove.ex
+D	debian/emacsen-startup.ex
+A	debian/ibus-daemon.1
+D	debian/ibus-default.ex
+A	debian/ibus-gconf.1
+A	debian/ibus-gtk.install
+A	debian/ibus-setup.1
+A	debian/ibus-ui-gtk.1
+A	debian/ibus-x11.1
+A	debian/ibus.1
+D	debian/ibus.doc-base.EX
+A	debian/ibus.install
+A	debian/ibus.manpages
+A	debian/ibus.postinst
+A	debian/ibus.prerm
+D	debian/im-switch/ibus
+D	debian/init.d.ex
+D	debian/init.d.lsb.ex
+A	debian/libibus-dev.install
+A	debian/libibus1.install
+A	debian/libibus1.symbols
+D	debian/manpage.1.ex
+D	debian/manpage.sgml.ex
+D	debian/manpage.xml.ex
+D	debian/menu.ex
+D	debian/postinst
+D	debian/postinst.ex
+D	debian/postrm.ex
+D	debian/preinst.ex
+D	debian/prerm
+D	debian/prerm.ex
+A	debian/python-ibus.install
+A	debian/pyversions
+M	debian/rules
+A	debian/watch
+D	debian/watch.ex
+A	debian/xinput/ibus
+D	po/ibus.pot
+
+commit 9c96cfcd5c94125cc2ff84830748bec876dd11cb
+Author: Ding-Yi Chen <dingyichentw@yahoo.com>
+Date:   2009-09-28 09:47:48 +1000
+
+    Update zh_TW.po
+
+M	po/zh_TW.po
+
+commit 08289ea083a0793ce7818b27ae2910e704d80ccc
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-16 15:33:24 +0800
+
+    Restore ibus.pot
+
+A	po/ibus.pot
+
+commit c03249bd8ac36b542ab93fd767a6e7bc9d2359d5
+Author: Ding-Yi Chen <dingyichentw@yahoo.com>
+Date:   2009-08-31 18:09:49 +1000
+
+    Modify APIDOC chapters.
+    APIDOC IBusServer
+
+D	po/ibus.pot
+
+commit c51a34c296b23e8a2607c056ee0d046fd3269d78
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-27 15:06:00 +0800
+
+    Update zh_TW.po
+
+M	po/zh_TW.po
+
+commit a2a5aa15bd38dd7d0ab43c9e4b464861977074a9
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-27 13:33:49 +0800
+
+    Write empty string instead "(null) in xml.
+
+M	src/ibusenginedesc.c
+
+commit dbe90576e6980b05c8777c79719c2c80c96cd9b3
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-25 14:17:53 +0800
+
+    Update pa.po from A S Alam <apreet.alam@gmail.com>
+
+M	po/pa.po
+
+commit 1674211fc8b5fe8ec3ecebf20d89c0ca3fba5f99
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-24 15:45:53 +0800
+
+    Update zh_CN.po
+
+M	po/zh_CN.po
+
+commit 8b97e9ecbad917af69fd4f70af7ad305d44e48ee
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-22 13:01:42 +0800
+
+    Fix restart problem in Unix
+
+M	bus/Makefile.am
+M	bus/ibusimpl.c
+
+commit 68206ef43cd0e7b7b441821bacf85da4774bb0d5
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-20 07:54:25 +0800
+
+    Update ca.po by Xavi Conde <xavi.conde@gmail.com>
+
+M	po/ca.po
+
+commit a58dbb8b6ef693a086006a797c569571dfa61b9d
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-19 15:17:35 +0800
+
+    Update one string.
+
+M	po/zh_CN.po
+
+commit 8e465a32567bc16eae33e56fbd75f8bb41d037d8
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-16 16:09:45 +0800
+
+    Supports G_TYPE_LONG and G_TYPE_ULONG in ibus_message_iter_get
+
+M	src/ibusmessage.c
+
+commit d922542114b11a2489967e34ceb66a610e43b453
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-16 15:33:24 +0800
+
+    Restore ibus.pot
+
+A	po/ibus.pot
+
+commit bbc1f736a4ab818b45e2c3a19d45f100d3e45802
+Author: Ding-Yi Chen <dingyichentw@yahoo.com>
+Date:   2009-09-15 17:55:39 +1000
+
+    Correct keymaps/commons: Add KP_Decimal and KP_Divide
+
+M	data/keymaps/common
+
+commit cf28ece8b12de5fe3acf673a7f9a7a5f8b313fae
+Author: Ding-Yi Chen <dingyichentw@yahoo.com>
+Date:   2009-08-31 18:09:49 +1000
+
+    Modify APIDOC chapters.
+    APIDOC IBusServer
+
+M	docs/reference/ibus/ibus-docs.sgml
+D	po/ibus.pot
+M	src/ibusmainloop.h
+M	src/ibusserver.c
+M	src/ibusserver.h
+
+commit c2157aceb20024b61b22cd27691432ce3925f7a7
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-12 17:49:37 +0800
+
+    Add error underline.
+
+M	ibus/attribute.py
+M	src/ibusattribute.h
+
+commit b559c801479bab0baf3586e3c78bc47f58624526
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-12 12:53:09 +0800
+
+    Update test_client.py
+
+M	ibus/inputcontext.py
+M	test/test_client.py
+
+commit fa348d0a4691ede253d3a203e20498d7bcb973b8
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-11 11:41:20 +0800
+
+    Use GInitiallyUnowned as super parent
+
+M	src/ibusobject.c
+M	src/ibusobject.h
+
+commit 186e0ba948f3070ca52a7ab1eca13331e1c5a8c9
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-11 06:31:28 +0800
+
+    Add ko.po by Eun Ju Kim <eukim@redhat.com>
+
+M	AUTHORS
+M	po/LINGUAS
+A	po/ko.po
+
+commit 3f570085e9e8cecc74341d47ad07f27569d19290
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-10 16:40:59 +0800
+
+    Rix memory leak in toolitem.py
+
+M	ui/gtk/toolitem.py
+
+commit 36cc87ec7c896708c3cc67dc3573f043a54fa2e4
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-10 09:09:37 +0800
+
+    Update te.po by Krishnababu Krothapalli <k.meetme@gmail.com>
+
+M	po/te.po
+
+commit ee19dd0b9a1ea9d11c936796f8f9f5dc4b47eaac
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-09 14:52:35 +0800
+
+    Use system layout setting by default.
+
+M	data/ibus.schemas.in
+
+commit b7d9d063ec5ff9b161f13628a649f304db469364
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-09 14:44:31 +0800
+
+    Use defualt icon for some engine without icon
+
+M	ui/gtk/engineabout.py
+
+commit 9331a2a452f5ed2026f9e704c0edd52e952c2649
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-09 07:12:16 +0800
+
+    Update bn_IN.po by Runa Bhattacharjee <runab@redhat.com>
+
+M	po/bn_IN.po
+
+commit 464e3736a0211ea6fe0709b4d7550d2008bd6709
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-08 17:32:16 +0800
+
+    Update ja.po
+
+M	po/ja.po
+
+commit bfd5227bbc987c348a122b5ef2774f81d649c2e3
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-08 16:59:34 +0800
+
+    Update ja.po by Fujiwarat
+
+M	po/ja.po
+
+commit 5bb8423124c09f023feb21a200235b97aab21d85
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-07 19:34:53 +0800
+
+    Update kn.po Shankar Prasad Venkateshbhat <svenkate@redhat.com>
+
+M	po/kn.po
+
+commit 194441146c603f530e4d4523b9944afd7d8ee87d
+Author: Peng Huang <shawn.p.huang@gmail.com>
+Date:   2009-09-04 13:47:12 +0800
+
+    Update hi.po by Rajesh Ranjan <rranjan@redhat.com>
+
+M	po/hi.po
+
 commit 51bc1d2bbbefde9906fd26fdef13ca19f5387d49
 Author: Peng Huang <shawn.p.huang@gmail.com>
 Date:   2009-09-04 12:05:10 +0800
diff -pruN 1.2.0.20090904-1/client/gtk2/ibusim.c 1.2.0.20091024-1/client/gtk2/ibusim.c
--- 1.2.0.20090904-1/client/gtk2/ibusim.c	2009-08-17 03:04:55.000000000 +0100
+++ 1.2.0.20091024-1/client/gtk2/ibusim.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et ts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/client/gtk2/ibusimcontext.c 1.2.0.20091024-1/client/gtk2/ibusimcontext.c
--- 1.2.0.20090904-1/client/gtk2/ibusimcontext.c	2009-09-03 14:28:13.000000000 +0100
+++ 1.2.0.20091024-1/client/gtk2/ibusimcontext.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/client/gtk2/ibusimcontext.h 1.2.0.20091024-1/client/gtk2/ibusimcontext.h
--- 1.2.0.20090904-1/client/gtk2/ibusimcontext.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/client/gtk2/ibusimcontext.h	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et ts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/client/gtk2/Makefile.am 1.2.0.20091024-1/client/gtk2/Makefile.am
--- 1.2.0.20090904-1/client/gtk2/Makefile.am	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/client/gtk2/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/client/gtk2/Makefile.in 1.2.0.20091024-1/client/gtk2/Makefile.in
--- 1.2.0.20090904-1/client/gtk2/Makefile.in	2009-09-04 03:51:11.000000000 +0100
+++ 1.2.0.20091024-1/client/gtk2/Makefile.in	2009-10-24 04:18:12.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -59,17 +60,14 @@ subdir = client/gtk2
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -128,6 +126,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -171,8 +171,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -187,32 +187,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -233,7 +230,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -244,7 +244,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -254,7 +253,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/client/Makefile.am 1.2.0.20091024-1/client/Makefile.am
--- 1.2.0.20090904-1/client/Makefile.am	2009-08-13 09:31:24.000000000 +0100
+++ 1.2.0.20091024-1/client/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/client/Makefile.in 1.2.0.20091024-1/client/Makefile.in
--- 1.2.0.20090904-1/client/Makefile.in	2009-09-04 03:51:11.000000000 +0100
+++ 1.2.0.20091024-1/client/Makefile.in	2009-10-24 04:18:12.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -58,17 +59,14 @@ subdir = client
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -123,6 +121,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -166,8 +166,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -182,32 +182,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -228,7 +225,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -239,7 +239,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -249,7 +248,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/client/x11/gdk-private.c 1.2.0.20091024-1/client/x11/gdk-private.c
--- 1.2.0.20090904-1/client/x11/gdk-private.c	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/client/x11/gdk-private.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,5 +1,6 @@
 /* ibus
- * Copyright (C) 2008 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008 Red Hat, Inc.
  *
  * gdk-private.c: Copied some code from gtk2
  *
diff -pruN 1.2.0.20090904-1/client/x11/gdk-private.h 1.2.0.20091024-1/client/x11/gdk-private.h
--- 1.2.0.20090904-1/client/x11/gdk-private.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/client/x11/gdk-private.h	2009-10-23 07:37:37.000000000 +0100
@@ -1,5 +1,6 @@
 /* ibus
- * Copyright (C) 2008 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008 Red Hat, Inc.
  *
  * gdk-private.h:
  *
diff -pruN 1.2.0.20090904-1/client/x11/main.c 1.2.0.20091024-1/client/x11/main.c
--- 1.2.0.20090904-1/client/x11/main.c	2009-06-14 07:28:57.000000000 +0100
+++ 1.2.0.20091024-1/client/x11/main.c	2009-10-23 07:37:37.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus
- * Copyright (C) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2007-2009 Red Hat, Inc.
  *
  * main.c:
  *
diff -pruN 1.2.0.20090904-1/client/x11/Makefile.am 1.2.0.20091024-1/client/x11/Makefile.am
--- 1.2.0.20090904-1/client/x11/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/client/x11/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/client/x11/Makefile.in 1.2.0.20091024-1/client/x11/Makefile.in
--- 1.2.0.20090904-1/client/x11/Makefile.in	2009-09-04 03:51:12.000000000 +0100
+++ 1.2.0.20091024-1/client/x11/Makefile.in	2009-10-24 04:18:12.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -62,17 +63,14 @@ DIST_COMMON = $(noinst_HEADERS) $(srcdir
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -111,6 +109,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -154,8 +154,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -170,32 +170,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -216,7 +213,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -227,7 +227,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -237,7 +236,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/compile 1.2.0.20091024-1/compile
--- 1.2.0.20090904-1/compile	2009-06-14 07:32:30.000000000 +0100
+++ 1.2.0.20091024-1/compile	2009-10-13 06:59:38.000000000 +0100
@@ -1,9 +1,10 @@
 #! /bin/sh
 # Wrapper for compilers which do not understand `-c -o'.
 
-scriptversion=2005-05-14.22
+scriptversion=2009-04-28.21; # UTC
 
-# Copyright (C) 1999, 2000, 2003, 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2003, 2004, 2005, 2009  Free Software
+# Foundation, Inc.
 # Written by Tom Tromey <tromey@cygnus.com>.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -17,8 +18,7 @@ scriptversion=2005-05-14.22
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # As a special exception to the GNU General Public License, if you
 # distribute this file as part of a program that contains a
@@ -103,13 +103,13 @@ if test -z "$ofile" || test -z "$cfile";
 fi
 
 # Name of file we expect compiler to create.
-cofile=`echo "$cfile" | sed -e 's|^.*/||' -e 's/\.c$/.o/'`
+cofile=`echo "$cfile" | sed 's|^.*[\\/]||; s|^[a-zA-Z]:||; s/\.c$/.o/'`
 
 # Create the lock directory.
-# Note: use `[/.-]' here to ensure that we don't use the same name
+# Note: use `[/\\:.-]' here to ensure that we don't use the same name
 # that we are using for the .o file.  Also, base the name on the expected
 # object file name, since that is what matters with a parallel build.
-lockdir=`echo "$cofile" | sed -e 's|[/.-]|_|g'`.d
+lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
 while true; do
   if mkdir "$lockdir" >/dev/null 2>&1; then
     break
@@ -138,5 +138,6 @@ exit $ret
 # eval: (add-hook 'write-file-hooks 'time-stamp)
 # time-stamp-start: "scriptversion="
 # time-stamp-format: "%:y-%02m-%02d.%02H"
-# time-stamp-end: "$"
+# time-stamp-time-zone: "UTC"
+# time-stamp-end: "; # UTC"
 # End:
diff -pruN 1.2.0.20090904-1/config.guess 1.2.0.20091024-1/config.guess
--- 1.2.0.20090904-1/config.guess	2009-06-14 07:32:30.000000000 +0100
+++ 1.2.0.20091024-1/config.guess	2009-10-13 06:59:38.000000000 +0100
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
 #   Free Software Foundation, Inc.
 
-timestamp='2008-11-15'
+timestamp='2009-04-27'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -324,6 +324,9 @@ case "${UNAME_MACHINE}:${UNAME_SYSTEM}:$
 	case `/usr/bin/uname -p` in
 	    sparc) echo sparc-icl-nx7; exit ;;
 	esac ;;
+    s390x:SunOS:*:*)
+	echo ${UNAME_MACHINE}-ibm-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
+	exit ;;
     sun4H:SunOS:5.*:*)
 	echo sparc-hal-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit ;;
@@ -337,7 +340,7 @@ case "${UNAME_MACHINE}:${UNAME_SYSTEM}:$
 	# Note that the Sun cc does not turn __LP64__ into 1 like gcc does.
 	# This test works for both compilers.
 	if [ "$CC_FOR_BUILD" != 'no_compiler_found' ]; then
-	    if echo '\n#ifdef __amd64\nIS_64BIT_ARCH\n#endif' | \
+	    if (echo '#ifdef __amd64'; echo IS_64BIT_ARCH; echo '#endif') | \
 		(CCOPTS= $CC_FOR_BUILD -E - 2>/dev/null) | \
 		grep IS_64BIT_ARCH >/dev/null
 	    then
@@ -1115,8 +1118,11 @@ EOF
     pc:*:*:*)
 	# Left here for compatibility:
         # uname -m prints for DJGPP always 'pc', but it prints nothing about
-        # the processor, so we play safe by assuming i386.
-	echo i386-pc-msdosdjgpp
+        # the processor, so we play safe by assuming i586.
+	# Note: whatever this is, it MUST be the same as what config.sub
+	# prints for the "djgpp" host, or else GDB configury will decide that
+	# this is a cross-build.
+	echo i586-pc-msdosdjgpp
         exit ;;
     Intel:Mach:3*:*)
 	echo i386-pc-mach3
@@ -1154,6 +1160,16 @@ EOF
     3[34]??:*:4.0:* | 3[34]??,*:*:4.0:*)
         /bin/uname -p 2>/dev/null | grep 86 >/dev/null \
           && { echo i486-ncr-sysv4; exit; } ;;
+    NCR*:*:4.2:* | MPRAS*:*:4.2:*)
+	OS_REL='.3'
+	test -r /etc/.relid \
+	    && OS_REL=.`sed -n 's/[^ ]* [^ ]* \([0-9][0-9]\).*/\1/p' < /etc/.relid`
+	/bin/uname -p 2>/dev/null | grep 86 >/dev/null \
+	    && { echo i486-ncr-sysv4.3${OS_REL}; exit; }
+	/bin/uname -p 2>/dev/null | /bin/grep entium >/dev/null \
+	    && { echo i586-ncr-sysv4.3${OS_REL}; exit; }
+	/bin/uname -p 2>/dev/null | /bin/grep pteron >/dev/null \
+	    && { echo i586-ncr-sysv4.3${OS_REL}; exit; } ;;
     m68*:LynxOS:2.*:* | m68*:LynxOS:3.0*:*)
 	echo m68k-unknown-lynxos${UNAME_RELEASE}
 	exit ;;
@@ -1340,6 +1356,9 @@ EOF
     i*86:rdos:*:*)
 	echo ${UNAME_MACHINE}-pc-rdos
 	exit ;;
+    i*86:AROS:*:*)
+	echo ${UNAME_MACHINE}-pc-aros
+	exit ;;
 esac
 
 #echo '(No uname command or uname output not recognized.)' 1>&2
diff -pruN 1.2.0.20090904-1/config.h.in 1.2.0.20091024-1/config.h.in
--- 1.2.0.20090904-1/config.h.in	2009-09-04 03:51:42.000000000 +0100
+++ 1.2.0.20091024-1/config.h.in	2009-10-24 04:18:41.000000000 +0100
@@ -1,25 +1,18 @@
 /* config.h.in.  Generated from configure.ac by autoheader.  */
 
-/* Define to 1 if translation of program messages to the user's native
-   language is requested. */
+/* always defined to indicate that i18n is enabled */
 #undef ENABLE_NLS
 
-/* Define to the read-only architecture-independent data directory. */
+/* Gettext package */
 #undef GETTEXT_PACKAGE
 
-/* Define to 1 if you have the MacOS X function CFLocaleCopyCurrent in the
-   CoreFoundation framework. */
-#undef HAVE_CFLOCALECOPYCURRENT
-
-/* Define to 1 if you have the MacOS X function CFPreferencesCopyAppValue in
-   the CoreFoundation framework. */
-#undef HAVE_CFPREFERENCESCOPYAPPVALUE
+/* Define to 1 if you have the `bind_textdomain_codeset' function. */
+#undef HAVE_BIND_TEXTDOMAIN_CODESET
 
 /* Define to 1 if you have the `daemon' function. */
 #undef HAVE_DAEMON
 
-/* Define if the GNU dcgettext() function is already present or preinstalled.
-   */
+/* Define to 1 if you have the `dcgettext' function. */
 #undef HAVE_DCGETTEXT
 
 /* Define to 1 if you have the <dlfcn.h> header file. */
@@ -28,12 +21,15 @@
 /* Define if the GNU gettext() function is already present or preinstalled. */
 #undef HAVE_GETTEXT
 
-/* Define if you have the iconv() function. */
-#undef HAVE_ICONV
-
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
+/* Define if your <locale.h> file defines LC_MESSAGES. */
+#undef HAVE_LC_MESSAGES
+
+/* Define to 1 if you have the <locale.h> header file. */
+#undef HAVE_LOCALE_H
+
 /* Define to 1 if you have the <memory.h> header file. */
 #undef HAVE_MEMORY_H
 
diff -pruN 1.2.0.20090904-1/config.sub 1.2.0.20091024-1/config.sub
--- 1.2.0.20090904-1/config.sub	2009-06-14 07:32:30.000000000 +0100
+++ 1.2.0.20091024-1/config.sub	2009-10-13 06:59:38.000000000 +0100
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
 #   Free Software Foundation, Inc.
 
-timestamp='2008-09-08'
+timestamp='2009-04-17'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -122,6 +122,7 @@ maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-
 case $maybe_os in
   nto-qnx* | linux-gnu* | linux-dietlibc | linux-newlib* | linux-uclibc* | \
   uclinux-uclibc* | uclinux-gnu* | kfreebsd*-gnu* | knetbsd*-gnu* | netbsd*-gnu* | \
+  kopensolaris*-gnu* | \
   storm-chaos* | os2-emx* | rtmk-nova*)
     os=-$maybe_os
     basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'`
@@ -249,6 +250,7 @@ case $basic_machine in
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
 	| ip2k | iq2000 \
+	| lm32 \
 	| m32c | m32r | m32rle | m68000 | m68k | m88k \
 	| maxq | mb | microblaze | mcore | mep | metag \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
@@ -270,6 +272,7 @@ case $basic_machine in
 	| mipsisa64sr71k | mipsisa64sr71kel \
 	| mipstx39 | mipstx39el \
 	| mn10200 | mn10300 \
+	| moxie \
 	| mt \
 	| msp430 \
 	| nios | nios2 \
@@ -279,7 +282,7 @@ case $basic_machine in
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
 	| score \
-	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
+	| sh | sh[1234] | sh[24]a | sh[24]aeb | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
 	| sparc | sparc64 | sparc64b | sparc64v | sparc86x | sparclet | sparclite \
 	| sparcv8 | sparcv9 | sparcv9b | sparcv9v \
@@ -331,6 +334,7 @@ case $basic_machine in
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
 	| ip2k-* | iq2000-* \
+	| lm32-* \
 	| m32c-* | m32r-* | m32rle-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
 	| m88110-* | m88k-* | maxq-* | mcore-* | metag-* \
@@ -362,7 +366,7 @@ case $basic_machine in
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \
+	| sh-* | sh[1234]-* | sh[24]a-* | sh[24]aeb-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
 	| sparc-* | sparc64-* | sparc64b-* | sparc64v-* | sparc86x-* | sparclet-* \
 	| sparclite-* \
@@ -443,6 +447,10 @@ case $basic_machine in
 		basic_machine=m68k-apollo
 		os=-bsd
 		;;
+	aros)
+		basic_machine=i386-pc
+		os=-aros
+		;;
 	aux)
 		basic_machine=m68k-apple
 		os=-aux
@@ -1182,7 +1190,7 @@ case $basic_machine in
 	we32k)
 		basic_machine=we32k-att
 		;;
-	sh[1234] | sh[24]a | sh[34]eb | sh[1234]le | sh[23]ele)
+	sh[1234] | sh[24]a | sh[24]aeb | sh[34]eb | sh[1234]le | sh[23]ele)
 		basic_machine=sh-unknown
 		;;
 	sparc | sparcv8 | sparcv9 | sparcv9b | sparcv9v)
@@ -1254,8 +1262,9 @@ case $os in
 	-gnu* | -bsd* | -mach* | -minix* | -genix* | -ultrix* | -irix* \
 	      | -*vms* | -sco* | -esix* | -isc* | -aix* | -sunos | -sunos[34]*\
 	      | -hpux* | -unos* | -osf* | -luna* | -dgux* | -solaris* | -sym* \
+	      | -kopensolaris* \
 	      | -amigaos* | -amigados* | -msdos* | -newsos* | -unicos* | -aof* \
-	      | -aos* \
+	      | -aos* | -aros* \
 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
 	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* \
diff -pruN 1.2.0.20090904-1/configure 1.2.0.20091024-1/configure
--- 1.2.0.20090904-1/configure	2009-09-04 03:51:17.000000000 +0100
+++ 1.2.0.20091024-1/configure	2009-10-24 04:18:16.000000000 +0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.63 for ibus 1.2.0.20090904.
+# Generated by GNU Autoconf 2.63 for ibus 1.2.0.20091024.
 #
 # Report bugs to <http://code.google.com/p/ibus/issues/entry>.
 #
@@ -745,8 +745,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='ibus'
 PACKAGE_TARNAME='ibus'
-PACKAGE_VERSION='1.2.0.20090904'
-PACKAGE_STRING='ibus 1.2.0.20090904'
+PACKAGE_VERSION='1.2.0.20091024'
+PACKAGE_STRING='ibus 1.2.0.20091024'
 PACKAGE_BUGREPORT='http://code.google.com/p/ibus/issues/entry'
 
 # Factoring default headers for most tests.
@@ -785,7 +785,6 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-gt_needs=
 ac_subst_vars='am__EXEEXT_FALSE
 am__EXEEXT_TRUE
 LTLIBOBJS
@@ -795,18 +794,18 @@ ISOCODES_CFLAGS
 DBUS_PYTHON_LIBS
 DBUS_PYTHON_CFLAGS
 GTK_IM_MODULEDIR
+MKINSTALLDIRS
 POSUB
-LTLIBINTL
-LIBINTL
+POFILES
+PO_IN_DATADIR_FALSE
+PO_IN_DATADIR_TRUE
 INTLLIBS
-LTLIBICONV
-LIBICONV
-INTL_MACOSX_LIBS
-XGETTEXT_015
-GMSGFMT_015
-MSGFMT_015
+INSTOBJEXT
+GMOFILES
+CATOBJEXT
+CATALOGS
+MSGFMT_OPTS
 GETTEXT_PACKAGE
-REBUILD
 PYTHON_LIBS
 PYTHON_INCLUDES
 PYTHON_CFLAGS
@@ -827,6 +826,35 @@ GCONF_SCHEMAS_INSTALL_FALSE
 GCONF_SCHEMAS_INSTALL_TRUE
 GCONF_SCHEMA_FILE_DIR
 GCONF_SCHEMA_CONFIG_SOURCE
+GCONFTOOL
+GCONF_LIBS
+GCONF_CFLAGS
+DBUS_LIBS
+DBUS_CFLAGS
+GTK_DOC_USE_LIBTOOL_FALSE
+GTK_DOC_USE_LIBTOOL_TRUE
+ENABLE_GTK_DOC_FALSE
+ENABLE_GTK_DOC_TRUE
+GTKDOC_CHECK
+HTML_DIR
+GDK2_LIBS
+GDK2_CFLAGS
+GTK2_LIBS
+GTK2_CFLAGS
+GIO2_LIBS
+GIO2_CFLAGS
+GOBJECT2_LIBS
+GOBJECT2_CFLAGS
+GLIB2_LIBS
+GLIB2_CFLAGS
+GLIB_MKENUMS
+GOBJECT_QUERY
+GLIB_GENMARSHAL
+GLIB_LIBS
+GLIB_CFLAGS
+PKG_CONFIG
+LT_VERSION_INFO
+DATE_DISPLAY
 DATADIRNAME
 ALL_LINGUAS
 INTLTOOL_PERL
@@ -857,35 +885,6 @@ INTLTOOL_EXTRACT
 INTLTOOL_MERGE
 INTLTOOL_UPDATE
 USE_NLS
-GCONFTOOL
-GCONF_LIBS
-GCONF_CFLAGS
-DBUS_LIBS
-DBUS_CFLAGS
-GTK_DOC_USE_LIBTOOL_FALSE
-GTK_DOC_USE_LIBTOOL_TRUE
-ENABLE_GTK_DOC_FALSE
-ENABLE_GTK_DOC_TRUE
-GTKDOC_CHECK
-HTML_DIR
-GDK2_LIBS
-GDK2_CFLAGS
-GTK2_LIBS
-GTK2_CFLAGS
-GIO2_LIBS
-GIO2_CFLAGS
-GOBJECT2_LIBS
-GOBJECT2_CFLAGS
-GLIB2_LIBS
-GLIB2_CFLAGS
-GLIB_MKENUMS
-GOBJECT_QUERY
-GLIB_GENMARSHAL
-GLIB_LIBS
-GLIB_CFLAGS
-PKG_CONFIG
-LT_VERSION_INFO
-DATE_DISPLAY
 CXXCPP
 OTOOL64
 OTOOL
@@ -1016,16 +1015,13 @@ with_pic
 enable_fast_install
 with_gnu_ld
 enable_libtool_lock
+enable_nls
 enable_glibtest
 with_html_dir
 enable_gtk_doc
-enable_nls
 with_gconf_source
 with_gconf_schema_file_dir
 enable_schemas_install
-enable_rpath
-with_libiconv_prefix
-with_libintl_prefix
 with_gtk_im_module_dir
 enable_dbus_python_check
 enable_iso_codes_check
@@ -1616,7 +1612,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures ibus 1.2.0.20090904 to adapt to many kinds of systems.
+\`configure' configures ibus 1.2.0.20091024 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1686,7 +1682,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of ibus 1.2.0.20090904:";;
+     short | recursive ) echo "Configuration of ibus 1.2.0.20091024:";;
    esac
   cat <<\_ACEOF
 
@@ -1703,12 +1699,11 @@ Optional Features:
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
+  --disable-nls           do not use Native Language Support
   --disable-glibtest      do not try to compile and run a test GLIB program
   --enable-gtk-doc        use gtk-doc to build documentation [default=no]
-  --disable-nls           do not use Native Language Support
   --disable-schemas-install
                           Disable the schemas installation
-  --disable-rpath         do not hardcode runtime library paths
   --disable-dbus-python-check
                           Do not check dbus-python
   --disable-iso-codes-check
@@ -1725,11 +1720,6 @@ Optional Packages:
                           Config database for installing schema files.
   --with-gconf-schema-file-dir=dir
                           Directory for installing schema files.
-  --with-gnu-ld           assume the C compiler uses GNU ld default=no
-  --with-libiconv-prefix[=DIR]  search for libiconv in DIR/include and DIR/lib
-  --without-libiconv-prefix     don't search for libiconv in includedir and libdir
-  --with-libintl-prefix[=DIR]  search for libintl in DIR/include and DIR/lib
-  --without-libintl-prefix     don't search for libintl in includedir and libdir
   --with-gtk-im-module-dir=DIR
                           Select gtk immodule dir
 
@@ -1841,7 +1831,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-ibus configure 1.2.0.20090904
+ibus configure 1.2.0.20091024
 generated by GNU Autoconf 2.63
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1855,7 +1845,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by ibus $as_me 1.2.0.20090904, which was
+It was created by ibus $as_me 1.2.0.20091024, which was
 generated by GNU Autoconf 2.63.  Invocation command line was
 
   $ $0 $@
@@ -2132,7 +2122,6 @@ $as_echo "$as_me: creating cache $cache_
   >$cache_file
 fi
 
-gt_needs="$gt_needs "
 # Check that the precious variables saved in the cache have kept the same
 # value.
 ac_cache_corrupted=false
@@ -2705,7 +2694,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='ibus'
- VERSION='1.2.0.20090904'
+ VERSION='1.2.0.20091024'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -4731,9 +4720,9 @@ ac_config_headers="$ac_config_headers co
 
 # define PACKAGE_VERSION_* variables
 
-  PACKAGE_VERSION_MAJOR=$(echo 1.2.0.20090904 | cut -d'.' -f1)
-  PACKAGE_VERSION_MINOR=$(echo 1.2.0.20090904 | cut -d'.' -f2)
-  PACKAGE_VERSION_MICRO=$(echo 1.2.0.20090904 | cut -d'.' -f3)
+  PACKAGE_VERSION_MAJOR=$(echo 1.2.0.20091024 | cut -d'.' -f1)
+  PACKAGE_VERSION_MINOR=$(echo 1.2.0.20091024 | cut -d'.' -f2)
+  PACKAGE_VERSION_MICRO=$(echo 1.2.0.20091024 | cut -d'.' -f3)
 
 
 
@@ -4743,7 +4732,7 @@ ac_config_headers="$ac_config_headers co
   { $as_echo "$as_me:$LINENO: checking nano version" >&5
 $as_echo_n "checking nano version... " >&6; }
 
-  NANO=$(echo 1.2.0.20090904 | cut -d'.' -f4)
+  NANO=$(echo 1.2.0.20091024 | cut -d'.' -f4)
 
   if test x"$NANO" = x || test "x$NANO" = "x0" ; then
     { $as_echo "$as_me:$LINENO: result: 0 (release)" >&5
@@ -7089,13 +7078,13 @@ if test "${lt_cv_nm_interface+set}" = se
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:7092: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:7081: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:7095: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:7084: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:7098: output\"" >&5)
+  (eval echo "\"\$as_me:7087: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -8300,7 +8289,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 8303 "configure"' > conftest.$ac_ext
+  echo '#line 8292 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -10377,11 +10366,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10380: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10369: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10384: \$? = $ac_status" >&5
+   echo "$as_me:10373: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10716,11 +10705,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10719: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10708: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10723: \$? = $ac_status" >&5
+   echo "$as_me:10712: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10821,11 +10810,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10824: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10813: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10828: \$? = $ac_status" >&5
+   echo "$as_me:10817: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10876,11 +10865,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10879: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10868: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10883: \$? = $ac_status" >&5
+   echo "$as_me:10872: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13679,7 +13668,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 13682 "configure"
+#line 13671 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13775,7 +13764,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 13778 "configure"
+#line 13767 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -15795,11 +15784,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15798: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15787: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15802: \$? = $ac_status" >&5
+   echo "$as_me:15791: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15894,11 +15883,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15897: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15886: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15901: \$? = $ac_status" >&5
+   echo "$as_me:15890: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15946,11 +15935,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15949: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15938: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15953: \$? = $ac_status" >&5
+   echo "$as_me:15942: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16934,322 +16923,137 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
-# For dislpay Date
-
+  { $as_echo "$as_me:$LINENO: checking whether NLS is requested" >&5
+$as_echo_n "checking whether NLS is requested... " >&6; }
+    # Check whether --enable-nls was given.
+if test "${enable_nls+set}" = set; then
+  enableval=$enable_nls; USE_NLS=$enableval
+else
+  USE_NLS=yes
+fi
 
-DATE_DISPLAY="Fri Sep 04 2009"
+  { $as_echo "$as_me:$LINENO: result: $USE_NLS" >&5
+$as_echo "$USE_NLS" >&6; }
 
 
-# If only source code changed, lt_revision + 1
-# If any interface added, lt_age + 1
-# If any interfaces changed or removed, lt_current + 1
 
 
+case "$am__api_version" in
+    1.01234)
+	{ { $as_echo "$as_me:$LINENO: error: Automake 1.5 or newer is required to use intltool" >&5
+$as_echo "$as_me: error: Automake 1.5 or newer is required to use intltool" >&2;}
+   { (exit 1); exit 1; }; }
+    ;;
+    *)
+    ;;
+esac
 
-LT_VERSION_INFO="1:0:0"
+if test -n "0.35.0"; then
+    { $as_echo "$as_me:$LINENO: checking for intltool >= 0.35.0" >&5
+$as_echo_n "checking for intltool >= 0.35.0... " >&6; }
 
+    INTLTOOL_REQUIRED_VERSION_AS_INT=`echo 0.35.0 | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
+    INTLTOOL_APPLIED_VERSION=`intltool-update --version | head -1 | cut -d" " -f3`
+    INTLTOOL_APPLIED_VERSION_AS_INT=`echo $INTLTOOL_APPLIED_VERSION | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
 
-# check inotify
+    { $as_echo "$as_me:$LINENO: result: $INTLTOOL_APPLIED_VERSION found" >&5
+$as_echo "$INTLTOOL_APPLIED_VERSION found" >&6; }
+    test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge "$INTLTOOL_REQUIRED_VERSION_AS_INT" ||
+	{ { $as_echo "$as_me:$LINENO: error: Your intltool is too old.  You need intltool 0.35.0 or later." >&5
+$as_echo "$as_me: error: Your intltool is too old.  You need intltool 0.35.0 or later." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
-for ac_header in sys/inotify.h
-do
-as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+# Extract the first word of "intltool-update", so it can be a program name with args.
+set dummy intltool-update; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_INTLTOOL_UPDATE+set}" = set; then
   $as_echo_n "(cached) " >&6
-fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
 else
-  # Is the header compilable?
-{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
-$as_echo_n "checking $ac_header usability... " >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
+  case $INTLTOOL_UPDATE in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_INTLTOOL_UPDATE="$INTLTOOL_UPDATE" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_INTLTOOL_UPDATE="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
 esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
+fi
+INTLTOOL_UPDATE=$ac_cv_path_INTLTOOL_UPDATE
+if test -n "$INTLTOOL_UPDATE"; then
+  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_UPDATE" >&5
+$as_echo "$INTLTOOL_UPDATE" >&6; }
 else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_header_compiler=no
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
 fi
 
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-$as_echo "$ac_header_compiler" >&6; }
 
-# Is the header present?
-{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
-$as_echo_n "checking $ac_header presence... " >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
+# Extract the first word of "intltool-merge", so it can be a program name with args.
+set dummy intltool-merge; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_INTLTOOL_MERGE+set}" = set; then
+  $as_echo_n "(cached) " >&6
 else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
+  case $INTLTOOL_MERGE in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_INTLTOOL_MERGE="$INTLTOOL_MERGE" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_INTLTOOL_MERGE="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-  ac_header_preproc=no
+  ;;
+esac
+fi
+INTLTOOL_MERGE=$ac_cv_path_INTLTOOL_MERGE
+if test -n "$INTLTOOL_MERGE"; then
+  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_MERGE" >&5
+$as_echo "$INTLTOOL_MERGE" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
 fi
 
-rm -f conftest.err conftest.$ac_ext
-{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-$as_echo "$ac_header_preproc" >&6; }
 
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## --------------------------------------------------------- ##
-## Report this to http://code.google.com/p/ibus/issues/entry ##
-## --------------------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
-$as_echo_n "checking for $ac_header... " >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-
-fi
-as_val=`eval 'as_val=${'$as_ac_Header'}
-		 $as_echo "$as_val"'`
-   if test "x$as_val" = x""yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-
-done
-
-
-# check funcs
-
-for ac_func in daemon
-do
-as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
-$as_echo_n "checking for $ac_func... " >&6; }
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define $ac_func innocuous_$ac_func
-
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $ac_func (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
-
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
-
-#undef $ac_func
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char $ac_func ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined __stub_$ac_func || defined __stub___$ac_func
-choke me
-#endif
-
-int
-main ()
-{
-return $ac_func ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  eval "$as_ac_var=yes"
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	eval "$as_ac_var=no"
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-fi
-ac_res=`eval 'as_val=${'$as_ac_var'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-as_val=`eval 'as_val=${'$as_ac_var'}
-		 $as_echo "$as_val"'`
-   if test "x$as_val" = x""yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-done
-
-
-# check glib2
-# Check whether --enable-glibtest was given.
-if test "${enable_glibtest+set}" = set; then
-  enableval=$enable_glibtest;
-else
-  enable_glibtest=yes
-fi
-
-
-  pkg_config_args=glib-2.0
-  for module in .
-  do
-      case "$module" in
-         gmodule)
-             pkg_config_args="$pkg_config_args gmodule-2.0"
-         ;;
-         gmodule-no-export)
-             pkg_config_args="$pkg_config_args gmodule-no-export-2.0"
-         ;;
-         gobject)
-             pkg_config_args="$pkg_config_args gobject-2.0"
-         ;;
-         gthread)
-             pkg_config_args="$pkg_config_args gthread-2.0"
-         ;;
-         gio*)
-             pkg_config_args="$pkg_config_args $module-2.0"
-         ;;
-      esac
-  done
-
-
-
-if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
-	if test -n "$ac_tool_prefix"; then
-  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
-set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
+# Extract the first word of "intltool-extract", so it can be a program name with args.
+set dummy intltool-extract; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+if test "${ac_cv_path_INTLTOOL_EXTRACT+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  case $PKG_CONFIG in
+  case $INTLTOOL_EXTRACT in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ac_cv_path_INTLTOOL_EXTRACT="$INTLTOOL_EXTRACT" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -17259,7 +17063,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_INTLTOOL_EXTRACT="$as_dir/$ac_word$ac_exec_ext"
     $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -17270,1060 +17074,269 @@ IFS=$as_save_IFS
   ;;
 esac
 fi
-PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-if test -n "$PKG_CONFIG"; then
-  { $as_echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
-$as_echo "$PKG_CONFIG" >&6; }
+INTLTOOL_EXTRACT=$ac_cv_path_INTLTOOL_EXTRACT
+if test -n "$INTLTOOL_EXTRACT"; then
+  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_EXTRACT" >&5
+$as_echo "$INTLTOOL_EXTRACT" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
-fi
-if test -z "$ac_cv_path_PKG_CONFIG"; then
-  ac_pt_PKG_CONFIG=$PKG_CONFIG
-  # Extract the first word of "pkg-config", so it can be a program name with args.
-set dummy pkg-config; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case $ac_pt_PKG_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  ;;
-esac
-fi
-ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
-if test -n "$ac_pt_PKG_CONFIG"; then
-  { $as_echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
-$as_echo "$ac_pt_PKG_CONFIG" >&6; }
-else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+if test -z "$INTLTOOL_UPDATE" -o -z "$INTLTOOL_MERGE" -o -z "$INTLTOOL_EXTRACT"; then
+    { { $as_echo "$as_me:$LINENO: error: The intltool scripts were not found. Please install intltool." >&5
+$as_echo "$as_me: error: The intltool scripts were not found. Please install intltool." >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
-  if test "x$ac_pt_PKG_CONFIG" = x; then
-    PKG_CONFIG=""
-  else
-    case $cross_compiling:$ac_tool_warned in
-yes:)
-{ $as_echo "$as_me:$LINENO: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
-ac_tool_warned=yes ;;
-esac
-    PKG_CONFIG=$ac_pt_PKG_CONFIG
-  fi
-else
-  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
-fi
+  INTLTOOL_DESKTOP_RULE='%.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+INTLTOOL_DIRECTORY_RULE='%.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+     INTLTOOL_KEYS_RULE='%.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+     INTLTOOL_PROP_RULE='%.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+      INTLTOOL_OAF_RULE='%.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@'
+     INTLTOOL_PONG_RULE='%.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+   INTLTOOL_SERVER_RULE='%.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+    INTLTOOL_SHEET_RULE='%.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+INTLTOOL_SOUNDLIST_RULE='%.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+       INTLTOOL_UI_RULE='%.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+      INTLTOOL_XML_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+      INTLTOOL_XML_NOMERGE_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@'
+      INTLTOOL_XAM_RULE='%.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+      INTLTOOL_KBD_RULE='%.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+    INTLTOOL_CAVES_RULE='%.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+  INTLTOOL_SCHEMAS_RULE='%.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+    INTLTOOL_THEME_RULE='%.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+    INTLTOOL_SERVICE_RULE='%.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
+   INTLTOOL_POLICY_RULE='%.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
 
-fi
-if test -n "$PKG_CONFIG"; then
-	_pkg_min_version=0.16
-	{ $as_echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
-$as_echo_n "checking pkg-config is at least version $_pkg_min_version... " >&6; }
-	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-		{ $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	else
-		{ $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-		PKG_CONFIG=""
-	fi
 
-fi
 
-  no_glib=""
 
-  if test "x$PKG_CONFIG" = x ; then
-    no_glib=yes
-    PKG_CONFIG=no
-  fi
 
-  min_glib_version=2.0.0
-  { $as_echo "$as_me:$LINENO: checking for GLIB - version >= $min_glib_version" >&5
-$as_echo_n "checking for GLIB - version >= $min_glib_version... " >&6; }
 
-  if test x$PKG_CONFIG != xno ; then
-    ## don't try to run the test against uninstalled libtool libs
-    if $PKG_CONFIG --uninstalled $pkg_config_args; then
-	  echo "Will use uninstalled version of GLib found in PKG_CONFIG_PATH"
-	  enable_glibtest=no
-    fi
 
-    if $PKG_CONFIG --atleast-version $min_glib_version $pkg_config_args; then
-	  :
-    else
-	  no_glib=yes
-    fi
-  fi
 
-  if test x"$no_glib" = x ; then
-    GLIB_GENMARSHAL=`$PKG_CONFIG --variable=glib_genmarshal glib-2.0`
-    GOBJECT_QUERY=`$PKG_CONFIG --variable=gobject_query glib-2.0`
-    GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
 
-    GLIB_CFLAGS=`$PKG_CONFIG --cflags $pkg_config_args`
-    GLIB_LIBS=`$PKG_CONFIG --libs $pkg_config_args`
-    glib_config_major_version=`$PKG_CONFIG --modversion glib-2.0 | \
-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-    glib_config_minor_version=`$PKG_CONFIG --modversion glib-2.0 | \
-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-    glib_config_micro_version=`$PKG_CONFIG --modversion glib-2.0 | \
-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
-    if test "x$enable_glibtest" = "xyes" ; then
-      ac_save_CFLAGS="$CFLAGS"
-      ac_save_LIBS="$LIBS"
-      CFLAGS="$CFLAGS $GLIB_CFLAGS"
-      LIBS="$GLIB_LIBS $LIBS"
-      rm -f conf.glibtest
-      if test "$cross_compiling" = yes; then
-  echo $ac_n "cross compiling; assumed OK... $ac_c"
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
 
-#include <glib.h>
-#include <stdio.h>
-#include <stdlib.h>
 
-int
-main ()
-{
-  int major, minor, micro;
-  char *tmp_version;
-  int ignored;
 
-  ignored = system ("touch conf.glibtest");
 
-  /* HP/UX 9 (%@#!) writes to sscanf strings */
-  tmp_version = g_strdup("$min_glib_version");
-  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
-     printf("%s, bad version string\n", "$min_glib_version");
-     exit(1);
-   }
 
-  if ((glib_major_version != $glib_config_major_version) ||
-      (glib_minor_version != $glib_config_minor_version) ||
-      (glib_micro_version != $glib_config_micro_version))
-    {
-      printf("\n*** 'pkg-config --modversion glib-2.0' returned %d.%d.%d, but GLIB (%d.%d.%d)\n",
-             $glib_config_major_version, $glib_config_minor_version, $glib_config_micro_version,
-             glib_major_version, glib_minor_version, glib_micro_version);
-      printf ("*** was found! If pkg-config was correct, then it is best\n");
-      printf ("*** to remove the old version of GLib. You may also be able to fix the error\n");
-      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
-      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
-      printf("*** required on your system.\n");
-      printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
-      printf("*** to point to the correct configuration files\n");
-    }
-  else if ((glib_major_version != GLIB_MAJOR_VERSION) ||
-	   (glib_minor_version != GLIB_MINOR_VERSION) ||
-           (glib_micro_version != GLIB_MICRO_VERSION))
-    {
-      printf("*** GLIB header files (version %d.%d.%d) do not match\n",
-	     GLIB_MAJOR_VERSION, GLIB_MINOR_VERSION, GLIB_MICRO_VERSION);
-      printf("*** library (version %d.%d.%d)\n",
-	     glib_major_version, glib_minor_version, glib_micro_version);
-    }
-  else
-    {
-      if ((glib_major_version > major) ||
-        ((glib_major_version == major) && (glib_minor_version > minor)) ||
-        ((glib_major_version == major) && (glib_minor_version == minor) && (glib_micro_version >= micro)))
-      {
-        return 0;
-       }
-     else
-      {
-        printf("\n*** An old version of GLIB (%d.%d.%d) was found.\n",
-               glib_major_version, glib_minor_version, glib_micro_version);
-        printf("*** You need a version of GLIB newer than %d.%d.%d. The latest version of\n",
-	       major, minor, micro);
-        printf("*** GLIB is always available from ftp://ftp.gtk.org.\n");
-        printf("***\n");
-        printf("*** If you have already installed a sufficiently new version, this error\n");
-        printf("*** probably means that the wrong copy of the pkg-config shell script is\n");
-        printf("*** being found. The easiest way to fix this is to remove the old version\n");
-        printf("*** of GLIB, but you can also set the PKG_CONFIG environment to point to the\n");
-        printf("*** correct copy of pkg-config. (In this case, you will have to\n");
-        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
-        printf("*** so that the correct libraries are found at run-time))\n");
-      }
-    }
-  return 1;
-}
 
-_ACEOF
-rm -f conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  $as_echo "$as_me: program exited with status $ac_status" >&5
-$as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
 
-( exit $ac_status )
-no_glib=yes
-fi
-rm -rf conftest.dSYM
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
 
 
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
-     fi
-  fi
-  if test "x$no_glib" = x ; then
-     { $as_echo "$as_me:$LINENO: result: yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&5
-$as_echo "yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&6; }
-     :
-  else
-     { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-     if test "$PKG_CONFIG" = "no" ; then
-       echo "*** A new enough version of pkg-config was not found."
-       echo "*** See http://www.freedesktop.org/software/pkgconfig/"
-     else
-       if test -f conf.glibtest ; then
-        :
-       else
-          echo "*** Could not run GLIB test program, checking why..."
-          ac_save_CFLAGS="$CFLAGS"
-          ac_save_LIBS="$LIBS"
-          CFLAGS="$CFLAGS $GLIB_CFLAGS"
-          LIBS="$LIBS $GLIB_LIBS"
-          cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
 
-#include <glib.h>
-#include <stdio.h>
 
-int
-main ()
-{
- return ((glib_major_version) || (glib_minor_version) || (glib_micro_version));
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-   echo "*** The test program compiled, but did not run. This usually means"
-          echo "*** that the run-time linker is not finding GLIB or finding the wrong"
-          echo "*** version of GLIB. If it is not finding GLIB, you'll need to set your"
-          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
-          echo "*** is required on your system"
-	  echo "***"
-          echo "*** If you have an old version installed, it is best to remove it, although"
-          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
 
-	 echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means GLIB is incorrectly installed."
-fi
 
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-          CFLAGS="$ac_save_CFLAGS"
-          LIBS="$ac_save_LIBS"
-       fi
-     fi
-     GLIB_CFLAGS=""
-     GLIB_LIBS=""
-     GLIB_GENMARSHAL=""
-     GOBJECT_QUERY=""
-     GLIB_MKENUMS=""
-     :
-  fi
 
 
 
 
 
-  rm -f conf.glibtest
 
 
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for GLIB2" >&5
-$as_echo_n "checking for GLIB2... " >&6; }
 
-if test -n "$GLIB2_CFLAGS"; then
-    pkg_cv_GLIB2_CFLAGS="$GLIB2_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    glib-2.0 >= 2.18
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    glib-2.0 >= 2.18
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GLIB2_CFLAGS=`$PKG_CONFIG --cflags "
-    glib-2.0 >= 2.18
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GLIB2_LIBS"; then
-    pkg_cv_GLIB2_LIBS="$GLIB2_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    glib-2.0 >= 2.18
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    glib-2.0 >= 2.18
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GLIB2_LIBS=`$PKG_CONFIG --libs "
-    glib-2.0 >= 2.18
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
 
 
 
-if test $pkg_failed = yes; then
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GLIB2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
-    glib-2.0 >= 2.18
-" 2>&1`
-        else
-	        GLIB2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
-    glib-2.0 >= 2.18
-" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GLIB2_PKG_ERRORS" >&5
 
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
-    glib-2.0 >= 2.18
-) were not met:
 
-$GLIB2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GLIB2_CFLAGS
-and GLIB2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (
-    glib-2.0 >= 2.18
-) were not met:
 
-$GLIB2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GLIB2_CFLAGS
-and GLIB2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GLIB2_CFLAGS
-and GLIB2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GLIB2_CFLAGS
-and GLIB2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
-else
-	GLIB2_CFLAGS=$pkg_cv_GLIB2_CFLAGS
-	GLIB2_LIBS=$pkg_cv_GLIB2_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
-fi
 
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for GOBJECT2" >&5
-$as_echo_n "checking for GOBJECT2... " >&6; }
 
-if test -n "$GOBJECT2_CFLAGS"; then
-    pkg_cv_GOBJECT2_CFLAGS="$GOBJECT2_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gobject-2.0 >= 2.18
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gobject-2.0 >= 2.18
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GOBJECT2_CFLAGS=`$PKG_CONFIG --cflags "
-    gobject-2.0 >= 2.18
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GOBJECT2_LIBS"; then
-    pkg_cv_GOBJECT2_LIBS="$GOBJECT2_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gobject-2.0 >= 2.18
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gobject-2.0 >= 2.18
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GOBJECT2_LIBS=`$PKG_CONFIG --libs "
-    gobject-2.0 >= 2.18
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
 
 
 
-if test $pkg_failed = yes; then
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GOBJECT2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
-    gobject-2.0 >= 2.18
-" 2>&1`
-        else
-	        GOBJECT2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
-    gobject-2.0 >= 2.18
-" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GOBJECT2_PKG_ERRORS" >&5
 
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
-    gobject-2.0 >= 2.18
-) were not met:
 
-$GOBJECT2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GOBJECT2_CFLAGS
-and GOBJECT2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (
-    gobject-2.0 >= 2.18
-) were not met:
 
-$GOBJECT2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GOBJECT2_CFLAGS
-and GOBJECT2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GOBJECT2_CFLAGS
-and GOBJECT2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GOBJECT2_CFLAGS
-and GOBJECT2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
-else
-	GOBJECT2_CFLAGS=$pkg_cv_GOBJECT2_CFLAGS
-	GOBJECT2_LIBS=$pkg_cv_GOBJECT2_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
-fi
 
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for GIO2" >&5
-$as_echo_n "checking for GIO2... " >&6; }
 
-if test -n "$GIO2_CFLAGS"; then
-    pkg_cv_GIO2_CFLAGS="$GIO2_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gio-2.0 >= 2.18
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gio-2.0 >= 2.18
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GIO2_CFLAGS=`$PKG_CONFIG --cflags "
-    gio-2.0 >= 2.18
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GIO2_LIBS"; then
-    pkg_cv_GIO2_LIBS="$GIO2_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gio-2.0 >= 2.18
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gio-2.0 >= 2.18
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GIO2_LIBS=`$PKG_CONFIG --libs "
-    gio-2.0 >= 2.18
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
 
 
 
-if test $pkg_failed = yes; then
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GIO2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
-    gio-2.0 >= 2.18
-" 2>&1`
-        else
-	        GIO2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
-    gio-2.0 >= 2.18
-" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GIO2_PKG_ERRORS" >&5
 
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
-    gio-2.0 >= 2.18
-) were not met:
 
-$GIO2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GIO2_CFLAGS
-and GIO2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (
-    gio-2.0 >= 2.18
-) were not met:
 
-$GIO2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GIO2_CFLAGS
-and GIO2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GIO2_CFLAGS
-and GIO2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GIO2_CFLAGS
-and GIO2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
-else
-	GIO2_CFLAGS=$pkg_cv_GIO2_CFLAGS
-	GIO2_LIBS=$pkg_cv_GIO2_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
-fi
-# PKG_CHECK_MODULES(PYGOBJECT2, [
-#     pygobject-2.0 >= 2.14
-# ])
 
-# check for gtk, gdk & pygtk
 
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for GTK2" >&5
-$as_echo_n "checking for GTK2... " >&6; }
 
-if test -n "$GTK2_CFLAGS"; then
-    pkg_cv_GTK2_CFLAGS="$GTK2_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gtk+-2.0
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gtk+-2.0
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GTK2_CFLAGS=`$PKG_CONFIG --cflags "
-    gtk+-2.0
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GTK2_LIBS"; then
-    pkg_cv_GTK2_LIBS="$GTK2_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gtk+-2.0
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gtk+-2.0
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GTK2_LIBS=`$PKG_CONFIG --libs "
-    gtk+-2.0
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
 
 
 
-if test $pkg_failed = yes; then
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GTK2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
-    gtk+-2.0
-" 2>&1`
-        else
-	        GTK2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
-    gtk+-2.0
-" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GTK2_PKG_ERRORS" >&5
 
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
-    gtk+-2.0
-) were not met:
 
-$GTK2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GTK2_CFLAGS
-and GTK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (
-    gtk+-2.0
-) were not met:
 
-$GTK2_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GTK2_CFLAGS
-and GTK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GTK2_CFLAGS
-and GTK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GTK2_CFLAGS
-and GTK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
+# Check the gettext tools to make sure they are GNU
+# Extract the first word of "xgettext", so it can be a program name with args.
+set dummy xgettext; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_XGETTEXT+set}" = set; then
+  $as_echo_n "(cached) " >&6
 else
-	GTK2_CFLAGS=$pkg_cv_GTK2_CFLAGS
-	GTK2_LIBS=$pkg_cv_GTK2_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
-fi
+  case $XGETTEXT in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_XGETTEXT="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-gtk_binary_version=`$PKG_CONFIG --variable=gtk_binary_version gtk+-2.0`
-GTK_IM_MODULEDIR="$libdir"/gtk-2.0/$gtk_binary_version/immodules
+  ;;
+esac
+fi
+XGETTEXT=$ac_cv_path_XGETTEXT
+if test -n "$XGETTEXT"; then
+  { $as_echo "$as_me:$LINENO: result: $XGETTEXT" >&5
+$as_echo "$XGETTEXT" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
 
 
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for GDK2" >&5
-$as_echo_n "checking for GDK2... " >&6; }
-
-if test -n "$GDK2_CFLAGS"; then
-    pkg_cv_GDK2_CFLAGS="$GDK2_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gdk-2.0
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gdk-2.0
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GDK2_CFLAGS=`$PKG_CONFIG --cflags "
-    gdk-2.0
-" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-if test -n "$GDK2_LIBS"; then
-    pkg_cv_GDK2_LIBS="$GDK2_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    gdk-2.0
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    gdk-2.0
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GDK2_LIBS=`$PKG_CONFIG --libs "
-    gdk-2.0
-" 2>/dev/null`
+# Extract the first word of "msgmerge", so it can be a program name with args.
+set dummy msgmerge; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_MSGMERGE+set}" = set; then
+  $as_echo_n "(cached) " >&6
 else
-  pkg_failed=yes
-fi
- else
-    pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
+  case $MSGMERGE in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_MSGMERGE="$MSGMERGE" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_MSGMERGE="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
+  ;;
+esac
 fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GDK2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
-    gdk-2.0
-" 2>&1`
-        else
-	        GDK2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
-    gdk-2.0
-" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GDK2_PKG_ERRORS" >&5
-
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
-    gdk-2.0
-) were not met:
-
-$GDK2_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables GDK2_CFLAGS
-and GDK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (
-    gdk-2.0
-) were not met:
-
-$GDK2_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables GDK2_CFLAGS
-and GDK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables GDK2_CFLAGS
-and GDK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables GDK2_CFLAGS
-and GDK2_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
+MSGMERGE=$ac_cv_path_MSGMERGE
+if test -n "$MSGMERGE"; then
+  { $as_echo "$as_me:$LINENO: result: $MSGMERGE" >&5
+$as_echo "$MSGMERGE" >&6; }
 else
-	GDK2_CFLAGS=$pkg_cv_GDK2_CFLAGS
-	GDK2_LIBS=$pkg_cv_GDK2_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
 fi
 
-# check for gtk-doc
-
 
-# Check whether --with-html-dir was given.
-if test "${with_html_dir+set}" = set; then
-  withval=$with_html_dir;
+# Extract the first word of "msgfmt", so it can be a program name with args.
+set dummy msgfmt; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_MSGFMT+set}" = set; then
+  $as_echo_n "(cached) " >&6
 else
-  with_html_dir='${datadir}/gtk-doc/html'
-fi
-
-  HTML_DIR="$with_html_dir"
-
+  case $MSGFMT in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_MSGFMT="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-    # Check whether --enable-gtk-doc was given.
-if test "${enable_gtk_doc+set}" = set; then
-  enableval=$enable_gtk_doc;
-else
-  enable_gtk_doc=no
+  ;;
+esac
 fi
-
-
-  if test x$enable_gtk_doc = xyes; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk-doc >= 1.9\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gtk-doc >= 1.9") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  :
+MSGFMT=$ac_cv_path_MSGFMT
+if test -n "$MSGFMT"; then
+  { $as_echo "$as_me:$LINENO: result: $MSGFMT" >&5
+$as_echo "$MSGFMT" >&6; }
 else
-  { { $as_echo "$as_me:$LINENO: error: You need to have gtk-doc >= 1.9 installed to build gtk-doc" >&5
-$as_echo "$as_me: error: You need to have gtk-doc >= 1.9 installed to build gtk-doc" >&2;}
-   { (exit 1); exit 1; }; }
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
 fi
-  fi
 
-  { $as_echo "$as_me:$LINENO: checking whether to build gtk-doc documentation" >&5
-$as_echo_n "checking whether to build gtk-doc documentation... " >&6; }
-  { $as_echo "$as_me:$LINENO: result: $enable_gtk_doc" >&5
-$as_echo "$enable_gtk_doc" >&6; }
 
-  for ac_prog in gtkdoc-check
-do
-  # Extract the first word of "$ac_prog", so it can be a program name with args.
-set dummy $ac_prog; ac_word=$2
+# Extract the first word of "gmsgfmt", so it can be a program name with args.
+set dummy gmsgfmt; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_GTKDOC_CHECK+set}" = set; then
+if test "${ac_cv_path_GMSGFMT+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  case $GTKDOC_CHECK in
+  case $GMSGFMT in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_GTKDOC_CHECK="$GTKDOC_CHECK" # Let the user override the test with a path.
+  ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -18333,7 +17346,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_GTKDOC_CHECK="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"
     $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -18341,381 +17354,578 @@ done
 done
 IFS=$as_save_IFS
 
+  test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"
   ;;
 esac
 fi
-GTKDOC_CHECK=$ac_cv_path_GTKDOC_CHECK
-if test -n "$GTKDOC_CHECK"; then
-  { $as_echo "$as_me:$LINENO: result: $GTKDOC_CHECK" >&5
-$as_echo "$GTKDOC_CHECK" >&6; }
+GMSGFMT=$ac_cv_path_GMSGFMT
+if test -n "$GMSGFMT"; then
+  { $as_echo "$as_me:$LINENO: result: $GMSGFMT" >&5
+$as_echo "$GMSGFMT" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
-  test -n "$GTKDOC_CHECK" && break
-done
-
-
-   if test x$enable_gtk_doc = xyes; then
-  ENABLE_GTK_DOC_TRUE=
-  ENABLE_GTK_DOC_FALSE='#'
-else
-  ENABLE_GTK_DOC_TRUE='#'
-  ENABLE_GTK_DOC_FALSE=
-fi
-
-   if test -n "$LIBTOOL"; then
-  GTK_DOC_USE_LIBTOOL_TRUE=
-  GTK_DOC_USE_LIBTOOL_FALSE='#'
-else
-  GTK_DOC_USE_LIBTOOL_TRUE='#'
-  GTK_DOC_USE_LIBTOOL_FALSE=
+if test -z "$XGETTEXT" -o -z "$MSGMERGE" -o -z "$MSGFMT"; then
+    { { $as_echo "$as_me:$LINENO: error: GNU gettext tools not found; required for intltool" >&5
+$as_echo "$as_me: error: GNU gettext tools not found; required for intltool" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+xgversion="`$XGETTEXT --version|grep '(GNU ' 2> /dev/null`"
+mmversion="`$MSGMERGE --version|grep '(GNU ' 2> /dev/null`"
+mfversion="`$MSGFMT --version|grep '(GNU ' 2> /dev/null`"
+if test -z "$xgversion" -o -z "$mmversion" -o -z "$mfversion"; then
+    { { $as_echo "$as_me:$LINENO: error: GNU gettext tools not found; required for intltool" >&5
+$as_echo "$as_me: error: GNU gettext tools not found; required for intltool" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
+# Extract the first word of "perl", so it can be a program name with args.
+set dummy perl; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_INTLTOOL_PERL+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $INTLTOOL_PERL in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_INTLTOOL_PERL="$INTLTOOL_PERL" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_INTLTOOL_PERL="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-
-# check for dbus-glib
-
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for DBUS" >&5
-$as_echo_n "checking for DBUS... " >&6; }
-
-if test -n "$DBUS_CFLAGS"; then
-    pkg_cv_DBUS_CFLAGS="$DBUS_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    dbus-1
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    dbus-1
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_DBUS_CFLAGS=`$PKG_CONFIG --cflags "
-    dbus-1
-" 2>/dev/null`
+  ;;
+esac
+fi
+INTLTOOL_PERL=$ac_cv_path_INTLTOOL_PERL
+if test -n "$INTLTOOL_PERL"; then
+  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_PERL" >&5
+$as_echo "$INTLTOOL_PERL" >&6; }
 else
-  pkg_failed=yes
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
 fi
- else
-    pkg_failed=untried
+
+
+if test -z "$INTLTOOL_PERL"; then
+   { { $as_echo "$as_me:$LINENO: error: perl not found" >&5
+$as_echo "$as_me: error: perl not found" >&2;}
+   { (exit 1); exit 1; }; }
 fi
-if test -n "$DBUS_LIBS"; then
-    pkg_cv_DBUS_LIBS="$DBUS_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
-    dbus-1
-\"") >&5
-  ($PKG_CONFIG --exists --print-errors "
-    dbus-1
-") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_DBUS_LIBS=`$PKG_CONFIG --libs "
-    dbus-1
-" 2>/dev/null`
+{ $as_echo "$as_me:$LINENO: checking for perl >= 5.8.1" >&5
+$as_echo_n "checking for perl >= 5.8.1... " >&6; }
+$INTLTOOL_PERL -e "use 5.8.1;" > /dev/null 2>&1
+if test $? -ne 0; then
+   { { $as_echo "$as_me:$LINENO: error: perl 5.8.1 is required for intltool" >&5
+$as_echo "$as_me: error: perl 5.8.1 is required for intltool" >&2;}
+   { (exit 1); exit 1; }; }
 else
-  pkg_failed=yes
+   IT_PERL_VERSION="`$INTLTOOL_PERL -e \"printf '%vd', $^V\"`"
+   { $as_echo "$as_me:$LINENO: result: $IT_PERL_VERSION" >&5
+$as_echo "$IT_PERL_VERSION" >&6; }
 fi
- else
-    pkg_failed=untried
+if test "x" != "xno-xml"; then
+   { $as_echo "$as_me:$LINENO: checking for XML::Parser" >&5
+$as_echo_n "checking for XML::Parser... " >&6; }
+   if `$INTLTOOL_PERL -e "require XML::Parser" 2>/dev/null`; then
+       { $as_echo "$as_me:$LINENO: result: ok" >&5
+$as_echo "ok" >&6; }
+   else
+       { { $as_echo "$as_me:$LINENO: error: XML::Parser perl module is required for intltool" >&5
+$as_echo "$as_me: error: XML::Parser perl module is required for intltool" >&2;}
+   { (exit 1); exit 1; }; }
+   fi
 fi
 
+# Substitute ALL_LINGUAS so we can use it in po/Makefile
 
 
-if test $pkg_failed = yes; then
+# Set DATADIRNAME correctly if it is not set yet
+# (copied from glib-gettext.m4)
+if test -z "$DATADIRNAME"; then
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
+int
+main ()
+{
+extern int _nl_msg_cat_cntr;
+                       return _nl_msg_cat_cntr
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  DATADIRNAME=share
 else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        DBUS_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
-    dbus-1
-" 2>&1`
-        else
-	        DBUS_PKG_ERRORS=`$PKG_CONFIG --print-errors "
-    dbus-1
-" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$DBUS_PKG_ERRORS" >&5
-
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
-    dbus-1
-) were not met:
-
-$DBUS_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-Alternatively, you may set the environment variables DBUS_CFLAGS
-and DBUS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (
-    dbus-1
-) were not met:
+	case $host in
+    *-*-solaris*)
+                        { $as_echo "$as_me:$LINENO: checking for bind_textdomain_codeset" >&5
+$as_echo_n "checking for bind_textdomain_codeset... " >&6; }
+if test "${ac_cv_func_bind_textdomain_codeset+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define bind_textdomain_codeset to an innocuous variant, in case <limits.h> declares bind_textdomain_codeset.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define bind_textdomain_codeset innocuous_bind_textdomain_codeset
 
-$DBUS_PKG_ERRORS
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char bind_textdomain_codeset (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
 
-Alternatively, you may set the environment variables DBUS_CFLAGS
-and DBUS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
+#undef bind_textdomain_codeset
 
-Alternatively, you may set the environment variables DBUS_CFLAGS
-and DBUS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char bind_textdomain_codeset ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_bind_textdomain_codeset || defined __stub___bind_textdomain_codeset
+choke me
+#endif
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables DBUS_CFLAGS
-and DBUS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
-else
-	DBUS_CFLAGS=$pkg_cv_DBUS_CFLAGS
-	DBUS_LIBS=$pkg_cv_DBUS_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
-fi
-
-# check gconf
-
-pkg_failed=no
-{ $as_echo "$as_me:$LINENO: checking for GCONF" >&5
-$as_echo_n "checking for GCONF... " >&6; }
-
-if test -n "$GCONF_CFLAGS"; then
-    pkg_cv_GCONF_CFLAGS="$GCONF_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gconf-2.0 >= 2.12\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gconf-2.0 >= 2.12") 2>&5
+int
+main ()
+{
+return bind_textdomain_codeset ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GCONF_CFLAGS=`$PKG_CONFIG --cflags "gconf-2.0 >= 2.12" 2>/dev/null`
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_func_bind_textdomain_codeset=yes
 else
-  pkg_failed=yes
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_func_bind_textdomain_codeset=no
 fi
- else
-    pkg_failed=untried
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
 fi
-if test -n "$GCONF_LIBS"; then
-    pkg_cv_GCONF_LIBS="$GCONF_LIBS"
- elif test -n "$PKG_CONFIG"; then
-    if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gconf-2.0 >= 2.12\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gconf-2.0 >= 2.12") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GCONF_LIBS=`$PKG_CONFIG --libs "gconf-2.0 >= 2.12" 2>/dev/null`
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_func_bind_textdomain_codeset" >&5
+$as_echo "$ac_cv_func_bind_textdomain_codeset" >&6; }
+if test "x$ac_cv_func_bind_textdomain_codeset" = x""yes; then
+  DATADIRNAME=share
 else
-  pkg_failed=yes
+  DATADIRNAME=lib
 fi
- else
-    pkg_failed=untried
+
+    ;;
+    *)
+    DATADIRNAME=lib
+    ;;
+    esac
 fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
 
 
-if test $pkg_failed = yes; then
 
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GCONF_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "gconf-2.0 >= 2.12" 2>&1`
-        else
-	        GCONF_PKG_ERRORS=`$PKG_CONFIG --print-errors "gconf-2.0 >= 2.12" 2>&1`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GCONF_PKG_ERRORS" >&5
 
-	{ { $as_echo "$as_me:$LINENO: error: Package requirements (gconf-2.0 >= 2.12) were not met:
 
-$GCONF_PKG_ERRORS
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
+# For dislpay Date
 
-Alternatively, you may set the environment variables GCONF_CFLAGS
-and GCONF_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-$as_echo "$as_me: error: Package requirements (gconf-2.0 >= 2.12) were not met:
 
-$GCONF_PKG_ERRORS
+DATE_DISPLAY="Sat Oct 24 2009"
 
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
 
-Alternatively, you may set the environment variables GCONF_CFLAGS
-and GCONF_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
+# If only source code changed, lt_revision + 1
+# If any interface added, lt_age + 1
+# If any interfaces changed or removed, lt_current + 1
 
-Alternatively, you may set the environment variables GCONF_CFLAGS
-and GCONF_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
 
-Alternatively, you may set the environment variables GCONF_CFLAGS
-and GCONF_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+LT_VERSION_INFO="1:0:0"
 
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }; }
-else
-	GCONF_CFLAGS=$pkg_cv_GCONF_CFLAGS
-	GCONF_LIBS=$pkg_cv_GCONF_LIBS
-        { $as_echo "$as_me:$LINENO: result: yes" >&5
-$as_echo "yes" >&6; }
-	:
-fi
 
-# Extract the first word of "gconftool-2", so it can be a program name with args.
-set dummy gconftool-2; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_GCONFTOOL+set}" = set; then
+# check inotify
+
+for ac_header in sys/inotify.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 else
-  case $GCONFTOOL in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_GCONFTOOL="$GCONFTOOL" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_GCONFTOOL="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_GCONFTOOL" && ac_cv_path_GCONFTOOL="no"
-  ;;
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
 esac
-fi
-GCONFTOOL=$ac_cv_path_GCONFTOOL
-if test -n "$GCONFTOOL"; then
-  { $as_echo "$as_me:$LINENO: result: $GCONFTOOL" >&5
-$as_echo "$GCONFTOOL" >&6; }
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-fi
-
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-if test x"$GCONFTOOL" = xno; then
-    { { $as_echo "$as_me:$LINENO: error: gconftool-2 executable not found in your path - should be installed with GConf" >&5
-$as_echo "$as_me: error: gconftool-2 executable not found in your path - should be installed with GConf" >&2;}
-   { (exit 1); exit 1; }; }
+	ac_header_compiler=no
 fi
 
-  { $as_echo "$as_me:$LINENO: checking whether NLS is requested" >&5
-$as_echo_n "checking whether NLS is requested... " >&6; }
-    # Check whether --enable-nls was given.
-if test "${enable_nls+set}" = set; then
-  enableval=$enable_nls; USE_NLS=$enableval
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
 else
-  USE_NLS=yes
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
 fi
 
-  { $as_echo "$as_me:$LINENO: result: $USE_NLS" >&5
-$as_echo "$USE_NLS" >&6; }
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## --------------------------------------------------------- ##
+## Report this to http://code.google.com/p/ibus/issues/entry ##
+## --------------------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 
+fi
+as_val=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
 
+fi
 
+done
 
-case "$am__api_version" in
-    1.01234)
-	{ { $as_echo "$as_me:$LINENO: error: Automake 1.5 or newer is required to use intltool" >&5
-$as_echo "$as_me: error: Automake 1.5 or newer is required to use intltool" >&2;}
-   { (exit 1); exit 1; }; }
-    ;;
-    *)
-    ;;
+
+# check funcs
+
+for ac_func in daemon
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
 esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  eval "$as_ac_var=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-if test -n "0.40.0"; then
-    { $as_echo "$as_me:$LINENO: checking for intltool >= 0.40.0" >&5
-$as_echo_n "checking for intltool >= 0.40.0... " >&6; }
+	eval "$as_ac_var=no"
+fi
 
-    INTLTOOL_REQUIRED_VERSION_AS_INT=`echo 0.40.0 | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
-    INTLTOOL_APPLIED_VERSION=`intltool-update --version | head -1 | cut -d" " -f3`
-    INTLTOOL_APPLIED_VERSION_AS_INT=`echo $INTLTOOL_APPLIED_VERSION | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
 
-    { $as_echo "$as_me:$LINENO: result: $INTLTOOL_APPLIED_VERSION found" >&5
-$as_echo "$INTLTOOL_APPLIED_VERSION found" >&6; }
-    test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge "$INTLTOOL_REQUIRED_VERSION_AS_INT" ||
-	{ { $as_echo "$as_me:$LINENO: error: Your intltool is too old.  You need intltool 0.40.0 or later." >&5
-$as_echo "$as_me: error: Your intltool is too old.  You need intltool 0.40.0 or later." >&2;}
-   { (exit 1); exit 1; }; }
 fi
+done
 
-# Extract the first word of "intltool-update", so it can be a program name with args.
-set dummy intltool-update; ac_word=$2
+
+# check glib2
+# Check whether --enable-glibtest was given.
+if test "${enable_glibtest+set}" = set; then
+  enableval=$enable_glibtest;
+else
+  enable_glibtest=yes
+fi
+
+
+  pkg_config_args=glib-2.0
+  for module in .
+  do
+      case "$module" in
+         gmodule)
+             pkg_config_args="$pkg_config_args gmodule-2.0"
+         ;;
+         gmodule-no-export)
+             pkg_config_args="$pkg_config_args gmodule-no-export-2.0"
+         ;;
+         gobject)
+             pkg_config_args="$pkg_config_args gobject-2.0"
+         ;;
+         gthread)
+             pkg_config_args="$pkg_config_args gthread-2.0"
+         ;;
+         gio*)
+             pkg_config_args="$pkg_config_args $module-2.0"
+         ;;
+      esac
+  done
+
+
+
+if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+	if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
+set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_INTLTOOL_UPDATE+set}" = set; then
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  case $INTLTOOL_UPDATE in
+  case $PKG_CONFIG in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_INTLTOOL_UPDATE="$INTLTOOL_UPDATE" # Let the user override the test with a path.
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -18725,7 +17935,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_INTLTOOL_UPDATE="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -18736,26 +17946,29 @@ IFS=$as_save_IFS
   ;;
 esac
 fi
-INTLTOOL_UPDATE=$ac_cv_path_INTLTOOL_UPDATE
-if test -n "$INTLTOOL_UPDATE"; then
-  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_UPDATE" >&5
-$as_echo "$INTLTOOL_UPDATE" >&6; }
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+if test -n "$PKG_CONFIG"; then
+  { $as_echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+$as_echo "$PKG_CONFIG" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
-# Extract the first word of "intltool-merge", so it can be a program name with args.
-set dummy intltool-merge; ac_word=$2
+fi
+if test -z "$ac_cv_path_PKG_CONFIG"; then
+  ac_pt_PKG_CONFIG=$PKG_CONFIG
+  # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_INTLTOOL_MERGE+set}" = set; then
+if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  case $INTLTOOL_MERGE in
+  case $ac_pt_PKG_CONFIG in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_INTLTOOL_MERGE="$INTLTOOL_MERGE" # Let the user override the test with a path.
+  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -18765,7 +17978,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_INTLTOOL_MERGE="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -18776,189 +17989,1017 @@ IFS=$as_save_IFS
   ;;
 esac
 fi
-INTLTOOL_MERGE=$ac_cv_path_INTLTOOL_MERGE
-if test -n "$INTLTOOL_MERGE"; then
-  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_MERGE" >&5
-$as_echo "$INTLTOOL_MERGE" >&6; }
+ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
+if test -n "$ac_pt_PKG_CONFIG"; then
+  { $as_echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
+$as_echo "$ac_pt_PKG_CONFIG" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
-
-# Extract the first word of "intltool-extract", so it can be a program name with args.
-set dummy intltool-extract; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_INTLTOOL_EXTRACT+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case $INTLTOOL_EXTRACT in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_INTLTOOL_EXTRACT="$INTLTOOL_EXTRACT" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_INTLTOOL_EXTRACT="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  ;;
+  if test "x$ac_pt_PKG_CONFIG" = x; then
+    PKG_CONFIG=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ $as_echo "$as_me:$LINENO: WARNING: using cross tools not prefixed with host triplet" >&5
+$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+ac_tool_warned=yes ;;
 esac
-fi
-INTLTOOL_EXTRACT=$ac_cv_path_INTLTOOL_EXTRACT
-if test -n "$INTLTOOL_EXTRACT"; then
-  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_EXTRACT" >&5
-$as_echo "$INTLTOOL_EXTRACT" >&6; }
+    PKG_CONFIG=$ac_pt_PKG_CONFIG
+  fi
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
 fi
 
-
-if test -z "$INTLTOOL_UPDATE" -o -z "$INTLTOOL_MERGE" -o -z "$INTLTOOL_EXTRACT"; then
-    { { $as_echo "$as_me:$LINENO: error: The intltool scripts were not found. Please install intltool." >&5
-$as_echo "$as_me: error: The intltool scripts were not found. Please install intltool." >&2;}
-   { (exit 1); exit 1; }; }
 fi
+if test -n "$PKG_CONFIG"; then
+	_pkg_min_version=0.16
+	{ $as_echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
+$as_echo_n "checking pkg-config is at least version $_pkg_min_version... " >&6; }
+	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
+		{ $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	else
+		{ $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+		PKG_CONFIG=""
+	fi
 
-  INTLTOOL_DESKTOP_RULE='%.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-INTLTOOL_DIRECTORY_RULE='%.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-     INTLTOOL_KEYS_RULE='%.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-     INTLTOOL_PROP_RULE='%.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-      INTLTOOL_OAF_RULE='%.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@'
-     INTLTOOL_PONG_RULE='%.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-   INTLTOOL_SERVER_RULE='%.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-    INTLTOOL_SHEET_RULE='%.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-INTLTOOL_SOUNDLIST_RULE='%.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-       INTLTOOL_UI_RULE='%.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-      INTLTOOL_XML_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-      INTLTOOL_XML_NOMERGE_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@'
-      INTLTOOL_XAM_RULE='%.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-      INTLTOOL_KBD_RULE='%.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-    INTLTOOL_CAVES_RULE='%.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-  INTLTOOL_SCHEMAS_RULE='%.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-    INTLTOOL_THEME_RULE='%.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-    INTLTOOL_SERVICE_RULE='%.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-   INTLTOOL_POLICY_RULE='%.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@'
-
-
-
-
-
-
-
-
+fi
 
+  no_glib=""
 
+  if test "x$PKG_CONFIG" = x ; then
+    no_glib=yes
+    PKG_CONFIG=no
+  fi
 
+  min_glib_version=2.0.0
+  { $as_echo "$as_me:$LINENO: checking for GLIB - version >= $min_glib_version" >&5
+$as_echo_n "checking for GLIB - version >= $min_glib_version... " >&6; }
 
+  if test x$PKG_CONFIG != xno ; then
+    ## don't try to run the test against uninstalled libtool libs
+    if $PKG_CONFIG --uninstalled $pkg_config_args; then
+	  echo "Will use uninstalled version of GLib found in PKG_CONFIG_PATH"
+	  enable_glibtest=no
+    fi
 
+    if $PKG_CONFIG --atleast-version $min_glib_version $pkg_config_args; then
+	  :
+    else
+	  no_glib=yes
+    fi
+  fi
 
+  if test x"$no_glib" = x ; then
+    GLIB_GENMARSHAL=`$PKG_CONFIG --variable=glib_genmarshal glib-2.0`
+    GOBJECT_QUERY=`$PKG_CONFIG --variable=gobject_query glib-2.0`
+    GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
 
+    GLIB_CFLAGS=`$PKG_CONFIG --cflags $pkg_config_args`
+    GLIB_LIBS=`$PKG_CONFIG --libs $pkg_config_args`
+    glib_config_major_version=`$PKG_CONFIG --modversion glib-2.0 | \
+           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
+    glib_config_minor_version=`$PKG_CONFIG --modversion glib-2.0 | \
+           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
+    glib_config_micro_version=`$PKG_CONFIG --modversion glib-2.0 | \
+           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
+    if test "x$enable_glibtest" = "xyes" ; then
+      ac_save_CFLAGS="$CFLAGS"
+      ac_save_LIBS="$LIBS"
+      CFLAGS="$CFLAGS $GLIB_CFLAGS"
+      LIBS="$GLIB_LIBS $LIBS"
+      rm -f conf.glibtest
+      if test "$cross_compiling" = yes; then
+  echo $ac_n "cross compiling; assumed OK... $ac_c"
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
+#include <glib.h>
+#include <stdio.h>
+#include <stdlib.h>
 
+int
+main ()
+{
+  int major, minor, micro;
+  char *tmp_version;
+  int ignored;
 
+  ignored = system ("touch conf.glibtest");
 
+  /* HP/UX 9 (%@#!) writes to sscanf strings */
+  tmp_version = g_strdup("$min_glib_version");
+  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
+     printf("%s, bad version string\n", "$min_glib_version");
+     exit(1);
+   }
 
+  if ((glib_major_version != $glib_config_major_version) ||
+      (glib_minor_version != $glib_config_minor_version) ||
+      (glib_micro_version != $glib_config_micro_version))
+    {
+      printf("\n*** 'pkg-config --modversion glib-2.0' returned %d.%d.%d, but GLIB (%d.%d.%d)\n",
+             $glib_config_major_version, $glib_config_minor_version, $glib_config_micro_version,
+             glib_major_version, glib_minor_version, glib_micro_version);
+      printf ("*** was found! If pkg-config was correct, then it is best\n");
+      printf ("*** to remove the old version of GLib. You may also be able to fix the error\n");
+      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
+      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
+      printf("*** required on your system.\n");
+      printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
+      printf("*** to point to the correct configuration files\n");
+    }
+  else if ((glib_major_version != GLIB_MAJOR_VERSION) ||
+	   (glib_minor_version != GLIB_MINOR_VERSION) ||
+           (glib_micro_version != GLIB_MICRO_VERSION))
+    {
+      printf("*** GLIB header files (version %d.%d.%d) do not match\n",
+	     GLIB_MAJOR_VERSION, GLIB_MINOR_VERSION, GLIB_MICRO_VERSION);
+      printf("*** library (version %d.%d.%d)\n",
+	     glib_major_version, glib_minor_version, glib_micro_version);
+    }
+  else
+    {
+      if ((glib_major_version > major) ||
+        ((glib_major_version == major) && (glib_minor_version > minor)) ||
+        ((glib_major_version == major) && (glib_minor_version == minor) && (glib_micro_version >= micro)))
+      {
+        return 0;
+       }
+     else
+      {
+        printf("\n*** An old version of GLIB (%d.%d.%d) was found.\n",
+               glib_major_version, glib_minor_version, glib_micro_version);
+        printf("*** You need a version of GLIB newer than %d.%d.%d. The latest version of\n",
+	       major, minor, micro);
+        printf("*** GLIB is always available from ftp://ftp.gtk.org.\n");
+        printf("***\n");
+        printf("*** If you have already installed a sufficiently new version, this error\n");
+        printf("*** probably means that the wrong copy of the pkg-config shell script is\n");
+        printf("*** being found. The easiest way to fix this is to remove the old version\n");
+        printf("*** of GLIB, but you can also set the PKG_CONFIG environment to point to the\n");
+        printf("*** correct copy of pkg-config. (In this case, you will have to\n");
+        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
+        printf("*** so that the correct libraries are found at run-time))\n");
+      }
+    }
+  return 1;
+}
 
+_ACEOF
+rm -f conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  :
+else
+  $as_echo "$as_me: program exited with status $ac_status" >&5
+$as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+( exit $ac_status )
+no_glib=yes
+fi
+rm -rf conftest.dSYM
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
 
 
+       CFLAGS="$ac_save_CFLAGS"
+       LIBS="$ac_save_LIBS"
+     fi
+  fi
+  if test "x$no_glib" = x ; then
+     { $as_echo "$as_me:$LINENO: result: yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&5
+$as_echo "yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&6; }
+     :
+  else
+     { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+     if test "$PKG_CONFIG" = "no" ; then
+       echo "*** A new enough version of pkg-config was not found."
+       echo "*** See http://www.freedesktop.org/software/pkgconfig/"
+     else
+       if test -f conf.glibtest ; then
+        :
+       else
+          echo "*** Could not run GLIB test program, checking why..."
+          ac_save_CFLAGS="$CFLAGS"
+          ac_save_LIBS="$LIBS"
+          CFLAGS="$CFLAGS $GLIB_CFLAGS"
+          LIBS="$LIBS $GLIB_LIBS"
+          cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
+#include <glib.h>
+#include <stdio.h>
 
+int
+main ()
+{
+ return ((glib_major_version) || (glib_minor_version) || (glib_micro_version));
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+   echo "*** The test program compiled, but did not run. This usually means"
+          echo "*** that the run-time linker is not finding GLIB or finding the wrong"
+          echo "*** version of GLIB. If it is not finding GLIB, you'll need to set your"
+          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
+          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
+          echo "*** is required on your system"
+	  echo "***"
+          echo "*** If you have an old version installed, it is best to remove it, although"
+          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	 echo "*** The test program failed to compile or link. See the file config.log for the"
+          echo "*** exact error that occured. This usually means GLIB is incorrectly installed."
+fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+          CFLAGS="$ac_save_CFLAGS"
+          LIBS="$ac_save_LIBS"
+       fi
+     fi
+     GLIB_CFLAGS=""
+     GLIB_LIBS=""
+     GLIB_GENMARSHAL=""
+     GOBJECT_QUERY=""
+     GLIB_MKENUMS=""
+     :
+  fi
 
 
 
 
 
+  rm -f conf.glibtest
 
 
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for GLIB2" >&5
+$as_echo_n "checking for GLIB2... " >&6; }
 
+if test -n "$GLIB2_CFLAGS"; then
+    pkg_cv_GLIB2_CFLAGS="$GLIB2_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    glib-2.0 >= 2.18
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    glib-2.0 >= 2.18
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GLIB2_CFLAGS=`$PKG_CONFIG --cflags "
+    glib-2.0 >= 2.18
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+if test -n "$GLIB2_LIBS"; then
+    pkg_cv_GLIB2_LIBS="$GLIB2_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    glib-2.0 >= 2.18
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    glib-2.0 >= 2.18
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GLIB2_LIBS=`$PKG_CONFIG --libs "
+    glib-2.0 >= 2.18
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
 
 
 
+if test $pkg_failed = yes; then
 
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GLIB2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
+    glib-2.0 >= 2.18
+" 2>&1`
+        else
+	        GLIB2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
+    glib-2.0 >= 2.18
+" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$GLIB2_PKG_ERRORS" >&5
 
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
+    glib-2.0 >= 2.18
+) were not met:
 
+$GLIB2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GLIB2_CFLAGS
+and GLIB2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (
+    glib-2.0 >= 2.18
+) were not met:
 
+$GLIB2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GLIB2_CFLAGS
+and GLIB2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
+Alternatively, you may set the environment variables GLIB2_CFLAGS
+and GLIB2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
+Alternatively, you may set the environment variables GLIB2_CFLAGS
+and GLIB2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	GLIB2_CFLAGS=$pkg_cv_GLIB2_CFLAGS
+	GLIB2_LIBS=$pkg_cv_GLIB2_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
 
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for GOBJECT2" >&5
+$as_echo_n "checking for GOBJECT2... " >&6; }
 
+if test -n "$GOBJECT2_CFLAGS"; then
+    pkg_cv_GOBJECT2_CFLAGS="$GOBJECT2_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gobject-2.0 >= 2.18
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gobject-2.0 >= 2.18
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GOBJECT2_CFLAGS=`$PKG_CONFIG --cflags "
+    gobject-2.0 >= 2.18
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+if test -n "$GOBJECT2_LIBS"; then
+    pkg_cv_GOBJECT2_LIBS="$GOBJECT2_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gobject-2.0 >= 2.18
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gobject-2.0 >= 2.18
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GOBJECT2_LIBS=`$PKG_CONFIG --libs "
+    gobject-2.0 >= 2.18
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
 
 
 
+if test $pkg_failed = yes; then
 
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GOBJECT2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
+    gobject-2.0 >= 2.18
+" 2>&1`
+        else
+	        GOBJECT2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
+    gobject-2.0 >= 2.18
+" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$GOBJECT2_PKG_ERRORS" >&5
 
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
+    gobject-2.0 >= 2.18
+) were not met:
 
+$GOBJECT2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GOBJECT2_CFLAGS
+and GOBJECT2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (
+    gobject-2.0 >= 2.18
+) were not met:
 
+$GOBJECT2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GOBJECT2_CFLAGS
+and GOBJECT2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
+Alternatively, you may set the environment variables GOBJECT2_CFLAGS
+and GOBJECT2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
+Alternatively, you may set the environment variables GOBJECT2_CFLAGS
+and GOBJECT2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	GOBJECT2_CFLAGS=$pkg_cv_GOBJECT2_CFLAGS
+	GOBJECT2_LIBS=$pkg_cv_GOBJECT2_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
 
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for GIO2" >&5
+$as_echo_n "checking for GIO2... " >&6; }
 
+if test -n "$GIO2_CFLAGS"; then
+    pkg_cv_GIO2_CFLAGS="$GIO2_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gio-2.0 >= 2.18
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gio-2.0 >= 2.18
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GIO2_CFLAGS=`$PKG_CONFIG --cflags "
+    gio-2.0 >= 2.18
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+if test -n "$GIO2_LIBS"; then
+    pkg_cv_GIO2_LIBS="$GIO2_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gio-2.0 >= 2.18
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gio-2.0 >= 2.18
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GIO2_LIBS=`$PKG_CONFIG --libs "
+    gio-2.0 >= 2.18
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
 
 
 
+if test $pkg_failed = yes; then
 
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GIO2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
+    gio-2.0 >= 2.18
+" 2>&1`
+        else
+	        GIO2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
+    gio-2.0 >= 2.18
+" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$GIO2_PKG_ERRORS" >&5
 
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
+    gio-2.0 >= 2.18
+) were not met:
 
+$GIO2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GIO2_CFLAGS
+and GIO2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (
+    gio-2.0 >= 2.18
+) were not met:
 
+$GIO2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GIO2_CFLAGS
+and GIO2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
+Alternatively, you may set the environment variables GIO2_CFLAGS
+and GIO2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
+Alternatively, you may set the environment variables GIO2_CFLAGS
+and GIO2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	GIO2_CFLAGS=$pkg_cv_GIO2_CFLAGS
+	GIO2_LIBS=$pkg_cv_GIO2_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
+# PKG_CHECK_MODULES(PYGOBJECT2, [
+#     pygobject-2.0 >= 2.14
+# ])
 
+# check for gtk, gdk & pygtk
 
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for GTK2" >&5
+$as_echo_n "checking for GTK2... " >&6; }
 
+if test -n "$GTK2_CFLAGS"; then
+    pkg_cv_GTK2_CFLAGS="$GTK2_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gtk+-2.0
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gtk+-2.0
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GTK2_CFLAGS=`$PKG_CONFIG --cflags "
+    gtk+-2.0
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+if test -n "$GTK2_LIBS"; then
+    pkg_cv_GTK2_LIBS="$GTK2_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gtk+-2.0
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gtk+-2.0
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GTK2_LIBS=`$PKG_CONFIG --libs "
+    gtk+-2.0
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
 
 
 
+if test $pkg_failed = yes; then
 
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GTK2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
+    gtk+-2.0
+" 2>&1`
+        else
+	        GTK2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
+    gtk+-2.0
+" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$GTK2_PKG_ERRORS" >&5
 
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
+    gtk+-2.0
+) were not met:
 
+$GTK2_PKG_ERRORS
 
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables GTK2_CFLAGS
+and GTK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (
+    gtk+-2.0
+) were not met:
 
-# Check the gettext tools to make sure they are GNU
-# Extract the first word of "xgettext", so it can be a program name with args.
-set dummy xgettext; ac_word=$2
+$GTK2_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GTK2_CFLAGS
+and GTK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GTK2_CFLAGS
+and GTK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GTK2_CFLAGS
+and GTK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	GTK2_CFLAGS=$pkg_cv_GTK2_CFLAGS
+	GTK2_LIBS=$pkg_cv_GTK2_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
+
+gtk_binary_version=`$PKG_CONFIG --variable=gtk_binary_version gtk+-2.0`
+GTK_IM_MODULEDIR="$libdir"/gtk-2.0/$gtk_binary_version/immodules
+
+
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for GDK2" >&5
+$as_echo_n "checking for GDK2... " >&6; }
+
+if test -n "$GDK2_CFLAGS"; then
+    pkg_cv_GDK2_CFLAGS="$GDK2_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gdk-2.0
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gdk-2.0
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GDK2_CFLAGS=`$PKG_CONFIG --cflags "
+    gdk-2.0
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+if test -n "$GDK2_LIBS"; then
+    pkg_cv_GDK2_LIBS="$GDK2_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    gdk-2.0
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    gdk-2.0
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GDK2_LIBS=`$PKG_CONFIG --libs "
+    gdk-2.0
+" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GDK2_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
+    gdk-2.0
+" 2>&1`
+        else
+	        GDK2_PKG_ERRORS=`$PKG_CONFIG --print-errors "
+    gdk-2.0
+" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$GDK2_PKG_ERRORS" >&5
+
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
+    gdk-2.0
+) were not met:
+
+$GDK2_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GDK2_CFLAGS
+and GDK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (
+    gdk-2.0
+) were not met:
+
+$GDK2_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GDK2_CFLAGS
+and GDK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GDK2_CFLAGS
+and GDK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GDK2_CFLAGS
+and GDK2_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	GDK2_CFLAGS=$pkg_cv_GDK2_CFLAGS
+	GDK2_LIBS=$pkg_cv_GDK2_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
+
+# check for gtk-doc
+
+
+# Check whether --with-html-dir was given.
+if test "${with_html_dir+set}" = set; then
+  withval=$with_html_dir;
+else
+  with_html_dir='${datadir}/gtk-doc/html'
+fi
+
+  HTML_DIR="$with_html_dir"
+
+
+    # Check whether --enable-gtk-doc was given.
+if test "${enable_gtk_doc+set}" = set; then
+  enableval=$enable_gtk_doc;
+else
+  enable_gtk_doc=no
+fi
+
+
+  if test x$enable_gtk_doc = xyes; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk-doc >= 1.9\"") >&5
+  ($PKG_CONFIG --exists --print-errors "gtk-doc >= 1.9") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  :
+else
+  { { $as_echo "$as_me:$LINENO: error: You need to have gtk-doc >= 1.9 installed to build gtk-doc" >&5
+$as_echo "$as_me: error: You need to have gtk-doc >= 1.9 installed to build gtk-doc" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+  fi
+
+  { $as_echo "$as_me:$LINENO: checking whether to build gtk-doc documentation" >&5
+$as_echo_n "checking whether to build gtk-doc documentation... " >&6; }
+  { $as_echo "$as_me:$LINENO: result: $enable_gtk_doc" >&5
+$as_echo "$enable_gtk_doc" >&6; }
+
+  for ac_prog in gtkdoc-check
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_XGETTEXT+set}" = set; then
+if test "${ac_cv_path_GTKDOC_CHECK+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  case $XGETTEXT in
+  case $GTKDOC_CHECK in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.
+  ac_cv_path_GTKDOC_CHECK="$GTKDOC_CHECK" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -18968,7 +19009,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_XGETTEXT="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_GTKDOC_CHECK="$as_dir/$ac_word$ac_exec_ext"
     $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -18979,378 +19020,326 @@ IFS=$as_save_IFS
   ;;
 esac
 fi
-XGETTEXT=$ac_cv_path_XGETTEXT
-if test -n "$XGETTEXT"; then
-  { $as_echo "$as_me:$LINENO: result: $XGETTEXT" >&5
-$as_echo "$XGETTEXT" >&6; }
+GTKDOC_CHECK=$ac_cv_path_GTKDOC_CHECK
+if test -n "$GTKDOC_CHECK"; then
+  { $as_echo "$as_me:$LINENO: result: $GTKDOC_CHECK" >&5
+$as_echo "$GTKDOC_CHECK" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
-# Extract the first word of "msgmerge", so it can be a program name with args.
-set dummy msgmerge; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_MSGMERGE+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case $MSGMERGE in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_MSGMERGE="$MSGMERGE" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_MSGMERGE="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
+  test -n "$GTKDOC_CHECK" && break
 done
-IFS=$as_save_IFS
 
-  ;;
-esac
+
+   if test x$enable_gtk_doc = xyes; then
+  ENABLE_GTK_DOC_TRUE=
+  ENABLE_GTK_DOC_FALSE='#'
+else
+  ENABLE_GTK_DOC_TRUE='#'
+  ENABLE_GTK_DOC_FALSE=
 fi
-MSGMERGE=$ac_cv_path_MSGMERGE
-if test -n "$MSGMERGE"; then
-  { $as_echo "$as_me:$LINENO: result: $MSGMERGE" >&5
-$as_echo "$MSGMERGE" >&6; }
+
+   if test -n "$LIBTOOL"; then
+  GTK_DOC_USE_LIBTOOL_TRUE=
+  GTK_DOC_USE_LIBTOOL_FALSE='#'
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+  GTK_DOC_USE_LIBTOOL_TRUE='#'
+  GTK_DOC_USE_LIBTOOL_FALSE=
 fi
 
 
-# Extract the first word of "msgfmt", so it can be a program name with args.
-set dummy msgfmt; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_MSGFMT+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case $MSGFMT in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_MSGFMT="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
 
-  ;;
-esac
-fi
-MSGFMT=$ac_cv_path_MSGFMT
-if test -n "$MSGFMT"; then
-  { $as_echo "$as_me:$LINENO: result: $MSGFMT" >&5
-$as_echo "$MSGFMT" >&6; }
-else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-fi
+# check for dbus-glib
 
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for DBUS" >&5
+$as_echo_n "checking for DBUS... " >&6; }
 
-# Extract the first word of "gmsgfmt", so it can be a program name with args.
-set dummy gmsgfmt; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_GMSGFMT+set}" = set; then
-  $as_echo_n "(cached) " >&6
+if test -n "$DBUS_CFLAGS"; then
+    pkg_cv_DBUS_CFLAGS="$DBUS_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    dbus-1
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    dbus-1
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_DBUS_CFLAGS=`$PKG_CONFIG --cflags "
+    dbus-1
+" 2>/dev/null`
 else
-  case $GMSGFMT in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"
-  ;;
-esac
+  pkg_failed=yes
 fi
-GMSGFMT=$ac_cv_path_GMSGFMT
-if test -n "$GMSGFMT"; then
-  { $as_echo "$as_me:$LINENO: result: $GMSGFMT" >&5
-$as_echo "$GMSGFMT" >&6; }
+ else
+    pkg_failed=untried
+fi
+if test -n "$DBUS_LIBS"; then
+    pkg_cv_DBUS_LIBS="$DBUS_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
+    dbus-1
+\"") >&5
+  ($PKG_CONFIG --exists --print-errors "
+    dbus-1
+") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_DBUS_LIBS=`$PKG_CONFIG --libs "
+    dbus-1
+" 2>/dev/null`
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
 fi
 
 
-if test -z "$XGETTEXT" -o -z "$MSGMERGE" -o -z "$MSGFMT"; then
-    { { $as_echo "$as_me:$LINENO: error: GNU gettext tools not found; required for intltool" >&5
-$as_echo "$as_me: error: GNU gettext tools not found; required for intltool" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-xgversion="`$XGETTEXT --version|grep '(GNU ' 2> /dev/null`"
-mmversion="`$MSGMERGE --version|grep '(GNU ' 2> /dev/null`"
-mfversion="`$MSGFMT --version|grep '(GNU ' 2> /dev/null`"
-if test -z "$xgversion" -o -z "$mmversion" -o -z "$mfversion"; then
-    { { $as_echo "$as_me:$LINENO: error: GNU gettext tools not found; required for intltool" >&5
-$as_echo "$as_me: error: GNU gettext tools not found; required for intltool" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 
-# Extract the first word of "perl", so it can be a program name with args.
-set dummy perl; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_INTLTOOL_PERL+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case $INTLTOOL_PERL in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_INTLTOOL_PERL="$INTLTOOL_PERL" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_INTLTOOL_PERL="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
+if test $pkg_failed = yes; then
 
-  ;;
-esac
-fi
-INTLTOOL_PERL=$ac_cv_path_INTLTOOL_PERL
-if test -n "$INTLTOOL_PERL"; then
-  { $as_echo "$as_me:$LINENO: result: $INTLTOOL_PERL" >&5
-$as_echo "$INTLTOOL_PERL" >&6; }
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+        _pkg_short_errors_supported=no
 fi
+        if test $_pkg_short_errors_supported = yes; then
+	        DBUS_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "
+    dbus-1
+" 2>&1`
+        else
+	        DBUS_PKG_ERRORS=`$PKG_CONFIG --print-errors "
+    dbus-1
+" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$DBUS_PKG_ERRORS" >&5
 
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (
+    dbus-1
+) were not met:
 
-if test -z "$INTLTOOL_PERL"; then
-   { { $as_echo "$as_me:$LINENO: error: perl not found" >&5
-$as_echo "$as_me: error: perl not found" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-{ $as_echo "$as_me:$LINENO: checking for perl >= 5.8.1" >&5
-$as_echo_n "checking for perl >= 5.8.1... " >&6; }
-$INTLTOOL_PERL -e "use 5.8.1;" > /dev/null 2>&1
-if test $? -ne 0; then
-   { { $as_echo "$as_me:$LINENO: error: perl 5.8.1 is required for intltool" >&5
-$as_echo "$as_me: error: perl 5.8.1 is required for intltool" >&2;}
-   { (exit 1); exit 1; }; }
-else
-   IT_PERL_VERSION="`$INTLTOOL_PERL -e \"printf '%vd', $^V\"`"
-   { $as_echo "$as_me:$LINENO: result: $IT_PERL_VERSION" >&5
-$as_echo "$IT_PERL_VERSION" >&6; }
-fi
-if test "x" != "xno-xml"; then
-   { $as_echo "$as_me:$LINENO: checking for XML::Parser" >&5
-$as_echo_n "checking for XML::Parser... " >&6; }
-   if `$INTLTOOL_PERL -e "require XML::Parser" 2>/dev/null`; then
-       { $as_echo "$as_me:$LINENO: result: ok" >&5
-$as_echo "ok" >&6; }
-   else
-       { { $as_echo "$as_me:$LINENO: error: XML::Parser perl module is required for intltool" >&5
-$as_echo "$as_me: error: XML::Parser perl module is required for intltool" >&2;}
-   { (exit 1); exit 1; }; }
-   fi
-fi
+$DBUS_PKG_ERRORS
 
-# Substitute ALL_LINGUAS so we can use it in po/Makefile
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
+Alternatively, you may set the environment variables DBUS_CFLAGS
+and DBUS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (
+    dbus-1
+) were not met:
 
-# Set DATADIRNAME correctly if it is not set yet
-# (copied from glib-gettext.m4)
-if test -z "$DATADIRNAME"; then
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
+$DBUS_PKG_ERRORS
 
-int
-main ()
-{
-extern int _nl_msg_cat_cntr;
-                       return _nl_msg_cat_cntr
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  DATADIRNAME=share
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
 
-	case $host in
-    *-*-solaris*)
-                        { $as_echo "$as_me:$LINENO: checking for bind_textdomain_codeset" >&5
-$as_echo_n "checking for bind_textdomain_codeset... " >&6; }
-if test "${ac_cv_func_bind_textdomain_codeset+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-/* Define bind_textdomain_codeset to an innocuous variant, in case <limits.h> declares bind_textdomain_codeset.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define bind_textdomain_codeset innocuous_bind_textdomain_codeset
+Alternatively, you may set the environment variables DBUS_CFLAGS
+and DBUS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char bind_textdomain_codeset (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
+Alternatively, you may set the environment variables DBUS_CFLAGS
+and DBUS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
 
-#undef bind_textdomain_codeset
+Alternatively, you may set the environment variables DBUS_CFLAGS
+and DBUS_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
 
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char bind_textdomain_codeset ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined __stub_bind_textdomain_codeset || defined __stub___bind_textdomain_codeset
-choke me
-#endif
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	DBUS_CFLAGS=$pkg_cv_DBUS_CFLAGS
+	DBUS_LIBS=$pkg_cv_DBUS_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
 
-int
-main ()
-{
-return bind_textdomain_codeset ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
+# check gconf
+
+pkg_failed=no
+{ $as_echo "$as_me:$LINENO: checking for GCONF" >&5
+$as_echo_n "checking for GCONF... " >&6; }
+
+if test -n "$GCONF_CFLAGS"; then
+    pkg_cv_GCONF_CFLAGS="$GCONF_CFLAGS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gconf-2.0 >= 2.12\"") >&5
+  ($PKG_CONFIG --exists --print-errors "gconf-2.0 >= 2.12") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_GCONF_CFLAGS=`$PKG_CONFIG --cflags "gconf-2.0 >= 2.12" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+ else
+    pkg_failed=untried
+fi
+if test -n "$GCONF_LIBS"; then
+    pkg_cv_GCONF_LIBS="$GCONF_LIBS"
+ elif test -n "$PKG_CONFIG"; then
+    if test -n "$PKG_CONFIG" && \
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gconf-2.0 >= 2.12\"") >&5
+  ($PKG_CONFIG --exists --print-errors "gconf-2.0 >= 2.12") 2>&5
   ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  ac_cv_func_bind_textdomain_codeset=yes
+  (exit $ac_status); }; then
+  pkg_cv_GCONF_LIBS=`$PKG_CONFIG --libs "gconf-2.0 >= 2.12" 2>/dev/null`
 else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_func_bind_textdomain_codeset=no
+  pkg_failed=yes
 fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
+ else
+    pkg_failed=untried
 fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_func_bind_textdomain_codeset" >&5
-$as_echo "$ac_cv_func_bind_textdomain_codeset" >&6; }
-if test "x$ac_cv_func_bind_textdomain_codeset" = x""yes; then
-  DATADIRNAME=share
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
 else
-  DATADIRNAME=lib
+        _pkg_short_errors_supported=no
 fi
+        if test $_pkg_short_errors_supported = yes; then
+	        GCONF_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "gconf-2.0 >= 2.12" 2>&1`
+        else
+	        GCONF_PKG_ERRORS=`$PKG_CONFIG --print-errors "gconf-2.0 >= 2.12" 2>&1`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$GCONF_PKG_ERRORS" >&5
 
-    ;;
-    *)
-    DATADIRNAME=lib
-    ;;
-    esac
-fi
+	{ { $as_echo "$as_me:$LINENO: error: Package requirements (gconf-2.0 >= 2.12) were not met:
 
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-fi
+$GCONF_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GCONF_CFLAGS
+and GCONF_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+$as_echo "$as_me: error: Package requirements (gconf-2.0 >= 2.12) were not met:
 
+$GCONF_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GCONF_CFLAGS
+and GCONF_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GCONF_CFLAGS
+and GCONF_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GCONF_CFLAGS
+and GCONF_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+else
+	GCONF_CFLAGS=$pkg_cv_GCONF_CFLAGS
+	GCONF_LIBS=$pkg_cv_GCONF_LIBS
+        { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+	:
+fi
 
+# Extract the first word of "gconftool-2", so it can be a program name with args.
+set dummy gconftool-2; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_GCONFTOOL+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $GCONFTOOL in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_GCONFTOOL="$GCONFTOOL" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_GCONFTOOL="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
+  test -z "$ac_cv_path_GCONFTOOL" && ac_cv_path_GCONFTOOL="no"
+  ;;
+esac
+fi
+GCONFTOOL=$ac_cv_path_GCONFTOOL
+if test -n "$GCONFTOOL"; then
+  { $as_echo "$as_me:$LINENO: result: $GCONFTOOL" >&5
+$as_echo "$GCONFTOOL" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
 
 
+if test x"$GCONFTOOL" = xno; then
+    { { $as_echo "$as_me:$LINENO: error: gconftool-2 executable not found in your path - should be installed with GConf" >&5
+$as_echo "$as_me: error: gconftool-2 executable not found in your path - should be installed with GConf" >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 
   if test "x$GCONF_SCHEMA_INSTALL_SOURCE" = "x"; then
@@ -20056,943 +20045,794 @@ IFS=$as_save_IFS
   ;;
 esac
 fi
-PYTHON_CONFIG=$ac_cv_path_PYTHON_CONFIG
-if test -n "$PYTHON_CONFIG"; then
-  { $as_echo "$as_me:$LINENO: result: $PYTHON_CONFIG" >&5
-$as_echo "$PYTHON_CONFIG" >&6; }
-else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-fi
-
-
-fi
-if test x"$PYTHON_CONFIG" != x""; then
-    PYTHON_CFLAGS=`$PYTHON_CONFIG --includes`
-    PYTHON_LIBS=`$PYTHON_CONFIG --libs`
-else
-    PYTHON_CFLAGS=`$PYTHON $srcdir/python-config.py --includes`
-    PYTHON_LIBS=`$PYTHON $srcdir/python-config.py --libs`
-fi
-PYTHON_INCLUDES="$PYTHON_CFLAGS"
-
-
-
-
-#
-REBUILD = #
-
-
-# define GETTEXT_* variables
-GETTEXT_PACKAGE=ibus
-
-
-cat >>confdefs.h <<_ACEOF
-#define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
-_ACEOF
-
-
-
-
-
-
-# Prepare PATH_SEPARATOR.
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
-fi
-
-# Find out how to test for executable files. Don't use a zero-byte file,
-# as systems may use methods other than mode bits to determine executability.
-cat >conf$$.file <<_ASEOF
-#! /bin/sh
-exit 0
-_ASEOF
-chmod +x conf$$.file
-if test -x conf$$.file >/dev/null 2>&1; then
-  ac_executable_p="test -x"
-else
-  ac_executable_p="test -f"
-fi
-rm -f conf$$.file
-
-# Extract the first word of "msgfmt", so it can be a program name with args.
-set dummy msgfmt; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_MSGFMT+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case "$MSGFMT" in
-  [\\/]* | ?:[\\/]*)
-    ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.
-    ;;
-  *)
-    ac_save_IFS="$IFS"; IFS=$PATH_SEPARATOR
-    for ac_dir in $PATH; do
-      IFS="$ac_save_IFS"
-      test -z "$ac_dir" && ac_dir=.
-      for ac_exec_ext in '' $ac_executable_extensions; do
-        if $ac_executable_p "$ac_dir/$ac_word$ac_exec_ext"; then
-          echo "$as_me: trying $ac_dir/$ac_word..." >&5
-          if $ac_dir/$ac_word --statistics /dev/null >&5 2>&1 &&
-     (if $ac_dir/$ac_word --statistics /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi); then
-            ac_cv_path_MSGFMT="$ac_dir/$ac_word$ac_exec_ext"
-            break 2
-          fi
-        fi
-      done
-    done
-    IFS="$ac_save_IFS"
-  test -z "$ac_cv_path_MSGFMT" && ac_cv_path_MSGFMT=":"
-    ;;
-esac
-fi
-MSGFMT="$ac_cv_path_MSGFMT"
-if test "$MSGFMT" != ":"; then
-  { $as_echo "$as_me:$LINENO: result: $MSGFMT" >&5
-$as_echo "$MSGFMT" >&6; }
-else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
-fi
-
-  # Extract the first word of "gmsgfmt", so it can be a program name with args.
-set dummy gmsgfmt; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_GMSGFMT+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  case $GMSGFMT in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"
-  ;;
-esac
-fi
-GMSGFMT=$ac_cv_path_GMSGFMT
-if test -n "$GMSGFMT"; then
-  { $as_echo "$as_me:$LINENO: result: $GMSGFMT" >&5
-$as_echo "$GMSGFMT" >&6; }
+PYTHON_CONFIG=$ac_cv_path_PYTHON_CONFIG
+if test -n "$PYTHON_CONFIG"; then
+  { $as_echo "$as_me:$LINENO: result: $PYTHON_CONFIG" >&5
+$as_echo "$PYTHON_CONFIG" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
+fi
+if test x"$PYTHON_CONFIG" != x""; then
+    PYTHON_CFLAGS=`$PYTHON_CONFIG --includes`
+    PYTHON_LIBS=`$PYTHON_CONFIG --libs`
+else
+    PYTHON_CFLAGS=`$PYTHON $srcdir/python-config.py --includes`
+    PYTHON_LIBS=`$PYTHON $srcdir/python-config.py --libs`
+fi
+PYTHON_INCLUDES="$PYTHON_CFLAGS"
 
-    case `$MSGFMT --version | sed 1q | sed -e 's,^[^0-9]*,,'` in
-    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-4] | 0.1[0-4].*) MSGFMT_015=: ;;
-    *) MSGFMT_015=$MSGFMT ;;
-  esac
 
-  case `$GMSGFMT --version | sed 1q | sed -e 's,^[^0-9]*,,'` in
-    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-4] | 0.1[0-4].*) GMSGFMT_015=: ;;
-    *) GMSGFMT_015=$GMSGFMT ;;
-  esac
 
 
+#
+# REBUILD = \#
+# AC_SUBST(REBUILD)
 
-# Prepare PATH_SEPARATOR.
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
-fi
+# define GETTEXT_* variables
+GETTEXT_PACKAGE=ibus
 
-# Find out how to test for executable files. Don't use a zero-byte file,
-# as systems may use methods other than mode bits to determine executability.
-cat >conf$$.file <<_ASEOF
-#! /bin/sh
-exit 0
-_ASEOF
-chmod +x conf$$.file
-if test -x conf$$.file >/dev/null 2>&1; then
-  ac_executable_p="test -x"
-else
-  ac_executable_p="test -f"
-fi
-rm -f conf$$.file
 
-# Extract the first word of "xgettext", so it can be a program name with args.
-set dummy xgettext; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_XGETTEXT+set}" = set; then
+cat >>confdefs.h <<_ACEOF
+#define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
+_ACEOF
+
+
+
+
+for ac_header in locale.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 else
-  case "$XGETTEXT" in
-  [\\/]* | ?:[\\/]*)
-    ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.
-    ;;
-  *)
-    ac_save_IFS="$IFS"; IFS=$PATH_SEPARATOR
-    for ac_dir in $PATH; do
-      IFS="$ac_save_IFS"
-      test -z "$ac_dir" && ac_dir=.
-      for ac_exec_ext in '' $ac_executable_extensions; do
-        if $ac_executable_p "$ac_dir/$ac_word$ac_exec_ext"; then
-          echo "$as_me: trying $ac_dir/$ac_word..." >&5
-          if $ac_dir/$ac_word --omit-header --copyright-holder= --msgid-bugs-address= /dev/null >&5 2>&1 &&
-     (if $ac_dir/$ac_word --omit-header --copyright-holder= --msgid-bugs-address= /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi); then
-            ac_cv_path_XGETTEXT="$ac_dir/$ac_word$ac_exec_ext"
-            break 2
-          fi
-        fi
-      done
-    done
-    IFS="$ac_save_IFS"
-  test -z "$ac_cv_path_XGETTEXT" && ac_cv_path_XGETTEXT=":"
-    ;;
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
 esac
-fi
-XGETTEXT="$ac_cv_path_XGETTEXT"
-if test "$XGETTEXT" != ":"; then
-  { $as_echo "$as_me:$LINENO: result: $XGETTEXT" >&5
-$as_echo "$XGETTEXT" >&6; }
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
 fi
 
-    rm -f messages.po
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
 
-    case `$XGETTEXT --version | sed 1q | sed -e 's,^[^0-9]*,,'` in
-    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-4] | 0.1[0-4].*) XGETTEXT_015=: ;;
-    *) XGETTEXT_015=$XGETTEXT ;;
-  esac
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+  ac_header_preproc=no
+fi
 
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## --------------------------------------------------------- ##
+## Report this to http://code.google.com/p/ibus/issues/entry ##
+## --------------------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 
-# Prepare PATH_SEPARATOR.
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
 fi
+as_val=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
 
-# Find out how to test for executable files. Don't use a zero-byte file,
-# as systems may use methods other than mode bits to determine executability.
-cat >conf$$.file <<_ASEOF
-#! /bin/sh
-exit 0
-_ASEOF
-chmod +x conf$$.file
-if test -x conf$$.file >/dev/null 2>&1; then
-  ac_executable_p="test -x"
-else
-  ac_executable_p="test -f"
 fi
-rm -f conf$$.file
 
-# Extract the first word of "msgmerge", so it can be a program name with args.
-set dummy msgmerge; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_MSGMERGE+set}" = set; then
+done
+
+    if test $ac_cv_header_locale_h = yes; then
+    { $as_echo "$as_me:$LINENO: checking for LC_MESSAGES" >&5
+$as_echo_n "checking for LC_MESSAGES... " >&6; }
+if test "${am_cv_val_LC_MESSAGES+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  case "$MSGMERGE" in
-  [\\/]* | ?:[\\/]*)
-    ac_cv_path_MSGMERGE="$MSGMERGE" # Let the user override the test with a path.
-    ;;
-  *)
-    ac_save_IFS="$IFS"; IFS=$PATH_SEPARATOR
-    for ac_dir in $PATH; do
-      IFS="$ac_save_IFS"
-      test -z "$ac_dir" && ac_dir=.
-      for ac_exec_ext in '' $ac_executable_extensions; do
-        if $ac_executable_p "$ac_dir/$ac_word$ac_exec_ext"; then
-          echo "$as_me: trying $ac_dir/$ac_word..." >&5
-          if $ac_dir/$ac_word --update -q /dev/null /dev/null >&5 2>&1; then
-            ac_cv_path_MSGMERGE="$ac_dir/$ac_word$ac_exec_ext"
-            break 2
-          fi
-        fi
-      done
-    done
-    IFS="$ac_save_IFS"
-  test -z "$ac_cv_path_MSGMERGE" && ac_cv_path_MSGMERGE=":"
-    ;;
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <locale.h>
+int
+main ()
+{
+return LC_MESSAGES
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
 esac
-fi
-MSGMERGE="$ac_cv_path_MSGMERGE"
-if test "$MSGMERGE" != ":"; then
-  { $as_echo "$as_me:$LINENO: result: $MSGMERGE" >&5
-$as_echo "$MSGMERGE" >&6; }
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  am_cv_val_LC_MESSAGES=yes
 else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	am_cv_val_LC_MESSAGES=no
 fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ $as_echo "$as_me:$LINENO: result: $am_cv_val_LC_MESSAGES" >&5
+$as_echo "$am_cv_val_LC_MESSAGES" >&6; }
+    if test $am_cv_val_LC_MESSAGES = yes; then
 
-        test -n "$localedir" || localedir='${datadir}/locale'
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_LC_MESSAGES 1
+_ACEOF
 
+    fi
+  fi
+     USE_NLS=yes
 
-  ac_config_commands="$ac_config_commands po-directories"
 
+    gt_cv_have_gettext=no
 
+    CATOBJEXT=NONE
+    XGETTEXT=:
+    INTLLIBS=
 
-      if test "X$prefix" = "XNONE"; then
-    acl_final_prefix="$ac_default_prefix"
-  else
-    acl_final_prefix="$prefix"
-  fi
-  if test "X$exec_prefix" = "XNONE"; then
-    acl_final_exec_prefix='${prefix}'
-  else
-    acl_final_exec_prefix="$exec_prefix"
-  fi
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  eval acl_final_exec_prefix=\"$acl_final_exec_prefix\"
-  prefix="$acl_save_prefix"
+    if test "${ac_cv_header_libintl_h+set}" = set; then
+  { $as_echo "$as_me:$LINENO: checking for libintl.h" >&5
+$as_echo_n "checking for libintl.h... " >&6; }
+if test "${ac_cv_header_libintl_h+set}" = set; then
+  $as_echo_n "(cached) " >&6
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5
+$as_echo "$ac_cv_header_libintl_h" >&6; }
+else
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking libintl.h usability" >&5
+$as_echo_n "checking libintl.h usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <libintl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	ac_header_compiler=no
+fi
 
-# Check whether --with-gnu-ld was given.
-if test "${with_gnu_ld+set}" = set; then
-  withval=$with_gnu_ld; test "$withval" = no || with_gnu_ld=yes
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking libintl.h presence" >&5
+$as_echo_n "checking libintl.h presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <libintl.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
 else
-  with_gnu_ld=no
-fi
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-# Prepare PATH_SEPARATOR.
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
+  ac_header_preproc=no
 fi
-ac_prog=ld
-if test "$GCC" = yes; then
-  # Check if gcc -print-prog-name=ld gives a path.
-  { $as_echo "$as_me:$LINENO: checking for ld used by GCC" >&5
-$as_echo_n "checking for ld used by GCC... " >&6; }
-  case $host in
-  *-*-mingw*)
-    # gcc leaves a trailing carriage return which upsets mingw
-    ac_prog=`($CC -print-prog-name=ld) 2>&5 | tr -d '\015'` ;;
-  *)
-    ac_prog=`($CC -print-prog-name=ld) 2>&5` ;;
-  esac
-  case $ac_prog in
-    # Accept absolute paths.
-    [\\/]* | [A-Za-z]:[\\/]*)
-      re_direlt='/[^/][^/]*/\.\./'
-      # Canonicalize the path of ld
-      ac_prog=`echo $ac_prog| sed 's%\\\\%/%g'`
-      while echo $ac_prog | grep "$re_direlt" > /dev/null 2>&1; do
-	ac_prog=`echo $ac_prog| sed "s%$re_direlt%/%"`
-      done
-      test -z "$LD" && LD="$ac_prog"
-      ;;
-  "")
-    # If it fails, then pretend we aren't using GCC.
-    ac_prog=ld
+
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: libintl.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
     ;;
-  *)
-    # If it is relative, then search for the first ld in PATH.
-    with_gnu_ld=unknown
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: libintl.h: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: libintl.h:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: libintl.h: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: libintl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: libintl.h: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: libintl.h: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: libintl.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## --------------------------------------------------------- ##
+## Report this to http://code.google.com/p/ibus/issues/entry ##
+## --------------------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
     ;;
-  esac
-elif test "$with_gnu_ld" = yes; then
-  { $as_echo "$as_me:$LINENO: checking for GNU ld" >&5
-$as_echo_n "checking for GNU ld... " >&6; }
-else
-  { $as_echo "$as_me:$LINENO: checking for non-GNU ld" >&5
-$as_echo_n "checking for non-GNU ld... " >&6; }
-fi
-if test "${acl_cv_path_LD+set}" = set; then
+esac
+{ $as_echo "$as_me:$LINENO: checking for libintl.h" >&5
+$as_echo_n "checking for libintl.h... " >&6; }
+if test "${ac_cv_header_libintl_h+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  if test -z "$LD"; then
-  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}${PATH_SEPARATOR-:}"
-  for ac_dir in $PATH; do
-    test -z "$ac_dir" && ac_dir=.
-    if test -f "$ac_dir/$ac_prog" || test -f "$ac_dir/$ac_prog$ac_exeext"; then
-      acl_cv_path_LD="$ac_dir/$ac_prog"
-      # Check to see if the program is GNU ld.  I'd rather use --version,
-      # but apparently some GNU ld's only accept -v.
-      # Break only if it was the GNU/non-GNU ld that we prefer.
-      case `"$acl_cv_path_LD" -v 2>&1 < /dev/null` in
-      *GNU* | *'with BFD'*)
-	test "$with_gnu_ld" != no && break ;;
-      *)
-	test "$with_gnu_ld" != yes && break ;;
-      esac
-    fi
-  done
-  IFS="$ac_save_ifs"
-else
-  acl_cv_path_LD="$LD" # Let the user override the test with a path.
-fi
+  ac_cv_header_libintl_h=$ac_header_preproc
 fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5
+$as_echo "$ac_cv_header_libintl_h" >&6; }
 
-LD="$acl_cv_path_LD"
-if test -n "$LD"; then
-  { $as_echo "$as_me:$LINENO: result: $LD" >&5
-$as_echo "$LD" >&6; }
-else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
 fi
-test -z "$LD" && { { $as_echo "$as_me:$LINENO: error: no acceptable ld found in \$PATH" >&5
-$as_echo "$as_me: error: no acceptable ld found in \$PATH" >&2;}
-   { (exit 1); exit 1; }; }
-{ $as_echo "$as_me:$LINENO: checking if the linker ($LD) is GNU ld" >&5
-$as_echo_n "checking if the linker ($LD) is GNU ld... " >&6; }
-if test "${acl_cv_prog_gnu_ld+set}" = set; then
+if test "x$ac_cv_header_libintl_h" = x""yes; then
+  gt_cv_func_dgettext_libintl="no"
+      libintl_extra_libs=""
+
+      #
+      # First check in libc
+      #
+      { $as_echo "$as_me:$LINENO: checking for ngettext in libc" >&5
+$as_echo_n "checking for ngettext in libc... " >&6; }
+if test "${gt_cv_func_ngettext_libc+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  # I'd rather use --version here, but apparently some GNU ld's only accept -v.
-case `$LD -v 2>&1 </dev/null` in
-*GNU* | *'with BFD'*)
-  acl_cv_prog_gnu_ld=yes ;;
-*)
-  acl_cv_prog_gnu_ld=no ;;
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <libintl.h>
+
+int
+main ()
+{
+return !ngettext ("","", 1)
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
 esac
-fi
-{ $as_echo "$as_me:$LINENO: result: $acl_cv_prog_gnu_ld" >&5
-$as_echo "$acl_cv_prog_gnu_ld" >&6; }
-with_gnu_ld=$acl_cv_prog_gnu_ld
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  gt_cv_func_ngettext_libc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	gt_cv_func_ngettext_libc=no
+fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
 
+fi
+{ $as_echo "$as_me:$LINENO: result: $gt_cv_func_ngettext_libc" >&5
+$as_echo "$gt_cv_func_ngettext_libc" >&6; }
 
-                                                { $as_echo "$as_me:$LINENO: checking for shared library run path origin" >&5
-$as_echo_n "checking for shared library run path origin... " >&6; }
-if test "${acl_cv_rpath+set}" = set; then
+      if test "$gt_cv_func_ngettext_libc" = "yes" ; then
+	      { $as_echo "$as_me:$LINENO: checking for dgettext in libc" >&5
+$as_echo_n "checking for dgettext in libc... " >&6; }
+if test "${gt_cv_func_dgettext_libc+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <libintl.h>
+
+int
+main ()
+{
+return !dgettext ("","")
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  gt_cv_func_dgettext_libc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-    CC="$CC" GCC="$GCC" LDFLAGS="$LDFLAGS" LD="$LD" with_gnu_ld="$with_gnu_ld" \
-    ${CONFIG_SHELL-/bin/sh} "$ac_aux_dir/config.rpath" "$host" > conftest.sh
-    . ./conftest.sh
-    rm -f ./conftest.sh
-    acl_cv_rpath=done
-
-fi
-{ $as_echo "$as_me:$LINENO: result: $acl_cv_rpath" >&5
-$as_echo "$acl_cv_rpath" >&6; }
-  wl="$acl_cv_wl"
-  libext="$acl_cv_libext"
-  shlibext="$acl_cv_shlibext"
-  hardcode_libdir_flag_spec="$acl_cv_hardcode_libdir_flag_spec"
-  hardcode_libdir_separator="$acl_cv_hardcode_libdir_separator"
-  hardcode_direct="$acl_cv_hardcode_direct"
-  hardcode_minus_L="$acl_cv_hardcode_minus_L"
-    # Check whether --enable-rpath was given.
-if test "${enable_rpath+set}" = set; then
-  enableval=$enable_rpath; :
-else
-  enable_rpath=yes
+	gt_cv_func_dgettext_libc=no
 fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
 
-
-                  acl_libdirstem=lib
-  searchpath=`(LC_ALL=C $CC -print-search-dirs) 2>/dev/null | sed -n -e 's,^libraries: ,,p' | sed -e 's,^=,,'`
-  if test -n "$searchpath"; then
-    acl_save_IFS="${IFS= 	}"; IFS=":"
-    for searchdir in $searchpath; do
-      if test -d "$searchdir"; then
-        case "$searchdir" in
-          */lib64/ | */lib64 ) acl_libdirstem=lib64 ;;
-          *) searchdir=`cd "$searchdir" && pwd`
-             case "$searchdir" in
-               */lib64 ) acl_libdirstem=lib64 ;;
-             esac ;;
-        esac
+fi
+{ $as_echo "$as_me:$LINENO: result: $gt_cv_func_dgettext_libc" >&5
+$as_echo "$gt_cv_func_dgettext_libc" >&6; }
       fi
-    done
-    IFS="$acl_save_IFS"
-  fi
-
-
-
 
+      if test "$gt_cv_func_ngettext_libc" = "yes" ; then
 
+for ac_func in bind_textdomain_codeset
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
 
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
 
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
 
-    use_additional=yes
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-
-    eval additional_includedir=\"$includedir\"
-    eval additional_libdir=\"$libdir\"
-
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-
-# Check whether --with-libiconv-prefix was given.
-if test "${with_libiconv_prefix+set}" = set; then
-  withval=$with_libiconv_prefix;
-    if test "X$withval" = "Xno"; then
-      use_additional=no
-    else
-      if test "X$withval" = "X"; then
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
+#undef $ac_func
 
-          eval additional_includedir=\"$includedir\"
-          eval additional_libdir=\"$libdir\"
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
 
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  eval "$as_ac_var=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-      else
-        additional_includedir="$withval/include"
-        additional_libdir="$withval/$acl_libdirstem"
-      fi
-    fi
+	eval "$as_ac_var=no"
+fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
 fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
 
-      LIBICONV=
-  LTLIBICONV=
-  INCICONV=
-  rpathdirs=
-  ltrpathdirs=
-  names_already_handled=
-  names_next_round='iconv '
-  while test -n "$names_next_round"; do
-    names_this_round="$names_next_round"
-    names_next_round=
-    for name in $names_this_round; do
-      already_handled=
-      for n in $names_already_handled; do
-        if test "$n" = "$name"; then
-          already_handled=yes
-          break
-        fi
-      done
-      if test -z "$already_handled"; then
-        names_already_handled="$names_already_handled $name"
-                        uppername=`echo "$name" | sed -e 'y|abcdefghijklmnopqrstuvwxyz./-|ABCDEFGHIJKLMNOPQRSTUVWXYZ___|'`
-        eval value=\"\$HAVE_LIB$uppername\"
-        if test -n "$value"; then
-          if test "$value" = yes; then
-            eval value=\"\$LIB$uppername\"
-            test -z "$value" || LIBICONV="${LIBICONV}${LIBICONV:+ }$value"
-            eval value=\"\$LTLIB$uppername\"
-            test -z "$value" || LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }$value"
-          else
-                                    :
-          fi
-        else
-                              found_dir=
-          found_la=
-          found_so=
-          found_a=
-          if test $use_additional = yes; then
-            if test -n "$shlibext" \
-               && { test -f "$additional_libdir/lib$name.$shlibext" \
-                    || { test "$shlibext" = dll \
-                         && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
-              found_dir="$additional_libdir"
-              if test -f "$additional_libdir/lib$name.$shlibext"; then
-                found_so="$additional_libdir/lib$name.$shlibext"
-              else
-                found_so="$additional_libdir/lib$name.dll.a"
-              fi
-              if test -f "$additional_libdir/lib$name.la"; then
-                found_la="$additional_libdir/lib$name.la"
-              fi
-            else
-              if test -f "$additional_libdir/lib$name.$libext"; then
-                found_dir="$additional_libdir"
-                found_a="$additional_libdir/lib$name.$libext"
-                if test -f "$additional_libdir/lib$name.la"; then
-                  found_la="$additional_libdir/lib$name.la"
-                fi
-              fi
-            fi
-          fi
-          if test "X$found_dir" = "X"; then
-            for x in $LDFLAGS $LTLIBICONV; do
+fi
+done
 
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-              case "$x" in
-                -L*)
-                  dir=`echo "X$x" | sed -e 's/^X-L//'`
-                  if test -n "$shlibext" \
-                     && { test -f "$dir/lib$name.$shlibext" \
-                          || { test "$shlibext" = dll \
-                               && test -f "$dir/lib$name.dll.a"; }; }; then
-                    found_dir="$dir"
-                    if test -f "$dir/lib$name.$shlibext"; then
-                      found_so="$dir/lib$name.$shlibext"
-                    else
-                      found_so="$dir/lib$name.dll.a"
-                    fi
-                    if test -f "$dir/lib$name.la"; then
-                      found_la="$dir/lib$name.la"
-                    fi
-                  else
-                    if test -f "$dir/lib$name.$libext"; then
-                      found_dir="$dir"
-                      found_a="$dir/lib$name.$libext"
-                      if test -f "$dir/lib$name.la"; then
-                        found_la="$dir/lib$name.la"
-                      fi
-                    fi
-                  fi
-                  ;;
-              esac
-              if test "X$found_dir" != "X"; then
-                break
-              fi
-            done
-          fi
-          if test "X$found_dir" != "X"; then
-                        LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$found_dir -l$name"
-            if test "X$found_so" != "X"; then
-                                                        if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
-                                LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
-              else
-                                                                                haveit=
-                for x in $ltrpathdirs; do
-                  if test "X$x" = "X$found_dir"; then
-                    haveit=yes
-                    break
-                  fi
-                done
-                if test -z "$haveit"; then
-                  ltrpathdirs="$ltrpathdirs $found_dir"
-                fi
-                                if test "$hardcode_direct" = yes; then
-                                                      LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
-                else
-                  if test -n "$hardcode_libdir_flag_spec" && test "$hardcode_minus_L" = no; then
-                                                            LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
-                                                            haveit=
-                    for x in $rpathdirs; do
-                      if test "X$x" = "X$found_dir"; then
-                        haveit=yes
-                        break
-                      fi
-                    done
-                    if test -z "$haveit"; then
-                      rpathdirs="$rpathdirs $found_dir"
-                    fi
-                  else
-                                                                                haveit=
-                    for x in $LDFLAGS $LIBICONV; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                      if test "X$x" = "X-L$found_dir"; then
-                        haveit=yes
-                        break
-                      fi
-                    done
-                    if test -z "$haveit"; then
-                      LIBICONV="${LIBICONV}${LIBICONV:+ }-L$found_dir"
-                    fi
-                    if test "$hardcode_minus_L" != no; then
-                                                                                        LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
-                    else
-                                                                                                                                                                                LIBICONV="${LIBICONV}${LIBICONV:+ }-l$name"
-                    fi
-                  fi
-                fi
-              fi
-            else
-              if test "X$found_a" != "X"; then
-                                LIBICONV="${LIBICONV}${LIBICONV:+ }$found_a"
-              else
-                                                LIBICONV="${LIBICONV}${LIBICONV:+ }-L$found_dir -l$name"
-              fi
-            fi
-                        additional_includedir=
-            case "$found_dir" in
-              */$acl_libdirstem | */$acl_libdirstem/)
-                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem/"'*$,,'`
-                additional_includedir="$basedir/include"
-                ;;
-            esac
-            if test "X$additional_includedir" != "X"; then
-                                                                                                                if test "X$additional_includedir" != "X/usr/include"; then
-                haveit=
-                if test "X$additional_includedir" = "X/usr/local/include"; then
-                  if test -n "$GCC"; then
-                    case $host_os in
-                      linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-                    esac
-                  fi
-                fi
-                if test -z "$haveit"; then
-                  for x in $CPPFLAGS $INCICONV; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                    if test "X$x" = "X-I$additional_includedir"; then
-                      haveit=yes
-                      break
-                    fi
-                  done
-                  if test -z "$haveit"; then
-                    if test -d "$additional_includedir"; then
-                                            INCICONV="${INCICONV}${INCICONV:+ }-I$additional_includedir"
-                    fi
-                  fi
-                fi
-              fi
-            fi
-                        if test -n "$found_la"; then
-                                                        save_libdir="$libdir"
-              case "$found_la" in
-                */* | *\\*) . "$found_la" ;;
-                *) . "./$found_la" ;;
-              esac
-              libdir="$save_libdir"
-                            for dep in $dependency_libs; do
-                case "$dep" in
-                  -L*)
-                    additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
-                                                                                                                                                                if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
-                      haveit=
-                      if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
-                        if test -n "$GCC"; then
-                          case $host_os in
-                            linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-                          esac
-                        fi
-                      fi
-                      if test -z "$haveit"; then
-                        haveit=
-                        for x in $LDFLAGS $LIBICONV; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                          if test "X$x" = "X-L$additional_libdir"; then
-                            haveit=yes
-                            break
-                          fi
-                        done
-                        if test -z "$haveit"; then
-                          if test -d "$additional_libdir"; then
-                                                        LIBICONV="${LIBICONV}${LIBICONV:+ }-L$additional_libdir"
-                          fi
-                        fi
-                        haveit=
-                        for x in $LDFLAGS $LTLIBICONV; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                          if test "X$x" = "X-L$additional_libdir"; then
-                            haveit=yes
-                            break
-                          fi
-                        done
-                        if test -z "$haveit"; then
-                          if test -d "$additional_libdir"; then
-                                                        LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$additional_libdir"
-                          fi
-                        fi
-                      fi
-                    fi
-                    ;;
-                  -R*)
-                    dir=`echo "X$dep" | sed -e 's/^X-R//'`
-                    if test "$enable_rpath" != no; then
-                                                                  haveit=
-                      for x in $rpathdirs; do
-                        if test "X$x" = "X$dir"; then
-                          haveit=yes
-                          break
-                        fi
-                      done
-                      if test -z "$haveit"; then
-                        rpathdirs="$rpathdirs $dir"
-                      fi
-                                                                  haveit=
-                      for x in $ltrpathdirs; do
-                        if test "X$x" = "X$dir"; then
-                          haveit=yes
-                          break
-                        fi
-                      done
-                      if test -z "$haveit"; then
-                        ltrpathdirs="$ltrpathdirs $dir"
-                      fi
-                    fi
-                    ;;
-                  -l*)
-                                        names_next_round="$names_next_round "`echo "X$dep" | sed -e 's/^X-l//'`
-                    ;;
-                  *.la)
-                                                                                names_next_round="$names_next_round "`echo "X$dep" | sed -e 's,^X.*/,,' -e 's,^lib,,' -e 's,\.la$,,'`
-                    ;;
-                  *)
-                                        LIBICONV="${LIBICONV}${LIBICONV:+ }$dep"
-                    LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }$dep"
-                    ;;
-                esac
-              done
-            fi
-          else
-                                                            LIBICONV="${LIBICONV}${LIBICONV:+ }-l$name"
-            LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-l$name"
-          fi
-        fi
       fi
-    done
-  done
-  if test "X$rpathdirs" != "X"; then
-    if test -n "$hardcode_libdir_separator"; then
-                        alldirs=
-      for found_dir in $rpathdirs; do
-        alldirs="${alldirs}${alldirs:+$hardcode_libdir_separator}$found_dir"
-      done
-            acl_save_libdir="$libdir"
-      libdir="$alldirs"
-      eval flag=\"$hardcode_libdir_flag_spec\"
-      libdir="$acl_save_libdir"
-      LIBICONV="${LIBICONV}${LIBICONV:+ }$flag"
-    else
-            for found_dir in $rpathdirs; do
-        acl_save_libdir="$libdir"
-        libdir="$found_dir"
-        eval flag=\"$hardcode_libdir_flag_spec\"
-        libdir="$acl_save_libdir"
-        LIBICONV="${LIBICONV}${LIBICONV:+ }$flag"
-      done
-    fi
-  fi
-  if test "X$ltrpathdirs" != "X"; then
-            for found_dir in $ltrpathdirs; do
-      LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-R$found_dir"
-    done
-  fi
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 
+      #
+      # If we don't have everything we want, check in libintl
+      #
+      if test "$gt_cv_func_dgettext_libc" != "yes" \
+	 || test "$gt_cv_func_ngettext_libc" != "yes" \
+         || test "$ac_cv_func_bind_textdomain_codeset" != "yes" ; then
+
+        { $as_echo "$as_me:$LINENO: checking for bindtextdomain in -lintl" >&5
+$as_echo_n "checking for bindtextdomain in -lintl... " >&6; }
+if test "${ac_cv_lib_intl_bindtextdomain+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lintl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char bindtextdomain ();
+int
+main ()
+{
+return bindtextdomain ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_lib_intl_bindtextdomain=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	ac_cv_lib_intl_bindtextdomain=no
+fi
 
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_intl_bindtextdomain" >&5
+$as_echo "$ac_cv_lib_intl_bindtextdomain" >&6; }
+if test "x$ac_cv_lib_intl_bindtextdomain" = x""yes; then
+  { $as_echo "$as_me:$LINENO: checking for ngettext in -lintl" >&5
+$as_echo_n "checking for ngettext in -lintl... " >&6; }
+if test "${ac_cv_lib_intl_ngettext+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lintl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ngettext ();
+int
+main ()
+{
+return ngettext ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_lib_intl_ngettext=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+	ac_cv_lib_intl_ngettext=no
+fi
 
-    { $as_echo "$as_me:$LINENO: checking for CFPreferencesCopyAppValue" >&5
-$as_echo_n "checking for CFPreferencesCopyAppValue... " >&6; }
-if test "${gt_cv_func_CFPreferencesCopyAppValue+set}" = set; then
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_intl_ngettext" >&5
+$as_echo "$ac_cv_lib_intl_ngettext" >&6; }
+if test "x$ac_cv_lib_intl_ngettext" = x""yes; then
+  { $as_echo "$as_me:$LINENO: checking for dgettext in -lintl" >&5
+$as_echo_n "checking for dgettext in -lintl... " >&6; }
+if test "${ac_cv_lib_intl_dgettext+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  gt_save_LIBS="$LIBS"
-     LIBS="$LIBS -Wl,-framework -Wl,CoreFoundation"
-     cat >conftest.$ac_ext <<_ACEOF
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lintl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <CoreFoundation/CFPreferences.h>
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char dgettext ();
 int
 main ()
 {
-CFPreferencesCopyAppValue(NULL, NULL)
+return dgettext ();
   ;
   return 0;
 }
@@ -21018,46 +20858,60 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  gt_cv_func_CFPreferencesCopyAppValue=yes
+  ac_cv_lib_intl_dgettext=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	gt_cv_func_CFPreferencesCopyAppValue=no
+	ac_cv_lib_intl_dgettext=no
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-     LIBS="$gt_save_LIBS"
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_intl_dgettext" >&5
+$as_echo "$ac_cv_lib_intl_dgettext" >&6; }
+if test "x$ac_cv_lib_intl_dgettext" = x""yes; then
+  gt_cv_func_dgettext_libintl=yes
 fi
-{ $as_echo "$as_me:$LINENO: result: $gt_cv_func_CFPreferencesCopyAppValue" >&5
-$as_echo "$gt_cv_func_CFPreferencesCopyAppValue" >&6; }
-  if test $gt_cv_func_CFPreferencesCopyAppValue = yes; then
 
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_CFPREFERENCESCOPYAPPVALUE 1
-_ACEOF
+fi
 
-  fi
-    { $as_echo "$as_me:$LINENO: checking for CFLocaleCopyCurrent" >&5
-$as_echo_n "checking for CFLocaleCopyCurrent... " >&6; }
-if test "${gt_cv_func_CFLocaleCopyCurrent+set}" = set; then
+fi
+
+
+	if test "$gt_cv_func_dgettext_libintl" != "yes" ; then
+	  { $as_echo "$as_me:$LINENO: checking if -liconv is needed to use gettext" >&5
+$as_echo_n "checking if -liconv is needed to use gettext... " >&6; }
+	  { $as_echo "$as_me:$LINENO: result: " >&5
+$as_echo "" >&6; }
+  	  { $as_echo "$as_me:$LINENO: checking for ngettext in -lintl" >&5
+$as_echo_n "checking for ngettext in -lintl... " >&6; }
+if test "${ac_cv_lib_intl_ngettext+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  gt_save_LIBS="$LIBS"
-     LIBS="$LIBS -Wl,-framework -Wl,CoreFoundation"
-     cat >conftest.$ac_ext <<_ACEOF
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lintl -liconv $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <CoreFoundation/CFLocale.h>
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ngettext ();
 int
 main ()
 {
-CFLocaleCopyCurrent();
+return ngettext ();
   ;
   return 0;
 }
@@ -21083,90 +20937,47 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  gt_cv_func_CFLocaleCopyCurrent=yes
+  ac_cv_lib_intl_ngettext=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	gt_cv_func_CFLocaleCopyCurrent=no
+	ac_cv_lib_intl_ngettext=no
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-     LIBS="$gt_save_LIBS"
+LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:$LINENO: result: $gt_cv_func_CFLocaleCopyCurrent" >&5
-$as_echo "$gt_cv_func_CFLocaleCopyCurrent" >&6; }
-  if test $gt_cv_func_CFLocaleCopyCurrent = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_CFLOCALECOPYCURRENT 1
-_ACEOF
-
-  fi
-  INTL_MACOSX_LIBS=
-  if test $gt_cv_func_CFPreferencesCopyAppValue = yes || test $gt_cv_func_CFLocaleCopyCurrent = yes; then
-    INTL_MACOSX_LIBS="-Wl,-framework -Wl,CoreFoundation"
-  fi
-
-
-
-
-
-
-  LIBINTL=
-  LTLIBINTL=
-  POSUB=
-
-    case " $gt_needs " in
-    *" need-formatstring-macros "*) gt_api_version=3 ;;
-    *" need-ngettext "*) gt_api_version=2 ;;
-    *) gt_api_version=1 ;;
-  esac
-  gt_func_gnugettext_libc="gt_cv_func_gnugettext${gt_api_version}_libc"
-  gt_func_gnugettext_libintl="gt_cv_func_gnugettext${gt_api_version}_libintl"
-
-    if test "$USE_NLS" = "yes"; then
-    gt_use_preinstalled_gnugettext=no
-
-
-        if test $gt_api_version -ge 3; then
-          gt_revision_test_code='
-#ifndef __GNU_GETTEXT_SUPPORTED_REVISION
-#define __GNU_GETTEXT_SUPPORTED_REVISION(major) ((major) == 0 ? 0 : -1)
-#endif
-typedef int array [2 * (__GNU_GETTEXT_SUPPORTED_REVISION(0) >= 1) - 1];
-'
-        else
-          gt_revision_test_code=
-        fi
-        if test $gt_api_version -ge 2; then
-          gt_expression_test_code=' + * ngettext ("", "", 0)'
-        else
-          gt_expression_test_code=
-        fi
-
-        { $as_echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5
-$as_echo_n "checking for GNU gettext in libc... " >&6; }
-if { as_var=$gt_func_gnugettext_libc; eval "test \"\${$as_var+set}\" = set"; }; then
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_intl_ngettext" >&5
+$as_echo "$ac_cv_lib_intl_ngettext" >&6; }
+if test "x$ac_cv_lib_intl_ngettext" = x""yes; then
+  { $as_echo "$as_me:$LINENO: checking for dcgettext in -lintl" >&5
+$as_echo_n "checking for dcgettext in -lintl... " >&6; }
+if test "${ac_cv_lib_intl_dcgettext+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  cat >conftest.$ac_ext <<_ACEOF
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lintl -liconv $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libintl.h>
-$gt_revision_test_code
-extern int _nl_msg_cat_cntr;
-extern int *_nl_domain_bindings;
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char dcgettext ();
 int
 main ()
 {
-bindtextdomain ("", "");
-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_domain_bindings
+return dcgettext ();
   ;
   return 0;
 }
@@ -21192,76 +21003,93 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  eval "$gt_func_gnugettext_libc=yes"
+  ac_cv_lib_intl_dcgettext=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	eval "$gt_func_gnugettext_libc=no"
+	ac_cv_lib_intl_dcgettext=no
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_intl_dcgettext" >&5
+$as_echo "$ac_cv_lib_intl_dcgettext" >&6; }
+if test "x$ac_cv_lib_intl_dcgettext" = x""yes; then
+  gt_cv_func_dgettext_libintl=yes
+			libintl_extra_libs=-liconv
+else
+  :
 fi
-ac_res=`eval 'as_val=${'$gt_func_gnugettext_libc'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-
-        if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" != "yes"; }; then
-
-
-
-
-
-          am_save_CPPFLAGS="$CPPFLAGS"
-
-  for element in $INCICONV; do
-    haveit=
-    for x in $CPPFLAGS; do
 
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
+else
+  :
+fi
 
-      if test "X$x" = "X$element"; then
-        haveit=yes
-        break
-      fi
-    done
-    if test -z "$haveit"; then
-      CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }$element"
-    fi
-  done
+        fi
 
+        #
+        # If we found libintl, then check in it for bind_textdomain_codeset();
+        # we'll prefer libc if neither have bind_textdomain_codeset(),
+        # and both have dgettext and ngettext
+        #
+        if test "$gt_cv_func_dgettext_libintl" = "yes" ; then
+          glib_save_LIBS="$LIBS"
+          LIBS="$LIBS -lintl $libintl_extra_libs"
+          unset ac_cv_func_bind_textdomain_codeset
 
-  { $as_echo "$as_me:$LINENO: checking for iconv" >&5
-$as_echo_n "checking for iconv... " >&6; }
-if test "${am_cv_func_iconv+set}" = set; then
+for ac_func in bind_textdomain_codeset
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
 else
-
-    am_cv_func_iconv="no, consider installing GNU libiconv"
-    am_cv_lib_iconv=no
-    cat >conftest.$ac_ext <<_ACEOF
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
-#include <iconv.h>
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
 int
 main ()
 {
-iconv_t cd = iconv_open("","");
-       iconv(cd,NULL,NULL,NULL,NULL);
-       iconv_close(cd);
+return $ac_func ();
   ;
   return 0;
 }
@@ -21287,34 +21115,148 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  am_cv_func_iconv=yes
+  eval "$as_ac_var=yes"
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-
+	eval "$as_ac_var=no"
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-    if test "$am_cv_func_iconv" != yes; then
-      am_save_LIBS="$LIBS"
-      LIBS="$LIBS $LIBICONV"
-      cat >conftest.$ac_ext <<_ACEOF
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+          LIBS="$glib_save_LIBS"
+
+          if test "$ac_cv_func_bind_textdomain_codeset" = "yes" ; then
+            gt_cv_func_dgettext_libc=no
+          else
+            if test "$gt_cv_func_dgettext_libc" = "yes" \
+		&& test "$gt_cv_func_ngettext_libc" = "yes"; then
+              gt_cv_func_dgettext_libintl=no
+            fi
+          fi
+        fi
+      fi
+
+      if test "$gt_cv_func_dgettext_libc" = "yes" \
+	|| test "$gt_cv_func_dgettext_libintl" = "yes"; then
+        gt_cv_have_gettext=yes
+      fi
+
+      if test "$gt_cv_func_dgettext_libintl" = "yes"; then
+        INTLLIBS="-lintl $libintl_extra_libs"
+      fi
+
+      if test "$gt_cv_have_gettext" = "yes"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GETTEXT 1
+_ACEOF
+
+	# Extract the first word of "msgfmt", so it can be a program name with args.
+set dummy msgfmt; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_MSGFMT+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case "$MSGFMT" in
+  /*)
+  ac_cv_path_MSGFMT="$MSGFMT" # Let the user override the test with a path.
+  ;;
+  *)
+  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
+  for ac_dir in $PATH; do
+    test -z "$ac_dir" && ac_dir=.
+    if test -f $ac_dir/$ac_word; then
+      if test -z "`$ac_dir/$ac_word -h 2>&1 | grep 'dv '`"; then
+	ac_cv_path_MSGFMT="$ac_dir/$ac_word"
+	break
+      fi
+    fi
+  done
+  IFS="$ac_save_ifs"
+  test -z "$ac_cv_path_MSGFMT" && ac_cv_path_MSGFMT="no"
+  ;;
+esac
+fi
+MSGFMT="$ac_cv_path_MSGFMT"
+if test "$MSGFMT" != "no"; then
+  { $as_echo "$as_me:$LINENO: result: $MSGFMT" >&5
+$as_echo "$MSGFMT" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+	if test "$MSGFMT" != "no"; then
+          glib_save_LIBS="$LIBS"
+          LIBS="$LIBS $INTLLIBS"
+
+for ac_func in dcgettext
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
-#include <iconv.h>
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
 int
 main ()
 {
-iconv_t cd = iconv_open("","");
-         iconv(cd,NULL,NULL,NULL,NULL);
-         iconv_close(cd);
+return $ac_func ();
   ;
   return 0;
 }
@@ -21340,466 +21282,150 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  am_cv_lib_iconv=yes
-        am_cv_func_iconv=yes
+  eval "$as_ac_var=yes"
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+	eval "$as_ac_var=no"
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
 
 fi
+done
 
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-      LIBS="$am_save_LIBS"
-    fi
-
-fi
-{ $as_echo "$as_me:$LINENO: result: $am_cv_func_iconv" >&5
-$as_echo "$am_cv_func_iconv" >&6; }
-  if test "$am_cv_func_iconv" = yes; then
+	  MSGFMT_OPTS=
+	  { $as_echo "$as_me:$LINENO: checking if msgfmt accepts -c" >&5
+$as_echo_n "checking if msgfmt accepts -c... " >&6; }
+	  cat >conftest.foo <<_ACEOF
+
+msgid ""
+msgstr ""
+"Content-Type: text/plain; charset=UTF-8\n"
+"Project-Id-Version: test 1.0\n"
+"PO-Revision-Date: 2007-02-15 12:01+0100\n"
+"Last-Translator: test <foo@bar.xx>\n"
+"Language-Team: C <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Transfer-Encoding: 8bit\n"
 
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_ICONV 1
 _ACEOF
+if { ($as_echo "$as_me:$LINENO: \$MSGFMT -c -o /dev/null conftest.foo") >&5
+  ($MSGFMT -c -o /dev/null conftest.foo) 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  MSGFMT_OPTS=-c; { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+else { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+echo "$as_me: failed input was:" >&5
+sed 's/^/| /' conftest.foo >&5
+fi
 
+	  # Extract the first word of "gmsgfmt", so it can be a program name with args.
+set dummy gmsgfmt; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_GMSGFMT+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $GMSGFMT in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_GMSGFMT="$GMSGFMT" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_GMSGFMT="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
   fi
-  if test "$am_cv_lib_iconv" = yes; then
-    { $as_echo "$as_me:$LINENO: checking how to link with libiconv" >&5
-$as_echo_n "checking how to link with libiconv... " >&6; }
-    { $as_echo "$as_me:$LINENO: result: $LIBICONV" >&5
-$as_echo "$LIBICONV" >&6; }
-  else
-            CPPFLAGS="$am_save_CPPFLAGS"
-    LIBICONV=
-    LTLIBICONV=
-  fi
-
-
-
-
-
-
-
-    use_additional=yes
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-
-    eval additional_includedir=\"$includedir\"
-    eval additional_libdir=\"$libdir\"
-
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-
-# Check whether --with-libintl-prefix was given.
-if test "${with_libintl_prefix+set}" = set; then
-  withval=$with_libintl_prefix;
-    if test "X$withval" = "Xno"; then
-      use_additional=no
-    else
-      if test "X$withval" = "X"; then
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-
-          eval additional_includedir=\"$includedir\"
-          eval additional_libdir=\"$libdir\"
-
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-      else
-        additional_includedir="$withval/include"
-        additional_libdir="$withval/$acl_libdirstem"
-      fi
-    fi
+done
+done
+IFS=$as_save_IFS
 
+  test -z "$ac_cv_path_GMSGFMT" && ac_cv_path_GMSGFMT="$MSGFMT"
+  ;;
+esac
+fi
+GMSGFMT=$ac_cv_path_GMSGFMT
+if test -n "$GMSGFMT"; then
+  { $as_echo "$as_me:$LINENO: result: $GMSGFMT" >&5
+$as_echo "$GMSGFMT" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
 fi
 
-      LIBINTL=
-  LTLIBINTL=
-  INCINTL=
-  rpathdirs=
-  ltrpathdirs=
-  names_already_handled=
-  names_next_round='intl '
-  while test -n "$names_next_round"; do
-    names_this_round="$names_next_round"
-    names_next_round=
-    for name in $names_this_round; do
-      already_handled=
-      for n in $names_already_handled; do
-        if test "$n" = "$name"; then
-          already_handled=yes
-          break
-        fi
-      done
-      if test -z "$already_handled"; then
-        names_already_handled="$names_already_handled $name"
-                        uppername=`echo "$name" | sed -e 'y|abcdefghijklmnopqrstuvwxyz./-|ABCDEFGHIJKLMNOPQRSTUVWXYZ___|'`
-        eval value=\"\$HAVE_LIB$uppername\"
-        if test -n "$value"; then
-          if test "$value" = yes; then
-            eval value=\"\$LIB$uppername\"
-            test -z "$value" || LIBINTL="${LIBINTL}${LIBINTL:+ }$value"
-            eval value=\"\$LTLIB$uppername\"
-            test -z "$value" || LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }$value"
-          else
-                                    :
-          fi
-        else
-                              found_dir=
-          found_la=
-          found_so=
-          found_a=
-          if test $use_additional = yes; then
-            if test -n "$shlibext" \
-               && { test -f "$additional_libdir/lib$name.$shlibext" \
-                    || { test "$shlibext" = dll \
-                         && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
-              found_dir="$additional_libdir"
-              if test -f "$additional_libdir/lib$name.$shlibext"; then
-                found_so="$additional_libdir/lib$name.$shlibext"
-              else
-                found_so="$additional_libdir/lib$name.dll.a"
-              fi
-              if test -f "$additional_libdir/lib$name.la"; then
-                found_la="$additional_libdir/lib$name.la"
-              fi
-            else
-              if test -f "$additional_libdir/lib$name.$libext"; then
-                found_dir="$additional_libdir"
-                found_a="$additional_libdir/lib$name.$libext"
-                if test -f "$additional_libdir/lib$name.la"; then
-                  found_la="$additional_libdir/lib$name.la"
-                fi
-              fi
-            fi
-          fi
-          if test "X$found_dir" = "X"; then
-            for x in $LDFLAGS $LTLIBINTL; do
 
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-              case "$x" in
-                -L*)
-                  dir=`echo "X$x" | sed -e 's/^X-L//'`
-                  if test -n "$shlibext" \
-                     && { test -f "$dir/lib$name.$shlibext" \
-                          || { test "$shlibext" = dll \
-                               && test -f "$dir/lib$name.dll.a"; }; }; then
-                    found_dir="$dir"
-                    if test -f "$dir/lib$name.$shlibext"; then
-                      found_so="$dir/lib$name.$shlibext"
-                    else
-                      found_so="$dir/lib$name.dll.a"
-                    fi
-                    if test -f "$dir/lib$name.la"; then
-                      found_la="$dir/lib$name.la"
-                    fi
-                  else
-                    if test -f "$dir/lib$name.$libext"; then
-                      found_dir="$dir"
-                      found_a="$dir/lib$name.$libext"
-                      if test -f "$dir/lib$name.la"; then
-                        found_la="$dir/lib$name.la"
-                      fi
-                    fi
-                  fi
-                  ;;
-              esac
-              if test "X$found_dir" != "X"; then
-                break
-              fi
-            done
-          fi
-          if test "X$found_dir" != "X"; then
-                        LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$found_dir -l$name"
-            if test "X$found_so" != "X"; then
-                                                        if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
-                                LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
-              else
-                                                                                haveit=
-                for x in $ltrpathdirs; do
-                  if test "X$x" = "X$found_dir"; then
-                    haveit=yes
-                    break
-                  fi
-                done
-                if test -z "$haveit"; then
-                  ltrpathdirs="$ltrpathdirs $found_dir"
-                fi
-                                if test "$hardcode_direct" = yes; then
-                                                      LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
-                else
-                  if test -n "$hardcode_libdir_flag_spec" && test "$hardcode_minus_L" = no; then
-                                                            LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
-                                                            haveit=
-                    for x in $rpathdirs; do
-                      if test "X$x" = "X$found_dir"; then
-                        haveit=yes
-                        break
-                      fi
-                    done
-                    if test -z "$haveit"; then
-                      rpathdirs="$rpathdirs $found_dir"
-                    fi
-                  else
-                                                                                haveit=
-                    for x in $LDFLAGS $LIBINTL; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                      if test "X$x" = "X-L$found_dir"; then
-                        haveit=yes
-                        break
-                      fi
-                    done
-                    if test -z "$haveit"; then
-                      LIBINTL="${LIBINTL}${LIBINTL:+ }-L$found_dir"
-                    fi
-                    if test "$hardcode_minus_L" != no; then
-                                                                                        LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
-                    else
-                                                                                                                                                                                LIBINTL="${LIBINTL}${LIBINTL:+ }-l$name"
-                    fi
-                  fi
-                fi
-              fi
-            else
-              if test "X$found_a" != "X"; then
-                                LIBINTL="${LIBINTL}${LIBINTL:+ }$found_a"
-              else
-                                                LIBINTL="${LIBINTL}${LIBINTL:+ }-L$found_dir -l$name"
-              fi
-            fi
-                        additional_includedir=
-            case "$found_dir" in
-              */$acl_libdirstem | */$acl_libdirstem/)
-                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem/"'*$,,'`
-                additional_includedir="$basedir/include"
-                ;;
-            esac
-            if test "X$additional_includedir" != "X"; then
-                                                                                                                if test "X$additional_includedir" != "X/usr/include"; then
-                haveit=
-                if test "X$additional_includedir" = "X/usr/local/include"; then
-                  if test -n "$GCC"; then
-                    case $host_os in
-                      linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-                    esac
-                  fi
-                fi
-                if test -z "$haveit"; then
-                  for x in $CPPFLAGS $INCINTL; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                    if test "X$x" = "X-I$additional_includedir"; then
-                      haveit=yes
-                      break
-                    fi
-                  done
-                  if test -z "$haveit"; then
-                    if test -d "$additional_includedir"; then
-                                            INCINTL="${INCINTL}${INCINTL:+ }-I$additional_includedir"
-                    fi
-                  fi
-                fi
-              fi
-            fi
-                        if test -n "$found_la"; then
-                                                        save_libdir="$libdir"
-              case "$found_la" in
-                */* | *\\*) . "$found_la" ;;
-                *) . "./$found_la" ;;
-              esac
-              libdir="$save_libdir"
-                            for dep in $dependency_libs; do
-                case "$dep" in
-                  -L*)
-                    additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
-                                                                                                                                                                if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
-                      haveit=
-                      if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
-                        if test -n "$GCC"; then
-                          case $host_os in
-                            linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-                          esac
-                        fi
-                      fi
-                      if test -z "$haveit"; then
-                        haveit=
-                        for x in $LDFLAGS $LIBINTL; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                          if test "X$x" = "X-L$additional_libdir"; then
-                            haveit=yes
-                            break
-                          fi
-                        done
-                        if test -z "$haveit"; then
-                          if test -d "$additional_libdir"; then
-                                                        LIBINTL="${LIBINTL}${LIBINTL:+ }-L$additional_libdir"
-                          fi
-                        fi
-                        haveit=
-                        for x in $LDFLAGS $LTLIBINTL; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-
-                          if test "X$x" = "X-L$additional_libdir"; then
-                            haveit=yes
-                            break
-                          fi
-                        done
-                        if test -z "$haveit"; then
-                          if test -d "$additional_libdir"; then
-                                                        LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$additional_libdir"
-                          fi
-                        fi
-                      fi
-                    fi
-                    ;;
-                  -R*)
-                    dir=`echo "X$dep" | sed -e 's/^X-R//'`
-                    if test "$enable_rpath" != no; then
-                                                                  haveit=
-                      for x in $rpathdirs; do
-                        if test "X$x" = "X$dir"; then
-                          haveit=yes
-                          break
-                        fi
-                      done
-                      if test -z "$haveit"; then
-                        rpathdirs="$rpathdirs $dir"
-                      fi
-                                                                  haveit=
-                      for x in $ltrpathdirs; do
-                        if test "X$x" = "X$dir"; then
-                          haveit=yes
-                          break
-                        fi
-                      done
-                      if test -z "$haveit"; then
-                        ltrpathdirs="$ltrpathdirs $dir"
-                      fi
-                    fi
-                    ;;
-                  -l*)
-                                        names_next_round="$names_next_round "`echo "X$dep" | sed -e 's/^X-l//'`
-                    ;;
-                  *.la)
-                                                                                names_next_round="$names_next_round "`echo "X$dep" | sed -e 's,^X.*/,,' -e 's,^lib,,' -e 's,\.la$,,'`
-                    ;;
-                  *)
-                                        LIBINTL="${LIBINTL}${LIBINTL:+ }$dep"
-                    LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }$dep"
-                    ;;
-                esac
-              done
-            fi
-          else
-                                                            LIBINTL="${LIBINTL}${LIBINTL:+ }-l$name"
-            LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-l$name"
-          fi
-        fi
+	  # Extract the first word of "xgettext", so it can be a program name with args.
+set dummy xgettext; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_XGETTEXT+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case "$XGETTEXT" in
+  /*)
+  ac_cv_path_XGETTEXT="$XGETTEXT" # Let the user override the test with a path.
+  ;;
+  *)
+  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
+  for ac_dir in $PATH; do
+    test -z "$ac_dir" && ac_dir=.
+    if test -f $ac_dir/$ac_word; then
+      if test -z "`$ac_dir/$ac_word -h 2>&1 | grep '(HELP)'`"; then
+	ac_cv_path_XGETTEXT="$ac_dir/$ac_word"
+	break
       fi
-    done
-  done
-  if test "X$rpathdirs" != "X"; then
-    if test -n "$hardcode_libdir_separator"; then
-                        alldirs=
-      for found_dir in $rpathdirs; do
-        alldirs="${alldirs}${alldirs:+$hardcode_libdir_separator}$found_dir"
-      done
-            acl_save_libdir="$libdir"
-      libdir="$alldirs"
-      eval flag=\"$hardcode_libdir_flag_spec\"
-      libdir="$acl_save_libdir"
-      LIBINTL="${LIBINTL}${LIBINTL:+ }$flag"
-    else
-            for found_dir in $rpathdirs; do
-        acl_save_libdir="$libdir"
-        libdir="$found_dir"
-        eval flag=\"$hardcode_libdir_flag_spec\"
-        libdir="$acl_save_libdir"
-        LIBINTL="${LIBINTL}${LIBINTL:+ }$flag"
-      done
     fi
-  fi
-  if test "X$ltrpathdirs" != "X"; then
-            for found_dir in $ltrpathdirs; do
-      LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-R$found_dir"
-    done
-  fi
-
-          { $as_echo "$as_me:$LINENO: checking for GNU gettext in libintl" >&5
-$as_echo_n "checking for GNU gettext in libintl... " >&6; }
-if { as_var=$gt_func_gnugettext_libintl; eval "test \"\${$as_var+set}\" = set"; }; then
-  $as_echo_n "(cached) " >&6
+  done
+  IFS="$ac_save_ifs"
+  test -z "$ac_cv_path_XGETTEXT" && ac_cv_path_XGETTEXT=":"
+  ;;
+esac
+fi
+XGETTEXT="$ac_cv_path_XGETTEXT"
+if test "$XGETTEXT" != ":"; then
+  { $as_echo "$as_me:$LINENO: result: $XGETTEXT" >&5
+$as_echo "$XGETTEXT" >&6; }
 else
-  gt_save_CPPFLAGS="$CPPFLAGS"
-            CPPFLAGS="$CPPFLAGS $INCINTL"
-            gt_save_LIBS="$LIBS"
-            LIBS="$LIBS $LIBINTL"
-                        cat >conftest.$ac_ext <<_ACEOF
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+	  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libintl.h>
-$gt_revision_test_code
-extern int _nl_msg_cat_cntr;
-extern
-#ifdef __cplusplus
-"C"
-#endif
-const char *_nl_expand_alias (const char *);
+
 int
 main ()
 {
-bindtextdomain ("", "");
-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")
+extern int _nl_msg_cat_cntr;
+			 return _nl_msg_cat_cntr
   ;
   return 0;
 }
@@ -21825,38 +21451,60 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  eval "$gt_func_gnugettext_libintl=yes"
+  CATOBJEXT=.gmo
+             DATADIRNAME=share
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	eval "$gt_func_gnugettext_libintl=no"
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-                        if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" != yes; } && test -n "$LIBICONV"; then
-              LIBS="$LIBS $LIBICONV"
-              cat >conftest.$ac_ext <<_ACEOF
+	case $host in
+	    *-*-solaris*)
+	    	                	    	                { $as_echo "$as_me:$LINENO: checking for bind_textdomain_codeset" >&5
+$as_echo_n "checking for bind_textdomain_codeset... " >&6; }
+if test "${ac_cv_func_bind_textdomain_codeset+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libintl.h>
-$gt_revision_test_code
-extern int _nl_msg_cat_cntr;
-extern
+/* Define bind_textdomain_codeset to an innocuous variant, in case <limits.h> declares bind_textdomain_codeset.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define bind_textdomain_codeset innocuous_bind_textdomain_codeset
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char bind_textdomain_codeset (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef bind_textdomain_codeset
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
-"C"
+extern "C"
+#endif
+char bind_textdomain_codeset ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_bind_textdomain_codeset || defined __stub___bind_textdomain_codeset
+choke me
 #endif
-const char *_nl_expand_alias (const char *);
+
 int
 main ()
 {
-bindtextdomain ("", "");
-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")
+return bind_textdomain_codeset ();
   ;
   return 0;
 }
@@ -21882,141 +21530,151 @@ $as_echo "$ac_try_echo") >&5
 	 test "$cross_compiling" = yes ||
 	 $as_test_x conftest$ac_exeext
        }; then
-  LIBINTL="$LIBINTL $LIBICONV"
-                LTLIBINTL="$LTLIBINTL $LTLIBICONV"
-                eval "$gt_func_gnugettext_libintl=yes"
-
+  ac_cv_func_bind_textdomain_codeset=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-
+	ac_cv_func_bind_textdomain_codeset=no
 fi
 
 rm -rf conftest.dSYM
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-            fi
-            CPPFLAGS="$gt_save_CPPFLAGS"
-            LIBS="$gt_save_LIBS"
 fi
-ac_res=`eval 'as_val=${'$gt_func_gnugettext_libintl'}
-		 $as_echo "$as_val"'`
-	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-        fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_func_bind_textdomain_codeset" >&5
+$as_echo "$ac_cv_func_bind_textdomain_codeset" >&6; }
+if test "x$ac_cv_func_bind_textdomain_codeset" = x""yes; then
+  CATOBJEXT=.gmo
+               DATADIRNAME=share
+else
+  CATOBJEXT=.mo
+               DATADIRNAME=lib
+fi
 
-                                        if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" = "yes"; } \
-           || { { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; } \
-                && test "$PACKAGE" != gettext-runtime \
-                && test "$PACKAGE" != gettext-tools; }; then
-          gt_use_preinstalled_gnugettext=yes
-        else
-                    LIBINTL=
-          LTLIBINTL=
-          INCINTL=
-        fi
+	    ;;
+	    *)
+	    CATOBJEXT=.mo
+            DATADIRNAME=lib
+	    ;;
+	    esac
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+          LIBS="$glib_save_LIBS"
+	  INSTOBJEXT=.mo
+	else
+	  gt_cv_have_gettext=no
+	fi
+      fi
 
+fi
 
 
-    if test -n "$INTL_MACOSX_LIBS"; then
-      if test "$gt_use_preinstalled_gnugettext" = "yes" \
-         || test "$nls_cv_use_gnu_gettext" = "yes"; then
-                LIBINTL="$LIBINTL $INTL_MACOSX_LIBS"
-        LTLIBINTL="$LTLIBINTL $INTL_MACOSX_LIBS"
-      fi
-    fi
 
-    if test "$gt_use_preinstalled_gnugettext" = "yes" \
-       || test "$nls_cv_use_gnu_gettext" = "yes"; then
+    if test "$gt_cv_have_gettext" = "yes" ; then
 
 cat >>confdefs.h <<\_ACEOF
 #define ENABLE_NLS 1
 _ACEOF
 
-    else
-      USE_NLS=no
     fi
-  fi
 
-  { $as_echo "$as_me:$LINENO: checking whether to use NLS" >&5
-$as_echo_n "checking whether to use NLS... " >&6; }
-  { $as_echo "$as_me:$LINENO: result: $USE_NLS" >&5
-$as_echo "$USE_NLS" >&6; }
-  if test "$USE_NLS" = "yes"; then
-    { $as_echo "$as_me:$LINENO: checking where the gettext function comes from" >&5
-$as_echo_n "checking where the gettext function comes from... " >&6; }
-    if test "$gt_use_preinstalled_gnugettext" = "yes"; then
-      if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
-        gt_source="external libintl"
+        if test "$XGETTEXT" != ":"; then
+                  if $XGETTEXT --omit-header /dev/null 2> /dev/null; then
+        : ;
       else
-        gt_source="libc"
+        { $as_echo "$as_me:$LINENO: result: found xgettext program is not GNU xgettext; ignore it" >&5
+$as_echo "found xgettext program is not GNU xgettext; ignore it" >&6; }
+        XGETTEXT=":"
       fi
-    else
-      gt_source="included intl directory"
     fi
-    { $as_echo "$as_me:$LINENO: result: $gt_source" >&5
-$as_echo "$gt_source" >&6; }
-  fi
 
-  if test "$USE_NLS" = "yes"; then
+    # We need to process the po/ directory.
+    POSUB=po
 
-    if test "$gt_use_preinstalled_gnugettext" = "yes"; then
-      if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
-        { $as_echo "$as_me:$LINENO: checking how to link with libintl" >&5
-$as_echo_n "checking how to link with libintl... " >&6; }
-        { $as_echo "$as_me:$LINENO: result: $LIBINTL" >&5
-$as_echo "$LIBINTL" >&6; }
-
-  for element in $INCINTL; do
-    haveit=
-    for x in $CPPFLAGS; do
-
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  eval x=\"$x\"
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
+    ac_config_commands="$ac_config_commands default-1"
 
-      if test "X$x" = "X$element"; then
-        haveit=yes
-        break
-      fi
+
+                for lang in $ALL_LINGUAS; do
+      GMOFILES="$GMOFILES $lang.gmo"
+      POFILES="$POFILES $lang.po"
     done
-    if test -z "$haveit"; then
-      CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }$element"
-    fi
-  done
 
-      fi
 
 
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_GETTEXT 1
-_ACEOF
 
 
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_DCGETTEXT 1
-_ACEOF
 
-    fi
 
-        POSUB=po
-  fi
 
 
 
-    INTLLIBS="$LIBINTL"
 
 
 
+   if test "$gt_cv_have_gettext" = "yes"; then
+     if test "x$ALL_LINGUAS" = "x"; then
+       LINGUAS=
+     else
+       { $as_echo "$as_me:$LINENO: checking for catalogs to be installed" >&5
+$as_echo_n "checking for catalogs to be installed... " >&6; }
+       NEW_LINGUAS=
+       for presentlang in $ALL_LINGUAS; do
+         useit=no
+         if test "%UNSET%" != "${LINGUAS-%UNSET%}"; then
+           desiredlanguages="$LINGUAS"
+         else
+           desiredlanguages="$ALL_LINGUAS"
+         fi
+         for desiredlang in $desiredlanguages; do
+ 	   # Use the presentlang catalog if desiredlang is
+           #   a. equal to presentlang, or
+           #   b. a variant of presentlang (because in this case,
+           #      presentlang can be used as a fallback for messages
+           #      which are not translated in the desiredlang catalog).
+           case "$desiredlang" in
+             "$presentlang"*) useit=yes;;
+           esac
+         done
+         if test $useit = yes; then
+           NEW_LINGUAS="$NEW_LINGUAS $presentlang"
+         fi
+       done
+       LINGUAS=$NEW_LINGUAS
+       { $as_echo "$as_me:$LINENO: result: $LINGUAS" >&5
+$as_echo "$LINGUAS" >&6; }
+     fi
 
+          if test -n "$LINGUAS"; then
+       for lang in $LINGUAS; do CATALOGS="$CATALOGS $lang$CATOBJEXT"; done
+     fi
+   fi
 
+            MKINSTALLDIRS=
+   if test -n "$ac_aux_dir"; then
+     MKINSTALLDIRS="$ac_aux_dir/mkinstalldirs"
+   fi
+   if test -z "$MKINSTALLDIRS"; then
+     MKINSTALLDIRS="\$(top_srcdir)/mkinstalldirs"
+   fi
 
 
+         test -d po || mkdir po
+   if test "x$srcdir" != "x."; then
+     if test "x`echo $srcdir | sed 's@/.*@@'`" = "x"; then
+       posrcprefix="$srcdir/"
+     else
+       posrcprefix="../$srcdir/"
+     fi
+   else
+     posrcprefix="../"
+   fi
+   rm -f po/POTFILES
+   sed -e "/^#/d" -e "/^\$/d" -e "s,.*,	$posrcprefix& \\\\," -e "\$s/\(.*\) \\\\/\1/" \
+	< $srcdir/po/POTFILES.in > po/POTFILES
 
 
 # define configure arguments
@@ -22366,6 +22024,10 @@ $as_echo "$as_me: error: conditional \"a
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+
+  ac_config_commands="$ac_config_commands po/stamp-it"
+
+
 if test -z "${ENABLE_GTK_DOC_TRUE}" && test -z "${ENABLE_GTK_DOC_FALSE}"; then
   { { $as_echo "$as_me:$LINENO: error: conditional \"ENABLE_GTK_DOC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -22380,10 +22042,6 @@ $as_echo "$as_me: error: conditional \"G
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-  ac_config_commands="$ac_config_commands po/stamp-it"
-
-
 if test -z "${GCONF_SCHEMAS_INSTALL_TRUE}" && test -z "${GCONF_SCHEMAS_INSTALL_FALSE}"; then
   { { $as_echo "$as_me:$LINENO: error: conditional \"GCONF_SCHEMAS_INSTALL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -22713,7 +22371,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by ibus $as_me 1.2.0.20090904, which was
+This file was extended by ibus $as_me 1.2.0.20091024, which was
 generated by GNU Autoconf 2.63.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -22776,7 +22434,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_version="\\
-ibus config.status 1.2.0.20090904
+ibus config.status 1.2.0.20091024
 configured by $0, generated by GNU Autoconf 2.63,
   with options \\"`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -23241,12 +22899,6 @@ fi
 
 
 
-# Capture the value of obsolete ALL_LINGUAS because we need it to compute
-    # POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES, CATALOGS. But hide it
-    # from automake < 1.5.
-    eval 'OBSOLETE_ALL_LINGUAS''="$ALL_LINGUAS"'
-    # Capture the value of LINGUAS because we need it to compute CATALOGS.
-    LINGUAS="${LINGUAS-%UNSET%}"
 
 
 _ACEOF
@@ -23260,7 +22912,7 @@ do
     "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
     "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
     "libtool") CONFIG_COMMANDS="$CONFIG_COMMANDS libtool" ;;
-    "po-directories") CONFIG_COMMANDS="$CONFIG_COMMANDS po-directories" ;;
+    "default-1") CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
     "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
     "ibus-1.0.pc") CONFIG_FILES="$CONFIG_FILES ibus-1.0.pc" ;;
@@ -24883,119 +24535,9 @@ compiler_lib_search_path=$lt_compiler_li
 _LT_EOF
 
  ;;
-    "po-directories":C)
-    for ac_file in $CONFIG_FILES; do
-      # Support "outfile[:infile[:infile...]]"
-      case "$ac_file" in
-        *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
-      esac
-      # PO directories have a Makefile.in generated from Makefile.in.in.
-      case "$ac_file" in */Makefile.in)
-        # Adjust a relative srcdir.
-        ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
-        ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
-        ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
-        # In autoconf-2.13 it is called $ac_given_srcdir.
-        # In autoconf-2.50 it is called $srcdir.
-        test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
-        case "$ac_given_srcdir" in
-          .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
-          /*) top_srcdir="$ac_given_srcdir" ;;
-          *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
-        esac
-        # Treat a directory as a PO directory if and only if it has a
-        # POTFILES.in file. This allows packages to have multiple PO
-        # directories under different names or in different locations.
-        if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
-          rm -f "$ac_dir/POTFILES"
-          test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
-          cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[ 	]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
-          POMAKEFILEDEPS="POTFILES.in"
-          # ALL_LINGUAS, POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES depend
-          # on $ac_dir but don't depend on user-specified configuration
-          # parameters.
-          if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
-            # The LINGUAS file contains the set of available languages.
-            if test -n "$OBSOLETE_ALL_LINGUAS"; then
-              test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
-            fi
-            ALL_LINGUAS_=`sed -e "/^#/d" -e "s/#.*//" "$ac_given_srcdir/$ac_dir/LINGUAS"`
-            # Hide the ALL_LINGUAS assigment from automake < 1.5.
-            eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
-            POMAKEFILEDEPS="$POMAKEFILEDEPS LINGUAS"
-          else
-            # The set of available languages was given in configure.in.
-            # Hide the ALL_LINGUAS assigment from automake < 1.5.
-            eval 'ALL_LINGUAS''=$OBSOLETE_ALL_LINGUAS'
-          fi
-          # Compute POFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).po)
-          # Compute UPDATEPOFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).po-update)
-          # Compute DUMMYPOFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).nop)
-          # Compute GMOFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).gmo)
-          case "$ac_given_srcdir" in
-            .) srcdirpre= ;;
-            *) srcdirpre='$(srcdir)/' ;;
-          esac
-          POFILES=
-          UPDATEPOFILES=
-          DUMMYPOFILES=
-          GMOFILES=
-          for lang in $ALL_LINGUAS; do
-            POFILES="$POFILES $srcdirpre$lang.po"
-            UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
-            DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
-            GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
-          done
-          # CATALOGS depends on both $ac_dir and the user's LINGUAS
-          # environment variable.
-          INST_LINGUAS=
-          if test -n "$ALL_LINGUAS"; then
-            for presentlang in $ALL_LINGUAS; do
-              useit=no
-              if test "%UNSET%" != "$LINGUAS"; then
-                desiredlanguages="$LINGUAS"
-              else
-                desiredlanguages="$ALL_LINGUAS"
-              fi
-              for desiredlang in $desiredlanguages; do
-                # Use the presentlang catalog if desiredlang is
-                #   a. equal to presentlang, or
-                #   b. a variant of presentlang (because in this case,
-                #      presentlang can be used as a fallback for messages
-                #      which are not translated in the desiredlang catalog).
-                case "$desiredlang" in
-                  "$presentlang"*) useit=yes;;
-                esac
-              done
-              if test $useit = yes; then
-                INST_LINGUAS="$INST_LINGUAS $presentlang"
-              fi
-            done
-          fi
-          CATALOGS=
-          if test -n "$INST_LINGUAS"; then
-            for lang in $INST_LINGUAS; do
-              CATALOGS="$CATALOGS $lang.gmo"
-            done
-          fi
-          test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
-          sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" -e "s|@POMAKEFILEDEPS@|$POMAKEFILEDEPS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
-          for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
-            if test -f "$f"; then
-              case "$f" in
-                *.orig | *.bak | *~) ;;
-                *) cat "$f" >> "$ac_dir/Makefile" ;;
-              esac
-            fi
-          done
-        fi
-        ;;
-      esac
-    done ;;
+    "default-1":C) case "$CONFIG_FILES" in *po/Makefile.in*)
+        sed -e "/POTFILES =/r po/POTFILES" po/Makefile.in > po/Makefile
+      esac ;;
     "po/stamp-it":C)
     if  ! grep "^# INTLTOOL_MAKEFILE$" "po/Makefile.in" > /dev/null ; then
        { { $as_echo "$as_me:$LINENO: error: po/Makefile.in.in was not created by intltoolize." >&5
diff -pruN 1.2.0.20090904-1/configure.ac 1.2.0.20091024-1/configure.ac
--- 1.2.0.20090904-1/configure.ac	2009-09-04 03:50:51.000000000 +0100
+++ 1.2.0.20091024-1/configure.ac	2009-10-24 04:18:00.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -48,6 +49,7 @@ AC_PROG_CXX
 AC_ISC_POSIX
 AC_HEADER_STDC
 AM_PROG_LIBTOOL
+IT_PROG_INTLTOOL([0.35.0])
 
 # For dislpay Date
 m4_define(ibus_maybe_datedisplay,
@@ -115,7 +117,6 @@ AC_PATH_PROG(GCONFTOOL, gconftool-2, no)
 if test x"$GCONFTOOL" = xno; then
     AC_MSG_ERROR([gconftool-2 executable not found in your path - should be installed with GConf])
 fi
-IT_PROG_INTLTOOL([0.40.0])
 
 AM_GCONF_SOURCE_2
 
@@ -186,17 +187,15 @@ AC_SUBST(PYTHON_INCLUDES)
 AC_SUBST(PYTHON_LIBS)
 
 #
-REBUILD = #
-AC_SUBST(REBUILD)
+# REBUILD = \#
+# AC_SUBST(REBUILD)
 
 # define GETTEXT_* variables
 GETTEXT_PACKAGE=ibus
 AC_SUBST(GETTEXT_PACKAGE)
-AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Define to the read-only architecture-independent data directory.])
-
-AM_GNU_GETTEXT([external])
-AM_GNU_GETTEXT_VERSION(0.16.1)
+AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package])
 
+AM_GLIB_GNU_GETTEXT
 
 # define configure arguments
 AC_ARG_WITH(gtk-im-module-dir,
diff -pruN 1.2.0.20090904-1/data/ibus.schemas.in 1.2.0.20091024-1/data/ibus.schemas.in
--- 1.2.0.20090904-1/data/ibus.schemas.in	2009-08-29 01:13:26.000000000 +0100
+++ 1.2.0.20091024-1/data/ibus.schemas.in	2009-10-16 00:20:51.000000000 +0100
@@ -8,7 +8,7 @@
       <type>list</type>
       <list_type>string</list_type>
       <locale name="C">
-        <short>Preload Engines</short>
+        <short>Preload engines</short>
 	    <long>Preload Engines during ibus starts up</long>
       </locale>
     </schema>
@@ -20,8 +20,8 @@
       <list_type>string</list_type>
       <default>[Control+space,Zenkaku_Hankaku,Alt+Zenkaku_Hankaku,Alt+grave,Hangul,Alt+Release+Alt_R]</default>
       <locale name="C">
-        <short>Trigger Hotkey</short>
-	    <long>Trigger hotkey for enable or disable input context</long>
+        <short>Trigger shortcut keys</short>
+	    <long>The shortcut keys for turning input method on or off</long>
       </locale>
     </schema>
     <schema>
@@ -32,8 +32,8 @@
       <list_type>string</list_type>
       <default>[Alt+Shift_L]</default>
       <locale name="C">
-        <short>Next Engine Hotkey</short>
-	    <long>Next engine hotkey for switch to next input method engine</long>
+        <short>Next engine shortcut keys</short>
+	    <long>The shortcut keys for switching to next input method in the list</long>
       </locale>
     </schema>
     <schema>
@@ -44,8 +44,8 @@
       <list_type>string</list_type>
       <default>[]</default>
       <locale name="C">
-        <short>Prev Engine Hotkey</short>
-	    <long>Prev engine hotkey for switch to previous input method engine</long>
+        <short>Prev engine shortcut keys</short>
+	    <long>The shortcut keys for switching to next input method in the list</long>
       </locale>
     </schema>
     <schema>
@@ -55,7 +55,7 @@
       <type>int</type>
       <default>1</default>
       <locale name="C">
-        <short>Auto Hide</short>
+        <short>Auto hide</short>
 	    <long>The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always show</long>
       </locale>
     </schema>
@@ -66,19 +66,30 @@
       <type>int</type>
       <default>1</default>
       <locale name="C">
-        <short>Orientation of Lookup Table</short>
+        <short>Orientation of lookup table</short>
 	    <long>Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical</long>
       </locale>
     </schema>
     <schema>
+      <key>/schemas/desktop/ibus/panel/show_icon_on_systray</key>
+      <applyto>/desktop/ibus/panel/show_icon_on_systray</applyto>
+      <owner>ibus</owner>
+      <type>bool</type>
+      <default>true</default>
+      <locale name="C">
+        <short>Show icon on system tray</short>
+	    <long>Show icon on system tray</long>
+      </locale>
+    </schema>
+    <schema>
       <key>/schemas/desktop/ibus/panel/show_im_name</key>
       <applyto>/desktop/ibus/panel/show_im_name</applyto>
       <owner>ibus</owner>
       <type>bool</type>
       <default>false</default>
       <locale name="C">
-        <short>Show IM Name</short>
-	    <long>Show IM name on language bar</long>
+        <short>Show input method name</short>
+	    <long>Show input method name on language bar</long>
       </locale>
     </schema>
     <schema>
@@ -86,7 +97,7 @@
       <applyto>/desktop/ibus/general/use_system_keyboard_layout</applyto>
       <owner>ibus</owner>
       <type>bool</type>
-      <default>false</default>
+      <default>true</default>
       <locale name="C">
         <short>Use system keyboard layout</short>
 	    <long>Use system keyboard (XKB) layout</long>
@@ -99,7 +110,7 @@
       <type>bool</type>
       <default>false</default>
       <locale name="C">
-        <short>Use Custom Font</short>
+        <short>Use custom font</short>
 	    <long>Use custom font name for language panel</long>
       </locale>
     </schema>
@@ -110,7 +121,7 @@
       <type>string</type>
       <default>Sans 10</default>
       <locale name="C">
-        <short>Custom Font</short>
+        <short>Custom font</short>
 	    <long>Custom font name for language panel</long>
       </locale>
     </schema>
Binary files 1.2.0.20090904-1/data/icons/16/ibus-keyboard.png and 1.2.0.20091024-1/data/icons/16/ibus-keyboard.png differ
Binary files 1.2.0.20090904-1/data/icons/16/ibus-off.png and 1.2.0.20091024-1/data/icons/16/ibus-off.png differ
Binary files 1.2.0.20090904-1/data/icons/22/ibus-keyboard.png and 1.2.0.20091024-1/data/icons/22/ibus-keyboard.png differ
Binary files 1.2.0.20090904-1/data/icons/22/ibus-off.png and 1.2.0.20091024-1/data/icons/22/ibus-off.png differ
Binary files 1.2.0.20090904-1/data/icons/24/ibus-keyboard.png and 1.2.0.20091024-1/data/icons/24/ibus-keyboard.png differ
Binary files 1.2.0.20090904-1/data/icons/24/ibus-off.png and 1.2.0.20091024-1/data/icons/24/ibus-off.png differ
Binary files 1.2.0.20090904-1/data/icons/32/ibus-keyboard.png and 1.2.0.20091024-1/data/icons/32/ibus-keyboard.png differ
Binary files 1.2.0.20090904-1/data/icons/32/ibus-off.png and 1.2.0.20091024-1/data/icons/32/ibus-off.png differ
Binary files 1.2.0.20090904-1/data/icons/48/ibus-keyboard.png and 1.2.0.20091024-1/data/icons/48/ibus-keyboard.png differ
Binary files 1.2.0.20090904-1/data/icons/48/ibus-off.png and 1.2.0.20091024-1/data/icons/48/ibus-off.png differ
diff -pruN 1.2.0.20090904-1/data/icons/ibus-engine.svg 1.2.0.20091024-1/data/icons/ibus-engine.svg
--- 1.2.0.20090904-1/data/icons/ibus-engine.svg	2009-08-26 23:22:51.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/ibus-engine.svg	1970-01-01 01:00:00.000000000 +0100
@@ -1,146 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://web.resource.org/cc/"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink"
-   xmlns:sodipodi="http://inkscape.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="48"
-   height="48"
-   id="svg14"
-   sodipodi:version="0.32"
-   inkscape:version="0.43+devel"
-   sodipodi:docbase="/home/silvestre/Desktop/Neu/scalable/categories"
-   sodipodi:docname="emblem-system.svg"
-   version="1.0">
-  <defs
-     id="defs3">
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient6647">
-      <stop
-         style="stop-color:white;stop-opacity:1;"
-         offset="0"
-         id="stop6649" />
-      <stop
-         style="stop-color:white;stop-opacity:0.45064378"
-         offset="1"
-         id="stop6651" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient4234">
-      <stop
-         id="stop4236"
-         offset="0"
-         style="stop-color:#c1e3ff;stop-opacity:1;" />
-      <stop
-         id="stop4238"
-         offset="1"
-         style="stop-color:#56ace5;stop-opacity:1;" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient2049"
-       inkscape:collect="always">
-      <stop
-         id="stop2051"
-         offset="0"
-         style="stop-color:white;stop-opacity:0.527897" />
-      <stop
-         id="stop2053"
-         offset="1"
-         style="stop-color:#ffffff;stop-opacity:0;" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient2049"
-       id="linearGradient4018"
-       gradientUnits="userSpaceOnUse"
-       x1="72.151817"
-       y1="38.213421"
-       x2="72.151817"
-       y2="77.304459"
-       gradientTransform="matrix(0.473102,0,0,0.486551,-14.45093,-13.94975)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient4234"
-       id="linearGradient4021"
-       gradientUnits="userSpaceOnUse"
-       x1="34.812870"
-       y1="16.950554"
-       x2="34.812870"
-       y2="50.460960"
-       gradientTransform="matrix(0.604677,0,0,0.611141,-2.223758,-2.866561)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient6647"
-       id="linearGradient6653"
-       x1="38.311138"
-       y1="29.974993"
-       x2="26.017185"
-       y2="26.680838"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.308298,0,0,1.26823,-17.41594,-13.94055)" />
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="1"
-     inkscape:cx="24"
-     inkscape:cy="24"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
-     inkscape:window-width="823"
-     inkscape:window-height="536"
-     inkscape:window-x="143"
-     inkscape:window-y="107"
-     inkscape:showpageshadow="false"
-     width="48px"
-     height="48px"
-     showgrid="false"
-     showborder="false"
-     showguides="true"
-     inkscape:guide-bbox="true" />
-  <metadata
-     id="metadata4">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1">
-    <path
-       style="color:black;fill:#2f82b8;fill-opacity:1;fill-rule:evenodd;stroke:#005188;stroke-width:1.02248347;stroke-linecap:round;stroke-linejoin:round;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
-       d="M 26.652146,1.5112415 L 21.796107,7.0524995 L 18.086565,4.7695813 L 19.368084,5.7766783 L 15.819439,2.9965264 L 10.870014,6.1384784 L 11.561064,14.612225 L 4.5011298,16.459311 L 3.5112434,22.057698 L 9.5999726,26.703976 L 5.154827,33.444889 L 8.8715662,38.395843 L 8.9028381,38.371929 L 12.868462,40.89036 L 17.16419,39.214654 L 18.845126,43.384881 L 18.906372,43.368051 L 22.860699,45.879399 L 29.715189,46.488746 L 32.217915,38.510096 L 39.29653,40.43335 L 42.583698,35.082512 L 38.810927,27.808419 L 44.488758,22.53375 L 42.975915,16.173679 L 38.974191,13.636434 L 38.979021,13.679161 L 35.803916,13.203108 L 35.841272,6.5764474 L 31.825697,4.0960486 L 31.825697,4.0819295 L 26.652146,1.5112415 z M 26.017126,18.820536 C 26.1304,18.820536 26.223034,18.888863 26.334637,18.896705 C 27.083758,20.018222 27.604678,21.381061 27.604678,22.914592 C 27.604676,26.544153 25.091551,29.484129 22.001554,29.484129 C 21.881961,29.484129 21.783135,29.416636 21.665368,29.407958 C 20.912902,28.290367 20.395324,26.942643 20.395324,25.409112 C 20.395326,21.779551 22.927124,18.820536 26.017126,18.820536 z "
-       id="path2041"
-       sodipodi:nodetypes="ccccccccccccccccccccccccccccccccccsscsc" />
-    <path
-       style="color:black;fill:url(#linearGradient4021);fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1.86331141;stroke-linecap:round;stroke-linejoin:round;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
-       d="M 26.537485,2 L 21.471285,7.7153745 L 15.978957,3.444977 L 11.165279,6.4772487 L 11.843929,14.655197 L 4.9627365,16.437806 L 4,21.829224 L 9.9184569,26.313311 L 5.6003402,32.825753 L 9.2145447,37.603879 L 15.906347,35.012666 L 18.936598,42.418762 L 25.622096,43 L 28.052609,35.299866 L 34.933802,37.155986 L 38.137658,31.991933 L 34.476106,24.971762 L 40,19.88122 L 38.532224,13.743164 L 31.540553,12.695652 L 31.572117,4.4809497 L 26.537485,2 z M 22.00789,16.297625 C 25.97073,16.297625 28.009709,19.153348 28.009709,22.656208 C 28.009708,26.159069 25.016154,29.478806 22.00789,29.478806 C 18.99963,29.478804 16.547128,26.159069 16.547128,22.656208 C 16.54713,19.153347 18.99963,16.297625 22.00789,16.297625 z "
-       id="path2043"
-       sodipodi:nodetypes="cccccccccccccccccccccccssss" />
-    <path
-       id="path1317"
-       d="M 26.531416,2 L 21.460369,7.8234072 L 15.975359,3.4748561 L 11.155646,6.5614153 L 11.835728,14.878396 L 4.9609866,16.702961 L 4,22.176659 L 4.6061603,22.648005 C 8.1497976,20.481689 12.845752,19.050606 18.074743,18.588345 C 19.070627,17.348013 20.453902,16.550914 22.007392,16.550914 C 24.120113,16.550914 25.633247,17.413895 26.634908,18.725189 C 30.895551,19.290607 34.700407,20.557527 37.767556,22.298298 L 40,20.200046 L 38.52156,13.950907 L 31.528542,12.886578 L 31.572894,4.5239825 L 26.531416,2 z "
-       style="color:black;fill:url(#linearGradient4018);fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1.86331141;stroke-linecap:round;stroke-linejoin:round;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible" />
-    <path
-       style="color:black;fill:none;fill-opacity:1;fill-rule:evenodd;stroke:url(#linearGradient6653);stroke-width:0.96760041;stroke-linecap:round;stroke-linejoin:round;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
-       d="M 26.401951,3.4838006 L 21.536258,9.0779654 L 15.695213,4.8708453 L 11.522975,7.3498089 L 12.523715,15.307816 L 5.2069064,17.450691 L 4.4838012,21.870413 L 10.520787,26.606458 L 5.9446345,32.965733 L 9.2725396,37.444359 L 15.62388,34.741164 L 18.823489,41.958265 L 25.391328,42.5162 L 27.779067,35.124781 L 34.539151,36.906487 L 37.686624,31.949474 L 34.089512,25.21076 L 39.51619,20.324311 L 38.185589,14.756151 L 31.316967,13.750636 L 31.347975,5.7573491 L 26.401951,3.4838006 z M 21.840731,16.884393 C 25.733827,16.884393 27.736921,19.625623 27.736921,22.988044 C 27.73692,26.350463 24.79605,29.537105 21.840731,29.537105 C 18.885413,29.537103 16.476076,26.350463 16.476076,22.988044 C 16.476077,19.625622 18.885413,16.884393 21.840731,16.884393 z "
-       id="path5772"
-       sodipodi:nodetypes="cccccccccccccccccccccccssss" />
-  </g>
-</svg>
diff -pruN 1.2.0.20090904-1/data/icons/ibus-off.svg 1.2.0.20091024-1/data/icons/ibus-off.svg
--- 1.2.0.20090904-1/data/icons/ibus-off.svg	2009-09-04 05:25:35.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/ibus-off.svg	1970-01-01 01:00:00.000000000 +0100
@@ -1,401 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="48"
-   height="48"
-   id="svg4908"
-   sodipodi:version="0.32"
-   inkscape:version="0.46"
-   version="1.0"
-   sodipodi:docname="ibus.svg"
-   inkscape:output_extension="org.inkscape.output.svg.inkscape"
-   inkscape:export-filename="/home/andreas/project/gnome-icon-theme/32x32/apps/accessories-character-map.png"
-   inkscape:export-xdpi="90"
-   inkscape:export-ydpi="90"
-   sodipodi:docbase="/home/dobey/Projects/gnome-icon-theme/scalable/apps">
-  <defs
-     id="defs4910">
-    <inkscape:perspective
-       sodipodi:type="inkscape:persp3d"
-       inkscape:vp_x="0 : 24 : 1"
-       inkscape:vp_y="0 : 1000 : 0"
-       inkscape:vp_z="48 : 24 : 1"
-       inkscape:persp3d-origin="24 : 16 : 1"
-       id="perspective43" />
-    <linearGradient
-       id="linearGradient5554">
-      <stop
-         style="stop-color:#4b4b4b;stop-opacity:1;"
-         offset="0"
-         id="stop5556" />
-      <stop
-         style="stop-color:#969696;stop-opacity:1;"
-         offset="1"
-         id="stop5558" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient5954">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5956" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop5958" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient5946">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5948" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop5950" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5684">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5686" />
-      <stop
-         style="stop-color:#fbfbfa;stop-opacity:0"
-         offset="1"
-         id="stop5688" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5582">
-      <stop
-         style="stop-color:#728fff;stop-opacity:1;"
-         offset="0"
-         id="stop5584" />
-      <stop
-         style="stop-color:#cacaff;stop-opacity:1;"
-         offset="1"
-         id="stop5586" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient5588"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229"
-       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
-       gradientUnits="userSpaceOnUse" />
-    <filter
-       inkscape:collect="always"
-       x="-0.088849433"
-       width="1.1776989"
-       y="-0.48115385"
-       height="1.9623077"
-       id="filter5672">
-      <feGaussianBlur
-         inkscape:collect="always"
-         stdDeviation="0.81445312"
-         id="feGaussianBlur5674" />
-    </filter>
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient5690"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient5572"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient5952"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697"
-       gradientUnits="userSpaceOnUse" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient5960"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832"
-       gradientUnits="userSpaceOnUse" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient5560"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688"
-       gradientUnits="userSpaceOnUse" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient2428"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient2430"
-       gradientUnits="userSpaceOnUse"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient2432"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient2434"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient2436"
-       gradientUnits="userSpaceOnUse"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient2438"
-       gradientUnits="userSpaceOnUse"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient2426"
-       gradientUnits="userSpaceOnUse"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient2429"
-       gradientUnits="userSpaceOnUse"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient2435"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.3836187,0,0,2.3926188,-2.7332181,-3.8467694)"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient2437"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.4009293,0,0,2.3926188,-3.0362948,-3.8467694)"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient2440"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.9139738,0,-2.829592e-6,2.3141678,3.5213431,-1.9977503)"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient2442"
-       gradientUnits="userSpaceOnUse"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="11.313708"
-     inkscape:cx="27.51455"
-     inkscape:cy="26.775741"
-     inkscape:current-layer="layer1"
-     showgrid="true"
-     inkscape:grid-bbox="true"
-     inkscape:document-units="px"
-     width="48px"
-     height="48px"
-     inkscape:window-width="1024"
-     inkscape:window-height="693"
-     inkscape:window-x="0"
-     inkscape:window-y="26">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4953" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4913">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title>Character map</dc:title>
-        <dc:date>August 2007</dc:date>
-        <dc:creator>
-          <cc:Agent>
-            <dc:title>Andreas Nilsson</dc:title>
-          </cc:Agent>
-        </dc:creator>
-        <cc:license
-           rdf:resource="gpl" />
-        <dc:rights>
-          <cc:Agent>
-            <dc:title>Andreas Nilsson</dc:title>
-          </cc:Agent>
-        </dc:rights>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     id="layer1"
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer">
-    <path
-       style="font-size:26.07637978px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:Bitstream Vera Sans"
-       d="M -6.4121783,25.075558 C -8.3718067,25.075566 -9.7294793,25.284652 -10.485201,25.702817 C -11.240934,26.120995 -11.618797,26.834348 -11.618793,27.842875 C -11.618797,28.646425 -11.337596,29.285982 -10.77519,29.761548 C -10.204005,30.228919 -9.4307029,30.462603 -8.4552802,30.462601 C -7.1107965,30.462603 -6.0343241,30.019833 -5.2258617,29.13429 C -4.408632,28.240553 -4.0000114,27.055732 -4,25.579825 L -4,25.075558 L -6.4121783,25.075558 M -1.57464,24.14082 L -1.57464,32 L -4,32 L -4,29.909138 C -4.5536256,30.745485 -5.2434463,31.364543 -6.0694642,31.766316 C -6.8955018,32.159889 -7.9060678,32.356676 -9.1011643,32.356676 C -10.612626,32.356676 -11.816517,31.963103 -12.712841,31.175955 C -13.600384,30.380609 -14.044154,29.31878 -14.044153,27.990465 C -14.044154,26.440774 -13.49054,25.272352 -12.383308,24.485197 C -11.267296,23.698058 -9.6064535,23.304484 -7.4007765,23.304476 L -4,23.304476 L -4,23.08309 C -4.0000114,22.041769 -4.3690879,21.238223 -5.1072295,20.67245 C -5.8366046,20.0985 -6.8647459,19.811519 -8.1916543,19.811507 C -9.035264,19.811519 -9.8568987,19.905813 -10.656558,20.094388 C -11.456228,20.282988 -12.225136,20.565869 -12.963286,20.943032 L -12.963286,18.85217 C -12.075749,18.532405 -11.214571,18.294621 -10.379751,18.138818 C -9.5449406,17.974842 -8.7320951,17.892848 -7.9412101,17.892834 C -5.8058487,17.892848 -4.2109125,18.409413 -3.1563965,19.442531 C -2.1019063,20.475674 -1.5746545,22.041769 -1.57464,24.14082 M -6.0035578,11.853934 L -3.3804793,11.853934 L -7.6775842,16.478428 L -9.6943226,16.478428 L -6.0035578,11.853934"
-       id="text5602" />
-    <rect
-       style="opacity:0.21875;fill:#2e3436;fill-opacity:1;stroke:none;stroke-width:1;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;filter:url(#filter5672)"
-       id="rect5606"
-       width="22"
-       height="4.0625"
-       x="0"
-       y="17.9375"
-       rx="0.739443"
-       ry="0.97960275"
-       transform="matrix(2.1311659,0,0,1.6086886,6.7119696e-2,11.585363)" />
-    <path
-       style="fill:#d3d7cf;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 43.636624,2.771375 L 38.919637,7.2097237 L 38.919637,39.246732 L 43.526265,43.486179 L 43.636624,2.771375 z"
-       id="path5548"
-       sodipodi:nodetypes="ccccc" />
-    <rect
-       style="fill:url(#radialGradient2440);fill-opacity:1;stroke:url(#linearGradient2442);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect4965"
-       width="43.879871"
-       height="43.932339"
-       x="1.6784796"
-       y="1.5225846"
-       rx="2.6745794"
-       ry="2.6745794" />
-    <rect
-       style="fill:url(#linearGradient2435);fill-opacity:1;stroke:url(#linearGradient2437);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect5570"
-       width="30.994139"
-       height="31.100513"
-       x="8.0058603"
-       y="6.9423208"
-       rx="1.5758758"
-       ry="1.575876" />
-    <rect
-       style="opacity:0.42708333;fill:none;fill-opacity:1;stroke:#ffffff;stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect5580"
-       width="41.796844"
-       height="41.606888"
-       x="2.7481849"
-       y="2.6056087"
-       rx="1.4325669"
-       ry="1.4325669" />
-    <path
-       style="fill:#eff0ed;fill-opacity:1;fill-rule:evenodd;stroke:#eff0ed;stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 42.597287,3.847753 L 38.581234,7.7673823"
-       id="path5574"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2429);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 38.291432,37.183038 L 42.508288,41.906692"
-       id="path5576" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2426);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 8.656685,37.33027 L 4.4398293,42.053925"
-       id="path5578" />
-    <path
-       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
-       d="M 23.153215,10.282012 C 21.884004,10.282044 20.838704,10.585224 20.01837,11.168886 C 19.213507,11.740188 18.82414,12.488211 18.824143,13.407187 C 18.82414,14.301378 19.235348,15.036983 20.055689,15.645488 C 20.876026,16.254041 21.899486,16.574617 23.153215,16.574593 C 24.42241,16.574617 25.467711,16.241622 26.288061,15.645488 C 27.108388,15.036983 27.519595,14.313799 27.519607,13.407187 C 27.519595,12.513048 27.130228,11.752606 26.32538,11.168886 C 25.52051,10.572805 24.453366,10.282044 23.153215,10.282012 z"
-       id="text2416" />
-    <path
-       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
-       d="M 19.843904,20.091095 L 19.843904,34 L 26.499846,34 L 26.499846,20.091095 L 19.843904,20.091095 z"
-       id="path2425" />
-  </g>
-</svg>
diff -pruN 1.2.0.20090904-1/data/icons/ibus-setup.svg 1.2.0.20091024-1/data/icons/ibus-setup.svg
--- 1.2.0.20090904-1/data/icons/ibus-setup.svg	2009-09-04 05:25:35.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/ibus-setup.svg	1970-01-01 01:00:00.000000000 +0100
@@ -1,401 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="48"
-   height="48"
-   id="svg4908"
-   sodipodi:version="0.32"
-   inkscape:version="0.46"
-   version="1.0"
-   sodipodi:docname="ibus.svg"
-   inkscape:output_extension="org.inkscape.output.svg.inkscape"
-   inkscape:export-filename="/home/andreas/project/gnome-icon-theme/32x32/apps/accessories-character-map.png"
-   inkscape:export-xdpi="90"
-   inkscape:export-ydpi="90"
-   sodipodi:docbase="/home/dobey/Projects/gnome-icon-theme/scalable/apps">
-  <defs
-     id="defs4910">
-    <inkscape:perspective
-       sodipodi:type="inkscape:persp3d"
-       inkscape:vp_x="0 : 24 : 1"
-       inkscape:vp_y="0 : 1000 : 0"
-       inkscape:vp_z="48 : 24 : 1"
-       inkscape:persp3d-origin="24 : 16 : 1"
-       id="perspective43" />
-    <linearGradient
-       id="linearGradient5554">
-      <stop
-         style="stop-color:#4b4b4b;stop-opacity:1;"
-         offset="0"
-         id="stop5556" />
-      <stop
-         style="stop-color:#969696;stop-opacity:1;"
-         offset="1"
-         id="stop5558" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient5954">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5956" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop5958" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient5946">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5948" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop5950" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5684">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5686" />
-      <stop
-         style="stop-color:#fbfbfa;stop-opacity:0"
-         offset="1"
-         id="stop5688" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5582">
-      <stop
-         style="stop-color:#728fff;stop-opacity:1;"
-         offset="0"
-         id="stop5584" />
-      <stop
-         style="stop-color:#cacaff;stop-opacity:1;"
-         offset="1"
-         id="stop5586" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient5588"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229"
-       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
-       gradientUnits="userSpaceOnUse" />
-    <filter
-       inkscape:collect="always"
-       x="-0.088849433"
-       width="1.1776989"
-       y="-0.48115385"
-       height="1.9623077"
-       id="filter5672">
-      <feGaussianBlur
-         inkscape:collect="always"
-         stdDeviation="0.81445312"
-         id="feGaussianBlur5674" />
-    </filter>
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient5690"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient5572"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient5952"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697"
-       gradientUnits="userSpaceOnUse" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient5960"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832"
-       gradientUnits="userSpaceOnUse" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient5560"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688"
-       gradientUnits="userSpaceOnUse" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient2428"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient2430"
-       gradientUnits="userSpaceOnUse"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient2432"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient2434"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient2436"
-       gradientUnits="userSpaceOnUse"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient2438"
-       gradientUnits="userSpaceOnUse"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient2426"
-       gradientUnits="userSpaceOnUse"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient2429"
-       gradientUnits="userSpaceOnUse"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient2435"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.3836187,0,0,2.3926188,-2.7332181,-3.8467694)"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient2437"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.4009293,0,0,2.3926188,-3.0362948,-3.8467694)"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient2440"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.9139738,0,-2.829592e-6,2.3141678,3.5213431,-1.9977503)"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient2442"
-       gradientUnits="userSpaceOnUse"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="11.313708"
-     inkscape:cx="27.51455"
-     inkscape:cy="26.775741"
-     inkscape:current-layer="layer1"
-     showgrid="true"
-     inkscape:grid-bbox="true"
-     inkscape:document-units="px"
-     width="48px"
-     height="48px"
-     inkscape:window-width="1024"
-     inkscape:window-height="693"
-     inkscape:window-x="0"
-     inkscape:window-y="26">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4953" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4913">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title>Character map</dc:title>
-        <dc:date>August 2007</dc:date>
-        <dc:creator>
-          <cc:Agent>
-            <dc:title>Andreas Nilsson</dc:title>
-          </cc:Agent>
-        </dc:creator>
-        <cc:license
-           rdf:resource="gpl" />
-        <dc:rights>
-          <cc:Agent>
-            <dc:title>Andreas Nilsson</dc:title>
-          </cc:Agent>
-        </dc:rights>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     id="layer1"
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer">
-    <path
-       style="font-size:26.07637978px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:Bitstream Vera Sans"
-       d="M -6.4121783,25.075558 C -8.3718067,25.075566 -9.7294793,25.284652 -10.485201,25.702817 C -11.240934,26.120995 -11.618797,26.834348 -11.618793,27.842875 C -11.618797,28.646425 -11.337596,29.285982 -10.77519,29.761548 C -10.204005,30.228919 -9.4307029,30.462603 -8.4552802,30.462601 C -7.1107965,30.462603 -6.0343241,30.019833 -5.2258617,29.13429 C -4.408632,28.240553 -4.0000114,27.055732 -4,25.579825 L -4,25.075558 L -6.4121783,25.075558 M -1.57464,24.14082 L -1.57464,32 L -4,32 L -4,29.909138 C -4.5536256,30.745485 -5.2434463,31.364543 -6.0694642,31.766316 C -6.8955018,32.159889 -7.9060678,32.356676 -9.1011643,32.356676 C -10.612626,32.356676 -11.816517,31.963103 -12.712841,31.175955 C -13.600384,30.380609 -14.044154,29.31878 -14.044153,27.990465 C -14.044154,26.440774 -13.49054,25.272352 -12.383308,24.485197 C -11.267296,23.698058 -9.6064535,23.304484 -7.4007765,23.304476 L -4,23.304476 L -4,23.08309 C -4.0000114,22.041769 -4.3690879,21.238223 -5.1072295,20.67245 C -5.8366046,20.0985 -6.8647459,19.811519 -8.1916543,19.811507 C -9.035264,19.811519 -9.8568987,19.905813 -10.656558,20.094388 C -11.456228,20.282988 -12.225136,20.565869 -12.963286,20.943032 L -12.963286,18.85217 C -12.075749,18.532405 -11.214571,18.294621 -10.379751,18.138818 C -9.5449406,17.974842 -8.7320951,17.892848 -7.9412101,17.892834 C -5.8058487,17.892848 -4.2109125,18.409413 -3.1563965,19.442531 C -2.1019063,20.475674 -1.5746545,22.041769 -1.57464,24.14082 M -6.0035578,11.853934 L -3.3804793,11.853934 L -7.6775842,16.478428 L -9.6943226,16.478428 L -6.0035578,11.853934"
-       id="text5602" />
-    <rect
-       style="opacity:0.21875;fill:#2e3436;fill-opacity:1;stroke:none;stroke-width:1;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;filter:url(#filter5672)"
-       id="rect5606"
-       width="22"
-       height="4.0625"
-       x="0"
-       y="17.9375"
-       rx="0.739443"
-       ry="0.97960275"
-       transform="matrix(2.1311659,0,0,1.6086886,6.7119696e-2,11.585363)" />
-    <path
-       style="fill:#d3d7cf;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 43.636624,2.771375 L 38.919637,7.2097237 L 38.919637,39.246732 L 43.526265,43.486179 L 43.636624,2.771375 z"
-       id="path5548"
-       sodipodi:nodetypes="ccccc" />
-    <rect
-       style="fill:url(#radialGradient2440);fill-opacity:1;stroke:url(#linearGradient2442);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect4965"
-       width="43.879871"
-       height="43.932339"
-       x="1.6784796"
-       y="1.5225846"
-       rx="2.6745794"
-       ry="2.6745794" />
-    <rect
-       style="fill:url(#linearGradient2435);fill-opacity:1;stroke:url(#linearGradient2437);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect5570"
-       width="30.994139"
-       height="31.100513"
-       x="8.0058603"
-       y="6.9423208"
-       rx="1.5758758"
-       ry="1.575876" />
-    <rect
-       style="opacity:0.42708333;fill:none;fill-opacity:1;stroke:#ffffff;stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect5580"
-       width="41.796844"
-       height="41.606888"
-       x="2.7481849"
-       y="2.6056087"
-       rx="1.4325669"
-       ry="1.4325669" />
-    <path
-       style="fill:#eff0ed;fill-opacity:1;fill-rule:evenodd;stroke:#eff0ed;stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 42.597287,3.847753 L 38.581234,7.7673823"
-       id="path5574"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2429);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 38.291432,37.183038 L 42.508288,41.906692"
-       id="path5576" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2426);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 8.656685,37.33027 L 4.4398293,42.053925"
-       id="path5578" />
-    <path
-       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
-       d="M 23.153215,10.282012 C 21.884004,10.282044 20.838704,10.585224 20.01837,11.168886 C 19.213507,11.740188 18.82414,12.488211 18.824143,13.407187 C 18.82414,14.301378 19.235348,15.036983 20.055689,15.645488 C 20.876026,16.254041 21.899486,16.574617 23.153215,16.574593 C 24.42241,16.574617 25.467711,16.241622 26.288061,15.645488 C 27.108388,15.036983 27.519595,14.313799 27.519607,13.407187 C 27.519595,12.513048 27.130228,11.752606 26.32538,11.168886 C 25.52051,10.572805 24.453366,10.282044 23.153215,10.282012 z"
-       id="text2416" />
-    <path
-       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
-       d="M 19.843904,20.091095 L 19.843904,34 L 26.499846,34 L 26.499846,20.091095 L 19.843904,20.091095 z"
-       id="path2425" />
-  </g>
-</svg>
diff -pruN 1.2.0.20090904-1/data/icons/ibus.svg 1.2.0.20091024-1/data/icons/ibus.svg
--- 1.2.0.20090904-1/data/icons/ibus.svg	2009-09-04 05:25:35.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/ibus.svg	1970-01-01 01:00:00.000000000 +0100
@@ -1,401 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="48"
-   height="48"
-   id="svg4908"
-   sodipodi:version="0.32"
-   inkscape:version="0.46"
-   version="1.0"
-   sodipodi:docname="ibus.svg"
-   inkscape:output_extension="org.inkscape.output.svg.inkscape"
-   inkscape:export-filename="/home/andreas/project/gnome-icon-theme/32x32/apps/accessories-character-map.png"
-   inkscape:export-xdpi="90"
-   inkscape:export-ydpi="90"
-   sodipodi:docbase="/home/dobey/Projects/gnome-icon-theme/scalable/apps">
-  <defs
-     id="defs4910">
-    <inkscape:perspective
-       sodipodi:type="inkscape:persp3d"
-       inkscape:vp_x="0 : 24 : 1"
-       inkscape:vp_y="0 : 1000 : 0"
-       inkscape:vp_z="48 : 24 : 1"
-       inkscape:persp3d-origin="24 : 16 : 1"
-       id="perspective43" />
-    <linearGradient
-       id="linearGradient5554">
-      <stop
-         style="stop-color:#4b4b4b;stop-opacity:1;"
-         offset="0"
-         id="stop5556" />
-      <stop
-         style="stop-color:#969696;stop-opacity:1;"
-         offset="1"
-         id="stop5558" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient5954">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5956" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop5958" />
-    </linearGradient>
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient5946">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5948" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop5950" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5684">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop5686" />
-      <stop
-         style="stop-color:#fbfbfa;stop-opacity:0"
-         offset="1"
-         id="stop5688" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5582">
-      <stop
-         style="stop-color:#728fff;stop-opacity:1;"
-         offset="0"
-         id="stop5584" />
-      <stop
-         style="stop-color:#cacaff;stop-opacity:1;"
-         offset="1"
-         id="stop5586" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient5588"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229"
-       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
-       gradientUnits="userSpaceOnUse" />
-    <filter
-       inkscape:collect="always"
-       x="-0.088849433"
-       width="1.1776989"
-       y="-0.48115385"
-       height="1.9623077"
-       id="filter5672">
-      <feGaussianBlur
-         inkscape:collect="always"
-         stdDeviation="0.81445312"
-         id="feGaussianBlur5674" />
-    </filter>
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient5690"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient5572"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient5952"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697"
-       gradientUnits="userSpaceOnUse" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient5960"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832"
-       gradientUnits="userSpaceOnUse" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient5560"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688"
-       gradientUnits="userSpaceOnUse" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient2428"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient2430"
-       gradientUnits="userSpaceOnUse"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient2432"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient2434"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient2436"
-       gradientUnits="userSpaceOnUse"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient2438"
-       gradientUnits="userSpaceOnUse"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5954"
-       id="linearGradient2426"
-       gradientUnits="userSpaceOnUse"
-       x1="9.1899414"
-       y1="38.01667"
-       x2="6.7953143"
-       y2="40.66832"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5946"
-       id="linearGradient2429"
-       gradientUnits="userSpaceOnUse"
-       x1="39.767197"
-       y1="38.497765"
-       x2="40.912174"
-       y2="40.530697"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="linearGradient2435"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.3836187,0,0,2.3926188,-2.7332181,-3.8467694)"
-       x1="8.0708427"
-       y1="9.5091877"
-       x2="8.1333427"
-       y2="5.6960859" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5684"
-       id="linearGradient2437"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.4009293,0,0,2.3926188,-3.0362948,-3.8467694)"
-       x1="11.05373"
-       y1="7.068707"
-       x2="11.05373"
-       y2="2.6694806" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5582"
-       id="radialGradient2440"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.9139738,0,-2.829592e-6,2.3141678,3.5213431,-1.9977503)"
-       cx="4.0799417"
-       cy="5.0786786"
-       fx="4.0799417"
-       fy="5.0786786"
-       r="9.9909229" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient5554"
-       id="linearGradient2442"
-       gradientUnits="userSpaceOnUse"
-       x1="16.066387"
-       y1="26.936842"
-       x2="16.362761"
-       y2="2.9876688"
-       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="11.313708"
-     inkscape:cx="27.51455"
-     inkscape:cy="26.775741"
-     inkscape:current-layer="layer1"
-     showgrid="true"
-     inkscape:grid-bbox="true"
-     inkscape:document-units="px"
-     width="48px"
-     height="48px"
-     inkscape:window-width="1024"
-     inkscape:window-height="693"
-     inkscape:window-x="0"
-     inkscape:window-y="26">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4953" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4913">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title>Character map</dc:title>
-        <dc:date>August 2007</dc:date>
-        <dc:creator>
-          <cc:Agent>
-            <dc:title>Andreas Nilsson</dc:title>
-          </cc:Agent>
-        </dc:creator>
-        <cc:license
-           rdf:resource="gpl" />
-        <dc:rights>
-          <cc:Agent>
-            <dc:title>Andreas Nilsson</dc:title>
-          </cc:Agent>
-        </dc:rights>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     id="layer1"
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer">
-    <path
-       style="font-size:26.07637978px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:Bitstream Vera Sans"
-       d="M -6.4121783,25.075558 C -8.3718067,25.075566 -9.7294793,25.284652 -10.485201,25.702817 C -11.240934,26.120995 -11.618797,26.834348 -11.618793,27.842875 C -11.618797,28.646425 -11.337596,29.285982 -10.77519,29.761548 C -10.204005,30.228919 -9.4307029,30.462603 -8.4552802,30.462601 C -7.1107965,30.462603 -6.0343241,30.019833 -5.2258617,29.13429 C -4.408632,28.240553 -4.0000114,27.055732 -4,25.579825 L -4,25.075558 L -6.4121783,25.075558 M -1.57464,24.14082 L -1.57464,32 L -4,32 L -4,29.909138 C -4.5536256,30.745485 -5.2434463,31.364543 -6.0694642,31.766316 C -6.8955018,32.159889 -7.9060678,32.356676 -9.1011643,32.356676 C -10.612626,32.356676 -11.816517,31.963103 -12.712841,31.175955 C -13.600384,30.380609 -14.044154,29.31878 -14.044153,27.990465 C -14.044154,26.440774 -13.49054,25.272352 -12.383308,24.485197 C -11.267296,23.698058 -9.6064535,23.304484 -7.4007765,23.304476 L -4,23.304476 L -4,23.08309 C -4.0000114,22.041769 -4.3690879,21.238223 -5.1072295,20.67245 C -5.8366046,20.0985 -6.8647459,19.811519 -8.1916543,19.811507 C -9.035264,19.811519 -9.8568987,19.905813 -10.656558,20.094388 C -11.456228,20.282988 -12.225136,20.565869 -12.963286,20.943032 L -12.963286,18.85217 C -12.075749,18.532405 -11.214571,18.294621 -10.379751,18.138818 C -9.5449406,17.974842 -8.7320951,17.892848 -7.9412101,17.892834 C -5.8058487,17.892848 -4.2109125,18.409413 -3.1563965,19.442531 C -2.1019063,20.475674 -1.5746545,22.041769 -1.57464,24.14082 M -6.0035578,11.853934 L -3.3804793,11.853934 L -7.6775842,16.478428 L -9.6943226,16.478428 L -6.0035578,11.853934"
-       id="text5602" />
-    <rect
-       style="opacity:0.21875;fill:#2e3436;fill-opacity:1;stroke:none;stroke-width:1;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;filter:url(#filter5672)"
-       id="rect5606"
-       width="22"
-       height="4.0625"
-       x="0"
-       y="17.9375"
-       rx="0.739443"
-       ry="0.97960275"
-       transform="matrix(2.1311659,0,0,1.6086886,6.7119696e-2,11.585363)" />
-    <path
-       style="fill:#d3d7cf;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 43.636624,2.771375 L 38.919637,7.2097237 L 38.919637,39.246732 L 43.526265,43.486179 L 43.636624,2.771375 z"
-       id="path5548"
-       sodipodi:nodetypes="ccccc" />
-    <rect
-       style="fill:url(#radialGradient2440);fill-opacity:1;stroke:url(#linearGradient2442);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect4965"
-       width="43.879871"
-       height="43.932339"
-       x="1.6784796"
-       y="1.5225846"
-       rx="2.6745794"
-       ry="2.6745794" />
-    <rect
-       style="fill:url(#linearGradient2435);fill-opacity:1;stroke:url(#linearGradient2437);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect5570"
-       width="30.994139"
-       height="31.100513"
-       x="8.0058603"
-       y="6.9423208"
-       rx="1.5758758"
-       ry="1.575876" />
-    <rect
-       style="opacity:0.42708333;fill:none;fill-opacity:1;stroke:#ffffff;stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
-       id="rect5580"
-       width="41.796844"
-       height="41.606888"
-       x="2.7481849"
-       y="2.6056087"
-       rx="1.4325669"
-       ry="1.4325669" />
-    <path
-       style="fill:#eff0ed;fill-opacity:1;fill-rule:evenodd;stroke:#eff0ed;stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 42.597287,3.847753 L 38.581234,7.7673823"
-       id="path5574"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2429);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 38.291432,37.183038 L 42.508288,41.906692"
-       id="path5576" />
-    <path
-       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2426);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="M 8.656685,37.33027 L 4.4398293,42.053925"
-       id="path5578" />
-    <path
-       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
-       d="M 23.153215,10.282012 C 21.884004,10.282044 20.838704,10.585224 20.01837,11.168886 C 19.213507,11.740188 18.82414,12.488211 18.824143,13.407187 C 18.82414,14.301378 19.235348,15.036983 20.055689,15.645488 C 20.876026,16.254041 21.899486,16.574617 23.153215,16.574593 C 24.42241,16.574617 25.467711,16.241622 26.288061,15.645488 C 27.108388,15.036983 27.519595,14.313799 27.519607,13.407187 C 27.519595,12.513048 27.130228,11.752606 26.32538,11.168886 C 25.52051,10.572805 24.453366,10.282044 23.153215,10.282012 z"
-       id="text2416" />
-    <path
-       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
-       d="M 19.843904,20.091095 L 19.843904,34 L 26.499846,34 L 26.499846,20.091095 L 19.843904,20.091095 z"
-       id="path2425" />
-  </g>
-</svg>
diff -pruN 1.2.0.20090904-1/data/icons/Makefile.am 1.2.0.20091024-1/data/icons/Makefile.am
--- 1.2.0.20090904-1/data/icons/Makefile.am	2009-09-04 04:50:15.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -25,42 +26,41 @@ icons_DATA = \
 iconsdir = $(pkgdatadir)/icons
 
 sysicons_DATA = \
-	ibus.svg \
-	ibus-setup.svg \
-	ibus-off.svg \
-	ibus-engine.svg \
 	$(NULL)
 sysiconsdir = $(datadir)/pixmaps
 
 hicolor_icon_16_DATA = \
-	16/ibus-off.png \
+	16/ibus-keyboard.png \
 	$(NULL)
-hicolor_icon_16dir= $(datadir)/icons/hicolor/16x16/status/
+hicolor_icon_16dir= $(datadir)/icons/hicolor/16x16/apps/
 
 hicolor_icon_22_DATA = \
-	22/ibus-off.png \
+	22/ibus-keyboard.png \
 	$(NULL)
-hicolor_icon_22dir= $(datadir)/icons/hicolor/22x22/status/
+hicolor_icon_22dir= $(datadir)/icons/hicolor/22x22/apps/
 
 hicolor_icon_24_DATA = \
-	24/ibus-off.png \
+	24/ibus-keyboard.png \
 	$(NULL)
-hicolor_icon_24dir= $(datadir)/icons/hicolor/24x24/status/
+hicolor_icon_24dir= $(datadir)/icons/hicolor/24x24/apps/
 
 hicolor_icon_32_DATA = \
-	32/ibus-off.png \
+	32/ibus-keyboard.png \
 	$(NULL)
-hicolor_icon_32dir= $(datadir)/icons/hicolor/32x32/status/
+hicolor_icon_32dir= $(datadir)/icons/hicolor/32x32/apps/
 
 hicolor_icon_48_DATA = \
-	48/ibus-off.png \
+	48/ibus-keyboard.png \
 	$(NULL)
-hicolor_icon_48dir= $(datadir)/icons/hicolor/48x48/status/
+hicolor_icon_48dir= $(datadir)/icons/hicolor/48x48/apps/
 
 hicolor_icon_scalable_DATA = \
-	scalable/ibus-off.svg \
+	scalable/ibus.svg \
+	scalable/ibus-setup.svg \
+	scalable/ibus-engine.svg \
+	scalable/ibus-keyboard.svg \
 	$(NULL)
-hicolor_icon_scalabledir= $(datadir)/icons/hicolor/scalable/status/
+hicolor_icon_scalabledir= $(datadir)/icons/hicolor/scalable/apps/
 
 EXTRA_DIST = \
 	$(icons_DATA) \
diff -pruN 1.2.0.20090904-1/data/icons/Makefile.in 1.2.0.20091024-1/data/icons/Makefile.in
--- 1.2.0.20090904-1/data/icons/Makefile.in	2009-09-04 04:50:17.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/Makefile.in	2009-10-24 04:18:12.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -59,17 +60,14 @@ subdir = data/icons
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -116,6 +114,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -159,8 +159,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -175,32 +175,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -221,7 +218,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -232,7 +232,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -242,7 +241,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
@@ -305,43 +303,42 @@ icons_DATA = \
 
 iconsdir = $(pkgdatadir)/icons
 sysicons_DATA = \
-	ibus.svg \
-	ibus-setup.svg \
-	ibus-off.svg \
-	ibus-engine.svg \
 	$(NULL)
 
 sysiconsdir = $(datadir)/pixmaps
 hicolor_icon_16_DATA = \
-	16/ibus-off.png \
+	16/ibus-keyboard.png \
 	$(NULL)
 
-hicolor_icon_16dir = $(datadir)/icons/hicolor/16x16/status/
+hicolor_icon_16dir = $(datadir)/icons/hicolor/16x16/apps/
 hicolor_icon_22_DATA = \
-	22/ibus-off.png \
+	22/ibus-keyboard.png \
 	$(NULL)
 
-hicolor_icon_22dir = $(datadir)/icons/hicolor/22x22/status/
+hicolor_icon_22dir = $(datadir)/icons/hicolor/22x22/apps/
 hicolor_icon_24_DATA = \
-	24/ibus-off.png \
+	24/ibus-keyboard.png \
 	$(NULL)
 
-hicolor_icon_24dir = $(datadir)/icons/hicolor/24x24/status/
+hicolor_icon_24dir = $(datadir)/icons/hicolor/24x24/apps/
 hicolor_icon_32_DATA = \
-	32/ibus-off.png \
+	32/ibus-keyboard.png \
 	$(NULL)
 
-hicolor_icon_32dir = $(datadir)/icons/hicolor/32x32/status/
+hicolor_icon_32dir = $(datadir)/icons/hicolor/32x32/apps/
 hicolor_icon_48_DATA = \
-	48/ibus-off.png \
+	48/ibus-keyboard.png \
 	$(NULL)
 
-hicolor_icon_48dir = $(datadir)/icons/hicolor/48x48/status/
+hicolor_icon_48dir = $(datadir)/icons/hicolor/48x48/apps/
 hicolor_icon_scalable_DATA = \
-	scalable/ibus-off.svg \
+	scalable/ibus.svg \
+	scalable/ibus-setup.svg \
+	scalable/ibus-engine.svg \
+	scalable/ibus-keyboard.svg \
 	$(NULL)
 
-hicolor_icon_scalabledir = $(datadir)/icons/hicolor/scalable/status/
+hicolor_icon_scalabledir = $(datadir)/icons/hicolor/scalable/apps/
 EXTRA_DIST = \
 	$(icons_DATA) \
 	$(sysicons_DATA) \
diff -pruN 1.2.0.20090904-1/data/icons/scalable/ibus-engine.svg 1.2.0.20091024-1/data/icons/scalable/ibus-engine.svg
--- 1.2.0.20090904-1/data/icons/scalable/ibus-engine.svg	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/scalable/ibus-engine.svg	2009-10-13 03:03:27.000000000 +0100
@@ -0,0 +1,393 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="48.000000px"
+   height="48.000000px"
+   id="svg53383"
+   sodipodi:version="0.32"
+   inkscape:version="0.46+devel"
+   sodipodi:docname="ibus-setup.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape"
+   version="1.1">
+  <defs
+     id="defs3">
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 24 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       id="perspective31" />
+    <linearGradient
+       id="linearGradient3264">
+      <stop
+         style="stop-color:#c9c9c9;stop-opacity:1;"
+         offset="0"
+         id="stop3266" />
+      <stop
+         id="stop3276"
+         offset="0.25"
+         style="stop-color:#f8f8f8;stop-opacity:1;" />
+      <stop
+         id="stop3272"
+         offset="0.5"
+         style="stop-color:#e2e2e2;stop-opacity:1;" />
+      <stop
+         style="stop-color:#b0b0b0;stop-opacity:1;"
+         offset="0.75"
+         id="stop3274" />
+      <stop
+         style="stop-color:#c9c9c9;stop-opacity:1;"
+         offset="1"
+         id="stop3268" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3264"
+       id="linearGradient3281"
+       gradientUnits="userSpaceOnUse"
+       x1="14.462892"
+       y1="12.284524"
+       x2="34.534348"
+       y2="39.684914"
+       gradientTransform="matrix(1.241935,0,0,1.241935,-5.027508,-7.208988)" />
+    <linearGradient
+       id="linearGradient2300">
+      <stop
+         id="stop2302"
+         offset="0.0000000"
+         style="stop-color:#000000;stop-opacity:0.32673267;" />
+      <stop
+         id="stop2304"
+         offset="1"
+         style="stop-color:#000000;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       id="aigrd1"
+       gradientUnits="userSpaceOnUse"
+       x1="99.7773"
+       y1="15.4238"
+       x2="153.0005"
+       y2="248.6311">
+      <stop
+         offset="0"
+         style="stop-color:#184375"
+         id="stop53300" />
+      <stop
+         offset="1"
+         style="stop-color:#C8BDDC"
+         id="stop53302" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#aigrd1"
+       id="linearGradient53551"
+       gradientUnits="userSpaceOnUse"
+       x1="99.7773"
+       y1="15.4238"
+       x2="153.0005"
+       y2="248.6311"
+       gradientTransform="matrix(0.200685,0.000000,0.000000,0.200685,-0.585758,-1.050787)" />
+    <radialGradient
+       gradientUnits="userSpaceOnUse"
+       r="11.689870"
+       fy="72.568001"
+       fx="14.287618"
+       cy="68.872971"
+       cx="14.287618"
+       gradientTransform="matrix(1.399258,-2.234445e-7,8.196178e-8,0.513264,4.365074,4.839285)"
+       id="radialGradient2308"
+       xlink:href="#linearGradient2300"
+       inkscape:collect="always" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3264"
+       id="linearGradient3760"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.241935,0,0,1.241935,-5.027508,-7.208988)"
+       x1="14.462892"
+       y1="12.284524"
+       x2="34.534348"
+       y2="39.684914" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3165"
+       id="linearGradient3773"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.200685,0,0,0.200685,-54.33576,-1.050787)"
+       x1="343.77731"
+       y1="169.57544"
+       x2="447.2099"
+       y2="7.4488621" />
+    <linearGradient
+       y2="13.872649"
+       x2="22.480242"
+       y1="27.427807"
+       x1="7.746789"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3236"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientTransform="matrix(0.7783402,0,0,0.8510982,20.293591,5.3791756)"
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3234"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3231"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3226"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3220"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3213"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.872649"
+       x2="22.480242"
+       y1="27.427807"
+       x1="7.746789"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3209"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="22.214285"
+       x2="24.428572"
+       y1="22.214285"
+       x1="4"
+       id="linearGradient3182"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="16.928572"
+       x2="21.285713"
+       y1="16.928572"
+       x1="9.4285707"
+       id="linearGradient3170"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="9.7142849"
+       x2="32.046146"
+       y1="39"
+       x1="15.953855"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient2385"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <inkscape:perspective
+       id="perspective2391"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:vp_y="6.1230318e-14 : 1000 : 0"
+       inkscape:vp_x="0 : 24 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       id="linearGradient3165">
+      <stop
+         id="stop3167"
+         offset="0"
+         style="stop-color:#3e9ade;stop-opacity:1;" />
+      <stop
+         id="stop3169"
+         offset="1"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective3735"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3165-2"
+       id="linearGradient3773-6"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.200685,0,0,0.200685,-54.33576,-1.050787)"
+       x1="343.77731"
+       y1="169.57544"
+       x2="447.2099"
+       y2="7.4488621" />
+    <linearGradient
+       id="linearGradient3165-2">
+      <stop
+         id="stop3167-1"
+         offset="0"
+         style="stop-color:#3e9ade;stop-opacity:1;" />
+      <stop
+         id="stop3169-0"
+         offset="1"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+    </linearGradient>
+  </defs>
+  <sodipodi:namedview
+     inkscape:showpageshadow="false"
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="0.11764706"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="5.6568542"
+     inkscape:cx="37.851846"
+     inkscape:cy="20.457681"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:grid-bbox="true"
+     inkscape:document-units="px"
+     inkscape:window-width="1024"
+     inkscape:window-height="697"
+     inkscape:window-x="0"
+     inkscape:window-y="25"
+     inkscape:window-maximized="1" />
+  <metadata
+     id="metadata4">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title>System Applications</dc:title>
+        <dc:creator>
+          <cc:Agent>
+            <dc:title>Jakub Steiner</dc:title>
+          </cc:Agent>
+        </dc:creator>
+        <dc:source>http://jimmac.musichall.cz/</dc:source>
+        <dc:subject>
+          <rdf:Bag>
+            <rdf:li>system</rdf:li>
+            <rdf:li>applications</rdf:li>
+            <rdf:li>group</rdf:li>
+            <rdf:li>category</rdf:li>
+            <rdf:li>admin</rdf:li>
+            <rdf:li>root</rdf:li>
+          </rdf:Bag>
+        </dc:subject>
+        <cc:license
+           rdf:resource="http://creativecommons.org/licenses/publicdomain/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/licenses/publicdomain/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="shadow"
+     id="layer2"
+     inkscape:groupmode="layer">
+    <path
+       transform="matrix(1.186380,0.000000,0.000000,1.186380,-4.539687,-7.794678)"
+       d="M 44.285715 38.714287 A 19.928572 9.8372450 0 1 1  4.4285717,38.714287 A 19.928572 9.8372450 0 1 1  44.285715 38.714287 z"
+       sodipodi:ry="9.8372450"
+       sodipodi:rx="19.928572"
+       sodipodi:cy="38.714287"
+       sodipodi:cx="24.357143"
+       id="path1538"
+       style="color:#000000;fill:url(#radialGradient2308);fill-opacity:1.0000000;fill-rule:evenodd;stroke:none;stroke-width:0.50000042;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4.0000000;stroke-dashoffset:0.0000000;stroke-opacity:1.0000000;marker:none;marker-start:none;marker-mid:none;marker-end:none;visibility:visible;display:inline;overflow:visible"
+       sodipodi:type="arc" />
+  </g>
+  <g
+     id="layer1"
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer">
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       style="color:#000000;fill:#000066;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible"
+       d="m 25.164261,0.2379876 c -0.473175,0.03238 -0.933088,0.105662 -1.397852,0.158847 l -0.03177,0 -1.111928,6.0679506 C 20.810357,6.8775227 19.105298,7.5779755 17.57138,8.529795 L 12.583589,4.9398552 C 11.235257,5.9866593 10.008288,7.207523 8.9301096,8.529795 l 3.4628624,5.05133 c -1.051422,1.606783 -1.842083,3.441487 -2.287395,5.369025 -7.6e-5,0.0091 -6.2e-5,0.03018 0,0.03177 L 4.0693956,19.935 c -0.110357,0.901369 -0.158847,1.832904 -0.158847,2.763936 0,0.761753 0.02103,1.513329 0.09531,2.255625 l 6.0361824,1.080159 c 0.429297,2.096161 1.244809,4.053785 2.382703,5.782026 L 8.8348036,36.741 c 1.028135,1.276384 2.2151054,2.43848 3.4946324,3.462861 l 5.0831,-3.494631 c 1.776475,1.133244 3.759545,1.927892 5.909103,2.319165 l 0.953082,6.004411 c 0.677254,0.06165 1.371775,0.06354 2.065009,0.06354 0.978685,-10e-7 1.91352,-0.03709 2.859244,-0.158847 l 1.143697,-6.131489 c 2.040927,-0.507904 3.958179,-1.388998 5.62318,-2.573319 l 4.892483,3.55817 c 1.26877,-1.079445 2.428987,-2.320188 3.431093,-3.653479 l -3.55817,-5.146638 c 0.963606,-1.664197 1.631298,-3.500366 1.969701,-5.464333 L 48.70537,24.57333 c 0.05266,-0.62659 0.06354,-1.234265 0.06354,-1.874393 0,-1.1124 -0.129295,-2.203101 -0.285924,-3.272246 l -6.09972,-1.111928 c -0.478008,-1.76508 -1.262312,-3.41188 -2.255625,-4.892484 L 43.717578,8.498025 C 42.604813,7.1371705 41.335456,5.8800445 39.937022,4.8127777 L 34.758614,8.370948 C 33.270287,7.4907201 31.668635,6.815334 29.929669,6.4330159 L 28.976588,0.3968346 c -0.867481,-0.102044 -1.742101,-0.158847 -2.636858,-0.158847 -0.241826,0 -0.490706,-0.0076 -0.730696,0 -0.116995,0.0037 -0.232771,-0.0068 -0.349463,0 -0.0316,0.0018 -0.06376,-0.0022 -0.09531,0 z m 0.826004,15.4399164 c 0.116063,-0.0059 0.231944,0 0.349463,0 3.760606,0 6.830416,3.06981 6.830416,6.830416 10e-7,3.760605 -3.069811,6.798646 -6.830416,6.798646 -3.760605,1e-6 -6.798646,-3.038041 -6.798646,-6.798646 1e-6,-3.643086 2.851212,-6.647839 6.449183,-6.830416 z"
+       id="path3243-5"
+       sodipodi:nodetypes="ccccccccsccsccccccccsccccccccsccccccccsssccssssc" />
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       style="opacity:1;color:#000000;fill:url(#linearGradient3773);fill-opacity:1;fill-rule:nonzero;stroke:#3f4561;stroke-width:1;stroke-linecap:round;stroke-linejoin:round;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       d="M 22.699525,0.94746963 C 22.22635,0.97984519 21.766437,1.0531317 21.301673,1.1063165 L 21.269903,1.1063165 L 20.157975,7.1742671 C 18.345621,7.5870046 16.640562,8.2874574 15.106644,9.2392765 L 10.118853,5.6493371 C 8.770521,6.6961412 7.543552,7.9170049 6.465374,9.2392765 L 9.928236,14.290607 C 8.876814,15.89739 8.086153,17.732094 7.640841,19.659632 C 7.640765,19.668743 7.640779,19.689813 7.640841,19.691401 L 1.60466,20.644482 C 1.494303,21.545851 1.445813,22.477386 1.445813,23.408418 C 1.445813,24.170171 1.466846,24.921747 1.541121,25.664043 L 7.577303,26.744202 C 8.0066,28.840363 8.822112,30.797987 9.960006,32.526228 L 6.370066,37.450482 C 7.398201,38.726866 8.585171,39.888962 9.864698,40.913343 L 14.947798,37.418712 C 16.724273,38.551956 18.707343,39.346604 20.856901,39.737877 L 21.809983,45.742288 C 22.487237,45.803935 23.181758,45.805827 23.874992,45.805827 C 24.853677,45.805826 25.788512,45.768738 26.734236,45.64698 L 27.877933,39.515491 C 29.91886,39.007587 31.836112,38.126493 33.501113,36.942172 L 38.393596,40.500342 C 39.662366,39.420897 40.822583,38.180154 41.824689,36.846863 L 38.266519,31.700225 C 39.230125,30.036028 39.897817,28.199859 40.23622,26.235892 L 46.240632,25.282811 C 46.29329,24.656221 46.30417,24.048546 46.30417,23.408418 C 46.30417,22.296018 46.174875,21.205317 46.018246,20.136172 L 39.918526,19.024244 C 39.440518,17.259164 38.656214,15.612364 37.662901,14.13176 L 41.25284,9.2075071 C 40.140075,7.8466524 38.870718,6.5895264 37.472284,5.5222596 L 32.293876,9.0804296 C 30.805549,8.200202 29.203897,7.5248159 27.464931,7.1424978 L 26.51185,1.1063165 C 25.644369,1.0042729 24.769749,0.94746963 23.874992,0.94746963 C 23.633166,0.94746964 23.384286,0.93986063 23.144296,0.94746963 C 23.027301,0.95117908 22.911525,0.94066346 22.794833,0.94746963 C 22.763228,0.94931296 22.73107,0.94531125 22.699525,0.94746963 z M 23.525529,16.387386 C 23.641592,16.381497 23.757473,16.387386 23.874992,16.387386 C 27.635598,16.387386 30.705408,19.457196 30.705408,23.217802 C 30.705409,26.978407 27.635597,30.016448 23.874992,30.016448 C 20.114387,30.016449 17.076346,26.978407 17.076346,23.217802 C 17.076347,19.574716 19.927558,16.569963 23.525529,16.387386 z "
+       id="path3243" />
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       sodipodi:type="arc"
+       style="opacity:0.64772728;color:#000000;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.62180054;stroke-linecap:butt;stroke-linejoin:miter;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       id="path3283"
+       sodipodi:cx="23.511301"
+       sodipodi:cy="23.781593"
+       sodipodi:rx="12.727922"
+       sodipodi:ry="12.727922"
+       d="M 36.239223 23.781593 A 12.727922 12.727922 0 1 1  10.783379,23.781593 A 12.727922 12.727922 0 1 1  36.239223 23.781593 z"
+       transform="matrix(0.616598,0,0,0.616598,9.38202,8.539674)" />
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       id="path3285"
+       d="M 21.995808,2.2697875 21.103024,8.1448447 C 19.404254,8.531715 16.279442,9.7149239 14.841657,10.607091 L 10.091975,7.0619472 C 8.828145,8.0431461 8.741474,8.109686 7.730867,9.3490892 l 3.434196,5.0932188 c -0.985526,1.506083 -2.169267,4.189994 -2.594285,6.107942 0,0 -6.01779,1.014425 -6.01779,1.014425 -0.103441,0.844879 -0.053728,2.653173 0.015892,3.348948 l 5.748217,1.035517 c 0.402393,1.96479 1.908227,5.127412 2.974807,6.747341 l -3.635002,4.802558 c 0.963699,1.196391 1.156572,1.30587 2.355908,2.266051 l 4.860631,-3.561037 c 1.66514,1.062221 4.970289,2.354376 6.98513,2.721127 l 0.797728,5.801092 c 0.63481,0.05778 2.38853,0.219875 3.274984,0.105749 l 0.892783,-6.03888 c 1.913018,-0.476072 5.218473,-1.832925 6.779125,-2.943023 l 4.855433,3.50816 c 1.189254,-1.011792 1.199909,-1.164249 2.139211,-2.41398 l -3.59802,-5.114311 c 0.903215,-1.5599 2.071087,-4.610599 2.388282,-6.45148 l 5.890949,-0.977443 c 0.04935,-0.58732 0.05176,-2.225166 -0.09506,-3.227305 L 39.182092,20.138242 C 38.73404,18.483783 37.196418,15.502473 36.265359,14.114662 L 40.080075,9.3121061 C 39.037052,8.0365384 38.64924,7.8615206 37.338448,6.8611416 L 32.313994,10.459159 C 30.918941,9.6340986 28.137095,8.3763621 26.507114,8.0180046 L 25.619528,2.2697875 c -0.813114,-0.095648 -3.15904,-0.053175 -3.62372,0 z"
+       style="opacity:0.34659089;color:#000000;fill:none;stroke:#ffffff;stroke-width:0.99999923;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0;marker:none;visibility:visible;display:inline;overflow:visible"
+       sodipodi:nodetypes="ccccccccccccccccccccccccccccccccc" />
+    <path
+       style="opacity:0.5;color:#000000;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       d="M 10.102903,6.2970655 C 8.7545689,7.3438694 8.1656464,7.9719226 7.0874684,9.2941942 L 10.489927,14.259153 C 9.4385072,15.857755 8.3316275,18.426114 8.1423859,19.987706 C 8.1423859,19.987706 2.0798859,21.0319 2.0798859,21.0319 C 2.0109129,21.595256 1.90625,22.884803 1.90625,22.884803 L 2.0830267,24.447303 C 2.5107567,24.535638 2.9231817,24.617818 3.3642767,24.666053 L 3.8642767,23.134803 C 4.2083177,23.163279 4.5439297,23.197303 4.8955267,23.197303 C 5.2467347,23.197303 5.6139847,23.163473 5.9580267,23.134803 L 6.4267767,24.666053 C 6.8680647,24.617818 7.3115487,24.535638 7.7392767,24.447303 L 7.7392767,22.884803 C 8.4250337,22.72518 9.0712777,22.497045 9.7080267,22.228553 L 10.645527,23.509803 C 11.047878,23.327709 11.421123,23.133984 11.801777,22.916053 L 11.301777,21.416053 C 11.89901,21.053803 12.463529,20.620706 12.989277,20.166053 L 14.270527,21.103553 C 14.596162,20.806973 14.91164,20.491691 15.208027,20.166053 L 14.270527,18.916053 C 14.725373,18.390305 15.127027,17.826171 15.489277,17.228553 L 16.989277,17.697303 C 17.207208,17.316456 17.432571,16.943209 17.614277,16.541053 L 16.333027,15.603553 C 16.601517,14.966804 16.798016,14.320561 16.958027,13.634803 L 18.551777,13.634803 C 18.640112,13.207076 18.691236,12.763591 18.739277,12.322303 L 17.239277,11.853553 C 17.268139,11.509705 17.301777,11.142456 17.301777,10.791053 C 17.301776,10.43965 17.267753,10.104039 17.239277,9.7598034 L 18.739277,9.2910534 C 18.69373,8.8711662 18.633686,8.4490548 18.551777,8.0410534 C 17.404349,8.4403544 15.999117,9.1941729 14.983265,9.8245243 L 10.102903,6.2970655 z "
+       id="path3767"
+       inkscape:r_cx="true"
+       inkscape:r_cy="true"
+       sodipodi:nodetypes="cccccccccsccccccccccccccccccccsccccc" />
+    <path
+       style="opacity:0.5;color:#000000;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       d="M 37.236641,17.217754 C 36.85286,17.39913 36.490003,17.603509 36.123236,17.813295 L 36.692886,19.548136 C 35.995792,19.970436 35.338156,20.467825 34.725008,20.998151 L 33.249099,19.910639 C 32.869013,20.256538 32.507327,20.618223 32.161588,20.998151 L 33.249099,22.474059 C 32.718773,23.087371 32.221547,23.745002 31.799084,24.441937 L 31.255328,24.260685 C 31.207646,24.960968 31.018949,25.62217 30.737466,26.228563 L 30.841038,26.306242 C 30.527881,27.048922 30.27649,27.83664 30.090137,28.636624 L 28.614229,28.636624 C 28.477946,28.722076 28.343676,28.821684 28.199938,28.895555 C 28.121568,29.310822 28.065026,29.712881 28.018687,30.138426 L 29.77942,30.708074 C 29.746033,31.10935 29.727633,31.515269 29.727633,31.925052 C 29.727631,32.334993 29.746034,32.740753 29.77942,33.142029 L 28.018687,33.711677 C 28.074705,34.226432 28.148678,34.740347 28.251725,35.239372 L 30.090137,35.213479 C 30.218255,35.763466 30.393202,36.320918 30.582107,36.844746 C 31.327023,36.557466 32.05594,36.214561 32.731236,35.809021 C 32.319649,34.59298 32.083908,33.279913 32.083908,31.925052 C 32.083909,26.727119 35.376289,22.288397 39.981313,20.583861 L 38.893802,20.402608 C 38.671014,19.579946 38.382478,18.774017 38.013435,18.020441 C 38.002581,17.998277 37.99851,17.96486 37.987542,17.942761 L 37.935756,17.890975 L 37.236641,17.217754 z "
+       id="path3770"
+       inkscape:r_cx="true"
+       inkscape:r_cy="true" />
+  </g>
+</svg>
diff -pruN 1.2.0.20090904-1/data/icons/scalable/ibus-keyboard.svg 1.2.0.20091024-1/data/icons/scalable/ibus-keyboard.svg
--- 1.2.0.20090904-1/data/icons/scalable/ibus-keyboard.svg	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/scalable/ibus-keyboard.svg	2009-08-21 15:12:03.000000000 +0100
@@ -0,0 +1,2466 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   id="svg2987"
+   version="1.1"
+   inkscape:version="0.46+devel"
+   width="48"
+   height="48"
+   sodipodi:docname="input-keyboard.png"
+   inkscape:export-filename="/home/duffy/Desktop/IBus4-48.png"
+   inkscape:export-xdpi="90"
+   inkscape:export-ydpi="90"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape">
+  <metadata
+     id="metadata2993">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <defs
+     id="defs2991">
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       id="perspective2995" />
+    <linearGradient
+       gradientTransform="matrix(1,0,0,0.888889,0,3.833333)"
+       gradientUnits="userSpaceOnUse"
+       y2="29.995127"
+       x2="37.03125"
+       y1="35.062885"
+       x1="37.03125"
+       id="linearGradient3048"
+       xlink:href="#linearGradient3042"
+       inkscape:collect="always" />
+    <radialGradient
+       r="3"
+       fy="33.214287"
+       fx="2.9999995"
+       cy="33.214287"
+       cx="2.9999995"
+       gradientTransform="matrix(0,-0.750002,1.333334,0,-88.28573,-30.49999)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient3038"
+       xlink:href="#linearGradient3028"
+       inkscape:collect="always" />
+    <radialGradient
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0,-0.750002,1.333334,0,-40.28573,35.00001)"
+       r="3"
+       fy="33.214287"
+       fx="2.9999995"
+       cy="33.214287"
+       cx="2.9999995"
+       id="radialGradient3034"
+       xlink:href="#linearGradient3028"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="35.75"
+       x2="26.5"
+       y1="43.249905"
+       x1="26.5"
+       id="linearGradient3018"
+       xlink:href="#linearGradient3899"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientTransform="matrix(1,0,0,0.973504,0,1.228642)"
+       gradientUnits="userSpaceOnUse"
+       y2="5.0808058"
+       x2="18.390438"
+       y1="15.705806"
+       x1="18.390438"
+       id="linearGradient5265"
+       xlink:href="#linearGradient5259"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="5.5441942"
+       x2="32.864544"
+       y1="13.794194"
+       x1="32.864544"
+       id="linearGradient5257"
+       xlink:href="#linearGradient5251"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="32.448051"
+       x2="16.396038"
+       y1="19.659277"
+       x1="16.396038"
+       id="linearGradient1564"
+       xlink:href="#linearGradient1558"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1805"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1803"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1801"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1799"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1797"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1795"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1793"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1791"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1789"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1787"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1785"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1783"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1779"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1777"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1775"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1773"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1771"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1769"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1767"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1765"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1763"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1761"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1759"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1757"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1755"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1753"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1751"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1749"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1747"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1745"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1743"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1741"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1739"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1737"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1735"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1733"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1731"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1729"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1727"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1725"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1723"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1721"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1719"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1717"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1715"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1713"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1711"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1709"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1707"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1705"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1703"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1701"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1699"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1697"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1695"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1693"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1691"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1689"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1687"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       gradientUnits="userSpaceOnUse"
+       id="radialGradient1685"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <radialGradient
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
+       r="19.5"
+       fy="47.045319"
+       fx="20.913568"
+       cy="47.045319"
+       cx="20.913568"
+       id="radialGradient3915"
+       xlink:href="#linearGradient3907"
+       inkscape:collect="always" />
+    <linearGradient
+       id="linearGradient3899"
+       inkscape:collect="always">
+      <stop
+         id="stop3901"
+         offset="0"
+         style="stop-color:#eeeeec" />
+      <stop
+         id="stop3903"
+         offset="1"
+         style="stop-color:#d3d7cf" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient3907">
+      <stop
+         id="stop3909"
+         offset="0"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+      <stop
+         id="stop3911"
+         offset="1"
+         style="stop-color:#ffffff;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient1558"
+       inkscape:collect="always">
+      <stop
+         id="stop1560"
+         offset="0"
+         style="stop-color:#babdb6" />
+      <stop
+         id="stop1562"
+         offset="1"
+         style="stop-color:#eeeeec" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient5251"
+       inkscape:collect="always">
+      <stop
+         id="stop5253"
+         offset="0"
+         style="stop-color:#729fcf;stop-opacity:1;" />
+      <stop
+         id="stop5255"
+         offset="1"
+         style="stop-color:#729fcf;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient5259"
+       inkscape:collect="always">
+      <stop
+         id="stop5261"
+         offset="0"
+         style="stop-color:black;stop-opacity:1;" />
+      <stop
+         id="stop5263"
+         offset="1"
+         style="stop-color:black;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient3028"
+       inkscape:collect="always">
+      <stop
+         id="stop3030"
+         offset="0"
+         style="stop-color:black;stop-opacity:1;" />
+      <stop
+         id="stop3032"
+         offset="1"
+         style="stop-color:black;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient3042">
+      <stop
+         id="stop3044"
+         offset="0"
+         style="stop-color:black;stop-opacity:0;" />
+      <stop
+         style="stop-color:black;stop-opacity:1;"
+         offset="0.5"
+         id="stop3050" />
+      <stop
+         id="stop3046"
+         offset="1"
+         style="stop-color:black;stop-opacity:0;" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective3467"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 24 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="16.839214"
+       x2="68.910904"
+       y1="-9.3832779"
+       x1="63.397362"
+       id="linearGradient4879"
+       xlink:href="#linearGradient4873"
+       inkscape:collect="always" />
+    <radialGradient
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.643979,0,-2.93653e-8,2.534421,-28.97514,-41.1733)"
+       r="9.125"
+       fy="24.149399"
+       fx="17.81411"
+       cy="24.149399"
+       cx="17.81411"
+       id="radialGradient4851"
+       xlink:href="#linearGradient4845"
+       inkscape:collect="always" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9207"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.918134,0,0,0.854079,2.429764,1.490099)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8918"
+       id="radialGradient9205"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.06168149,2.223638,-1.495968,0.04148028,50.51125,-44.50839)"
+       cx="25.969097"
+       cy="17.257854"
+       fx="25.968998"
+       fy="17.257843"
+       r="9.82225" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8824"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <linearGradient
+       id="linearGradient8918">
+      <stop
+         id="stop8920"
+         offset="0"
+         style="stop-color:#cee14b" />
+      <stop
+         id="stop8922"
+         offset="1"
+         style="stop-color:#9db029" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8918"
+       id="radialGradient9203"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.06718136,2.42191,-1.629357,0.0451789,52.36869,-50.34012)"
+       cx="25.969097"
+       cy="17.257854"
+       fx="25.968998"
+       fy="17.257843"
+       r="9.82225" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9201"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0.311259,0.486131)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8912"
+       id="radialGradient9199"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.85665,-181.6002)"
+       cx="24.478569"
+       cy="17.573915"
+       fx="24.478539"
+       fy="17.573889"
+       r="2.97195" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8820"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <linearGradient
+       id="linearGradient8912">
+      <stop
+         style="stop-color:#cee14b"
+         offset="0"
+         id="stop8914" />
+      <stop
+         style="stop-color:#9db029"
+         offset="1"
+         id="stop8916" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8912"
+       id="radialGradient9197"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.5454,-182.3268)"
+       cx="24.478569"
+       cy="17.573915"
+       fx="24.478539"
+       fy="17.573889"
+       r="2.97195" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9195"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,0.589884)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8930"
+       id="radialGradient9193"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-130.867)"
+       cx="25.135374"
+       cy="14.542349"
+       fx="25.135332"
+       fy="14.542329"
+       r="4.13475" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8816"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <linearGradient
+       id="linearGradient8930">
+      <stop
+         id="stop8932"
+         offset="0"
+         style="stop-color:#cee14b" />
+      <stop
+         id="stop8934"
+         offset="1"
+         style="stop-color:#9db029" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8930"
+       id="radialGradient9191"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-131.6974)"
+       cx="25.135374"
+       cy="14.542349"
+       fx="25.135332"
+       fy="14.542329"
+       r="4.13475" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9189"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.891018,0,0,0.828854,1.579517,2.39052)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8924"
+       id="radialGradient9187"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.06822876,2.459669,-1.754905,0.04868429,55.12882,-46.82188)"
+       cx="24.652573"
+       cy="18.94449"
+       fx="24.652485"
+       fy="18.944481"
+       r="8.61745" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8812"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <linearGradient
+       id="linearGradient8924">
+      <stop
+         id="stop8926"
+         offset="0"
+         style="stop-color:#cee14b" />
+      <stop
+         id="stop8928"
+         offset="1"
+         style="stop-color:#9db029" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8924"
+       id="radialGradient9185"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.07657394,2.760516,-1.969551,0.05463895,60.09901,-55.47179)"
+       cx="24.652573"
+       cy="18.94449"
+       fx="24.652485"
+       fy="18.944481"
+       r="8.61745" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9183"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8788"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9181"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,0.79739)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8782"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9179"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8774"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9177"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8766"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9175"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8760"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient9173"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient8752"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient8740">
+      <stop
+         style="stop-color:#ffffff;stop-opacity:1;"
+         offset="0"
+         id="stop8742" />
+      <stop
+         style="stop-color:#ffffff;stop-opacity:0;"
+         offset="1"
+         id="stop8744" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient8647">
+      <stop
+         style="stop-color:#8fb1dc;stop-opacity:1;"
+         offset="0"
+         id="stop8649" />
+      <stop
+         style="stop-color:#3465a4;stop-opacity:1;"
+         offset="1"
+         id="stop8651" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8647"
+       id="radialGradient9171"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.122354,0,0,1.122379,-7.610472,1.067717)"
+       cx="62.200352"
+       cy="-8.7256308"
+       fx="62.200352"
+       fy="-8.7256308"
+       r="9.7552835" />
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient8838">
+      <stop
+         style="stop-color:#000000;stop-opacity:1;"
+         offset="0"
+         id="stop8840" />
+      <stop
+         style="stop-color:#000000;stop-opacity:0;"
+         offset="1"
+         id="stop8842" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8838"
+       id="radialGradient9169"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.341176,0,3.047059)"
+       cx="62.625"
+       cy="4.625"
+       fx="62.625"
+       fy="4.625"
+       r="10.625" />
+    <linearGradient
+       id="linearGradient4845">
+      <stop
+         id="stop4847"
+         offset="0"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+      <stop
+         id="stop4849"
+         offset="1"
+         style="stop-color:#b6b6b6;stop-opacity:1;" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient4873"
+       inkscape:collect="always">
+      <stop
+         id="stop4875"
+         offset="0"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+      <stop
+         id="stop4877"
+         offset="1"
+         style="stop-color:#ffffff;stop-opacity:0;" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective11286"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 24 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient4845"
+       id="radialGradient11381"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.643979,0,-2.93653e-8,2.534421,5.774861,15.533343)"
+       cx="17.81411"
+       cy="24.149399"
+       fx="17.81411"
+       fy="24.149399"
+       r="9.125" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8838"
+       id="radialGradient11438"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.341176,0,3.047059)"
+       cx="62.625"
+       cy="4.625"
+       fx="62.625"
+       fy="4.625"
+       r="10.625" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8647"
+       id="radialGradient11440"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.122354,0,0,1.122379,-7.610472,1.067717)"
+       cx="62.200352"
+       cy="-8.7256308"
+       fx="62.200352"
+       fy="-8.7256308"
+       r="9.7552835" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient4873"
+       id="linearGradient11442"
+       gradientUnits="userSpaceOnUse"
+       x1="63.397362"
+       y1="-9.3832779"
+       x2="68.910904"
+       y2="16.839214" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11444"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11446"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11448"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11450"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11452"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11454"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11456"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11458"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11460"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,0.79739)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11462"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11464"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11466"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8924"
+       id="radialGradient11468"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.06822876,2.459669,-1.754905,0.04868429,55.12882,-46.82188)"
+       cx="24.652573"
+       cy="18.94449"
+       fx="24.652485"
+       fy="18.944481"
+       r="8.61745" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11470"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.891018,0,0,0.828854,1.579517,2.39052)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8924"
+       id="radialGradient11472"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.07657394,2.760516,-1.969551,0.05463895,60.09901,-55.47179)"
+       cx="24.652573"
+       cy="18.94449"
+       fx="24.652485"
+       fy="18.944481"
+       r="8.61745" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11474"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8930"
+       id="radialGradient11476"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-130.867)"
+       cx="25.135374"
+       cy="14.542349"
+       fx="25.135332"
+       fy="14.542329"
+       r="4.13475" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11478"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,0.589884)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8930"
+       id="radialGradient11480"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-131.6974)"
+       cx="25.135374"
+       cy="14.542349"
+       fx="25.135332"
+       fy="14.542329"
+       r="4.13475" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11482"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8912"
+       id="radialGradient11484"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.85665,-181.6002)"
+       cx="24.478569"
+       cy="17.573915"
+       fx="24.478539"
+       fy="17.573889"
+       r="2.97195" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11486"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0.311259,0.486131)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8912"
+       id="radialGradient11488"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.5454,-182.3268)"
+       cx="24.478569"
+       cy="17.573915"
+       fx="24.478539"
+       fy="17.573889"
+       r="2.97195" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11490"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8918"
+       id="radialGradient11492"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.06168149,2.223638,-1.495968,0.04148028,50.51125,-44.50839)"
+       cx="25.969097"
+       cy="17.257854"
+       fx="25.968998"
+       fy="17.257843"
+       r="9.82225" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11494"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.918134,0,0,0.854079,2.429764,1.490099)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8918"
+       id="radialGradient11496"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.06718136,2.42191,-1.629357,0.0451789,52.36869,-50.34012)"
+       cx="25.969097"
+       cy="17.257854"
+       fx="25.968998"
+       fy="17.257843"
+       r="9.82225" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient8740"
+       id="radialGradient11498"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
+       cx="62.225393"
+       cy="-3.4420195"
+       fx="62.225393"
+       fy="-3.4420195"
+       r="10.081216" />
+  </defs>
+  <sodipodi:namedview
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1"
+     objecttolerance="10"
+     gridtolerance="10"
+     guidetolerance="10"
+     inkscape:pageopacity="0"
+     inkscape:pageshadow="2"
+     inkscape:window-width="921"
+     inkscape:window-height="857"
+     id="namedview2989"
+     showgrid="false"
+     inkscape:zoom="1"
+     inkscape:cx="16"
+     inkscape:cy="15.728814"
+     inkscape:window-x="0"
+     inkscape:window-y="25"
+     inkscape:window-maximized="0"
+     inkscape:current-layer="svg2987" />
+  <g
+     id="g3560"
+     transform="translate(0,-6)">
+    <g
+       style="display:inline"
+       inkscape:label="tastiera"
+       id="layer3">
+      <g
+         id="g2932"
+         style="display:inline">
+        <path
+           style="opacity:0.10112359;fill:none;stroke:url(#linearGradient5265);stroke-width:1.00000012;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;display:inline"
+           d="M 33.050044,28.000002 C 25.031634,17.205412 50,24.993444 46.5,19.639172 43,14.2849 17,21.58618 19,16.231908 20.840343,11.305061 34.5,17.205412 32,5.0366119"
+           id="path1541"
+           sodipodi:nodetypes="czzc" />
+        <path
+           style="fill:none;stroke:url(#linearGradient5257);stroke-width:1.00000012;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;display:inline"
+           d="M 33.050044,27.088388 C 25.031634,16 50,24 46.5,18.5 43,13 17,20.5 19,15 20.840343,9.939058 34.5,16 32,3.5"
+           id="path4172"
+           sodipodi:nodetypes="czzc" />
+      </g>
+      <g
+         style="opacity:0.4"
+         id="g3052">
+        <rect
+           style="fill:url(#radialGradient3034);fill-opacity:1;stroke:none"
+           id="rect3026"
+           width="4"
+           height="4.5"
+           x="0"
+           y="30.5" />
+        <rect
+           style="fill:url(#radialGradient3038);fill-opacity:1;stroke:none;display:inline"
+           id="rect3036"
+           width="4"
+           height="4.5"
+           x="-48"
+           y="-35"
+           transform="scale(-1,-1)" />
+        <rect
+           style="fill:url(#linearGradient3048);fill-opacity:1;stroke:none"
+           id="rect3040"
+           width="40"
+           height="4.5"
+           x="4"
+           y="30.5" />
+      </g>
+      <g
+         transform="translate(0,-12)"
+         id="g2928">
+        <path
+           style="fill:url(#linearGradient3018);fill-opacity:1;stroke:#888a85;stroke-width:1.00000393;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1"
+           d="m 5.3125,37.5 c -0.967886,0 -1.8477631,0.378926 -2.4375,1.65625 l -1.8125,3.875 C 0.253847,44.43186 0.90611493,45.5 3.65625,45.5 l 40.4375,0 c 2.750135,0 3.402403,-1.06814 2.59375,-2.46875 l -1.8125,-3.875 C 44.285263,37.878926 43.405386,37.5 42.4375,37.5 l -37.125,0 z"
+           id="rect2024"
+           sodipodi:nodetypes="ccccccccc" />
+        <path
+           sodipodi:type="inkscape:offset"
+           inkscape:radius="-1"
+           inkscape:original="M 5.3125 37.5 C 4.344614 37.5 3.4647369 37.878926 2.875 39.15625 L 1.0625 43.03125 C 0.253847 44.43186 0.90611493 45.5 3.65625 45.5 L 44.09375 45.5 C 46.843885 45.5 47.496153 44.43186 46.6875 43.03125 L 44.875 39.15625 C 44.285263 37.878926 43.405386 37.5 42.4375 37.5 L 5.3125 37.5 z "
+           style="fill:none;stroke:#ffffff;stroke-width:1.00000393;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;display:inline"
+           id="path2920"
+           d="m 5.3125,38.5 c -0.7068869,0 -1.0686379,0.06052 -1.53125,1.0625 a 1.0001,1.0001 0 0 1 0,0.03125 l -1.8125,3.875 a 1.0001,1.0001 0 0 1 -0.03125,0.0625 c -0.1455374,0.252075 -0.1851561,0.42743 -0.1875,0.5 -0.00234,0.07257 -0.035314,0.05527 0,0.09375 0.070629,0.07696 0.6606476,0.375 1.90625,0.375 l 40.4375,0 c 1.245602,0 1.835621,-0.298042 1.90625,-0.375 0.03531,-0.03848 0.0023,-0.02118 0,-0.09375 -0.0023,-0.07257 -0.04196,-0.247925 -0.1875,-0.5 a 1.0001,1.0001 0 0 1 -0.03125,-0.0625 l -1.8125,-3.875 a 1.0001,1.0001 0 0 1 0,-0.03125 C 43.506138,38.560518 43.144387,38.5 42.4375,38.5 l -37.125,0 z" />
+      </g>
+      <g
+         transform="translate(-54,0.18088)"
+         inkscape:label="Shadow"
+         id="g3270" />
+      <g
+         id="g2611"
+         inkscape:label="Shadow"
+         transform="translate(-54,15.24691)" />
+      <g
+         id="g2613"
+         inkscape:label="Lavoro"
+         style="display:inline"
+         transform="translate(-54,15.24691)" />
+    </g>
+    <g
+       style="display:inline"
+       inkscape:label="tasti"
+       id="layer2">
+      <g
+         transform="translate(0,-0.00589179)"
+         id="g2937">
+        <path
+           style="color:#000000;fill:url(#linearGradient1564);fill-opacity:1;fill-rule:nonzero;stroke:#babdb6;stroke-width:0.99999934;stroke-linecap:square;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dashoffset:0;marker:none;visibility:visible;display:inline;overflow:visible"
+           d="m 6.4347661,24.507053 c -0.00305,0.0037 0.00278,0.02832 0,0.03121 -0.01467,0.0049 -0.05022,0.02426 -0.065234,0.03121 -0.00501,0.0025 -0.027617,-0.0028 -0.032617,0 -0.00497,0.003 -0.027687,0.02797 -0.032617,0.03121 -0.00974,0.007 -0.02321,0.02332 -0.032617,0.03121 -0.0046,0.0042 -0.028146,0.0268 -0.032617,0.03121 -0.00433,0.0047 -0.028443,0.02632 -0.032617,0.03121 -0.064871,0.09002 -0.1331859,0.246524 -0.2283184,0.436984 l -2.2275503,4.744409 c 0,0.0059 -2.282e-4,0.02526 0,0.03121 4.527e-4,0.006 -6.737e-4,0.02526 0,0.03121 8.909e-4,0.006 -0.0011,0.02527 0,0.03121 0.00263,0.01185 0.02917,0.05068 0.032617,0.06243 0.00192,0.0058 -0.00212,0.02541 0,0.03121 0.00693,0.01727 0.024028,0.04566 0.032617,0.06242 0.00912,0.01656 0.021968,0.04658 0.032617,0.06243 0.00371,0.0052 0.028746,0.02612 0.032617,0.03121 0.00403,0.005 0.028439,0.02633 0.032617,0.03121 0.025954,0.02863 0.06703,0.06984 0.097851,0.09364 0.00526,0.0038 0.027239,0.02756 0.032617,0.03121 0.016498,0.0095 0.047356,0.02261 0.065234,0.03121 0.1202275,0.05283 0.279283,0.09364 0.4240198,0.09364 l 23.1146428,0 -0.09785,-5.992927 -20.7892415,-7e-6 c -0.068514,0 -0.1437621,-0.0023 -0.1957014,0 -0.012153,6.8e-5 -0.05203,6.13e-4 -0.065234,0 -0.00403,2.9e-5 -0.028959,-2.57e-4 -0.032617,0 -0.00282,0.0029 -0.029571,-0.0037 -0.032617,0 z m 23.0398089,7e-6 0.09785,1.997643 5.642726,0 -0.260935,-1.997643 -5.479641,0 z m 7.436655,0 1.17421,5.992927 5.218705,0 c 0.144736,0 0.303792,-0.04081 0.42402,-0.09364 0.01788,-0.0086 0.04874,-0.02172 0.06523,-0.03121 0.0054,-0.0037 0.02736,-0.0274 0.03262,-0.03121 0.03082,-0.0238 0.0719,-0.06501 0.09785,-0.09364 0.0042,-0.0049 0.02859,-0.02622 0.03262,-0.03121 0.0039,-0.0051 0.02891,-0.02602 0.03262,-0.03121 0.01065,-0.01585 0.0235,-0.04586 0.03262,-0.06243 0.0086,-0.01677 0.02569,-0.04515 0.03262,-0.06242 0.0021,-0.0058 -0.0019,-0.02537 0,-0.03121 0.0034,-0.01175 0.02999,-0.05058 0.03262,-0.06243 0.0011,-0.0059 -8.92e-4,-0.02526 0,-0.03121 6.73e-4,-0.006 -4.54e-4,-0.02526 0,-0.03121 2.29e-4,-0.0059 0,-0.02528 0,-0.03121 L 42.26095,25.131338 c -0.09513,-0.190459 -0.163448,-0.346962 -0.228319,-0.436984 -0.0042,-0.0049 -0.02829,-0.02656 -0.03262,-0.03121 -0.0045,-0.0044 -0.02802,-0.02703 -0.03262,-0.03121 -0.0094,-0.0079 -0.02288,-0.02426 -0.03262,-0.03121 -0.0049,-0.0032 -0.02764,-0.0282 -0.03262,-0.03121 -0.005,-0.0028 -0.02761,0.0025 -0.03262,0 -0.01501,-0.007 -0.05056,-0.02631 -0.06523,-0.03121 -0.01612,-0.0037 -0.04157,-0.02467 -0.06524,-0.03121 -0.01187,-0.003 -0.05435,0.0017 -0.06523,0 -0.05194,-0.0023 -0.127187,0 -0.195701,0 l -4.5669,7e-6 z m -6.131978,3.995284 -1.043741,1.997643 6.001511,0 -1.304677,-1.997643 -3.653093,0 z"
+           id="path2318"
+           sodipodi:nodetypes="csssssssccssssssssssssccccssscccccccccssssssssssssccsssssssssccccccc" />
+        <g
+           id="g3822"
+           style="fill:url(#radialGradient3915);fill-opacity:1"
+           transform="translate(0,-14)">
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="7"
+             height="1"
+             width="1"
+             id="rect2340"
+             style="color:#000000;fill:url(#radialGradient1685);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="9"
+             height="1"
+             width="1"
+             id="rect2342"
+             style="color:#000000;fill:url(#radialGradient1687);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="11"
+             height="1"
+             width="1"
+             id="rect2344"
+             style="color:#000000;fill:url(#radialGradient1689);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="13"
+             height="1"
+             width="1"
+             id="rect2346"
+             style="color:#000000;fill:url(#radialGradient1691);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="15"
+             height="1"
+             width="1"
+             id="rect2348"
+             style="color:#000000;fill:url(#radialGradient1693);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="17"
+             height="1"
+             width="1"
+             id="rect2350"
+             style="color:#000000;fill:url(#radialGradient1695);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="19"
+             height="1"
+             width="1"
+             id="rect2352"
+             style="color:#000000;fill:url(#radialGradient1697);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="21"
+             height="1"
+             width="1"
+             id="rect2354"
+             style="color:#000000;fill:url(#radialGradient1699);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="6"
+             height="1"
+             width="1"
+             id="rect2356"
+             style="color:#000000;fill:url(#radialGradient1701);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="8"
+             height="1"
+             width="1"
+             id="rect2358"
+             style="color:#000000;fill:url(#radialGradient1703);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="10"
+             height="1"
+             width="1"
+             id="rect2360"
+             style="color:#000000;fill:url(#radialGradient1705);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="12"
+             height="1"
+             width="1"
+             id="rect2362"
+             style="color:#000000;fill:url(#radialGradient1707);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="14"
+             height="1"
+             width="1"
+             id="rect2364"
+             style="color:#000000;fill:url(#radialGradient1709);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="16"
+             height="1"
+             width="1"
+             id="rect2366"
+             style="color:#000000;fill:url(#radialGradient1711);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="18"
+             height="1"
+             width="1"
+             id="rect2368"
+             style="color:#000000;fill:url(#radialGradient1713);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="20"
+             height="1"
+             width="1"
+             id="rect2370"
+             style="color:#000000;fill:url(#radialGradient1715);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="7"
+             height="1"
+             width="1"
+             id="rect2372"
+             style="color:#000000;fill:url(#radialGradient1717);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="9"
+             height="1"
+             width="1"
+             id="rect2374"
+             style="color:#000000;fill:url(#radialGradient1719);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="11"
+             height="1"
+             width="1"
+             id="rect2376"
+             style="color:#000000;fill:url(#radialGradient1721);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="13"
+             height="1"
+             width="1"
+             id="rect2378"
+             style="color:#000000;fill:url(#radialGradient1723);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="15"
+             height="1"
+             width="1"
+             id="rect2380"
+             style="color:#000000;fill:url(#radialGradient1725);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="17"
+             height="1"
+             width="1"
+             id="rect2382"
+             style="color:#000000;fill:url(#radialGradient1727);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="19"
+             height="1"
+             width="1"
+             id="rect2384"
+             style="color:#000000;fill:url(#radialGradient1729);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="21"
+             height="1"
+             width="1"
+             id="rect2386"
+             style="color:#000000;fill:url(#radialGradient1731);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="6"
+             height="1"
+             width="1"
+             id="rect2388"
+             style="color:#000000;fill:url(#radialGradient1733);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="8"
+             height="1"
+             width="1"
+             id="rect2390"
+             style="color:#000000;fill:url(#radialGradient1735);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="10"
+             height="1"
+             width="1"
+             id="rect2392"
+             style="color:#000000;fill:url(#radialGradient1737);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="12"
+             height="1"
+             width="1"
+             id="rect2394"
+             style="color:#000000;fill:url(#radialGradient1739);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="14"
+             height="1"
+             width="1"
+             id="rect2396"
+             style="color:#000000;fill:url(#radialGradient1741);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="16"
+             height="1"
+             width="1"
+             id="rect2398"
+             style="color:#000000;fill:url(#radialGradient1743);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="18"
+             height="1"
+             width="1"
+             id="rect2400"
+             style="color:#000000;fill:url(#radialGradient1745);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="20"
+             height="1"
+             width="1"
+             id="rect2402"
+             style="color:#000000;fill:url(#radialGradient1747);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="5"
+             height="1"
+             width="1"
+             id="rect2412"
+             style="color:#000000;fill:url(#radialGradient1749);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="7"
+             height="1"
+             width="1"
+             id="rect2414"
+             style="color:#000000;fill:url(#radialGradient1751);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="22"
+             height="1"
+             width="1"
+             id="rect2428"
+             style="color:#000000;fill:url(#radialGradient1753);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="23"
+             height="1"
+             width="1"
+             id="rect2430"
+             style="color:#000000;fill:url(#radialGradient1755);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="22"
+             height="1"
+             width="1"
+             id="rect2432"
+             style="color:#000000;fill:url(#radialGradient1757);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="23"
+             height="1"
+             width="1"
+             id="rect2434"
+             style="color:#000000;fill:url(#radialGradient1759);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="24"
+             height="1"
+             width="1"
+             id="rect2436"
+             style="color:#000000;fill:url(#radialGradient1761);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="25"
+             height="1"
+             width="1"
+             id="rect2438"
+             style="color:#000000;fill:url(#radialGradient1763);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="26"
+             height="1"
+             width="1"
+             id="rect2440"
+             style="color:#000000;fill:url(#radialGradient1765);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="25"
+             height="1"
+             width="1"
+             id="rect2442"
+             style="color:#000000;fill:url(#radialGradient1767);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="24"
+             height="1"
+             width="1"
+             id="rect2444"
+             style="color:#000000;fill:url(#radialGradient1769);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="26"
+             height="1"
+             width="1"
+             id="rect2446"
+             style="color:#000000;fill:url(#radialGradient1771);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="25"
+             height="1"
+             width="1"
+             id="rect2448"
+             style="color:#000000;fill:url(#radialGradient1773);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="23"
+             height="1"
+             width="1"
+             id="rect2450"
+             style="color:#000000;fill:url(#radialGradient1775);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="31"
+             height="1"
+             width="1"
+             id="rect2454"
+             style="color:#000000;fill:url(#radialGradient1777);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="33"
+             height="1"
+             width="1"
+             id="rect2456"
+             style="color:#000000;fill:url(#radialGradient1779);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="31"
+             height="1"
+             width="1"
+             id="rect2462"
+             style="color:#000000;fill:url(#radialGradient1783);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="33"
+             height="1"
+             width="1"
+             id="rect2464"
+             style="color:#000000;fill:url(#radialGradient1785);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="37"
+             height="1"
+             width="1"
+             id="rect2466"
+             style="color:#000000;fill:url(#radialGradient1787);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="38"
+             height="1"
+             width="1"
+             id="rect2468"
+             style="color:#000000;fill:url(#radialGradient1789);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="39"
+             x="39"
+             height="1"
+             width="1"
+             id="rect2470"
+             style="color:#000000;fill:url(#radialGradient1791);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="41"
+             height="1"
+             width="1"
+             id="rect2474"
+             style="color:#000000;fill:url(#radialGradient1793);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="41"
+             x="39"
+             height="1"
+             width="1"
+             id="rect2476"
+             style="color:#000000;fill:url(#radialGradient1795);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="38"
+             height="1"
+             width="1"
+             id="rect2480"
+             style="color:#000000;fill:url(#radialGradient1797);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="42"
+             x="40"
+             height="1"
+             width="1"
+             id="rect2482"
+             style="color:#000000;fill:url(#radialGradient1799);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="41"
+             height="1"
+             width="1"
+             id="rect3810"
+             style="color:#000000;fill:url(#radialGradient1801);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="40"
+             x="40"
+             height="1"
+             width="1"
+             id="rect3812"
+             style="color:#000000;fill:url(#radialGradient1803);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+          <rect
+             ry="0.26516503"
+             rx="0.26516503"
+             y="43"
+             x="43"
+             height="1"
+             width="1"
+             id="rect3814"
+             style="color:#000000;fill:url(#radialGradient1805);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
+        </g>
+      </g>
+    </g>
+  </g>
+  <g
+     id="g11411"
+     transform="matrix(0.52533908,0,0,0.52533908,-17.812055,-6.626797)">
+    <g
+       transform="matrix(1.673435,0,0,1.673435,31.560745,54.038102)"
+       id="g3020"
+       inkscape:label="Layer 1">
+      <g
+         style="display:inline"
+         id="g8936"
+         transform="matrix(1.284706,0,0,1.284706,-63.89629,19.96894)">
+        <path
+           transform="matrix(1,0,0,1.192473,-0.590821,-2.378705)"
+           d="M 73.25,4.625 C 73.25,6.6270322 68.493025,8.25 62.625,8.25 56.756975,8.25 52,6.6270322 52,4.625 52,2.6229678 56.756975,1 62.625,1 68.493025,1 73.25,2.6229678 73.25,4.625 z"
+           sodipodi:ry="3.625"
+           sodipodi:rx="10.625"
+           sodipodi:cy="4.625"
+           sodipodi:cx="62.625"
+           id="path8836"
+           style="opacity:0.56043958;color:#000000;fill:url(#radialGradient11438);fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.99999988;marker:none;visibility:visible;display:inline;overflow:visible"
+           sodipodi:type="arc" />
+        <path
+           id="path6495"
+           d="m 71.455637,-3.5111605 c 0,5.1118327 -4.144037,9.255822 -9.255167,9.255822 -5.111598,0 -9.2554,-4.1440362 -9.2554,-9.255822 0,-5.1115983 4.143802,-9.2551665 9.2554,-9.2551665 5.11113,0 9.255167,4.1435682 9.255167,9.2551665 l 0,0 z"
+           style="fill:url(#radialGradient11440);fill-opacity:1;fill-rule:nonzero;stroke:#204a87;stroke-width:0.88541675;stroke-miterlimit:4;stroke-dasharray:none" />
+        <path
+           style="opacity:0.52747258;fill:none;stroke:url(#linearGradient11442);stroke-width:0.88541716;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+           d="m 70.945908,-3.5111451 c 0,4.8302718 -3.915782,8.7460091 -8.74539,8.7460091 -4.83005,0 -8.745611,-3.9157817 -8.745611,-8.7460091 0,-4.8300503 3.915561,-8.7453899 8.745611,-8.7453899 4.829608,0 8.74539,3.9153396 8.74539,8.7453899 l 0,0 z"
+           id="path8655" />
+        <g
+           id="g6532"
+           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11446);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.39042,-14.57365)">
+          <path
+             style="fill:#9db029;stroke:url(#radialGradient11444);stroke-width:1.90353251"
+             id="path6534"
+             d="m 26.0703,9.2363 -0.0732,0.4932 0.5098,0.3291 0.8711,-0.5757 -0.4355,-0.4937 -0.582,0.3296 -0.29,-0.0825" />
+        </g>
+        <g
+           id="g6548"
+           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11450);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,49.7717,-14.57365)">
+          <path
+             style="fill:#9db029;stroke:url(#radialGradient11448);stroke-width:1.90353251"
+             id="path6550"
+             d="m 28.833,12.7749 -0.291,-0.7412 -0.5098,0.165 0.1465,0.9043 0.6543,-0.3281" />
+        </g>
+        <g
+           id="g6556"
+           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11454);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,49.94848,-14.57365)">
+          <path
+             style="fill:#9db029;stroke:url(#radialGradient11452);stroke-width:1.90353251"
+             id="path6558"
+             d="m 29.123,12.6089 -0.1455,0.9883 0.7998,-0.165 0.5811,-0.5752 -0.5088,-0.4941 C 29.6787,11.9078 29.4824,11.483 29.2685,11.0465 l -0.4355,0 0,0.4932 0.29,0.3291 0,0.7402" />
+        </g>
+        <g
+           id="g6572"
+           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11458);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.39042,-14.57365)">
+          <path
+             style="fill:#9db029;stroke:url(#radialGradient11456);stroke-width:1.90353251"
+             id="path6574"
+             d="m 16.7656,9.5649 0.7266,0.4937 0.582,0 0,-0.5757 -0.7266,-0.3291 -0.582,0.4111" />
+        </g>
+        <g
+           id="g6608"
+           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11462);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.96494,-14.52946)">
+          <path
+             style="fill:#9db029;stroke:url(#radialGradient11460);stroke-width:1.90353251"
+             id="path6610"
+             d="m 17.4922,7.887132 0.3638,-0.3286 0.7271,-0.1646 c 0.498,-0.2422 0.998,-0.4053 1.5264,-0.5762 l -0.29,-0.4937 -0.9385,0.1348 -0.4434,0.4419 -0.731,0.106 -0.6499,0.3052 -0.3159,0.1528 -0.1929,0.2583 0.9443,0.1641" />
+        </g>
+        <g
+           id="g6616"
+           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11466);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.56718,-14.30851)">
+          <path
+             style="fill:#9db029;stroke:url(#radialGradient11464);stroke-width:1.90353251"
+             id="path6618"
+             d="m 18.7285,14.6665 0.4365,-0.6582 -0.6548,-0.4932 0.2183,1.1514" />
+        </g>
+        <g
+           id="g6564"
+           style="fill:url(#radialGradient11472);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11474);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.74397,-14.61784)">
+          <path
+             style="fill:url(#radialGradient11468);fill-opacity:1;stroke:url(#radialGradient11470);stroke-width:1.90353251"
+             id="path6566"
+             d="m 17.943241,27.768799 -0.518573,-1.02672 -0.971477,-0.219726 -0.518127,-1.392215 -1.295183,0.146216 -1.100764,-0.805748 -1.166432,1.025918 0,0.161809 C 12.019842,25.55649 11.586095,25.54259 11.271922,25.349417 l -0.259287,-0.732684 0,-0.806638 -0.777056,0.07306 c 0.06487,-0.513404 0.129197,-1.025918 0.194509,-1.539233 l -0.4537956,0 -0.4529044,0.586468 -0.4537955,0.219279 -0.6478592,-0.365495 -0.064866,-0.806639 0.1296431,-0.879702 0.9719225,-0.732684 0.7770571,0 0.129197,-0.440252 0.971477,0.219279 0.712636,0.880593 0.129643,-1.467061 1.230764,-1.025918 0.45335,-1.099872 0.906699,-0.366298 0.518127,-0.732684 1.165541,-0.220973 0.583439,-0.878811 c -0.582993,0 -1.165987,0 -1.74898,0 l 1.10112,-0.513404 0.776612,0 1.101565,-0.367189 0.129643,-0.438559 -0.388929,-0.367188 -0.45335,-0.147018 0.129643,-0.43945 -0.323707,-0.659532 -0.777502,0.292343 0.129643,-0.586022 -0.9067,-0.513405 -0.71219,1.245554 0.06442,0.440252 -0.71219,0.294125 -0.453796,0.952766 -0.194064,-0.879702 -1.230763,-0.513405 -0.194509,-0.659531 1.619336,-0.953657 0.712636,-0.659532 0.06487,-0.8061926 -0.388483,-0.2201702 -0.518127,-0.073509 -0.323707,0.8066378 c 0,0 -0.54165,0.106121 -0.680916,0.140514 -1.778561,1.638938 -5.372215,5.176904 -6.2070989,11.856064 0.033057,0.154859 0.6051795,1.052827 0.6051795,1.052827 l 1.3600498,0.805747 1.3600499,0.367189 0.5834387,0.733486 0.906254,0.659531 0.518127,-0.07306 0.388484,0.174907 0,0.118327 -0.517771,1.392661 -0.388929,0.586468 0.129643,0.294125 -0.323707,1.098091 1.165987,2.126592 1.16554,1.02672 0.518573,0.732684 -0.06522,1.540125 0.38893,0.878811 -0.38893,1.686341 c 0,0 -0.03047,-0.01043 0.01916,0.158334 0.05007,0.168847 2.07527,1.293045 2.204022,1.19735 0.128307,-0.09748 0.237991,-0.182748 0.237991,-0.182748 l -0.129198,-0.365496 0.517771,-0.513404 0.194509,-0.513405 0.84228,-0.294125 0.647413,-1.613188 -0.194063,-0.438559 0.452458,-0.659532 0.971923,-0.220972 0.518572,-1.172936 -0.129643,-1.465279 0.777057,-1.099873 0.129643,-1.099873 c -1.063341,-0.527304 -2.11795,-1.07029 -3.17336,-1.613188" />
+        </g>
+        <g
+           id="g6540"
+           style="fill:url(#radialGradient11480);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11482);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.523,-14.44107)">
+          <path
+             style="fill:url(#radialGradient11476);fill-opacity:1;stroke:url(#radialGradient11478);stroke-width:1.90353251"
+             id="path6542"
+             d="m 26.8701,6.6933256 -1.8906,-0.7407 -2.1797,0.2466 -2.6904,0.7402 -0.5088,0.4941 1.6719,1.1514 0,0.6582 -0.6543,0.6582 0.873,1.7289984 0.5801,-0.3301 0.7285,-1.151399 c 1.123,-0.3471994 2.1299,-0.7406994 3.1973,-1.2343994 l 0.873,-2.2212" />
+        </g>
+        <g
+           id="g6580"
+           style="fill:url(#radialGradient11488);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11490);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.83236,-14.75043)">
+          <path
+             style="fill:url(#radialGradient11484);fill-opacity:1;stroke:url(#radialGradient11486);stroke-width:1.90353251"
+             id="path6582"
+             d="m 15.187259,9.6334723 -0.3638,0.9047987 0.7271,0 0.3638,-0.8227987 c 0.3135,-0.2217 0.6255,-0.4448 0.9448,-0.6582 l 0.7271,0.2471 c 0.4844,0.3291 0.9688,0.6582 1.4536,0.9867997 l 0.7275,-0.6576997 -0.8003,-0.3291 -0.3638,-0.7407 -1.3809,-0.1646 -0.0728,-0.4116 -0.6543,0.165 -0.2904,0.5758 -0.3638,-0.7407 -0.145,0.3291 0.0728,0.8228 -0.5816,0.494" />
+        </g>
+        <g
+           id="g6626"
+           style="fill:url(#radialGradient11496);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11498);stroke-width:1.90353251;stroke-miterlimit:4"
+           transform="matrix(0.468894,0,0,0.468894,50.12526,-14.48526)">
+          <path
+             style="fill:url(#radialGradient11492);fill-opacity:1;stroke:url(#radialGradient11494);stroke-width:1.90353251"
+             id="path6628"
+             d="m 42.893123,20.729176 c 0,0.241194 0,0 0,0 l -0.500291,0.566672 c -0.306657,-0.361377 -0.650957,-0.66528 -1.000583,-0.982679 l -0.767468,0.112931 -0.701179,-0.792625 0,0.980934 0.600735,0.454568 0.399848,0.452824 0.534354,-0.604316 c 0.134506,0.251936 0.267177,0.503872 0.400765,0.755808 l 0,0.754982 -0.601653,0.679602 -1.101026,0.755808 -0.83385,0.832105 -0.534354,-0.606152 0.267177,-0.679603 -0.533527,-0.604315 -0.901057,-1.92597 -0.767468,-0.867912 -0.200888,0.225953 0.30124,1.095701 0.566672,0.641959 c 0.323642,0.934293 0.643796,1.82727 1.0688,2.720339 0.659036,0 1.280338,-0.06996 1.934875,-0.15241 l 0,0.529029 -0.800704,1.964072 -0.734324,0.830269 -0.600735,1.285754 c 0,0.70476 0,1.40952 0,2.114188 l 0.200888,0.832105 -0.333558,0.376618 -0.735242,0.45365 -0.767468,0.641959 0.634798,0.717338 -0.867912,0.756727 0.166733,0.489549 -1.301914,1.474064 -0.866994,0 -0.734324,0.45365 -0.468064,0 0,-0.604316 -0.199052,-1.210468 c -0.258271,-0.758562 -0.527192,-1.511708 -0.800705,-2.264853 0,-0.55593 0.03314,-1.106443 0.06638,-1.662282 l 0.334477,-0.754981 -0.468065,-0.907392 0.03406,-1.246275 -0.634798,-0.717338 0.317399,-1.038318 -0.516451,-0.585953 -0.901974,0 -0.300322,-0.339801 -0.901057,0.567131 -0.366702,-0.416466 -0.834768,0.717706 C 27.577179,26.356327 27.009588,25.714368 26.44209,25.072409 l -0.667116,-1.586995 0.600735,-0.905555 -0.333558,-0.377445 0.733405,-1.738579 c 0.602571,-0.749564 1.231952,-1.468647 1.868586,-2.190392 l 1.135089,-0.302158 1.267852,-0.150666 0.867912,0.226871 1.234615,1.245357 0.434001,-0.490467 0.599817,-0.07529 1.135089,0.377445 0.867913,0 0.600735,-0.529029 0.267177,-0.377445 -0.601654,-0.377445 -1.0015,-0.07529 c -0.277919,-0.385524 -0.53619,-0.790789 -0.866168,-1.133344 l -0.334476,0.150665 -0.133589,0.982679 -0.600735,-0.679603 -0.13267,-0.756726 -0.667116,-0.527192 -0.268095,0 0.667942,0.754981 -0.267177,0.679603 -0.533527,0.150666 0.333558,-0.679603 -0.601654,-0.30124 -0.532609,-0.604315 -1.002419,0.225952 -0.13267,0.30124 -0.600735,0.378363 -0.333558,0.831187 -0.83385,0.415088 -0.36762,-0.415088 -0.399848,0 0,-1.360124 0.867912,-0.45365 0.667116,0 -0.134506,-0.52811 -0.53261,-0.529029 0.900231,-0.189228 0.500291,-0.565754 0.399847,-0.680521 0.735242,0 -0.200888,-0.52811 0.468065,-0.302158 0,0.604315 1.000582,0.225953 1.000583,-0.830268 0.06721,-0.378363 0.866994,-0.603857 c -0.313818,0.03902 -0.627636,0.06767 -0.934293,0.151125 l 0,-0.680429 0.333558,-0.755441 -0.333558,0 -0.733038,0.679603 -0.200888,0.377904 0.200888,0.529488 -0.334476,0.905555 -0.533528,-0.302158 -0.466229,-0.52811 -0.735241,0.52811 -0.267177,-1.208172 1.267851,-0.830728 0,-0.4536504 0.801531,-0.5285696 1.267851,-0.302617 0.867912,0.302617 1.601318,0.3021579 -0.399848,0.4528241 -0.867912,0 0.867912,0.906474 0.667117,-0.754982 0.202632,-0.3321814 c 0,0 2.558931,2.2934994 4.021335,4.8023004 1.462404,2.509628 2.149168,5.46758 2.149168,6.068315 z" />
+        </g>
+      </g>
+    </g>
+  </g>
+</svg>
diff -pruN 1.2.0.20090904-1/data/icons/scalable/ibus-off.svg 1.2.0.20091024-1/data/icons/scalable/ibus-off.svg
--- 1.2.0.20090904-1/data/icons/scalable/ibus-off.svg	2009-08-21 15:12:03.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/scalable/ibus-off.svg	1970-01-01 01:00:00.000000000 +0100
@@ -1,2466 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:xlink="http://www.w3.org/1999/xlink"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   id="svg2987"
-   version="1.1"
-   inkscape:version="0.46+devel"
-   width="48"
-   height="48"
-   sodipodi:docname="input-keyboard.png"
-   inkscape:export-filename="/home/duffy/Desktop/IBus4-48.png"
-   inkscape:export-xdpi="90"
-   inkscape:export-ydpi="90"
-   inkscape:output_extension="org.inkscape.output.svg.inkscape">
-  <metadata
-     id="metadata2993">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <defs
-     id="defs2991">
-    <inkscape:perspective
-       sodipodi:type="inkscape:persp3d"
-       inkscape:vp_x="0 : 0.5 : 1"
-       inkscape:vp_y="0 : 1000 : 0"
-       inkscape:vp_z="1 : 0.5 : 1"
-       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
-       id="perspective2995" />
-    <linearGradient
-       gradientTransform="matrix(1,0,0,0.888889,0,3.833333)"
-       gradientUnits="userSpaceOnUse"
-       y2="29.995127"
-       x2="37.03125"
-       y1="35.062885"
-       x1="37.03125"
-       id="linearGradient3048"
-       xlink:href="#linearGradient3042"
-       inkscape:collect="always" />
-    <radialGradient
-       r="3"
-       fy="33.214287"
-       fx="2.9999995"
-       cy="33.214287"
-       cx="2.9999995"
-       gradientTransform="matrix(0,-0.750002,1.333334,0,-88.28573,-30.49999)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient3038"
-       xlink:href="#linearGradient3028"
-       inkscape:collect="always" />
-    <radialGradient
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0,-0.750002,1.333334,0,-40.28573,35.00001)"
-       r="3"
-       fy="33.214287"
-       fx="2.9999995"
-       cy="33.214287"
-       cx="2.9999995"
-       id="radialGradient3034"
-       xlink:href="#linearGradient3028"
-       inkscape:collect="always" />
-    <linearGradient
-       gradientUnits="userSpaceOnUse"
-       y2="35.75"
-       x2="26.5"
-       y1="43.249905"
-       x1="26.5"
-       id="linearGradient3018"
-       xlink:href="#linearGradient3899"
-       inkscape:collect="always" />
-    <linearGradient
-       gradientTransform="matrix(1,0,0,0.973504,0,1.228642)"
-       gradientUnits="userSpaceOnUse"
-       y2="5.0808058"
-       x2="18.390438"
-       y1="15.705806"
-       x1="18.390438"
-       id="linearGradient5265"
-       xlink:href="#linearGradient5259"
-       inkscape:collect="always" />
-    <linearGradient
-       gradientUnits="userSpaceOnUse"
-       y2="5.5441942"
-       x2="32.864544"
-       y1="13.794194"
-       x1="32.864544"
-       id="linearGradient5257"
-       xlink:href="#linearGradient5251"
-       inkscape:collect="always" />
-    <linearGradient
-       gradientUnits="userSpaceOnUse"
-       y2="32.448051"
-       x2="16.396038"
-       y1="19.659277"
-       x1="16.396038"
-       id="linearGradient1564"
-       xlink:href="#linearGradient1558"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1805"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1803"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1801"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1799"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1797"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1795"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1793"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1791"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1789"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1787"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1785"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1783"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1779"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1777"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1775"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1773"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1771"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1769"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1767"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1765"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1763"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1761"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1759"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1757"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1755"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1753"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1751"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1749"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1747"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1745"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1743"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1741"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1739"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1737"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1735"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1733"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1731"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1729"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1727"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1725"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1723"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1721"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1719"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1717"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1715"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1713"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1711"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1709"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1707"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1705"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1703"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1701"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1699"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1697"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1695"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1693"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1691"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1689"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1687"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       gradientUnits="userSpaceOnUse"
-       id="radialGradient1685"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <radialGradient
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.382603,3.581398e-5,0,0.171503,-6.729684,34.0972)"
-       r="19.5"
-       fy="47.045319"
-       fx="20.913568"
-       cy="47.045319"
-       cx="20.913568"
-       id="radialGradient3915"
-       xlink:href="#linearGradient3907"
-       inkscape:collect="always" />
-    <linearGradient
-       id="linearGradient3899"
-       inkscape:collect="always">
-      <stop
-         id="stop3901"
-         offset="0"
-         style="stop-color:#eeeeec" />
-      <stop
-         id="stop3903"
-         offset="1"
-         style="stop-color:#d3d7cf" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient3907">
-      <stop
-         id="stop3909"
-         offset="0"
-         style="stop-color:#ffffff;stop-opacity:1;" />
-      <stop
-         id="stop3911"
-         offset="1"
-         style="stop-color:#ffffff;stop-opacity:0;" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient1558"
-       inkscape:collect="always">
-      <stop
-         id="stop1560"
-         offset="0"
-         style="stop-color:#babdb6" />
-      <stop
-         id="stop1562"
-         offset="1"
-         style="stop-color:#eeeeec" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5251"
-       inkscape:collect="always">
-      <stop
-         id="stop5253"
-         offset="0"
-         style="stop-color:#729fcf;stop-opacity:1;" />
-      <stop
-         id="stop5255"
-         offset="1"
-         style="stop-color:#729fcf;stop-opacity:0;" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient5259"
-       inkscape:collect="always">
-      <stop
-         id="stop5261"
-         offset="0"
-         style="stop-color:black;stop-opacity:1;" />
-      <stop
-         id="stop5263"
-         offset="1"
-         style="stop-color:black;stop-opacity:0;" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient3028"
-       inkscape:collect="always">
-      <stop
-         id="stop3030"
-         offset="0"
-         style="stop-color:black;stop-opacity:1;" />
-      <stop
-         id="stop3032"
-         offset="1"
-         style="stop-color:black;stop-opacity:0;" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient3042">
-      <stop
-         id="stop3044"
-         offset="0"
-         style="stop-color:black;stop-opacity:0;" />
-      <stop
-         style="stop-color:black;stop-opacity:1;"
-         offset="0.5"
-         id="stop3050" />
-      <stop
-         id="stop3046"
-         offset="1"
-         style="stop-color:black;stop-opacity:0;" />
-    </linearGradient>
-    <inkscape:perspective
-       id="perspective3467"
-       inkscape:persp3d-origin="24 : 16 : 1"
-       inkscape:vp_z="48 : 24 : 1"
-       inkscape:vp_y="0 : 1000 : 0"
-       inkscape:vp_x="0 : 24 : 1"
-       sodipodi:type="inkscape:persp3d" />
-    <linearGradient
-       gradientUnits="userSpaceOnUse"
-       y2="16.839214"
-       x2="68.910904"
-       y1="-9.3832779"
-       x1="63.397362"
-       id="linearGradient4879"
-       xlink:href="#linearGradient4873"
-       inkscape:collect="always" />
-    <radialGradient
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.643979,0,-2.93653e-8,2.534421,-28.97514,-41.1733)"
-       r="9.125"
-       fy="24.149399"
-       fx="17.81411"
-       cy="24.149399"
-       cx="17.81411"
-       id="radialGradient4851"
-       xlink:href="#linearGradient4845"
-       inkscape:collect="always" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9207"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.918134,0,0,0.854079,2.429764,1.490099)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8918"
-       id="radialGradient9205"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.06168149,2.223638,-1.495968,0.04148028,50.51125,-44.50839)"
-       cx="25.969097"
-       cy="17.257854"
-       fx="25.968998"
-       fy="17.257843"
-       r="9.82225" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8824"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <linearGradient
-       id="linearGradient8918">
-      <stop
-         id="stop8920"
-         offset="0"
-         style="stop-color:#cee14b" />
-      <stop
-         id="stop8922"
-         offset="1"
-         style="stop-color:#9db029" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8918"
-       id="radialGradient9203"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.06718136,2.42191,-1.629357,0.0451789,52.36869,-50.34012)"
-       cx="25.969097"
-       cy="17.257854"
-       fx="25.968998"
-       fy="17.257843"
-       r="9.82225" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9201"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0.311259,0.486131)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8912"
-       id="radialGradient9199"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.85665,-181.6002)"
-       cx="24.478569"
-       cy="17.573915"
-       fx="24.478539"
-       fy="17.573889"
-       r="2.97195" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8820"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <linearGradient
-       id="linearGradient8912">
-      <stop
-         style="stop-color:#cee14b"
-         offset="0"
-         id="stop8914" />
-      <stop
-         style="stop-color:#9db029"
-         offset="1"
-         id="stop8916" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8912"
-       id="radialGradient9197"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.5454,-182.3268)"
-       cx="24.478569"
-       cy="17.573915"
-       fx="24.478539"
-       fy="17.573889"
-       r="2.97195" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9195"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,0.589884)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8930"
-       id="radialGradient9193"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-130.867)"
-       cx="25.135374"
-       cy="14.542349"
-       fx="25.135332"
-       fy="14.542329"
-       r="4.13475" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8816"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <linearGradient
-       id="linearGradient8930">
-      <stop
-         id="stop8932"
-         offset="0"
-         style="stop-color:#cee14b" />
-      <stop
-         id="stop8934"
-         offset="1"
-         style="stop-color:#9db029" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8930"
-       id="radialGradient9191"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-131.6974)"
-       cx="25.135374"
-       cy="14.542349"
-       fx="25.135332"
-       fy="14.542329"
-       r="4.13475" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9189"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.891018,0,0,0.828854,1.579517,2.39052)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8924"
-       id="radialGradient9187"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.06822876,2.459669,-1.754905,0.04868429,55.12882,-46.82188)"
-       cx="24.652573"
-       cy="18.94449"
-       fx="24.652485"
-       fy="18.944481"
-       r="8.61745" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8812"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <linearGradient
-       id="linearGradient8924">
-      <stop
-         id="stop8926"
-         offset="0"
-         style="stop-color:#cee14b" />
-      <stop
-         id="stop8928"
-         offset="1"
-         style="stop-color:#9db029" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8924"
-       id="radialGradient9185"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.07657394,2.760516,-1.969551,0.05463895,60.09901,-55.47179)"
-       cx="24.652573"
-       cy="18.94449"
-       fx="24.652485"
-       fy="18.944481"
-       r="8.61745" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9183"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8788"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9181"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,0.79739)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8782"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9179"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8774"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9177"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8766"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9175"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8760"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient9173"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient8752"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient8740">
-      <stop
-         style="stop-color:#ffffff;stop-opacity:1;"
-         offset="0"
-         id="stop8742" />
-      <stop
-         style="stop-color:#ffffff;stop-opacity:0;"
-         offset="1"
-         id="stop8744" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient8647">
-      <stop
-         style="stop-color:#8fb1dc;stop-opacity:1;"
-         offset="0"
-         id="stop8649" />
-      <stop
-         style="stop-color:#3465a4;stop-opacity:1;"
-         offset="1"
-         id="stop8651" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8647"
-       id="radialGradient9171"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.122354,0,0,1.122379,-7.610472,1.067717)"
-       cx="62.200352"
-       cy="-8.7256308"
-       fx="62.200352"
-       fy="-8.7256308"
-       r="9.7552835" />
-    <linearGradient
-       inkscape:collect="always"
-       id="linearGradient8838">
-      <stop
-         style="stop-color:#000000;stop-opacity:1;"
-         offset="0"
-         id="stop8840" />
-      <stop
-         style="stop-color:#000000;stop-opacity:0;"
-         offset="1"
-         id="stop8842" />
-    </linearGradient>
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8838"
-       id="radialGradient9169"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.341176,0,3.047059)"
-       cx="62.625"
-       cy="4.625"
-       fx="62.625"
-       fy="4.625"
-       r="10.625" />
-    <linearGradient
-       id="linearGradient4845">
-      <stop
-         id="stop4847"
-         offset="0"
-         style="stop-color:#ffffff;stop-opacity:1;" />
-      <stop
-         id="stop4849"
-         offset="1"
-         style="stop-color:#b6b6b6;stop-opacity:1;" />
-    </linearGradient>
-    <linearGradient
-       id="linearGradient4873"
-       inkscape:collect="always">
-      <stop
-         id="stop4875"
-         offset="0"
-         style="stop-color:#ffffff;stop-opacity:1;" />
-      <stop
-         id="stop4877"
-         offset="1"
-         style="stop-color:#ffffff;stop-opacity:0;" />
-    </linearGradient>
-    <inkscape:perspective
-       id="perspective11286"
-       inkscape:persp3d-origin="24 : 16 : 1"
-       inkscape:vp_z="48 : 24 : 1"
-       inkscape:vp_y="0 : 1000 : 0"
-       inkscape:vp_x="0 : 24 : 1"
-       sodipodi:type="inkscape:persp3d" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient4845"
-       id="radialGradient11381"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(2.643979,0,-2.93653e-8,2.534421,5.774861,15.533343)"
-       cx="17.81411"
-       cy="24.149399"
-       fx="17.81411"
-       fy="24.149399"
-       r="9.125" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8838"
-       id="radialGradient11438"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.341176,0,3.047059)"
-       cx="62.625"
-       cy="4.625"
-       fx="62.625"
-       fy="4.625"
-       r="10.625" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8647"
-       id="radialGradient11440"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.122354,0,0,1.122379,-7.610472,1.067717)"
-       cx="62.200352"
-       cy="-8.7256308"
-       fx="62.200352"
-       fy="-8.7256308"
-       r="9.7552835" />
-    <linearGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient4873"
-       id="linearGradient11442"
-       gradientUnits="userSpaceOnUse"
-       x1="63.397362"
-       y1="-9.3832779"
-       x2="68.910904"
-       y2="16.839214" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11444"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11446"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11448"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11450"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11452"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11454"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11456"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11458"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11460"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,0.79739)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11462"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11464"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11466"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8924"
-       id="radialGradient11468"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.06822876,2.459669,-1.754905,0.04868429,55.12882,-46.82188)"
-       cx="24.652573"
-       cy="18.94449"
-       fx="24.652485"
-       fy="18.944481"
-       r="8.61745" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11470"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.891018,0,0,0.828854,1.579517,2.39052)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8924"
-       id="radialGradient11472"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.07657394,2.760516,-1.969551,0.05463895,60.09901,-55.47179)"
-       cx="24.652573"
-       cy="18.94449"
-       fx="24.652485"
-       fy="18.944481"
-       r="8.61745" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11474"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8930"
-       id="radialGradient11476"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-130.867)"
-       cx="25.135374"
-       cy="14.542349"
-       fx="25.135332"
-       fy="14.542329"
-       r="4.13475" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11478"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,0.589884)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8930"
-       id="radialGradient11480"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.159592,5.753335,-0.8072,0.0223703,32.87305,-131.6974)"
-       cx="25.135374"
-       cy="14.542349"
-       fx="25.135332"
-       fy="14.542329"
-       r="4.13475" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11482"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8912"
-       id="radialGradient11484"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.85665,-181.6002)"
-       cx="24.478569"
-       cy="17.573915"
-       fx="24.478539"
-       fy="17.573889"
-       r="2.97195" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11486"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0.311259,0.486131)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8912"
-       id="radialGradient11488"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.222034,8.004376,-0.597156,0.01656095,29.5454,-182.3268)"
-       cx="24.478569"
-       cy="17.573915"
-       fx="24.478539"
-       fy="17.573889"
-       r="2.97195" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11490"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8918"
-       id="radialGradient11492"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.06168149,2.223638,-1.495968,0.04148028,50.51125,-44.50839)"
-       cx="25.969097"
-       cy="17.257854"
-       fx="25.968998"
-       fy="17.257843"
-       r="9.82225" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11494"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.918134,0,0,0.854079,2.429764,1.490099)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8918"
-       id="radialGradient11496"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(0.06718136,2.42191,-1.629357,0.0451789,52.36869,-50.34012)"
-       cx="25.969097"
-       cy="17.257854"
-       fx="25.968998"
-       fy="17.257843"
-       r="9.82225" />
-    <radialGradient
-       inkscape:collect="always"
-       xlink:href="#linearGradient8740"
-       id="radialGradient11498"
-       gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1,0,0,0.930233,0,-0.240141)"
-       cx="62.225393"
-       cy="-3.4420195"
-       fx="62.225393"
-       fy="-3.4420195"
-       r="10.081216" />
-  </defs>
-  <sodipodi:namedview
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1"
-     objecttolerance="10"
-     gridtolerance="10"
-     guidetolerance="10"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:window-width="921"
-     inkscape:window-height="857"
-     id="namedview2989"
-     showgrid="false"
-     inkscape:zoom="1"
-     inkscape:cx="16"
-     inkscape:cy="15.728814"
-     inkscape:window-x="0"
-     inkscape:window-y="25"
-     inkscape:window-maximized="0"
-     inkscape:current-layer="svg2987" />
-  <g
-     id="g3560"
-     transform="translate(0,-6)">
-    <g
-       style="display:inline"
-       inkscape:label="tastiera"
-       id="layer3">
-      <g
-         id="g2932"
-         style="display:inline">
-        <path
-           style="opacity:0.10112359;fill:none;stroke:url(#linearGradient5265);stroke-width:1.00000012;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;display:inline"
-           d="M 33.050044,28.000002 C 25.031634,17.205412 50,24.993444 46.5,19.639172 43,14.2849 17,21.58618 19,16.231908 20.840343,11.305061 34.5,17.205412 32,5.0366119"
-           id="path1541"
-           sodipodi:nodetypes="czzc" />
-        <path
-           style="fill:none;stroke:url(#linearGradient5257);stroke-width:1.00000012;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;display:inline"
-           d="M 33.050044,27.088388 C 25.031634,16 50,24 46.5,18.5 43,13 17,20.5 19,15 20.840343,9.939058 34.5,16 32,3.5"
-           id="path4172"
-           sodipodi:nodetypes="czzc" />
-      </g>
-      <g
-         style="opacity:0.4"
-         id="g3052">
-        <rect
-           style="fill:url(#radialGradient3034);fill-opacity:1;stroke:none"
-           id="rect3026"
-           width="4"
-           height="4.5"
-           x="0"
-           y="30.5" />
-        <rect
-           style="fill:url(#radialGradient3038);fill-opacity:1;stroke:none;display:inline"
-           id="rect3036"
-           width="4"
-           height="4.5"
-           x="-48"
-           y="-35"
-           transform="scale(-1,-1)" />
-        <rect
-           style="fill:url(#linearGradient3048);fill-opacity:1;stroke:none"
-           id="rect3040"
-           width="40"
-           height="4.5"
-           x="4"
-           y="30.5" />
-      </g>
-      <g
-         transform="translate(0,-12)"
-         id="g2928">
-        <path
-           style="fill:url(#linearGradient3018);fill-opacity:1;stroke:#888a85;stroke-width:1.00000393;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1"
-           d="m 5.3125,37.5 c -0.967886,0 -1.8477631,0.378926 -2.4375,1.65625 l -1.8125,3.875 C 0.253847,44.43186 0.90611493,45.5 3.65625,45.5 l 40.4375,0 c 2.750135,0 3.402403,-1.06814 2.59375,-2.46875 l -1.8125,-3.875 C 44.285263,37.878926 43.405386,37.5 42.4375,37.5 l -37.125,0 z"
-           id="rect2024"
-           sodipodi:nodetypes="ccccccccc" />
-        <path
-           sodipodi:type="inkscape:offset"
-           inkscape:radius="-1"
-           inkscape:original="M 5.3125 37.5 C 4.344614 37.5 3.4647369 37.878926 2.875 39.15625 L 1.0625 43.03125 C 0.253847 44.43186 0.90611493 45.5 3.65625 45.5 L 44.09375 45.5 C 46.843885 45.5 47.496153 44.43186 46.6875 43.03125 L 44.875 39.15625 C 44.285263 37.878926 43.405386 37.5 42.4375 37.5 L 5.3125 37.5 z "
-           style="fill:none;stroke:#ffffff;stroke-width:1.00000393;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;display:inline"
-           id="path2920"
-           d="m 5.3125,38.5 c -0.7068869,0 -1.0686379,0.06052 -1.53125,1.0625 a 1.0001,1.0001 0 0 1 0,0.03125 l -1.8125,3.875 a 1.0001,1.0001 0 0 1 -0.03125,0.0625 c -0.1455374,0.252075 -0.1851561,0.42743 -0.1875,0.5 -0.00234,0.07257 -0.035314,0.05527 0,0.09375 0.070629,0.07696 0.6606476,0.375 1.90625,0.375 l 40.4375,0 c 1.245602,0 1.835621,-0.298042 1.90625,-0.375 0.03531,-0.03848 0.0023,-0.02118 0,-0.09375 -0.0023,-0.07257 -0.04196,-0.247925 -0.1875,-0.5 a 1.0001,1.0001 0 0 1 -0.03125,-0.0625 l -1.8125,-3.875 a 1.0001,1.0001 0 0 1 0,-0.03125 C 43.506138,38.560518 43.144387,38.5 42.4375,38.5 l -37.125,0 z" />
-      </g>
-      <g
-         transform="translate(-54,0.18088)"
-         inkscape:label="Shadow"
-         id="g3270" />
-      <g
-         id="g2611"
-         inkscape:label="Shadow"
-         transform="translate(-54,15.24691)" />
-      <g
-         id="g2613"
-         inkscape:label="Lavoro"
-         style="display:inline"
-         transform="translate(-54,15.24691)" />
-    </g>
-    <g
-       style="display:inline"
-       inkscape:label="tasti"
-       id="layer2">
-      <g
-         transform="translate(0,-0.00589179)"
-         id="g2937">
-        <path
-           style="color:#000000;fill:url(#linearGradient1564);fill-opacity:1;fill-rule:nonzero;stroke:#babdb6;stroke-width:0.99999934;stroke-linecap:square;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dashoffset:0;marker:none;visibility:visible;display:inline;overflow:visible"
-           d="m 6.4347661,24.507053 c -0.00305,0.0037 0.00278,0.02832 0,0.03121 -0.01467,0.0049 -0.05022,0.02426 -0.065234,0.03121 -0.00501,0.0025 -0.027617,-0.0028 -0.032617,0 -0.00497,0.003 -0.027687,0.02797 -0.032617,0.03121 -0.00974,0.007 -0.02321,0.02332 -0.032617,0.03121 -0.0046,0.0042 -0.028146,0.0268 -0.032617,0.03121 -0.00433,0.0047 -0.028443,0.02632 -0.032617,0.03121 -0.064871,0.09002 -0.1331859,0.246524 -0.2283184,0.436984 l -2.2275503,4.744409 c 0,0.0059 -2.282e-4,0.02526 0,0.03121 4.527e-4,0.006 -6.737e-4,0.02526 0,0.03121 8.909e-4,0.006 -0.0011,0.02527 0,0.03121 0.00263,0.01185 0.02917,0.05068 0.032617,0.06243 0.00192,0.0058 -0.00212,0.02541 0,0.03121 0.00693,0.01727 0.024028,0.04566 0.032617,0.06242 0.00912,0.01656 0.021968,0.04658 0.032617,0.06243 0.00371,0.0052 0.028746,0.02612 0.032617,0.03121 0.00403,0.005 0.028439,0.02633 0.032617,0.03121 0.025954,0.02863 0.06703,0.06984 0.097851,0.09364 0.00526,0.0038 0.027239,0.02756 0.032617,0.03121 0.016498,0.0095 0.047356,0.02261 0.065234,0.03121 0.1202275,0.05283 0.279283,0.09364 0.4240198,0.09364 l 23.1146428,0 -0.09785,-5.992927 -20.7892415,-7e-6 c -0.068514,0 -0.1437621,-0.0023 -0.1957014,0 -0.012153,6.8e-5 -0.05203,6.13e-4 -0.065234,0 -0.00403,2.9e-5 -0.028959,-2.57e-4 -0.032617,0 -0.00282,0.0029 -0.029571,-0.0037 -0.032617,0 z m 23.0398089,7e-6 0.09785,1.997643 5.642726,0 -0.260935,-1.997643 -5.479641,0 z m 7.436655,0 1.17421,5.992927 5.218705,0 c 0.144736,0 0.303792,-0.04081 0.42402,-0.09364 0.01788,-0.0086 0.04874,-0.02172 0.06523,-0.03121 0.0054,-0.0037 0.02736,-0.0274 0.03262,-0.03121 0.03082,-0.0238 0.0719,-0.06501 0.09785,-0.09364 0.0042,-0.0049 0.02859,-0.02622 0.03262,-0.03121 0.0039,-0.0051 0.02891,-0.02602 0.03262,-0.03121 0.01065,-0.01585 0.0235,-0.04586 0.03262,-0.06243 0.0086,-0.01677 0.02569,-0.04515 0.03262,-0.06242 0.0021,-0.0058 -0.0019,-0.02537 0,-0.03121 0.0034,-0.01175 0.02999,-0.05058 0.03262,-0.06243 0.0011,-0.0059 -8.92e-4,-0.02526 0,-0.03121 6.73e-4,-0.006 -4.54e-4,-0.02526 0,-0.03121 2.29e-4,-0.0059 0,-0.02528 0,-0.03121 L 42.26095,25.131338 c -0.09513,-0.190459 -0.163448,-0.346962 -0.228319,-0.436984 -0.0042,-0.0049 -0.02829,-0.02656 -0.03262,-0.03121 -0.0045,-0.0044 -0.02802,-0.02703 -0.03262,-0.03121 -0.0094,-0.0079 -0.02288,-0.02426 -0.03262,-0.03121 -0.0049,-0.0032 -0.02764,-0.0282 -0.03262,-0.03121 -0.005,-0.0028 -0.02761,0.0025 -0.03262,0 -0.01501,-0.007 -0.05056,-0.02631 -0.06523,-0.03121 -0.01612,-0.0037 -0.04157,-0.02467 -0.06524,-0.03121 -0.01187,-0.003 -0.05435,0.0017 -0.06523,0 -0.05194,-0.0023 -0.127187,0 -0.195701,0 l -4.5669,7e-6 z m -6.131978,3.995284 -1.043741,1.997643 6.001511,0 -1.304677,-1.997643 -3.653093,0 z"
-           id="path2318"
-           sodipodi:nodetypes="csssssssccssssssssssssccccssscccccccccssssssssssssccsssssssssccccccc" />
-        <g
-           id="g3822"
-           style="fill:url(#radialGradient3915);fill-opacity:1"
-           transform="translate(0,-14)">
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="7"
-             height="1"
-             width="1"
-             id="rect2340"
-             style="color:#000000;fill:url(#radialGradient1685);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="9"
-             height="1"
-             width="1"
-             id="rect2342"
-             style="color:#000000;fill:url(#radialGradient1687);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="11"
-             height="1"
-             width="1"
-             id="rect2344"
-             style="color:#000000;fill:url(#radialGradient1689);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="13"
-             height="1"
-             width="1"
-             id="rect2346"
-             style="color:#000000;fill:url(#radialGradient1691);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="15"
-             height="1"
-             width="1"
-             id="rect2348"
-             style="color:#000000;fill:url(#radialGradient1693);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="17"
-             height="1"
-             width="1"
-             id="rect2350"
-             style="color:#000000;fill:url(#radialGradient1695);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="19"
-             height="1"
-             width="1"
-             id="rect2352"
-             style="color:#000000;fill:url(#radialGradient1697);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="21"
-             height="1"
-             width="1"
-             id="rect2354"
-             style="color:#000000;fill:url(#radialGradient1699);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="6"
-             height="1"
-             width="1"
-             id="rect2356"
-             style="color:#000000;fill:url(#radialGradient1701);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="8"
-             height="1"
-             width="1"
-             id="rect2358"
-             style="color:#000000;fill:url(#radialGradient1703);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="10"
-             height="1"
-             width="1"
-             id="rect2360"
-             style="color:#000000;fill:url(#radialGradient1705);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="12"
-             height="1"
-             width="1"
-             id="rect2362"
-             style="color:#000000;fill:url(#radialGradient1707);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="14"
-             height="1"
-             width="1"
-             id="rect2364"
-             style="color:#000000;fill:url(#radialGradient1709);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="16"
-             height="1"
-             width="1"
-             id="rect2366"
-             style="color:#000000;fill:url(#radialGradient1711);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="18"
-             height="1"
-             width="1"
-             id="rect2368"
-             style="color:#000000;fill:url(#radialGradient1713);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="20"
-             height="1"
-             width="1"
-             id="rect2370"
-             style="color:#000000;fill:url(#radialGradient1715);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="7"
-             height="1"
-             width="1"
-             id="rect2372"
-             style="color:#000000;fill:url(#radialGradient1717);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="9"
-             height="1"
-             width="1"
-             id="rect2374"
-             style="color:#000000;fill:url(#radialGradient1719);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="11"
-             height="1"
-             width="1"
-             id="rect2376"
-             style="color:#000000;fill:url(#radialGradient1721);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="13"
-             height="1"
-             width="1"
-             id="rect2378"
-             style="color:#000000;fill:url(#radialGradient1723);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="15"
-             height="1"
-             width="1"
-             id="rect2380"
-             style="color:#000000;fill:url(#radialGradient1725);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="17"
-             height="1"
-             width="1"
-             id="rect2382"
-             style="color:#000000;fill:url(#radialGradient1727);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="19"
-             height="1"
-             width="1"
-             id="rect2384"
-             style="color:#000000;fill:url(#radialGradient1729);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="21"
-             height="1"
-             width="1"
-             id="rect2386"
-             style="color:#000000;fill:url(#radialGradient1731);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="6"
-             height="1"
-             width="1"
-             id="rect2388"
-             style="color:#000000;fill:url(#radialGradient1733);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="8"
-             height="1"
-             width="1"
-             id="rect2390"
-             style="color:#000000;fill:url(#radialGradient1735);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="10"
-             height="1"
-             width="1"
-             id="rect2392"
-             style="color:#000000;fill:url(#radialGradient1737);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="12"
-             height="1"
-             width="1"
-             id="rect2394"
-             style="color:#000000;fill:url(#radialGradient1739);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="14"
-             height="1"
-             width="1"
-             id="rect2396"
-             style="color:#000000;fill:url(#radialGradient1741);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="16"
-             height="1"
-             width="1"
-             id="rect2398"
-             style="color:#000000;fill:url(#radialGradient1743);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="18"
-             height="1"
-             width="1"
-             id="rect2400"
-             style="color:#000000;fill:url(#radialGradient1745);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="20"
-             height="1"
-             width="1"
-             id="rect2402"
-             style="color:#000000;fill:url(#radialGradient1747);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="5"
-             height="1"
-             width="1"
-             id="rect2412"
-             style="color:#000000;fill:url(#radialGradient1749);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="7"
-             height="1"
-             width="1"
-             id="rect2414"
-             style="color:#000000;fill:url(#radialGradient1751);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="22"
-             height="1"
-             width="1"
-             id="rect2428"
-             style="color:#000000;fill:url(#radialGradient1753);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="23"
-             height="1"
-             width="1"
-             id="rect2430"
-             style="color:#000000;fill:url(#radialGradient1755);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="22"
-             height="1"
-             width="1"
-             id="rect2432"
-             style="color:#000000;fill:url(#radialGradient1757);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="23"
-             height="1"
-             width="1"
-             id="rect2434"
-             style="color:#000000;fill:url(#radialGradient1759);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="24"
-             height="1"
-             width="1"
-             id="rect2436"
-             style="color:#000000;fill:url(#radialGradient1761);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="25"
-             height="1"
-             width="1"
-             id="rect2438"
-             style="color:#000000;fill:url(#radialGradient1763);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="26"
-             height="1"
-             width="1"
-             id="rect2440"
-             style="color:#000000;fill:url(#radialGradient1765);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="25"
-             height="1"
-             width="1"
-             id="rect2442"
-             style="color:#000000;fill:url(#radialGradient1767);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="24"
-             height="1"
-             width="1"
-             id="rect2444"
-             style="color:#000000;fill:url(#radialGradient1769);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="26"
-             height="1"
-             width="1"
-             id="rect2446"
-             style="color:#000000;fill:url(#radialGradient1771);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="25"
-             height="1"
-             width="1"
-             id="rect2448"
-             style="color:#000000;fill:url(#radialGradient1773);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="23"
-             height="1"
-             width="1"
-             id="rect2450"
-             style="color:#000000;fill:url(#radialGradient1775);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="31"
-             height="1"
-             width="1"
-             id="rect2454"
-             style="color:#000000;fill:url(#radialGradient1777);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="33"
-             height="1"
-             width="1"
-             id="rect2456"
-             style="color:#000000;fill:url(#radialGradient1779);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="31"
-             height="1"
-             width="1"
-             id="rect2462"
-             style="color:#000000;fill:url(#radialGradient1783);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="33"
-             height="1"
-             width="1"
-             id="rect2464"
-             style="color:#000000;fill:url(#radialGradient1785);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="37"
-             height="1"
-             width="1"
-             id="rect2466"
-             style="color:#000000;fill:url(#radialGradient1787);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="38"
-             height="1"
-             width="1"
-             id="rect2468"
-             style="color:#000000;fill:url(#radialGradient1789);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="39"
-             x="39"
-             height="1"
-             width="1"
-             id="rect2470"
-             style="color:#000000;fill:url(#radialGradient1791);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="41"
-             height="1"
-             width="1"
-             id="rect2474"
-             style="color:#000000;fill:url(#radialGradient1793);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="41"
-             x="39"
-             height="1"
-             width="1"
-             id="rect2476"
-             style="color:#000000;fill:url(#radialGradient1795);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="38"
-             height="1"
-             width="1"
-             id="rect2480"
-             style="color:#000000;fill:url(#radialGradient1797);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="42"
-             x="40"
-             height="1"
-             width="1"
-             id="rect2482"
-             style="color:#000000;fill:url(#radialGradient1799);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="41"
-             height="1"
-             width="1"
-             id="rect3810"
-             style="color:#000000;fill:url(#radialGradient1801);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="40"
-             x="40"
-             height="1"
-             width="1"
-             id="rect3812"
-             style="color:#000000;fill:url(#radialGradient1803);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-          <rect
-             ry="0.26516503"
-             rx="0.26516503"
-             y="43"
-             x="43"
-             height="1"
-             width="1"
-             id="rect3814"
-             style="color:#000000;fill:url(#radialGradient1805);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible" />
-        </g>
-      </g>
-    </g>
-  </g>
-  <g
-     id="g11411"
-     transform="matrix(0.52533908,0,0,0.52533908,-17.812055,-6.626797)">
-    <g
-       transform="matrix(1.673435,0,0,1.673435,31.560745,54.038102)"
-       id="g3020"
-       inkscape:label="Layer 1">
-      <g
-         style="display:inline"
-         id="g8936"
-         transform="matrix(1.284706,0,0,1.284706,-63.89629,19.96894)">
-        <path
-           transform="matrix(1,0,0,1.192473,-0.590821,-2.378705)"
-           d="M 73.25,4.625 C 73.25,6.6270322 68.493025,8.25 62.625,8.25 56.756975,8.25 52,6.6270322 52,4.625 52,2.6229678 56.756975,1 62.625,1 68.493025,1 73.25,2.6229678 73.25,4.625 z"
-           sodipodi:ry="3.625"
-           sodipodi:rx="10.625"
-           sodipodi:cy="4.625"
-           sodipodi:cx="62.625"
-           id="path8836"
-           style="opacity:0.56043958;color:#000000;fill:url(#radialGradient11438);fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.99999988;marker:none;visibility:visible;display:inline;overflow:visible"
-           sodipodi:type="arc" />
-        <path
-           id="path6495"
-           d="m 71.455637,-3.5111605 c 0,5.1118327 -4.144037,9.255822 -9.255167,9.255822 -5.111598,0 -9.2554,-4.1440362 -9.2554,-9.255822 0,-5.1115983 4.143802,-9.2551665 9.2554,-9.2551665 5.11113,0 9.255167,4.1435682 9.255167,9.2551665 l 0,0 z"
-           style="fill:url(#radialGradient11440);fill-opacity:1;fill-rule:nonzero;stroke:#204a87;stroke-width:0.88541675;stroke-miterlimit:4;stroke-dasharray:none" />
-        <path
-           style="opacity:0.52747258;fill:none;stroke:url(#linearGradient11442);stroke-width:0.88541716;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
-           d="m 70.945908,-3.5111451 c 0,4.8302718 -3.915782,8.7460091 -8.74539,8.7460091 -4.83005,0 -8.745611,-3.9157817 -8.745611,-8.7460091 0,-4.8300503 3.915561,-8.7453899 8.745611,-8.7453899 4.829608,0 8.74539,3.9153396 8.74539,8.7453899 l 0,0 z"
-           id="path8655" />
-        <g
-           id="g6532"
-           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11446);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.39042,-14.57365)">
-          <path
-             style="fill:#9db029;stroke:url(#radialGradient11444);stroke-width:1.90353251"
-             id="path6534"
-             d="m 26.0703,9.2363 -0.0732,0.4932 0.5098,0.3291 0.8711,-0.5757 -0.4355,-0.4937 -0.582,0.3296 -0.29,-0.0825" />
-        </g>
-        <g
-           id="g6548"
-           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11450);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,49.7717,-14.57365)">
-          <path
-             style="fill:#9db029;stroke:url(#radialGradient11448);stroke-width:1.90353251"
-             id="path6550"
-             d="m 28.833,12.7749 -0.291,-0.7412 -0.5098,0.165 0.1465,0.9043 0.6543,-0.3281" />
-        </g>
-        <g
-           id="g6556"
-           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11454);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,49.94848,-14.57365)">
-          <path
-             style="fill:#9db029;stroke:url(#radialGradient11452);stroke-width:1.90353251"
-             id="path6558"
-             d="m 29.123,12.6089 -0.1455,0.9883 0.7998,-0.165 0.5811,-0.5752 -0.5088,-0.4941 C 29.6787,11.9078 29.4824,11.483 29.2685,11.0465 l -0.4355,0 0,0.4932 0.29,0.3291 0,0.7402" />
-        </g>
-        <g
-           id="g6572"
-           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11458);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.39042,-14.57365)">
-          <path
-             style="fill:#9db029;stroke:url(#radialGradient11456);stroke-width:1.90353251"
-             id="path6574"
-             d="m 16.7656,9.5649 0.7266,0.4937 0.582,0 0,-0.5757 -0.7266,-0.3291 -0.582,0.4111" />
-        </g>
-        <g
-           id="g6608"
-           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11462);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.96494,-14.52946)">
-          <path
-             style="fill:#9db029;stroke:url(#radialGradient11460);stroke-width:1.90353251"
-             id="path6610"
-             d="m 17.4922,7.887132 0.3638,-0.3286 0.7271,-0.1646 c 0.498,-0.2422 0.998,-0.4053 1.5264,-0.5762 l -0.29,-0.4937 -0.9385,0.1348 -0.4434,0.4419 -0.731,0.106 -0.6499,0.3052 -0.3159,0.1528 -0.1929,0.2583 0.9443,0.1641" />
-        </g>
-        <g
-           id="g6616"
-           style="fill:#9db029;fill-rule:nonzero;stroke:url(#radialGradient11466);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.56718,-14.30851)">
-          <path
-             style="fill:#9db029;stroke:url(#radialGradient11464);stroke-width:1.90353251"
-             id="path6618"
-             d="m 18.7285,14.6665 0.4365,-0.6582 -0.6548,-0.4932 0.2183,1.1514" />
-        </g>
-        <g
-           id="g6564"
-           style="fill:url(#radialGradient11472);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11474);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.74397,-14.61784)">
-          <path
-             style="fill:url(#radialGradient11468);fill-opacity:1;stroke:url(#radialGradient11470);stroke-width:1.90353251"
-             id="path6566"
-             d="m 17.943241,27.768799 -0.518573,-1.02672 -0.971477,-0.219726 -0.518127,-1.392215 -1.295183,0.146216 -1.100764,-0.805748 -1.166432,1.025918 0,0.161809 C 12.019842,25.55649 11.586095,25.54259 11.271922,25.349417 l -0.259287,-0.732684 0,-0.806638 -0.777056,0.07306 c 0.06487,-0.513404 0.129197,-1.025918 0.194509,-1.539233 l -0.4537956,0 -0.4529044,0.586468 -0.4537955,0.219279 -0.6478592,-0.365495 -0.064866,-0.806639 0.1296431,-0.879702 0.9719225,-0.732684 0.7770571,0 0.129197,-0.440252 0.971477,0.219279 0.712636,0.880593 0.129643,-1.467061 1.230764,-1.025918 0.45335,-1.099872 0.906699,-0.366298 0.518127,-0.732684 1.165541,-0.220973 0.583439,-0.878811 c -0.582993,0 -1.165987,0 -1.74898,0 l 1.10112,-0.513404 0.776612,0 1.101565,-0.367189 0.129643,-0.438559 -0.388929,-0.367188 -0.45335,-0.147018 0.129643,-0.43945 -0.323707,-0.659532 -0.777502,0.292343 0.129643,-0.586022 -0.9067,-0.513405 -0.71219,1.245554 0.06442,0.440252 -0.71219,0.294125 -0.453796,0.952766 -0.194064,-0.879702 -1.230763,-0.513405 -0.194509,-0.659531 1.619336,-0.953657 0.712636,-0.659532 0.06487,-0.8061926 -0.388483,-0.2201702 -0.518127,-0.073509 -0.323707,0.8066378 c 0,0 -0.54165,0.106121 -0.680916,0.140514 -1.778561,1.638938 -5.372215,5.176904 -6.2070989,11.856064 0.033057,0.154859 0.6051795,1.052827 0.6051795,1.052827 l 1.3600498,0.805747 1.3600499,0.367189 0.5834387,0.733486 0.906254,0.659531 0.518127,-0.07306 0.388484,0.174907 0,0.118327 -0.517771,1.392661 -0.388929,0.586468 0.129643,0.294125 -0.323707,1.098091 1.165987,2.126592 1.16554,1.02672 0.518573,0.732684 -0.06522,1.540125 0.38893,0.878811 -0.38893,1.686341 c 0,0 -0.03047,-0.01043 0.01916,0.158334 0.05007,0.168847 2.07527,1.293045 2.204022,1.19735 0.128307,-0.09748 0.237991,-0.182748 0.237991,-0.182748 l -0.129198,-0.365496 0.517771,-0.513404 0.194509,-0.513405 0.84228,-0.294125 0.647413,-1.613188 -0.194063,-0.438559 0.452458,-0.659532 0.971923,-0.220972 0.518572,-1.172936 -0.129643,-1.465279 0.777057,-1.099873 0.129643,-1.099873 c -1.063341,-0.527304 -2.11795,-1.07029 -3.17336,-1.613188" />
-        </g>
-        <g
-           id="g6540"
-           style="fill:url(#radialGradient11480);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11482);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.523,-14.44107)">
-          <path
-             style="fill:url(#radialGradient11476);fill-opacity:1;stroke:url(#radialGradient11478);stroke-width:1.90353251"
-             id="path6542"
-             d="m 26.8701,6.6933256 -1.8906,-0.7407 -2.1797,0.2466 -2.6904,0.7402 -0.5088,0.4941 1.6719,1.1514 0,0.6582 -0.6543,0.6582 0.873,1.7289984 0.5801,-0.3301 0.7285,-1.151399 c 1.123,-0.3471994 2.1299,-0.7406994 3.1973,-1.2343994 l 0.873,-2.2212" />
-        </g>
-        <g
-           id="g6580"
-           style="fill:url(#radialGradient11488);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11490);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.83236,-14.75043)">
-          <path
-             style="fill:url(#radialGradient11484);fill-opacity:1;stroke:url(#radialGradient11486);stroke-width:1.90353251"
-             id="path6582"
-             d="m 15.187259,9.6334723 -0.3638,0.9047987 0.7271,0 0.3638,-0.8227987 c 0.3135,-0.2217 0.6255,-0.4448 0.9448,-0.6582 l 0.7271,0.2471 c 0.4844,0.3291 0.9688,0.6582 1.4536,0.9867997 l 0.7275,-0.6576997 -0.8003,-0.3291 -0.3638,-0.7407 -1.3809,-0.1646 -0.0728,-0.4116 -0.6543,0.165 -0.2904,0.5758 -0.3638,-0.7407 -0.145,0.3291 0.0728,0.8228 -0.5816,0.494" />
-        </g>
-        <g
-           id="g6626"
-           style="fill:url(#radialGradient11496);fill-opacity:1;fill-rule:nonzero;stroke:url(#radialGradient11498);stroke-width:1.90353251;stroke-miterlimit:4"
-           transform="matrix(0.468894,0,0,0.468894,50.12526,-14.48526)">
-          <path
-             style="fill:url(#radialGradient11492);fill-opacity:1;stroke:url(#radialGradient11494);stroke-width:1.90353251"
-             id="path6628"
-             d="m 42.893123,20.729176 c 0,0.241194 0,0 0,0 l -0.500291,0.566672 c -0.306657,-0.361377 -0.650957,-0.66528 -1.000583,-0.982679 l -0.767468,0.112931 -0.701179,-0.792625 0,0.980934 0.600735,0.454568 0.399848,0.452824 0.534354,-0.604316 c 0.134506,0.251936 0.267177,0.503872 0.400765,0.755808 l 0,0.754982 -0.601653,0.679602 -1.101026,0.755808 -0.83385,0.832105 -0.534354,-0.606152 0.267177,-0.679603 -0.533527,-0.604315 -0.901057,-1.92597 -0.767468,-0.867912 -0.200888,0.225953 0.30124,1.095701 0.566672,0.641959 c 0.323642,0.934293 0.643796,1.82727 1.0688,2.720339 0.659036,0 1.280338,-0.06996 1.934875,-0.15241 l 0,0.529029 -0.800704,1.964072 -0.734324,0.830269 -0.600735,1.285754 c 0,0.70476 0,1.40952 0,2.114188 l 0.200888,0.832105 -0.333558,0.376618 -0.735242,0.45365 -0.767468,0.641959 0.634798,0.717338 -0.867912,0.756727 0.166733,0.489549 -1.301914,1.474064 -0.866994,0 -0.734324,0.45365 -0.468064,0 0,-0.604316 -0.199052,-1.210468 c -0.258271,-0.758562 -0.527192,-1.511708 -0.800705,-2.264853 0,-0.55593 0.03314,-1.106443 0.06638,-1.662282 l 0.334477,-0.754981 -0.468065,-0.907392 0.03406,-1.246275 -0.634798,-0.717338 0.317399,-1.038318 -0.516451,-0.585953 -0.901974,0 -0.300322,-0.339801 -0.901057,0.567131 -0.366702,-0.416466 -0.834768,0.717706 C 27.577179,26.356327 27.009588,25.714368 26.44209,25.072409 l -0.667116,-1.586995 0.600735,-0.905555 -0.333558,-0.377445 0.733405,-1.738579 c 0.602571,-0.749564 1.231952,-1.468647 1.868586,-2.190392 l 1.135089,-0.302158 1.267852,-0.150666 0.867912,0.226871 1.234615,1.245357 0.434001,-0.490467 0.599817,-0.07529 1.135089,0.377445 0.867913,0 0.600735,-0.529029 0.267177,-0.377445 -0.601654,-0.377445 -1.0015,-0.07529 c -0.277919,-0.385524 -0.53619,-0.790789 -0.866168,-1.133344 l -0.334476,0.150665 -0.133589,0.982679 -0.600735,-0.679603 -0.13267,-0.756726 -0.667116,-0.527192 -0.268095,0 0.667942,0.754981 -0.267177,0.679603 -0.533527,0.150666 0.333558,-0.679603 -0.601654,-0.30124 -0.532609,-0.604315 -1.002419,0.225952 -0.13267,0.30124 -0.600735,0.378363 -0.333558,0.831187 -0.83385,0.415088 -0.36762,-0.415088 -0.399848,0 0,-1.360124 0.867912,-0.45365 0.667116,0 -0.134506,-0.52811 -0.53261,-0.529029 0.900231,-0.189228 0.500291,-0.565754 0.399847,-0.680521 0.735242,0 -0.200888,-0.52811 0.468065,-0.302158 0,0.604315 1.000582,0.225953 1.000583,-0.830268 0.06721,-0.378363 0.866994,-0.603857 c -0.313818,0.03902 -0.627636,0.06767 -0.934293,0.151125 l 0,-0.680429 0.333558,-0.755441 -0.333558,0 -0.733038,0.679603 -0.200888,0.377904 0.200888,0.529488 -0.334476,0.905555 -0.533528,-0.302158 -0.466229,-0.52811 -0.735241,0.52811 -0.267177,-1.208172 1.267851,-0.830728 0,-0.4536504 0.801531,-0.5285696 1.267851,-0.302617 0.867912,0.302617 1.601318,0.3021579 -0.399848,0.4528241 -0.867912,0 0.867912,0.906474 0.667117,-0.754982 0.202632,-0.3321814 c 0,0 2.558931,2.2934994 4.021335,4.8023004 1.462404,2.509628 2.149168,5.46758 2.149168,6.068315 z" />
-        </g>
-      </g>
-    </g>
-  </g>
-</svg>
diff -pruN 1.2.0.20090904-1/data/icons/scalable/ibus-setup.svg 1.2.0.20091024-1/data/icons/scalable/ibus-setup.svg
--- 1.2.0.20090904-1/data/icons/scalable/ibus-setup.svg	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/scalable/ibus-setup.svg	2009-10-13 03:03:19.000000000 +0100
@@ -0,0 +1,393 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="48.000000px"
+   height="48.000000px"
+   id="svg53383"
+   sodipodi:version="0.32"
+   inkscape:version="0.46+devel"
+   sodipodi:docname="ibus-setup.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape"
+   version="1.1">
+  <defs
+     id="defs3">
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 24 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       id="perspective31" />
+    <linearGradient
+       id="linearGradient3264">
+      <stop
+         style="stop-color:#c9c9c9;stop-opacity:1;"
+         offset="0"
+         id="stop3266" />
+      <stop
+         id="stop3276"
+         offset="0.25"
+         style="stop-color:#f8f8f8;stop-opacity:1;" />
+      <stop
+         id="stop3272"
+         offset="0.5"
+         style="stop-color:#e2e2e2;stop-opacity:1;" />
+      <stop
+         style="stop-color:#b0b0b0;stop-opacity:1;"
+         offset="0.75"
+         id="stop3274" />
+      <stop
+         style="stop-color:#c9c9c9;stop-opacity:1;"
+         offset="1"
+         id="stop3268" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3264"
+       id="linearGradient3281"
+       gradientUnits="userSpaceOnUse"
+       x1="14.462892"
+       y1="12.284524"
+       x2="34.534348"
+       y2="39.684914"
+       gradientTransform="matrix(1.241935,0,0,1.241935,-5.027508,-7.208988)" />
+    <linearGradient
+       id="linearGradient2300">
+      <stop
+         id="stop2302"
+         offset="0.0000000"
+         style="stop-color:#000000;stop-opacity:0.32673267;" />
+      <stop
+         id="stop2304"
+         offset="1"
+         style="stop-color:#000000;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       id="aigrd1"
+       gradientUnits="userSpaceOnUse"
+       x1="99.7773"
+       y1="15.4238"
+       x2="153.0005"
+       y2="248.6311">
+      <stop
+         offset="0"
+         style="stop-color:#184375"
+         id="stop53300" />
+      <stop
+         offset="1"
+         style="stop-color:#C8BDDC"
+         id="stop53302" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#aigrd1"
+       id="linearGradient53551"
+       gradientUnits="userSpaceOnUse"
+       x1="99.7773"
+       y1="15.4238"
+       x2="153.0005"
+       y2="248.6311"
+       gradientTransform="matrix(0.200685,0.000000,0.000000,0.200685,-0.585758,-1.050787)" />
+    <radialGradient
+       gradientUnits="userSpaceOnUse"
+       r="11.689870"
+       fy="72.568001"
+       fx="14.287618"
+       cy="68.872971"
+       cx="14.287618"
+       gradientTransform="matrix(1.399258,-2.234445e-7,8.196178e-8,0.513264,4.365074,4.839285)"
+       id="radialGradient2308"
+       xlink:href="#linearGradient2300"
+       inkscape:collect="always" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3264"
+       id="linearGradient3760"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.241935,0,0,1.241935,-5.027508,-7.208988)"
+       x1="14.462892"
+       y1="12.284524"
+       x2="34.534348"
+       y2="39.684914" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3165"
+       id="linearGradient3773"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.200685,0,0,0.200685,-54.33576,-1.050787)"
+       x1="343.77731"
+       y1="169.57544"
+       x2="447.2099"
+       y2="7.4488621" />
+    <linearGradient
+       y2="13.872649"
+       x2="22.480242"
+       y1="27.427807"
+       x1="7.746789"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3236"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientTransform="matrix(0.7783402,0,0,0.8510982,20.293591,5.3791756)"
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3234"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3231"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3226"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3220"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.821767"
+       x2="23.510868"
+       y1="28.256899"
+       x1="8.4049778"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3213"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="13.872649"
+       x2="22.480242"
+       y1="27.427807"
+       x1="7.746789"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3209"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="22.214285"
+       x2="24.428572"
+       y1="22.214285"
+       x1="4"
+       id="linearGradient3182"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       gradientUnits="userSpaceOnUse"
+       y2="16.928572"
+       x2="21.285713"
+       y1="16.928572"
+       x1="9.4285707"
+       id="linearGradient3170"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <linearGradient
+       y2="9.7142849"
+       x2="32.046146"
+       y1="39"
+       x1="15.953855"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient2385"
+       xlink:href="#linearGradient3165"
+       inkscape:collect="always" />
+    <inkscape:perspective
+       id="perspective2391"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:vp_y="6.1230318e-14 : 1000 : 0"
+       inkscape:vp_x="0 : 24 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       id="linearGradient3165">
+      <stop
+         id="stop3167"
+         offset="0"
+         style="stop-color:#3e9ade;stop-opacity:1;" />
+      <stop
+         id="stop3169"
+         offset="1"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective3735"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3165-2"
+       id="linearGradient3773-6"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(0.200685,0,0,0.200685,-54.33576,-1.050787)"
+       x1="343.77731"
+       y1="169.57544"
+       x2="447.2099"
+       y2="7.4488621" />
+    <linearGradient
+       id="linearGradient3165-2">
+      <stop
+         id="stop3167-1"
+         offset="0"
+         style="stop-color:#3e9ade;stop-opacity:1;" />
+      <stop
+         id="stop3169-0"
+         offset="1"
+         style="stop-color:#ffffff;stop-opacity:1;" />
+    </linearGradient>
+  </defs>
+  <sodipodi:namedview
+     inkscape:showpageshadow="false"
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="0.11764706"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="5.6568542"
+     inkscape:cx="37.851846"
+     inkscape:cy="20.457681"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:grid-bbox="true"
+     inkscape:document-units="px"
+     inkscape:window-width="1024"
+     inkscape:window-height="697"
+     inkscape:window-x="0"
+     inkscape:window-y="25"
+     inkscape:window-maximized="1" />
+  <metadata
+     id="metadata4">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title>System Applications</dc:title>
+        <dc:creator>
+          <cc:Agent>
+            <dc:title>Jakub Steiner</dc:title>
+          </cc:Agent>
+        </dc:creator>
+        <dc:source>http://jimmac.musichall.cz/</dc:source>
+        <dc:subject>
+          <rdf:Bag>
+            <rdf:li>system</rdf:li>
+            <rdf:li>applications</rdf:li>
+            <rdf:li>group</rdf:li>
+            <rdf:li>category</rdf:li>
+            <rdf:li>admin</rdf:li>
+            <rdf:li>root</rdf:li>
+          </rdf:Bag>
+        </dc:subject>
+        <cc:license
+           rdf:resource="http://creativecommons.org/licenses/publicdomain/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/licenses/publicdomain/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="shadow"
+     id="layer2"
+     inkscape:groupmode="layer">
+    <path
+       transform="matrix(1.186380,0.000000,0.000000,1.186380,-4.539687,-7.794678)"
+       d="M 44.285715 38.714287 A 19.928572 9.8372450 0 1 1  4.4285717,38.714287 A 19.928572 9.8372450 0 1 1  44.285715 38.714287 z"
+       sodipodi:ry="9.8372450"
+       sodipodi:rx="19.928572"
+       sodipodi:cy="38.714287"
+       sodipodi:cx="24.357143"
+       id="path1538"
+       style="color:#000000;fill:url(#radialGradient2308);fill-opacity:1.0000000;fill-rule:evenodd;stroke:none;stroke-width:0.50000042;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4.0000000;stroke-dashoffset:0.0000000;stroke-opacity:1.0000000;marker:none;marker-start:none;marker-mid:none;marker-end:none;visibility:visible;display:inline;overflow:visible"
+       sodipodi:type="arc" />
+  </g>
+  <g
+     id="layer1"
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer">
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       style="color:#000000;fill:#000066;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;marker:none;visibility:visible;display:inline;overflow:visible"
+       d="m 25.164261,0.2379876 c -0.473175,0.03238 -0.933088,0.105662 -1.397852,0.158847 l -0.03177,0 -1.111928,6.0679506 C 20.810357,6.8775227 19.105298,7.5779755 17.57138,8.529795 L 12.583589,4.9398552 C 11.235257,5.9866593 10.008288,7.207523 8.9301096,8.529795 l 3.4628624,5.05133 c -1.051422,1.606783 -1.842083,3.441487 -2.287395,5.369025 -7.6e-5,0.0091 -6.2e-5,0.03018 0,0.03177 L 4.0693956,19.935 c -0.110357,0.901369 -0.158847,1.832904 -0.158847,2.763936 0,0.761753 0.02103,1.513329 0.09531,2.255625 l 6.0361824,1.080159 c 0.429297,2.096161 1.244809,4.053785 2.382703,5.782026 L 8.8348036,36.741 c 1.028135,1.276384 2.2151054,2.43848 3.4946324,3.462861 l 5.0831,-3.494631 c 1.776475,1.133244 3.759545,1.927892 5.909103,2.319165 l 0.953082,6.004411 c 0.677254,0.06165 1.371775,0.06354 2.065009,0.06354 0.978685,-10e-7 1.91352,-0.03709 2.859244,-0.158847 l 1.143697,-6.131489 c 2.040927,-0.507904 3.958179,-1.388998 5.62318,-2.573319 l 4.892483,3.55817 c 1.26877,-1.079445 2.428987,-2.320188 3.431093,-3.653479 l -3.55817,-5.146638 c 0.963606,-1.664197 1.631298,-3.500366 1.969701,-5.464333 L 48.70537,24.57333 c 0.05266,-0.62659 0.06354,-1.234265 0.06354,-1.874393 0,-1.1124 -0.129295,-2.203101 -0.285924,-3.272246 l -6.09972,-1.111928 c -0.478008,-1.76508 -1.262312,-3.41188 -2.255625,-4.892484 L 43.717578,8.498025 C 42.604813,7.1371705 41.335456,5.8800445 39.937022,4.8127777 L 34.758614,8.370948 C 33.270287,7.4907201 31.668635,6.815334 29.929669,6.4330159 L 28.976588,0.3968346 c -0.867481,-0.102044 -1.742101,-0.158847 -2.636858,-0.158847 -0.241826,0 -0.490706,-0.0076 -0.730696,0 -0.116995,0.0037 -0.232771,-0.0068 -0.349463,0 -0.0316,0.0018 -0.06376,-0.0022 -0.09531,0 z m 0.826004,15.4399164 c 0.116063,-0.0059 0.231944,0 0.349463,0 3.760606,0 6.830416,3.06981 6.830416,6.830416 10e-7,3.760605 -3.069811,6.798646 -6.830416,6.798646 -3.760605,1e-6 -6.798646,-3.038041 -6.798646,-6.798646 1e-6,-3.643086 2.851212,-6.647839 6.449183,-6.830416 z"
+       id="path3243-5"
+       sodipodi:nodetypes="ccccccccsccsccccccccsccccccccsccccccccsssccssssc" />
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       style="opacity:1;color:#000000;fill:url(#linearGradient3773);fill-opacity:1;fill-rule:nonzero;stroke:#3f4561;stroke-width:1;stroke-linecap:round;stroke-linejoin:round;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       d="M 22.699525,0.94746963 C 22.22635,0.97984519 21.766437,1.0531317 21.301673,1.1063165 L 21.269903,1.1063165 L 20.157975,7.1742671 C 18.345621,7.5870046 16.640562,8.2874574 15.106644,9.2392765 L 10.118853,5.6493371 C 8.770521,6.6961412 7.543552,7.9170049 6.465374,9.2392765 L 9.928236,14.290607 C 8.876814,15.89739 8.086153,17.732094 7.640841,19.659632 C 7.640765,19.668743 7.640779,19.689813 7.640841,19.691401 L 1.60466,20.644482 C 1.494303,21.545851 1.445813,22.477386 1.445813,23.408418 C 1.445813,24.170171 1.466846,24.921747 1.541121,25.664043 L 7.577303,26.744202 C 8.0066,28.840363 8.822112,30.797987 9.960006,32.526228 L 6.370066,37.450482 C 7.398201,38.726866 8.585171,39.888962 9.864698,40.913343 L 14.947798,37.418712 C 16.724273,38.551956 18.707343,39.346604 20.856901,39.737877 L 21.809983,45.742288 C 22.487237,45.803935 23.181758,45.805827 23.874992,45.805827 C 24.853677,45.805826 25.788512,45.768738 26.734236,45.64698 L 27.877933,39.515491 C 29.91886,39.007587 31.836112,38.126493 33.501113,36.942172 L 38.393596,40.500342 C 39.662366,39.420897 40.822583,38.180154 41.824689,36.846863 L 38.266519,31.700225 C 39.230125,30.036028 39.897817,28.199859 40.23622,26.235892 L 46.240632,25.282811 C 46.29329,24.656221 46.30417,24.048546 46.30417,23.408418 C 46.30417,22.296018 46.174875,21.205317 46.018246,20.136172 L 39.918526,19.024244 C 39.440518,17.259164 38.656214,15.612364 37.662901,14.13176 L 41.25284,9.2075071 C 40.140075,7.8466524 38.870718,6.5895264 37.472284,5.5222596 L 32.293876,9.0804296 C 30.805549,8.200202 29.203897,7.5248159 27.464931,7.1424978 L 26.51185,1.1063165 C 25.644369,1.0042729 24.769749,0.94746963 23.874992,0.94746963 C 23.633166,0.94746964 23.384286,0.93986063 23.144296,0.94746963 C 23.027301,0.95117908 22.911525,0.94066346 22.794833,0.94746963 C 22.763228,0.94931296 22.73107,0.94531125 22.699525,0.94746963 z M 23.525529,16.387386 C 23.641592,16.381497 23.757473,16.387386 23.874992,16.387386 C 27.635598,16.387386 30.705408,19.457196 30.705408,23.217802 C 30.705409,26.978407 27.635597,30.016448 23.874992,30.016448 C 20.114387,30.016449 17.076346,26.978407 17.076346,23.217802 C 17.076347,19.574716 19.927558,16.569963 23.525529,16.387386 z "
+       id="path3243" />
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       sodipodi:type="arc"
+       style="opacity:0.64772728;color:#000000;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.62180054;stroke-linecap:butt;stroke-linejoin:miter;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       id="path3283"
+       sodipodi:cx="23.511301"
+       sodipodi:cy="23.781593"
+       sodipodi:rx="12.727922"
+       sodipodi:ry="12.727922"
+       d="M 36.239223 23.781593 A 12.727922 12.727922 0 1 1  10.783379,23.781593 A 12.727922 12.727922 0 1 1  36.239223 23.781593 z"
+       transform="matrix(0.616598,0,0,0.616598,9.38202,8.539674)" />
+    <path
+       inkscape:r_cy="true"
+       inkscape:r_cx="true"
+       id="path3285"
+       d="M 21.995808,2.2697875 21.103024,8.1448447 C 19.404254,8.531715 16.279442,9.7149239 14.841657,10.607091 L 10.091975,7.0619472 C 8.828145,8.0431461 8.741474,8.109686 7.730867,9.3490892 l 3.434196,5.0932188 c -0.985526,1.506083 -2.169267,4.189994 -2.594285,6.107942 0,0 -6.01779,1.014425 -6.01779,1.014425 -0.103441,0.844879 -0.053728,2.653173 0.015892,3.348948 l 5.748217,1.035517 c 0.402393,1.96479 1.908227,5.127412 2.974807,6.747341 l -3.635002,4.802558 c 0.963699,1.196391 1.156572,1.30587 2.355908,2.266051 l 4.860631,-3.561037 c 1.66514,1.062221 4.970289,2.354376 6.98513,2.721127 l 0.797728,5.801092 c 0.63481,0.05778 2.38853,0.219875 3.274984,0.105749 l 0.892783,-6.03888 c 1.913018,-0.476072 5.218473,-1.832925 6.779125,-2.943023 l 4.855433,3.50816 c 1.189254,-1.011792 1.199909,-1.164249 2.139211,-2.41398 l -3.59802,-5.114311 c 0.903215,-1.5599 2.071087,-4.610599 2.388282,-6.45148 l 5.890949,-0.977443 c 0.04935,-0.58732 0.05176,-2.225166 -0.09506,-3.227305 L 39.182092,20.138242 C 38.73404,18.483783 37.196418,15.502473 36.265359,14.114662 L 40.080075,9.3121061 C 39.037052,8.0365384 38.64924,7.8615206 37.338448,6.8611416 L 32.313994,10.459159 C 30.918941,9.6340986 28.137095,8.3763621 26.507114,8.0180046 L 25.619528,2.2697875 c -0.813114,-0.095648 -3.15904,-0.053175 -3.62372,0 z"
+       style="opacity:0.34659089;color:#000000;fill:none;stroke:#ffffff;stroke-width:0.99999923;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0;marker:none;visibility:visible;display:inline;overflow:visible"
+       sodipodi:nodetypes="ccccccccccccccccccccccccccccccccc" />
+    <path
+       style="opacity:0.5;color:#000000;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       d="M 10.102903,6.2970655 C 8.7545689,7.3438694 8.1656464,7.9719226 7.0874684,9.2941942 L 10.489927,14.259153 C 9.4385072,15.857755 8.3316275,18.426114 8.1423859,19.987706 C 8.1423859,19.987706 2.0798859,21.0319 2.0798859,21.0319 C 2.0109129,21.595256 1.90625,22.884803 1.90625,22.884803 L 2.0830267,24.447303 C 2.5107567,24.535638 2.9231817,24.617818 3.3642767,24.666053 L 3.8642767,23.134803 C 4.2083177,23.163279 4.5439297,23.197303 4.8955267,23.197303 C 5.2467347,23.197303 5.6139847,23.163473 5.9580267,23.134803 L 6.4267767,24.666053 C 6.8680647,24.617818 7.3115487,24.535638 7.7392767,24.447303 L 7.7392767,22.884803 C 8.4250337,22.72518 9.0712777,22.497045 9.7080267,22.228553 L 10.645527,23.509803 C 11.047878,23.327709 11.421123,23.133984 11.801777,22.916053 L 11.301777,21.416053 C 11.89901,21.053803 12.463529,20.620706 12.989277,20.166053 L 14.270527,21.103553 C 14.596162,20.806973 14.91164,20.491691 15.208027,20.166053 L 14.270527,18.916053 C 14.725373,18.390305 15.127027,17.826171 15.489277,17.228553 L 16.989277,17.697303 C 17.207208,17.316456 17.432571,16.943209 17.614277,16.541053 L 16.333027,15.603553 C 16.601517,14.966804 16.798016,14.320561 16.958027,13.634803 L 18.551777,13.634803 C 18.640112,13.207076 18.691236,12.763591 18.739277,12.322303 L 17.239277,11.853553 C 17.268139,11.509705 17.301777,11.142456 17.301777,10.791053 C 17.301776,10.43965 17.267753,10.104039 17.239277,9.7598034 L 18.739277,9.2910534 C 18.69373,8.8711662 18.633686,8.4490548 18.551777,8.0410534 C 17.404349,8.4403544 15.999117,9.1941729 14.983265,9.8245243 L 10.102903,6.2970655 z "
+       id="path3767"
+       inkscape:r_cx="true"
+       inkscape:r_cy="true"
+       sodipodi:nodetypes="cccccccccsccccccccccccccccccccsccccc" />
+    <path
+       style="opacity:0.5;color:#000000;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;marker:none;marker-start:none;marker-mid:none;marker-end:none;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;visibility:visible;display:inline;overflow:visible"
+       d="M 37.236641,17.217754 C 36.85286,17.39913 36.490003,17.603509 36.123236,17.813295 L 36.692886,19.548136 C 35.995792,19.970436 35.338156,20.467825 34.725008,20.998151 L 33.249099,19.910639 C 32.869013,20.256538 32.507327,20.618223 32.161588,20.998151 L 33.249099,22.474059 C 32.718773,23.087371 32.221547,23.745002 31.799084,24.441937 L 31.255328,24.260685 C 31.207646,24.960968 31.018949,25.62217 30.737466,26.228563 L 30.841038,26.306242 C 30.527881,27.048922 30.27649,27.83664 30.090137,28.636624 L 28.614229,28.636624 C 28.477946,28.722076 28.343676,28.821684 28.199938,28.895555 C 28.121568,29.310822 28.065026,29.712881 28.018687,30.138426 L 29.77942,30.708074 C 29.746033,31.10935 29.727633,31.515269 29.727633,31.925052 C 29.727631,32.334993 29.746034,32.740753 29.77942,33.142029 L 28.018687,33.711677 C 28.074705,34.226432 28.148678,34.740347 28.251725,35.239372 L 30.090137,35.213479 C 30.218255,35.763466 30.393202,36.320918 30.582107,36.844746 C 31.327023,36.557466 32.05594,36.214561 32.731236,35.809021 C 32.319649,34.59298 32.083908,33.279913 32.083908,31.925052 C 32.083909,26.727119 35.376289,22.288397 39.981313,20.583861 L 38.893802,20.402608 C 38.671014,19.579946 38.382478,18.774017 38.013435,18.020441 C 38.002581,17.998277 37.99851,17.96486 37.987542,17.942761 L 37.935756,17.890975 L 37.236641,17.217754 z "
+       id="path3770"
+       inkscape:r_cx="true"
+       inkscape:r_cy="true" />
+  </g>
+</svg>
diff -pruN 1.2.0.20090904-1/data/icons/scalable/ibus.svg 1.2.0.20091024-1/data/icons/scalable/ibus.svg
--- 1.2.0.20090904-1/data/icons/scalable/ibus.svg	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/data/icons/scalable/ibus.svg	2009-09-04 05:25:35.000000000 +0100
@@ -0,0 +1,401 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="48"
+   height="48"
+   id="svg4908"
+   sodipodi:version="0.32"
+   inkscape:version="0.46"
+   version="1.0"
+   sodipodi:docname="ibus.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape"
+   inkscape:export-filename="/home/andreas/project/gnome-icon-theme/32x32/apps/accessories-character-map.png"
+   inkscape:export-xdpi="90"
+   inkscape:export-ydpi="90"
+   sodipodi:docbase="/home/dobey/Projects/gnome-icon-theme/scalable/apps">
+  <defs
+     id="defs4910">
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 24 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="48 : 24 : 1"
+       inkscape:persp3d-origin="24 : 16 : 1"
+       id="perspective43" />
+    <linearGradient
+       id="linearGradient5554">
+      <stop
+         style="stop-color:#4b4b4b;stop-opacity:1;"
+         offset="0"
+         id="stop5556" />
+      <stop
+         style="stop-color:#969696;stop-opacity:1;"
+         offset="1"
+         id="stop5558" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient5954">
+      <stop
+         style="stop-color:#ffffff;stop-opacity:1;"
+         offset="0"
+         id="stop5956" />
+      <stop
+         style="stop-color:#ffffff;stop-opacity:0;"
+         offset="1"
+         id="stop5958" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient5946">
+      <stop
+         style="stop-color:#ffffff;stop-opacity:1;"
+         offset="0"
+         id="stop5948" />
+      <stop
+         style="stop-color:#ffffff;stop-opacity:0;"
+         offset="1"
+         id="stop5950" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient5684">
+      <stop
+         style="stop-color:#ffffff;stop-opacity:1;"
+         offset="0"
+         id="stop5686" />
+      <stop
+         style="stop-color:#fbfbfa;stop-opacity:0"
+         offset="1"
+         id="stop5688" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient5582">
+      <stop
+         style="stop-color:#728fff;stop-opacity:1;"
+         offset="0"
+         id="stop5584" />
+      <stop
+         style="stop-color:#cacaff;stop-opacity:1;"
+         offset="1"
+         id="stop5586" />
+    </linearGradient>
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5582"
+       id="radialGradient5588"
+       cx="4.0799417"
+       cy="5.0786786"
+       fx="4.0799417"
+       fy="5.0786786"
+       r="9.9909229"
+       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
+       gradientUnits="userSpaceOnUse" />
+    <filter
+       inkscape:collect="always"
+       x="-0.088849433"
+       width="1.1776989"
+       y="-0.48115385"
+       height="1.9623077"
+       id="filter5672">
+      <feGaussianBlur
+         inkscape:collect="always"
+         stdDeviation="0.81445312"
+         id="feGaussianBlur5674" />
+    </filter>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5684"
+       id="linearGradient5690"
+       x1="11.05373"
+       y1="7.068707"
+       x2="11.05373"
+       y2="2.6694806"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5582"
+       id="linearGradient5572"
+       x1="8.0708427"
+       y1="9.5091877"
+       x2="8.1333427"
+       y2="5.6960859"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5946"
+       id="linearGradient5952"
+       x1="39.767197"
+       y1="38.497765"
+       x2="40.912174"
+       y2="40.530697"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5954"
+       id="linearGradient5960"
+       x1="9.1899414"
+       y1="38.01667"
+       x2="6.7953143"
+       y2="40.66832"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5554"
+       id="linearGradient5560"
+       x1="16.066387"
+       y1="26.936842"
+       x2="16.362761"
+       y2="2.9876688"
+       gradientUnits="userSpaceOnUse" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5582"
+       id="radialGradient2428"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.7890418,0,-2.6448943e-6,2.1631137,5.2958735,0.1971189)"
+       cx="4.0799417"
+       cy="5.0786786"
+       fx="4.0799417"
+       fy="5.0786786"
+       r="9.9909229" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5554"
+       id="linearGradient2430"
+       gradientUnits="userSpaceOnUse"
+       x1="16.066387"
+       y1="26.936842"
+       x2="16.362761"
+       y2="2.9876688" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5582"
+       id="linearGradient2432"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.2280313,0,0,2.2364439,-0.5504298,-1.531208)"
+       x1="8.0708427"
+       y1="9.5091877"
+       x2="8.1333427"
+       y2="5.6960859" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5684"
+       id="linearGradient2434"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.2442119,0,0,2.2364439,-0.8337236,-1.531208)"
+       x1="11.05373"
+       y1="7.068707"
+       x2="11.05373"
+       y2="2.6694806" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5946"
+       id="linearGradient2436"
+       gradientUnits="userSpaceOnUse"
+       x1="39.767197"
+       y1="38.497765"
+       x2="40.912174"
+       y2="40.530697" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5954"
+       id="linearGradient2438"
+       gradientUnits="userSpaceOnUse"
+       x1="9.1899414"
+       y1="38.01667"
+       x2="6.7953143"
+       y2="40.66832" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5954"
+       id="linearGradient2426"
+       gradientUnits="userSpaceOnUse"
+       x1="9.1899414"
+       y1="38.01667"
+       x2="6.7953143"
+       y2="40.66832"
+       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5946"
+       id="linearGradient2429"
+       gradientUnits="userSpaceOnUse"
+       x1="39.767197"
+       y1="38.497765"
+       x2="40.912174"
+       y2="40.530697"
+       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5582"
+       id="linearGradient2435"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.3836187,0,0,2.3926188,-2.7332181,-3.8467694)"
+       x1="8.0708427"
+       y1="9.5091877"
+       x2="8.1333427"
+       y2="5.6960859" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5684"
+       id="linearGradient2437"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(2.4009293,0,0,2.3926188,-3.0362948,-3.8467694)"
+       x1="11.05373"
+       y1="7.068707"
+       x2="11.05373"
+       y2="2.6694806" />
+    <radialGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5582"
+       id="radialGradient2440"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.9139738,0,-2.829592e-6,2.3141678,3.5213431,-1.9977503)"
+       cx="4.0799417"
+       cy="5.0786786"
+       fx="4.0799417"
+       fy="5.0786786"
+       r="9.9909229" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5554"
+       id="linearGradient2442"
+       gradientUnits="userSpaceOnUse"
+       x1="16.066387"
+       y1="26.936842"
+       x2="16.362761"
+       y2="2.9876688"
+       gradientTransform="matrix(1.0698318,0,0,1.0698318,-2.1443508,-2.2086344)" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="11.313708"
+     inkscape:cx="27.51455"
+     inkscape:cy="26.775741"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     inkscape:grid-bbox="true"
+     inkscape:document-units="px"
+     width="48px"
+     height="48px"
+     inkscape:window-width="1024"
+     inkscape:window-height="693"
+     inkscape:window-x="0"
+     inkscape:window-y="26">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4953" />
+  </sodipodi:namedview>
+  <metadata
+     id="metadata4913">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title>Character map</dc:title>
+        <dc:date>August 2007</dc:date>
+        <dc:creator>
+          <cc:Agent>
+            <dc:title>Andreas Nilsson</dc:title>
+          </cc:Agent>
+        </dc:creator>
+        <cc:license
+           rdf:resource="gpl" />
+        <dc:rights>
+          <cc:Agent>
+            <dc:title>Andreas Nilsson</dc:title>
+          </cc:Agent>
+        </dc:rights>
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     id="layer1"
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer">
+    <path
+       style="font-size:26.07637978px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:Bitstream Vera Sans"
+       d="M -6.4121783,25.075558 C -8.3718067,25.075566 -9.7294793,25.284652 -10.485201,25.702817 C -11.240934,26.120995 -11.618797,26.834348 -11.618793,27.842875 C -11.618797,28.646425 -11.337596,29.285982 -10.77519,29.761548 C -10.204005,30.228919 -9.4307029,30.462603 -8.4552802,30.462601 C -7.1107965,30.462603 -6.0343241,30.019833 -5.2258617,29.13429 C -4.408632,28.240553 -4.0000114,27.055732 -4,25.579825 L -4,25.075558 L -6.4121783,25.075558 M -1.57464,24.14082 L -1.57464,32 L -4,32 L -4,29.909138 C -4.5536256,30.745485 -5.2434463,31.364543 -6.0694642,31.766316 C -6.8955018,32.159889 -7.9060678,32.356676 -9.1011643,32.356676 C -10.612626,32.356676 -11.816517,31.963103 -12.712841,31.175955 C -13.600384,30.380609 -14.044154,29.31878 -14.044153,27.990465 C -14.044154,26.440774 -13.49054,25.272352 -12.383308,24.485197 C -11.267296,23.698058 -9.6064535,23.304484 -7.4007765,23.304476 L -4,23.304476 L -4,23.08309 C -4.0000114,22.041769 -4.3690879,21.238223 -5.1072295,20.67245 C -5.8366046,20.0985 -6.8647459,19.811519 -8.1916543,19.811507 C -9.035264,19.811519 -9.8568987,19.905813 -10.656558,20.094388 C -11.456228,20.282988 -12.225136,20.565869 -12.963286,20.943032 L -12.963286,18.85217 C -12.075749,18.532405 -11.214571,18.294621 -10.379751,18.138818 C -9.5449406,17.974842 -8.7320951,17.892848 -7.9412101,17.892834 C -5.8058487,17.892848 -4.2109125,18.409413 -3.1563965,19.442531 C -2.1019063,20.475674 -1.5746545,22.041769 -1.57464,24.14082 M -6.0035578,11.853934 L -3.3804793,11.853934 L -7.6775842,16.478428 L -9.6943226,16.478428 L -6.0035578,11.853934"
+       id="text5602" />
+    <rect
+       style="opacity:0.21875;fill:#2e3436;fill-opacity:1;stroke:none;stroke-width:1;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;filter:url(#filter5672)"
+       id="rect5606"
+       width="22"
+       height="4.0625"
+       x="0"
+       y="17.9375"
+       rx="0.739443"
+       ry="0.97960275"
+       transform="matrix(2.1311659,0,0,1.6086886,6.7119696e-2,11.585363)" />
+    <path
+       style="fill:#d3d7cf;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="M 43.636624,2.771375 L 38.919637,7.2097237 L 38.919637,39.246732 L 43.526265,43.486179 L 43.636624,2.771375 z"
+       id="path5548"
+       sodipodi:nodetypes="ccccc" />
+    <rect
+       style="fill:url(#radialGradient2440);fill-opacity:1;stroke:url(#linearGradient2442);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
+       id="rect4965"
+       width="43.879871"
+       height="43.932339"
+       x="1.6784796"
+       y="1.5225846"
+       rx="2.6745794"
+       ry="2.6745794" />
+    <rect
+       style="fill:url(#linearGradient2435);fill-opacity:1;stroke:url(#linearGradient2437);stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
+       id="rect5570"
+       width="30.994139"
+       height="31.100513"
+       x="8.0058603"
+       y="6.9423208"
+       rx="1.5758758"
+       ry="1.575876" />
+    <rect
+       style="opacity:0.42708333;fill:none;fill-opacity:1;stroke:#ffffff;stroke-width:1.06983185;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
+       id="rect5580"
+       width="41.796844"
+       height="41.606888"
+       x="2.7481849"
+       y="2.6056087"
+       rx="1.4325669"
+       ry="1.4325669" />
+    <path
+       style="fill:#eff0ed;fill-opacity:1;fill-rule:evenodd;stroke:#eff0ed;stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="M 42.597287,3.847753 L 38.581234,7.7673823"
+       id="path5574"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2429);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="M 38.291432,37.183038 L 42.508288,41.906692"
+       id="path5576" />
+    <path
+       style="fill:none;fill-rule:evenodd;stroke:url(#linearGradient2426);stroke-width:1.06983173px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="M 8.656685,37.33027 L 4.4398293,42.053925"
+       id="path5578" />
+    <path
+       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
+       d="M 23.153215,10.282012 C 21.884004,10.282044 20.838704,10.585224 20.01837,11.168886 C 19.213507,11.740188 18.82414,12.488211 18.824143,13.407187 C 18.82414,14.301378 19.235348,15.036983 20.055689,15.645488 C 20.876026,16.254041 21.899486,16.574617 23.153215,16.574593 C 24.42241,16.574617 25.467711,16.241622 26.288061,15.645488 C 27.108388,15.036983 27.519595,14.313799 27.519607,13.407187 C 27.519595,12.513048 27.130228,11.752606 26.32538,11.168886 C 25.52051,10.572805 24.453366,10.282044 23.153215,10.282012 z"
+       id="text2416" />
+    <path
+       style="font-size:25.67596245px;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:100%;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;font-family:'微软雅黑';-inkscape-font-specification:'微软雅黑 Bold'"
+       d="M 19.843904,20.091095 L 19.843904,34 L 26.499846,34 L 26.499846,20.091095 L 19.843904,20.091095 z"
+       id="path2425" />
+  </g>
+</svg>
diff -pruN 1.2.0.20090904-1/data/keymaps/common 1.2.0.20091024-1/data/keymaps/common
--- 1.2.0.20090904-1/data/keymaps/common	2009-08-03 07:52:09.000000000 +0100
+++ 1.2.0.20091024-1/data/keymaps/common	2009-09-16 08:31:50.000000000 +0100
@@ -78,13 +78,14 @@ keycode 81 = KP_Next
 keycode 82 = KP_Insert
     numlock keycode 82 = KP_0
 keycode 83 = KP_Delete
-    numlock keycode 83 = KP_Separator
+    numlock keycode 83 = KP_Decimal
 keycode 86 = less
     shift keycode 86 = greater
     altgr keycode 86 = bar
     shift altgr keycode 86 = brokenbar
 keycode 87 = F11
 keycode 88 = F12
+keycode 98 = KP_Divide
 keycode 102 = Home
 keycode 103 = Up
 keycode 104 = Page_Up
diff -pruN 1.2.0.20090904-1/data/keymaps/Makefile.am 1.2.0.20091024-1/data/keymaps/Makefile.am
--- 1.2.0.20090904-1/data/keymaps/Makefile.am	2009-06-14 07:28:57.000000000 +0100
+++ 1.2.0.20091024-1/data/keymaps/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/data/keymaps/Makefile.in 1.2.0.20091024-1/data/keymaps/Makefile.in
--- 1.2.0.20090904-1/data/keymaps/Makefile.in	2009-09-04 03:51:12.000000000 +0100
+++ 1.2.0.20091024-1/data/keymaps/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -97,17 +98,14 @@ subdir = data/keymaps
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -145,6 +143,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -188,8 +188,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -204,32 +204,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -250,7 +247,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -261,7 +261,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -271,7 +270,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/data/Makefile.am 1.2.0.20091024-1/data/Makefile.am
--- 1.2.0.20090904-1/data/Makefile.am	2009-06-14 07:28:57.000000000 +0100
+++ 1.2.0.20091024-1/data/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/data/Makefile.in 1.2.0.20091024-1/data/Makefile.in
--- 1.2.0.20090904-1/data/Makefile.in	2009-09-04 03:51:12.000000000 +0100
+++ 1.2.0.20091024-1/data/Makefile.in	2009-10-24 04:18:12.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -59,17 +60,14 @@ subdir = data
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -147,6 +145,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -190,8 +190,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -206,32 +206,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -252,7 +249,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -263,7 +263,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -273,7 +272,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/debian/changelog 1.2.0.20091024-1/debian/changelog
--- 1.2.0.20090904-1/debian/changelog	2009-10-28 01:28:16.000000000 +0000
+++ 1.2.0.20091024-1/debian/changelog	2009-10-28 01:22:15.000000000 +0000
@@ -1,3 +1,51 @@
+ibus (1.2.0.20091024-1) unstable; urgency=low
+
+  * new upstream release.
+    - Fix "notification icon should be optional" (LP: #422253)
+  * Fix "move im-switch from depends to recommends" (Closes: #551157)
+    - debian/control: updated.
+  * debian/rules: rewrited.
+  * debian/clean: updated.
+  * Fix "Desktop entry needs the X-Ubuntu-Gettext-Domain key"  (LP: #457632)
+    - debian/control: add dpatch to build-depends.
+    - debian/patches/*: added.
+    - debian/README.source: added. 
+  * debian/rules: ignore test.
+
+ -- LI Daobing <lidaobing@debian.org>  Mon, 26 Oct 2009 18:55:02 +0800
+
+ibus (1.2.0.20091014-1) unstable; urgency=low
+
+  * new upstream release.
+  * debian/control: 
+    - depends on librsvg2-common instead of python-rsvg.
+    - Turn ANDed ibus-{gtk,qt4} dependency into an OR, to avoid installing
+      both. (LP: #449966)
+  * debian/xinput/ibus: Turn ANDed ibus-{gtk,qt4} dependency into an OR 
+
+ -- LI Daobing <lidaobing@debian.org>  Wed, 14 Oct 2009 19:04:57 +0800
+
+ibus (1.2.0.20090927-2) unstable; urgency=low
+
+  * create po template when build (LP: #188690)
+    - debian/rules: updated.
+    - debian/clean: remove pot file when clean.
+  * debian/control: build depends on python-rsvg (LP: #432375)
+
+ -- LI Daobing <lidaobing@debian.org>  Mon, 05 Oct 2009 20:45:18 +0800
+
+ibus (1.2.0.20090927-1) unstable; urgency=low
+
+  * new upstream release.
+
+ -- LI Daobing <lidaobing@debian.org>  Tue, 29 Sep 2009 20:28:59 +0800
+
+ibus (1.2.0.20090915-1) unstable; urgency=low
+
+  * new upstream release.
+
+ -- LI Daobing <lidaobing@debian.org>  Tue, 15 Sep 2009 19:30:53 +0800
+
 ibus (1.2.0.20090904-1) unstable; urgency=low
 
   * new upstream release.
diff -pruN 1.2.0.20090904-1/debian/clean 1.2.0.20091024-1/debian/clean
--- 1.2.0.20090904-1/debian/clean	2009-10-28 01:28:16.000000000 +0000
+++ 1.2.0.20091024-1/debian/clean	2009-10-28 01:22:15.000000000 +0000
@@ -1,2 +1,4 @@
 config.guess
 config.sub
+po/ibus.pot
+install-stamp
diff -pruN 1.2.0.20090904-1/debian/control 1.2.0.20091024-1/debian/control
--- 1.2.0.20090904-1/debian/control	2009-10-28 01:28:16.000000000 +0000
+++ 1.2.0.20091024-1/debian/control	2009-10-28 01:22:15.000000000 +0000
@@ -16,7 +16,8 @@ Build-Depends: debhelper (>= 7),
  python-gobject-dev,
  libgconf2-dev,
  python-dbus (>= 0.83.0),
- intltool (>= 0.40.0)
+ intltool (>= 0.40.0),
+ dpatch
 Standards-Version: 3.8.3
 Homepage: http://code.google.com/p/ibus/
 Vcs-Bzr: lp:~lidaobing/ibus/ibus
@@ -25,8 +26,8 @@ Vcs-Browser: https://code.launchpad.net/
 Package: ibus
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-glade2,
- im-switch, python-ibus (= ${source:Version}), python-xdg
-Recommends: ibus-gtk, ibus-qt4
+ python-ibus (= ${source:Version}), python-xdg, librsvg2-common
+Recommends: im-switch, ibus-gtk | ibus-qt4
 Conflicts: ibus-anthy (< 1.2),
  ibus-table (< 1.2),
  ibus-pinyin (< 1.2),
diff -pruN 1.2.0.20090904-1/debian/patches/00list 1.2.0.20091024-1/debian/patches/00list
--- 1.2.0.20090904-1/debian/patches/00list	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/debian/patches/00list	2009-10-28 01:22:15.000000000 +0000
@@ -0,0 +1 @@
+01_ubuntu_desktop.dpatch
diff -pruN 1.2.0.20090904-1/debian/patches/01_ubuntu_desktop.dpatch 1.2.0.20091024-1/debian/patches/01_ubuntu_desktop.dpatch
--- 1.2.0.20090904-1/debian/patches/01_ubuntu_desktop.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/debian/patches/01_ubuntu_desktop.dpatch	2009-10-28 01:22:15.000000000 +0000
@@ -0,0 +1,30 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_ubuntu_desktop.dpatch by LI Daobing <lidaobing@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: see https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/457632
+## DP: ubuntu need X-Ubuntu-Gettext-Domain field.
+
+@DPATCH@
+diff -urNad ibus~/bus/ibus.desktop.in ibus/bus/ibus.desktop.in
+--- ibus~/bus/ibus.desktop.in	2009-06-14 14:28:10.000000000 +0800
++++ ibus/bus/ibus.desktop.in	2009-10-25 16:37:43.000000000 +0800
+@@ -3,6 +3,7 @@
+ _Name=IBus
+ _GenericName=IBus input method framework
+ _Comment=IBus input method framework
++X-Ubuntu-Gettext-Domain=ibus
+ Exec=ibus-daemon --xim
+ Icon=ibus
+ Terminal=false
+diff -urNad ibus~/setup/ibus-setup.desktop.in ibus/setup/ibus-setup.desktop.in
+--- ibus~/setup/ibus-setup.desktop.in	2009-06-14 14:28:11.000000000 +0800
++++ ibus/setup/ibus-setup.desktop.in	2009-10-25 16:37:43.000000000 +0800
+@@ -3,6 +3,7 @@
+ _Name=IBus Preferences
+ _GenericName=IBus Preferences
+ _Comment=IBus Preferences
++X-Ubuntu-Gettext-Domain=ibus
+ Exec=ibus-setup
+ Icon=ibus-setup
+ Terminal=false
diff -pruN 1.2.0.20090904-1/debian/README.source 1.2.0.20091024-1/debian/README.source
--- 1.2.0.20090904-1/debian/README.source	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/debian/README.source	2009-10-28 01:22:15.000000000 +0000
@@ -0,0 +1,26 @@
+This package uses dpatch to manage all modifications to the upstream
+source. Changes are stored in the source package as diffs in
+debian/patches and applied during the build.
+
+To get the fully patched source after unpacking the source package, cd
+to the root level of the source package and run:
+
+    debian/rules patch
+
+Removing a patch is as simple as removing its entry from the
+debian/patches/00list file, and please also remove the patch file
+itself.
+
+Creating a new patch is done with "dpatch-edit-patch patch XX_patchname"
+where you should replace XX with a new number and patchname with a
+descriptive shortname of the patch. You can then simply edit all the
+files your patch wants to edit, and then simply "exit 0" from the shell
+to actually create the patch file.
+
+To tweak an already existing patch, call "dpatch-edit-patch XX_patchname"
+and replace XX_patchname with the actual filename from debian/patches
+you want to use.
+
+To clean up afterwards again, "debian/rules unpatch" will do the
+work for you - or you can of course choose to call
+"fakeroot debian/rules clean" all together.
diff -pruN 1.2.0.20090904-1/debian/rules 1.2.0.20091024-1/debian/rules
--- 1.2.0.20090904-1/debian/rules	2009-10-28 01:28:16.000000000 +0000
+++ 1.2.0.20091024-1/debian/rules	2009-10-28 01:22:15.000000000 +0000
@@ -1,114 +1,50 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-#
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-#
-# Modified to make a template file for a multi-binary package with separated
-# build-arch and build-indep targets  by Bill Allombert 2001
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-else
-CROSS= --build $(DEB_BUILD_GNU_TYPE)
-endif
-
-config.status: configure
-	dh_testdir
-	# Add here commands to configure the package.
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+
+include /usr/share/dpatch/dpatch.make
+
+build: patch
 	ln -sf /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	ln -sf /usr/share/misc/config.guess config.guess
-endif
+	dh $@ --before auto_configure
 	dh_auto_configure -- --enable-static LDFLAGS="-Wl,--as-needed"
+	dh $@ --before auto_test
+	cd po; make ibus.pot # https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/188690
+	dh $@ --after auto_test
 
-
-#Architecture
-build: build-stamp
-build-stamp: config.status
-	$(MAKE)
-	touch $@
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp 
-
-	# Add here commands to clean up after the build process.
-	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_clean 
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+install:
+	dh $@ --until auto_install
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/libibus.la \
 		$(CURDIR)/debian/tmp/usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.a \
 		$(CURDIR)/debian/tmp/usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.la \
 		$(CURDIR)/debian/tmp/etc/xdg \
 		$(CURDIR)/debian/tmp/usr/share/applications/ibus.desktop
 	dh_install --list-missing --fail-missing
+	dh_installdocs # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552293
+	dh $@ --after installdocs
+	LD_LIBRARY_PATH=debian/libibus1/usr/lib:$(LD_LIBRARY_PATH) \
+		dh_gtkmodules -p ibus-gtk -s
+
+install-stamp: install
+	touch $@
 
-binary-indep: install
-	dh_testdir -i
-	dh_testroot -i
-	dh_installchangelogs -i
-	dh_installdocs -i
-	dh_installexamples -i
-	dh_installman -i
-	dh_gconf -i
-	dh_link -i
-	dh_strip -i
-	dh_compress -i
-	dh_fixperms -i
-	dh_makeshlibs -Nibus-gtk -i
-	dh_pysupport -i
+binary: binary-indep binary-arch
+
+binary-indep: install-stamp
 	dh_installdeb -i
-	dh_shlibdeps -i
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
-# Build architecture independant packages using the common target.
-binary-arch: install
-	dh_testdir -s
-	dh_testroot -s
-	dh_installchangelogs -s
-	dh_installdocs -s
-	dh_installexamples -s
-	dh_installman -s
-	dh_gconf -s
-	LD_LIBRARY_PATH=debian/libibus1/usr/lib:$(LD_LIBRARY_PATH) \
-		dh_gtkmodules -p ibus-gtk -s
-	dh_link -s
+
+binary-arch: install-stamp
 	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s
 	dh_makeshlibs -Nibus-gtk -s
-	dh_pysupport -s
-	dh_installdeb -s
 	dh_shlibdeps -s
+	dh_installdeb -s
 	dh_gencontrol -s
 	dh_md5sums -s
 	dh_builddeb -s
 
-binary: binary-indep binary-arch
+clean: clean0 unpatch
 
-.PHONY: build clean binary-indep binary-arch binary install	\
-	install-indep install-arch
+clean0:
+	dh clean
diff -pruN 1.2.0.20090904-1/debian/xinput/ibus 1.2.0.20091024-1/debian/xinput/ibus
--- 1.2.0.20090904-1/debian/xinput/ibus	2009-10-28 01:28:16.000000000 +0000
+++ 1.2.0.20091024-1/debian/xinput/ibus	2009-10-28 01:22:15.000000000 +0000
@@ -12,5 +12,5 @@ if [ -e /usr/lib/qt4/plugins/inputmethod
 else
 	QT_IM_MODULE=xim
 fi
-DEPENDS="ibus, ibus-gtk, ibus-qt4"
+DEPENDS="ibus, ibus-gtk|ibus-qt4"
 # vim:ft=sh:
diff -pruN 1.2.0.20090904-1/depcomp 1.2.0.20091024-1/depcomp
--- 1.2.0.20090904-1/depcomp	2009-06-14 07:32:33.000000000 +0100
+++ 1.2.0.20091024-1/depcomp	2009-10-13 06:59:42.000000000 +0100
@@ -1,10 +1,10 @@
 #! /bin/sh
 # depcomp - compile a program generating dependencies as side-effects
 
-scriptversion=2007-03-29.01
+scriptversion=2009-04-28.21; # UTC
 
-# Copyright (C) 1999, 2000, 2003, 2004, 2005, 2006, 2007 Free Software
-# Foundation, Inc.
+# Copyright (C) 1999, 2000, 2003, 2004, 2005, 2006, 2007, 2009 Free
+# Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,9 +17,7 @@ scriptversion=2007-03-29.01
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # As a special exception to the GNU General Public License, if you
 # distribute this file as part of a program that contains a
@@ -87,6 +85,15 @@ if test "$depmode" = dashXmstdout; then
    depmode=dashmstdout
 fi
 
+cygpath_u="cygpath -u -f -"
+if test "$depmode" = msvcmsys; then
+   # This is just like msvisualcpp but w/o cygpath translation.
+   # Just convert the backslash-escaped backslashes to single forward
+   # slashes to satisfy depend.m4
+   cygpath_u="sed s,\\\\\\\\,/,g"
+   depmode=msvisualcpp
+fi
+
 case "$depmode" in
 gcc3)
 ## gcc 3 implements dependency tracking that does exactly what
@@ -192,14 +199,14 @@ sgi)
 ' < "$tmpdepfile" \
     | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' | \
     tr '
-' ' ' >> $depfile
-    echo >> $depfile
+' ' ' >> "$depfile"
+    echo >> "$depfile"
 
     # The second pass generates a dummy entry for each header file.
     tr ' ' '
 ' < "$tmpdepfile" \
    | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' -e 's/$/:/' \
-   >> $depfile
+   >> "$depfile"
   else
     # The sourcefile does not contain any dependencies, so just
     # store a dummy comment line, to avoid errors with the Makefile
@@ -328,7 +335,12 @@ hp2)
   if test -f "$tmpdepfile"; then
     sed -e "s,^.*\.[a-z]*:,$object:," "$tmpdepfile" > "$depfile"
     # Add `dependent.h:' lines.
-    sed -ne '2,${; s/^ *//; s/ \\*$//; s/$/:/; p;}' "$tmpdepfile" >> "$depfile"
+    sed -ne '2,${
+	       s/^ *//
+	       s/ \\*$//
+	       s/$/:/
+	       p
+	     }' "$tmpdepfile" >> "$depfile"
   else
     echo "#dummy" > "$depfile"
   fi
@@ -404,7 +416,7 @@ dashmstdout)
 
   # Remove the call to Libtool.
   if test "$libtool" = yes; then
-    while test $1 != '--mode=compile'; do
+    while test "X$1" != 'X--mode=compile'; do
       shift
     done
     shift
@@ -455,32 +467,39 @@ makedepend)
   "$@" || exit $?
   # Remove any Libtool call
   if test "$libtool" = yes; then
-    while test $1 != '--mode=compile'; do
+    while test "X$1" != 'X--mode=compile'; do
       shift
     done
     shift
   fi
   # X makedepend
   shift
-  cleared=no
-  for arg in "$@"; do
+  cleared=no eat=no
+  for arg
+  do
     case $cleared in
     no)
       set ""; shift
       cleared=yes ;;
     esac
+    if test $eat = yes; then
+      eat=no
+      continue
+    fi
     case "$arg" in
     -D*|-I*)
       set fnord "$@" "$arg"; shift ;;
     # Strip any option that makedepend may not understand.  Remove
     # the object too, otherwise makedepend will parse it as a source file.
+    -arch)
+      eat=yes ;;
     -*|$object)
       ;;
     *)
       set fnord "$@" "$arg"; shift ;;
     esac
   done
-  obj_suffix="`echo $object | sed 's/^.*\././'`"
+  obj_suffix=`echo "$object" | sed 's/^.*\././'`
   touch "$tmpdepfile"
   ${MAKEDEPEND-makedepend} -o"$obj_suffix" -f"$tmpdepfile" "$@"
   rm -f "$depfile"
@@ -500,7 +519,7 @@ cpp)
 
   # Remove the call to Libtool.
   if test "$libtool" = yes; then
-    while test $1 != '--mode=compile'; do
+    while test "X$1" != 'X--mode=compile'; do
       shift
     done
     shift
@@ -538,13 +557,27 @@ cpp)
 
 msvisualcpp)
   # Important note: in order to support this mode, a compiler *must*
-  # always write the preprocessed file to stdout, regardless of -o,
-  # because we must use -o when running libtool.
+  # always write the preprocessed file to stdout.
   "$@" || exit $?
+
+  # Remove the call to Libtool.
+  if test "$libtool" = yes; then
+    while test "X$1" != 'X--mode=compile'; do
+      shift
+    done
+    shift
+  fi
+
   IFS=" "
   for arg
   do
     case "$arg" in
+    -o)
+      shift
+      ;;
+    $object)
+      shift
+      ;;
     "-Gm"|"/Gm"|"-Gi"|"/Gi"|"-ZI"|"/ZI")
 	set fnord "$@"
 	shift
@@ -557,16 +590,23 @@ msvisualcpp)
 	;;
     esac
   done
-  "$@" -E |
-  sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
+  "$@" -E 2>/dev/null |
+  sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::\1:p' | $cygpath_u | sort -u > "$tmpdepfile"
   rm -f "$depfile"
   echo "$object : \\" > "$depfile"
-  . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::	\1 \\:p' >> "$depfile"
+  sed < "$tmpdepfile" -n -e 's% %\\ %g' -e '/^\(.*\)$/ s::	\1 \\:p' >> "$depfile"
   echo "	" >> "$depfile"
-  . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::\1\::p' >> "$depfile"
+  sed < "$tmpdepfile" -n -e 's% %\\ %g' -e '/^\(.*\)$/ s::\1\::p' >> "$depfile"
   rm -f "$tmpdepfile"
   ;;
 
+msvcmsys)
+  # This case exists only to let depend.m4 do its work.  It works by
+  # looking at the text of this script.  This case will never be run,
+  # since it is checked for above.
+  exit 1
+  ;;
+
 none)
   exec "$@"
   ;;
@@ -585,5 +625,6 @@ exit 0
 # eval: (add-hook 'write-file-hooks 'time-stamp)
 # time-stamp-start: "scriptversion="
 # time-stamp-format: "%:y-%02m-%02d.%02H"
-# time-stamp-end: "$"
+# time-stamp-time-zone: "UTC"
+# time-stamp-end: "; # UTC"
 # End:
diff -pruN 1.2.0.20090904-1/docs/Makefile.am 1.2.0.20091024-1/docs/Makefile.am
--- 1.2.0.20090904-1/docs/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/docs/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/docs/Makefile.in 1.2.0.20091024-1/docs/Makefile.in
--- 1.2.0.20090904-1/docs/Makefile.in	2009-09-04 03:51:12.000000000 +0100
+++ 1.2.0.20091024-1/docs/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -58,17 +59,14 @@ subdir = docs
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -123,6 +121,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -166,8 +166,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -182,32 +182,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -228,7 +225,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -239,7 +239,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -249,7 +248,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ch01.html 1.2.0.20091024-1/docs/reference/ibus/html/ch01.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ch01.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ch01.html	2009-10-24 04:23:54.000000000 +0100
@@ -2,36 +2,62 @@
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>API Overviews</title>
+<title>Overview</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="index.html" title="iBus Reference Manual">
-<link rel="prev" href="index.html" title="iBus Reference Manual">
-<link rel="next" href="ch02.html" title="User Interfaces">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="index.html" title="IBus Reference Manual">
+<link rel="prev" href="index.html" title="IBus Reference Manual">
+<link rel="next" href="ch02.html" title="Panel (User Interfaces)">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
 <td><a accesskey="p" href="index.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td> </td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ch02.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr></table>
 <div class="chapter" lang="en">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id2831249"></a>API Overviews</h2></div></div></div>
-<p>The iBus API consists 3 parts:
-	  <span class="emphasis"><em>User interfaces</em></span> for objects and services which
-	  are relateed to iBus UI such as language bar;
-          <span class="emphasis"><em>Input method engine</em></span> for input method main logic and input/output handling;
-	  <span class="emphasis"><em>Configure</em></span> for services for save, load and listening configures.
+<a name="id3017958"></a>Overview</h2></div></div></div>
+<p>This manual is the API specification for the IBus.
+	    IBus is built upon GObject and D-Bus,
+	    so you may find that modules are named as classes and objects in the sense of GObject,
+	    and may D-Bus wrapper API.</p>
+<p>According to the puroposes of modules, we categorized them into 4 parts:</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody>
+<tr>
+<td><p><span class="term">Panel</span></p></td>
+<td><p>A IBus-panel is an UI which provides UI components such as language bar,
+		      property buttons and so on.</p></td>
+</tr>
+<tr>
+<td><p><span class="term">Input method engine (IME)</span></p></td>
+<td><p>An Input method engine is an implementation of certain input method.
+		      Here lists essential classes and functions for input method engine building,
+		      such as engine specification, and class abstracts.</p></td>
+</tr>
+<tr>
+<td><p><span class="term">Communication and Configuration</span></p></td>
+<td><p>Here lists the service communication functions and
+		      functions that handling configuration like save, load, and listening.</p></td>
+</tr>
+<tr>
+<td><p><span class="term">Internal</span></p></td>
+<td><p>Definition and functions for IBus internal use..</p></td>
+</tr>
+</tbody>
+</table></div>
+<p>Normally input method developers need only to read the first 2 parts and IBusConfig from the 3rd part.
       </p>
 </div>
 <div class="footer">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ch02.html 1.2.0.20091024-1/docs/reference/ibus/html/ch02.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ch02.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ch02.html	2009-10-24 04:23:54.000000000 +0100
@@ -2,31 +2,31 @@
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>User Interfaces</title>
+<title>Panel (User Interfaces)</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="index.html" title="iBus Reference Manual">
-<link rel="prev" href="ch01.html" title="API Overviews">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="index.html" title="IBus Reference Manual">
+<link rel="prev" href="ch01.html" title="Overview">
 <link rel="next" href="IBusAttribute.html" title="IBusAttribute">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
 <td><a accesskey="p" href="ch01.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td> </td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusAttribute.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr></table>
 <div class="chapter" lang="en">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id2869694"></a>User Interfaces</h2></div></div></div>
+<a name="id3022621"></a>Panel (User Interfaces)</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
 <span class="refentrytitle"><a href="IBusAttribute.html">IBusAttribute</a></span><span class="refpurpose"> — Attributes of IBusText.</span>
@@ -44,7 +44,7 @@
 <span class="refentrytitle"><a href="IBusText.html">IBusText</a></span><span class="refpurpose"> — Text with decorating information.</span>
 </dt>
 </dl></div>
-<p>These APIs directly related to User interfaces, such as
+<p>These API pages directly related to user interfaces, such as
 	  pre-edit buffer, auxiliary text, language bar, button,
 	  radio boxes, and so on.
       </p>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ch03.html 1.2.0.20091024-1/docs/reference/ibus/html/ch03.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ch03.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ch03.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,40 +4,34 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>Input method engine</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="index.html" title="IBus Reference Manual">
 <link rel="prev" href="IBusText.html" title="IBusText">
-<link rel="next" href="IBusBus.html" title="IBusBus">
+<link rel="next" href="IBusComponent.html" title="IBusComponent">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
 <td><a accesskey="p" href="IBusText.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td> </td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusBus.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusComponent.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr></table>
 <div class="chapter" lang="en">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id2835891"></a>Input method engine</h2></div></div></div>
+<a name="id3056448"></a>Input method engine</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
-<span class="refentrytitle"><a href="IBusBus.html">IBusBus</a></span><span class="refpurpose"> — Connect with IBus daemon.</span>
-</dt>
-<dt>
 <span class="refentrytitle"><a href="IBusComponent.html">IBusComponent</a></span><span class="refpurpose"> — Component (executable) specification.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusConnection.html">IBusConnection</a></span><span class="refpurpose"> — DBusConnection wrapper.</span>
-</dt>
-<dt>
 <span class="refentrytitle"><a href="IBusEngine.html">IBusEngine</a></span><span class="refpurpose"> — Input method engine abstract.</span>
 </dt>
 <dt>
@@ -47,14 +41,18 @@
 <span class="refentrytitle"><a href="IBusFactory.html">IBusFactory</a></span><span class="refpurpose"> — Factory for creating engine instances.</span>
 </dt>
 <dt>
+<span class="refentrytitle"><a href="IBusInputContext.html">IBusInputContext</a></span><span class="refpurpose"> — IBus input context proxy object.</span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="ibus-IBusKeymap.html">IBusKeymap</a></span><span class="refpurpose"> — Keyboard mapping handling.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="ibus-ibuskeysyms.html">ibuskeysyms</a></span><span class="refpurpose"> — Key symbol definition.</span>
 </dt>
 </dl></div>
-<p>
-      </p>
+<p>An Input method engine is an implementation of certain input method.
+	  Here lists essential classes and functions for input method engine building,
+	  such as engine specification, and class abstracts.</p>
 </div>
 <div class="footer">
 <hr>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ch04.html 1.2.0.20091024-1/docs/reference/ibus/html/ch04.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ch04.html	2009-09-04 11:38:40.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ch04.html	2009-10-24 04:23:54.000000000 +0100
@@ -2,44 +2,71 @@
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Configuration</title>
+<title>Communication and Configuration</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="index.html" title="IBus Reference Manual">
 <link rel="prev" href="ibus-ibuskeysyms.html" title="ibuskeysyms">
-<link rel="next" href="IBusConfig.html" title="IBusConfig">
+<link rel="next" href="IBusBus.html" title="IBusBus">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
 <td><a accesskey="p" href="ibus-ibuskeysyms.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td> </td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusConfig.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusBus.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr></table>
 <div class="chapter" lang="en">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id2869729"></a>Configuration</h2></div></div></div>
+<a name="id3017145"></a>Communication and Configuration</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
+<span class="refentrytitle"><a href="IBusBus.html">IBusBus</a></span><span class="refpurpose"> — Connect with IBus daemon.</span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="IBusConfig.html">IBusConfig</a></span><span class="refpurpose"> — IBus engine configuration module.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="IBusConfigService.html">IBusConfigService</a></span><span class="refpurpose"> — Configuration service back-end.</span>
 </dt>
 <dt>
+<span class="refentrytitle"><a href="IBusConnection.html">IBusConnection</a></span><span class="refpurpose"> — DBusConnection wrapper.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="ibus-ibusmainloop.html">ibusmainloop</a></span><span class="refpurpose"> — DBus server and connection setup functions.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="ibus-ibusmessage.html">ibusmessage</a></span><span class="refpurpose"> — A DBusMessage in IBus.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="IBusObservedPath.html">IBusObservedPath</a></span><span class="refpurpose"> — Path object of IBus.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="ibus-ibuspendingcall.html">ibuspendingcall</a></span><span class="refpurpose"> — A DBusPendingCall in IBus.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="IBusProxy.html">IBusProxy</a></span><span class="refpurpose"> — Base proxy object.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="IBusSerializable.html">IBusSerializable</a></span><span class="refpurpose"> — A serializable object.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="IBusService.html">IBusService</a></span><span class="refpurpose"> — IBus service back-end.</span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="ibus-ibusxml.html">ibusxml</a></span><span class="refpurpose"></span>
 </dt>
 </dl></div>
-<p>
-      </p>
+<p>Here lists the service communication functions and
+	  functions that handling configuration like save, load, and listening.</p>
 </div>
 <div class="footer">
 <hr>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ch05.html 1.2.0.20091024-1/docs/reference/ibus/html/ch05.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ch05.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ch05.html	2009-10-24 04:23:54.000000000 +0100
@@ -2,31 +2,31 @@
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>Others</title>
+<title>Internal</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="index.html" title="IBus Reference Manual">
 <link rel="prev" href="ibus-ibusxml.html" title="ibusxml">
 <link rel="next" href="ibus-ibusdebug.html" title="ibusdebug">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
 <td><a accesskey="p" href="ibus-ibusxml.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td> </td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibusdebug.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr></table>
 <div class="chapter" lang="en">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id2869752"></a>Others</h2></div></div></div>
+<a name="id3017209"></a>Internal</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
 <span class="refentrytitle"><a href="ibus-ibusdebug.html">ibusdebug</a></span><span class="refpurpose"> — Debug message output.</span>
@@ -38,37 +38,16 @@
 <span class="refentrytitle"><a href="ibus-ibuserror.html">ibuserror</a></span><span class="refpurpose"> — Error message output.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusInputContext.html">IBusInputContext</a></span><span class="refpurpose"> — IBus input context proxy object.</span>
-</dt>
-<dt>
 <span class="refentrytitle"><a href="ibus-ibusinternal.html">ibusinternal</a></span><span class="refpurpose"> — IBus DBus setting functions for internal use.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="ibus-ibusmarshalers.html">ibusmarshalers</a></span><span class="refpurpose"></span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusmessage.html">ibusmessage</a></span><span class="refpurpose"> — A DBusMessage in IBus.</span>
-</dt>
-<dt>
 <span class="refentrytitle"><a href="IBusObject.html">IBusObject</a></span><span class="refpurpose"> — Base object of IBus.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusObservedPath.html">IBusObservedPath</a></span><span class="refpurpose"> — Path object of IBus.</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="ibus-ibuspendingcall.html">ibuspendingcall</a></span><span class="refpurpose"> — A DBusPendingCall in IBus.</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="IBusProxy.html">IBusProxy</a></span><span class="refpurpose"> — Base proxy object.</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="IBusServer.html">IBusServer</a></span><span class="refpurpose"></span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="IBusService.html">IBusService</a></span><span class="refpurpose"> — IBus service back-end.</span>
-</dt>
-<dt>
-<span class="refentrytitle"><a href="IBusSerializable.html">IBusSerializable</a></span><span class="refpurpose"> — A serializable object.</span>
+<span class="refentrytitle"><a href="IBusServer.html">IBusServer</a></span><span class="refpurpose"> — Server that listen on a socket and wait for connection requests.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="ibus-ibusshare.html">ibusshare</a></span><span class="refpurpose"></span>
@@ -77,6 +56,9 @@
 <span class="refentrytitle"><a href="ibus-ibustypes.html">ibustypes</a></span><span class="refpurpose"> — Generic types for  IBus.</span>
 </dt>
 <dt>
+<span class="refentrytitle"><a href="ibus-ibusversion.html">ibusversion</a></span><span class="refpurpose"></span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="ibus-keyname-table.html">keyname-table</a></span><span class="refpurpose"></span>
 </dt>
 </dl></div>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusAttribute.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusAttribute.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusAttribute.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusAttribute.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusAttribute</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch02.html" title="User Interfaces">
-<link rel="prev" href="ch02.html" title="User Interfaces">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch02.html" title="Panel (User Interfaces)">
+<link rel="prev" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="next" href="IBusHotkeyProfile.html" title="IBusHotkeyProfile">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="ch02.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch02.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusHotkeyProfile.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -116,17 +116,23 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusAttribute
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusAttribute
 </pre>
 <pre class="synopsis">
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusAttrList
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusAttrList
 </pre>
 </div>
 <div class="refsect1" lang="en">
@@ -276,6 +282,7 @@ Type enumeration of IBusText attribute.<
     IBUS_ATTR_UNDERLINE_SINGLE  = 1,
     IBUS_ATTR_UNDERLINE_DOUBLE  = 2,
     IBUS_ATTR_UNDERLINE_LOW     = 3,
+    IBUS_ATTR_UNDERLINE_ERROR   = 4,
 } IBusAttrUnderline;
 </pre>
 <p>
@@ -305,6 +312,11 @@ Type of IBusText attribute.</p>
 <td> Low underline ? <code class="literal">FIXME</code>
 </td>
 </tr>
+<tr>
+<td><p><a name="IBUS-ATTR-UNDERLINE-ERROR--CAPS"></a><span class="term"><code class="literal">IBUS_ATTR_UNDERLINE_ERROR</code></span></p></td>
+<td> Error underline
+</td>
+</tr>
 </tbody>
 </table></div>
 </div>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusBus.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusBus.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusBus.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusBus.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusBus</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch03.html" title="Input method engine">
-<link rel="prev" href="ch03.html" title="Input method engine">
-<link rel="next" href="IBusComponent.html" title="IBusComponent">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="ch04.html" title="Communication and Configuration">
+<link rel="next" href="IBusConfig.html" title="IBusConfig">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="ch03.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="ch04.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusComponent.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusConfig.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusBus.synopsis" class="shortcut">Top</a>
@@ -122,8 +122,11 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----IBusBus
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----IBusBus
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusComponent.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusComponent.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusComponent.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusComponent.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusComponent</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
 <link rel="up" href="ch03.html" title="Input method engine">
-<link rel="prev" href="IBusBus.html" title="IBusBus">
-<link rel="next" href="IBusConnection.html" title="IBusConnection">
+<link rel="prev" href="ch03.html" title="Input method engine">
+<link rel="next" href="IBusEngine.html" title="IBusEngine">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusBus.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="ch03.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusConnection.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusEngine.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusComponent.synopsis" class="shortcut">Top</a>
@@ -128,9 +128,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusComponent
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusComponent
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusConfig.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusConfig.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusConfig.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusConfig.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusConfig</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch04.html" title="Configuration">
-<link rel="prev" href="ch04.html" title="Configuration">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="IBusBus.html" title="IBusBus">
 <link rel="next" href="IBusConfigService.html" title="IBusConfigService">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="ch04.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="IBusBus.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusConfigService.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -81,9 +81,12 @@ href="http://library.gnome.org/devel/gob
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusProxy.html" title="IBusProxy">IBusProxy</a>
-               +----IBusConfig
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusProxy.html" title="IBusProxy">IBusProxy</a>
+                     +----IBusConfig
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusConfigService.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusConfigService.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusConfigService.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusConfigService.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusConfigService</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch04.html" title="Configuration">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
 <link rel="prev" href="IBusConfig.html" title="IBusConfig">
-<link rel="next" href="ibus-ibusxml.html" title="ibusxml">
+<link rel="next" href="IBusConnection.html" title="IBusConnection">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,8 +22,8 @@
 <td><a accesskey="p" href="IBusConfig.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="ibus-ibusxml.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusConnection.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusConfigService.synopsis" class="shortcut">Top</a>
@@ -71,9 +71,12 @@ href="http://library.gnome.org/devel/gob
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
-               +----IBusConfigService
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
+                     +----IBusConfigService
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusConnection.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusConnection.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusConnection.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusConnection.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusConnection</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch03.html" title="Input method engine">
-<link rel="prev" href="IBusComponent.html" title="IBusComponent">
-<link rel="next" href="IBusEngine.html" title="IBusEngine">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="IBusConfigService.html" title="IBusConfigService">
+<link rel="next" href="ibus-ibusmainloop.html" title="ibusmainloop">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusComponent.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="IBusConfigService.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusEngine.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-ibusmainloop.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusConnection.synopsis" class="shortcut">Top</a>
@@ -213,8 +213,11 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----IBusConnection
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----IBusConnection
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus.devhelp 1.2.0.20091024-1/docs/reference/ibus/html/ibus.devhelp
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus.devhelp	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus.devhelp	2009-10-24 04:23:54.000000000 +0100
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="utf-8" standalone="no"?>
 <!DOCTYPE book PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "">
-<book xmlns="http://www.devhelp.net/book" title="iBus Reference Manual" link="index.html" author="" name="ibus">
+<book xmlns="http://www.devhelp.net/book" title="IBus Reference Manual" link="index.html" author="" name="ibus">
   <chapters>
-    <sub name="API Overviews" link="ch01.html"/>
-    <sub name="User Interfaces" link="ch02.html">
+    <sub name="Overview" link="ch01.html"/>
+    <sub name="Panel (User Interfaces)" link="ch02.html">
       <sub name="IBusAttribute" link="IBusAttribute.html"/>
       <sub name="IBusHotkeyProfile" link="IBusHotkeyProfile.html"/>
       <sub name="IBusLookupTable" link="IBusLookupTable.html"/>
@@ -11,37 +11,39 @@
       <sub name="IBusText" link="IBusText.html"/>
     </sub>
     <sub name="Input method engine" link="ch03.html">
-      <sub name="IBusBus" link="IBusBus.html"/>
       <sub name="IBusComponent" link="IBusComponent.html"/>
-      <sub name="IBusConnection" link="IBusConnection.html"/>
       <sub name="IBusEngine" link="IBusEngine.html"/>
       <sub name="IBusEngineDesc" link="IBusEngineDesc.html"/>
       <sub name="IBusFactory" link="IBusFactory.html"/>
+      <sub name="IBusInputContext" link="IBusInputContext.html"/>
       <sub name="IBusKeymap" link="ibus-IBusKeymap.html"/>
       <sub name="ibuskeysyms" link="ibus-ibuskeysyms.html"/>
     </sub>
-    <sub name="Configuration" link="ch04.html">
+    <sub name="Communication and Configuration" link="ch04.html">
+      <sub name="IBusBus" link="IBusBus.html"/>
       <sub name="IBusConfig" link="IBusConfig.html"/>
       <sub name="IBusConfigService" link="IBusConfigService.html"/>
+      <sub name="IBusConnection" link="IBusConnection.html"/>
+      <sub name="ibusmainloop" link="ibus-ibusmainloop.html"/>
+      <sub name="ibusmessage" link="ibus-ibusmessage.html"/>
+      <sub name="IBusObservedPath" link="IBusObservedPath.html"/>
+      <sub name="ibuspendingcall" link="ibus-ibuspendingcall.html"/>
+      <sub name="IBusProxy" link="IBusProxy.html"/>
+      <sub name="IBusSerializable" link="IBusSerializable.html"/>
+      <sub name="IBusService" link="IBusService.html"/>
       <sub name="ibusxml" link="ibus-ibusxml.html"/>
     </sub>
-    <sub name="Others" link="ch05.html">
+    <sub name="Internal" link="ch05.html">
       <sub name="ibusdebug" link="ibus-ibusdebug.html"/>
       <sub name="ibusenumtypes" link="ibus-ibusenumtypes.html"/>
       <sub name="ibuserror" link="ibus-ibuserror.html"/>
-      <sub name="IBusInputContext" link="IBusInputContext.html"/>
       <sub name="ibusinternal" link="ibus-ibusinternal.html"/>
       <sub name="ibusmarshalers" link="ibus-ibusmarshalers.html"/>
-      <sub name="ibusmessage" link="ibus-ibusmessage.html"/>
       <sub name="IBusObject" link="IBusObject.html"/>
-      <sub name="IBusObservedPath" link="IBusObservedPath.html"/>
-      <sub name="ibuspendingcall" link="ibus-ibuspendingcall.html"/>
-      <sub name="IBusProxy" link="IBusProxy.html"/>
       <sub name="IBusServer" link="IBusServer.html"/>
-      <sub name="IBusService" link="IBusService.html"/>
-      <sub name="IBusSerializable" link="IBusSerializable.html"/>
       <sub name="ibusshare" link="ibus-ibusshare.html"/>
       <sub name="ibustypes" link="ibus-ibustypes.html"/>
+      <sub name="ibusversion" link="ibus-ibusversion.html"/>
       <sub name="keyname-table" link="ibus-keyname-table.html"/>
     </sub>
   </chapters>
@@ -121,24 +123,6 @@
     <function name="ibus_text_new_from_unichar ()" link="IBusText.html#ibus-text-new-from-unichar"/>
     <function name="ibus_text_append_attribute ()" link="IBusText.html#ibus-text-append-attribute"/>
     <function name="ibus_text_get_length ()" link="IBusText.html#ibus-text-get-length"/>
-    <function name="IBusBus" link="IBusBus.html#IBusBus-struct"/>
-    <function name="ibus_bus_new ()" link="IBusBus.html#ibus-bus-new"/>
-    <function name="ibus_bus_is_connected ()" link="IBusBus.html#ibus-bus-is-connected"/>
-    <function name="ibus_bus_hello ()" link="IBusBus.html#ibus-bus-hello"/>
-    <function name="ibus_bus_request_name ()" link="IBusBus.html#ibus-bus-request-name"/>
-    <function name="ibus_bus_release_name ()" link="IBusBus.html#ibus-bus-release-name"/>
-    <function name="ibus_bus_name_has_owner ()" link="IBusBus.html#ibus-bus-name-has-owner"/>
-    <function name="ibus_bus_list_names ()" link="IBusBus.html#ibus-bus-list-names"/>
-    <function name="ibus_bus_add_match ()" link="IBusBus.html#ibus-bus-add-match"/>
-    <function name="ibus_bus_remove_match ()" link="IBusBus.html#ibus-bus-remove-match"/>
-    <function name="ibus_bus_get_name_owner ()" link="IBusBus.html#ibus-bus-get-name-owner"/>
-    <function name="ibus_bus_exit ()" link="IBusBus.html#ibus-bus-exit"/>
-    <function name="ibus_bus_register_component ()" link="IBusBus.html#ibus-bus-register-component"/>
-    <function name="ibus_bus_list_engines ()" link="IBusBus.html#ibus-bus-list-engines"/>
-    <function name="ibus_bus_list_active_engines ()" link="IBusBus.html#ibus-bus-list-active-engines"/>
-    <function name="ibus_bus_get_config ()" link="IBusBus.html#ibus-bus-get-config"/>
-    <function name="The &quot;connected&quot; signal" link="IBusBus.html#IBusBus-connected"/>
-    <function name="The &quot;disconnected&quot; signal" link="IBusBus.html#IBusBus-disconnected"/>
     <function name="IBusComponent" link="IBusComponent.html#IBusComponent-struct"/>
     <function name="ibus_component_new ()" link="IBusComponent.html#ibus-component-new"/>
     <function name="ibus_component_new_from_xml_node ()" link="IBusComponent.html#ibus-component-new-from-xml-node"/>
@@ -153,35 +137,6 @@
     <function name="ibus_component_stop ()" link="IBusComponent.html#ibus-component-stop"/>
     <function name="ibus_component_is_running ()" link="IBusComponent.html#ibus-component-is-running"/>
     <function name="ibus_component_get_from_engine ()" link="IBusComponent.html#ibus-component-get-from-engine"/>
-    <function name="IBusIBusMessageFunc ()" link="IBusConnection.html#IBusIBusMessageFunc"/>
-    <function name="IBusIBusSignalFunc ()" link="IBusConnection.html#IBusIBusSignalFunc"/>
-    <function name="IBusMessageFunc ()" link="IBusConnection.html#IBusMessageFunc"/>
-    <function name="IBusConnection" link="IBusConnection.html#IBusConnection-struct"/>
-    <function name="ibus_connection_new ()" link="IBusConnection.html#ibus-connection-new"/>
-    <function name="ibus_connection_set_connection ()" link="IBusConnection.html#ibus-connection-set-connection"/>
-    <function name="ibus_connection_open ()" link="IBusConnection.html#ibus-connection-open"/>
-    <function name="ibus_connection_open_private ()" link="IBusConnection.html#ibus-connection-open-private"/>
-    <function name="ibus_connection_close ()" link="IBusConnection.html#ibus-connection-close"/>
-    <function name="ibus_connection_is_connected ()" link="IBusConnection.html#ibus-connection-is-connected"/>
-    <function name="ibus_connection_is_authenticated ()" link="IBusConnection.html#ibus-connection-is-authenticated"/>
-    <function name="ibus_connection_get_connection ()" link="IBusConnection.html#ibus-connection-get-connection"/>
-    <function name="ibus_connection_get_unix_user ()" link="IBusConnection.html#ibus-connection-get-unix-user"/>
-    <function name="ibus_connection_read_write_dispatch ()" link="IBusConnection.html#ibus-connection-read-write-dispatch"/>
-    <function name="ibus_connection_send ()" link="IBusConnection.html#ibus-connection-send"/>
-    <function name="ibus_connection_send_signal ()" link="IBusConnection.html#ibus-connection-send-signal"/>
-    <function name="ibus_connection_send_signal_valist ()" link="IBusConnection.html#ibus-connection-send-signal-valist"/>
-    <function name="ibus_connection_send_valist ()" link="IBusConnection.html#ibus-connection-send-valist"/>
-    <function name="ibus_connection_send_with_reply ()" link="IBusConnection.html#ibus-connection-send-with-reply"/>
-    <function name="ibus_connection_send_with_reply_and_block ()" link="IBusConnection.html#ibus-connection-send-with-reply-and-block"/>
-    <function name="ibus_connection_call ()" link="IBusConnection.html#ibus-connection-call"/>
-    <function name="ibus_connection_flush ()" link="IBusConnection.html#ibus-connection-flush"/>
-    <function name="ibus_connection_register_object_path ()" link="IBusConnection.html#ibus-connection-register-object-path"/>
-    <function name="ibus_connection_unregister_object_path ()" link="IBusConnection.html#ibus-connection-unregister-object-path"/>
-    <function name="The &quot;authenticate-unix-user&quot; signal" link="IBusConnection.html#IBusConnection-authenticate-unix-user"/>
-    <function name="The &quot;disconnected&quot; signal" link="IBusConnection.html#IBusConnection-disconnected"/>
-    <function name="The &quot;ibus-message&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message"/>
-    <function name="The &quot;ibus-message-sent&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message-sent"/>
-    <function name="The &quot;ibus-signal&quot; signal" link="IBusConnection.html#IBusConnection-ibus-signal"/>
     <function name="IBusEngine" link="IBusEngine.html#IBusEngine-struct"/>
     <function name="ibus_engine_new ()" link="IBusEngine.html#ibus-engine-new"/>
     <function name="ibus_engine_commit_text ()" link="IBusEngine.html#ibus-engine-commit-text"/>
@@ -235,6 +190,34 @@
     <function name="ibus_factory_get_info ()" link="IBusFactory.html#ibus-factory-get-info"/>
     <function name="ibus_factory_info_get_type ()" link="IBusFactory.html#ibus-factory-info-get-type"/>
     <function name="ibus_factory_info_new ()" link="IBusFactory.html#ibus-factory-info-new"/>
+    <function name="IBusInputContext" link="IBusInputContext.html#IBusInputContext-struct"/>
+    <function name="ibus_input_context_process_key_event ()" link="IBusInputContext.html#ibus-input-context-process-key-event"/>
+    <function name="ibus_input_context_set_cursor_location ()" link="IBusInputContext.html#ibus-input-context-set-cursor-location"/>
+    <function name="ibus_input_context_set_capabilities ()" link="IBusInputContext.html#ibus-input-context-set-capabilities"/>
+    <function name="ibus_input_context_focus_in ()" link="IBusInputContext.html#ibus-input-context-focus-in"/>
+    <function name="ibus_input_context_focus_out ()" link="IBusInputContext.html#ibus-input-context-focus-out"/>
+    <function name="ibus_input_context_reset ()" link="IBusInputContext.html#ibus-input-context-reset"/>
+    <function name="ibus_input_context_enable ()" link="IBusInputContext.html#ibus-input-context-enable"/>
+    <function name="ibus_input_context_disable ()" link="IBusInputContext.html#ibus-input-context-disable"/>
+    <function name="The &quot;commit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-commit-text"/>
+    <function name="The &quot;cursor-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-down-lookup-table"/>
+    <function name="The &quot;cursor-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-up-lookup-table"/>
+    <function name="The &quot;disabled&quot; signal" link="IBusInputContext.html#IBusInputContext-disabled"/>
+    <function name="The &quot;enabled&quot; signal" link="IBusInputContext.html#IBusInputContext-enabled"/>
+    <function name="The &quot;forward-key-event&quot; signal" link="IBusInputContext.html#IBusInputContext-forward-key-event"/>
+    <function name="The &quot;hide-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-auxiliary-text"/>
+    <function name="The &quot;hide-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-lookup-table"/>
+    <function name="The &quot;hide-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-preedit-text"/>
+    <function name="The &quot;page-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-down-lookup-table"/>
+    <function name="The &quot;page-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-up-lookup-table"/>
+    <function name="The &quot;register-properties&quot; signal" link="IBusInputContext.html#IBusInputContext-register-properties"/>
+    <function name="The &quot;show-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-auxiliary-text"/>
+    <function name="The &quot;show-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-show-lookup-table"/>
+    <function name="The &quot;show-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-preedit-text"/>
+    <function name="The &quot;update-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-auxiliary-text"/>
+    <function name="The &quot;update-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-update-lookup-table"/>
+    <function name="The &quot;update-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-preedit-text"/>
+    <function name="The &quot;update-property&quot; signal" link="IBusInputContext.html#IBusInputContext-update-property"/>
     <function name="KEYMAP" link="ibus-IBusKeymap.html#KEYMAP--CAPS"/>
     <function name="IBusKeymap" link="ibus-IBusKeymap.html#IBusKeymap"/>
     <function name="ibus_keymap_new ()" link="ibus-IBusKeymap.html#ibus-keymap-new"/>
@@ -2228,6 +2211,24 @@
     <function name="IBUS_braille_dots_1345678" link="ibus-ibuskeysyms.html#IBUS-braille-dots-1345678"/>
     <function name="IBUS_braille_dots_2345678" link="ibus-ibuskeysyms.html#IBUS-braille-dots-2345678"/>
     <function name="IBUS_braille_dots_12345678" link="ibus-ibuskeysyms.html#IBUS-braille-dots-12345678"/>
+    <function name="IBusBus" link="IBusBus.html#IBusBus-struct"/>
+    <function name="ibus_bus_new ()" link="IBusBus.html#ibus-bus-new"/>
+    <function name="ibus_bus_is_connected ()" link="IBusBus.html#ibus-bus-is-connected"/>
+    <function name="ibus_bus_hello ()" link="IBusBus.html#ibus-bus-hello"/>
+    <function name="ibus_bus_request_name ()" link="IBusBus.html#ibus-bus-request-name"/>
+    <function name="ibus_bus_release_name ()" link="IBusBus.html#ibus-bus-release-name"/>
+    <function name="ibus_bus_name_has_owner ()" link="IBusBus.html#ibus-bus-name-has-owner"/>
+    <function name="ibus_bus_list_names ()" link="IBusBus.html#ibus-bus-list-names"/>
+    <function name="ibus_bus_add_match ()" link="IBusBus.html#ibus-bus-add-match"/>
+    <function name="ibus_bus_remove_match ()" link="IBusBus.html#ibus-bus-remove-match"/>
+    <function name="ibus_bus_get_name_owner ()" link="IBusBus.html#ibus-bus-get-name-owner"/>
+    <function name="ibus_bus_exit ()" link="IBusBus.html#ibus-bus-exit"/>
+    <function name="ibus_bus_register_component ()" link="IBusBus.html#ibus-bus-register-component"/>
+    <function name="ibus_bus_list_engines ()" link="IBusBus.html#ibus-bus-list-engines"/>
+    <function name="ibus_bus_list_active_engines ()" link="IBusBus.html#ibus-bus-list-active-engines"/>
+    <function name="ibus_bus_get_config ()" link="IBusBus.html#ibus-bus-get-config"/>
+    <function name="The &quot;connected&quot; signal" link="IBusBus.html#IBusBus-connected"/>
+    <function name="The &quot;disconnected&quot; signal" link="IBusBus.html#IBusBus-disconnected"/>
     <function name="IBusConfig" link="IBusConfig.html#IBusConfig-struct"/>
     <function name="ibus_config_new ()" link="IBusConfig.html#ibus-config-new"/>
     <function name="ibus_config_get_value ()" link="IBusConfig.html#ibus-config-get-value"/>
@@ -2237,94 +2238,40 @@
     <function name="ibus_config_service_new ()" link="IBusConfigService.html#ibus-config-service-new"/>
     <function name="ibus_config_service_value_changed ()" link="IBusConfigService.html#ibus-config-service-value-changed"/>
     <function name="The &quot;connection&quot; property" link="IBusConfigService.html#IBusConfigService--connection"/>
-    <function name="XMLNode" link="ibus-ibusxml.html#XMLNode"/>
-    <function name="ibus_xml_parse_file ()" link="ibus-ibusxml.html#ibus-xml-parse-file"/>
-    <function name="ibus_xml_parse_buffer ()" link="ibus-ibusxml.html#ibus-xml-parse-buffer"/>
-    <function name="ibus_xml_free ()" link="ibus-ibusxml.html#ibus-xml-free"/>
-    <function name="ibus_xml_output ()" link="ibus-ibusxml.html#ibus-xml-output"/>
-    <function name="ibus_warning()" link="ibus-ibusdebug.html#ibus-warning"/>
-    <function name="ibus_object_flags_get_type ()" link="ibus-ibusenumtypes.html#ibus-object-flags-get-type"/>
-    <function name="IBUS_TYPE_OBJECT_FLAGS" link="ibus-ibusenumtypes.html#IBUS-TYPE-OBJECT-FLAGS--CAPS"/>
-    <function name="ibus_attr_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-type-get-type"/>
-    <function name="IBUS_TYPE_ATTR_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-TYPE--CAPS"/>
-    <function name="ibus_attr_underline_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-underline-get-type"/>
-    <function name="IBUS_TYPE_ATTR_UNDERLINE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-UNDERLINE--CAPS"/>
-    <function name="ibus_prop_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-type-get-type"/>
-    <function name="IBUS_TYPE_PROP_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-TYPE--CAPS"/>
-    <function name="ibus_prop_state_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-state-get-type"/>
-    <function name="IBUS_TYPE_PROP_STATE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-STATE--CAPS"/>
-    <function name="ibus_modifier_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-modifier-type-get-type"/>
-    <function name="IBUS_TYPE_MODIFIER_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-MODIFIER-TYPE--CAPS"/>
-    <function name="ibus_capabilite_get_type ()" link="ibus-ibusenumtypes.html#ibus-capabilite-get-type"/>
-    <function name="IBUS_TYPE_CAPABILITE" link="ibus-ibusenumtypes.html#IBUS-TYPE-CAPABILITE--CAPS"/>
-    <function name="IBusError" link="ibus-ibuserror.html#IBusError"/>
-    <function name="ibus_error_new ()" link="ibus-ibuserror.html#ibus-error-new"/>
-    <function name="ibus_error_new_from_text ()" link="ibus-ibuserror.html#ibus-error-new-from-text"/>
-    <function name="ibus_error_new_from_printf ()" link="ibus-ibuserror.html#ibus-error-new-from-printf"/>
-    <function name="ibus_error_new_from_message ()" link="ibus-ibuserror.html#ibus-error-new-from-message"/>
-    <function name="ibus_error_free ()" link="ibus-ibuserror.html#ibus-error-free"/>
-    <function name="IBusInputContext" link="IBusInputContext.html#IBusInputContext-struct"/>
-    <function name="ibus_input_context_process_key_event ()" link="IBusInputContext.html#ibus-input-context-process-key-event"/>
-    <function name="ibus_input_context_set_cursor_location ()" link="IBusInputContext.html#ibus-input-context-set-cursor-location"/>
-    <function name="ibus_input_context_set_capabilities ()" link="IBusInputContext.html#ibus-input-context-set-capabilities"/>
-    <function name="ibus_input_context_focus_in ()" link="IBusInputContext.html#ibus-input-context-focus-in"/>
-    <function name="ibus_input_context_focus_out ()" link="IBusInputContext.html#ibus-input-context-focus-out"/>
-    <function name="ibus_input_context_reset ()" link="IBusInputContext.html#ibus-input-context-reset"/>
-    <function name="ibus_input_context_enable ()" link="IBusInputContext.html#ibus-input-context-enable"/>
-    <function name="ibus_input_context_disable ()" link="IBusInputContext.html#ibus-input-context-disable"/>
-    <function name="The &quot;commit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-commit-text"/>
-    <function name="The &quot;cursor-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-down-lookup-table"/>
-    <function name="The &quot;cursor-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-up-lookup-table"/>
-    <function name="The &quot;disabled&quot; signal" link="IBusInputContext.html#IBusInputContext-disabled"/>
-    <function name="The &quot;enabled&quot; signal" link="IBusInputContext.html#IBusInputContext-enabled"/>
-    <function name="The &quot;forward-key-event&quot; signal" link="IBusInputContext.html#IBusInputContext-forward-key-event"/>
-    <function name="The &quot;hide-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-auxiliary-text"/>
-    <function name="The &quot;hide-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-lookup-table"/>
-    <function name="The &quot;hide-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-preedit-text"/>
-    <function name="The &quot;page-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-down-lookup-table"/>
-    <function name="The &quot;page-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-up-lookup-table"/>
-    <function name="The &quot;register-properties&quot; signal" link="IBusInputContext.html#IBusInputContext-register-properties"/>
-    <function name="The &quot;show-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-auxiliary-text"/>
-    <function name="The &quot;show-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-show-lookup-table"/>
-    <function name="The &quot;show-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-preedit-text"/>
-    <function name="The &quot;update-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-auxiliary-text"/>
-    <function name="The &quot;update-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-update-lookup-table"/>
-    <function name="The &quot;update-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-preedit-text"/>
-    <function name="The &quot;update-property&quot; signal" link="IBusInputContext.html#IBusInputContext-update-property"/>
-    <function name="I_()" link="ibus-ibusinternal.html#I---CAPS"/>
-    <function name="dbus_server_setup ()" link="ibus-ibusinternal.html#dbus-server-setup"/>
-    <function name="dbus_connection_setup ()" link="ibus-ibusinternal.html#dbus-connection-setup"/>
-    <function name="ibus_marshal_VOID__VOID" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--VOID"/>
-    <function name="ibus_marshal_VOID__NONE" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--NONE"/>
-    <function name="ibus_marshal_VOID__OBJECT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT"/>
-    <function name="ibus_marshal_VOID__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--POINTER"/>
-    <function name="ibus_marshal_VOID__STRING" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING"/>
-    <function name="ibus_marshal_VOID__STRING_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-INT"/>
-    <function name="ibus_marshal_VOID__STRING_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-UINT"/>
-    <function name="ibus_marshal_BOOLEAN__POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER"/>
-    <function name="ibus_marshal_BOOL__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER"/>
-    <function name="ibus_marshal_BOOLEAN__POINTER_POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER-POINTER"/>
-    <function name="ibus_marshal_BOOL__POINTER_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER-POINTER"/>
-    <function name="ibus_marshal_BOOLEAN__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT"/>
-    <function name="ibus_marshal_BOOL__UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT"/>
-    <function name="ibus_marshal_BOOLEAN__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT-UINT"/>
-    <function name="ibus_marshal_BOOL__UINT_UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT-UINT"/>
-    <function name="ibus_marshal_BOOLEAN__ULONG ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--ULONG"/>
-    <function name="ibus_marshal_BOOL__ULONG" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--ULONG"/>
-    <function name="ibus_marshal_VOID__INT_INT_INT_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--INT-INT-INT-INT"/>
-    <function name="ibus_marshal_VOID__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT"/>
-    <function name="ibus_marshal_VOID__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT-UINT"/>
-    <function name="ibus_marshal_VOID__OBJECT_UINT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOLEAN"/>
-    <function name="ibus_marshal_VOID__OBJECT_UINT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOL"/>
-    <function name="ibus_marshal_VOID__OBJECT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOLEAN"/>
-    <function name="ibus_marshal_VOID__OBJECT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOL"/>
-    <function name="ibus_marshal_VOID__BOXED_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOLEAN"/>
-    <function name="ibus_marshal_VOID__BOXED_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOL"/>
-    <function name="ibus_marshal_VOID__BOXED" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED"/>
-    <function name="ibus_marshal_VOID__STRING_STRING_BOXED ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-BOXED"/>
-    <function name="ibus_marshal_VOID__STRING_STRING_STRING ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-STRING"/>
-    <function name="ibus_marshal_VOID__UINT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT"/>
-    <function name="ibus_marshal_VOID__UINT_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-POINTER"/>
+    <function name="IBusIBusMessageFunc ()" link="IBusConnection.html#IBusIBusMessageFunc"/>
+    <function name="IBusIBusSignalFunc ()" link="IBusConnection.html#IBusIBusSignalFunc"/>
+    <function name="IBusMessageFunc ()" link="IBusConnection.html#IBusMessageFunc"/>
+    <function name="IBusConnection" link="IBusConnection.html#IBusConnection-struct"/>
+    <function name="ibus_connection_new ()" link="IBusConnection.html#ibus-connection-new"/>
+    <function name="ibus_connection_set_connection ()" link="IBusConnection.html#ibus-connection-set-connection"/>
+    <function name="ibus_connection_open ()" link="IBusConnection.html#ibus-connection-open"/>
+    <function name="ibus_connection_open_private ()" link="IBusConnection.html#ibus-connection-open-private"/>
+    <function name="ibus_connection_close ()" link="IBusConnection.html#ibus-connection-close"/>
+    <function name="ibus_connection_is_connected ()" link="IBusConnection.html#ibus-connection-is-connected"/>
+    <function name="ibus_connection_is_authenticated ()" link="IBusConnection.html#ibus-connection-is-authenticated"/>
+    <function name="ibus_connection_get_connection ()" link="IBusConnection.html#ibus-connection-get-connection"/>
+    <function name="ibus_connection_get_unix_user ()" link="IBusConnection.html#ibus-connection-get-unix-user"/>
+    <function name="ibus_connection_read_write_dispatch ()" link="IBusConnection.html#ibus-connection-read-write-dispatch"/>
+    <function name="ibus_connection_send ()" link="IBusConnection.html#ibus-connection-send"/>
+    <function name="ibus_connection_send_signal ()" link="IBusConnection.html#ibus-connection-send-signal"/>
+    <function name="ibus_connection_send_signal_valist ()" link="IBusConnection.html#ibus-connection-send-signal-valist"/>
+    <function name="ibus_connection_send_valist ()" link="IBusConnection.html#ibus-connection-send-valist"/>
+    <function name="ibus_connection_send_with_reply ()" link="IBusConnection.html#ibus-connection-send-with-reply"/>
+    <function name="ibus_connection_send_with_reply_and_block ()" link="IBusConnection.html#ibus-connection-send-with-reply-and-block"/>
+    <function name="ibus_connection_call ()" link="IBusConnection.html#ibus-connection-call"/>
+    <function name="ibus_connection_flush ()" link="IBusConnection.html#ibus-connection-flush"/>
+    <function name="ibus_connection_register_object_path ()" link="IBusConnection.html#ibus-connection-register-object-path"/>
+    <function name="ibus_connection_unregister_object_path ()" link="IBusConnection.html#ibus-connection-unregister-object-path"/>
+    <function name="The &quot;authenticate-unix-user&quot; signal" link="IBusConnection.html#IBusConnection-authenticate-unix-user"/>
+    <function name="The &quot;disconnected&quot; signal" link="IBusConnection.html#IBusConnection-disconnected"/>
+    <function name="The &quot;ibus-message&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message"/>
+    <function name="The &quot;ibus-message-sent&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message-sent"/>
+    <function name="The &quot;ibus-signal&quot; signal" link="IBusConnection.html#IBusConnection-ibus-signal"/>
+    <function name="DBusConnectionSetupFunc ()" link="ibus-ibusmainloop.html#DBusConnectionSetupFunc"/>
+    <function name="DBusServerSetupFunc ()" link="ibus-ibusmainloop.html#DBusServerSetupFunc"/>
+    <function name="ibus_mainloop_setup ()" link="ibus-ibusmainloop.html#ibus-mainloop-setup"/>
+    <function name="ibus_dbus_server_setup ()" link="ibus-ibusmainloop.html#ibus-dbus-server-setup"/>
+    <function name="ibus_dbus_connection_setup ()" link="ibus-ibusmainloop.html#ibus-dbus-connection-setup"/>
     <function name="IBUS_TYPE_OBJECT_PATH" link="ibus-ibusmessage.html#IBUS-TYPE-OBJECT-PATH--CAPS"/>
     <function name="IBUS_TYPE_ARRAY" link="ibus-ibusmessage.html#IBUS-TYPE-ARRAY--CAPS"/>
     <function name="IBUS_TYPE_STRUCT" link="ibus-ibusmessage.html#IBUS-TYPE-STRUCT--CAPS"/>
@@ -2385,15 +2332,6 @@
     <function name="ibus_message_iter_get_arg_type ()" link="ibus-ibusmessage.html#ibus-message-iter-get-arg-type"/>
     <function name="ibus_message_iter_get_element_type ()" link="ibus-ibusmessage.html#ibus-message-iter-get-element-type"/>
     <function name="ibus_message_to_string ()" link="ibus-ibusmessage.html#ibus-message-to-string"/>
-    <function name="enum IBusObjectFlags" link="IBusObject.html#IBusObjectFlags"/>
-    <function name="IBUS_OBJECT_FLAGS()" link="IBusObject.html#IBUS-OBJECT-FLAGS--CAPS"/>
-    <function name="IBUS_OBJECT_SET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-SET-FLAGS--CAPS"/>
-    <function name="IBUS_OBJECT_UNSET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-UNSET-FLAGS--CAPS"/>
-    <function name="IBUS_OBJECT_DESTROYED()" link="IBusObject.html#IBUS-OBJECT-DESTROYED--CAPS"/>
-    <function name="IBusObject" link="IBusObject.html#IBusObject-struct"/>
-    <function name="ibus_object_new ()" link="IBusObject.html#ibus-object-new"/>
-    <function name="ibus_object_destroy ()" link="IBusObject.html#ibus-object-destroy"/>
-    <function name="The &quot;destroy&quot; signal" link="IBusObject.html#IBusObject-destroy"/>
     <function name="IBusObservedPath" link="IBusObservedPath.html#IBusObservedPath-struct"/>
     <function name="ibus_observed_path_new_from_xml_node ()" link="IBusObservedPath.html#ibus-observed-path-new-from-xml-node"/>
     <function name="ibus_observed_path_new ()" link="IBusObservedPath.html#ibus-observed-path-new"/>
@@ -2433,31 +2371,6 @@
     <function name="The &quot;name&quot; property" link="IBusProxy.html#IBusProxy--name"/>
     <function name="The &quot;path&quot; property" link="IBusProxy.html#IBusProxy--path"/>
     <function name="The &quot;ibus-signal&quot; signal" link="IBusProxy.html#IBusProxy-ibus-signal"/>
-    <function name="IBusNewConnectionFunc ()" link="IBusServer.html#IBusNewConnectionFunc"/>
-    <function name="IBusServer" link="IBusServer.html#IBusServer-struct"/>
-    <function name="ibus_server_new ()" link="IBusServer.html#ibus-server-new"/>
-    <function name="ibus_server_listen ()" link="IBusServer.html#ibus-server-listen"/>
-    <function name="ibus_server_disconnect ()" link="IBusServer.html#ibus-server-disconnect"/>
-    <function name="ibus_server_get_address ()" link="IBusServer.html#ibus-server-get-address"/>
-    <function name="ibus_server_get_id ()" link="IBusServer.html#ibus-server-get-id"/>
-    <function name="ibus_server_is_connected ()" link="IBusServer.html#ibus-server-is-connected"/>
-    <function name="ibus_server_set_auth_mechanisms ()" link="IBusServer.html#ibus-server-set-auth-mechanisms"/>
-    <function name="The &quot;connection-type&quot; property" link="IBusServer.html#IBusServer--connection-type"/>
-    <function name="The &quot;new-connection&quot; signal" link="IBusServer.html#IBusServer-new-connection"/>
-    <function name="ServiceIBusMessageFunc ()" link="IBusService.html#ServiceIBusMessageFunc"/>
-    <function name="ServiceIBusSignalFunc ()" link="IBusService.html#ServiceIBusSignalFunc"/>
-    <function name="IBusService" link="IBusService.html#IBusService-struct"/>
-    <function name="ibus_service_new ()" link="IBusService.html#ibus-service-new"/>
-    <function name="ibus_service_get_path ()" link="IBusService.html#ibus-service-get-path"/>
-    <function name="ibus_service_handle_message ()" link="IBusService.html#ibus-service-handle-message"/>
-    <function name="ibus_service_add_to_connection ()" link="IBusService.html#ibus-service-add-to-connection"/>
-    <function name="ibus_service_get_connections ()" link="IBusService.html#ibus-service-get-connections"/>
-    <function name="ibus_service_remove_from_connection ()" link="IBusService.html#ibus-service-remove-from-connection"/>
-    <function name="ibus_service_remove_from_all_connections ()" link="IBusService.html#ibus-service-remove-from-all-connections"/>
-    <function name="ibus_service_send_signal ()" link="IBusService.html#ibus-service-send-signal"/>
-    <function name="The &quot;path&quot; property" link="IBusService.html#IBusService--path"/>
-    <function name="The &quot;ibus-message&quot; signal" link="IBusService.html#IBusService-ibus-message"/>
-    <function name="The &quot;ibus-signal&quot; signal" link="IBusService.html#IBusService-ibus-signal"/>
     <function name="ibus_serializable_set_attachment()" link="IBusSerializable.html#ibus-serializable-set-attachment"/>
     <function name="ibus_serializable_get_attachment()" link="IBusSerializable.html#ibus-serializable-get-attachment"/>
     <function name="ibus_serializable_remove_attachment()" link="IBusSerializable.html#ibus-serializable-remove-attachment"/>
@@ -2472,6 +2385,100 @@
     <function name="ibus_serializable_copy ()" link="IBusSerializable.html#ibus-serializable-copy"/>
     <function name="ibus_serializable_serialize ()" link="IBusSerializable.html#ibus-serializable-serialize"/>
     <function name="ibus_serializable_deserialize ()" link="IBusSerializable.html#ibus-serializable-deserialize"/>
+    <function name="ServiceIBusMessageFunc ()" link="IBusService.html#ServiceIBusMessageFunc"/>
+    <function name="ServiceIBusSignalFunc ()" link="IBusService.html#ServiceIBusSignalFunc"/>
+    <function name="IBusService" link="IBusService.html#IBusService-struct"/>
+    <function name="ibus_service_new ()" link="IBusService.html#ibus-service-new"/>
+    <function name="ibus_service_get_path ()" link="IBusService.html#ibus-service-get-path"/>
+    <function name="ibus_service_handle_message ()" link="IBusService.html#ibus-service-handle-message"/>
+    <function name="ibus_service_add_to_connection ()" link="IBusService.html#ibus-service-add-to-connection"/>
+    <function name="ibus_service_get_connections ()" link="IBusService.html#ibus-service-get-connections"/>
+    <function name="ibus_service_remove_from_connection ()" link="IBusService.html#ibus-service-remove-from-connection"/>
+    <function name="ibus_service_remove_from_all_connections ()" link="IBusService.html#ibus-service-remove-from-all-connections"/>
+    <function name="ibus_service_send_signal ()" link="IBusService.html#ibus-service-send-signal"/>
+    <function name="The &quot;path&quot; property" link="IBusService.html#IBusService--path"/>
+    <function name="The &quot;ibus-message&quot; signal" link="IBusService.html#IBusService-ibus-message"/>
+    <function name="The &quot;ibus-signal&quot; signal" link="IBusService.html#IBusService-ibus-signal"/>
+    <function name="XMLNode" link="ibus-ibusxml.html#XMLNode"/>
+    <function name="ibus_xml_parse_file ()" link="ibus-ibusxml.html#ibus-xml-parse-file"/>
+    <function name="ibus_xml_parse_buffer ()" link="ibus-ibusxml.html#ibus-xml-parse-buffer"/>
+    <function name="ibus_xml_free ()" link="ibus-ibusxml.html#ibus-xml-free"/>
+    <function name="ibus_xml_output ()" link="ibus-ibusxml.html#ibus-xml-output"/>
+    <function name="ibus_warning()" link="ibus-ibusdebug.html#ibus-warning"/>
+    <function name="ibus_object_flags_get_type ()" link="ibus-ibusenumtypes.html#ibus-object-flags-get-type"/>
+    <function name="IBUS_TYPE_OBJECT_FLAGS" link="ibus-ibusenumtypes.html#IBUS-TYPE-OBJECT-FLAGS--CAPS"/>
+    <function name="ibus_attr_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-type-get-type"/>
+    <function name="IBUS_TYPE_ATTR_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-TYPE--CAPS"/>
+    <function name="ibus_attr_underline_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-underline-get-type"/>
+    <function name="IBUS_TYPE_ATTR_UNDERLINE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-UNDERLINE--CAPS"/>
+    <function name="ibus_prop_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-type-get-type"/>
+    <function name="IBUS_TYPE_PROP_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-TYPE--CAPS"/>
+    <function name="ibus_prop_state_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-state-get-type"/>
+    <function name="IBUS_TYPE_PROP_STATE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-STATE--CAPS"/>
+    <function name="ibus_modifier_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-modifier-type-get-type"/>
+    <function name="IBUS_TYPE_MODIFIER_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-MODIFIER-TYPE--CAPS"/>
+    <function name="ibus_capabilite_get_type ()" link="ibus-ibusenumtypes.html#ibus-capabilite-get-type"/>
+    <function name="IBUS_TYPE_CAPABILITE" link="ibus-ibusenumtypes.html#IBUS-TYPE-CAPABILITE--CAPS"/>
+    <function name="IBusError" link="ibus-ibuserror.html#IBusError"/>
+    <function name="ibus_error_new ()" link="ibus-ibuserror.html#ibus-error-new"/>
+    <function name="ibus_error_new_from_text ()" link="ibus-ibuserror.html#ibus-error-new-from-text"/>
+    <function name="ibus_error_new_from_printf ()" link="ibus-ibuserror.html#ibus-error-new-from-printf"/>
+    <function name="ibus_error_new_from_message ()" link="ibus-ibuserror.html#ibus-error-new-from-message"/>
+    <function name="ibus_error_free ()" link="ibus-ibuserror.html#ibus-error-free"/>
+    <function name="I_()" link="ibus-ibusinternal.html#I---CAPS"/>
+    <function name="dbus_server_setup ()" link="ibus-ibusinternal.html#dbus-server-setup"/>
+    <function name="dbus_connection_setup ()" link="ibus-ibusinternal.html#dbus-connection-setup"/>
+    <function name="ibus_marshal_VOID__VOID" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--VOID"/>
+    <function name="ibus_marshal_VOID__NONE" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--NONE"/>
+    <function name="ibus_marshal_VOID__OBJECT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT"/>
+    <function name="ibus_marshal_VOID__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--POINTER"/>
+    <function name="ibus_marshal_VOID__STRING" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING"/>
+    <function name="ibus_marshal_VOID__STRING_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-INT"/>
+    <function name="ibus_marshal_VOID__STRING_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-UINT"/>
+    <function name="ibus_marshal_BOOLEAN__POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER"/>
+    <function name="ibus_marshal_BOOL__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER"/>
+    <function name="ibus_marshal_BOOLEAN__POINTER_POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER-POINTER"/>
+    <function name="ibus_marshal_BOOL__POINTER_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER-POINTER"/>
+    <function name="ibus_marshal_BOOLEAN__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT"/>
+    <function name="ibus_marshal_BOOL__UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT"/>
+    <function name="ibus_marshal_BOOLEAN__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT-UINT"/>
+    <function name="ibus_marshal_BOOL__UINT_UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT-UINT"/>
+    <function name="ibus_marshal_BOOLEAN__ULONG ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--ULONG"/>
+    <function name="ibus_marshal_BOOL__ULONG" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--ULONG"/>
+    <function name="ibus_marshal_VOID__INT_INT_INT_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--INT-INT-INT-INT"/>
+    <function name="ibus_marshal_VOID__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT"/>
+    <function name="ibus_marshal_VOID__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT-UINT"/>
+    <function name="ibus_marshal_VOID__OBJECT_UINT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOLEAN"/>
+    <function name="ibus_marshal_VOID__OBJECT_UINT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOL"/>
+    <function name="ibus_marshal_VOID__OBJECT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOLEAN"/>
+    <function name="ibus_marshal_VOID__OBJECT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOL"/>
+    <function name="ibus_marshal_VOID__BOXED_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOLEAN"/>
+    <function name="ibus_marshal_VOID__BOXED_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOL"/>
+    <function name="ibus_marshal_VOID__BOXED" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED"/>
+    <function name="ibus_marshal_VOID__STRING_STRING_BOXED ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-BOXED"/>
+    <function name="ibus_marshal_VOID__STRING_STRING_STRING ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-STRING"/>
+    <function name="ibus_marshal_VOID__UINT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT"/>
+    <function name="ibus_marshal_VOID__UINT_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-POINTER"/>
+    <function name="enum IBusObjectFlags" link="IBusObject.html#IBusObjectFlags"/>
+    <function name="IBUS_OBJECT_FLAGS()" link="IBusObject.html#IBUS-OBJECT-FLAGS--CAPS"/>
+    <function name="IBUS_OBJECT_SET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-SET-FLAGS--CAPS"/>
+    <function name="IBUS_OBJECT_UNSET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-UNSET-FLAGS--CAPS"/>
+    <function name="IBUS_OBJECT_DESTROYED()" link="IBusObject.html#IBUS-OBJECT-DESTROYED--CAPS"/>
+    <function name="IBusObject" link="IBusObject.html#IBusObject-struct"/>
+    <function name="ibus_object_new ()" link="IBusObject.html#ibus-object-new"/>
+    <function name="ibus_object_destroy ()" link="IBusObject.html#ibus-object-destroy"/>
+    <function name="The &quot;destroy&quot; signal" link="IBusObject.html#IBusObject-destroy"/>
+    <function name="IBusNewConnectionFunc ()" link="IBusServer.html#IBusNewConnectionFunc"/>
+    <function name="IBusServer" link="IBusServer.html#IBusServer-struct"/>
+    <function name="ibus_server_new ()" link="IBusServer.html#ibus-server-new"/>
+    <function name="ibus_server_listen ()" link="IBusServer.html#ibus-server-listen"/>
+    <function name="ibus_server_disconnect ()" link="IBusServer.html#ibus-server-disconnect"/>
+    <function name="ibus_server_get_address ()" link="IBusServer.html#ibus-server-get-address"/>
+    <function name="ibus_server_get_id ()" link="IBusServer.html#ibus-server-get-id"/>
+    <function name="ibus_server_is_connected ()" link="IBusServer.html#ibus-server-is-connected"/>
+    <function name="ibus_server_set_auth_mechanisms ()" link="IBusServer.html#ibus-server-set-auth-mechanisms"/>
+    <function name="The &quot;connection-type&quot; property" link="IBusServer.html#IBusServer--connection-type"/>
+    <function name="The &quot;new-connection&quot; signal" link="IBusServer.html#IBusServer-new-connection"/>
     <function name="IBUS_SERVICE_IBUS" link="ibus-ibusshare.html#IBUS-SERVICE-IBUS--CAPS"/>
     <function name="IBUS_SERVICE_PANEL" link="ibus-ibusshare.html#IBUS-SERVICE-PANEL--CAPS"/>
     <function name="IBUS_SERVICE_CONFIG" link="ibus-ibusshare.html#IBUS-SERVICE-CONFIG--CAPS"/>
@@ -2508,6 +2515,10 @@
     <function name="enum IBusCapabilite" link="ibus-ibustypes.html#IBusCapabilite"/>
     <function name="IBusRectangle" link="ibus-ibustypes.html#IBusRectangle"/>
     <function name="IBusFreeFunc ()" link="ibus-ibustypes.html#IBusFreeFunc"/>
+    <function name="IBUS_MAJOR_VERSION" link="ibus-ibusversion.html#IBUS-MAJOR-VERSION--CAPS"/>
+    <function name="IBUS_MINOR_VERSION" link="ibus-ibusversion.html#IBUS-MINOR-VERSION--CAPS"/>
+    <function name="IBUS_MICRO_VERSION" link="ibus-ibusversion.html#IBUS-MICRO-VERSION--CAPS"/>
+    <function name="IBUS_CHECK_VERSION()" link="ibus-ibusversion.html#IBUS-CHECK-VERSION--CAPS"/>
     <function name="gdk_key" link="ibus-keyname-table.html#gdk-key"/>
   </functions>
 </book>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus.devhelp2 1.2.0.20091024-1/docs/reference/ibus/html/ibus.devhelp2
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus.devhelp2	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus.devhelp2	2009-10-24 04:23:54.000000000 +0100
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="utf-8" standalone="no"?>
 <!DOCTYPE book PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "">
-<book xmlns="http://www.devhelp.net/book" title="iBus Reference Manual" link="index.html" author="" name="ibus" version="2" language="c">
+<book xmlns="http://www.devhelp.net/book" title="IBus Reference Manual" link="index.html" author="" name="ibus" version="2" language="c">
   <chapters>
-    <sub name="API Overviews" link="ch01.html"/>
-    <sub name="User Interfaces" link="ch02.html">
+    <sub name="Overview" link="ch01.html"/>
+    <sub name="Panel (User Interfaces)" link="ch02.html">
       <sub name="IBusAttribute" link="IBusAttribute.html"/>
       <sub name="IBusHotkeyProfile" link="IBusHotkeyProfile.html"/>
       <sub name="IBusLookupTable" link="IBusLookupTable.html"/>
@@ -11,37 +11,39 @@
       <sub name="IBusText" link="IBusText.html"/>
     </sub>
     <sub name="Input method engine" link="ch03.html">
-      <sub name="IBusBus" link="IBusBus.html"/>
       <sub name="IBusComponent" link="IBusComponent.html"/>
-      <sub name="IBusConnection" link="IBusConnection.html"/>
       <sub name="IBusEngine" link="IBusEngine.html"/>
       <sub name="IBusEngineDesc" link="IBusEngineDesc.html"/>
       <sub name="IBusFactory" link="IBusFactory.html"/>
+      <sub name="IBusInputContext" link="IBusInputContext.html"/>
       <sub name="IBusKeymap" link="ibus-IBusKeymap.html"/>
       <sub name="ibuskeysyms" link="ibus-ibuskeysyms.html"/>
     </sub>
-    <sub name="Configuration" link="ch04.html">
+    <sub name="Communication and Configuration" link="ch04.html">
+      <sub name="IBusBus" link="IBusBus.html"/>
       <sub name="IBusConfig" link="IBusConfig.html"/>
       <sub name="IBusConfigService" link="IBusConfigService.html"/>
+      <sub name="IBusConnection" link="IBusConnection.html"/>
+      <sub name="ibusmainloop" link="ibus-ibusmainloop.html"/>
+      <sub name="ibusmessage" link="ibus-ibusmessage.html"/>
+      <sub name="IBusObservedPath" link="IBusObservedPath.html"/>
+      <sub name="ibuspendingcall" link="ibus-ibuspendingcall.html"/>
+      <sub name="IBusProxy" link="IBusProxy.html"/>
+      <sub name="IBusSerializable" link="IBusSerializable.html"/>
+      <sub name="IBusService" link="IBusService.html"/>
       <sub name="ibusxml" link="ibus-ibusxml.html"/>
     </sub>
-    <sub name="Others" link="ch05.html">
+    <sub name="Internal" link="ch05.html">
       <sub name="ibusdebug" link="ibus-ibusdebug.html"/>
       <sub name="ibusenumtypes" link="ibus-ibusenumtypes.html"/>
       <sub name="ibuserror" link="ibus-ibuserror.html"/>
-      <sub name="IBusInputContext" link="IBusInputContext.html"/>
       <sub name="ibusinternal" link="ibus-ibusinternal.html"/>
       <sub name="ibusmarshalers" link="ibus-ibusmarshalers.html"/>
-      <sub name="ibusmessage" link="ibus-ibusmessage.html"/>
       <sub name="IBusObject" link="IBusObject.html"/>
-      <sub name="IBusObservedPath" link="IBusObservedPath.html"/>
-      <sub name="ibuspendingcall" link="ibus-ibuspendingcall.html"/>
-      <sub name="IBusProxy" link="IBusProxy.html"/>
       <sub name="IBusServer" link="IBusServer.html"/>
-      <sub name="IBusService" link="IBusService.html"/>
-      <sub name="IBusSerializable" link="IBusSerializable.html"/>
       <sub name="ibusshare" link="ibus-ibusshare.html"/>
       <sub name="ibustypes" link="ibus-ibustypes.html"/>
+      <sub name="ibusversion" link="ibus-ibusversion.html"/>
       <sub name="keyname-table" link="ibus-keyname-table.html"/>
     </sub>
   </chapters>
@@ -121,24 +123,6 @@
     <keyword type="function" name="ibus_text_new_from_unichar ()" link="IBusText.html#ibus-text-new-from-unichar"/>
     <keyword type="function" name="ibus_text_append_attribute ()" link="IBusText.html#ibus-text-append-attribute"/>
     <keyword type="function" name="ibus_text_get_length ()" link="IBusText.html#ibus-text-get-length"/>
-    <keyword type="struct" name="IBusBus" link="IBusBus.html#IBusBus-struct"/>
-    <keyword type="function" name="ibus_bus_new ()" link="IBusBus.html#ibus-bus-new"/>
-    <keyword type="function" name="ibus_bus_is_connected ()" link="IBusBus.html#ibus-bus-is-connected"/>
-    <keyword type="function" name="ibus_bus_hello ()" link="IBusBus.html#ibus-bus-hello"/>
-    <keyword type="function" name="ibus_bus_request_name ()" link="IBusBus.html#ibus-bus-request-name"/>
-    <keyword type="function" name="ibus_bus_release_name ()" link="IBusBus.html#ibus-bus-release-name"/>
-    <keyword type="function" name="ibus_bus_name_has_owner ()" link="IBusBus.html#ibus-bus-name-has-owner"/>
-    <keyword type="function" name="ibus_bus_list_names ()" link="IBusBus.html#ibus-bus-list-names"/>
-    <keyword type="function" name="ibus_bus_add_match ()" link="IBusBus.html#ibus-bus-add-match"/>
-    <keyword type="function" name="ibus_bus_remove_match ()" link="IBusBus.html#ibus-bus-remove-match"/>
-    <keyword type="function" name="ibus_bus_get_name_owner ()" link="IBusBus.html#ibus-bus-get-name-owner"/>
-    <keyword type="function" name="ibus_bus_exit ()" link="IBusBus.html#ibus-bus-exit"/>
-    <keyword type="function" name="ibus_bus_register_component ()" link="IBusBus.html#ibus-bus-register-component"/>
-    <keyword type="function" name="ibus_bus_list_engines ()" link="IBusBus.html#ibus-bus-list-engines"/>
-    <keyword type="function" name="ibus_bus_list_active_engines ()" link="IBusBus.html#ibus-bus-list-active-engines"/>
-    <keyword type="function" name="ibus_bus_get_config ()" link="IBusBus.html#ibus-bus-get-config"/>
-    <keyword type="signal" name="The &quot;connected&quot; signal" link="IBusBus.html#IBusBus-connected"/>
-    <keyword type="signal" name="The &quot;disconnected&quot; signal" link="IBusBus.html#IBusBus-disconnected"/>
     <keyword type="struct" name="IBusComponent" link="IBusComponent.html#IBusComponent-struct"/>
     <keyword type="function" name="ibus_component_new ()" link="IBusComponent.html#ibus-component-new"/>
     <keyword type="function" name="ibus_component_new_from_xml_node ()" link="IBusComponent.html#ibus-component-new-from-xml-node"/>
@@ -153,35 +137,6 @@
     <keyword type="function" name="ibus_component_stop ()" link="IBusComponent.html#ibus-component-stop"/>
     <keyword type="function" name="ibus_component_is_running ()" link="IBusComponent.html#ibus-component-is-running"/>
     <keyword type="function" name="ibus_component_get_from_engine ()" link="IBusComponent.html#ibus-component-get-from-engine"/>
-    <keyword type="function" name="IBusIBusMessageFunc ()" link="IBusConnection.html#IBusIBusMessageFunc"/>
-    <keyword type="function" name="IBusIBusSignalFunc ()" link="IBusConnection.html#IBusIBusSignalFunc"/>
-    <keyword type="function" name="IBusMessageFunc ()" link="IBusConnection.html#IBusMessageFunc"/>
-    <keyword type="struct" name="IBusConnection" link="IBusConnection.html#IBusConnection-struct"/>
-    <keyword type="function" name="ibus_connection_new ()" link="IBusConnection.html#ibus-connection-new"/>
-    <keyword type="function" name="ibus_connection_set_connection ()" link="IBusConnection.html#ibus-connection-set-connection"/>
-    <keyword type="function" name="ibus_connection_open ()" link="IBusConnection.html#ibus-connection-open"/>
-    <keyword type="function" name="ibus_connection_open_private ()" link="IBusConnection.html#ibus-connection-open-private"/>
-    <keyword type="function" name="ibus_connection_close ()" link="IBusConnection.html#ibus-connection-close"/>
-    <keyword type="function" name="ibus_connection_is_connected ()" link="IBusConnection.html#ibus-connection-is-connected"/>
-    <keyword type="function" name="ibus_connection_is_authenticated ()" link="IBusConnection.html#ibus-connection-is-authenticated"/>
-    <keyword type="function" name="ibus_connection_get_connection ()" link="IBusConnection.html#ibus-connection-get-connection"/>
-    <keyword type="function" name="ibus_connection_get_unix_user ()" link="IBusConnection.html#ibus-connection-get-unix-user"/>
-    <keyword type="function" name="ibus_connection_read_write_dispatch ()" link="IBusConnection.html#ibus-connection-read-write-dispatch"/>
-    <keyword type="function" name="ibus_connection_send ()" link="IBusConnection.html#ibus-connection-send"/>
-    <keyword type="function" name="ibus_connection_send_signal ()" link="IBusConnection.html#ibus-connection-send-signal"/>
-    <keyword type="function" name="ibus_connection_send_signal_valist ()" link="IBusConnection.html#ibus-connection-send-signal-valist"/>
-    <keyword type="function" name="ibus_connection_send_valist ()" link="IBusConnection.html#ibus-connection-send-valist"/>
-    <keyword type="function" name="ibus_connection_send_with_reply ()" link="IBusConnection.html#ibus-connection-send-with-reply"/>
-    <keyword type="function" name="ibus_connection_send_with_reply_and_block ()" link="IBusConnection.html#ibus-connection-send-with-reply-and-block"/>
-    <keyword type="function" name="ibus_connection_call ()" link="IBusConnection.html#ibus-connection-call"/>
-    <keyword type="function" name="ibus_connection_flush ()" link="IBusConnection.html#ibus-connection-flush"/>
-    <keyword type="function" name="ibus_connection_register_object_path ()" link="IBusConnection.html#ibus-connection-register-object-path"/>
-    <keyword type="function" name="ibus_connection_unregister_object_path ()" link="IBusConnection.html#ibus-connection-unregister-object-path"/>
-    <keyword type="signal" name="The &quot;authenticate-unix-user&quot; signal" link="IBusConnection.html#IBusConnection-authenticate-unix-user"/>
-    <keyword type="signal" name="The &quot;disconnected&quot; signal" link="IBusConnection.html#IBusConnection-disconnected"/>
-    <keyword type="signal" name="The &quot;ibus-message&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message"/>
-    <keyword type="signal" name="The &quot;ibus-message-sent&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message-sent"/>
-    <keyword type="signal" name="The &quot;ibus-signal&quot; signal" link="IBusConnection.html#IBusConnection-ibus-signal"/>
     <keyword type="struct" name="IBusEngine" link="IBusEngine.html#IBusEngine-struct"/>
     <keyword type="function" name="ibus_engine_new ()" link="IBusEngine.html#ibus-engine-new"/>
     <keyword type="function" name="ibus_engine_commit_text ()" link="IBusEngine.html#ibus-engine-commit-text"/>
@@ -235,6 +190,34 @@
     <keyword type="function" name="ibus_factory_get_info ()" link="IBusFactory.html#ibus-factory-get-info"/>
     <keyword type="function" name="ibus_factory_info_get_type ()" link="IBusFactory.html#ibus-factory-info-get-type"/>
     <keyword type="function" name="ibus_factory_info_new ()" link="IBusFactory.html#ibus-factory-info-new"/>
+    <keyword type="struct" name="IBusInputContext" link="IBusInputContext.html#IBusInputContext-struct"/>
+    <keyword type="function" name="ibus_input_context_process_key_event ()" link="IBusInputContext.html#ibus-input-context-process-key-event"/>
+    <keyword type="function" name="ibus_input_context_set_cursor_location ()" link="IBusInputContext.html#ibus-input-context-set-cursor-location"/>
+    <keyword type="function" name="ibus_input_context_set_capabilities ()" link="IBusInputContext.html#ibus-input-context-set-capabilities"/>
+    <keyword type="function" name="ibus_input_context_focus_in ()" link="IBusInputContext.html#ibus-input-context-focus-in"/>
+    <keyword type="function" name="ibus_input_context_focus_out ()" link="IBusInputContext.html#ibus-input-context-focus-out"/>
+    <keyword type="function" name="ibus_input_context_reset ()" link="IBusInputContext.html#ibus-input-context-reset"/>
+    <keyword type="function" name="ibus_input_context_enable ()" link="IBusInputContext.html#ibus-input-context-enable"/>
+    <keyword type="function" name="ibus_input_context_disable ()" link="IBusInputContext.html#ibus-input-context-disable"/>
+    <keyword type="signal" name="The &quot;commit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-commit-text"/>
+    <keyword type="signal" name="The &quot;cursor-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-down-lookup-table"/>
+    <keyword type="signal" name="The &quot;cursor-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-up-lookup-table"/>
+    <keyword type="signal" name="The &quot;disabled&quot; signal" link="IBusInputContext.html#IBusInputContext-disabled"/>
+    <keyword type="signal" name="The &quot;enabled&quot; signal" link="IBusInputContext.html#IBusInputContext-enabled"/>
+    <keyword type="signal" name="The &quot;forward-key-event&quot; signal" link="IBusInputContext.html#IBusInputContext-forward-key-event"/>
+    <keyword type="signal" name="The &quot;hide-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-auxiliary-text"/>
+    <keyword type="signal" name="The &quot;hide-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-lookup-table"/>
+    <keyword type="signal" name="The &quot;hide-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-preedit-text"/>
+    <keyword type="signal" name="The &quot;page-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-down-lookup-table"/>
+    <keyword type="signal" name="The &quot;page-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-up-lookup-table"/>
+    <keyword type="signal" name="The &quot;register-properties&quot; signal" link="IBusInputContext.html#IBusInputContext-register-properties"/>
+    <keyword type="signal" name="The &quot;show-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-auxiliary-text"/>
+    <keyword type="signal" name="The &quot;show-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-show-lookup-table"/>
+    <keyword type="signal" name="The &quot;show-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-preedit-text"/>
+    <keyword type="signal" name="The &quot;update-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-auxiliary-text"/>
+    <keyword type="signal" name="The &quot;update-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-update-lookup-table"/>
+    <keyword type="signal" name="The &quot;update-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-preedit-text"/>
+    <keyword type="signal" name="The &quot;update-property&quot; signal" link="IBusInputContext.html#IBusInputContext-update-property"/>
     <keyword type="typedef" name="KEYMAP" link="ibus-IBusKeymap.html#KEYMAP--CAPS"/>
     <keyword type="struct" name="IBusKeymap" link="ibus-IBusKeymap.html#IBusKeymap"/>
     <keyword type="function" name="ibus_keymap_new ()" link="ibus-IBusKeymap.html#ibus-keymap-new"/>
@@ -2228,6 +2211,24 @@
     <keyword type="macro" name="IBUS_braille_dots_1345678" link="ibus-ibuskeysyms.html#IBUS-braille-dots-1345678"/>
     <keyword type="macro" name="IBUS_braille_dots_2345678" link="ibus-ibuskeysyms.html#IBUS-braille-dots-2345678"/>
     <keyword type="macro" name="IBUS_braille_dots_12345678" link="ibus-ibuskeysyms.html#IBUS-braille-dots-12345678"/>
+    <keyword type="struct" name="IBusBus" link="IBusBus.html#IBusBus-struct"/>
+    <keyword type="function" name="ibus_bus_new ()" link="IBusBus.html#ibus-bus-new"/>
+    <keyword type="function" name="ibus_bus_is_connected ()" link="IBusBus.html#ibus-bus-is-connected"/>
+    <keyword type="function" name="ibus_bus_hello ()" link="IBusBus.html#ibus-bus-hello"/>
+    <keyword type="function" name="ibus_bus_request_name ()" link="IBusBus.html#ibus-bus-request-name"/>
+    <keyword type="function" name="ibus_bus_release_name ()" link="IBusBus.html#ibus-bus-release-name"/>
+    <keyword type="function" name="ibus_bus_name_has_owner ()" link="IBusBus.html#ibus-bus-name-has-owner"/>
+    <keyword type="function" name="ibus_bus_list_names ()" link="IBusBus.html#ibus-bus-list-names"/>
+    <keyword type="function" name="ibus_bus_add_match ()" link="IBusBus.html#ibus-bus-add-match"/>
+    <keyword type="function" name="ibus_bus_remove_match ()" link="IBusBus.html#ibus-bus-remove-match"/>
+    <keyword type="function" name="ibus_bus_get_name_owner ()" link="IBusBus.html#ibus-bus-get-name-owner"/>
+    <keyword type="function" name="ibus_bus_exit ()" link="IBusBus.html#ibus-bus-exit"/>
+    <keyword type="function" name="ibus_bus_register_component ()" link="IBusBus.html#ibus-bus-register-component"/>
+    <keyword type="function" name="ibus_bus_list_engines ()" link="IBusBus.html#ibus-bus-list-engines"/>
+    <keyword type="function" name="ibus_bus_list_active_engines ()" link="IBusBus.html#ibus-bus-list-active-engines"/>
+    <keyword type="function" name="ibus_bus_get_config ()" link="IBusBus.html#ibus-bus-get-config"/>
+    <keyword type="signal" name="The &quot;connected&quot; signal" link="IBusBus.html#IBusBus-connected"/>
+    <keyword type="signal" name="The &quot;disconnected&quot; signal" link="IBusBus.html#IBusBus-disconnected"/>
     <keyword type="struct" name="IBusConfig" link="IBusConfig.html#IBusConfig-struct"/>
     <keyword type="function" name="ibus_config_new ()" link="IBusConfig.html#ibus-config-new"/>
     <keyword type="function" name="ibus_config_get_value ()" link="IBusConfig.html#ibus-config-get-value"/>
@@ -2237,94 +2238,40 @@
     <keyword type="function" name="ibus_config_service_new ()" link="IBusConfigService.html#ibus-config-service-new"/>
     <keyword type="function" name="ibus_config_service_value_changed ()" link="IBusConfigService.html#ibus-config-service-value-changed"/>
     <keyword type="property" name="The &quot;connection&quot; property" link="IBusConfigService.html#IBusConfigService--connection"/>
-    <keyword type="struct" name="XMLNode" link="ibus-ibusxml.html#XMLNode"/>
-    <keyword type="function" name="ibus_xml_parse_file ()" link="ibus-ibusxml.html#ibus-xml-parse-file"/>
-    <keyword type="function" name="ibus_xml_parse_buffer ()" link="ibus-ibusxml.html#ibus-xml-parse-buffer"/>
-    <keyword type="function" name="ibus_xml_free ()" link="ibus-ibusxml.html#ibus-xml-free"/>
-    <keyword type="function" name="ibus_xml_output ()" link="ibus-ibusxml.html#ibus-xml-output"/>
-    <keyword type="macro" name="ibus_warning()" link="ibus-ibusdebug.html#ibus-warning"/>
-    <keyword type="function" name="ibus_object_flags_get_type ()" link="ibus-ibusenumtypes.html#ibus-object-flags-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_OBJECT_FLAGS" link="ibus-ibusenumtypes.html#IBUS-TYPE-OBJECT-FLAGS--CAPS"/>
-    <keyword type="function" name="ibus_attr_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-type-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_ATTR_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-TYPE--CAPS"/>
-    <keyword type="function" name="ibus_attr_underline_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-underline-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_ATTR_UNDERLINE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-UNDERLINE--CAPS"/>
-    <keyword type="function" name="ibus_prop_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-type-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_PROP_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-TYPE--CAPS"/>
-    <keyword type="function" name="ibus_prop_state_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-state-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_PROP_STATE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-STATE--CAPS"/>
-    <keyword type="function" name="ibus_modifier_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-modifier-type-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_MODIFIER_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-MODIFIER-TYPE--CAPS"/>
-    <keyword type="function" name="ibus_capabilite_get_type ()" link="ibus-ibusenumtypes.html#ibus-capabilite-get-type"/>
-    <keyword type="macro" name="IBUS_TYPE_CAPABILITE" link="ibus-ibusenumtypes.html#IBUS-TYPE-CAPABILITE--CAPS"/>
-    <keyword type="typedef" name="IBusError" link="ibus-ibuserror.html#IBusError"/>
-    <keyword type="function" name="ibus_error_new ()" link="ibus-ibuserror.html#ibus-error-new"/>
-    <keyword type="function" name="ibus_error_new_from_text ()" link="ibus-ibuserror.html#ibus-error-new-from-text"/>
-    <keyword type="function" name="ibus_error_new_from_printf ()" link="ibus-ibuserror.html#ibus-error-new-from-printf"/>
-    <keyword type="function" name="ibus_error_new_from_message ()" link="ibus-ibuserror.html#ibus-error-new-from-message"/>
-    <keyword type="function" name="ibus_error_free ()" link="ibus-ibuserror.html#ibus-error-free"/>
-    <keyword type="struct" name="IBusInputContext" link="IBusInputContext.html#IBusInputContext-struct"/>
-    <keyword type="function" name="ibus_input_context_process_key_event ()" link="IBusInputContext.html#ibus-input-context-process-key-event"/>
-    <keyword type="function" name="ibus_input_context_set_cursor_location ()" link="IBusInputContext.html#ibus-input-context-set-cursor-location"/>
-    <keyword type="function" name="ibus_input_context_set_capabilities ()" link="IBusInputContext.html#ibus-input-context-set-capabilities"/>
-    <keyword type="function" name="ibus_input_context_focus_in ()" link="IBusInputContext.html#ibus-input-context-focus-in"/>
-    <keyword type="function" name="ibus_input_context_focus_out ()" link="IBusInputContext.html#ibus-input-context-focus-out"/>
-    <keyword type="function" name="ibus_input_context_reset ()" link="IBusInputContext.html#ibus-input-context-reset"/>
-    <keyword type="function" name="ibus_input_context_enable ()" link="IBusInputContext.html#ibus-input-context-enable"/>
-    <keyword type="function" name="ibus_input_context_disable ()" link="IBusInputContext.html#ibus-input-context-disable"/>
-    <keyword type="signal" name="The &quot;commit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-commit-text"/>
-    <keyword type="signal" name="The &quot;cursor-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-down-lookup-table"/>
-    <keyword type="signal" name="The &quot;cursor-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-cursor-up-lookup-table"/>
-    <keyword type="signal" name="The &quot;disabled&quot; signal" link="IBusInputContext.html#IBusInputContext-disabled"/>
-    <keyword type="signal" name="The &quot;enabled&quot; signal" link="IBusInputContext.html#IBusInputContext-enabled"/>
-    <keyword type="signal" name="The &quot;forward-key-event&quot; signal" link="IBusInputContext.html#IBusInputContext-forward-key-event"/>
-    <keyword type="signal" name="The &quot;hide-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-auxiliary-text"/>
-    <keyword type="signal" name="The &quot;hide-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-lookup-table"/>
-    <keyword type="signal" name="The &quot;hide-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-hide-preedit-text"/>
-    <keyword type="signal" name="The &quot;page-down-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-down-lookup-table"/>
-    <keyword type="signal" name="The &quot;page-up-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-page-up-lookup-table"/>
-    <keyword type="signal" name="The &quot;register-properties&quot; signal" link="IBusInputContext.html#IBusInputContext-register-properties"/>
-    <keyword type="signal" name="The &quot;show-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-auxiliary-text"/>
-    <keyword type="signal" name="The &quot;show-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-show-lookup-table"/>
-    <keyword type="signal" name="The &quot;show-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-show-preedit-text"/>
-    <keyword type="signal" name="The &quot;update-auxiliary-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-auxiliary-text"/>
-    <keyword type="signal" name="The &quot;update-lookup-table&quot; signal" link="IBusInputContext.html#IBusInputContext-update-lookup-table"/>
-    <keyword type="signal" name="The &quot;update-preedit-text&quot; signal" link="IBusInputContext.html#IBusInputContext-update-preedit-text"/>
-    <keyword type="signal" name="The &quot;update-property&quot; signal" link="IBusInputContext.html#IBusInputContext-update-property"/>
-    <keyword type="macro" name="I_()" link="ibus-ibusinternal.html#I---CAPS"/>
-    <keyword type="function" name="dbus_server_setup ()" link="ibus-ibusinternal.html#dbus-server-setup"/>
-    <keyword type="function" name="dbus_connection_setup ()" link="ibus-ibusinternal.html#dbus-connection-setup"/>
-    <keyword type="macro" name="ibus_marshal_VOID__VOID" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--VOID"/>
-    <keyword type="macro" name="ibus_marshal_VOID__NONE" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--NONE"/>
-    <keyword type="macro" name="ibus_marshal_VOID__OBJECT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT"/>
-    <keyword type="macro" name="ibus_marshal_VOID__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--POINTER"/>
-    <keyword type="macro" name="ibus_marshal_VOID__STRING" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING"/>
-    <keyword type="function" name="ibus_marshal_VOID__STRING_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-INT"/>
-    <keyword type="function" name="ibus_marshal_VOID__STRING_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-UINT"/>
-    <keyword type="function" name="ibus_marshal_BOOLEAN__POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER"/>
-    <keyword type="macro" name="ibus_marshal_BOOL__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER"/>
-    <keyword type="function" name="ibus_marshal_BOOLEAN__POINTER_POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER-POINTER"/>
-    <keyword type="macro" name="ibus_marshal_BOOL__POINTER_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER-POINTER"/>
-    <keyword type="function" name="ibus_marshal_BOOLEAN__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT"/>
-    <keyword type="macro" name="ibus_marshal_BOOL__UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT"/>
-    <keyword type="function" name="ibus_marshal_BOOLEAN__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT-UINT"/>
-    <keyword type="macro" name="ibus_marshal_BOOL__UINT_UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT-UINT"/>
-    <keyword type="function" name="ibus_marshal_BOOLEAN__ULONG ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--ULONG"/>
-    <keyword type="macro" name="ibus_marshal_BOOL__ULONG" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--ULONG"/>
-    <keyword type="function" name="ibus_marshal_VOID__INT_INT_INT_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--INT-INT-INT-INT"/>
-    <keyword type="function" name="ibus_marshal_VOID__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT"/>
-    <keyword type="function" name="ibus_marshal_VOID__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT-UINT"/>
-    <keyword type="function" name="ibus_marshal_VOID__OBJECT_UINT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOLEAN"/>
-    <keyword type="macro" name="ibus_marshal_VOID__OBJECT_UINT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOL"/>
-    <keyword type="function" name="ibus_marshal_VOID__OBJECT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOLEAN"/>
-    <keyword type="macro" name="ibus_marshal_VOID__OBJECT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOL"/>
-    <keyword type="function" name="ibus_marshal_VOID__BOXED_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOLEAN"/>
-    <keyword type="macro" name="ibus_marshal_VOID__BOXED_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOL"/>
-    <keyword type="macro" name="ibus_marshal_VOID__BOXED" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED"/>
-    <keyword type="function" name="ibus_marshal_VOID__STRING_STRING_BOXED ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-BOXED"/>
-    <keyword type="function" name="ibus_marshal_VOID__STRING_STRING_STRING ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-STRING"/>
-    <keyword type="macro" name="ibus_marshal_VOID__UINT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT"/>
-    <keyword type="macro" name="ibus_marshal_VOID__UINT_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-POINTER"/>
+    <keyword type="function" name="IBusIBusMessageFunc ()" link="IBusConnection.html#IBusIBusMessageFunc"/>
+    <keyword type="function" name="IBusIBusSignalFunc ()" link="IBusConnection.html#IBusIBusSignalFunc"/>
+    <keyword type="function" name="IBusMessageFunc ()" link="IBusConnection.html#IBusMessageFunc"/>
+    <keyword type="struct" name="IBusConnection" link="IBusConnection.html#IBusConnection-struct"/>
+    <keyword type="function" name="ibus_connection_new ()" link="IBusConnection.html#ibus-connection-new"/>
+    <keyword type="function" name="ibus_connection_set_connection ()" link="IBusConnection.html#ibus-connection-set-connection"/>
+    <keyword type="function" name="ibus_connection_open ()" link="IBusConnection.html#ibus-connection-open"/>
+    <keyword type="function" name="ibus_connection_open_private ()" link="IBusConnection.html#ibus-connection-open-private"/>
+    <keyword type="function" name="ibus_connection_close ()" link="IBusConnection.html#ibus-connection-close"/>
+    <keyword type="function" name="ibus_connection_is_connected ()" link="IBusConnection.html#ibus-connection-is-connected"/>
+    <keyword type="function" name="ibus_connection_is_authenticated ()" link="IBusConnection.html#ibus-connection-is-authenticated"/>
+    <keyword type="function" name="ibus_connection_get_connection ()" link="IBusConnection.html#ibus-connection-get-connection"/>
+    <keyword type="function" name="ibus_connection_get_unix_user ()" link="IBusConnection.html#ibus-connection-get-unix-user"/>
+    <keyword type="function" name="ibus_connection_read_write_dispatch ()" link="IBusConnection.html#ibus-connection-read-write-dispatch"/>
+    <keyword type="function" name="ibus_connection_send ()" link="IBusConnection.html#ibus-connection-send"/>
+    <keyword type="function" name="ibus_connection_send_signal ()" link="IBusConnection.html#ibus-connection-send-signal"/>
+    <keyword type="function" name="ibus_connection_send_signal_valist ()" link="IBusConnection.html#ibus-connection-send-signal-valist"/>
+    <keyword type="function" name="ibus_connection_send_valist ()" link="IBusConnection.html#ibus-connection-send-valist"/>
+    <keyword type="function" name="ibus_connection_send_with_reply ()" link="IBusConnection.html#ibus-connection-send-with-reply"/>
+    <keyword type="function" name="ibus_connection_send_with_reply_and_block ()" link="IBusConnection.html#ibus-connection-send-with-reply-and-block"/>
+    <keyword type="function" name="ibus_connection_call ()" link="IBusConnection.html#ibus-connection-call"/>
+    <keyword type="function" name="ibus_connection_flush ()" link="IBusConnection.html#ibus-connection-flush"/>
+    <keyword type="function" name="ibus_connection_register_object_path ()" link="IBusConnection.html#ibus-connection-register-object-path"/>
+    <keyword type="function" name="ibus_connection_unregister_object_path ()" link="IBusConnection.html#ibus-connection-unregister-object-path"/>
+    <keyword type="signal" name="The &quot;authenticate-unix-user&quot; signal" link="IBusConnection.html#IBusConnection-authenticate-unix-user"/>
+    <keyword type="signal" name="The &quot;disconnected&quot; signal" link="IBusConnection.html#IBusConnection-disconnected"/>
+    <keyword type="signal" name="The &quot;ibus-message&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message"/>
+    <keyword type="signal" name="The &quot;ibus-message-sent&quot; signal" link="IBusConnection.html#IBusConnection-ibus-message-sent"/>
+    <keyword type="signal" name="The &quot;ibus-signal&quot; signal" link="IBusConnection.html#IBusConnection-ibus-signal"/>
+    <keyword type="function" name="DBusConnectionSetupFunc ()" link="ibus-ibusmainloop.html#DBusConnectionSetupFunc"/>
+    <keyword type="function" name="DBusServerSetupFunc ()" link="ibus-ibusmainloop.html#DBusServerSetupFunc"/>
+    <keyword type="function" name="ibus_mainloop_setup ()" link="ibus-ibusmainloop.html#ibus-mainloop-setup"/>
+    <keyword type="function" name="ibus_dbus_server_setup ()" link="ibus-ibusmainloop.html#ibus-dbus-server-setup"/>
+    <keyword type="function" name="ibus_dbus_connection_setup ()" link="ibus-ibusmainloop.html#ibus-dbus-connection-setup"/>
     <keyword type="macro" name="IBUS_TYPE_OBJECT_PATH" link="ibus-ibusmessage.html#IBUS-TYPE-OBJECT-PATH--CAPS"/>
     <keyword type="macro" name="IBUS_TYPE_ARRAY" link="ibus-ibusmessage.html#IBUS-TYPE-ARRAY--CAPS"/>
     <keyword type="macro" name="IBUS_TYPE_STRUCT" link="ibus-ibusmessage.html#IBUS-TYPE-STRUCT--CAPS"/>
@@ -2385,15 +2332,6 @@
     <keyword type="function" name="ibus_message_iter_get_arg_type ()" link="ibus-ibusmessage.html#ibus-message-iter-get-arg-type"/>
     <keyword type="function" name="ibus_message_iter_get_element_type ()" link="ibus-ibusmessage.html#ibus-message-iter-get-element-type"/>
     <keyword type="function" name="ibus_message_to_string ()" link="ibus-ibusmessage.html#ibus-message-to-string"/>
-    <keyword type="enum" name="enum IBusObjectFlags" link="IBusObject.html#IBusObjectFlags"/>
-    <keyword type="macro" name="IBUS_OBJECT_FLAGS()" link="IBusObject.html#IBUS-OBJECT-FLAGS--CAPS"/>
-    <keyword type="macro" name="IBUS_OBJECT_SET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-SET-FLAGS--CAPS"/>
-    <keyword type="macro" name="IBUS_OBJECT_UNSET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-UNSET-FLAGS--CAPS"/>
-    <keyword type="macro" name="IBUS_OBJECT_DESTROYED()" link="IBusObject.html#IBUS-OBJECT-DESTROYED--CAPS"/>
-    <keyword type="struct" name="IBusObject" link="IBusObject.html#IBusObject-struct"/>
-    <keyword type="function" name="ibus_object_new ()" link="IBusObject.html#ibus-object-new"/>
-    <keyword type="function" name="ibus_object_destroy ()" link="IBusObject.html#ibus-object-destroy"/>
-    <keyword type="signal" name="The &quot;destroy&quot; signal" link="IBusObject.html#IBusObject-destroy"/>
     <keyword type="struct" name="IBusObservedPath" link="IBusObservedPath.html#IBusObservedPath-struct"/>
     <keyword type="function" name="ibus_observed_path_new_from_xml_node ()" link="IBusObservedPath.html#ibus-observed-path-new-from-xml-node"/>
     <keyword type="function" name="ibus_observed_path_new ()" link="IBusObservedPath.html#ibus-observed-path-new"/>
@@ -2433,31 +2371,6 @@
     <keyword type="property" name="The &quot;name&quot; property" link="IBusProxy.html#IBusProxy--name"/>
     <keyword type="property" name="The &quot;path&quot; property" link="IBusProxy.html#IBusProxy--path"/>
     <keyword type="signal" name="The &quot;ibus-signal&quot; signal" link="IBusProxy.html#IBusProxy-ibus-signal"/>
-    <keyword type="function" name="IBusNewConnectionFunc ()" link="IBusServer.html#IBusNewConnectionFunc"/>
-    <keyword type="struct" name="IBusServer" link="IBusServer.html#IBusServer-struct"/>
-    <keyword type="function" name="ibus_server_new ()" link="IBusServer.html#ibus-server-new"/>
-    <keyword type="function" name="ibus_server_listen ()" link="IBusServer.html#ibus-server-listen"/>
-    <keyword type="function" name="ibus_server_disconnect ()" link="IBusServer.html#ibus-server-disconnect"/>
-    <keyword type="function" name="ibus_server_get_address ()" link="IBusServer.html#ibus-server-get-address"/>
-    <keyword type="function" name="ibus_server_get_id ()" link="IBusServer.html#ibus-server-get-id"/>
-    <keyword type="function" name="ibus_server_is_connected ()" link="IBusServer.html#ibus-server-is-connected"/>
-    <keyword type="function" name="ibus_server_set_auth_mechanisms ()" link="IBusServer.html#ibus-server-set-auth-mechanisms"/>
-    <keyword type="property" name="The &quot;connection-type&quot; property" link="IBusServer.html#IBusServer--connection-type"/>
-    <keyword type="signal" name="The &quot;new-connection&quot; signal" link="IBusServer.html#IBusServer-new-connection"/>
-    <keyword type="function" name="ServiceIBusMessageFunc ()" link="IBusService.html#ServiceIBusMessageFunc"/>
-    <keyword type="function" name="ServiceIBusSignalFunc ()" link="IBusService.html#ServiceIBusSignalFunc"/>
-    <keyword type="struct" name="IBusService" link="IBusService.html#IBusService-struct"/>
-    <keyword type="function" name="ibus_service_new ()" link="IBusService.html#ibus-service-new"/>
-    <keyword type="function" name="ibus_service_get_path ()" link="IBusService.html#ibus-service-get-path"/>
-    <keyword type="function" name="ibus_service_handle_message ()" link="IBusService.html#ibus-service-handle-message"/>
-    <keyword type="function" name="ibus_service_add_to_connection ()" link="IBusService.html#ibus-service-add-to-connection"/>
-    <keyword type="function" name="ibus_service_get_connections ()" link="IBusService.html#ibus-service-get-connections"/>
-    <keyword type="function" name="ibus_service_remove_from_connection ()" link="IBusService.html#ibus-service-remove-from-connection"/>
-    <keyword type="function" name="ibus_service_remove_from_all_connections ()" link="IBusService.html#ibus-service-remove-from-all-connections"/>
-    <keyword type="function" name="ibus_service_send_signal ()" link="IBusService.html#ibus-service-send-signal"/>
-    <keyword type="property" name="The &quot;path&quot; property" link="IBusService.html#IBusService--path"/>
-    <keyword type="signal" name="The &quot;ibus-message&quot; signal" link="IBusService.html#IBusService-ibus-message"/>
-    <keyword type="signal" name="The &quot;ibus-signal&quot; signal" link="IBusService.html#IBusService-ibus-signal"/>
     <keyword type="macro" name="ibus_serializable_set_attachment()" link="IBusSerializable.html#ibus-serializable-set-attachment"/>
     <keyword type="macro" name="ibus_serializable_get_attachment()" link="IBusSerializable.html#ibus-serializable-get-attachment"/>
     <keyword type="macro" name="ibus_serializable_remove_attachment()" link="IBusSerializable.html#ibus-serializable-remove-attachment"/>
@@ -2472,6 +2385,100 @@
     <keyword type="function" name="ibus_serializable_copy ()" link="IBusSerializable.html#ibus-serializable-copy"/>
     <keyword type="function" name="ibus_serializable_serialize ()" link="IBusSerializable.html#ibus-serializable-serialize"/>
     <keyword type="function" name="ibus_serializable_deserialize ()" link="IBusSerializable.html#ibus-serializable-deserialize"/>
+    <keyword type="function" name="ServiceIBusMessageFunc ()" link="IBusService.html#ServiceIBusMessageFunc"/>
+    <keyword type="function" name="ServiceIBusSignalFunc ()" link="IBusService.html#ServiceIBusSignalFunc"/>
+    <keyword type="struct" name="IBusService" link="IBusService.html#IBusService-struct"/>
+    <keyword type="function" name="ibus_service_new ()" link="IBusService.html#ibus-service-new"/>
+    <keyword type="function" name="ibus_service_get_path ()" link="IBusService.html#ibus-service-get-path"/>
+    <keyword type="function" name="ibus_service_handle_message ()" link="IBusService.html#ibus-service-handle-message"/>
+    <keyword type="function" name="ibus_service_add_to_connection ()" link="IBusService.html#ibus-service-add-to-connection"/>
+    <keyword type="function" name="ibus_service_get_connections ()" link="IBusService.html#ibus-service-get-connections"/>
+    <keyword type="function" name="ibus_service_remove_from_connection ()" link="IBusService.html#ibus-service-remove-from-connection"/>
+    <keyword type="function" name="ibus_service_remove_from_all_connections ()" link="IBusService.html#ibus-service-remove-from-all-connections"/>
+    <keyword type="function" name="ibus_service_send_signal ()" link="IBusService.html#ibus-service-send-signal"/>
+    <keyword type="property" name="The &quot;path&quot; property" link="IBusService.html#IBusService--path"/>
+    <keyword type="signal" name="The &quot;ibus-message&quot; signal" link="IBusService.html#IBusService-ibus-message"/>
+    <keyword type="signal" name="The &quot;ibus-signal&quot; signal" link="IBusService.html#IBusService-ibus-signal"/>
+    <keyword type="struct" name="XMLNode" link="ibus-ibusxml.html#XMLNode"/>
+    <keyword type="function" name="ibus_xml_parse_file ()" link="ibus-ibusxml.html#ibus-xml-parse-file"/>
+    <keyword type="function" name="ibus_xml_parse_buffer ()" link="ibus-ibusxml.html#ibus-xml-parse-buffer"/>
+    <keyword type="function" name="ibus_xml_free ()" link="ibus-ibusxml.html#ibus-xml-free"/>
+    <keyword type="function" name="ibus_xml_output ()" link="ibus-ibusxml.html#ibus-xml-output"/>
+    <keyword type="macro" name="ibus_warning()" link="ibus-ibusdebug.html#ibus-warning"/>
+    <keyword type="function" name="ibus_object_flags_get_type ()" link="ibus-ibusenumtypes.html#ibus-object-flags-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_OBJECT_FLAGS" link="ibus-ibusenumtypes.html#IBUS-TYPE-OBJECT-FLAGS--CAPS"/>
+    <keyword type="function" name="ibus_attr_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-type-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_ATTR_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-TYPE--CAPS"/>
+    <keyword type="function" name="ibus_attr_underline_get_type ()" link="ibus-ibusenumtypes.html#ibus-attr-underline-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_ATTR_UNDERLINE" link="ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-UNDERLINE--CAPS"/>
+    <keyword type="function" name="ibus_prop_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-type-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_PROP_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-TYPE--CAPS"/>
+    <keyword type="function" name="ibus_prop_state_get_type ()" link="ibus-ibusenumtypes.html#ibus-prop-state-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_PROP_STATE" link="ibus-ibusenumtypes.html#IBUS-TYPE-PROP-STATE--CAPS"/>
+    <keyword type="function" name="ibus_modifier_type_get_type ()" link="ibus-ibusenumtypes.html#ibus-modifier-type-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_MODIFIER_TYPE" link="ibus-ibusenumtypes.html#IBUS-TYPE-MODIFIER-TYPE--CAPS"/>
+    <keyword type="function" name="ibus_capabilite_get_type ()" link="ibus-ibusenumtypes.html#ibus-capabilite-get-type"/>
+    <keyword type="macro" name="IBUS_TYPE_CAPABILITE" link="ibus-ibusenumtypes.html#IBUS-TYPE-CAPABILITE--CAPS"/>
+    <keyword type="typedef" name="IBusError" link="ibus-ibuserror.html#IBusError"/>
+    <keyword type="function" name="ibus_error_new ()" link="ibus-ibuserror.html#ibus-error-new"/>
+    <keyword type="function" name="ibus_error_new_from_text ()" link="ibus-ibuserror.html#ibus-error-new-from-text"/>
+    <keyword type="function" name="ibus_error_new_from_printf ()" link="ibus-ibuserror.html#ibus-error-new-from-printf"/>
+    <keyword type="function" name="ibus_error_new_from_message ()" link="ibus-ibuserror.html#ibus-error-new-from-message"/>
+    <keyword type="function" name="ibus_error_free ()" link="ibus-ibuserror.html#ibus-error-free"/>
+    <keyword type="macro" name="I_()" link="ibus-ibusinternal.html#I---CAPS"/>
+    <keyword type="function" name="dbus_server_setup ()" link="ibus-ibusinternal.html#dbus-server-setup"/>
+    <keyword type="function" name="dbus_connection_setup ()" link="ibus-ibusinternal.html#dbus-connection-setup"/>
+    <keyword type="macro" name="ibus_marshal_VOID__VOID" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--VOID"/>
+    <keyword type="macro" name="ibus_marshal_VOID__NONE" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--NONE"/>
+    <keyword type="macro" name="ibus_marshal_VOID__OBJECT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT"/>
+    <keyword type="macro" name="ibus_marshal_VOID__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--POINTER"/>
+    <keyword type="macro" name="ibus_marshal_VOID__STRING" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING"/>
+    <keyword type="function" name="ibus_marshal_VOID__STRING_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-INT"/>
+    <keyword type="function" name="ibus_marshal_VOID__STRING_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-UINT"/>
+    <keyword type="function" name="ibus_marshal_BOOLEAN__POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER"/>
+    <keyword type="macro" name="ibus_marshal_BOOL__POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER"/>
+    <keyword type="function" name="ibus_marshal_BOOLEAN__POINTER_POINTER ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER-POINTER"/>
+    <keyword type="macro" name="ibus_marshal_BOOL__POINTER_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER-POINTER"/>
+    <keyword type="function" name="ibus_marshal_BOOLEAN__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT"/>
+    <keyword type="macro" name="ibus_marshal_BOOL__UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT"/>
+    <keyword type="function" name="ibus_marshal_BOOLEAN__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT-UINT"/>
+    <keyword type="macro" name="ibus_marshal_BOOL__UINT_UINT_UINT" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT-UINT"/>
+    <keyword type="function" name="ibus_marshal_BOOLEAN__ULONG ()" link="ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--ULONG"/>
+    <keyword type="macro" name="ibus_marshal_BOOL__ULONG" link="ibus-ibusmarshalers.html#ibus-marshal-BOOL--ULONG"/>
+    <keyword type="function" name="ibus_marshal_VOID__INT_INT_INT_INT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--INT-INT-INT-INT"/>
+    <keyword type="function" name="ibus_marshal_VOID__UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT"/>
+    <keyword type="function" name="ibus_marshal_VOID__UINT_UINT_UINT ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT-UINT"/>
+    <keyword type="function" name="ibus_marshal_VOID__OBJECT_UINT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOLEAN"/>
+    <keyword type="macro" name="ibus_marshal_VOID__OBJECT_UINT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOL"/>
+    <keyword type="function" name="ibus_marshal_VOID__OBJECT_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOLEAN"/>
+    <keyword type="macro" name="ibus_marshal_VOID__OBJECT_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOL"/>
+    <keyword type="function" name="ibus_marshal_VOID__BOXED_BOOLEAN ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOLEAN"/>
+    <keyword type="macro" name="ibus_marshal_VOID__BOXED_BOOL" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOL"/>
+    <keyword type="macro" name="ibus_marshal_VOID__BOXED" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED"/>
+    <keyword type="function" name="ibus_marshal_VOID__STRING_STRING_BOXED ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-BOXED"/>
+    <keyword type="function" name="ibus_marshal_VOID__STRING_STRING_STRING ()" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-STRING"/>
+    <keyword type="macro" name="ibus_marshal_VOID__UINT" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT"/>
+    <keyword type="macro" name="ibus_marshal_VOID__UINT_POINTER" link="ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-POINTER"/>
+    <keyword type="enum" name="enum IBusObjectFlags" link="IBusObject.html#IBusObjectFlags"/>
+    <keyword type="macro" name="IBUS_OBJECT_FLAGS()" link="IBusObject.html#IBUS-OBJECT-FLAGS--CAPS"/>
+    <keyword type="macro" name="IBUS_OBJECT_SET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-SET-FLAGS--CAPS"/>
+    <keyword type="macro" name="IBUS_OBJECT_UNSET_FLAGS()" link="IBusObject.html#IBUS-OBJECT-UNSET-FLAGS--CAPS"/>
+    <keyword type="macro" name="IBUS_OBJECT_DESTROYED()" link="IBusObject.html#IBUS-OBJECT-DESTROYED--CAPS"/>
+    <keyword type="struct" name="IBusObject" link="IBusObject.html#IBusObject-struct"/>
+    <keyword type="function" name="ibus_object_new ()" link="IBusObject.html#ibus-object-new"/>
+    <keyword type="function" name="ibus_object_destroy ()" link="IBusObject.html#ibus-object-destroy"/>
+    <keyword type="signal" name="The &quot;destroy&quot; signal" link="IBusObject.html#IBusObject-destroy"/>
+    <keyword type="function" name="IBusNewConnectionFunc ()" link="IBusServer.html#IBusNewConnectionFunc"/>
+    <keyword type="struct" name="IBusServer" link="IBusServer.html#IBusServer-struct"/>
+    <keyword type="function" name="ibus_server_new ()" link="IBusServer.html#ibus-server-new"/>
+    <keyword type="function" name="ibus_server_listen ()" link="IBusServer.html#ibus-server-listen"/>
+    <keyword type="function" name="ibus_server_disconnect ()" link="IBusServer.html#ibus-server-disconnect"/>
+    <keyword type="function" name="ibus_server_get_address ()" link="IBusServer.html#ibus-server-get-address"/>
+    <keyword type="function" name="ibus_server_get_id ()" link="IBusServer.html#ibus-server-get-id"/>
+    <keyword type="function" name="ibus_server_is_connected ()" link="IBusServer.html#ibus-server-is-connected"/>
+    <keyword type="function" name="ibus_server_set_auth_mechanisms ()" link="IBusServer.html#ibus-server-set-auth-mechanisms"/>
+    <keyword type="property" name="The &quot;connection-type&quot; property" link="IBusServer.html#IBusServer--connection-type"/>
+    <keyword type="signal" name="The &quot;new-connection&quot; signal" link="IBusServer.html#IBusServer-new-connection"/>
     <keyword type="macro" name="IBUS_SERVICE_IBUS" link="ibus-ibusshare.html#IBUS-SERVICE-IBUS--CAPS"/>
     <keyword type="macro" name="IBUS_SERVICE_PANEL" link="ibus-ibusshare.html#IBUS-SERVICE-PANEL--CAPS"/>
     <keyword type="macro" name="IBUS_SERVICE_CONFIG" link="ibus-ibusshare.html#IBUS-SERVICE-CONFIG--CAPS"/>
@@ -2508,6 +2515,10 @@
     <keyword type="enum" name="enum IBusCapabilite" link="ibus-ibustypes.html#IBusCapabilite"/>
     <keyword type="struct" name="IBusRectangle" link="ibus-ibustypes.html#IBusRectangle"/>
     <keyword type="function" name="IBusFreeFunc ()" link="ibus-ibustypes.html#IBusFreeFunc"/>
+    <keyword type="macro" name="IBUS_MAJOR_VERSION" link="ibus-ibusversion.html#IBUS-MAJOR-VERSION--CAPS"/>
+    <keyword type="macro" name="IBUS_MINOR_VERSION" link="ibus-ibusversion.html#IBUS-MINOR-VERSION--CAPS"/>
+    <keyword type="macro" name="IBUS_MICRO_VERSION" link="ibus-ibusversion.html#IBUS-MICRO-VERSION--CAPS"/>
+    <keyword type="macro" name="IBUS_CHECK_VERSION()" link="ibus-ibusversion.html#IBUS-CHECK-VERSION--CAPS"/>
     <keyword type="struct" name="gdk_key" link="ibus-keyname-table.html#gdk-key"/>
     <keyword type="constant" name="IBUS_ATTR_TYPE_UNDERLINE" link="IBusAttribute.html#IBUS-ATTR-TYPE-UNDERLINE--CAPS"/>
     <keyword type="constant" name="IBUS_ATTR_TYPE_FOREGROUND" link="IBusAttribute.html#IBUS-ATTR-TYPE-FOREGROUND--CAPS"/>
@@ -2516,6 +2527,7 @@
     <keyword type="constant" name="IBUS_ATTR_UNDERLINE_SINGLE" link="IBusAttribute.html#IBUS-ATTR-UNDERLINE-SINGLE--CAPS"/>
     <keyword type="constant" name="IBUS_ATTR_UNDERLINE_DOUBLE" link="IBusAttribute.html#IBUS-ATTR-UNDERLINE-DOUBLE--CAPS"/>
     <keyword type="constant" name="IBUS_ATTR_UNDERLINE_LOW" link="IBusAttribute.html#IBUS-ATTR-UNDERLINE-LOW--CAPS"/>
+    <keyword type="constant" name="IBUS_ATTR_UNDERLINE_ERROR" link="IBusAttribute.html#IBUS-ATTR-UNDERLINE-ERROR--CAPS"/>
     <keyword type="constant" name="PROP_TYPE_NORMAL" link="IBusProperty.html#PROP-TYPE-NORMAL--CAPS"/>
     <keyword type="constant" name="PROP_TYPE_TOGGLE" link="IBusProperty.html#PROP-TYPE-TOGGLE--CAPS"/>
     <keyword type="constant" name="PROP_TYPE_RADIO" link="IBusProperty.html#PROP-TYPE-RADIO--CAPS"/>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusEngineDesc.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusEngineDesc.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusEngineDesc.html	2009-09-04 11:38:40.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusEngineDesc.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusEngineDesc</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
 <link rel="up" href="ch03.html" title="Input method engine">
 <link rel="prev" href="IBusEngine.html" title="IBusEngine">
 <link rel="next" href="IBusFactory.html" title="IBusFactory">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="IBusEngine.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusFactory.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -91,9 +91,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusEngineDesc
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusEngineDesc
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusEngine.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusEngine.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusEngine.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusEngine.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusEngine</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
 <link rel="up" href="ch03.html" title="Input method engine">
-<link rel="prev" href="IBusConnection.html" title="IBusConnection">
+<link rel="prev" href="IBusComponent.html" title="IBusComponent">
 <link rel="next" href="IBusEngineDesc.html" title="IBusEngineDesc">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusConnection.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="IBusComponent.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusEngineDesc.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -118,9 +118,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
-               +----IBusEngine
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
+                     +----IBusEngine
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusFactory.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusFactory.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusFactory.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusFactory.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusFactory</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
 <link rel="up" href="ch03.html" title="Input method engine">
 <link rel="prev" href="IBusEngineDesc.html" title="IBusEngineDesc">
-<link rel="next" href="ibus-IBusKeymap.html" title="IBusKeymap">
+<link rel="next" href="IBusInputContext.html" title="IBusInputContext">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,8 +22,8 @@
 <td><a accesskey="p" href="IBusEngineDesc.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="ibus-IBusKeymap.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusInputContext.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusFactory.synopsis" class="shortcut">Top</a>
@@ -95,17 +95,23 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
-               +----IBusFactory
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
+                     +----IBusFactory
 </pre>
 <pre class="synopsis">
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusFactoryInfo
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusFactoryInfo
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusHotkeyProfile.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusHotkeyProfile.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusHotkeyProfile.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusHotkeyProfile.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusHotkeyProfile</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch02.html" title="User Interfaces">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="prev" href="IBusAttribute.html" title="IBusAttribute">
 <link rel="next" href="IBusLookupTable.html" title="IBusLookupTable">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="IBusAttribute.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch02.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusLookupTable.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -117,9 +117,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusHotkeyProfile
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusHotkeyProfile
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusdebug.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusdebug.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusdebug.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusdebug.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusdebug</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="ch05.html" title="Internal">
 <link rel="next" href="ibus-ibusenumtypes.html" title="ibusenumtypes">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="ch05.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibusenumtypes.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusenumtypes.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusenumtypes.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusenumtypes.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusenumtypes.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusenumtypes</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
 <link rel="prev" href="ibus-ibusdebug.html" title="ibusdebug">
 <link rel="next" href="ibus-ibuserror.html" title="ibuserror">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="ibus-ibusdebug.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibuserror.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibuserror.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibuserror.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibuserror.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibuserror.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibuserror</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
 <link rel="prev" href="ibus-ibusenumtypes.html" title="ibusenumtypes">
-<link rel="next" href="IBusInputContext.html" title="IBusInputContext">
+<link rel="next" href="ibus-ibusinternal.html" title="ibusinternal">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,8 +22,8 @@
 <td><a accesskey="p" href="ibus-ibusenumtypes.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusInputContext.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-ibusinternal.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#ibus-ibuserror.synopsis" class="shortcut">Top</a>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusinternal.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusinternal.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusinternal.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusinternal.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusinternal</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="IBusInputContext.html" title="IBusInputContext">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="ibus-ibuserror.html" title="ibuserror">
 <link rel="next" href="ibus-ibusmarshalers.html" title="ibusmarshalers">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusInputContext.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="ibus-ibuserror.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibusmarshalers.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-IBusKeymap.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-IBusKeymap.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-IBusKeymap.html	2009-09-04 11:38:40.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-IBusKeymap.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusKeymap</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
 <link rel="up" href="ch03.html" title="Input method engine">
-<link rel="prev" href="IBusFactory.html" title="IBusFactory">
+<link rel="prev" href="IBusInputContext.html" title="IBusInputContext">
 <link rel="next" href="ibus-ibuskeysyms.html" title="ibuskeysyms">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusFactory.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="IBusInputContext.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibuskeysyms.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibuskeysyms.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibuskeysyms.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibuskeysyms.html	2009-09-04 11:38:40.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibuskeysyms.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibuskeysyms</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
+<link rel="home" href="index.html" title="IBus Reference Manual">
 <link rel="up" href="ch03.html" title="Input method engine">
 <link rel="prev" href="ibus-IBusKeymap.html" title="IBusKeymap">
-<link rel="next" href="ch04.html" title="Configuration">
+<link rel="next" href="ch04.html" title="Communication and Configuration">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="ibus-IBusKeymap.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ch04.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusmainloop.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusmainloop.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusmainloop.html	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusmainloop.html	2009-10-24 04:23:54.000000000 +0100
@@ -0,0 +1,240 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>ibusmainloop</title>
+<meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="IBusConnection.html" title="IBusConnection">
+<link rel="next" href="ibus-ibusmessage.html" title="ibusmessage">
+<meta name="generator" content="GTK-Doc V1.11 (XML mode)">
+<link rel="stylesheet" href="style.css" type="text/css">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
+<link rel="chapter" href="ch03.html" title="Input method engine">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
+</head>
+<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
+<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
+<tr valign="middle">
+<td><a accesskey="p" href="IBusConnection.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-ibusmessage.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+</tr>
+<tr><td colspan="5" class="shortcuts">
+<a href="#ibus-ibusmainloop.synopsis" class="shortcut">Top</a>
+                 | 
+                <a href="#ibus-ibusmainloop.description" class="shortcut">Description</a>
+</td></tr>
+</table>
+<div class="refentry" lang="en">
+<a name="ibus-ibusmainloop"></a><div class="titlepage"></div>
+<div class="refnamediv"><table width="100%"><tr>
+<td valign="top">
+<h2><span class="refentrytitle"><a name="ibus-ibusmainloop.top_of_page"></a>ibusmainloop</span></h2>
+<p>ibusmainloop — DBus server and connection setup functions.</p>
+</td>
+<td valign="top" align="right"></td>
+</tr></table></div>
+<div class="refsect1" lang="en">
+<a name="ibus-ibusmainloop.stability-level"></a><h2>Stability Level</h2>
+Stable, unless otherwise indicated
+</div>
+<div class="refsynopsisdiv">
+<a name="ibus-ibusmainloop.synopsis"></a><h2>Synopsis</h2>
+<pre class="synopsis">
+void                (<a class="link" href="ibus-ibusmainloop.html#DBusConnectionSetupFunc" title="DBusConnectionSetupFunc ()">*DBusConnectionSetupFunc</a>)          (DBusConnection *connection,
+                                                         <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
+>gpointer</a> user_data);
+void                (<a class="link" href="ibus-ibusmainloop.html#DBusServerSetupFunc" title="DBusServerSetupFunc ()">*DBusServerSetupFunc</a>)              (DBusServer *server,
+                                                         <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
+>gpointer</a> user_data);
+void                <a class="link" href="ibus-ibusmainloop.html#ibus-mainloop-setup" title="ibus_mainloop_setup ()">ibus_mainloop_setup</a>                 (<a class="link" href="ibus-ibusmainloop.html#DBusConnectionSetupFunc" title="DBusConnectionSetupFunc ()">DBusConnectionSetupFunc</a> connection_func,
+                                                         <a class="link" href="ibus-ibusmainloop.html#DBusServerSetupFunc" title="DBusServerSetupFunc ()">DBusServerSetupFunc</a> server_func,
+                                                         <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
+>gpointer</a> user_data);
+void                <a class="link" href="ibus-ibusmainloop.html#ibus-dbus-server-setup" title="ibus_dbus_server_setup ()">ibus_dbus_server_setup</a>              (DBusServer *server);
+void                <a class="link" href="ibus-ibusmainloop.html#ibus-dbus-connection-setup" title="ibus_dbus_connection_setup ()">ibus_dbus_connection_setup</a>          (DBusConnection *connection);
+</pre>
+</div>
+<div class="refsect1" lang="en">
+<a name="ibus-ibusmainloop.description"></a><h2>Description</h2>
+<p>
+This section defines the DBus server and connection setup functions,
+and prototypes of their callback functions.</p>
+<p>
+</p>
+</div>
+<div class="refsect1" lang="en">
+<a name="ibus-ibusmainloop.details"></a><h2>Details</h2>
+<div class="refsect2" lang="en">
+<a name="DBusConnectionSetupFunc"></a><h3>DBusConnectionSetupFunc ()</h3>
+<pre class="programlisting">void                (*DBusConnectionSetupFunc)          (DBusConnection *connection,
+                                                         <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
+>gpointer</a> user_data);</pre>
+<p>
+A prototype of callback to DBus connection setup function.</p>
+<p>
+</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>connection</code></em> :</span></p></td>
+<td> A DBusConnection
+</td>
+</tr>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>user_data</code></em> :</span></p></td>
+<td> User data to be passed to callback function.
+</td>
+</tr>
+</tbody>
+</table></div>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="DBusServerSetupFunc"></a><h3>DBusServerSetupFunc ()</h3>
+<pre class="programlisting">void                (*DBusServerSetupFunc)              (DBusServer *server,
+                                                         <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
+>gpointer</a> user_data);</pre>
+<p>
+A prototype of DBus server setup function.</p>
+<p>
+</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
+<td> A DBusConnection
+</td>
+</tr>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>user_data</code></em> :</span></p></td>
+<td> User data to be passed to callback function.
+</td>
+</tr>
+</tbody>
+</table></div>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="ibus-mainloop-setup"></a><h3>ibus_mainloop_setup ()</h3>
+<pre class="programlisting">void                ibus_mainloop_setup                 (<a class="link" href="ibus-ibusmainloop.html#DBusConnectionSetupFunc" title="DBusConnectionSetupFunc ()">DBusConnectionSetupFunc</a> connection_func,
+                                                         <a class="link" href="ibus-ibusmainloop.html#DBusServerSetupFunc" title="DBusServerSetupFunc ()">DBusServerSetupFunc</a> server_func,
+                                                         <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
+>gpointer</a> user_data);</pre>
+<p>
+Sets the watch and timeout functions of a <span class="type">DBusConnection</span>
+and <span class="type">DBusServer</span> to integrate the connection with the GLib main loop.
+</p>
+<p>
+Parameter <em class="parameter"><code>user_data</code></em> should be in type <a
+href="http://library.gnome.org/devel/glib/unstable/glib-The-Main-Event-Loop.html#GMainContext"
+><span class="type">GMainContext</span></a>.
+It will be passed to both callback functions,
+however, normally <a
+href="http://library.gnome.org/devel/glib/unstable/glib-Standard-Macros.html#NULL--CAPS"
+><code class="literal">NULL</code></a> is sufficient.
+</p>
+<p>
+If called twice for the same user_data, does nothing the second
+time. If called once with user_data A and once with user_data B,
+user_data B replaces user_data A as the context monitoring the
+connection.
+</p>
+<p>
+<em class="parameter"><code>see_also</code></em>: <a class="link" href="ibus-ibusmainloop.html#ibus-dbus-connection-setup" title="ibus_dbus_connection_setup ()"><code class="function">ibus_dbus_connection_setup()</code></a>, <a class="link" href="ibus-ibusmainloop.html#ibus-dbus-server-setup" title="ibus_dbus_server_setup ()"><code class="function">ibus_dbus_server_setup()</code></a>.</p>
+<p>
+</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>connection_func</code></em> :</span></p></td>
+<td> A DBus connection setup function.
+</td>
+</tr>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>server_func</code></em> :</span></p></td>
+<td> A prototype of DBus server setup function.
+</td>
+</tr>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>user_data</code></em> :</span></p></td>
+<td> User data to be passed to callback function.
+</td>
+</tr>
+</tbody>
+</table></div>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="ibus-dbus-server-setup"></a><h3>ibus_dbus_server_setup ()</h3>
+<pre class="programlisting">void                ibus_dbus_server_setup              (DBusServer *server);</pre>
+<p>
+Sets the watch and timeout functions of a <span class="type">DBusServer</span>
+to integrate the server with the GLib main loop.
+</p>
+<p>
+This function uses the parameter <em class="parameter"><code>user_data</code></em> and
+server_func set with <a class="link" href="ibus-ibusmainloop.html#ibus-mainloop-setup" title="ibus_mainloop_setup ()"><code class="function">ibus_mainloop_setup()</code></a>,
+or fall back to NULL and <a class="link" href="ibus-ibusinternal.html#dbus-server-setup" title="dbus_server_setup ()"><code class="function">dbus_server_setup()</code></a> if those are not defined.
+</p>
+<p>
+<em class="parameter"><code>see_also</code></em>: <a class="link" href="ibus-ibusmainloop.html#ibus-mainloop-setup" title="ibus_mainloop_setup ()"><code class="function">ibus_mainloop_setup()</code></a>, <a class="link" href="ibus-ibusinternal.html#dbus-server-setup" title="dbus_server_setup ()"><code class="function">dbus_server_setup()</code></a>.</p>
+<p>
+</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody><tr>
+<td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
+<td> A DBusServer.
+</td>
+</tr></tbody>
+</table></div>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="ibus-dbus-connection-setup"></a><h3>ibus_dbus_connection_setup ()</h3>
+<pre class="programlisting">void                ibus_dbus_connection_setup          (DBusConnection *connection);</pre>
+<p>
+Sets the watch and timeout functions of a <span class="type">DBusConnection</span>
+to integrate the connection with the GLib main loop.
+</p>
+<p>
+This function uses the parameter <em class="parameter"><code>user_data</code></em> and
+connection_func set with <a class="link" href="ibus-ibusmainloop.html#ibus-mainloop-setup" title="ibus_mainloop_setup ()"><code class="function">ibus_mainloop_setup()</code></a>,
+or fall back to NULL and <a class="link" href="ibus-ibusinternal.html#dbus-connection-setup" title="dbus_connection_setup ()"><code class="function">dbus_connection_setup()</code></a> if those are not defined.
+</p>
+<p>
+<em class="parameter"><code>see_also</code></em>: <a class="link" href="ibus-ibusmainloop.html#ibus-mainloop-setup" title="ibus_mainloop_setup ()"><code class="function">ibus_mainloop_setup()</code></a>, <a class="link" href="ibus-ibusinternal.html#dbus-connection-setup" title="dbus_connection_setup ()"><code class="function">dbus_connection_setup()</code></a>.</p>
+<p>
+</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody><tr>
+<td><p><span class="term"><em class="parameter"><code>connection</code></em> :</span></p></td>
+<td> A DBusConnection.
+</td>
+</tr></tbody>
+</table></div>
+</div>
+</div>
+</div>
+<div class="footer">
+<hr>
+          Generated by GTK-Doc V1.11</div>
+</body>
+</html>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusmarshalers.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusmarshalers.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusmarshalers.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusmarshalers.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusmarshalers</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
 <link rel="prev" href="ibus-ibusinternal.html" title="ibusinternal">
-<link rel="next" href="ibus-ibusmessage.html" title="ibusmessage">
+<link rel="next" href="IBusObject.html" title="IBusObject">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,8 +22,8 @@
 <td><a accesskey="p" href="ibus-ibusinternal.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="ibus-ibusmessage.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusObject.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#ibus-ibusmarshalers.synopsis" class="shortcut">Top</a>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusmessage.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusmessage.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusmessage.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusmessage.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusmessage</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="ibus-ibusmarshalers.html" title="ibusmarshalers">
-<link rel="next" href="IBusObject.html" title="IBusObject">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="ibus-ibusmainloop.html" title="ibusmainloop">
+<link rel="next" href="IBusObservedPath.html" title="IBusObservedPath">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="ibus-ibusmarshalers.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="ibus-ibusmainloop.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusObject.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusObservedPath.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#ibus-ibusmessage.synopsis" class="shortcut">Top</a>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibuspendingcall.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibuspendingcall.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibuspendingcall.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibuspendingcall.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibuspendingcall</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
 <link rel="prev" href="IBusObservedPath.html" title="IBusObservedPath">
 <link rel="next" href="IBusProxy.html" title="IBusProxy">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
 <td><a accesskey="p" href="IBusObservedPath.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusProxy.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusshare.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusshare.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusshare.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusshare.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusshare</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="IBusSerializable.html" title="IBusSerializable">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="IBusServer.html" title="IBusServer">
 <link rel="next" href="ibus-ibustypes.html" title="ibustypes">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusSerializable.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="IBusServer.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibustypes.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibustypes.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibustypes.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibustypes.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibustypes.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibustypes</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
 <link rel="prev" href="ibus-ibusshare.html" title="ibusshare">
-<link rel="next" href="ibus-keyname-table.html" title="keyname-table">
+<link rel="next" href="ibus-ibusversion.html" title="ibusversion">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,8 +22,8 @@
 <td><a accesskey="p" href="ibus-ibusshare.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="ibus-keyname-table.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-ibusversion.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#ibus-ibustypes.synopsis" class="shortcut">Top</a>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusversion.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusversion.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusversion.html	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusversion.html	2009-10-24 04:23:54.000000000 +0100
@@ -0,0 +1,115 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>ibusversion</title>
+<meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="ibus-ibustypes.html" title="ibustypes">
+<link rel="next" href="ibus-keyname-table.html" title="keyname-table">
+<meta name="generator" content="GTK-Doc V1.11 (XML mode)">
+<link rel="stylesheet" href="style.css" type="text/css">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
+<link rel="chapter" href="ch03.html" title="Input method engine">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
+</head>
+<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
+<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
+<tr valign="middle">
+<td><a accesskey="p" href="ibus-ibustypes.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-keyname-table.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+</tr>
+<tr><td colspan="5" class="shortcuts">
+<a href="#ibus-ibusversion.synopsis" class="shortcut">Top</a>
+                 | 
+                <a href="#ibus-ibusversion.description" class="shortcut">Description</a>
+</td></tr>
+</table>
+<div class="refentry" lang="en">
+<a name="ibus-ibusversion"></a><div class="titlepage"></div>
+<div class="refnamediv"><table width="100%"><tr>
+<td valign="top">
+<h2><span class="refentrytitle"><a name="ibus-ibusversion.top_of_page"></a>ibusversion</span></h2>
+<p>ibusversion</p>
+</td>
+<td valign="top" align="right"></td>
+</tr></table></div>
+<div class="refsynopsisdiv">
+<a name="ibus-ibusversion.synopsis"></a><h2>Synopsis</h2>
+<pre class="synopsis">
+#define             <a class="link" href="ibus-ibusversion.html#IBUS-MAJOR-VERSION--CAPS" title="IBUS_MAJOR_VERSION">IBUS_MAJOR_VERSION</a>
+#define             <a class="link" href="ibus-ibusversion.html#IBUS-MINOR-VERSION--CAPS" title="IBUS_MINOR_VERSION">IBUS_MINOR_VERSION</a>
+#define             <a class="link" href="ibus-ibusversion.html#IBUS-MICRO-VERSION--CAPS" title="IBUS_MICRO_VERSION">IBUS_MICRO_VERSION</a>
+#define             <a class="link" href="ibus-ibusversion.html#IBUS-CHECK-VERSION--CAPS" title="IBUS_CHECK_VERSION()">IBUS_CHECK_VERSION</a>                  (major,minor,micro)
+</pre>
+</div>
+<div class="refsect1" lang="en">
+<a name="ibus-ibusversion.description"></a><h2>Description</h2>
+<p>
+</p>
+</div>
+<div class="refsect1" lang="en">
+<a name="ibus-ibusversion.details"></a><h2>Details</h2>
+<div class="refsect2" lang="en">
+<a name="IBUS-MAJOR-VERSION--CAPS"></a><h3>IBUS_MAJOR_VERSION</h3>
+<pre class="programlisting">#define IBUS_MAJOR_VERSION				(1)
+</pre>
+<p>
+</p>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="IBUS-MINOR-VERSION--CAPS"></a><h3>IBUS_MINOR_VERSION</h3>
+<pre class="programlisting">#define IBUS_MINOR_VERSION				(2)
+</pre>
+<p>
+</p>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="IBUS-MICRO-VERSION--CAPS"></a><h3>IBUS_MICRO_VERSION</h3>
+<pre class="programlisting">#define IBUS_MICRO_VERSION				(0)
+</pre>
+<p>
+</p>
+</div>
+<hr>
+<div class="refsect2" lang="en">
+<a name="IBUS-CHECK-VERSION--CAPS"></a><h3>IBUS_CHECK_VERSION()</h3>
+<pre class="programlisting">#define             IBUS_CHECK_VERSION(major,minor,micro)</pre>
+<p>
+</p>
+<div class="variablelist"><table border="0">
+<col align="left" valign="top">
+<tbody>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>major</code></em> :</span></p></td>
+<td>
+</td>
+</tr>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>minor</code></em> :</span></p></td>
+<td>
+</td>
+</tr>
+<tr>
+<td><p><span class="term"><em class="parameter"><code>micro</code></em> :</span></p></td>
+<td>
+</td>
+</tr>
+</tbody>
+</table></div>
+</div>
+</div>
+</div>
+<div class="footer">
+<hr>
+          Generated by GTK-Doc V1.11</div>
+</body>
+</html>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusxml.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusxml.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-ibusxml.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-ibusxml.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>ibusxml</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch04.html" title="Configuration">
-<link rel="prev" href="IBusConfigService.html" title="IBusConfigService">
-<link rel="next" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="IBusService.html" title="IBusService">
+<link rel="next" href="ch05.html" title="Internal">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusConfigService.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="IBusService.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ch05.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusInputContext.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusInputContext.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusInputContext.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusInputContext.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusInputContext</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="ibus-ibuserror.html" title="ibuserror">
-<link rel="next" href="ibus-ibusinternal.html" title="ibusinternal">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch03.html" title="Input method engine">
+<link rel="prev" href="IBusFactory.html" title="IBusFactory">
+<link rel="next" href="ibus-IBusKeymap.html" title="IBusKeymap">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="ibus-ibuserror.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="IBusFactory.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="ibus-ibusinternal.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-IBusKeymap.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusInputContext.synopsis" class="shortcut">Top</a>
@@ -96,9 +96,12 @@ void                <a class="link" href
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusProxy.html" title="IBusProxy">IBusProxy</a>
-               +----IBusInputContext
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusProxy.html" title="IBusProxy">IBusProxy</a>
+                     +----IBusInputContext
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/ibus-keyname-table.html 1.2.0.20091024-1/docs/reference/ibus/html/ibus-keyname-table.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/ibus-keyname-table.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/ibus-keyname-table.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,24 +4,24 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>keyname-table</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="ibus-ibustypes.html" title="ibustypes">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="ibus-ibusversion.html" title="ibusversion">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="ibus-ibustypes.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="ibus-ibusversion.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td> </td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusLookupTable.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusLookupTable.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusLookupTable.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusLookupTable.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusLookupTable</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch02.html" title="User Interfaces">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="prev" href="IBusHotkeyProfile.html" title="IBusHotkeyProfile">
 <link rel="next" href="IBusProperty.html" title="IBusProperty">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="IBusHotkeyProfile.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch02.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusProperty.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -121,9 +121,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusLookupTable
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusLookupTable
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusObject.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusObject.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusObject.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusObject.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusObject</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="ibus-ibusmessage.html" title="ibusmessage">
-<link rel="next" href="IBusObservedPath.html" title="IBusObservedPath">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="ibus-ibusmarshalers.html" title="ibusmarshalers">
+<link rel="next" href="IBusServer.html" title="IBusServer">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="ibus-ibusmessage.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="ibus-ibusmarshalers.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusObservedPath.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusServer.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusObject.synopsis" class="shortcut">Top</a>
@@ -67,13 +67,16 @@ void                <a class="link" href
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----IBusObject
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-         +----<a class="link" href="IBusBus.html" title="IBusBus">IBusBus</a>
-         +----<a class="link" href="IBusProxy.html" title="IBusProxy">IBusProxy</a>
-         +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
-         +----<a class="link" href="IBusConnection.html" title="IBusConnection">IBusConnection</a>
-         +----<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a>
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----IBusObject
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+               +----<a class="link" href="IBusBus.html" title="IBusBus">IBusBus</a>
+               +----<a class="link" href="IBusProxy.html" title="IBusProxy">IBusProxy</a>
+               +----<a class="link" href="IBusService.html" title="IBusService">IBusService</a>
+               +----<a class="link" href="IBusConnection.html" title="IBusConnection">IBusConnection</a>
+               +----<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a>
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusObservedPath.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusObservedPath.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusObservedPath.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusObservedPath.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,25 +4,25 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusObservedPath</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="IBusObject.html" title="IBusObject">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="ibus-ibusmessage.html" title="ibusmessage">
 <link rel="next" href="ibus-ibuspendingcall.html" title="ibuspendingcall">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusObject.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="ibus-ibusmessage.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ibus-ibuspendingcall.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -83,9 +83,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusObservedPath
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusObservedPath
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusProperty.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusProperty.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusProperty.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusProperty.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusProperty</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch02.html" title="User Interfaces">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="prev" href="IBusLookupTable.html" title="IBusLookupTable">
 <link rel="next" href="IBusText.html" title="IBusText">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="IBusLookupTable.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch02.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="IBusText.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -122,17 +122,23 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusProperty
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusProperty
 </pre>
 <pre class="synopsis">
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusPropList
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusPropList
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusProxy.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusProxy.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusProxy.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusProxy.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusProxy</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
 <link rel="prev" href="ibus-ibuspendingcall.html" title="ibuspendingcall">
-<link rel="next" href="IBusServer.html" title="IBusServer">
+<link rel="next" href="IBusSerializable.html" title="IBusSerializable">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
 <td><a accesskey="p" href="ibus-ibuspendingcall.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusServer.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusSerializable.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusProxy.synopsis" class="shortcut">Top</a>
@@ -139,10 +139,13 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----IBusProxy
-               +----<a class="link" href="IBusConfig.html" title="IBusConfig">IBusConfig</a>
-               +----<a class="link" href="IBusInputContext.html" title="IBusInputContext">IBusInputContext</a>
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----IBusProxy
+                     +----<a class="link" href="IBusConfig.html" title="IBusConfig">IBusConfig</a>
+                     +----<a class="link" href="IBusInputContext.html" title="IBusInputContext">IBusInputContext</a>
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusSerializable.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusSerializable.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusSerializable.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusSerializable.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusSerializable</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="IBusService.html" title="IBusService">
-<link rel="next" href="ibus-ibusshare.html" title="ibusshare">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="IBusProxy.html" title="IBusProxy">
+<link rel="next" href="IBusService.html" title="IBusService">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusService.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="IBusProxy.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="ibus-ibusshare.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="IBusService.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusSerializable.synopsis" class="shortcut">Top</a>
@@ -100,19 +100,22 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----IBusSerializable
-               +----<a class="link" href="IBusAttribute.html#IBusAttrList">IBusAttrList</a>
-               +----<a class="link" href="IBusAttribute.html" title="IBusAttribute">IBusAttribute</a>
-               +----<a class="link" href="IBusComponent.html" title="IBusComponent">IBusComponent</a>
-               +----<a class="link" href="IBusEngineDesc.html" title="IBusEngineDesc">IBusEngineDesc</a>
-               +----<a class="link" href="IBusFactory.html#IBusFactoryInfo">IBusFactoryInfo</a>
-               +----<a class="link" href="IBusHotkeyProfile.html" title="IBusHotkeyProfile">IBusHotkeyProfile</a>
-               +----<a class="link" href="IBusLookupTable.html" title="IBusLookupTable">IBusLookupTable</a>
-               +----<a class="link" href="IBusObservedPath.html" title="IBusObservedPath">IBusObservedPath</a>
-               +----<a class="link" href="IBusProperty.html#IBusPropList">IBusPropList</a>
-               +----<a class="link" href="IBusProperty.html" title="IBusProperty">IBusProperty</a>
-               +----<a class="link" href="IBusText.html" title="IBusText">IBusText</a>
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----IBusSerializable
+                     +----<a class="link" href="IBusAttribute.html#IBusAttrList">IBusAttrList</a>
+                     +----<a class="link" href="IBusAttribute.html" title="IBusAttribute">IBusAttribute</a>
+                     +----<a class="link" href="IBusComponent.html" title="IBusComponent">IBusComponent</a>
+                     +----<a class="link" href="IBusEngineDesc.html" title="IBusEngineDesc">IBusEngineDesc</a>
+                     +----<a class="link" href="IBusFactory.html#IBusFactoryInfo">IBusFactoryInfo</a>
+                     +----<a class="link" href="IBusHotkeyProfile.html" title="IBusHotkeyProfile">IBusHotkeyProfile</a>
+                     +----<a class="link" href="IBusLookupTable.html" title="IBusLookupTable">IBusLookupTable</a>
+                     +----<a class="link" href="IBusObservedPath.html" title="IBusObservedPath">IBusObservedPath</a>
+                     +----<a class="link" href="IBusProperty.html#IBusPropList">IBusPropList</a>
+                     +----<a class="link" href="IBusProperty.html" title="IBusProperty">IBusProperty</a>
+                     +----<a class="link" href="IBusText.html" title="IBusText">IBusText</a>
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusServer.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusServer.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusServer.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusServer.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusServer</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="IBusProxy.html" title="IBusProxy">
-<link rel="next" href="IBusService.html" title="IBusService">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch05.html" title="Internal">
+<link rel="prev" href="IBusObject.html" title="IBusObject">
+<link rel="next" href="ibus-ibusshare.html" title="ibusshare">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusProxy.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="p" href="IBusObject.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusService.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-ibusshare.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusServer.synopsis" class="shortcut">Top</a>
@@ -42,10 +42,14 @@
 <div class="refnamediv"><table width="100%"><tr>
 <td valign="top">
 <h2><span class="refentrytitle"><a name="IBusServer.top_of_page"></a>IBusServer</span></h2>
-<p>IBusServer</p>
+<p>IBusServer — Server that listen on a socket and wait for connection requests.</p>
 </td>
 <td valign="top" align="right"></td>
 </tr></table></div>
+<div class="refsect1" lang="en">
+<a name="IBusServer.stability-level"></a><h2>Stability Level</h2>
+Stable, unless otherwise indicated
+</div>
 <div class="refsynopsisdiv">
 <a name="IBusServer.synopsis"></a><h2>Synopsis</h2>
 <pre class="synopsis">
@@ -83,8 +87,11 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----IBusServer
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----IBusServer
 </pre>
 </div>
 <div class="refsect1" lang="en">
@@ -104,6 +111,9 @@ href="http://library.gnome.org/devel/gob
 <div class="refsect1" lang="en">
 <a name="IBusServer.description"></a><h2>Description</h2>
 <p>
+An IBusServer listen on a socket and wait for connections requests,
+just like DBusServer.</p>
+<p>
 </p>
 </div>
 <div class="refsect1" lang="en">
@@ -113,18 +123,29 @@ href="http://library.gnome.org/devel/gob
 <pre class="programlisting">void                (*IBusNewConnectionFunc)            (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *server,
                                                          <a class="link" href="IBusConnection.html" title="IBusConnection">IBusConnection</a> *connection);</pre>
 <p>
+Prototype of new connection callback function.
+</p>
+<p>
+This callback should be connected to signal ::new-connection
+to handle the event that a new connection is coming in.
+In this handler, IBus could add a reference and continue processing the connection.
+If no reference is added, the new connection will be released and closed after this signal.
+</p>
+<p>
+<em class="parameter"><code>see_also</code></em>: ::new-connection</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>connection</code></em> :</span></p></td>
-<td>
+<td> The corresponding IBusConnection.
 </td>
 </tr>
 </tbody>
@@ -135,6 +156,8 @@ href="http://library.gnome.org/devel/gob
 <a name="IBusServer-struct"></a><h3>IBusServer</h3>
 <pre class="programlisting">typedef struct _IBusServer IBusServer;</pre>
 <p>
+An opaque object representing an IBusServer.</p>
+<p>
 </p>
 </div>
 <hr>
@@ -142,12 +165,14 @@ href="http://library.gnome.org/devel/gob
 <a name="ibus-server-new"></a><h3>ibus_server_new ()</h3>
 <pre class="programlisting"><a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *        ibus_server_new                     (void);</pre>
 <p>
+New an IBusServer.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody><tr>
 <td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
-<td>
+<td> A newly allocated IBusServer instance.
 </td>
 </tr></tbody>
 </table></div>
@@ -162,23 +187,35 @@ href="http://library.gnome.org/devel/gli
 href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"
 >gchar</a> *address);</pre>
 <p>
+Listens for new connections on the given address.
+</p>
+<p>
+If there are multiple semicolon-separated address entries in the address,
+tries each one and listens on the first one that works.
+</p>
+<p>
+Returns FALSE if listening fails for any reason.
+</p>
+<p>
+To free the server, applications must call first <a class="link" href="IBusServer.html#ibus-server-disconnect" title="ibus_server_disconnect ()"><code class="function">ibus_server_disconnect()</code></a> and then <code class="function">dbus_server_unref()</code>.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>address</code></em> :</span></p></td>
-<td>
+<td> Address of this server.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
-<td>
+<td> TRUE if succeed ; FALSE otherwise.
 </td>
 </tr>
 </tbody>
@@ -189,12 +226,17 @@ href="http://library.gnome.org/devel/gli
 <a name="ibus-server-disconnect"></a><h3>ibus_server_disconnect ()</h3>
 <pre class="programlisting">void                ibus_server_disconnect              (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *server);</pre>
 <p>
+Releases the server's address and stops listening for new clients.
+</p>
+<p>
+If called more than once, only the first call has an effect. Does not modify the server's reference count.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody><tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr></tbody>
 </table></div>
@@ -206,18 +248,20 @@ href="http://library.gnome.org/devel/gli
 href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"
 >gchar</a> *       ibus_server_get_address             (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *server);</pre>
 <p>
+Returns the address of the server, as a newly-allocated string which must be freed by the caller.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
-<td>
+<td> A newly allocated string which contain address.
 </td>
 </tr>
 </tbody>
@@ -230,18 +274,34 @@ href="http://library.gnome.org/devel/gli
 href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"
 >gchar</a> *       ibus_server_get_id                  (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *server);</pre>
 <p>
+Returns the unique ID of the server, as a newly-allocated string which must be freed by the caller.
+</p>
+<p>
+This ID is normally used by clients to tell when two IBusConnection would be equivalent
+(because the server address passed to <a class="link" href="IBusConnection.html#ibus-connection-open" title="ibus_connection_open ()"><code class="function">ibus_connection_open()</code></a> will have the same guid in the two cases).
+<a class="link" href="IBusConnection.html#ibus-connection-open" title="ibus_connection_open ()"><code class="function">ibus_connection_open()</code></a> can re-use an existing connection with the same ID instead of opening a new connection.
+</p>
+<p>
+This is an ID unique to each IBusServer. Remember that an IBusServer represents only one mode of connecting,
+so e.g. a bus daemon can listen on multiple addresses which will mean it has multiple IBusServer each with
+their own ID.
+</p>
+<p>
+The ID is not a UUID in the sense of RFC4122; the details are explained in the D-Bus specification.
+Returns the address of the server, as a newly-allocated string which must be freed by the caller.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
-<td>
+<td> A newly allocated string which contain address.
 </td>
 </tr>
 </tbody>
@@ -254,18 +314,20 @@ href="http://library.gnome.org/devel/gli
 href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"
 >gboolean</a>            ibus_server_is_connected            (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *server);</pre>
 <p>
+Returns TRUE if the server is still listening for new connections.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
-<td>
+<td> TRUE if the server is still listening for new connections; FALSE otherwise.
 </td>
 </tr>
 </tbody>
@@ -281,23 +343,33 @@ href="http://library.gnome.org/devel/gli
 href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"
 >gchar</a> **mechanisms);</pre>
 <p>
+Sets the authentication mechanisms that this server offers to clients,
+as a NULL-terminated array of mechanism names.
+</p>
+<p>
+This function only affects connections created after it is called.
+Pass NULL instead of an array to use all available mechanisms (this is the default behavior).
+</p>
+<p>
+The D-Bus specification describes some of the supported mechanisms.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
-<td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><em class="parameter"><code>mechanisms</code></em> :</span></p></td>
-<td>
+<td> NULL-terminated array of mechanisms.
 </td>
 </tr>
 <tr>
 <td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
-<td>
+<td>  TRUE if succeed; FALSE if insufficient memory.
 </td>
 </tr>
 </tbody>
@@ -311,33 +383,51 @@ href="http://library.gnome.org/devel/gli
 <pre class="programlisting">  "connection-type"          <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-Type-Information.html#GType"
 >GType</a>*                : Read / Write</pre>
-<p>The connection type of server object.</p>
+<p>
+The connection type of server object.</p>
+<p>
+</p>
 </div>
 </div>
 <div class="refsect1" lang="en">
 <a name="IBusServer.signal-details"></a><h2>Signal Details</h2>
 <div class="refsect2" lang="en">
 <a name="IBusServer-new-connection"></a><h3>The <code class="literal">"new-connection"</code> signal</h3>
-<pre class="programlisting">void                user_function                      (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *ibusserver,
+<pre class="programlisting">void                user_function                      (<a class="link" href="IBusServer.html" title="IBusServer">IBusServer</a> *server,
                                                         <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
->GObject</a>    *arg1,
+>GObject</a>    *connection,
                                                         <a
 href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"
 >gpointer</a>    user_data)       : Run Last</pre>
 <p>
+Emitted when a new connection is coming in.
+In this handler, IBus could add a reference and continue processing the connection.
+If no reference is added, the new connection will be released and closed after this signal.
+</p>
+<p>
+</p>
+<div class="note" style="margin-left: 0.5in; margin-right: 0.5in;">
+<h3 class="title">Note</h3>
+<p>Argument <em class="parameter"><code>user_data</code></em> is ignored in this function.</p>
+</div>
+<p>
+</p>
+<p>
+See also: <a class="link" href="IBusServer.html#IBusNewConnectionFunc" title="IBusNewConnectionFunc ()"><code class="function">IBusNewConnectionFunc()</code></a>.</p>
+<p>
 </p>
 <div class="variablelist"><table border="0">
 <col align="left" valign="top">
 <tbody>
 <tr>
-<td><p><span class="term"><em class="parameter"><code>ibusserver</code></em> :</span></p></td>
-<td>the object which received the signal.
+<td><p><span class="term"><em class="parameter"><code>server</code></em> :</span></p></td>
+<td> An IBusServer.
 </td>
 </tr>
 <tr>
-<td><p><span class="term"><em class="parameter"><code>arg1</code></em> :</span></p></td>
-<td>
+<td><p><span class="term"><em class="parameter"><code>connection</code></em> :</span></p></td>
+<td> The corresponding IBusConnection.
 </td>
 </tr>
 <tr>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusService.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusService.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusService.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusService.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,26 +4,26 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusService</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch05.html" title="Others">
-<link rel="prev" href="IBusServer.html" title="IBusServer">
-<link rel="next" href="IBusSerializable.html" title="IBusSerializable">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch04.html" title="Communication and Configuration">
+<link rel="prev" href="IBusSerializable.html" title="IBusSerializable">
+<link rel="next" href="ibus-ibusxml.html" title="ibusxml">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
 <tr valign="middle">
-<td><a accesskey="p" href="IBusServer.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
-<td><a accesskey="u" href="ch05.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
+<td><a accesskey="p" href="IBusSerializable.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
+<td><a accesskey="u" href="ch04.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
-<td><a accesskey="n" href="IBusSerializable.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
+<th width="100%" align="center">IBus Reference Manual</th>
+<td><a accesskey="n" href="ibus-ibusxml.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
 <a href="#IBusService.synopsis" class="shortcut">Top</a>
@@ -111,11 +111,14 @@ href="http://library.gnome.org/devel/gob
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----IBusService
-               +----<a class="link" href="IBusConfigService.html" title="IBusConfigService">IBusConfigService</a>
-               +----<a class="link" href="IBusEngine.html" title="IBusEngine">IBusEngine</a>
-               +----<a class="link" href="IBusFactory.html" title="IBusFactory">IBusFactory</a>
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----IBusService
+                     +----<a class="link" href="IBusConfigService.html" title="IBusConfigService">IBusConfigService</a>
+                     +----<a class="link" href="IBusEngine.html" title="IBusEngine">IBusEngine</a>
+                     +----<a class="link" href="IBusFactory.html" title="IBusFactory">IBusFactory</a>
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/IBusText.html 1.2.0.20091024-1/docs/reference/ibus/html/IBusText.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/IBusText.html	2009-09-04 11:38:39.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/IBusText.html	2009-10-24 04:23:54.000000000 +0100
@@ -4,17 +4,17 @@
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>IBusText</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="up" href="ch02.html" title="User Interfaces">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="up" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="prev" href="IBusProperty.html" title="IBusProperty">
 <link rel="next" href="ch03.html" title="Input method engine">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
@@ -22,7 +22,7 @@
 <td><a accesskey="p" href="IBusProperty.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
 <td><a accesskey="u" href="ch02.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
 <td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
-<th width="100%" align="center">iBus Reference Manual</th>
+<th width="100%" align="center">IBus Reference Manual</th>
 <td><a accesskey="n" href="ch03.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
 </tr>
 <tr><td colspan="5" class="shortcuts">
@@ -86,9 +86,12 @@ href="http://library.gnome.org/devel/gli
   <a
 href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"
 >GObject</a>
-   +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
-         +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
-               +----IBusText
+   +----<a
+href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned"
+>GInitiallyUnowned</a>
+         +----<a class="link" href="IBusObject.html" title="IBusObject">IBusObject</a>
+               +----<a class="link" href="IBusSerializable.html" title="IBusSerializable">IBusSerializable</a>
+                     +----IBusText
 </pre>
 </div>
 <div class="refsect1" lang="en">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/index.html 1.2.0.20091024-1/docs/reference/ibus/html/index.html
--- 1.2.0.20090904-1/docs/reference/ibus/html/index.html	2009-09-04 11:38:40.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/index.html	2009-10-24 04:23:54.000000000 +0100
@@ -2,25 +2,25 @@
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>iBus Reference Manual</title>
+<title>IBus Reference Manual</title>
 <meta name="generator" content="DocBook XSL Stylesheets V1.74.3">
-<link rel="home" href="index.html" title="iBus Reference Manual">
-<link rel="next" href="ch01.html" title="API Overviews">
+<link rel="home" href="index.html" title="IBus Reference Manual">
+<link rel="next" href="ch01.html" title="Overview">
 <meta name="generator" content="GTK-Doc V1.11 (XML mode)">
 <link rel="stylesheet" href="style.css" type="text/css">
-<link rel="chapter" href="ch01.html" title="API Overviews">
-<link rel="chapter" href="ch02.html" title="User Interfaces">
+<link rel="chapter" href="ch01.html" title="Overview">
+<link rel="chapter" href="ch02.html" title="Panel (User Interfaces)">
 <link rel="chapter" href="ch03.html" title="Input method engine">
-<link rel="chapter" href="ch04.html" title="Configuration">
-<link rel="chapter" href="ch05.html" title="Others">
+<link rel="chapter" href="ch04.html" title="Communication and Configuration">
+<link rel="chapter" href="ch05.html" title="Internal">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
 <div class="book" lang="en">
 <div class="titlepage">
 <div>
-<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">iBus Reference Manual</p></th></tr></table></div>
+<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">IBus Reference Manual</p></th></tr></table></div>
 <div><p class="releaseinfo">
-      iBus 1.1.0 reference manual.
+      Intelligent Input Bus (IBus) 1.2.0 reference manual.
       The latest version of this documentation can be found on-line at
       <a class="ulink" href="http://code.google.com/p/ibus" target="_top">http://code.google.com/p/ibus</a>.
     </p></div>
@@ -28,8 +28,8 @@
 <hr>
 </div>
 <div class="toc"><dl>
-<dt><span class="chapter"><a href="ch01.html">API Overviews</a></span></dt>
-<dt><span class="chapter"><a href="ch02.html">User Interfaces</a></span></dt>
+<dt><span class="chapter"><a href="ch01.html">Overview</a></span></dt>
+<dt><span class="chapter"><a href="ch02.html">Panel (User Interfaces)</a></span></dt>
 <dd><dl>
 <dt>
 <span class="refentrytitle"><a href="IBusAttribute.html">IBusAttribute</a></span><span class="refpurpose"> — Attributes of IBusText.</span>
@@ -50,15 +50,9 @@
 <dt><span class="chapter"><a href="ch03.html">Input method engine</a></span></dt>
 <dd><dl>
 <dt>
-<span class="refentrytitle"><a href="IBusBus.html">IBusBus</a></span><span class="refpurpose"> — Connect with IBus daemon.</span>
-</dt>
-<dt>
 <span class="refentrytitle"><a href="IBusComponent.html">IBusComponent</a></span><span class="refpurpose"> — Component (executable) specification.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusConnection.html">IBusConnection</a></span><span class="refpurpose"> — DBusConnection wrapper.</span>
-</dt>
-<dt>
 <span class="refentrytitle"><a href="IBusEngine.html">IBusEngine</a></span><span class="refpurpose"> — Input method engine abstract.</span>
 </dt>
 <dt>
@@ -68,67 +62,76 @@
 <span class="refentrytitle"><a href="IBusFactory.html">IBusFactory</a></span><span class="refpurpose"> — Factory for creating engine instances.</span>
 </dt>
 <dt>
+<span class="refentrytitle"><a href="IBusInputContext.html">IBusInputContext</a></span><span class="refpurpose"> — IBus input context proxy object.</span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="ibus-IBusKeymap.html">IBusKeymap</a></span><span class="refpurpose"> — Keyboard mapping handling.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="ibus-ibuskeysyms.html">ibuskeysyms</a></span><span class="refpurpose"> — Key symbol definition.</span>
 </dt>
 </dl></dd>
-<dt><span class="chapter"><a href="ch04.html">Configuration</a></span></dt>
+<dt><span class="chapter"><a href="ch04.html">Communication and Configuration</a></span></dt>
 <dd><dl>
 <dt>
+<span class="refentrytitle"><a href="IBusBus.html">IBusBus</a></span><span class="refpurpose"> — Connect with IBus daemon.</span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="IBusConfig.html">IBusConfig</a></span><span class="refpurpose"> — IBus engine configuration module.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="IBusConfigService.html">IBusConfigService</a></span><span class="refpurpose"> — Configuration service back-end.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusxml.html">ibusxml</a></span><span class="refpurpose"></span>
+<span class="refentrytitle"><a href="IBusConnection.html">IBusConnection</a></span><span class="refpurpose"> — DBusConnection wrapper.</span>
 </dt>
-</dl></dd>
-<dt><span class="chapter"><a href="ch05.html">Others</a></span></dt>
-<dd><dl>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusdebug.html">ibusdebug</a></span><span class="refpurpose"> — Debug message output.</span>
+<span class="refentrytitle"><a href="ibus-ibusmainloop.html">ibusmainloop</a></span><span class="refpurpose"> — DBus server and connection setup functions.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusenumtypes.html">ibusenumtypes</a></span><span class="refpurpose"></span>
+<span class="refentrytitle"><a href="ibus-ibusmessage.html">ibusmessage</a></span><span class="refpurpose"> — A DBusMessage in IBus.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibuserror.html">ibuserror</a></span><span class="refpurpose"> — Error message output.</span>
+<span class="refentrytitle"><a href="IBusObservedPath.html">IBusObservedPath</a></span><span class="refpurpose"> — Path object of IBus.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusInputContext.html">IBusInputContext</a></span><span class="refpurpose"> — IBus input context proxy object.</span>
+<span class="refentrytitle"><a href="ibus-ibuspendingcall.html">ibuspendingcall</a></span><span class="refpurpose"> — A DBusPendingCall in IBus.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusinternal.html">ibusinternal</a></span><span class="refpurpose"> — IBus DBus setting functions for internal use.</span>
+<span class="refentrytitle"><a href="IBusProxy.html">IBusProxy</a></span><span class="refpurpose"> — Base proxy object.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusmarshalers.html">ibusmarshalers</a></span><span class="refpurpose"></span>
+<span class="refentrytitle"><a href="IBusSerializable.html">IBusSerializable</a></span><span class="refpurpose"> — A serializable object.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibusmessage.html">ibusmessage</a></span><span class="refpurpose"> — A DBusMessage in IBus.</span>
+<span class="refentrytitle"><a href="IBusService.html">IBusService</a></span><span class="refpurpose"> — IBus service back-end.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusObject.html">IBusObject</a></span><span class="refpurpose"> — Base object of IBus.</span>
+<span class="refentrytitle"><a href="ibus-ibusxml.html">ibusxml</a></span><span class="refpurpose"></span>
 </dt>
+</dl></dd>
+<dt><span class="chapter"><a href="ch05.html">Internal</a></span></dt>
+<dd><dl>
 <dt>
-<span class="refentrytitle"><a href="IBusObservedPath.html">IBusObservedPath</a></span><span class="refpurpose"> — Path object of IBus.</span>
+<span class="refentrytitle"><a href="ibus-ibusdebug.html">ibusdebug</a></span><span class="refpurpose"> — Debug message output.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="ibus-ibuspendingcall.html">ibuspendingcall</a></span><span class="refpurpose"> — A DBusPendingCall in IBus.</span>
+<span class="refentrytitle"><a href="ibus-ibusenumtypes.html">ibusenumtypes</a></span><span class="refpurpose"></span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusProxy.html">IBusProxy</a></span><span class="refpurpose"> — Base proxy object.</span>
+<span class="refentrytitle"><a href="ibus-ibuserror.html">ibuserror</a></span><span class="refpurpose"> — Error message output.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusServer.html">IBusServer</a></span><span class="refpurpose"></span>
+<span class="refentrytitle"><a href="ibus-ibusinternal.html">ibusinternal</a></span><span class="refpurpose"> — IBus DBus setting functions for internal use.</span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusService.html">IBusService</a></span><span class="refpurpose"> — IBus service back-end.</span>
+<span class="refentrytitle"><a href="ibus-ibusmarshalers.html">ibusmarshalers</a></span><span class="refpurpose"></span>
 </dt>
 <dt>
-<span class="refentrytitle"><a href="IBusSerializable.html">IBusSerializable</a></span><span class="refpurpose"> — A serializable object.</span>
+<span class="refentrytitle"><a href="IBusObject.html">IBusObject</a></span><span class="refpurpose"> — Base object of IBus.</span>
+</dt>
+<dt>
+<span class="refentrytitle"><a href="IBusServer.html">IBusServer</a></span><span class="refpurpose"> — Server that listen on a socket and wait for connection requests.</span>
 </dt>
 <dt>
 <span class="refentrytitle"><a href="ibus-ibusshare.html">ibusshare</a></span><span class="refpurpose"></span>
@@ -137,6 +140,9 @@
 <span class="refentrytitle"><a href="ibus-ibustypes.html">ibustypes</a></span><span class="refpurpose"> — Generic types for  IBus.</span>
 </dt>
 <dt>
+<span class="refentrytitle"><a href="ibus-ibusversion.html">ibusversion</a></span><span class="refpurpose"></span>
+</dt>
+<dt>
 <span class="refentrytitle"><a href="ibus-keyname-table.html">keyname-table</a></span><span class="refpurpose"></span>
 </dt>
 </dl></dd>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/html/index.sgml 1.2.0.20091024-1/docs/reference/ibus/html/index.sgml
--- 1.2.0.20090904-1/docs/reference/ibus/html/index.sgml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/html/index.sgml	2009-10-24 04:23:54.000000000 +0100
@@ -111,32 +111,6 @@
 <ANCHOR id="ibus-text-append-attribute" href="ibus/IBusText.html#ibus-text-append-attribute">
 <ANCHOR id="ibus-text-get-length" href="ibus/IBusText.html#ibus-text-get-length">
 <ANCHOR id="IBusText.see-also" href="ibus/IBusText.html#IBusText.see-also">
-<ANCHOR id="IBusBus" href="ibus/IBusBus.html">
-<ANCHOR id="IBusBus.stability-level" href="ibus/IBusBus.html#IBusBus.stability-level">
-<ANCHOR id="IBusBus.synopsis" href="ibus/IBusBus.html#IBusBus.synopsis">
-<ANCHOR id="IBusBus.object-hierarchy" href="ibus/IBusBus.html#IBusBus.object-hierarchy">
-<ANCHOR id="IBusBus.signals" href="ibus/IBusBus.html#IBusBus.signals">
-<ANCHOR id="IBusBus.description" href="ibus/IBusBus.html#IBusBus.description">
-<ANCHOR id="IBusBus.details" href="ibus/IBusBus.html#IBusBus.details">
-<ANCHOR id="IBusBus-struct" href="ibus/IBusBus.html#IBusBus-struct">
-<ANCHOR id="ibus-bus-new" href="ibus/IBusBus.html#ibus-bus-new">
-<ANCHOR id="ibus-bus-is-connected" href="ibus/IBusBus.html#ibus-bus-is-connected">
-<ANCHOR id="ibus-bus-hello" href="ibus/IBusBus.html#ibus-bus-hello">
-<ANCHOR id="ibus-bus-request-name" href="ibus/IBusBus.html#ibus-bus-request-name">
-<ANCHOR id="ibus-bus-release-name" href="ibus/IBusBus.html#ibus-bus-release-name">
-<ANCHOR id="ibus-bus-name-has-owner" href="ibus/IBusBus.html#ibus-bus-name-has-owner">
-<ANCHOR id="ibus-bus-list-names" href="ibus/IBusBus.html#ibus-bus-list-names">
-<ANCHOR id="ibus-bus-add-match" href="ibus/IBusBus.html#ibus-bus-add-match">
-<ANCHOR id="ibus-bus-remove-match" href="ibus/IBusBus.html#ibus-bus-remove-match">
-<ANCHOR id="ibus-bus-get-name-owner" href="ibus/IBusBus.html#ibus-bus-get-name-owner">
-<ANCHOR id="ibus-bus-exit" href="ibus/IBusBus.html#ibus-bus-exit">
-<ANCHOR id="ibus-bus-register-component" href="ibus/IBusBus.html#ibus-bus-register-component">
-<ANCHOR id="ibus-bus-list-engines" href="ibus/IBusBus.html#ibus-bus-list-engines">
-<ANCHOR id="ibus-bus-list-active-engines" href="ibus/IBusBus.html#ibus-bus-list-active-engines">
-<ANCHOR id="ibus-bus-get-config" href="ibus/IBusBus.html#ibus-bus-get-config">
-<ANCHOR id="IBusBus.signal-details" href="ibus/IBusBus.html#IBusBus.signal-details">
-<ANCHOR id="IBusBus-connected" href="ibus/IBusBus.html#IBusBus-connected">
-<ANCHOR id="IBusBus-disconnected" href="ibus/IBusBus.html#IBusBus-disconnected">
 <ANCHOR id="IBusComponent" href="ibus/IBusComponent.html">
 <ANCHOR id="IBusComponent.stability-level" href="ibus/IBusComponent.html#IBusComponent.stability-level">
 <ANCHOR id="IBusComponent.synopsis" href="ibus/IBusComponent.html#IBusComponent.synopsis">
@@ -157,44 +131,6 @@
 <ANCHOR id="ibus-component-stop" href="ibus/IBusComponent.html#ibus-component-stop">
 <ANCHOR id="ibus-component-is-running" href="ibus/IBusComponent.html#ibus-component-is-running">
 <ANCHOR id="ibus-component-get-from-engine" href="ibus/IBusComponent.html#ibus-component-get-from-engine">
-<ANCHOR id="IBusConnection" href="ibus/IBusConnection.html">
-<ANCHOR id="IBusConnection.stability-level" href="ibus/IBusConnection.html#IBusConnection.stability-level">
-<ANCHOR id="IBusConnection.synopsis" href="ibus/IBusConnection.html#IBusConnection.synopsis">
-<ANCHOR id="IBusConnection.object-hierarchy" href="ibus/IBusConnection.html#IBusConnection.object-hierarchy">
-<ANCHOR id="IBusConnection.signals" href="ibus/IBusConnection.html#IBusConnection.signals">
-<ANCHOR id="IBusConnection.description" href="ibus/IBusConnection.html#IBusConnection.description">
-<ANCHOR id="IBusConnection.details" href="ibus/IBusConnection.html#IBusConnection.details">
-<ANCHOR id="IBusIBusMessageFunc" href="ibus/IBusConnection.html#IBusIBusMessageFunc">
-<ANCHOR id="IBusIBusSignalFunc" href="ibus/IBusConnection.html#IBusIBusSignalFunc">
-<ANCHOR id="IBusMessageFunc" href="ibus/IBusConnection.html#IBusMessageFunc">
-<ANCHOR id="IBusConnection-struct" href="ibus/IBusConnection.html#IBusConnection-struct">
-<ANCHOR id="ibus-connection-new" href="ibus/IBusConnection.html#ibus-connection-new">
-<ANCHOR id="ibus-connection-set-connection" href="ibus/IBusConnection.html#ibus-connection-set-connection">
-<ANCHOR id="ibus-connection-open" href="ibus/IBusConnection.html#ibus-connection-open">
-<ANCHOR id="ibus-connection-open-private" href="ibus/IBusConnection.html#ibus-connection-open-private">
-<ANCHOR id="ibus-connection-close" href="ibus/IBusConnection.html#ibus-connection-close">
-<ANCHOR id="ibus-connection-is-connected" href="ibus/IBusConnection.html#ibus-connection-is-connected">
-<ANCHOR id="ibus-connection-is-authenticated" href="ibus/IBusConnection.html#ibus-connection-is-authenticated">
-<ANCHOR id="ibus-connection-get-connection" href="ibus/IBusConnection.html#ibus-connection-get-connection">
-<ANCHOR id="ibus-connection-get-unix-user" href="ibus/IBusConnection.html#ibus-connection-get-unix-user">
-<ANCHOR id="ibus-connection-read-write-dispatch" href="ibus/IBusConnection.html#ibus-connection-read-write-dispatch">
-<ANCHOR id="ibus-connection-send" href="ibus/IBusConnection.html#ibus-connection-send">
-<ANCHOR id="ibus-connection-send-signal" href="ibus/IBusConnection.html#ibus-connection-send-signal">
-<ANCHOR id="ibus-connection-send-signal-valist" href="ibus/IBusConnection.html#ibus-connection-send-signal-valist">
-<ANCHOR id="ibus-connection-send-valist" href="ibus/IBusConnection.html#ibus-connection-send-valist">
-<ANCHOR id="ibus-connection-send-with-reply" href="ibus/IBusConnection.html#ibus-connection-send-with-reply">
-<ANCHOR id="ibus-connection-send-with-reply-and-block" href="ibus/IBusConnection.html#ibus-connection-send-with-reply-and-block">
-<ANCHOR id="ibus-connection-call" href="ibus/IBusConnection.html#ibus-connection-call">
-<ANCHOR id="ibus-connection-flush" href="ibus/IBusConnection.html#ibus-connection-flush">
-<ANCHOR id="ibus-connection-register-object-path" href="ibus/IBusConnection.html#ibus-connection-register-object-path">
-<ANCHOR id="ibus-connection-unregister-object-path" href="ibus/IBusConnection.html#ibus-connection-unregister-object-path">
-<ANCHOR id="IBusConnection.signal-details" href="ibus/IBusConnection.html#IBusConnection.signal-details">
-<ANCHOR id="IBusConnection-authenticate-unix-user" href="ibus/IBusConnection.html#IBusConnection-authenticate-unix-user">
-<ANCHOR id="IBusConnection-disconnected" href="ibus/IBusConnection.html#IBusConnection-disconnected">
-<ANCHOR id="IBusConnection-ibus-message" href="ibus/IBusConnection.html#IBusConnection-ibus-message">
-<ANCHOR id="IBusConnection-ibus-message-sent" href="ibus/IBusConnection.html#IBusConnection-ibus-message-sent">
-<ANCHOR id="IBusConnection-ibus-signal" href="ibus/IBusConnection.html#IBusConnection-ibus-signal">
-<ANCHOR id="IBusConnection.see-also" href="ibus/IBusConnection.html#IBusConnection.see-also">
 <ANCHOR id="IBusEngine" href="ibus/IBusEngine.html">
 <ANCHOR id="IBusEngine.stability-level" href="ibus/IBusEngine.html#IBusEngine.stability-level">
 <ANCHOR id="IBusEngine.synopsis" href="ibus/IBusEngine.html#IBusEngine.synopsis">
@@ -274,6 +210,42 @@
 <ANCHOR id="ibus-factory-info-get-type" href="ibus/IBusFactory.html#ibus-factory-info-get-type">
 <ANCHOR id="ibus-factory-info-new" href="ibus/IBusFactory.html#ibus-factory-info-new">
 <ANCHOR id="IBusFactory.see-also" href="ibus/IBusFactory.html#IBusFactory.see-also">
+<ANCHOR id="IBusInputContext" href="ibus/IBusInputContext.html">
+<ANCHOR id="IBusInputContext.stability-level" href="ibus/IBusInputContext.html#IBusInputContext.stability-level">
+<ANCHOR id="IBusInputContext.synopsis" href="ibus/IBusInputContext.html#IBusInputContext.synopsis">
+<ANCHOR id="IBusInputContext.object-hierarchy" href="ibus/IBusInputContext.html#IBusInputContext.object-hierarchy">
+<ANCHOR id="IBusInputContext.signals" href="ibus/IBusInputContext.html#IBusInputContext.signals">
+<ANCHOR id="IBusInputContext.description" href="ibus/IBusInputContext.html#IBusInputContext.description">
+<ANCHOR id="IBusInputContext.details" href="ibus/IBusInputContext.html#IBusInputContext.details">
+<ANCHOR id="IBusInputContext-struct" href="ibus/IBusInputContext.html#IBusInputContext-struct">
+<ANCHOR id="ibus-input-context-process-key-event" href="ibus/IBusInputContext.html#ibus-input-context-process-key-event">
+<ANCHOR id="ibus-input-context-set-cursor-location" href="ibus/IBusInputContext.html#ibus-input-context-set-cursor-location">
+<ANCHOR id="ibus-input-context-set-capabilities" href="ibus/IBusInputContext.html#ibus-input-context-set-capabilities">
+<ANCHOR id="ibus-input-context-focus-in" href="ibus/IBusInputContext.html#ibus-input-context-focus-in">
+<ANCHOR id="ibus-input-context-focus-out" href="ibus/IBusInputContext.html#ibus-input-context-focus-out">
+<ANCHOR id="ibus-input-context-reset" href="ibus/IBusInputContext.html#ibus-input-context-reset">
+<ANCHOR id="ibus-input-context-enable" href="ibus/IBusInputContext.html#ibus-input-context-enable">
+<ANCHOR id="ibus-input-context-disable" href="ibus/IBusInputContext.html#ibus-input-context-disable">
+<ANCHOR id="IBusInputContext.signal-details" href="ibus/IBusInputContext.html#IBusInputContext.signal-details">
+<ANCHOR id="IBusInputContext-commit-text" href="ibus/IBusInputContext.html#IBusInputContext-commit-text">
+<ANCHOR id="IBusInputContext-cursor-down-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-cursor-down-lookup-table">
+<ANCHOR id="IBusInputContext-cursor-up-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-cursor-up-lookup-table">
+<ANCHOR id="IBusInputContext-disabled" href="ibus/IBusInputContext.html#IBusInputContext-disabled">
+<ANCHOR id="IBusInputContext-enabled" href="ibus/IBusInputContext.html#IBusInputContext-enabled">
+<ANCHOR id="IBusInputContext-forward-key-event" href="ibus/IBusInputContext.html#IBusInputContext-forward-key-event">
+<ANCHOR id="IBusInputContext-hide-auxiliary-text" href="ibus/IBusInputContext.html#IBusInputContext-hide-auxiliary-text">
+<ANCHOR id="IBusInputContext-hide-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-hide-lookup-table">
+<ANCHOR id="IBusInputContext-hide-preedit-text" href="ibus/IBusInputContext.html#IBusInputContext-hide-preedit-text">
+<ANCHOR id="IBusInputContext-page-down-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-page-down-lookup-table">
+<ANCHOR id="IBusInputContext-page-up-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-page-up-lookup-table">
+<ANCHOR id="IBusInputContext-register-properties" href="ibus/IBusInputContext.html#IBusInputContext-register-properties">
+<ANCHOR id="IBusInputContext-show-auxiliary-text" href="ibus/IBusInputContext.html#IBusInputContext-show-auxiliary-text">
+<ANCHOR id="IBusInputContext-show-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-show-lookup-table">
+<ANCHOR id="IBusInputContext-show-preedit-text" href="ibus/IBusInputContext.html#IBusInputContext-show-preedit-text">
+<ANCHOR id="IBusInputContext-update-auxiliary-text" href="ibus/IBusInputContext.html#IBusInputContext-update-auxiliary-text">
+<ANCHOR id="IBusInputContext-update-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-update-lookup-table">
+<ANCHOR id="IBusInputContext-update-preedit-text" href="ibus/IBusInputContext.html#IBusInputContext-update-preedit-text">
+<ANCHOR id="IBusInputContext-update-property" href="ibus/IBusInputContext.html#IBusInputContext-update-property">
 <ANCHOR id="ibus-IBusKeymap" href="ibus/ibus-IBusKeymap.html">
 <ANCHOR id="ibus-IBusKeymap.stability-level" href="ibus/ibus-IBusKeymap.html#ibus-IBusKeymap.stability-level">
 <ANCHOR id="ibus-IBusKeymap.synopsis" href="ibus/ibus-IBusKeymap.html#ibus-IBusKeymap.synopsis">
@@ -2279,6 +2251,32 @@
 <ANCHOR id="IBUS-braille-dots-2345678" href="ibus/ibus-ibuskeysyms.html#IBUS-braille-dots-2345678">
 <ANCHOR id="IBUS-braille-dots-12345678" href="ibus/ibus-ibuskeysyms.html#IBUS-braille-dots-12345678">
 <ANCHOR id="ibus-ibuskeysyms.see-also" href="ibus/ibus-ibuskeysyms.html#ibus-ibuskeysyms.see-also">
+<ANCHOR id="IBusBus" href="ibus/IBusBus.html">
+<ANCHOR id="IBusBus.stability-level" href="ibus/IBusBus.html#IBusBus.stability-level">
+<ANCHOR id="IBusBus.synopsis" href="ibus/IBusBus.html#IBusBus.synopsis">
+<ANCHOR id="IBusBus.object-hierarchy" href="ibus/IBusBus.html#IBusBus.object-hierarchy">
+<ANCHOR id="IBusBus.signals" href="ibus/IBusBus.html#IBusBus.signals">
+<ANCHOR id="IBusBus.description" href="ibus/IBusBus.html#IBusBus.description">
+<ANCHOR id="IBusBus.details" href="ibus/IBusBus.html#IBusBus.details">
+<ANCHOR id="IBusBus-struct" href="ibus/IBusBus.html#IBusBus-struct">
+<ANCHOR id="ibus-bus-new" href="ibus/IBusBus.html#ibus-bus-new">
+<ANCHOR id="ibus-bus-is-connected" href="ibus/IBusBus.html#ibus-bus-is-connected">
+<ANCHOR id="ibus-bus-hello" href="ibus/IBusBus.html#ibus-bus-hello">
+<ANCHOR id="ibus-bus-request-name" href="ibus/IBusBus.html#ibus-bus-request-name">
+<ANCHOR id="ibus-bus-release-name" href="ibus/IBusBus.html#ibus-bus-release-name">
+<ANCHOR id="ibus-bus-name-has-owner" href="ibus/IBusBus.html#ibus-bus-name-has-owner">
+<ANCHOR id="ibus-bus-list-names" href="ibus/IBusBus.html#ibus-bus-list-names">
+<ANCHOR id="ibus-bus-add-match" href="ibus/IBusBus.html#ibus-bus-add-match">
+<ANCHOR id="ibus-bus-remove-match" href="ibus/IBusBus.html#ibus-bus-remove-match">
+<ANCHOR id="ibus-bus-get-name-owner" href="ibus/IBusBus.html#ibus-bus-get-name-owner">
+<ANCHOR id="ibus-bus-exit" href="ibus/IBusBus.html#ibus-bus-exit">
+<ANCHOR id="ibus-bus-register-component" href="ibus/IBusBus.html#ibus-bus-register-component">
+<ANCHOR id="ibus-bus-list-engines" href="ibus/IBusBus.html#ibus-bus-list-engines">
+<ANCHOR id="ibus-bus-list-active-engines" href="ibus/IBusBus.html#ibus-bus-list-active-engines">
+<ANCHOR id="ibus-bus-get-config" href="ibus/IBusBus.html#ibus-bus-get-config">
+<ANCHOR id="IBusBus.signal-details" href="ibus/IBusBus.html#IBusBus.signal-details">
+<ANCHOR id="IBusBus-connected" href="ibus/IBusBus.html#IBusBus-connected">
+<ANCHOR id="IBusBus-disconnected" href="ibus/IBusBus.html#IBusBus-disconnected">
 <ANCHOR id="IBusConfig" href="ibus/IBusConfig.html">
 <ANCHOR id="IBusConfig.synopsis" href="ibus/IBusConfig.html#IBusConfig.synopsis">
 <ANCHOR id="IBusConfig.object-hierarchy" href="ibus/IBusConfig.html#IBusConfig.object-hierarchy">
@@ -2303,130 +2301,54 @@
 <ANCHOR id="ibus-config-service-value-changed" href="ibus/IBusConfigService.html#ibus-config-service-value-changed">
 <ANCHOR id="IBusConfigService.property-details" href="ibus/IBusConfigService.html#IBusConfigService.property-details">
 <ANCHOR id="IBusConfigService--connection" href="ibus/IBusConfigService.html#IBusConfigService--connection">
-<ANCHOR id="ibus-ibusxml" href="ibus/ibus-ibusxml.html">
-<ANCHOR id="ibus-ibusxml.synopsis" href="ibus/ibus-ibusxml.html#ibus-ibusxml.synopsis">
-<ANCHOR id="ibus-ibusxml.description" href="ibus/ibus-ibusxml.html#ibus-ibusxml.description">
-<ANCHOR id="ibus-ibusxml.details" href="ibus/ibus-ibusxml.html#ibus-ibusxml.details">
-<ANCHOR id="XMLNode" href="ibus/ibus-ibusxml.html#XMLNode">
-<ANCHOR id="ibus-xml-parse-file" href="ibus/ibus-ibusxml.html#ibus-xml-parse-file">
-<ANCHOR id="ibus-xml-parse-buffer" href="ibus/ibus-ibusxml.html#ibus-xml-parse-buffer">
-<ANCHOR id="ibus-xml-free" href="ibus/ibus-ibusxml.html#ibus-xml-free">
-<ANCHOR id="ibus-xml-output" href="ibus/ibus-ibusxml.html#ibus-xml-output">
-<ANCHOR id="ibus-ibusdebug" href="ibus/ibus-ibusdebug.html">
-<ANCHOR id="ibus-ibusdebug.stability-level" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.stability-level">
-<ANCHOR id="ibus-ibusdebug.synopsis" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.synopsis">
-<ANCHOR id="ibus-ibusdebug.description" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.description">
-<ANCHOR id="ibus-ibusdebug.details" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.details">
-<ANCHOR id="ibus-warning" href="ibus/ibus-ibusdebug.html#ibus-warning">
-<ANCHOR id="ibus-ibusenumtypes" href="ibus/ibus-ibusenumtypes.html">
-<ANCHOR id="ibus-ibusenumtypes.synopsis" href="ibus/ibus-ibusenumtypes.html#ibus-ibusenumtypes.synopsis">
-<ANCHOR id="ibus-ibusenumtypes.description" href="ibus/ibus-ibusenumtypes.html#ibus-ibusenumtypes.description">
-<ANCHOR id="ibus-ibusenumtypes.details" href="ibus/ibus-ibusenumtypes.html#ibus-ibusenumtypes.details">
-<ANCHOR id="ibus-object-flags-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-object-flags-get-type">
-<ANCHOR id="IBUS-TYPE-OBJECT-FLAGS--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-OBJECT-FLAGS--CAPS">
-<ANCHOR id="ibus-attr-type-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-attr-type-get-type">
-<ANCHOR id="IBUS-TYPE-ATTR-TYPE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-TYPE--CAPS">
-<ANCHOR id="ibus-attr-underline-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-attr-underline-get-type">
-<ANCHOR id="IBUS-TYPE-ATTR-UNDERLINE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-UNDERLINE--CAPS">
-<ANCHOR id="ibus-prop-type-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-prop-type-get-type">
-<ANCHOR id="IBUS-TYPE-PROP-TYPE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-PROP-TYPE--CAPS">
-<ANCHOR id="ibus-prop-state-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-prop-state-get-type">
-<ANCHOR id="IBUS-TYPE-PROP-STATE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-PROP-STATE--CAPS">
-<ANCHOR id="ibus-modifier-type-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-modifier-type-get-type">
-<ANCHOR id="IBUS-TYPE-MODIFIER-TYPE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-MODIFIER-TYPE--CAPS">
-<ANCHOR id="ibus-capabilite-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-capabilite-get-type">
-<ANCHOR id="IBUS-TYPE-CAPABILITE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-CAPABILITE--CAPS">
-<ANCHOR id="ibus-ibuserror" href="ibus/ibus-ibuserror.html">
-<ANCHOR id="ibus-ibuserror.stability-level" href="ibus/ibus-ibuserror.html#ibus-ibuserror.stability-level">
-<ANCHOR id="ibus-ibuserror.synopsis" href="ibus/ibus-ibuserror.html#ibus-ibuserror.synopsis">
-<ANCHOR id="ibus-ibuserror.description" href="ibus/ibus-ibuserror.html#ibus-ibuserror.description">
-<ANCHOR id="ibus-ibuserror.details" href="ibus/ibus-ibuserror.html#ibus-ibuserror.details">
-<ANCHOR id="IBusError" href="ibus/ibus-ibuserror.html#IBusError">
-<ANCHOR id="ibus-error-new" href="ibus/ibus-ibuserror.html#ibus-error-new">
-<ANCHOR id="ibus-error-new-from-text" href="ibus/ibus-ibuserror.html#ibus-error-new-from-text">
-<ANCHOR id="ibus-error-new-from-printf" href="ibus/ibus-ibuserror.html#ibus-error-new-from-printf">
-<ANCHOR id="ibus-error-new-from-message" href="ibus/ibus-ibuserror.html#ibus-error-new-from-message">
-<ANCHOR id="ibus-error-free" href="ibus/ibus-ibuserror.html#ibus-error-free">
-<ANCHOR id="IBusInputContext" href="ibus/IBusInputContext.html">
-<ANCHOR id="IBusInputContext.stability-level" href="ibus/IBusInputContext.html#IBusInputContext.stability-level">
-<ANCHOR id="IBusInputContext.synopsis" href="ibus/IBusInputContext.html#IBusInputContext.synopsis">
-<ANCHOR id="IBusInputContext.object-hierarchy" href="ibus/IBusInputContext.html#IBusInputContext.object-hierarchy">
-<ANCHOR id="IBusInputContext.signals" href="ibus/IBusInputContext.html#IBusInputContext.signals">
-<ANCHOR id="IBusInputContext.description" href="ibus/IBusInputContext.html#IBusInputContext.description">
-<ANCHOR id="IBusInputContext.details" href="ibus/IBusInputContext.html#IBusInputContext.details">
-<ANCHOR id="IBusInputContext-struct" href="ibus/IBusInputContext.html#IBusInputContext-struct">
-<ANCHOR id="ibus-input-context-process-key-event" href="ibus/IBusInputContext.html#ibus-input-context-process-key-event">
-<ANCHOR id="ibus-input-context-set-cursor-location" href="ibus/IBusInputContext.html#ibus-input-context-set-cursor-location">
-<ANCHOR id="ibus-input-context-set-capabilities" href="ibus/IBusInputContext.html#ibus-input-context-set-capabilities">
-<ANCHOR id="ibus-input-context-focus-in" href="ibus/IBusInputContext.html#ibus-input-context-focus-in">
-<ANCHOR id="ibus-input-context-focus-out" href="ibus/IBusInputContext.html#ibus-input-context-focus-out">
-<ANCHOR id="ibus-input-context-reset" href="ibus/IBusInputContext.html#ibus-input-context-reset">
-<ANCHOR id="ibus-input-context-enable" href="ibus/IBusInputContext.html#ibus-input-context-enable">
-<ANCHOR id="ibus-input-context-disable" href="ibus/IBusInputContext.html#ibus-input-context-disable">
-<ANCHOR id="IBusInputContext.signal-details" href="ibus/IBusInputContext.html#IBusInputContext.signal-details">
-<ANCHOR id="IBusInputContext-commit-text" href="ibus/IBusInputContext.html#IBusInputContext-commit-text">
-<ANCHOR id="IBusInputContext-cursor-down-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-cursor-down-lookup-table">
-<ANCHOR id="IBusInputContext-cursor-up-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-cursor-up-lookup-table">
-<ANCHOR id="IBusInputContext-disabled" href="ibus/IBusInputContext.html#IBusInputContext-disabled">
-<ANCHOR id="IBusInputContext-enabled" href="ibus/IBusInputContext.html#IBusInputContext-enabled">
-<ANCHOR id="IBusInputContext-forward-key-event" href="ibus/IBusInputContext.html#IBusInputContext-forward-key-event">
-<ANCHOR id="IBusInputContext-hide-auxiliary-text" href="ibus/IBusInputContext.html#IBusInputContext-hide-auxiliary-text">
-<ANCHOR id="IBusInputContext-hide-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-hide-lookup-table">
-<ANCHOR id="IBusInputContext-hide-preedit-text" href="ibus/IBusInputContext.html#IBusInputContext-hide-preedit-text">
-<ANCHOR id="IBusInputContext-page-down-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-page-down-lookup-table">
-<ANCHOR id="IBusInputContext-page-up-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-page-up-lookup-table">
-<ANCHOR id="IBusInputContext-register-properties" href="ibus/IBusInputContext.html#IBusInputContext-register-properties">
-<ANCHOR id="IBusInputContext-show-auxiliary-text" href="ibus/IBusInputContext.html#IBusInputContext-show-auxiliary-text">
-<ANCHOR id="IBusInputContext-show-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-show-lookup-table">
-<ANCHOR id="IBusInputContext-show-preedit-text" href="ibus/IBusInputContext.html#IBusInputContext-show-preedit-text">
-<ANCHOR id="IBusInputContext-update-auxiliary-text" href="ibus/IBusInputContext.html#IBusInputContext-update-auxiliary-text">
-<ANCHOR id="IBusInputContext-update-lookup-table" href="ibus/IBusInputContext.html#IBusInputContext-update-lookup-table">
-<ANCHOR id="IBusInputContext-update-preedit-text" href="ibus/IBusInputContext.html#IBusInputContext-update-preedit-text">
-<ANCHOR id="IBusInputContext-update-property" href="ibus/IBusInputContext.html#IBusInputContext-update-property">
-<ANCHOR id="ibus-ibusinternal" href="ibus/ibus-ibusinternal.html">
-<ANCHOR id="ibus-ibusinternal.stability-level" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.stability-level">
-<ANCHOR id="ibus-ibusinternal.synopsis" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.synopsis">
-<ANCHOR id="ibus-ibusinternal.description" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.description">
-<ANCHOR id="ibus-ibusinternal.details" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.details">
-<ANCHOR id="I---CAPS" href="ibus/ibus-ibusinternal.html#I---CAPS">
-<ANCHOR id="dbus-server-setup" href="ibus/ibus-ibusinternal.html#dbus-server-setup">
-<ANCHOR id="dbus-connection-setup" href="ibus/ibus-ibusinternal.html#dbus-connection-setup">
-<ANCHOR id="ibus-ibusinternal.see-also" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.see-also">
-<ANCHOR id="ibus-ibusmarshalers" href="ibus/ibus-ibusmarshalers.html">
-<ANCHOR id="ibus-ibusmarshalers.synopsis" href="ibus/ibus-ibusmarshalers.html#ibus-ibusmarshalers.synopsis">
-<ANCHOR id="ibus-ibusmarshalers.description" href="ibus/ibus-ibusmarshalers.html#ibus-ibusmarshalers.description">
-<ANCHOR id="ibus-ibusmarshalers.details" href="ibus/ibus-ibusmarshalers.html#ibus-ibusmarshalers.details">
-<ANCHOR id="ibus-marshal-VOID--VOID" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--VOID">
-<ANCHOR id="ibus-marshal-VOID--NONE" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--NONE">
-<ANCHOR id="ibus-marshal-VOID--OBJECT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT">
-<ANCHOR id="ibus-marshal-VOID--POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--POINTER">
-<ANCHOR id="ibus-marshal-VOID--STRING" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING">
-<ANCHOR id="ibus-marshal-VOID--STRING-INT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-INT">
-<ANCHOR id="ibus-marshal-VOID--STRING-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-UINT">
-<ANCHOR id="ibus-marshal-BOOLEAN--POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER">
-<ANCHOR id="ibus-marshal-BOOL--POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER">
-<ANCHOR id="ibus-marshal-BOOLEAN--POINTER-POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER-POINTER">
-<ANCHOR id="ibus-marshal-BOOL--POINTER-POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER-POINTER">
-<ANCHOR id="ibus-marshal-BOOLEAN--UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT">
-<ANCHOR id="ibus-marshal-BOOL--UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT">
-<ANCHOR id="ibus-marshal-BOOLEAN--UINT-UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT-UINT">
-<ANCHOR id="ibus-marshal-BOOL--UINT-UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT-UINT">
-<ANCHOR id="ibus-marshal-BOOLEAN--ULONG" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--ULONG">
-<ANCHOR id="ibus-marshal-BOOL--ULONG" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--ULONG">
-<ANCHOR id="ibus-marshal-VOID--INT-INT-INT-INT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--INT-INT-INT-INT">
-<ANCHOR id="ibus-marshal-VOID--UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT">
-<ANCHOR id="ibus-marshal-VOID--UINT-UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT-UINT">
-<ANCHOR id="ibus-marshal-VOID--OBJECT-UINT-BOOLEAN" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOLEAN">
-<ANCHOR id="ibus-marshal-VOID--OBJECT-UINT-BOOL" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOL">
-<ANCHOR id="ibus-marshal-VOID--OBJECT-BOOLEAN" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOLEAN">
-<ANCHOR id="ibus-marshal-VOID--OBJECT-BOOL" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOL">
-<ANCHOR id="ibus-marshal-VOID--BOXED-BOOLEAN" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOLEAN">
-<ANCHOR id="ibus-marshal-VOID--BOXED-BOOL" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOL">
-<ANCHOR id="ibus-marshal-VOID--BOXED" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED">
-<ANCHOR id="ibus-marshal-VOID--STRING-STRING-BOXED" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-BOXED">
-<ANCHOR id="ibus-marshal-VOID--STRING-STRING-STRING" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-STRING">
-<ANCHOR id="ibus-marshal-VOID--UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT">
-<ANCHOR id="ibus-marshal-VOID--UINT-POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-POINTER">
+<ANCHOR id="IBusConnection" href="ibus/IBusConnection.html">
+<ANCHOR id="IBusConnection.stability-level" href="ibus/IBusConnection.html#IBusConnection.stability-level">
+<ANCHOR id="IBusConnection.synopsis" href="ibus/IBusConnection.html#IBusConnection.synopsis">
+<ANCHOR id="IBusConnection.object-hierarchy" href="ibus/IBusConnection.html#IBusConnection.object-hierarchy">
+<ANCHOR id="IBusConnection.signals" href="ibus/IBusConnection.html#IBusConnection.signals">
+<ANCHOR id="IBusConnection.description" href="ibus/IBusConnection.html#IBusConnection.description">
+<ANCHOR id="IBusConnection.details" href="ibus/IBusConnection.html#IBusConnection.details">
+<ANCHOR id="IBusIBusMessageFunc" href="ibus/IBusConnection.html#IBusIBusMessageFunc">
+<ANCHOR id="IBusIBusSignalFunc" href="ibus/IBusConnection.html#IBusIBusSignalFunc">
+<ANCHOR id="IBusMessageFunc" href="ibus/IBusConnection.html#IBusMessageFunc">
+<ANCHOR id="IBusConnection-struct" href="ibus/IBusConnection.html#IBusConnection-struct">
+<ANCHOR id="ibus-connection-new" href="ibus/IBusConnection.html#ibus-connection-new">
+<ANCHOR id="ibus-connection-set-connection" href="ibus/IBusConnection.html#ibus-connection-set-connection">
+<ANCHOR id="ibus-connection-open" href="ibus/IBusConnection.html#ibus-connection-open">
+<ANCHOR id="ibus-connection-open-private" href="ibus/IBusConnection.html#ibus-connection-open-private">
+<ANCHOR id="ibus-connection-close" href="ibus/IBusConnection.html#ibus-connection-close">
+<ANCHOR id="ibus-connection-is-connected" href="ibus/IBusConnection.html#ibus-connection-is-connected">
+<ANCHOR id="ibus-connection-is-authenticated" href="ibus/IBusConnection.html#ibus-connection-is-authenticated">
+<ANCHOR id="ibus-connection-get-connection" href="ibus/IBusConnection.html#ibus-connection-get-connection">
+<ANCHOR id="ibus-connection-get-unix-user" href="ibus/IBusConnection.html#ibus-connection-get-unix-user">
+<ANCHOR id="ibus-connection-read-write-dispatch" href="ibus/IBusConnection.html#ibus-connection-read-write-dispatch">
+<ANCHOR id="ibus-connection-send" href="ibus/IBusConnection.html#ibus-connection-send">
+<ANCHOR id="ibus-connection-send-signal" href="ibus/IBusConnection.html#ibus-connection-send-signal">
+<ANCHOR id="ibus-connection-send-signal-valist" href="ibus/IBusConnection.html#ibus-connection-send-signal-valist">
+<ANCHOR id="ibus-connection-send-valist" href="ibus/IBusConnection.html#ibus-connection-send-valist">
+<ANCHOR id="ibus-connection-send-with-reply" href="ibus/IBusConnection.html#ibus-connection-send-with-reply">
+<ANCHOR id="ibus-connection-send-with-reply-and-block" href="ibus/IBusConnection.html#ibus-connection-send-with-reply-and-block">
+<ANCHOR id="ibus-connection-call" href="ibus/IBusConnection.html#ibus-connection-call">
+<ANCHOR id="ibus-connection-flush" href="ibus/IBusConnection.html#ibus-connection-flush">
+<ANCHOR id="ibus-connection-register-object-path" href="ibus/IBusConnection.html#ibus-connection-register-object-path">
+<ANCHOR id="ibus-connection-unregister-object-path" href="ibus/IBusConnection.html#ibus-connection-unregister-object-path">
+<ANCHOR id="IBusConnection.signal-details" href="ibus/IBusConnection.html#IBusConnection.signal-details">
+<ANCHOR id="IBusConnection-authenticate-unix-user" href="ibus/IBusConnection.html#IBusConnection-authenticate-unix-user">
+<ANCHOR id="IBusConnection-disconnected" href="ibus/IBusConnection.html#IBusConnection-disconnected">
+<ANCHOR id="IBusConnection-ibus-message" href="ibus/IBusConnection.html#IBusConnection-ibus-message">
+<ANCHOR id="IBusConnection-ibus-message-sent" href="ibus/IBusConnection.html#IBusConnection-ibus-message-sent">
+<ANCHOR id="IBusConnection-ibus-signal" href="ibus/IBusConnection.html#IBusConnection-ibus-signal">
+<ANCHOR id="IBusConnection.see-also" href="ibus/IBusConnection.html#IBusConnection.see-also">
+<ANCHOR id="ibus-ibusmainloop" href="ibus/ibus-ibusmainloop.html">
+<ANCHOR id="ibus-ibusmainloop.stability-level" href="ibus/ibus-ibusmainloop.html#ibus-ibusmainloop.stability-level">
+<ANCHOR id="ibus-ibusmainloop.synopsis" href="ibus/ibus-ibusmainloop.html#ibus-ibusmainloop.synopsis">
+<ANCHOR id="ibus-ibusmainloop.description" href="ibus/ibus-ibusmainloop.html#ibus-ibusmainloop.description">
+<ANCHOR id="ibus-ibusmainloop.details" href="ibus/ibus-ibusmainloop.html#ibus-ibusmainloop.details">
+<ANCHOR id="DBusConnectionSetupFunc" href="ibus/ibus-ibusmainloop.html#DBusConnectionSetupFunc">
+<ANCHOR id="DBusServerSetupFunc" href="ibus/ibus-ibusmainloop.html#DBusServerSetupFunc">
+<ANCHOR id="ibus-mainloop-setup" href="ibus/ibus-ibusmainloop.html#ibus-mainloop-setup">
+<ANCHOR id="ibus-dbus-server-setup" href="ibus/ibus-ibusmainloop.html#ibus-dbus-server-setup">
+<ANCHOR id="ibus-dbus-connection-setup" href="ibus/ibus-ibusmainloop.html#ibus-dbus-connection-setup">
 <ANCHOR id="ibus-ibusmessage" href="ibus/ibus-ibusmessage.html">
 <ANCHOR id="ibus-ibusmessage.stability-level" href="ibus/ibus-ibusmessage.html#ibus-ibusmessage.stability-level">
 <ANCHOR id="ibus-ibusmessage.synopsis" href="ibus/ibus-ibusmessage.html#ibus-ibusmessage.synopsis">
@@ -2492,23 +2414,6 @@
 <ANCHOR id="ibus-message-iter-get-arg-type" href="ibus/ibus-ibusmessage.html#ibus-message-iter-get-arg-type">
 <ANCHOR id="ibus-message-iter-get-element-type" href="ibus/ibus-ibusmessage.html#ibus-message-iter-get-element-type">
 <ANCHOR id="ibus-message-to-string" href="ibus/ibus-ibusmessage.html#ibus-message-to-string">
-<ANCHOR id="IBusObject" href="ibus/IBusObject.html">
-<ANCHOR id="IBusObject.stability-level" href="ibus/IBusObject.html#IBusObject.stability-level">
-<ANCHOR id="IBusObject.synopsis" href="ibus/IBusObject.html#IBusObject.synopsis">
-<ANCHOR id="IBusObject.object-hierarchy" href="ibus/IBusObject.html#IBusObject.object-hierarchy">
-<ANCHOR id="IBusObject.signals" href="ibus/IBusObject.html#IBusObject.signals">
-<ANCHOR id="IBusObject.description" href="ibus/IBusObject.html#IBusObject.description">
-<ANCHOR id="IBusObject.details" href="ibus/IBusObject.html#IBusObject.details">
-<ANCHOR id="IBusObjectFlags" href="ibus/IBusObject.html#IBusObjectFlags">
-<ANCHOR id="IBUS-OBJECT-FLAGS--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-FLAGS--CAPS">
-<ANCHOR id="IBUS-OBJECT-SET-FLAGS--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-SET-FLAGS--CAPS">
-<ANCHOR id="IBUS-OBJECT-UNSET-FLAGS--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-UNSET-FLAGS--CAPS">
-<ANCHOR id="IBUS-OBJECT-DESTROYED--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-DESTROYED--CAPS">
-<ANCHOR id="IBusObject-struct" href="ibus/IBusObject.html#IBusObject-struct">
-<ANCHOR id="ibus-object-new" href="ibus/IBusObject.html#ibus-object-new">
-<ANCHOR id="ibus-object-destroy" href="ibus/IBusObject.html#ibus-object-destroy">
-<ANCHOR id="IBusObject.signal-details" href="ibus/IBusObject.html#IBusObject.signal-details">
-<ANCHOR id="IBusObject-destroy" href="ibus/IBusObject.html#IBusObject-destroy">
 <ANCHOR id="IBusObservedPath" href="ibus/IBusObservedPath.html">
 <ANCHOR id="IBusObservedPath.stability-level" href="ibus/IBusObservedPath.html#IBusObservedPath.stability-level">
 <ANCHOR id="IBusObservedPath.synopsis" href="ibus/IBusObservedPath.html#IBusObservedPath.synopsis">
@@ -2569,26 +2474,26 @@
 <ANCHOR id="IBusProxy--path" href="ibus/IBusProxy.html#IBusProxy--path">
 <ANCHOR id="IBusProxy.signal-details" href="ibus/IBusProxy.html#IBusProxy.signal-details">
 <ANCHOR id="IBusProxy-ibus-signal" href="ibus/IBusProxy.html#IBusProxy-ibus-signal">
-<ANCHOR id="IBusServer" href="ibus/IBusServer.html">
-<ANCHOR id="IBusServer.synopsis" href="ibus/IBusServer.html#IBusServer.synopsis">
-<ANCHOR id="IBusServer.object-hierarchy" href="ibus/IBusServer.html#IBusServer.object-hierarchy">
-<ANCHOR id="IBusServer.properties" href="ibus/IBusServer.html#IBusServer.properties">
-<ANCHOR id="IBusServer.signals" href="ibus/IBusServer.html#IBusServer.signals">
-<ANCHOR id="IBusServer.description" href="ibus/IBusServer.html#IBusServer.description">
-<ANCHOR id="IBusServer.details" href="ibus/IBusServer.html#IBusServer.details">
-<ANCHOR id="IBusNewConnectionFunc" href="ibus/IBusServer.html#IBusNewConnectionFunc">
-<ANCHOR id="IBusServer-struct" href="ibus/IBusServer.html#IBusServer-struct">
-<ANCHOR id="ibus-server-new" href="ibus/IBusServer.html#ibus-server-new">
-<ANCHOR id="ibus-server-listen" href="ibus/IBusServer.html#ibus-server-listen">
-<ANCHOR id="ibus-server-disconnect" href="ibus/IBusServer.html#ibus-server-disconnect">
-<ANCHOR id="ibus-server-get-address" href="ibus/IBusServer.html#ibus-server-get-address">
-<ANCHOR id="ibus-server-get-id" href="ibus/IBusServer.html#ibus-server-get-id">
-<ANCHOR id="ibus-server-is-connected" href="ibus/IBusServer.html#ibus-server-is-connected">
-<ANCHOR id="ibus-server-set-auth-mechanisms" href="ibus/IBusServer.html#ibus-server-set-auth-mechanisms">
-<ANCHOR id="IBusServer.property-details" href="ibus/IBusServer.html#IBusServer.property-details">
-<ANCHOR id="IBusServer--connection-type" href="ibus/IBusServer.html#IBusServer--connection-type">
-<ANCHOR id="IBusServer.signal-details" href="ibus/IBusServer.html#IBusServer.signal-details">
-<ANCHOR id="IBusServer-new-connection" href="ibus/IBusServer.html#IBusServer-new-connection">
+<ANCHOR id="IBusSerializable" href="ibus/IBusSerializable.html">
+<ANCHOR id="IBusSerializable.stability-level" href="ibus/IBusSerializable.html#IBusSerializable.stability-level">
+<ANCHOR id="IBusSerializable.synopsis" href="ibus/IBusSerializable.html#IBusSerializable.synopsis">
+<ANCHOR id="IBusSerializable.object-hierarchy" href="ibus/IBusSerializable.html#IBusSerializable.object-hierarchy">
+<ANCHOR id="IBusSerializable.description" href="ibus/IBusSerializable.html#IBusSerializable.description">
+<ANCHOR id="IBusSerializable.details" href="ibus/IBusSerializable.html#IBusSerializable.details">
+<ANCHOR id="ibus-serializable-set-attachment" href="ibus/IBusSerializable.html#ibus-serializable-set-attachment">
+<ANCHOR id="ibus-serializable-get-attachment" href="ibus/IBusSerializable.html#ibus-serializable-get-attachment">
+<ANCHOR id="ibus-serializable-remove-attachment" href="ibus/IBusSerializable.html#ibus-serializable-remove-attachment">
+<ANCHOR id="IBusSerializableSerializeFunc" href="ibus/IBusSerializable.html#IBusSerializableSerializeFunc">
+<ANCHOR id="IBusSerializableDeserializeFunc" href="ibus/IBusSerializable.html#IBusSerializableDeserializeFunc">
+<ANCHOR id="IBusSerializableCopyFunc" href="ibus/IBusSerializable.html#IBusSerializableCopyFunc">
+<ANCHOR id="IBusSerializable-struct" href="ibus/IBusSerializable.html#IBusSerializable-struct">
+<ANCHOR id="ibus-serializable-new" href="ibus/IBusSerializable.html#ibus-serializable-new">
+<ANCHOR id="ibus-serializable-set-qattachment" href="ibus/IBusSerializable.html#ibus-serializable-set-qattachment">
+<ANCHOR id="ibus-serializable-get-qattachment" href="ibus/IBusSerializable.html#ibus-serializable-get-qattachment">
+<ANCHOR id="ibus-serializable-remove-qattachment" href="ibus/IBusSerializable.html#ibus-serializable-remove-qattachment">
+<ANCHOR id="ibus-serializable-copy" href="ibus/IBusSerializable.html#ibus-serializable-copy">
+<ANCHOR id="ibus-serializable-serialize" href="ibus/IBusSerializable.html#ibus-serializable-serialize">
+<ANCHOR id="ibus-serializable-deserialize" href="ibus/IBusSerializable.html#ibus-serializable-deserialize">
 <ANCHOR id="IBusService" href="ibus/IBusService.html">
 <ANCHOR id="IBusService.stability-level" href="ibus/IBusService.html#IBusService.stability-level">
 <ANCHOR id="IBusService.synopsis" href="ibus/IBusService.html#IBusService.synopsis">
@@ -2613,26 +2518,132 @@
 <ANCHOR id="IBusService.signal-details" href="ibus/IBusService.html#IBusService.signal-details">
 <ANCHOR id="IBusService-ibus-message" href="ibus/IBusService.html#IBusService-ibus-message">
 <ANCHOR id="IBusService-ibus-signal" href="ibus/IBusService.html#IBusService-ibus-signal">
-<ANCHOR id="IBusSerializable" href="ibus/IBusSerializable.html">
-<ANCHOR id="IBusSerializable.stability-level" href="ibus/IBusSerializable.html#IBusSerializable.stability-level">
-<ANCHOR id="IBusSerializable.synopsis" href="ibus/IBusSerializable.html#IBusSerializable.synopsis">
-<ANCHOR id="IBusSerializable.object-hierarchy" href="ibus/IBusSerializable.html#IBusSerializable.object-hierarchy">
-<ANCHOR id="IBusSerializable.description" href="ibus/IBusSerializable.html#IBusSerializable.description">
-<ANCHOR id="IBusSerializable.details" href="ibus/IBusSerializable.html#IBusSerializable.details">
-<ANCHOR id="ibus-serializable-set-attachment" href="ibus/IBusSerializable.html#ibus-serializable-set-attachment">
-<ANCHOR id="ibus-serializable-get-attachment" href="ibus/IBusSerializable.html#ibus-serializable-get-attachment">
-<ANCHOR id="ibus-serializable-remove-attachment" href="ibus/IBusSerializable.html#ibus-serializable-remove-attachment">
-<ANCHOR id="IBusSerializableSerializeFunc" href="ibus/IBusSerializable.html#IBusSerializableSerializeFunc">
-<ANCHOR id="IBusSerializableDeserializeFunc" href="ibus/IBusSerializable.html#IBusSerializableDeserializeFunc">
-<ANCHOR id="IBusSerializableCopyFunc" href="ibus/IBusSerializable.html#IBusSerializableCopyFunc">
-<ANCHOR id="IBusSerializable-struct" href="ibus/IBusSerializable.html#IBusSerializable-struct">
-<ANCHOR id="ibus-serializable-new" href="ibus/IBusSerializable.html#ibus-serializable-new">
-<ANCHOR id="ibus-serializable-set-qattachment" href="ibus/IBusSerializable.html#ibus-serializable-set-qattachment">
-<ANCHOR id="ibus-serializable-get-qattachment" href="ibus/IBusSerializable.html#ibus-serializable-get-qattachment">
-<ANCHOR id="ibus-serializable-remove-qattachment" href="ibus/IBusSerializable.html#ibus-serializable-remove-qattachment">
-<ANCHOR id="ibus-serializable-copy" href="ibus/IBusSerializable.html#ibus-serializable-copy">
-<ANCHOR id="ibus-serializable-serialize" href="ibus/IBusSerializable.html#ibus-serializable-serialize">
-<ANCHOR id="ibus-serializable-deserialize" href="ibus/IBusSerializable.html#ibus-serializable-deserialize">
+<ANCHOR id="ibus-ibusxml" href="ibus/ibus-ibusxml.html">
+<ANCHOR id="ibus-ibusxml.synopsis" href="ibus/ibus-ibusxml.html#ibus-ibusxml.synopsis">
+<ANCHOR id="ibus-ibusxml.description" href="ibus/ibus-ibusxml.html#ibus-ibusxml.description">
+<ANCHOR id="ibus-ibusxml.details" href="ibus/ibus-ibusxml.html#ibus-ibusxml.details">
+<ANCHOR id="XMLNode" href="ibus/ibus-ibusxml.html#XMLNode">
+<ANCHOR id="ibus-xml-parse-file" href="ibus/ibus-ibusxml.html#ibus-xml-parse-file">
+<ANCHOR id="ibus-xml-parse-buffer" href="ibus/ibus-ibusxml.html#ibus-xml-parse-buffer">
+<ANCHOR id="ibus-xml-free" href="ibus/ibus-ibusxml.html#ibus-xml-free">
+<ANCHOR id="ibus-xml-output" href="ibus/ibus-ibusxml.html#ibus-xml-output">
+<ANCHOR id="ibus-ibusdebug" href="ibus/ibus-ibusdebug.html">
+<ANCHOR id="ibus-ibusdebug.stability-level" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.stability-level">
+<ANCHOR id="ibus-ibusdebug.synopsis" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.synopsis">
+<ANCHOR id="ibus-ibusdebug.description" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.description">
+<ANCHOR id="ibus-ibusdebug.details" href="ibus/ibus-ibusdebug.html#ibus-ibusdebug.details">
+<ANCHOR id="ibus-warning" href="ibus/ibus-ibusdebug.html#ibus-warning">
+<ANCHOR id="ibus-ibusenumtypes" href="ibus/ibus-ibusenumtypes.html">
+<ANCHOR id="ibus-ibusenumtypes.synopsis" href="ibus/ibus-ibusenumtypes.html#ibus-ibusenumtypes.synopsis">
+<ANCHOR id="ibus-ibusenumtypes.description" href="ibus/ibus-ibusenumtypes.html#ibus-ibusenumtypes.description">
+<ANCHOR id="ibus-ibusenumtypes.details" href="ibus/ibus-ibusenumtypes.html#ibus-ibusenumtypes.details">
+<ANCHOR id="ibus-object-flags-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-object-flags-get-type">
+<ANCHOR id="IBUS-TYPE-OBJECT-FLAGS--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-OBJECT-FLAGS--CAPS">
+<ANCHOR id="ibus-attr-type-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-attr-type-get-type">
+<ANCHOR id="IBUS-TYPE-ATTR-TYPE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-TYPE--CAPS">
+<ANCHOR id="ibus-attr-underline-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-attr-underline-get-type">
+<ANCHOR id="IBUS-TYPE-ATTR-UNDERLINE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-ATTR-UNDERLINE--CAPS">
+<ANCHOR id="ibus-prop-type-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-prop-type-get-type">
+<ANCHOR id="IBUS-TYPE-PROP-TYPE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-PROP-TYPE--CAPS">
+<ANCHOR id="ibus-prop-state-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-prop-state-get-type">
+<ANCHOR id="IBUS-TYPE-PROP-STATE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-PROP-STATE--CAPS">
+<ANCHOR id="ibus-modifier-type-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-modifier-type-get-type">
+<ANCHOR id="IBUS-TYPE-MODIFIER-TYPE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-MODIFIER-TYPE--CAPS">
+<ANCHOR id="ibus-capabilite-get-type" href="ibus/ibus-ibusenumtypes.html#ibus-capabilite-get-type">
+<ANCHOR id="IBUS-TYPE-CAPABILITE--CAPS" href="ibus/ibus-ibusenumtypes.html#IBUS-TYPE-CAPABILITE--CAPS">
+<ANCHOR id="ibus-ibuserror" href="ibus/ibus-ibuserror.html">
+<ANCHOR id="ibus-ibuserror.stability-level" href="ibus/ibus-ibuserror.html#ibus-ibuserror.stability-level">
+<ANCHOR id="ibus-ibuserror.synopsis" href="ibus/ibus-ibuserror.html#ibus-ibuserror.synopsis">
+<ANCHOR id="ibus-ibuserror.description" href="ibus/ibus-ibuserror.html#ibus-ibuserror.description">
+<ANCHOR id="ibus-ibuserror.details" href="ibus/ibus-ibuserror.html#ibus-ibuserror.details">
+<ANCHOR id="IBusError" href="ibus/ibus-ibuserror.html#IBusError">
+<ANCHOR id="ibus-error-new" href="ibus/ibus-ibuserror.html#ibus-error-new">
+<ANCHOR id="ibus-error-new-from-text" href="ibus/ibus-ibuserror.html#ibus-error-new-from-text">
+<ANCHOR id="ibus-error-new-from-printf" href="ibus/ibus-ibuserror.html#ibus-error-new-from-printf">
+<ANCHOR id="ibus-error-new-from-message" href="ibus/ibus-ibuserror.html#ibus-error-new-from-message">
+<ANCHOR id="ibus-error-free" href="ibus/ibus-ibuserror.html#ibus-error-free">
+<ANCHOR id="ibus-ibusinternal" href="ibus/ibus-ibusinternal.html">
+<ANCHOR id="ibus-ibusinternal.stability-level" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.stability-level">
+<ANCHOR id="ibus-ibusinternal.synopsis" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.synopsis">
+<ANCHOR id="ibus-ibusinternal.description" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.description">
+<ANCHOR id="ibus-ibusinternal.details" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.details">
+<ANCHOR id="I---CAPS" href="ibus/ibus-ibusinternal.html#I---CAPS">
+<ANCHOR id="dbus-server-setup" href="ibus/ibus-ibusinternal.html#dbus-server-setup">
+<ANCHOR id="dbus-connection-setup" href="ibus/ibus-ibusinternal.html#dbus-connection-setup">
+<ANCHOR id="ibus-ibusinternal.see-also" href="ibus/ibus-ibusinternal.html#ibus-ibusinternal.see-also">
+<ANCHOR id="ibus-ibusmarshalers" href="ibus/ibus-ibusmarshalers.html">
+<ANCHOR id="ibus-ibusmarshalers.synopsis" href="ibus/ibus-ibusmarshalers.html#ibus-ibusmarshalers.synopsis">
+<ANCHOR id="ibus-ibusmarshalers.description" href="ibus/ibus-ibusmarshalers.html#ibus-ibusmarshalers.description">
+<ANCHOR id="ibus-ibusmarshalers.details" href="ibus/ibus-ibusmarshalers.html#ibus-ibusmarshalers.details">
+<ANCHOR id="ibus-marshal-VOID--VOID" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--VOID">
+<ANCHOR id="ibus-marshal-VOID--NONE" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--NONE">
+<ANCHOR id="ibus-marshal-VOID--OBJECT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT">
+<ANCHOR id="ibus-marshal-VOID--POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--POINTER">
+<ANCHOR id="ibus-marshal-VOID--STRING" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING">
+<ANCHOR id="ibus-marshal-VOID--STRING-INT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-INT">
+<ANCHOR id="ibus-marshal-VOID--STRING-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-UINT">
+<ANCHOR id="ibus-marshal-BOOLEAN--POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER">
+<ANCHOR id="ibus-marshal-BOOL--POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER">
+<ANCHOR id="ibus-marshal-BOOLEAN--POINTER-POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--POINTER-POINTER">
+<ANCHOR id="ibus-marshal-BOOL--POINTER-POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--POINTER-POINTER">
+<ANCHOR id="ibus-marshal-BOOLEAN--UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT">
+<ANCHOR id="ibus-marshal-BOOL--UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT">
+<ANCHOR id="ibus-marshal-BOOLEAN--UINT-UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--UINT-UINT-UINT">
+<ANCHOR id="ibus-marshal-BOOL--UINT-UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--UINT-UINT-UINT">
+<ANCHOR id="ibus-marshal-BOOLEAN--ULONG" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOLEAN--ULONG">
+<ANCHOR id="ibus-marshal-BOOL--ULONG" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-BOOL--ULONG">
+<ANCHOR id="ibus-marshal-VOID--INT-INT-INT-INT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--INT-INT-INT-INT">
+<ANCHOR id="ibus-marshal-VOID--UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT">
+<ANCHOR id="ibus-marshal-VOID--UINT-UINT-UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-UINT-UINT">
+<ANCHOR id="ibus-marshal-VOID--OBJECT-UINT-BOOLEAN" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOLEAN">
+<ANCHOR id="ibus-marshal-VOID--OBJECT-UINT-BOOL" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-UINT-BOOL">
+<ANCHOR id="ibus-marshal-VOID--OBJECT-BOOLEAN" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOLEAN">
+<ANCHOR id="ibus-marshal-VOID--OBJECT-BOOL" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--OBJECT-BOOL">
+<ANCHOR id="ibus-marshal-VOID--BOXED-BOOLEAN" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOLEAN">
+<ANCHOR id="ibus-marshal-VOID--BOXED-BOOL" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED-BOOL">
+<ANCHOR id="ibus-marshal-VOID--BOXED" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--BOXED">
+<ANCHOR id="ibus-marshal-VOID--STRING-STRING-BOXED" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-BOXED">
+<ANCHOR id="ibus-marshal-VOID--STRING-STRING-STRING" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--STRING-STRING-STRING">
+<ANCHOR id="ibus-marshal-VOID--UINT" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT">
+<ANCHOR id="ibus-marshal-VOID--UINT-POINTER" href="ibus/ibus-ibusmarshalers.html#ibus-marshal-VOID--UINT-POINTER">
+<ANCHOR id="IBusObject" href="ibus/IBusObject.html">
+<ANCHOR id="IBusObject.stability-level" href="ibus/IBusObject.html#IBusObject.stability-level">
+<ANCHOR id="IBusObject.synopsis" href="ibus/IBusObject.html#IBusObject.synopsis">
+<ANCHOR id="IBusObject.object-hierarchy" href="ibus/IBusObject.html#IBusObject.object-hierarchy">
+<ANCHOR id="IBusObject.signals" href="ibus/IBusObject.html#IBusObject.signals">
+<ANCHOR id="IBusObject.description" href="ibus/IBusObject.html#IBusObject.description">
+<ANCHOR id="IBusObject.details" href="ibus/IBusObject.html#IBusObject.details">
+<ANCHOR id="IBusObjectFlags" href="ibus/IBusObject.html#IBusObjectFlags">
+<ANCHOR id="IBUS-OBJECT-FLAGS--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-FLAGS--CAPS">
+<ANCHOR id="IBUS-OBJECT-SET-FLAGS--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-SET-FLAGS--CAPS">
+<ANCHOR id="IBUS-OBJECT-UNSET-FLAGS--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-UNSET-FLAGS--CAPS">
+<ANCHOR id="IBUS-OBJECT-DESTROYED--CAPS" href="ibus/IBusObject.html#IBUS-OBJECT-DESTROYED--CAPS">
+<ANCHOR id="IBusObject-struct" href="ibus/IBusObject.html#IBusObject-struct">
+<ANCHOR id="ibus-object-new" href="ibus/IBusObject.html#ibus-object-new">
+<ANCHOR id="ibus-object-destroy" href="ibus/IBusObject.html#ibus-object-destroy">
+<ANCHOR id="IBusObject.signal-details" href="ibus/IBusObject.html#IBusObject.signal-details">
+<ANCHOR id="IBusObject-destroy" href="ibus/IBusObject.html#IBusObject-destroy">
+<ANCHOR id="IBusServer" href="ibus/IBusServer.html">
+<ANCHOR id="IBusServer.stability-level" href="ibus/IBusServer.html#IBusServer.stability-level">
+<ANCHOR id="IBusServer.synopsis" href="ibus/IBusServer.html#IBusServer.synopsis">
+<ANCHOR id="IBusServer.object-hierarchy" href="ibus/IBusServer.html#IBusServer.object-hierarchy">
+<ANCHOR id="IBusServer.properties" href="ibus/IBusServer.html#IBusServer.properties">
+<ANCHOR id="IBusServer.signals" href="ibus/IBusServer.html#IBusServer.signals">
+<ANCHOR id="IBusServer.description" href="ibus/IBusServer.html#IBusServer.description">
+<ANCHOR id="IBusServer.details" href="ibus/IBusServer.html#IBusServer.details">
+<ANCHOR id="IBusNewConnectionFunc" href="ibus/IBusServer.html#IBusNewConnectionFunc">
+<ANCHOR id="IBusServer-struct" href="ibus/IBusServer.html#IBusServer-struct">
+<ANCHOR id="ibus-server-new" href="ibus/IBusServer.html#ibus-server-new">
+<ANCHOR id="ibus-server-listen" href="ibus/IBusServer.html#ibus-server-listen">
+<ANCHOR id="ibus-server-disconnect" href="ibus/IBusServer.html#ibus-server-disconnect">
+<ANCHOR id="ibus-server-get-address" href="ibus/IBusServer.html#ibus-server-get-address">
+<ANCHOR id="ibus-server-get-id" href="ibus/IBusServer.html#ibus-server-get-id">
+<ANCHOR id="ibus-server-is-connected" href="ibus/IBusServer.html#ibus-server-is-connected">
+<ANCHOR id="ibus-server-set-auth-mechanisms" href="ibus/IBusServer.html#ibus-server-set-auth-mechanisms">
+<ANCHOR id="IBusServer.property-details" href="ibus/IBusServer.html#IBusServer.property-details">
+<ANCHOR id="IBusServer--connection-type" href="ibus/IBusServer.html#IBusServer--connection-type">
+<ANCHOR id="IBusServer.signal-details" href="ibus/IBusServer.html#IBusServer.signal-details">
+<ANCHOR id="IBusServer-new-connection" href="ibus/IBusServer.html#IBusServer-new-connection">
 <ANCHOR id="ibus-ibusshare" href="ibus/ibus-ibusshare.html">
 <ANCHOR id="ibus-ibusshare.synopsis" href="ibus/ibus-ibusshare.html#ibus-ibusshare.synopsis">
 <ANCHOR id="ibus-ibusshare.description" href="ibus/ibus-ibusshare.html#ibus-ibusshare.description">
@@ -2678,6 +2689,14 @@
 <ANCHOR id="IBusCapabilite" href="ibus/ibus-ibustypes.html#IBusCapabilite">
 <ANCHOR id="IBusRectangle" href="ibus/ibus-ibustypes.html#IBusRectangle">
 <ANCHOR id="IBusFreeFunc" href="ibus/ibus-ibustypes.html#IBusFreeFunc">
+<ANCHOR id="ibus-ibusversion" href="ibus/ibus-ibusversion.html">
+<ANCHOR id="ibus-ibusversion.synopsis" href="ibus/ibus-ibusversion.html#ibus-ibusversion.synopsis">
+<ANCHOR id="ibus-ibusversion.description" href="ibus/ibus-ibusversion.html#ibus-ibusversion.description">
+<ANCHOR id="ibus-ibusversion.details" href="ibus/ibus-ibusversion.html#ibus-ibusversion.details">
+<ANCHOR id="IBUS-MAJOR-VERSION--CAPS" href="ibus/ibus-ibusversion.html#IBUS-MAJOR-VERSION--CAPS">
+<ANCHOR id="IBUS-MINOR-VERSION--CAPS" href="ibus/ibus-ibusversion.html#IBUS-MINOR-VERSION--CAPS">
+<ANCHOR id="IBUS-MICRO-VERSION--CAPS" href="ibus/ibus-ibusversion.html#IBUS-MICRO-VERSION--CAPS">
+<ANCHOR id="IBUS-CHECK-VERSION--CAPS" href="ibus/ibus-ibusversion.html#IBUS-CHECK-VERSION--CAPS">
 <ANCHOR id="ibus-keyname-table" href="ibus/ibus-keyname-table.html">
 <ANCHOR id="ibus-keyname-table.synopsis" href="ibus/ibus-keyname-table.html#ibus-keyname-table.synopsis">
 <ANCHOR id="ibus-keyname-table.description" href="ibus/ibus-keyname-table.html#ibus-keyname-table.description">
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/ibus-docs.sgml 1.2.0.20091024-1/docs/reference/ibus/ibus-docs.sgml
--- 1.2.0.20090904-1/docs/reference/ibus/ibus-docs.sgml	2009-07-09 07:55:33.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/ibus-docs.sgml	2009-09-16 08:31:50.000000000 +0100
@@ -3,26 +3,50 @@
                "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
 <book id="index" xmlns:xi="http://www.w3.org/2003/XInclude">
   <bookinfo>
-    <title>iBus Reference Manual</title>
+    <title>IBus Reference Manual</title>
     <releaseinfo>
-      iBus 1.1.0 reference manual.
+      Intelligent Input Bus (IBus) 1.2.0 reference manual.
       The latest version of this documentation can be found on-line at
       <ulink role="online-location" url="http://code.google.com/p/ibus">http://code.google.com/p/ibus</ulink>.
     </releaseinfo>
   </bookinfo>
 
   <chapter>
-      <title>API Overviews</title>
-      <para>The iBus API consists 3 parts:
-	  <emphasis>User interfaces</emphasis> for objects and services which
-	  are relateed to iBus UI such as language bar;
-          <emphasis>Input method engine</emphasis> for input method main logic and input/output handling;
-	  <emphasis>Configure</emphasis> for services for save, load and listening configures.
+      <title>Overview</title>
+      <para>This manual is the API specification for the IBus.
+	    IBus is built upon GObject and D-Bus,
+	    so you may find that modules are named as classes and objects in the sense of GObject,
+	    and may D-Bus wrapper API.</para>
+
+      <para>According to the puroposes of modules, we categorized them into 4 parts:</para>
+      <variablelist>
+	  <varlistentry>
+	      <term>Panel</term>
+	      <listitem><para>A IBus-panel is an UI which provides UI components such as language bar,
+		      property buttons and so on.</para></listitem>
+	  </varlistentry>
+	  <varlistentry>
+	      <term>Input method engine (IME)</term>
+	      <listitem><para>An Input method engine is an implementation of certain input method.
+		      Here lists essential classes and functions for input method engine building,
+		      such as engine specification, and class abstracts.</para></listitem>
+	  </varlistentry>
+	  <varlistentry>
+	      <term>Communication and Configuration</term>
+	      <listitem><para>Here lists the service communication functions and
+		      functions that handling configuration like save, load, and listening.</para></listitem>
+	  </varlistentry>
+	  <varlistentry>
+	      <term>Internal</term>
+	      <listitem><para>Definition and functions for IBus internal use..</para></listitem>
+	  </varlistentry>
+      </variablelist>
+      <para>Normally input method developers need only to read the first 2 parts and IBusConfig from the 3rd part.
       </para>
   </chapter>
   <chapter>
-      <title>User Interfaces</title>
-      <para>These APIs directly related to User interfaces, such as
+      <title>Panel (User Interfaces)</title>
+      <para>These API pages directly related to user interfaces, such as
 	  pre-edit buffer, auxiliary text, language bar, button,
 	  radio boxes, and so on.
       </para>
@@ -34,45 +58,48 @@
   </chapter>
   <chapter>
       <title>Input method engine</title>
-      <para>
-      </para>
-      <xi:include href="xml/ibusbus.xml"/>
+      <para>An Input method engine is an implementation of certain input method.
+	  Here lists essential classes and functions for input method engine building,
+	  such as engine specification, and class abstracts.</para>
       <xi:include href="xml/ibuscomponent.xml"/>
-      <xi:include href="xml/ibusconnection.xml"/>
       <xi:include href="xml/ibusengine.xml"/>
       <xi:include href="xml/ibusenginedesc.xml"/>
       <xi:include href="xml/ibusfactory.xml"/>
+      <xi:include href="xml/ibusinputcontext.xml"/>
       <xi:include href="xml/ibuskeymap.xml"/>
       <xi:include href="xml/ibuskeysyms.xml"/>
   </chapter>
   <chapter>
-      <title>Configuration</title>
-      <para>
-      </para>
+      <title>Communication and Configuration</title>
+      <para>Here lists the service communication functions and
+	  functions that handling configuration like save, load, and listening.</para>
+      <xi:include href="xml/ibusbus.xml"/>
       <xi:include href="xml/ibusconfig.xml"/>
       <xi:include href="xml/ibusconfigservice.xml"/>
+      <xi:include href="xml/ibusconnection.xml"/>
+      <xi:include href="xml/ibusmainloop.xml"/>
+      <xi:include href="xml/ibusmessage.xml"/>
+      <xi:include href="xml/ibusobservedpath.xml"/>
+      <xi:include href="xml/ibuspendingcall.xml"/>
+      <xi:include href="xml/ibusproxy.xml"/>
+      <xi:include href="xml/ibusserializable.xml"/>
+      <xi:include href="xml/ibusservice.xml"/>
       <xi:include href="xml/ibusxml.xml"/>
   </chapter>
   <chapter>
-      <title>Others</title>
+      <title>Internal</title>
       <para>
       </para>
       <xi:include href="xml/ibusdebug.xml"/>
       <xi:include href="xml/ibusenumtypes.xml"/>
       <xi:include href="xml/ibuserror.xml"/>
-      <xi:include href="xml/ibusinputcontext.xml"/>
       <xi:include href="xml/ibusinternal.xml"/>
       <xi:include href="xml/ibusmarshalers.xml"/>
-      <xi:include href="xml/ibusmessage.xml"/>
       <xi:include href="xml/ibusobject.xml"/>
-      <xi:include href="xml/ibusobservedpath.xml"/>
-      <xi:include href="xml/ibuspendingcall.xml"/>
-      <xi:include href="xml/ibusproxy.xml"/>
       <xi:include href="xml/ibusserver.xml"/>
-      <xi:include href="xml/ibusservice.xml"/>
-      <xi:include href="xml/ibusserializable.xml"/>
       <xi:include href="xml/ibusshare.xml"/>
       <xi:include href="xml/ibustypes.xml"/>
+      <xi:include href="xml/ibusversion.xml"/>
       <xi:include href="xml/keyname-table.xml"/>
   </chapter>
 </book>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/Makefile.in 1.2.0.20091024-1/docs/reference/ibus/Makefile.in
--- 1.2.0.20090904-1/docs/reference/ibus/Makefile.in	2009-09-04 03:51:13.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -44,17 +44,14 @@ DIST_COMMON = $(srcdir)/Makefile.am $(sr
 subdir = docs/reference/ibus
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -69,6 +66,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = \
@@ -118,8 +117,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -134,12 +133,12 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
@@ -150,22 +149,19 @@ LDFLAGS = \
 	@DBUS_LIBS@ \
 	$(NULL)
 
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -186,7 +182,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -197,7 +196,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -207,7 +205,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/tmpl/ibusattribute.sgml 1.2.0.20091024-1/docs/reference/ibus/tmpl/ibusattribute.sgml
--- 1.2.0.20090904-1/docs/reference/ibus/tmpl/ibusattribute.sgml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/tmpl/ibusattribute.sgml	2009-10-24 04:23:54.000000000 +0100
@@ -82,6 +82,7 @@ IBusAttribute
 @IBUS_ATTR_UNDERLINE_SINGLE: 
 @IBUS_ATTR_UNDERLINE_DOUBLE: 
 @IBUS_ATTR_UNDERLINE_LOW: 
+@IBUS_ATTR_UNDERLINE_ERROR: 
 
 <!-- ##### STRUCT IBusAttribute ##### -->
 <para>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusattribute.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusattribute.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusattribute.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusattribute.xml	2009-10-24 04:23:54.000000000 +0100
@@ -57,15 +57,17 @@ enum                <link linkend="IBusA
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusAttribute
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusAttribute
 </synopsis>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusAttrList
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusAttrList
 </synopsis>
 </refsect1>
 
@@ -186,6 +188,7 @@ Type enumeration of IBusText attribute.<
     IBUS_ATTR_UNDERLINE_SINGLE  = 1,
     IBUS_ATTR_UNDERLINE_DOUBLE  = 2,
     IBUS_ATTR_UNDERLINE_LOW     = 3,
+    IBUS_ATTR_UNDERLINE_ERROR   = 4,
 } IBusAttrUnderline;
 </programlisting>
 <para>
@@ -212,6 +215,11 @@ Type of IBusText attribute.</para>
 <listitem><simpara> Low underline ? <link linkend="FIXME--CAPS"><literal>FIXME</literal></link>
 </simpara></listitem>
 </varlistentry>
+<varlistentry id="IBUS-ATTR-UNDERLINE-ERROR--CAPS" role="constant">
+<term><literal>IBUS_ATTR_UNDERLINE_ERROR</literal></term>
+<listitem><simpara> Error underline
+</simpara></listitem>
+</varlistentry>
 </variablelist></refsect2>
 <refsect2 id="IBusAttribute-struct" role="struct">
 <title>IBusAttribute</title>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusbus.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusbus.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusbus.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusbus.xml	2009-10-24 04:23:54.000000000 +0100
@@ -53,8 +53,9 @@ const <link linkend="gchar">gchar</link>
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----IBusBus
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----IBusBus
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibuscomponent.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibuscomponent.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibuscomponent.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibuscomponent.xml	2009-10-24 04:23:54.000000000 +0100
@@ -57,9 +57,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusComponent
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusComponent
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusconfigservice.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusconfigservice.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusconfigservice.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusconfigservice.xml	2009-10-24 04:23:54.000000000 +0100
@@ -34,9 +34,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusService">IBusService</link>
-               +----IBusConfigService
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusService">IBusService</link>
+                     +----IBusConfigService
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusconfig.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusconfig.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusconfig.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusconfig.xml	2009-10-24 04:23:54.000000000 +0100
@@ -34,9 +34,10 @@
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusProxy">IBusProxy</link>
-               +----IBusConfig
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusProxy">IBusProxy</link>
+                     +----IBusConfig
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusconnection.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusconnection.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusconnection.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusconnection.xml	2009-10-24 04:23:54.000000000 +0100
@@ -96,8 +96,9 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----IBusConnection
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----IBusConnection
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusenginedesc.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusenginedesc.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusenginedesc.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusenginedesc.xml	2009-10-24 04:23:54.000000000 +0100
@@ -42,9 +42,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusEngineDesc
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusEngineDesc
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusengine.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusengine.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusengine.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusengine.xml	2009-10-24 04:23:54.000000000 +0100
@@ -63,9 +63,10 @@ const <link linkend="gchar">gchar</link>
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusService">IBusService</link>
-               +----IBusEngine
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusService">IBusService</link>
+                     +----IBusEngine
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusfactory.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusfactory.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusfactory.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusfactory.xml	2009-10-24 04:23:54.000000000 +0100
@@ -48,15 +48,17 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusService">IBusService</link>
-               +----IBusFactory
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusService">IBusService</link>
+                     +----IBusFactory
 </synopsis>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusFactoryInfo
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusFactoryInfo
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibushotkey.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibushotkey.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibushotkey.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibushotkey.xml	2009-10-24 04:23:54.000000000 +0100
@@ -50,9 +50,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusHotkeyProfile
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusHotkeyProfile
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusinputcontext.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusinputcontext.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusinputcontext.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusinputcontext.xml	2009-10-24 04:23:54.000000000 +0100
@@ -47,9 +47,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusProxy">IBusProxy</link>
-               +----IBusInputContext
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusProxy">IBusProxy</link>
+                     +----IBusInputContext
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibuslookuptable.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibuslookuptable.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibuslookuptable.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibuslookuptable.xml	2009-10-24 04:23:54.000000000 +0100
@@ -58,9 +58,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusLookupTable
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusLookupTable
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusmainloop.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusmainloop.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusmainloop.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusmainloop.xml	2009-10-24 04:23:54.000000000 +0100
@@ -140,9 +140,20 @@ or fall back to NULL and <link linkend="
 <title>ibus_dbus_connection_setup ()</title>
 <indexterm zone="ibus-dbus-connection-setup"><primary sortas="ibus_dbus_connection_setup">ibus_dbus_connection_setup</primary></indexterm><programlisting><link linkend="void">void</link>                ibus_dbus_connection_setup          (<link linkend="DBusConnection">DBusConnection</link> *connection);</programlisting>
 <para>
+Sets the watch and timeout functions of a <link linkend="DBusConnection"><type>DBusConnection</type></link>
+to integrate the connection with the GLib main loop.
+</para>
+<para>
+This function uses the parameter <parameter>user_data</parameter> and
+connection_func set with <link linkend="ibus-mainloop-setup"><function>ibus_mainloop_setup()</function></link>,
+or fall back to NULL and <link linkend="dbus-connection-setup"><function>dbus_connection_setup()</function></link> if those are not defined.
+</para>
+<para>
+<parameter>see_also</parameter>: <link linkend="ibus-mainloop-setup"><function>ibus_mainloop_setup()</function></link>, <link linkend="dbus-connection-setup"><function>dbus_connection_setup()</function></link>.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>connection</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> A DBusConnection.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusobject.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusobject.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusobject.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusobject.xml	2009-10-24 04:23:54.000000000 +0100
@@ -36,13 +36,14 @@ enum                <link linkend="IBusO
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----IBusObject
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-         +----<link linkend="IBusBus">IBusBus</link>
-         +----<link linkend="IBusProxy">IBusProxy</link>
-         +----<link linkend="IBusService">IBusService</link>
-         +----<link linkend="IBusConnection">IBusConnection</link>
-         +----<link linkend="IBusServer">IBusServer</link>
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----IBusObject
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+               +----<link linkend="IBusBus">IBusBus</link>
+               +----<link linkend="IBusProxy">IBusProxy</link>
+               +----<link linkend="IBusService">IBusService</link>
+               +----<link linkend="IBusConnection">IBusConnection</link>
+               +----<link linkend="IBusServer">IBusServer</link>
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusobservedpath.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusobservedpath.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusobservedpath.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusobservedpath.xml	2009-10-24 04:23:54.000000000 +0100
@@ -40,9 +40,10 @@ Stable, unless otherwise indicated
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusObservedPath
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusObservedPath
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusproperty.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusproperty.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusproperty.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusproperty.xml	2009-10-24 04:23:54.000000000 +0100
@@ -71,15 +71,17 @@ enum                <link linkend="IBusP
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusProperty
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusProperty
 </synopsis>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusPropList
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusPropList
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusproxy.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusproxy.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusproxy.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusproxy.xml	2009-10-24 04:23:54.000000000 +0100
@@ -66,10 +66,11 @@ const <link linkend="gchar">gchar</link>
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----IBusProxy
-               +----<link linkend="IBusConfig">IBusConfig</link>
-               +----<link linkend="IBusInputContext">IBusInputContext</link>
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----IBusProxy
+                     +----<link linkend="IBusConfig">IBusConfig</link>
+                     +----<link linkend="IBusInputContext">IBusInputContext</link>
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusserializable.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusserializable.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusserializable.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusserializable.xml	2009-10-24 04:23:54.000000000 +0100
@@ -51,19 +51,20 @@ const <link linkend="GValue">GValue</lin
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----IBusSerializable
-               +----<link linkend="IBusAttrList">IBusAttrList</link>
-               +----<link linkend="IBusAttribute">IBusAttribute</link>
-               +----<link linkend="IBusComponent">IBusComponent</link>
-               +----<link linkend="IBusEngineDesc">IBusEngineDesc</link>
-               +----<link linkend="IBusFactoryInfo">IBusFactoryInfo</link>
-               +----<link linkend="IBusHotkeyProfile">IBusHotkeyProfile</link>
-               +----<link linkend="IBusLookupTable">IBusLookupTable</link>
-               +----<link linkend="IBusObservedPath">IBusObservedPath</link>
-               +----<link linkend="IBusPropList">IBusPropList</link>
-               +----<link linkend="IBusProperty">IBusProperty</link>
-               +----<link linkend="IBusText">IBusText</link>
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----IBusSerializable
+                     +----<link linkend="IBusAttrList">IBusAttrList</link>
+                     +----<link linkend="IBusAttribute">IBusAttribute</link>
+                     +----<link linkend="IBusComponent">IBusComponent</link>
+                     +----<link linkend="IBusEngineDesc">IBusEngineDesc</link>
+                     +----<link linkend="IBusFactoryInfo">IBusFactoryInfo</link>
+                     +----<link linkend="IBusHotkeyProfile">IBusHotkeyProfile</link>
+                     +----<link linkend="IBusLookupTable">IBusLookupTable</link>
+                     +----<link linkend="IBusObservedPath">IBusObservedPath</link>
+                     +----<link linkend="IBusPropList">IBusPropList</link>
+                     +----<link linkend="IBusProperty">IBusProperty</link>
+                     +----<link linkend="IBusText">IBusText</link>
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusserver.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusserver.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusserver.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusserver.xml	2009-10-24 04:23:54.000000000 +0100
@@ -10,8 +10,12 @@
 
 <refnamediv>
 <refname>IBusServer</refname>
-<refpurpose></refpurpose>
+<refpurpose>Server that listen on a socket and wait for connection requests.</refpurpose>
 </refnamediv>
+<refsect1 id="IBusServer.stability-level">
+<title>Stability Level</title>
+Stable, unless otherwise indicated
+</refsect1>
 
 <refsynopsisdiv id="IBusServer.synopsis" role="synopsis">
 <title role="synopsis.title">Synopsis</title>
@@ -36,8 +40,9 @@ const <link linkend="gchar">gchar</link>
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----IBusServer
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----IBusServer
 </synopsis>
 </refsect1>
 
@@ -63,6 +68,9 @@ const <link linkend="gchar">gchar</link>
 <refsect1 id="IBusServer.description" role="desc">
 <title role="desc.title">Description</title>
 <para>
+An IBusServer listen on a socket and wait for connections requests,
+just like DBusServer.</para>
+<para>
 </para>
 </refsect1>
 
@@ -73,25 +81,40 @@ const <link linkend="gchar">gchar</link>
 <indexterm zone="IBusNewConnectionFunc"><primary sortas="IBusNewConnectionFunc">IBusNewConnectionFunc</primary></indexterm><programlisting><link linkend="void">void</link>                (*IBusNewConnectionFunc)            (<link linkend="IBusServer">IBusServer</link> *server,
                                                          <link linkend="IBusConnection">IBusConnection</link> *connection);</programlisting>
 <para>
+Prototype of new connection callback function.
+</para>
+<para>
+This callback should be connected to signal ::new-connection
+to handle the event that a new connection is coming in.
+In this handler, IBus could add a reference and continue processing the connection.
+If no reference is added, the new connection will be released and closed after this signal.
+</para>
+<para>
+<parameter>see_also</parameter>: ::new-connection</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
 <varlistentry><term><parameter>connection</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> The corresponding IBusConnection.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="IBusServer-struct" role="struct">
 <title>IBusServer</title>
 <indexterm zone="IBusServer-struct"><primary sortas="IBusServer">IBusServer</primary></indexterm><programlisting>typedef struct _IBusServer IBusServer;</programlisting>
 <para>
+An opaque object representing an IBusServer.</para>
+<para>
 </para></refsect2>
 <refsect2 id="ibus-server-new" role="function">
 <title>ibus_server_new ()</title>
 <indexterm zone="ibus-server-new"><primary sortas="ibus_server_new">ibus_server_new</primary></indexterm><programlisting><link linkend="IBusServer">IBusServer</link> *        ibus_server_new                     (void);</programlisting>
 <para>
+New an IBusServer.</para>
+<para>
 </para><variablelist role="params">
-<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>
+<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara> A newly allocated IBusServer instance.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="ibus-server-listen" role="function">
@@ -99,56 +122,93 @@ const <link linkend="gchar">gchar</link>
 <indexterm zone="ibus-server-listen"><primary sortas="ibus_server_listen">ibus_server_listen</primary></indexterm><programlisting><link linkend="gboolean">gboolean</link>            ibus_server_listen                  (<link linkend="IBusServer">IBusServer</link> *server,
                                                          const <link linkend="gchar">gchar</link> *address);</programlisting>
 <para>
+Listens for new connections on the given address.
+</para>
+<para>
+If there are multiple semicolon-separated address entries in the address,
+tries each one and listens on the first one that works.
+</para>
+<para>
+Returns FALSE if listening fails for any reason.
+</para>
+<para>
+To free the server, applications must call first <link linkend="ibus-server-disconnect"><function>ibus_server_disconnect()</function></link> and then <link linkend="dbus-server-unref"><function>dbus_server_unref()</function></link>.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
 <varlistentry><term><parameter>address</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> Address of this server.
 </simpara></listitem></varlistentry>
-<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>
+<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara> TRUE if succeed ; FALSE otherwise.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="ibus-server-disconnect" role="function">
 <title>ibus_server_disconnect ()</title>
 <indexterm zone="ibus-server-disconnect"><primary sortas="ibus_server_disconnect">ibus_server_disconnect</primary></indexterm><programlisting><link linkend="void">void</link>                ibus_server_disconnect              (<link linkend="IBusServer">IBusServer</link> *server);</programlisting>
 <para>
+Releases the server's address and stops listening for new clients.
+</para>
+<para>
+If called more than once, only the first call has an effect. Does not modify the server's reference count.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="ibus-server-get-address" role="function">
 <title>ibus_server_get_address ()</title>
 <indexterm zone="ibus-server-get-address"><primary sortas="ibus_server_get_address">ibus_server_get_address</primary></indexterm><programlisting>const <link linkend="gchar">gchar</link> *       ibus_server_get_address             (<link linkend="IBusServer">IBusServer</link> *server);</programlisting>
 <para>
+Returns the address of the server, as a newly-allocated string which must be freed by the caller.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
-<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>
+<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara> A newly allocated string which contain address.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="ibus-server-get-id" role="function">
 <title>ibus_server_get_id ()</title>
 <indexterm zone="ibus-server-get-id"><primary sortas="ibus_server_get_id">ibus_server_get_id</primary></indexterm><programlisting>const <link linkend="gchar">gchar</link> *       ibus_server_get_id                  (<link linkend="IBusServer">IBusServer</link> *server);</programlisting>
 <para>
+Returns the unique ID of the server, as a newly-allocated string which must be freed by the caller.
+</para>
+<para>
+This ID is normally used by clients to tell when two IBusConnection would be equivalent
+(because the server address passed to <link linkend="ibus-connection-open"><function>ibus_connection_open()</function></link> will have the same guid in the two cases).
+<link linkend="ibus-connection-open"><function>ibus_connection_open()</function></link> can re-use an existing connection with the same ID instead of opening a new connection.
+</para>
+<para>
+This is an ID unique to each IBusServer. Remember that an IBusServer represents only one mode of connecting,
+so e.g. a bus daemon can listen on multiple addresses which will mean it has multiple IBusServer each with
+their own ID.
+</para>
+<para>
+The ID is not a UUID in the sense of RFC4122; the details are explained in the D-Bus specification.
+Returns the address of the server, as a newly-allocated string which must be freed by the caller.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
-<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>
+<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara> A newly allocated string which contain address.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="ibus-server-is-connected" role="function">
 <title>ibus_server_is_connected ()</title>
 <indexterm zone="ibus-server-is-connected"><primary sortas="ibus_server_is_connected">ibus_server_is_connected</primary></indexterm><programlisting><link linkend="gboolean">gboolean</link>            ibus_server_is_connected            (<link linkend="IBusServer">IBusServer</link> *server);</programlisting>
 <para>
+Returns TRUE if the server is still listening for new connections.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
-<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>
+<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara> TRUE if the server is still listening for new connections; FALSE otherwise.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 <refsect2 id="ibus-server-set-auth-mechanisms" role="function">
@@ -156,14 +216,24 @@ const <link linkend="gchar">gchar</link>
 <indexterm zone="ibus-server-set-auth-mechanisms"><primary sortas="ibus_server_set_auth_mechanisms">ibus_server_set_auth_mechanisms</primary></indexterm><programlisting><link linkend="gboolean">gboolean</link>            ibus_server_set_auth_mechanisms     (<link linkend="IBusServer">IBusServer</link> *server,
                                                          const <link linkend="gchar">gchar</link> **mechanisms);</programlisting>
 <para>
+Sets the authentication mechanisms that this server offers to clients,
+as a NULL-terminated array of mechanism names.
+</para>
+<para>
+This function only affects connections created after it is called.
+Pass NULL instead of an array to use all available mechanisms (this is the default behavior).
+</para>
+<para>
+The D-Bus specification describes some of the supported mechanisms.</para>
+<para>
 </para><variablelist role="params">
 <varlistentry><term><parameter>server</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
 <varlistentry><term><parameter>mechanisms</parameter>&#160;:</term>
-<listitem><simpara>
+<listitem><simpara> NULL-terminated array of mechanisms.
 </simpara></listitem></varlistentry>
-<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>
+<varlistentry><term><emphasis>Returns</emphasis>&#160;:</term><listitem><simpara>  TRUE if succeed; FALSE if insufficient memory.
 </simpara></listitem></varlistentry>
 </variablelist></refsect2>
 
@@ -172,22 +242,35 @@ const <link linkend="gchar">gchar</link>
 <title role="property_details.title">Property Details</title>
 <refsect2 id="IBusServer--connection-type" role="property"><title>The <literal>&quot;connection-type&quot;</literal> property</title>
 <indexterm zone="IBusServer--connection-type"><primary sortas="IBusServer:connection-type">IBusServer:connection-type</primary></indexterm><programlisting>  &quot;connection-type&quot;          <link linkend="GType">GType</link>*                : Read / Write</programlisting>
-<para>The connection type of server object.</para></refsect2>
+<para>
+The connection type of server object.</para>
+<para>
+</para></refsect2>
 </refsect1>
 
 <refsect1 id="IBusServer.signal-details" role="signals">
 <title role="signals.title">Signal Details</title>
 <refsect2 id="IBusServer-new-connection" role="signal"><title>The <literal>&quot;new-connection&quot;</literal> signal</title>
-<indexterm zone="IBusServer-new-connection"><primary sortas="IBusServer::new-connection">IBusServer::new-connection</primary></indexterm><programlisting><link linkend="void">void</link>                user_function                      (<link linkend="IBusServer">IBusServer</link> *ibusserver,
-                                                        <link linkend="GObject">GObject</link>    *arg1,
+<indexterm zone="IBusServer-new-connection"><primary sortas="IBusServer::new-connection">IBusServer::new-connection</primary></indexterm><programlisting><link linkend="void">void</link>                user_function                      (<link linkend="IBusServer">IBusServer</link> *server,
+                                                        <link linkend="GObject">GObject</link>    *connection,
                                                         <link linkend="gpointer">gpointer</link>    user_data)       : Run Last</programlisting>
 <para>
+Emitted when a new connection is coming in.
+In this handler, IBus could add a reference and continue processing the connection.
+If no reference is added, the new connection will be released and closed after this signal.
+</para>
+<para>
+<note><para>Argument <parameter>user_data</parameter> is ignored in this function.</para></note>
+</para>
+<para>
+See also: <link linkend="IBusNewConnectionFunc"><function>IBusNewConnectionFunc()</function></link>.</para>
+<para>
 </para><variablelist role="params">
-<varlistentry><term><parameter>ibusserver</parameter>&#160;:</term>
-<listitem><simpara>the object which received the signal.
+<varlistentry><term><parameter>server</parameter>&#160;:</term>
+<listitem><simpara> An IBusServer.
 </simpara></listitem></varlistentry>
-<varlistentry><term><parameter>arg1</parameter>&#160;:</term>
-<listitem><simpara>
+<varlistentry><term><parameter>connection</parameter>&#160;:</term>
+<listitem><simpara> The corresponding IBusConnection.
 </simpara></listitem></varlistentry>
 <varlistentry><term><parameter>user_data</parameter>&#160;:</term>
 <listitem><simpara>user data set when the signal handler was connected.</simpara></listitem></varlistentry>
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibusservice.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibusservice.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibusservice.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibusservice.xml	2009-10-24 04:23:54.000000000 +0100
@@ -52,11 +52,12 @@ const <link linkend="gchar">gchar</link>
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----IBusService
-               +----<link linkend="IBusConfigService">IBusConfigService</link>
-               +----<link linkend="IBusEngine">IBusEngine</link>
-               +----<link linkend="IBusFactory">IBusFactory</link>
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----IBusService
+                     +----<link linkend="IBusConfigService">IBusConfigService</link>
+                     +----<link linkend="IBusEngine">IBusEngine</link>
+                     +----<link linkend="IBusFactory">IBusFactory</link>
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/ibus/xml/ibustext.xml 1.2.0.20091024-1/docs/reference/ibus/xml/ibustext.xml
--- 1.2.0.20090904-1/docs/reference/ibus/xml/ibustext.xml	2009-09-04 11:38:38.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/ibus/xml/ibustext.xml	2009-10-24 04:23:54.000000000 +0100
@@ -37,9 +37,10 @@
 <title role="object_hierarchy.title">Object Hierarchy</title>
 <synopsis>
   <link linkend="GObject">GObject</link>
-   +----<link linkend="IBusObject">IBusObject</link>
-         +----<link linkend="IBusSerializable">IBusSerializable</link>
-               +----IBusText
+   +----<link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
+         +----<link linkend="IBusObject">IBusObject</link>
+               +----<link linkend="IBusSerializable">IBusSerializable</link>
+                     +----IBusText
 </synopsis>
 </refsect1>
 
diff -pruN 1.2.0.20090904-1/docs/reference/Makefile.am 1.2.0.20091024-1/docs/reference/Makefile.am
--- 1.2.0.20090904-1/docs/reference/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/docs/reference/Makefile.in 1.2.0.20091024-1/docs/reference/Makefile.in
--- 1.2.0.20090904-1/docs/reference/Makefile.in	2009-09-04 03:51:13.000000000 +0100
+++ 1.2.0.20091024-1/docs/reference/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -58,17 +59,14 @@ subdir = docs/reference
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -123,6 +121,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -166,8 +166,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -182,32 +182,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -228,7 +225,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -239,7 +239,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -249,7 +248,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/gconf/Makefile.am 1.2.0.20091024-1/gconf/Makefile.am
--- 1.2.0.20090904-1/gconf/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/gconf/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/gconf/Makefile.in 1.2.0.20091024-1/gconf/Makefile.in
--- 1.2.0.20090904-1/gconf/Makefile.in	2009-09-04 03:51:13.000000000 +0100
+++ 1.2.0.20091024-1/gconf/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -62,17 +63,14 @@ DIST_COMMON = $(srcdir)/Makefile.am $(sr
 	$(srcdir)/gconf.xml.in.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES = gconf.xml.in
 CONFIG_CLEAN_VPATH_FILES =
@@ -134,6 +132,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -177,8 +177,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -193,32 +193,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -239,7 +236,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -250,7 +250,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -260,7 +259,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/ibus/application.py 1.2.0.20091024-1/ibus/application.py
--- 1.2.0.20090904-1/ibus/application.py	2009-07-19 02:40:42.000000000 +0100
+++ 1.2.0.20091024-1/ibus/application.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/attribute.py 1.2.0.20091024-1/ibus/attribute.py
--- 1.2.0.20090904-1/ibus/attribute.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/attribute.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -27,6 +28,7 @@ __all__ = (
         "ATTR_UNDERLINE_SINGLE",
         "ATTR_UNDERLINE_DOUBLE",
         "ATTR_UNDERLINE_LOW",
+        "ATTR_UNDERLINE_ERROR",
         "Attribute",
         "AttributeUnderline",
         "AttributeForeground",
@@ -47,6 +49,7 @@ ATTR_UNDERLINE_NONE = 0
 ATTR_UNDERLINE_SINGLE = 1
 ATTR_UNDERLINE_DOUBLE = 2
 ATTR_UNDERLINE_LOW = 3
+ATTR_UNDERLINE_ERROR = 4
 
 class Attribute(Serializable):
     __gtype_name__ = "PYIBusAttribute"
diff -pruN 1.2.0.20090904-1/ibus/bus.py 1.2.0.20091024-1/ibus/bus.py
--- 1.2.0.20090904-1/ibus/bus.py	2009-07-19 02:40:42.000000000 +0100
+++ 1.2.0.20091024-1/ibus/bus.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/common.py 1.2.0.20091024-1/ibus/common.py
--- 1.2.0.20090904-1/ibus/common.py	2009-07-23 00:53:04.000000000 +0100
+++ 1.2.0.20091024-1/ibus/common.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/component.py 1.2.0.20091024-1/ibus/component.py
--- 1.2.0.20090904-1/ibus/component.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/component.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/config.py 1.2.0.20091024-1/ibus/config.py
--- 1.2.0.20090904-1/ibus/config.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/config.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/_config.py.in 1.2.0.20091024-1/ibus/_config.py.in
--- 1.2.0.20090904-1/ibus/_config.py.in	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/_config.py.in	2009-10-23 08:50:16.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2008 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2008 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -25,11 +26,16 @@ __all__ = (
     "get_license"
 )
 
+import gettext
+
+_ = lambda a: gettext.dgettext("ibus", a)
+
 def get_version():
-	return "@PACKAGE_VERSION@"
+	return '@PACKAGE_VERSION@'
 
 def get_copyright():
-    return "Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>"
+    return _('''Copyright (c) 2007-2009 Peng Huang
+Copying (c) 2007-2009 Red Hat, Inc.''')
 
 def get_license():
-    return "LGPL"
+    return 'LGPL'
diff -pruN 1.2.0.20090904-1/ibus/enginedesc.py 1.2.0.20091024-1/ibus/enginedesc.py
--- 1.2.0.20090904-1/ibus/enginedesc.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/enginedesc.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/engine.py 1.2.0.20091024-1/ibus/engine.py
--- 1.2.0.20090904-1/ibus/engine.py	2009-06-14 07:28:57.000000000 +0100
+++ 1.2.0.20091024-1/ibus/engine.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/exception.py 1.2.0.20091024-1/ibus/exception.py
--- 1.2.0.20090904-1/ibus/exception.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/exception.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/factory.py 1.2.0.20091024-1/ibus/factory.py
--- 1.2.0.20090904-1/ibus/factory.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/factory.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/_gtk.py 1.2.0.20091024-1/ibus/_gtk.py
--- 1.2.0.20090904-1/ibus/_gtk.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/_gtk.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/__init__.py 1.2.0.20091024-1/ibus/__init__.py
--- 1.2.0.20090904-1/ibus/__init__.py	2009-08-16 06:20:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/__init__.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/inputcontext.py 1.2.0.20091024-1/ibus/inputcontext.py
--- 1.2.0.20090904-1/ibus/inputcontext.py	2009-08-28 03:55:02.000000000 +0100
+++ 1.2.0.20091024-1/ibus/inputcontext.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -173,7 +174,7 @@ class InputContext(object.Object):
     def __update_auxiliary_text_cb(self, *args):
         text = serializable.deserialize_object(args[0])
         visible = args[1]
-        self.emit("update-auxiliray-text", text, visible)
+        self.emit("update-auxiliary-text", text, visible)
 
     def __update_lookup_table_cb(self, *args):
         table = serializable.deserialize_object(args[0])
diff -pruN 1.2.0.20090904-1/ibus/interface/iconfig.py 1.2.0.20091024-1/ibus/interface/iconfig.py
--- 1.2.0.20090904-1/ibus/interface/iconfig.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/iconfig.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/ienginefactory.py 1.2.0.20091024-1/ibus/interface/ienginefactory.py
--- 1.2.0.20090904-1/ibus/interface/ienginefactory.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/ienginefactory.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/iengine.py 1.2.0.20091024-1/ibus/interface/iengine.py
--- 1.2.0.20090904-1/ibus/interface/iengine.py	2009-06-14 07:28:57.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/iengine.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/iibus.py 1.2.0.20091024-1/ibus/interface/iibus.py
--- 1.2.0.20090904-1/ibus/interface/iibus.py	2009-07-09 11:20:02.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/iibus.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/iinputcontext.py 1.2.0.20091024-1/ibus/interface/iinputcontext.py
--- 1.2.0.20090904-1/ibus/interface/iinputcontext.py	2009-07-10 04:04:30.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/iinputcontext.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/__init__.py 1.2.0.20091024-1/ibus/interface/__init__.py
--- 1.2.0.20090904-1/ibus/interface/__init__.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/__init__.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/inotifications.py 1.2.0.20091024-1/ibus/interface/inotifications.py
--- 1.2.0.20090904-1/ibus/interface/inotifications.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/inotifications.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/ipanel.py 1.2.0.20091024-1/ibus/interface/ipanel.py
--- 1.2.0.20090904-1/ibus/interface/ipanel.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/ipanel.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/Makefile.am 1.2.0.20091024-1/ibus/interface/Makefile.am
--- 1.2.0.20090904-1/ibus/interface/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/Makefile.am	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/interface/Makefile.in 1.2.0.20091024-1/ibus/interface/Makefile.in
--- 1.2.0.20090904-1/ibus/interface/Makefile.in	2009-09-04 03:51:13.000000000 +0100
+++ 1.2.0.20091024-1/ibus/interface/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -59,17 +60,14 @@ DIST_COMMON = $(ibus_interface_PYTHON) $
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -107,6 +105,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -150,8 +150,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -166,32 +166,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -212,7 +209,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -223,7 +223,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -233,7 +232,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/ibus/lang.py 1.2.0.20091024-1/ibus/lang.py
--- 1.2.0.20090904-1/ibus/lang.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/lang.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/lookuptable.py 1.2.0.20091024-1/ibus/lookuptable.py
--- 1.2.0.20090904-1/ibus/lookuptable.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/lookuptable.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/Makefile.am 1.2.0.20091024-1/ibus/Makefile.am
--- 1.2.0.20090904-1/ibus/Makefile.am	2009-08-16 06:20:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/Makefile.am	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/Makefile.in 1.2.0.20091024-1/ibus/Makefile.in
--- 1.2.0.20090904-1/ibus/Makefile.in	2009-09-04 03:51:13.000000000 +0100
+++ 1.2.0.20091024-1/ibus/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -38,17 +38,14 @@ DIST_COMMON = $(ibus_PYTHON) $(srcdir)/M
 	$(srcdir)/Makefile.in $(srcdir)/_config.py.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES = _config.py
 CONFIG_CLEAN_VPATH_FILES =
@@ -126,6 +123,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -169,8 +168,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -185,32 +184,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -231,7 +227,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -242,7 +241,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -252,7 +250,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
@@ -315,7 +312,8 @@ top_srcdir = @top_srcdir@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/modifier.py 1.2.0.20091024-1/ibus/modifier.py
--- 1.2.0.20090904-1/ibus/modifier.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/modifier.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/notifications.py 1.2.0.20091024-1/ibus/notifications.py
--- 1.2.0.20090904-1/ibus/notifications.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/notifications.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/object.py 1.2.0.20091024-1/ibus/object.py
--- 1.2.0.20090904-1/ibus/object.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/object.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/observedpath.py 1.2.0.20091024-1/ibus/observedpath.py
--- 1.2.0.20090904-1/ibus/observedpath.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/observedpath.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/panel.py 1.2.0.20091024-1/ibus/panel.py
--- 1.2.0.20090904-1/ibus/panel.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/panel.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/property.py 1.2.0.20091024-1/ibus/property.py
--- 1.2.0.20090904-1/ibus/property.py	2009-07-02 02:29:28.000000000 +0100
+++ 1.2.0.20091024-1/ibus/property.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/serializable.py 1.2.0.20091024-1/ibus/serializable.py
--- 1.2.0.20090904-1/ibus/serializable.py	2009-07-09 07:55:33.000000000 +0100
+++ 1.2.0.20091024-1/ibus/serializable.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/text.py 1.2.0.20091024-1/ibus/text.py
--- 1.2.0.20090904-1/ibus/text.py	2009-08-04 11:29:13.000000000 +0100
+++ 1.2.0.20091024-1/ibus/text.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus/utility.py 1.2.0.20091024-1/ibus/utility.py
--- 1.2.0.20090904-1/ibus/utility.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ibus/utility.py	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ibus.spec.in 1.2.0.20091024-1/ibus.spec.in
--- 1.2.0.20090904-1/ibus.spec.in	2009-09-04 05:00:25.000000000 +0100
+++ 1.2.0.20091024-1/ibus.spec.in	2009-10-13 03:13:30.000000000 +0100
@@ -210,8 +210,7 @@ fi
 %{_bindir}/ibus-setup
 %{_datadir}/ibus/*
 %{_datadir}/applications/*
-%{_datadir}/pixmaps/*
-%{_datadir}/icons/hicolor/*/status/*
+%{_datadir}/icons/hicolor/*/apps/*
 %{_libexecdir}/ibus-gconf
 %{_libexecdir}/ibus-ui-gtk
 %{_libexecdir}/ibus-x11
diff -pruN 1.2.0.20090904-1/install-sh 1.2.0.20091024-1/install-sh
--- 1.2.0.20090904-1/install-sh	2009-06-14 07:32:30.000000000 +0100
+++ 1.2.0.20091024-1/install-sh	2009-10-13 06:59:38.000000000 +0100
@@ -1,7 +1,7 @@
 #!/bin/sh
 # install - install a program, script, or datafile
 
-scriptversion=2006-12-25.00
+scriptversion=2009-04-28.21; # UTC
 
 # This originates from X11R5 (mit/util/scripts/install.sh), which was
 # later released in X11R6 (xc/config/util/install.sh) with the
@@ -515,5 +515,6 @@ done
 # eval: (add-hook 'write-file-hooks 'time-stamp)
 # time-stamp-start: "scriptversion="
 # time-stamp-format: "%:y-%02m-%02d.%02H"
-# time-stamp-end: "$"
+# time-stamp-time-zone: "UTC"
+# time-stamp-end: "; # UTC"
 # End:
diff -pruN 1.2.0.20090904-1/m4/gettext.m4 1.2.0.20091024-1/m4/gettext.m4
--- 1.2.0.20090904-1/m4/gettext.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/gettext.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,419 +0,0 @@
-# gettext.m4 serial 59 (gettext-0.16.1)
-dnl Copyright (C) 1995-2006 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-dnl
-dnl This file can can be used in projects which are not available under
-dnl the GNU General Public License or the GNU Library General Public
-dnl License but which still want to provide support for the GNU gettext
-dnl functionality.
-dnl Please note that the actual code of the GNU gettext library is covered
-dnl by the GNU Library General Public License, and the rest of the GNU
-dnl gettext package package is covered by the GNU General Public License.
-dnl They are *not* in the public domain.
-
-dnl Authors:
-dnl   Ulrich Drepper <drepper@cygnus.com>, 1995-2000.
-dnl   Bruno Haible <haible@clisp.cons.org>, 2000-2006.
-
-dnl Macro to add for using GNU gettext.
-
-dnl Usage: AM_GNU_GETTEXT([INTLSYMBOL], [NEEDSYMBOL], [INTLDIR]).
-dnl INTLSYMBOL can be one of 'external', 'no-libtool', 'use-libtool'. The
-dnl    default (if it is not specified or empty) is 'no-libtool'.
-dnl    INTLSYMBOL should be 'external' for packages with no intl directory,
-dnl    and 'no-libtool' or 'use-libtool' for packages with an intl directory.
-dnl    If INTLSYMBOL is 'use-libtool', then a libtool library
-dnl    $(top_builddir)/intl/libintl.la will be created (shared and/or static,
-dnl    depending on --{enable,disable}-{shared,static} and on the presence of
-dnl    AM-DISABLE-SHARED). If INTLSYMBOL is 'no-libtool', a static library
-dnl    $(top_builddir)/intl/libintl.a will be created.
-dnl If NEEDSYMBOL is specified and is 'need-ngettext', then GNU gettext
-dnl    implementations (in libc or libintl) without the ngettext() function
-dnl    will be ignored.  If NEEDSYMBOL is specified and is
-dnl    'need-formatstring-macros', then GNU gettext implementations that don't
-dnl    support the ISO C 99 <inttypes.h> formatstring macros will be ignored.
-dnl INTLDIR is used to find the intl libraries.  If empty,
-dnl    the value `$(top_builddir)/intl/' is used.
-dnl
-dnl The result of the configuration is one of three cases:
-dnl 1) GNU gettext, as included in the intl subdirectory, will be compiled
-dnl    and used.
-dnl    Catalog format: GNU --> install in $(datadir)
-dnl    Catalog extension: .mo after installation, .gmo in source tree
-dnl 2) GNU gettext has been found in the system's C library.
-dnl    Catalog format: GNU --> install in $(datadir)
-dnl    Catalog extension: .mo after installation, .gmo in source tree
-dnl 3) No internationalization, always use English msgid.
-dnl    Catalog format: none
-dnl    Catalog extension: none
-dnl If INTLSYMBOL is 'external', only cases 2 and 3 can occur.
-dnl The use of .gmo is historical (it was needed to avoid overwriting the
-dnl GNU format catalogs when building on a platform with an X/Open gettext),
-dnl but we keep it in order not to force irrelevant filename changes on the
-dnl maintainers.
-dnl
-AC_DEFUN([AM_GNU_GETTEXT],
-[
-  dnl Argument checking.
-  ifelse([$1], [], , [ifelse([$1], [external], , [ifelse([$1], [no-libtool], , [ifelse([$1], [use-libtool], ,
-    [errprint([ERROR: invalid first argument to AM_GNU_GETTEXT
-])])])])])
-  ifelse([$2], [], , [ifelse([$2], [need-ngettext], , [ifelse([$2], [need-formatstring-macros], ,
-    [errprint([ERROR: invalid second argument to AM_GNU_GETTEXT
-])])])])
-  define([gt_included_intl],
-    ifelse([$1], [external],
-      ifdef([AM_GNU_GETTEXT_][INTL_SUBDIR], [yes], [no]),
-      [yes]))
-  define([gt_libtool_suffix_prefix], ifelse([$1], [use-libtool], [l], []))
-  gt_NEEDS_INIT
-  AM_GNU_GETTEXT_NEED([$2])
-
-  AC_REQUIRE([AM_PO_SUBDIRS])dnl
-  ifelse(gt_included_intl, yes, [
-    AC_REQUIRE([AM_INTL_SUBDIR])dnl
-  ])
-
-  dnl Prerequisites of AC_LIB_LINKFLAGS_BODY.
-  AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
-  AC_REQUIRE([AC_LIB_RPATH])
-
-  dnl Sometimes libintl requires libiconv, so first search for libiconv.
-  dnl Ideally we would do this search only after the
-  dnl      if test "$USE_NLS" = "yes"; then
-  dnl        if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" != "yes"; }; then
-  dnl tests. But if configure.in invokes AM_ICONV after AM_GNU_GETTEXT
-  dnl the configure script would need to contain the same shell code
-  dnl again, outside any 'if'. There are two solutions:
-  dnl - Invoke AM_ICONV_LINKFLAGS_BODY here, outside any 'if'.
-  dnl - Control the expansions in more detail using AC_PROVIDE_IFELSE.
-  dnl Since AC_PROVIDE_IFELSE is only in autoconf >= 2.52 and not
-  dnl documented, we avoid it.
-  ifelse(gt_included_intl, yes, , [
-    AC_REQUIRE([AM_ICONV_LINKFLAGS_BODY])
-  ])
-
-  dnl Sometimes, on MacOS X, libintl requires linking with CoreFoundation.
-  gt_INTL_MACOSX
-
-  dnl Set USE_NLS.
-  AC_REQUIRE([AM_NLS])
-
-  ifelse(gt_included_intl, yes, [
-    BUILD_INCLUDED_LIBINTL=no
-    USE_INCLUDED_LIBINTL=no
-  ])
-  LIBINTL=
-  LTLIBINTL=
-  POSUB=
-
-  dnl Add a version number to the cache macros.
-  case " $gt_needs " in
-    *" need-formatstring-macros "*) gt_api_version=3 ;;
-    *" need-ngettext "*) gt_api_version=2 ;;
-    *) gt_api_version=1 ;;
-  esac
-  gt_func_gnugettext_libc="gt_cv_func_gnugettext${gt_api_version}_libc"
-  gt_func_gnugettext_libintl="gt_cv_func_gnugettext${gt_api_version}_libintl"
-
-  dnl If we use NLS figure out what method
-  if test "$USE_NLS" = "yes"; then
-    gt_use_preinstalled_gnugettext=no
-    ifelse(gt_included_intl, yes, [
-      AC_MSG_CHECKING([whether included gettext is requested])
-      AC_ARG_WITH(included-gettext,
-        [  --with-included-gettext use the GNU gettext library included here],
-        nls_cv_force_use_gnu_gettext=$withval,
-        nls_cv_force_use_gnu_gettext=no)
-      AC_MSG_RESULT($nls_cv_force_use_gnu_gettext)
-
-      nls_cv_use_gnu_gettext="$nls_cv_force_use_gnu_gettext"
-      if test "$nls_cv_force_use_gnu_gettext" != "yes"; then
-    ])
-        dnl User does not insist on using GNU NLS library.  Figure out what
-        dnl to use.  If GNU gettext is available we use this.  Else we have
-        dnl to fall back to GNU NLS library.
-
-        if test $gt_api_version -ge 3; then
-          gt_revision_test_code='
-#ifndef __GNU_GETTEXT_SUPPORTED_REVISION
-#define __GNU_GETTEXT_SUPPORTED_REVISION(major) ((major) == 0 ? 0 : -1)
-#endif
-changequote(,)dnl
-typedef int array [2 * (__GNU_GETTEXT_SUPPORTED_REVISION(0) >= 1) - 1];
-changequote([,])dnl
-'
-        else
-          gt_revision_test_code=
-        fi
-        if test $gt_api_version -ge 2; then
-          gt_expression_test_code=' + * ngettext ("", "", 0)'
-        else
-          gt_expression_test_code=
-        fi
-
-        AC_CACHE_CHECK([for GNU gettext in libc], [$gt_func_gnugettext_libc],
-         [AC_TRY_LINK([#include <libintl.h>
-$gt_revision_test_code
-extern int _nl_msg_cat_cntr;
-extern int *_nl_domain_bindings;],
-            [bindtextdomain ("", "");
-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_domain_bindings],
-            [eval "$gt_func_gnugettext_libc=yes"],
-            [eval "$gt_func_gnugettext_libc=no"])])
-
-        if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" != "yes"; }; then
-          dnl Sometimes libintl requires libiconv, so first search for libiconv.
-          ifelse(gt_included_intl, yes, , [
-            AM_ICONV_LINK
-          ])
-          dnl Search for libintl and define LIBINTL, LTLIBINTL and INCINTL
-          dnl accordingly. Don't use AC_LIB_LINKFLAGS_BODY([intl],[iconv])
-          dnl because that would add "-liconv" to LIBINTL and LTLIBINTL
-          dnl even if libiconv doesn't exist.
-          AC_LIB_LINKFLAGS_BODY([intl])
-          AC_CACHE_CHECK([for GNU gettext in libintl],
-            [$gt_func_gnugettext_libintl],
-           [gt_save_CPPFLAGS="$CPPFLAGS"
-            CPPFLAGS="$CPPFLAGS $INCINTL"
-            gt_save_LIBS="$LIBS"
-            LIBS="$LIBS $LIBINTL"
-            dnl Now see whether libintl exists and does not depend on libiconv.
-            AC_TRY_LINK([#include <libintl.h>
-$gt_revision_test_code
-extern int _nl_msg_cat_cntr;
-extern
-#ifdef __cplusplus
-"C"
-#endif
-const char *_nl_expand_alias (const char *);],
-              [bindtextdomain ("", "");
-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")],
-              [eval "$gt_func_gnugettext_libintl=yes"],
-              [eval "$gt_func_gnugettext_libintl=no"])
-            dnl Now see whether libintl exists and depends on libiconv.
-            if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" != yes; } && test -n "$LIBICONV"; then
-              LIBS="$LIBS $LIBICONV"
-              AC_TRY_LINK([#include <libintl.h>
-$gt_revision_test_code
-extern int _nl_msg_cat_cntr;
-extern
-#ifdef __cplusplus
-"C"
-#endif
-const char *_nl_expand_alias (const char *);],
-                [bindtextdomain ("", "");
-return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("")],
-               [LIBINTL="$LIBINTL $LIBICONV"
-                LTLIBINTL="$LTLIBINTL $LTLIBICONV"
-                eval "$gt_func_gnugettext_libintl=yes"
-               ])
-            fi
-            CPPFLAGS="$gt_save_CPPFLAGS"
-            LIBS="$gt_save_LIBS"])
-        fi
-
-        dnl If an already present or preinstalled GNU gettext() is found,
-        dnl use it.  But if this macro is used in GNU gettext, and GNU
-        dnl gettext is already preinstalled in libintl, we update this
-        dnl libintl.  (Cf. the install rule in intl/Makefile.in.)
-        if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" = "yes"; } \
-           || { { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; } \
-                && test "$PACKAGE" != gettext-runtime \
-                && test "$PACKAGE" != gettext-tools; }; then
-          gt_use_preinstalled_gnugettext=yes
-        else
-          dnl Reset the values set by searching for libintl.
-          LIBINTL=
-          LTLIBINTL=
-          INCINTL=
-        fi
-
-    ifelse(gt_included_intl, yes, [
-        if test "$gt_use_preinstalled_gnugettext" != "yes"; then
-          dnl GNU gettext is not found in the C library.
-          dnl Fall back on included GNU gettext library.
-          nls_cv_use_gnu_gettext=yes
-        fi
-      fi
-
-      if test "$nls_cv_use_gnu_gettext" = "yes"; then
-        dnl Mark actions used to generate GNU NLS library.
-        BUILD_INCLUDED_LIBINTL=yes
-        USE_INCLUDED_LIBINTL=yes
-        LIBINTL="ifelse([$3],[],\${top_builddir}/intl,[$3])/libintl.[]gt_libtool_suffix_prefix[]a $LIBICONV $LIBTHREAD"
-        LTLIBINTL="ifelse([$3],[],\${top_builddir}/intl,[$3])/libintl.[]gt_libtool_suffix_prefix[]a $LTLIBICONV $LTLIBTHREAD"
-        LIBS=`echo " $LIBS " | sed -e 's/ -lintl / /' -e 's/^ //' -e 's/ $//'`
-      fi
-
-      CATOBJEXT=
-      if test "$gt_use_preinstalled_gnugettext" = "yes" \
-         || test "$nls_cv_use_gnu_gettext" = "yes"; then
-        dnl Mark actions to use GNU gettext tools.
-        CATOBJEXT=.gmo
-      fi
-    ])
-
-    if test -n "$INTL_MACOSX_LIBS"; then
-      if test "$gt_use_preinstalled_gnugettext" = "yes" \
-         || test "$nls_cv_use_gnu_gettext" = "yes"; then
-        dnl Some extra flags are needed during linking.
-        LIBINTL="$LIBINTL $INTL_MACOSX_LIBS"
-        LTLIBINTL="$LTLIBINTL $INTL_MACOSX_LIBS"
-      fi
-    fi
-
-    if test "$gt_use_preinstalled_gnugettext" = "yes" \
-       || test "$nls_cv_use_gnu_gettext" = "yes"; then
-      AC_DEFINE(ENABLE_NLS, 1,
-        [Define to 1 if translation of program messages to the user's native language
-   is requested.])
-    else
-      USE_NLS=no
-    fi
-  fi
-
-  AC_MSG_CHECKING([whether to use NLS])
-  AC_MSG_RESULT([$USE_NLS])
-  if test "$USE_NLS" = "yes"; then
-    AC_MSG_CHECKING([where the gettext function comes from])
-    if test "$gt_use_preinstalled_gnugettext" = "yes"; then
-      if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
-        gt_source="external libintl"
-      else
-        gt_source="libc"
-      fi
-    else
-      gt_source="included intl directory"
-    fi
-    AC_MSG_RESULT([$gt_source])
-  fi
-
-  if test "$USE_NLS" = "yes"; then
-
-    if test "$gt_use_preinstalled_gnugettext" = "yes"; then
-      if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then
-        AC_MSG_CHECKING([how to link with libintl])
-        AC_MSG_RESULT([$LIBINTL])
-        AC_LIB_APPENDTOVAR([CPPFLAGS], [$INCINTL])
-      fi
-
-      dnl For backward compatibility. Some packages may be using this.
-      AC_DEFINE(HAVE_GETTEXT, 1,
-       [Define if the GNU gettext() function is already present or preinstalled.])
-      AC_DEFINE(HAVE_DCGETTEXT, 1,
-       [Define if the GNU dcgettext() function is already present or preinstalled.])
-    fi
-
-    dnl We need to process the po/ directory.
-    POSUB=po
-  fi
-
-  ifelse(gt_included_intl, yes, [
-    dnl If this is used in GNU gettext we have to set BUILD_INCLUDED_LIBINTL
-    dnl to 'yes' because some of the testsuite requires it.
-    if test "$PACKAGE" = gettext-runtime || test "$PACKAGE" = gettext-tools; then
-      BUILD_INCLUDED_LIBINTL=yes
-    fi
-
-    dnl Make all variables we use known to autoconf.
-    AC_SUBST(BUILD_INCLUDED_LIBINTL)
-    AC_SUBST(USE_INCLUDED_LIBINTL)
-    AC_SUBST(CATOBJEXT)
-
-    dnl For backward compatibility. Some configure.ins may be using this.
-    nls_cv_header_intl=
-    nls_cv_header_libgt=
-
-    dnl For backward compatibility. Some Makefiles may be using this.
-    DATADIRNAME=share
-    AC_SUBST(DATADIRNAME)
-
-    dnl For backward compatibility. Some Makefiles may be using this.
-    INSTOBJEXT=.mo
-    AC_SUBST(INSTOBJEXT)
-
-    dnl For backward compatibility. Some Makefiles may be using this.
-    GENCAT=gencat
-    AC_SUBST(GENCAT)
-
-    dnl For backward compatibility. Some Makefiles may be using this.
-    INTLOBJS=
-    if test "$USE_INCLUDED_LIBINTL" = yes; then
-      INTLOBJS="\$(GETTOBJS)"
-    fi
-    AC_SUBST(INTLOBJS)
-
-    dnl Enable libtool support if the surrounding package wishes it.
-    INTL_LIBTOOL_SUFFIX_PREFIX=gt_libtool_suffix_prefix
-    AC_SUBST(INTL_LIBTOOL_SUFFIX_PREFIX)
-  ])
-
-  dnl For backward compatibility. Some Makefiles may be using this.
-  INTLLIBS="$LIBINTL"
-  AC_SUBST(INTLLIBS)
-
-  dnl Make all documented variables known to autoconf.
-  AC_SUBST(LIBINTL)
-  AC_SUBST(LTLIBINTL)
-  AC_SUBST(POSUB)
-])
-
-
-dnl Checks for special options needed on MacOS X.
-dnl Defines INTL_MACOSX_LIBS.
-AC_DEFUN([gt_INTL_MACOSX],
-[
-  dnl Check for API introduced in MacOS X 10.2.
-  AC_CACHE_CHECK([for CFPreferencesCopyAppValue],
-    gt_cv_func_CFPreferencesCopyAppValue,
-    [gt_save_LIBS="$LIBS"
-     LIBS="$LIBS -Wl,-framework -Wl,CoreFoundation"
-     AC_TRY_LINK([#include <CoreFoundation/CFPreferences.h>],
-       [CFPreferencesCopyAppValue(NULL, NULL)],
-       [gt_cv_func_CFPreferencesCopyAppValue=yes],
-       [gt_cv_func_CFPreferencesCopyAppValue=no])
-     LIBS="$gt_save_LIBS"])
-  if test $gt_cv_func_CFPreferencesCopyAppValue = yes; then
-    AC_DEFINE([HAVE_CFPREFERENCESCOPYAPPVALUE], 1,
-      [Define to 1 if you have the MacOS X function CFPreferencesCopyAppValue in the CoreFoundation framework.])
-  fi
-  dnl Check for API introduced in MacOS X 10.3.
-  AC_CACHE_CHECK([for CFLocaleCopyCurrent], gt_cv_func_CFLocaleCopyCurrent,
-    [gt_save_LIBS="$LIBS"
-     LIBS="$LIBS -Wl,-framework -Wl,CoreFoundation"
-     AC_TRY_LINK([#include <CoreFoundation/CFLocale.h>], [CFLocaleCopyCurrent();],
-       [gt_cv_func_CFLocaleCopyCurrent=yes],
-       [gt_cv_func_CFLocaleCopyCurrent=no])
-     LIBS="$gt_save_LIBS"])
-  if test $gt_cv_func_CFLocaleCopyCurrent = yes; then
-    AC_DEFINE([HAVE_CFLOCALECOPYCURRENT], 1,
-      [Define to 1 if you have the MacOS X function CFLocaleCopyCurrent in the CoreFoundation framework.])
-  fi
-  INTL_MACOSX_LIBS=
-  if test $gt_cv_func_CFPreferencesCopyAppValue = yes || test $gt_cv_func_CFLocaleCopyCurrent = yes; then
-    INTL_MACOSX_LIBS="-Wl,-framework -Wl,CoreFoundation"
-  fi
-  AC_SUBST([INTL_MACOSX_LIBS])
-])
-
-
-dnl gt_NEEDS_INIT ensures that the gt_needs variable is initialized.
-m4_define([gt_NEEDS_INIT],
-[
-  m4_divert_text([DEFAULTS], [gt_needs=])
-  m4_define([gt_NEEDS_INIT], [])
-])
-
-
-dnl Usage: AM_GNU_GETTEXT_NEED([NEEDSYMBOL])
-AC_DEFUN([AM_GNU_GETTEXT_NEED],
-[
-  m4_divert_text([INIT_PREPARE], [gt_needs="$gt_needs $1"])
-])
-
-
-dnl Usage: AM_GNU_GETTEXT_VERSION([gettext-version])
-AC_DEFUN([AM_GNU_GETTEXT_VERSION], [])
diff -pruN 1.2.0.20090904-1/m4/iconv.m4 1.2.0.20091024-1/m4/iconv.m4
--- 1.2.0.20090904-1/m4/iconv.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/iconv.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,101 +0,0 @@
-# iconv.m4 serial AM4 (gettext-0.11.3)
-dnl Copyright (C) 2000-2002 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-
-dnl From Bruno Haible.
-
-AC_DEFUN([AM_ICONV_LINKFLAGS_BODY],
-[
-  dnl Prerequisites of AC_LIB_LINKFLAGS_BODY.
-  AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
-  AC_REQUIRE([AC_LIB_RPATH])
-
-  dnl Search for libiconv and define LIBICONV, LTLIBICONV and INCICONV
-  dnl accordingly.
-  AC_LIB_LINKFLAGS_BODY([iconv])
-])
-
-AC_DEFUN([AM_ICONV_LINK],
-[
-  dnl Some systems have iconv in libc, some have it in libiconv (OSF/1 and
-  dnl those with the standalone portable GNU libiconv installed).
-
-  dnl Search for libiconv and define LIBICONV, LTLIBICONV and INCICONV
-  dnl accordingly.
-  AC_REQUIRE([AM_ICONV_LINKFLAGS_BODY])
-
-  dnl Add $INCICONV to CPPFLAGS before performing the following checks,
-  dnl because if the user has installed libiconv and not disabled its use
-  dnl via --without-libiconv-prefix, he wants to use it. The first
-  dnl AC_TRY_LINK will then fail, the second AC_TRY_LINK will succeed.
-  am_save_CPPFLAGS="$CPPFLAGS"
-  AC_LIB_APPENDTOVAR([CPPFLAGS], [$INCICONV])
-
-  AC_CACHE_CHECK(for iconv, am_cv_func_iconv, [
-    am_cv_func_iconv="no, consider installing GNU libiconv"
-    am_cv_lib_iconv=no
-    AC_TRY_LINK([#include <stdlib.h>
-#include <iconv.h>],
-      [iconv_t cd = iconv_open("","");
-       iconv(cd,NULL,NULL,NULL,NULL);
-       iconv_close(cd);],
-      am_cv_func_iconv=yes)
-    if test "$am_cv_func_iconv" != yes; then
-      am_save_LIBS="$LIBS"
-      LIBS="$LIBS $LIBICONV"
-      AC_TRY_LINK([#include <stdlib.h>
-#include <iconv.h>],
-        [iconv_t cd = iconv_open("","");
-         iconv(cd,NULL,NULL,NULL,NULL);
-         iconv_close(cd);],
-        am_cv_lib_iconv=yes
-        am_cv_func_iconv=yes)
-      LIBS="$am_save_LIBS"
-    fi
-  ])
-  if test "$am_cv_func_iconv" = yes; then
-    AC_DEFINE(HAVE_ICONV, 1, [Define if you have the iconv() function.])
-  fi
-  if test "$am_cv_lib_iconv" = yes; then
-    AC_MSG_CHECKING([how to link with libiconv])
-    AC_MSG_RESULT([$LIBICONV])
-  else
-    dnl If $LIBICONV didn't lead to a usable library, we don't need $INCICONV
-    dnl either.
-    CPPFLAGS="$am_save_CPPFLAGS"
-    LIBICONV=
-    LTLIBICONV=
-  fi
-  AC_SUBST(LIBICONV)
-  AC_SUBST(LTLIBICONV)
-])
-
-AC_DEFUN([AM_ICONV],
-[
-  AM_ICONV_LINK
-  if test "$am_cv_func_iconv" = yes; then
-    AC_MSG_CHECKING([for iconv declaration])
-    AC_CACHE_VAL(am_cv_proto_iconv, [
-      AC_TRY_COMPILE([
-#include <stdlib.h>
-#include <iconv.h>
-extern
-#ifdef __cplusplus
-"C"
-#endif
-#if defined(__STDC__) || defined(__cplusplus)
-size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
-#else
-size_t iconv();
-#endif
-], [], am_cv_proto_iconv_arg1="", am_cv_proto_iconv_arg1="const")
-      am_cv_proto_iconv="extern size_t iconv (iconv_t cd, $am_cv_proto_iconv_arg1 char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);"])
-    am_cv_proto_iconv=`echo "[$]am_cv_proto_iconv" | tr -s ' ' | sed -e 's/( /(/'`
-    AC_MSG_RESULT([$]{ac_t:-
-         }[$]am_cv_proto_iconv)
-    AC_DEFINE_UNQUOTED(ICONV_CONST, $am_cv_proto_iconv_arg1,
-      [Define as const if the declaration of iconv() needs const.])
-  fi
-])
diff -pruN 1.2.0.20090904-1/m4/lib-ld.m4 1.2.0.20091024-1/m4/lib-ld.m4
--- 1.2.0.20090904-1/m4/lib-ld.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/lib-ld.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,110 +0,0 @@
-# lib-ld.m4 serial 3 (gettext-0.13)
-dnl Copyright (C) 1996-2003 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-
-dnl Subroutines of libtool.m4,
-dnl with replacements s/AC_/AC_LIB/ and s/lt_cv/acl_cv/ to avoid collision
-dnl with libtool.m4.
-
-dnl From libtool-1.4. Sets the variable with_gnu_ld to yes or no.
-AC_DEFUN([AC_LIB_PROG_LD_GNU],
-[AC_CACHE_CHECK([if the linker ($LD) is GNU ld], acl_cv_prog_gnu_ld,
-[# I'd rather use --version here, but apparently some GNU ld's only accept -v.
-case `$LD -v 2>&1 </dev/null` in
-*GNU* | *'with BFD'*)
-  acl_cv_prog_gnu_ld=yes ;;
-*)
-  acl_cv_prog_gnu_ld=no ;;
-esac])
-with_gnu_ld=$acl_cv_prog_gnu_ld
-])
-
-dnl From libtool-1.4. Sets the variable LD.
-AC_DEFUN([AC_LIB_PROG_LD],
-[AC_ARG_WITH(gnu-ld,
-[  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]],
-test "$withval" = no || with_gnu_ld=yes, with_gnu_ld=no)
-AC_REQUIRE([AC_PROG_CC])dnl
-AC_REQUIRE([AC_CANONICAL_HOST])dnl
-# Prepare PATH_SEPARATOR.
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
-fi
-ac_prog=ld
-if test "$GCC" = yes; then
-  # Check if gcc -print-prog-name=ld gives a path.
-  AC_MSG_CHECKING([for ld used by GCC])
-  case $host in
-  *-*-mingw*)
-    # gcc leaves a trailing carriage return which upsets mingw
-    ac_prog=`($CC -print-prog-name=ld) 2>&5 | tr -d '\015'` ;;
-  *)
-    ac_prog=`($CC -print-prog-name=ld) 2>&5` ;;
-  esac
-  case $ac_prog in
-    # Accept absolute paths.
-    [[\\/]* | [A-Za-z]:[\\/]*)]
-      [re_direlt='/[^/][^/]*/\.\./']
-      # Canonicalize the path of ld
-      ac_prog=`echo $ac_prog| sed 's%\\\\%/%g'`
-      while echo $ac_prog | grep "$re_direlt" > /dev/null 2>&1; do
-	ac_prog=`echo $ac_prog| sed "s%$re_direlt%/%"`
-      done
-      test -z "$LD" && LD="$ac_prog"
-      ;;
-  "")
-    # If it fails, then pretend we aren't using GCC.
-    ac_prog=ld
-    ;;
-  *)
-    # If it is relative, then search for the first ld in PATH.
-    with_gnu_ld=unknown
-    ;;
-  esac
-elif test "$with_gnu_ld" = yes; then
-  AC_MSG_CHECKING([for GNU ld])
-else
-  AC_MSG_CHECKING([for non-GNU ld])
-fi
-AC_CACHE_VAL(acl_cv_path_LD,
-[if test -z "$LD"; then
-  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}${PATH_SEPARATOR-:}"
-  for ac_dir in $PATH; do
-    test -z "$ac_dir" && ac_dir=.
-    if test -f "$ac_dir/$ac_prog" || test -f "$ac_dir/$ac_prog$ac_exeext"; then
-      acl_cv_path_LD="$ac_dir/$ac_prog"
-      # Check to see if the program is GNU ld.  I'd rather use --version,
-      # but apparently some GNU ld's only accept -v.
-      # Break only if it was the GNU/non-GNU ld that we prefer.
-      case `"$acl_cv_path_LD" -v 2>&1 < /dev/null` in
-      *GNU* | *'with BFD'*)
-	test "$with_gnu_ld" != no && break ;;
-      *)
-	test "$with_gnu_ld" != yes && break ;;
-      esac
-    fi
-  done
-  IFS="$ac_save_ifs"
-else
-  acl_cv_path_LD="$LD" # Let the user override the test with a path.
-fi])
-LD="$acl_cv_path_LD"
-if test -n "$LD"; then
-  AC_MSG_RESULT($LD)
-else
-  AC_MSG_RESULT(no)
-fi
-test -z "$LD" && AC_MSG_ERROR([no acceptable ld found in \$PATH])
-AC_LIB_PROG_LD_GNU
-])
diff -pruN 1.2.0.20090904-1/m4/lib-link.m4 1.2.0.20091024-1/m4/lib-link.m4
--- 1.2.0.20090904-1/m4/lib-link.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/lib-link.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,644 +0,0 @@
-# lib-link.m4 serial 9 (gettext-0.16)
-dnl Copyright (C) 2001-2006 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-
-dnl From Bruno Haible.
-
-AC_PREREQ(2.50)
-
-dnl AC_LIB_LINKFLAGS(name [, dependencies]) searches for libname and
-dnl the libraries corresponding to explicit and implicit dependencies.
-dnl Sets and AC_SUBSTs the LIB${NAME} and LTLIB${NAME} variables and
-dnl augments the CPPFLAGS variable.
-AC_DEFUN([AC_LIB_LINKFLAGS],
-[
-  AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
-  AC_REQUIRE([AC_LIB_RPATH])
-  define([Name],[translit([$1],[./-], [___])])
-  define([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
-                               [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
-  AC_CACHE_CHECK([how to link with lib[]$1], [ac_cv_lib[]Name[]_libs], [
-    AC_LIB_LINKFLAGS_BODY([$1], [$2])
-    ac_cv_lib[]Name[]_libs="$LIB[]NAME"
-    ac_cv_lib[]Name[]_ltlibs="$LTLIB[]NAME"
-    ac_cv_lib[]Name[]_cppflags="$INC[]NAME"
-  ])
-  LIB[]NAME="$ac_cv_lib[]Name[]_libs"
-  LTLIB[]NAME="$ac_cv_lib[]Name[]_ltlibs"
-  INC[]NAME="$ac_cv_lib[]Name[]_cppflags"
-  AC_LIB_APPENDTOVAR([CPPFLAGS], [$INC]NAME)
-  AC_SUBST([LIB]NAME)
-  AC_SUBST([LTLIB]NAME)
-  dnl Also set HAVE_LIB[]NAME so that AC_LIB_HAVE_LINKFLAGS can reuse the
-  dnl results of this search when this library appears as a dependency.
-  HAVE_LIB[]NAME=yes
-  undefine([Name])
-  undefine([NAME])
-])
-
-dnl AC_LIB_HAVE_LINKFLAGS(name, dependencies, includes, testcode)
-dnl searches for libname and the libraries corresponding to explicit and
-dnl implicit dependencies, together with the specified include files and
-dnl the ability to compile and link the specified testcode. If found, it
-dnl sets and AC_SUBSTs HAVE_LIB${NAME}=yes and the LIB${NAME} and
-dnl LTLIB${NAME} variables and augments the CPPFLAGS variable, and
-dnl #defines HAVE_LIB${NAME} to 1. Otherwise, it sets and AC_SUBSTs
-dnl HAVE_LIB${NAME}=no and LIB${NAME} and LTLIB${NAME} to empty.
-AC_DEFUN([AC_LIB_HAVE_LINKFLAGS],
-[
-  AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
-  AC_REQUIRE([AC_LIB_RPATH])
-  define([Name],[translit([$1],[./-], [___])])
-  define([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
-                               [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
-
-  dnl Search for lib[]Name and define LIB[]NAME, LTLIB[]NAME and INC[]NAME
-  dnl accordingly.
-  AC_LIB_LINKFLAGS_BODY([$1], [$2])
-
-  dnl Add $INC[]NAME to CPPFLAGS before performing the following checks,
-  dnl because if the user has installed lib[]Name and not disabled its use
-  dnl via --without-lib[]Name-prefix, he wants to use it.
-  ac_save_CPPFLAGS="$CPPFLAGS"
-  AC_LIB_APPENDTOVAR([CPPFLAGS], [$INC]NAME)
-
-  AC_CACHE_CHECK([for lib[]$1], [ac_cv_lib[]Name], [
-    ac_save_LIBS="$LIBS"
-    LIBS="$LIBS $LIB[]NAME"
-    AC_TRY_LINK([$3], [$4], [ac_cv_lib[]Name=yes], [ac_cv_lib[]Name=no])
-    LIBS="$ac_save_LIBS"
-  ])
-  if test "$ac_cv_lib[]Name" = yes; then
-    HAVE_LIB[]NAME=yes
-    AC_DEFINE([HAVE_LIB]NAME, 1, [Define if you have the $1 library.])
-    AC_MSG_CHECKING([how to link with lib[]$1])
-    AC_MSG_RESULT([$LIB[]NAME])
-  else
-    HAVE_LIB[]NAME=no
-    dnl If $LIB[]NAME didn't lead to a usable library, we don't need
-    dnl $INC[]NAME either.
-    CPPFLAGS="$ac_save_CPPFLAGS"
-    LIB[]NAME=
-    LTLIB[]NAME=
-  fi
-  AC_SUBST([HAVE_LIB]NAME)
-  AC_SUBST([LIB]NAME)
-  AC_SUBST([LTLIB]NAME)
-  undefine([Name])
-  undefine([NAME])
-])
-
-dnl Determine the platform dependent parameters needed to use rpath:
-dnl libext, shlibext, hardcode_libdir_flag_spec, hardcode_libdir_separator,
-dnl hardcode_direct, hardcode_minus_L.
-AC_DEFUN([AC_LIB_RPATH],
-[
-  dnl Tell automake >= 1.10 to complain if config.rpath is missing.
-  m4_ifdef([AC_REQUIRE_AUX_FILE], [AC_REQUIRE_AUX_FILE([config.rpath])])
-  AC_REQUIRE([AC_PROG_CC])                dnl we use $CC, $GCC, $LDFLAGS
-  AC_REQUIRE([AC_LIB_PROG_LD])            dnl we use $LD, $with_gnu_ld
-  AC_REQUIRE([AC_CANONICAL_HOST])         dnl we use $host
-  AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT]) dnl we use $ac_aux_dir
-  AC_CACHE_CHECK([for shared library run path origin], acl_cv_rpath, [
-    CC="$CC" GCC="$GCC" LDFLAGS="$LDFLAGS" LD="$LD" with_gnu_ld="$with_gnu_ld" \
-    ${CONFIG_SHELL-/bin/sh} "$ac_aux_dir/config.rpath" "$host" > conftest.sh
-    . ./conftest.sh
-    rm -f ./conftest.sh
-    acl_cv_rpath=done
-  ])
-  wl="$acl_cv_wl"
-  libext="$acl_cv_libext"
-  shlibext="$acl_cv_shlibext"
-  hardcode_libdir_flag_spec="$acl_cv_hardcode_libdir_flag_spec"
-  hardcode_libdir_separator="$acl_cv_hardcode_libdir_separator"
-  hardcode_direct="$acl_cv_hardcode_direct"
-  hardcode_minus_L="$acl_cv_hardcode_minus_L"
-  dnl Determine whether the user wants rpath handling at all.
-  AC_ARG_ENABLE(rpath,
-    [  --disable-rpath         do not hardcode runtime library paths],
-    :, enable_rpath=yes)
-])
-
-dnl AC_LIB_LINKFLAGS_BODY(name [, dependencies]) searches for libname and
-dnl the libraries corresponding to explicit and implicit dependencies.
-dnl Sets the LIB${NAME}, LTLIB${NAME} and INC${NAME} variables.
-AC_DEFUN([AC_LIB_LINKFLAGS_BODY],
-[
-  AC_REQUIRE([AC_LIB_PREPARE_MULTILIB])
-  define([NAME],[translit([$1],[abcdefghijklmnopqrstuvwxyz./-],
-                               [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
-  dnl By default, look in $includedir and $libdir.
-  use_additional=yes
-  AC_LIB_WITH_FINAL_PREFIX([
-    eval additional_includedir=\"$includedir\"
-    eval additional_libdir=\"$libdir\"
-  ])
-  AC_LIB_ARG_WITH([lib$1-prefix],
-[  --with-lib$1-prefix[=DIR]  search for lib$1 in DIR/include and DIR/lib
-  --without-lib$1-prefix     don't search for lib$1 in includedir and libdir],
-[
-    if test "X$withval" = "Xno"; then
-      use_additional=no
-    else
-      if test "X$withval" = "X"; then
-        AC_LIB_WITH_FINAL_PREFIX([
-          eval additional_includedir=\"$includedir\"
-          eval additional_libdir=\"$libdir\"
-        ])
-      else
-        additional_includedir="$withval/include"
-        additional_libdir="$withval/$acl_libdirstem"
-      fi
-    fi
-])
-  dnl Search the library and its dependencies in $additional_libdir and
-  dnl $LDFLAGS. Using breadth-first-seach.
-  LIB[]NAME=
-  LTLIB[]NAME=
-  INC[]NAME=
-  rpathdirs=
-  ltrpathdirs=
-  names_already_handled=
-  names_next_round='$1 $2'
-  while test -n "$names_next_round"; do
-    names_this_round="$names_next_round"
-    names_next_round=
-    for name in $names_this_round; do
-      already_handled=
-      for n in $names_already_handled; do
-        if test "$n" = "$name"; then
-          already_handled=yes
-          break
-        fi
-      done
-      if test -z "$already_handled"; then
-        names_already_handled="$names_already_handled $name"
-        dnl See if it was already located by an earlier AC_LIB_LINKFLAGS
-        dnl or AC_LIB_HAVE_LINKFLAGS call.
-        uppername=`echo "$name" | sed -e 'y|abcdefghijklmnopqrstuvwxyz./-|ABCDEFGHIJKLMNOPQRSTUVWXYZ___|'`
-        eval value=\"\$HAVE_LIB$uppername\"
-        if test -n "$value"; then
-          if test "$value" = yes; then
-            eval value=\"\$LIB$uppername\"
-            test -z "$value" || LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$value"
-            eval value=\"\$LTLIB$uppername\"
-            test -z "$value" || LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }$value"
-          else
-            dnl An earlier call to AC_LIB_HAVE_LINKFLAGS has determined
-            dnl that this library doesn't exist. So just drop it.
-            :
-          fi
-        else
-          dnl Search the library lib$name in $additional_libdir and $LDFLAGS
-          dnl and the already constructed $LIBNAME/$LTLIBNAME.
-          found_dir=
-          found_la=
-          found_so=
-          found_a=
-          if test $use_additional = yes; then
-            if test -n "$shlibext" \
-               && { test -f "$additional_libdir/lib$name.$shlibext" \
-                    || { test "$shlibext" = dll \
-                         && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
-              found_dir="$additional_libdir"
-              if test -f "$additional_libdir/lib$name.$shlibext"; then
-                found_so="$additional_libdir/lib$name.$shlibext"
-              else
-                found_so="$additional_libdir/lib$name.dll.a"
-              fi
-              if test -f "$additional_libdir/lib$name.la"; then
-                found_la="$additional_libdir/lib$name.la"
-              fi
-            else
-              if test -f "$additional_libdir/lib$name.$libext"; then
-                found_dir="$additional_libdir"
-                found_a="$additional_libdir/lib$name.$libext"
-                if test -f "$additional_libdir/lib$name.la"; then
-                  found_la="$additional_libdir/lib$name.la"
-                fi
-              fi
-            fi
-          fi
-          if test "X$found_dir" = "X"; then
-            for x in $LDFLAGS $LTLIB[]NAME; do
-              AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-              case "$x" in
-                -L*)
-                  dir=`echo "X$x" | sed -e 's/^X-L//'`
-                  if test -n "$shlibext" \
-                     && { test -f "$dir/lib$name.$shlibext" \
-                          || { test "$shlibext" = dll \
-                               && test -f "$dir/lib$name.dll.a"; }; }; then
-                    found_dir="$dir"
-                    if test -f "$dir/lib$name.$shlibext"; then
-                      found_so="$dir/lib$name.$shlibext"
-                    else
-                      found_so="$dir/lib$name.dll.a"
-                    fi
-                    if test -f "$dir/lib$name.la"; then
-                      found_la="$dir/lib$name.la"
-                    fi
-                  else
-                    if test -f "$dir/lib$name.$libext"; then
-                      found_dir="$dir"
-                      found_a="$dir/lib$name.$libext"
-                      if test -f "$dir/lib$name.la"; then
-                        found_la="$dir/lib$name.la"
-                      fi
-                    fi
-                  fi
-                  ;;
-              esac
-              if test "X$found_dir" != "X"; then
-                break
-              fi
-            done
-          fi
-          if test "X$found_dir" != "X"; then
-            dnl Found the library.
-            LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }-L$found_dir -l$name"
-            if test "X$found_so" != "X"; then
-              dnl Linking with a shared library. We attempt to hardcode its
-              dnl directory into the executable's runpath, unless it's the
-              dnl standard /usr/lib.
-              if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
-                dnl No hardcoding is needed.
-                LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$found_so"
-              else
-                dnl Use an explicit option to hardcode DIR into the resulting
-                dnl binary.
-                dnl Potentially add DIR to ltrpathdirs.
-                dnl The ltrpathdirs will be appended to $LTLIBNAME at the end.
-                haveit=
-                for x in $ltrpathdirs; do
-                  if test "X$x" = "X$found_dir"; then
-                    haveit=yes
-                    break
-                  fi
-                done
-                if test -z "$haveit"; then
-                  ltrpathdirs="$ltrpathdirs $found_dir"
-                fi
-                dnl The hardcoding into $LIBNAME is system dependent.
-                if test "$hardcode_direct" = yes; then
-                  dnl Using DIR/libNAME.so during linking hardcodes DIR into the
-                  dnl resulting binary.
-                  LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$found_so"
-                else
-                  if test -n "$hardcode_libdir_flag_spec" && test "$hardcode_minus_L" = no; then
-                    dnl Use an explicit option to hardcode DIR into the resulting
-                    dnl binary.
-                    LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$found_so"
-                    dnl Potentially add DIR to rpathdirs.
-                    dnl The rpathdirs will be appended to $LIBNAME at the end.
-                    haveit=
-                    for x in $rpathdirs; do
-                      if test "X$x" = "X$found_dir"; then
-                        haveit=yes
-                        break
-                      fi
-                    done
-                    if test -z "$haveit"; then
-                      rpathdirs="$rpathdirs $found_dir"
-                    fi
-                  else
-                    dnl Rely on "-L$found_dir".
-                    dnl But don't add it if it's already contained in the LDFLAGS
-                    dnl or the already constructed $LIBNAME
-                    haveit=
-                    for x in $LDFLAGS $LIB[]NAME; do
-                      AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-                      if test "X$x" = "X-L$found_dir"; then
-                        haveit=yes
-                        break
-                      fi
-                    done
-                    if test -z "$haveit"; then
-                      LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }-L$found_dir"
-                    fi
-                    if test "$hardcode_minus_L" != no; then
-                      dnl FIXME: Not sure whether we should use
-                      dnl "-L$found_dir -l$name" or "-L$found_dir $found_so"
-                      dnl here.
-                      LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$found_so"
-                    else
-                      dnl We cannot use $hardcode_runpath_var and LD_RUN_PATH
-                      dnl here, because this doesn't fit in flags passed to the
-                      dnl compiler. So give up. No hardcoding. This affects only
-                      dnl very old systems.
-                      dnl FIXME: Not sure whether we should use
-                      dnl "-L$found_dir -l$name" or "-L$found_dir $found_so"
-                      dnl here.
-                      LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }-l$name"
-                    fi
-                  fi
-                fi
-              fi
-            else
-              if test "X$found_a" != "X"; then
-                dnl Linking with a static library.
-                LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$found_a"
-              else
-                dnl We shouldn't come here, but anyway it's good to have a
-                dnl fallback.
-                LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }-L$found_dir -l$name"
-              fi
-            fi
-            dnl Assume the include files are nearby.
-            additional_includedir=
-            case "$found_dir" in
-              */$acl_libdirstem | */$acl_libdirstem/)
-                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem/"'*$,,'`
-                additional_includedir="$basedir/include"
-                ;;
-            esac
-            if test "X$additional_includedir" != "X"; then
-              dnl Potentially add $additional_includedir to $INCNAME.
-              dnl But don't add it
-              dnl   1. if it's the standard /usr/include,
-              dnl   2. if it's /usr/local/include and we are using GCC on Linux,
-              dnl   3. if it's already present in $CPPFLAGS or the already
-              dnl      constructed $INCNAME,
-              dnl   4. if it doesn't exist as a directory.
-              if test "X$additional_includedir" != "X/usr/include"; then
-                haveit=
-                if test "X$additional_includedir" = "X/usr/local/include"; then
-                  if test -n "$GCC"; then
-                    case $host_os in
-                      linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-                    esac
-                  fi
-                fi
-                if test -z "$haveit"; then
-                  for x in $CPPFLAGS $INC[]NAME; do
-                    AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-                    if test "X$x" = "X-I$additional_includedir"; then
-                      haveit=yes
-                      break
-                    fi
-                  done
-                  if test -z "$haveit"; then
-                    if test -d "$additional_includedir"; then
-                      dnl Really add $additional_includedir to $INCNAME.
-                      INC[]NAME="${INC[]NAME}${INC[]NAME:+ }-I$additional_includedir"
-                    fi
-                  fi
-                fi
-              fi
-            fi
-            dnl Look for dependencies.
-            if test -n "$found_la"; then
-              dnl Read the .la file. It defines the variables
-              dnl dlname, library_names, old_library, dependency_libs, current,
-              dnl age, revision, installed, dlopen, dlpreopen, libdir.
-              save_libdir="$libdir"
-              case "$found_la" in
-                */* | *\\*) . "$found_la" ;;
-                *) . "./$found_la" ;;
-              esac
-              libdir="$save_libdir"
-              dnl We use only dependency_libs.
-              for dep in $dependency_libs; do
-                case "$dep" in
-                  -L*)
-                    additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
-                    dnl Potentially add $additional_libdir to $LIBNAME and $LTLIBNAME.
-                    dnl But don't add it
-                    dnl   1. if it's the standard /usr/lib,
-                    dnl   2. if it's /usr/local/lib and we are using GCC on Linux,
-                    dnl   3. if it's already present in $LDFLAGS or the already
-                    dnl      constructed $LIBNAME,
-                    dnl   4. if it doesn't exist as a directory.
-                    if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
-                      haveit=
-                      if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
-                        if test -n "$GCC"; then
-                          case $host_os in
-                            linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-                          esac
-                        fi
-                      fi
-                      if test -z "$haveit"; then
-                        haveit=
-                        for x in $LDFLAGS $LIB[]NAME; do
-                          AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-                          if test "X$x" = "X-L$additional_libdir"; then
-                            haveit=yes
-                            break
-                          fi
-                        done
-                        if test -z "$haveit"; then
-                          if test -d "$additional_libdir"; then
-                            dnl Really add $additional_libdir to $LIBNAME.
-                            LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }-L$additional_libdir"
-                          fi
-                        fi
-                        haveit=
-                        for x in $LDFLAGS $LTLIB[]NAME; do
-                          AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-                          if test "X$x" = "X-L$additional_libdir"; then
-                            haveit=yes
-                            break
-                          fi
-                        done
-                        if test -z "$haveit"; then
-                          if test -d "$additional_libdir"; then
-                            dnl Really add $additional_libdir to $LTLIBNAME.
-                            LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }-L$additional_libdir"
-                          fi
-                        fi
-                      fi
-                    fi
-                    ;;
-                  -R*)
-                    dir=`echo "X$dep" | sed -e 's/^X-R//'`
-                    if test "$enable_rpath" != no; then
-                      dnl Potentially add DIR to rpathdirs.
-                      dnl The rpathdirs will be appended to $LIBNAME at the end.
-                      haveit=
-                      for x in $rpathdirs; do
-                        if test "X$x" = "X$dir"; then
-                          haveit=yes
-                          break
-                        fi
-                      done
-                      if test -z "$haveit"; then
-                        rpathdirs="$rpathdirs $dir"
-                      fi
-                      dnl Potentially add DIR to ltrpathdirs.
-                      dnl The ltrpathdirs will be appended to $LTLIBNAME at the end.
-                      haveit=
-                      for x in $ltrpathdirs; do
-                        if test "X$x" = "X$dir"; then
-                          haveit=yes
-                          break
-                        fi
-                      done
-                      if test -z "$haveit"; then
-                        ltrpathdirs="$ltrpathdirs $dir"
-                      fi
-                    fi
-                    ;;
-                  -l*)
-                    dnl Handle this in the next round.
-                    names_next_round="$names_next_round "`echo "X$dep" | sed -e 's/^X-l//'`
-                    ;;
-                  *.la)
-                    dnl Handle this in the next round. Throw away the .la's
-                    dnl directory; it is already contained in a preceding -L
-                    dnl option.
-                    names_next_round="$names_next_round "`echo "X$dep" | sed -e 's,^X.*/,,' -e 's,^lib,,' -e 's,\.la$,,'`
-                    ;;
-                  *)
-                    dnl Most likely an immediate library name.
-                    LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$dep"
-                    LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }$dep"
-                    ;;
-                esac
-              done
-            fi
-          else
-            dnl Didn't find the library; assume it is in the system directories
-            dnl known to the linker and runtime loader. (All the system
-            dnl directories known to the linker should also be known to the
-            dnl runtime loader, otherwise the system is severely misconfigured.)
-            LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }-l$name"
-            LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }-l$name"
-          fi
-        fi
-      fi
-    done
-  done
-  if test "X$rpathdirs" != "X"; then
-    if test -n "$hardcode_libdir_separator"; then
-      dnl Weird platform: only the last -rpath option counts, the user must
-      dnl pass all path elements in one option. We can arrange that for a
-      dnl single library, but not when more than one $LIBNAMEs are used.
-      alldirs=
-      for found_dir in $rpathdirs; do
-        alldirs="${alldirs}${alldirs:+$hardcode_libdir_separator}$found_dir"
-      done
-      dnl Note: hardcode_libdir_flag_spec uses $libdir and $wl.
-      acl_save_libdir="$libdir"
-      libdir="$alldirs"
-      eval flag=\"$hardcode_libdir_flag_spec\"
-      libdir="$acl_save_libdir"
-      LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$flag"
-    else
-      dnl The -rpath options are cumulative.
-      for found_dir in $rpathdirs; do
-        acl_save_libdir="$libdir"
-        libdir="$found_dir"
-        eval flag=\"$hardcode_libdir_flag_spec\"
-        libdir="$acl_save_libdir"
-        LIB[]NAME="${LIB[]NAME}${LIB[]NAME:+ }$flag"
-      done
-    fi
-  fi
-  if test "X$ltrpathdirs" != "X"; then
-    dnl When using libtool, the option that works for both libraries and
-    dnl executables is -R. The -R options are cumulative.
-    for found_dir in $ltrpathdirs; do
-      LTLIB[]NAME="${LTLIB[]NAME}${LTLIB[]NAME:+ }-R$found_dir"
-    done
-  fi
-])
-
-dnl AC_LIB_APPENDTOVAR(VAR, CONTENTS) appends the elements of CONTENTS to VAR,
-dnl unless already present in VAR.
-dnl Works only for CPPFLAGS, not for LIB* variables because that sometimes
-dnl contains two or three consecutive elements that belong together.
-AC_DEFUN([AC_LIB_APPENDTOVAR],
-[
-  for element in [$2]; do
-    haveit=
-    for x in $[$1]; do
-      AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-      if test "X$x" = "X$element"; then
-        haveit=yes
-        break
-      fi
-    done
-    if test -z "$haveit"; then
-      [$1]="${[$1]}${[$1]:+ }$element"
-    fi
-  done
-])
-
-dnl For those cases where a variable contains several -L and -l options
-dnl referring to unknown libraries and directories, this macro determines the
-dnl necessary additional linker options for the runtime path.
-dnl AC_LIB_LINKFLAGS_FROM_LIBS([LDADDVAR], [LIBSVALUE], [USE-LIBTOOL])
-dnl sets LDADDVAR to linker options needed together with LIBSVALUE.
-dnl If USE-LIBTOOL evaluates to non-empty, linking with libtool is assumed,
-dnl otherwise linking without libtool is assumed.
-AC_DEFUN([AC_LIB_LINKFLAGS_FROM_LIBS],
-[
-  AC_REQUIRE([AC_LIB_RPATH])
-  AC_REQUIRE([AC_LIB_PREPARE_MULTILIB])
-  $1=
-  if test "$enable_rpath" != no; then
-    if test -n "$hardcode_libdir_flag_spec" && test "$hardcode_minus_L" = no; then
-      dnl Use an explicit option to hardcode directories into the resulting
-      dnl binary.
-      rpathdirs=
-      next=
-      for opt in $2; do
-        if test -n "$next"; then
-          dir="$next"
-          dnl No need to hardcode the standard /usr/lib.
-          if test "X$dir" != "X/usr/$acl_libdirstem"; then
-            rpathdirs="$rpathdirs $dir"
-          fi
-          next=
-        else
-          case $opt in
-            -L) next=yes ;;
-            -L*) dir=`echo "X$opt" | sed -e 's,^X-L,,'`
-                 dnl No need to hardcode the standard /usr/lib.
-                 if test "X$dir" != "X/usr/$acl_libdirstem"; then
-                   rpathdirs="$rpathdirs $dir"
-                 fi
-                 next= ;;
-            *) next= ;;
-          esac
-        fi
-      done
-      if test "X$rpathdirs" != "X"; then
-        if test -n ""$3""; then
-          dnl libtool is used for linking. Use -R options.
-          for dir in $rpathdirs; do
-            $1="${$1}${$1:+ }-R$dir"
-          done
-        else
-          dnl The linker is used for linking directly.
-          if test -n "$hardcode_libdir_separator"; then
-            dnl Weird platform: only the last -rpath option counts, the user
-            dnl must pass all path elements in one option.
-            alldirs=
-            for dir in $rpathdirs; do
-              alldirs="${alldirs}${alldirs:+$hardcode_libdir_separator}$dir"
-            done
-            acl_save_libdir="$libdir"
-            libdir="$alldirs"
-            eval flag=\"$hardcode_libdir_flag_spec\"
-            libdir="$acl_save_libdir"
-            $1="$flag"
-          else
-            dnl The -rpath options are cumulative.
-            for dir in $rpathdirs; do
-              acl_save_libdir="$libdir"
-              libdir="$dir"
-              eval flag=\"$hardcode_libdir_flag_spec\"
-              libdir="$acl_save_libdir"
-              $1="${$1}${$1:+ }$flag"
-            done
-          fi
-        fi
-      fi
-    fi
-  fi
-  AC_SUBST([$1])
-])
diff -pruN 1.2.0.20090904-1/m4/lib-prefix.m4 1.2.0.20091024-1/m4/lib-prefix.m4
--- 1.2.0.20090904-1/m4/lib-prefix.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/lib-prefix.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,185 +0,0 @@
-# lib-prefix.m4 serial 5 (gettext-0.15)
-dnl Copyright (C) 2001-2005 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-
-dnl From Bruno Haible.
-
-dnl AC_LIB_ARG_WITH is synonymous to AC_ARG_WITH in autoconf-2.13, and
-dnl similar to AC_ARG_WITH in autoconf 2.52...2.57 except that is doesn't
-dnl require excessive bracketing.
-ifdef([AC_HELP_STRING],
-[AC_DEFUN([AC_LIB_ARG_WITH], [AC_ARG_WITH([$1],[[$2]],[$3],[$4])])],
-[AC_DEFUN([AC_][LIB_ARG_WITH], [AC_ARG_WITH([$1],[$2],[$3],[$4])])])
-
-dnl AC_LIB_PREFIX adds to the CPPFLAGS and LDFLAGS the flags that are needed
-dnl to access previously installed libraries. The basic assumption is that
-dnl a user will want packages to use other packages he previously installed
-dnl with the same --prefix option.
-dnl This macro is not needed if only AC_LIB_LINKFLAGS is used to locate
-dnl libraries, but is otherwise very convenient.
-AC_DEFUN([AC_LIB_PREFIX],
-[
-  AC_BEFORE([$0], [AC_LIB_LINKFLAGS])
-  AC_REQUIRE([AC_PROG_CC])
-  AC_REQUIRE([AC_CANONICAL_HOST])
-  AC_REQUIRE([AC_LIB_PREPARE_MULTILIB])
-  AC_REQUIRE([AC_LIB_PREPARE_PREFIX])
-  dnl By default, look in $includedir and $libdir.
-  use_additional=yes
-  AC_LIB_WITH_FINAL_PREFIX([
-    eval additional_includedir=\"$includedir\"
-    eval additional_libdir=\"$libdir\"
-  ])
-  AC_LIB_ARG_WITH([lib-prefix],
-[  --with-lib-prefix[=DIR] search for libraries in DIR/include and DIR/lib
-  --without-lib-prefix    don't search for libraries in includedir and libdir],
-[
-    if test "X$withval" = "Xno"; then
-      use_additional=no
-    else
-      if test "X$withval" = "X"; then
-        AC_LIB_WITH_FINAL_PREFIX([
-          eval additional_includedir=\"$includedir\"
-          eval additional_libdir=\"$libdir\"
-        ])
-      else
-        additional_includedir="$withval/include"
-        additional_libdir="$withval/$acl_libdirstem"
-      fi
-    fi
-])
-  if test $use_additional = yes; then
-    dnl Potentially add $additional_includedir to $CPPFLAGS.
-    dnl But don't add it
-    dnl   1. if it's the standard /usr/include,
-    dnl   2. if it's already present in $CPPFLAGS,
-    dnl   3. if it's /usr/local/include and we are using GCC on Linux,
-    dnl   4. if it doesn't exist as a directory.
-    if test "X$additional_includedir" != "X/usr/include"; then
-      haveit=
-      for x in $CPPFLAGS; do
-        AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-        if test "X$x" = "X-I$additional_includedir"; then
-          haveit=yes
-          break
-        fi
-      done
-      if test -z "$haveit"; then
-        if test "X$additional_includedir" = "X/usr/local/include"; then
-          if test -n "$GCC"; then
-            case $host_os in
-              linux* | gnu* | k*bsd*-gnu) haveit=yes;;
-            esac
-          fi
-        fi
-        if test -z "$haveit"; then
-          if test -d "$additional_includedir"; then
-            dnl Really add $additional_includedir to $CPPFLAGS.
-            CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-I$additional_includedir"
-          fi
-        fi
-      fi
-    fi
-    dnl Potentially add $additional_libdir to $LDFLAGS.
-    dnl But don't add it
-    dnl   1. if it's the standard /usr/lib,
-    dnl   2. if it's already present in $LDFLAGS,
-    dnl   3. if it's /usr/local/lib and we are using GCC on Linux,
-    dnl   4. if it doesn't exist as a directory.
-    if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
-      haveit=
-      for x in $LDFLAGS; do
-        AC_LIB_WITH_FINAL_PREFIX([eval x=\"$x\"])
-        if test "X$x" = "X-L$additional_libdir"; then
-          haveit=yes
-          break
-        fi
-      done
-      if test -z "$haveit"; then
-        if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
-          if test -n "$GCC"; then
-            case $host_os in
-              linux*) haveit=yes;;
-            esac
-          fi
-        fi
-        if test -z "$haveit"; then
-          if test -d "$additional_libdir"; then
-            dnl Really add $additional_libdir to $LDFLAGS.
-            LDFLAGS="${LDFLAGS}${LDFLAGS:+ }-L$additional_libdir"
-          fi
-        fi
-      fi
-    fi
-  fi
-])
-
-dnl AC_LIB_PREPARE_PREFIX creates variables acl_final_prefix,
-dnl acl_final_exec_prefix, containing the values to which $prefix and
-dnl $exec_prefix will expand at the end of the configure script.
-AC_DEFUN([AC_LIB_PREPARE_PREFIX],
-[
-  dnl Unfortunately, prefix and exec_prefix get only finally determined
-  dnl at the end of configure.
-  if test "X$prefix" = "XNONE"; then
-    acl_final_prefix="$ac_default_prefix"
-  else
-    acl_final_prefix="$prefix"
-  fi
-  if test "X$exec_prefix" = "XNONE"; then
-    acl_final_exec_prefix='${prefix}'
-  else
-    acl_final_exec_prefix="$exec_prefix"
-  fi
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  eval acl_final_exec_prefix=\"$acl_final_exec_prefix\"
-  prefix="$acl_save_prefix"
-])
-
-dnl AC_LIB_WITH_FINAL_PREFIX([statement]) evaluates statement, with the
-dnl variables prefix and exec_prefix bound to the values they will have
-dnl at the end of the configure script.
-AC_DEFUN([AC_LIB_WITH_FINAL_PREFIX],
-[
-  acl_save_prefix="$prefix"
-  prefix="$acl_final_prefix"
-  acl_save_exec_prefix="$exec_prefix"
-  exec_prefix="$acl_final_exec_prefix"
-  $1
-  exec_prefix="$acl_save_exec_prefix"
-  prefix="$acl_save_prefix"
-])
-
-dnl AC_LIB_PREPARE_MULTILIB creates a variable acl_libdirstem, containing
-dnl the basename of the libdir, either "lib" or "lib64".
-AC_DEFUN([AC_LIB_PREPARE_MULTILIB],
-[
-  dnl There is no formal standard regarding lib and lib64. The current
-  dnl practice is that on a system supporting 32-bit and 64-bit instruction
-  dnl sets or ABIs, 64-bit libraries go under $prefix/lib64 and 32-bit
-  dnl libraries go under $prefix/lib. We determine the compiler's default
-  dnl mode by looking at the compiler's library search path. If at least
-  dnl of its elements ends in /lib64 or points to a directory whose absolute
-  dnl pathname ends in /lib64, we assume a 64-bit ABI. Otherwise we use the
-  dnl default, namely "lib".
-  acl_libdirstem=lib
-  searchpath=`(LC_ALL=C $CC -print-search-dirs) 2>/dev/null | sed -n -e 's,^libraries: ,,p' | sed -e 's,^=,,'`
-  if test -n "$searchpath"; then
-    acl_save_IFS="${IFS= 	}"; IFS=":"
-    for searchdir in $searchpath; do
-      if test -d "$searchdir"; then
-        case "$searchdir" in
-          */lib64/ | */lib64 ) acl_libdirstem=lib64 ;;
-          *) searchdir=`cd "$searchdir" && pwd`
-             case "$searchdir" in
-               */lib64 ) acl_libdirstem=lib64 ;;
-             esac ;;
-        esac
-      fi
-    done
-    IFS="$acl_save_IFS"
-  fi
-])
diff -pruN 1.2.0.20090904-1/m4/Makefile.am 1.2.0.20091024-1/m4/Makefile.am
--- 1.2.0.20090904-1/m4/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/m4/Makefile.am	2009-10-23 07:37:35.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/m4/Makefile.in 1.2.0.20091024-1/m4/Makefile.in
--- 1.2.0.20090904-1/m4/Makefile.in	2009-09-04 03:51:13.000000000 +0100
+++ 1.2.0.20091024-1/m4/Makefile.in	2009-10-24 04:18:13.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -58,17 +59,14 @@ subdir = m4
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -83,6 +81,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -126,8 +126,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -142,32 +142,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -188,7 +185,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -199,7 +199,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -209,7 +208,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/m4/po.m4 1.2.0.20091024-1/m4/po.m4
--- 1.2.0.20090904-1/m4/po.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/po.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,428 +0,0 @@
-# po.m4 serial 13 (gettext-0.15)
-dnl Copyright (C) 1995-2006 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-dnl
-dnl This file can can be used in projects which are not available under
-dnl the GNU General Public License or the GNU Library General Public
-dnl License but which still want to provide support for the GNU gettext
-dnl functionality.
-dnl Please note that the actual code of the GNU gettext library is covered
-dnl by the GNU Library General Public License, and the rest of the GNU
-dnl gettext package package is covered by the GNU General Public License.
-dnl They are *not* in the public domain.
-
-dnl Authors:
-dnl   Ulrich Drepper <drepper@cygnus.com>, 1995-2000.
-dnl   Bruno Haible <haible@clisp.cons.org>, 2000-2003.
-
-AC_PREREQ(2.50)
-
-dnl Checks for all prerequisites of the po subdirectory.
-AC_DEFUN([AM_PO_SUBDIRS],
-[
-  AC_REQUIRE([AC_PROG_MAKE_SET])dnl
-  AC_REQUIRE([AC_PROG_INSTALL])dnl
-  AC_REQUIRE([AM_PROG_MKDIR_P])dnl defined by automake
-  AC_REQUIRE([AM_NLS])dnl
-
-  dnl Perform the following tests also if --disable-nls has been given,
-  dnl because they are needed for "make dist" to work.
-
-  dnl Search for GNU msgfmt in the PATH.
-  dnl The first test excludes Solaris msgfmt and early GNU msgfmt versions.
-  dnl The second test excludes FreeBSD msgfmt.
-  AM_PATH_PROG_WITH_TEST(MSGFMT, msgfmt,
-    [$ac_dir/$ac_word --statistics /dev/null >&]AS_MESSAGE_LOG_FD[ 2>&1 &&
-     (if $ac_dir/$ac_word --statistics /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi)],
-    :)
-  AC_PATH_PROG(GMSGFMT, gmsgfmt, $MSGFMT)
-
-  dnl Test whether it is GNU msgfmt >= 0.15.
-changequote(,)dnl
-  case `$MSGFMT --version | sed 1q | sed -e 's,^[^0-9]*,,'` in
-    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-4] | 0.1[0-4].*) MSGFMT_015=: ;;
-    *) MSGFMT_015=$MSGFMT ;;
-  esac
-changequote([,])dnl
-  AC_SUBST([MSGFMT_015])
-changequote(,)dnl
-  case `$GMSGFMT --version | sed 1q | sed -e 's,^[^0-9]*,,'` in
-    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-4] | 0.1[0-4].*) GMSGFMT_015=: ;;
-    *) GMSGFMT_015=$GMSGFMT ;;
-  esac
-changequote([,])dnl
-  AC_SUBST([GMSGFMT_015])
-
-  dnl Search for GNU xgettext 0.12 or newer in the PATH.
-  dnl The first test excludes Solaris xgettext and early GNU xgettext versions.
-  dnl The second test excludes FreeBSD xgettext.
-  AM_PATH_PROG_WITH_TEST(XGETTEXT, xgettext,
-    [$ac_dir/$ac_word --omit-header --copyright-holder= --msgid-bugs-address= /dev/null >&]AS_MESSAGE_LOG_FD[ 2>&1 &&
-     (if $ac_dir/$ac_word --omit-header --copyright-holder= --msgid-bugs-address= /dev/null 2>&1 >/dev/null | grep usage >/dev/null; then exit 1; else exit 0; fi)],
-    :)
-  dnl Remove leftover from FreeBSD xgettext call.
-  rm -f messages.po
-
-  dnl Test whether it is GNU xgettext >= 0.15.
-changequote(,)dnl
-  case `$XGETTEXT --version | sed 1q | sed -e 's,^[^0-9]*,,'` in
-    '' | 0.[0-9] | 0.[0-9].* | 0.1[0-4] | 0.1[0-4].*) XGETTEXT_015=: ;;
-    *) XGETTEXT_015=$XGETTEXT ;;
-  esac
-changequote([,])dnl
-  AC_SUBST([XGETTEXT_015])
-
-  dnl Search for GNU msgmerge 0.11 or newer in the PATH.
-  AM_PATH_PROG_WITH_TEST(MSGMERGE, msgmerge,
-    [$ac_dir/$ac_word --update -q /dev/null /dev/null >&]AS_MESSAGE_LOG_FD[ 2>&1], :)
-
-  dnl Installation directories.
-  dnl Autoconf >= 2.60 defines localedir. For older versions of autoconf, we
-  dnl have to define it here, so that it can be used in po/Makefile.
-  test -n "$localedir" || localedir='${datadir}/locale'
-  AC_SUBST([localedir])
-
-  AC_CONFIG_COMMANDS([po-directories], [[
-    for ac_file in $CONFIG_FILES; do
-      # Support "outfile[:infile[:infile...]]"
-      case "$ac_file" in
-        *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
-      esac
-      # PO directories have a Makefile.in generated from Makefile.in.in.
-      case "$ac_file" in */Makefile.in)
-        # Adjust a relative srcdir.
-        ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
-        ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
-        ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
-        # In autoconf-2.13 it is called $ac_given_srcdir.
-        # In autoconf-2.50 it is called $srcdir.
-        test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
-        case "$ac_given_srcdir" in
-          .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
-          /*) top_srcdir="$ac_given_srcdir" ;;
-          *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
-        esac
-        # Treat a directory as a PO directory if and only if it has a
-        # POTFILES.in file. This allows packages to have multiple PO
-        # directories under different names or in different locations.
-        if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
-          rm -f "$ac_dir/POTFILES"
-          test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
-          cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[ 	]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
-          POMAKEFILEDEPS="POTFILES.in"
-          # ALL_LINGUAS, POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES depend
-          # on $ac_dir but don't depend on user-specified configuration
-          # parameters.
-          if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
-            # The LINGUAS file contains the set of available languages.
-            if test -n "$OBSOLETE_ALL_LINGUAS"; then
-              test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
-            fi
-            ALL_LINGUAS_=`sed -e "/^#/d" -e "s/#.*//" "$ac_given_srcdir/$ac_dir/LINGUAS"`
-            # Hide the ALL_LINGUAS assigment from automake < 1.5.
-            eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
-            POMAKEFILEDEPS="$POMAKEFILEDEPS LINGUAS"
-          else
-            # The set of available languages was given in configure.in.
-            # Hide the ALL_LINGUAS assigment from automake < 1.5.
-            eval 'ALL_LINGUAS''=$OBSOLETE_ALL_LINGUAS'
-          fi
-          # Compute POFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).po)
-          # Compute UPDATEPOFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).po-update)
-          # Compute DUMMYPOFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).nop)
-          # Compute GMOFILES
-          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).gmo)
-          case "$ac_given_srcdir" in
-            .) srcdirpre= ;;
-            *) srcdirpre='$(srcdir)/' ;;
-          esac
-          POFILES=
-          UPDATEPOFILES=
-          DUMMYPOFILES=
-          GMOFILES=
-          for lang in $ALL_LINGUAS; do
-            POFILES="$POFILES $srcdirpre$lang.po"
-            UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
-            DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
-            GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
-          done
-          # CATALOGS depends on both $ac_dir and the user's LINGUAS
-          # environment variable.
-          INST_LINGUAS=
-          if test -n "$ALL_LINGUAS"; then
-            for presentlang in $ALL_LINGUAS; do
-              useit=no
-              if test "%UNSET%" != "$LINGUAS"; then
-                desiredlanguages="$LINGUAS"
-              else
-                desiredlanguages="$ALL_LINGUAS"
-              fi
-              for desiredlang in $desiredlanguages; do
-                # Use the presentlang catalog if desiredlang is
-                #   a. equal to presentlang, or
-                #   b. a variant of presentlang (because in this case,
-                #      presentlang can be used as a fallback for messages
-                #      which are not translated in the desiredlang catalog).
-                case "$desiredlang" in
-                  "$presentlang"*) useit=yes;;
-                esac
-              done
-              if test $useit = yes; then
-                INST_LINGUAS="$INST_LINGUAS $presentlang"
-              fi
-            done
-          fi
-          CATALOGS=
-          if test -n "$INST_LINGUAS"; then
-            for lang in $INST_LINGUAS; do
-              CATALOGS="$CATALOGS $lang.gmo"
-            done
-          fi
-          test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
-          sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" -e "s|@POMAKEFILEDEPS@|$POMAKEFILEDEPS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
-          for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
-            if test -f "$f"; then
-              case "$f" in
-                *.orig | *.bak | *~) ;;
-                *) cat "$f" >> "$ac_dir/Makefile" ;;
-              esac
-            fi
-          done
-        fi
-        ;;
-      esac
-    done]],
-   [# Capture the value of obsolete ALL_LINGUAS because we need it to compute
-    # POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES, CATALOGS. But hide it
-    # from automake < 1.5.
-    eval 'OBSOLETE_ALL_LINGUAS''="$ALL_LINGUAS"'
-    # Capture the value of LINGUAS because we need it to compute CATALOGS.
-    LINGUAS="${LINGUAS-%UNSET%}"
-   ])
-])
-
-dnl Postprocesses a Makefile in a directory containing PO files.
-AC_DEFUN([AM_POSTPROCESS_PO_MAKEFILE],
-[
-  # When this code is run, in config.status, two variables have already been
-  # set:
-  # - OBSOLETE_ALL_LINGUAS is the value of LINGUAS set in configure.in,
-  # - LINGUAS is the value of the environment variable LINGUAS at configure
-  #   time.
-
-changequote(,)dnl
-  # Adjust a relative srcdir.
-  ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
-  ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
-  ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
-  # In autoconf-2.13 it is called $ac_given_srcdir.
-  # In autoconf-2.50 it is called $srcdir.
-  test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
-  case "$ac_given_srcdir" in
-    .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
-    /*) top_srcdir="$ac_given_srcdir" ;;
-    *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
-  esac
-
-  # Find a way to echo strings without interpreting backslash.
-  if test "X`(echo '\t') 2>/dev/null`" = 'X\t'; then
-    gt_echo='echo'
-  else
-    if test "X`(printf '%s\n' '\t') 2>/dev/null`" = 'X\t'; then
-      gt_echo='printf %s\n'
-    else
-      echo_func () {
-        cat <<EOT
-$*
-EOT
-      }
-      gt_echo='echo_func'
-    fi
-  fi
-
-  # A sed script that extracts the value of VARIABLE from a Makefile.
-  sed_x_variable='
-# Test if the hold space is empty.
-x
-s/P/P/
-x
-ta
-# Yes it was empty. Look if we have the expected variable definition.
-/^[	 ]*VARIABLE[	 ]*=/{
-  # Seen the first line of the variable definition.
-  s/^[	 ]*VARIABLE[	 ]*=//
-  ba
-}
-bd
-:a
-# Here we are processing a line from the variable definition.
-# Remove comment, more precisely replace it with a space.
-s/#.*$/ /
-# See if the line ends in a backslash.
-tb
-:b
-s/\\$//
-# Print the line, without the trailing backslash.
-p
-tc
-# There was no trailing backslash. The end of the variable definition is
-# reached. Clear the hold space.
-s/^.*$//
-x
-bd
-:c
-# A trailing backslash means that the variable definition continues in the
-# next line. Put a nonempty string into the hold space to indicate this.
-s/^.*$/P/
-x
-:d
-'
-changequote([,])dnl
-
-  # Set POTFILES to the value of the Makefile variable POTFILES.
-  sed_x_POTFILES=`$gt_echo "$sed_x_variable" | sed -e '/^ *#/d' -e 's/VARIABLE/POTFILES/g'`
-  POTFILES=`sed -n -e "$sed_x_POTFILES" < "$ac_file"`
-  # Compute POTFILES_DEPS as
-  #   $(foreach file, $(POTFILES), $(top_srcdir)/$(file))
-  POTFILES_DEPS=
-  for file in $POTFILES; do
-    POTFILES_DEPS="$POTFILES_DEPS "'$(top_srcdir)/'"$file"
-  done
-  POMAKEFILEDEPS=""
-
-  if test -n "$OBSOLETE_ALL_LINGUAS"; then
-    test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
-  fi
-  if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
-    # The LINGUAS file contains the set of available languages.
-    ALL_LINGUAS_=`sed -e "/^#/d" -e "s/#.*//" "$ac_given_srcdir/$ac_dir/LINGUAS"`
-    POMAKEFILEDEPS="$POMAKEFILEDEPS LINGUAS"
-  else
-    # Set ALL_LINGUAS to the value of the Makefile variable LINGUAS.
-    sed_x_LINGUAS=`$gt_echo "$sed_x_variable" | sed -e '/^ *#/d' -e 's/VARIABLE/LINGUAS/g'`
-    ALL_LINGUAS_=`sed -n -e "$sed_x_LINGUAS" < "$ac_file"`
-  fi
-  # Hide the ALL_LINGUAS assigment from automake < 1.5.
-  eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
-  # Compute POFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).po)
-  # Compute UPDATEPOFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(lang).po-update)
-  # Compute DUMMYPOFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(lang).nop)
-  # Compute GMOFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).gmo)
-  # Compute PROPERTIESFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(top_srcdir)/$(DOMAIN)_$(lang).properties)
-  # Compute CLASSFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(top_srcdir)/$(DOMAIN)_$(lang).class)
-  # Compute QMFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).qm)
-  # Compute MSGFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(frob $(lang)).msg)
-  # Compute RESOURCESDLLFILES
-  # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(frob $(lang))/$(DOMAIN).resources.dll)
-  case "$ac_given_srcdir" in
-    .) srcdirpre= ;;
-    *) srcdirpre='$(srcdir)/' ;;
-  esac
-  POFILES=
-  UPDATEPOFILES=
-  DUMMYPOFILES=
-  GMOFILES=
-  PROPERTIESFILES=
-  CLASSFILES=
-  QMFILES=
-  MSGFILES=
-  RESOURCESDLLFILES=
-  for lang in $ALL_LINGUAS; do
-    POFILES="$POFILES $srcdirpre$lang.po"
-    UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
-    DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
-    GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
-    PROPERTIESFILES="$PROPERTIESFILES \$(top_srcdir)/\$(DOMAIN)_$lang.properties"
-    CLASSFILES="$CLASSFILES \$(top_srcdir)/\$(DOMAIN)_$lang.class"
-    QMFILES="$QMFILES $srcdirpre$lang.qm"
-    frobbedlang=`echo $lang | sed -e 's/\..*$//' -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'`
-    MSGFILES="$MSGFILES $srcdirpre$frobbedlang.msg"
-    frobbedlang=`echo $lang | sed -e 's/_/-/g' -e 's/^sr-CS/sr-SP/' -e 's/@latin$/-Latn/' -e 's/@cyrillic$/-Cyrl/' -e 's/^sr-SP$/sr-SP-Latn/' -e 's/^uz-UZ$/uz-UZ-Latn/'`
-    RESOURCESDLLFILES="$RESOURCESDLLFILES $srcdirpre$frobbedlang/\$(DOMAIN).resources.dll"
-  done
-  # CATALOGS depends on both $ac_dir and the user's LINGUAS
-  # environment variable.
-  INST_LINGUAS=
-  if test -n "$ALL_LINGUAS"; then
-    for presentlang in $ALL_LINGUAS; do
-      useit=no
-      if test "%UNSET%" != "$LINGUAS"; then
-        desiredlanguages="$LINGUAS"
-      else
-        desiredlanguages="$ALL_LINGUAS"
-      fi
-      for desiredlang in $desiredlanguages; do
-        # Use the presentlang catalog if desiredlang is
-        #   a. equal to presentlang, or
-        #   b. a variant of presentlang (because in this case,
-        #      presentlang can be used as a fallback for messages
-        #      which are not translated in the desiredlang catalog).
-        case "$desiredlang" in
-          "$presentlang"*) useit=yes;;
-        esac
-      done
-      if test $useit = yes; then
-        INST_LINGUAS="$INST_LINGUAS $presentlang"
-      fi
-    done
-  fi
-  CATALOGS=
-  JAVACATALOGS=
-  QTCATALOGS=
-  TCLCATALOGS=
-  CSHARPCATALOGS=
-  if test -n "$INST_LINGUAS"; then
-    for lang in $INST_LINGUAS; do
-      CATALOGS="$CATALOGS $lang.gmo"
-      JAVACATALOGS="$JAVACATALOGS \$(DOMAIN)_$lang.properties"
-      QTCATALOGS="$QTCATALOGS $lang.qm"
-      frobbedlang=`echo $lang | sed -e 's/\..*$//' -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'`
-      TCLCATALOGS="$TCLCATALOGS $frobbedlang.msg"
-      frobbedlang=`echo $lang | sed -e 's/_/-/g' -e 's/^sr-CS/sr-SP/' -e 's/@latin$/-Latn/' -e 's/@cyrillic$/-Cyrl/' -e 's/^sr-SP$/sr-SP-Latn/' -e 's/^uz-UZ$/uz-UZ-Latn/'`
-      CSHARPCATALOGS="$CSHARPCATALOGS $frobbedlang/\$(DOMAIN).resources.dll"
-    done
-  fi
-
-  sed -e "s|@POTFILES_DEPS@|$POTFILES_DEPS|g" -e "s|@POFILES@|$POFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@PROPERTIESFILES@|$PROPERTIESFILES|g" -e "s|@CLASSFILES@|$CLASSFILES|g" -e "s|@QMFILES@|$QMFILES|g" -e "s|@MSGFILES@|$MSGFILES|g" -e "s|@RESOURCESDLLFILES@|$RESOURCESDLLFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" -e "s|@JAVACATALOGS@|$JAVACATALOGS|g" -e "s|@QTCATALOGS@|$QTCATALOGS|g" -e "s|@TCLCATALOGS@|$TCLCATALOGS|g" -e "s|@CSHARPCATALOGS@|$CSHARPCATALOGS|g" -e 's,^#distdir:,distdir:,' < "$ac_file" > "$ac_file.tmp"
-  if grep -l '@TCLCATALOGS@' "$ac_file" > /dev/null; then
-    # Add dependencies that cannot be formulated as a simple suffix rule.
-    for lang in $ALL_LINGUAS; do
-      frobbedlang=`echo $lang | sed -e 's/\..*$//' -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'`
-      cat >> "$ac_file.tmp" <<EOF
-$frobbedlang.msg: $lang.po
-	@echo "\$(MSGFMT) -c --tcl -d \$(srcdir) -l $lang $srcdirpre$lang.po"; \
-	\$(MSGFMT) -c --tcl -d "\$(srcdir)" -l $lang $srcdirpre$lang.po || { rm -f "\$(srcdir)/$frobbedlang.msg"; exit 1; }
-EOF
-    done
-  fi
-  if grep -l '@CSHARPCATALOGS@' "$ac_file" > /dev/null; then
-    # Add dependencies that cannot be formulated as a simple suffix rule.
-    for lang in $ALL_LINGUAS; do
-      frobbedlang=`echo $lang | sed -e 's/_/-/g' -e 's/^sr-CS/sr-SP/' -e 's/@latin$/-Latn/' -e 's/@cyrillic$/-Cyrl/' -e 's/^sr-SP$/sr-SP-Latn/' -e 's/^uz-UZ$/uz-UZ-Latn/'`
-      cat >> "$ac_file.tmp" <<EOF
-$frobbedlang/\$(DOMAIN).resources.dll: $lang.po
-	@echo "\$(MSGFMT) -c --csharp -d \$(srcdir) -l $lang $srcdirpre$lang.po -r \$(DOMAIN)"; \
-	\$(MSGFMT) -c --csharp -d "\$(srcdir)" -l $lang $srcdirpre$lang.po -r "\$(DOMAIN)" || { rm -f "\$(srcdir)/$frobbedlang.msg"; exit 1; }
-EOF
-    done
-  fi
-  if test -n "$POMAKEFILEDEPS"; then
-    cat >> "$ac_file.tmp" <<EOF
-Makefile: $POMAKEFILEDEPS
-EOF
-  fi
-  mv "$ac_file.tmp" "$ac_file"
-])
diff -pruN 1.2.0.20090904-1/m4/progtest.m4 1.2.0.20091024-1/m4/progtest.m4
--- 1.2.0.20090904-1/m4/progtest.m4	2009-06-14 07:32:20.000000000 +0100
+++ 1.2.0.20091024-1/m4/progtest.m4	1970-01-01 01:00:00.000000000 +0100
@@ -1,92 +0,0 @@
-# progtest.m4 serial 4 (gettext-0.14.2)
-dnl Copyright (C) 1996-2003, 2005 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-dnl
-dnl This file can can be used in projects which are not available under
-dnl the GNU General Public License or the GNU Library General Public
-dnl License but which still want to provide support for the GNU gettext
-dnl functionality.
-dnl Please note that the actual code of the GNU gettext library is covered
-dnl by the GNU Library General Public License, and the rest of the GNU
-dnl gettext package package is covered by the GNU General Public License.
-dnl They are *not* in the public domain.
-
-dnl Authors:
-dnl   Ulrich Drepper <drepper@cygnus.com>, 1996.
-
-AC_PREREQ(2.50)
-
-# Search path for a program which passes the given test.
-
-dnl AM_PATH_PROG_WITH_TEST(VARIABLE, PROG-TO-CHECK-FOR,
-dnl   TEST-PERFORMED-ON-FOUND_PROGRAM [, VALUE-IF-NOT-FOUND [, PATH]])
-AC_DEFUN([AM_PATH_PROG_WITH_TEST],
-[
-# Prepare PATH_SEPARATOR.
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
-fi
-
-# Find out how to test for executable files. Don't use a zero-byte file,
-# as systems may use methods other than mode bits to determine executability.
-cat >conf$$.file <<_ASEOF
-#! /bin/sh
-exit 0
-_ASEOF
-chmod +x conf$$.file
-if test -x conf$$.file >/dev/null 2>&1; then
-  ac_executable_p="test -x"
-else
-  ac_executable_p="test -f"
-fi
-rm -f conf$$.file
-
-# Extract the first word of "$2", so it can be a program name with args.
-set dummy $2; ac_word=[$]2
-AC_MSG_CHECKING([for $ac_word])
-AC_CACHE_VAL(ac_cv_path_$1,
-[case "[$]$1" in
-  [[\\/]]* | ?:[[\\/]]*)
-    ac_cv_path_$1="[$]$1" # Let the user override the test with a path.
-    ;;
-  *)
-    ac_save_IFS="$IFS"; IFS=$PATH_SEPARATOR
-    for ac_dir in ifelse([$5], , $PATH, [$5]); do
-      IFS="$ac_save_IFS"
-      test -z "$ac_dir" && ac_dir=.
-      for ac_exec_ext in '' $ac_executable_extensions; do
-        if $ac_executable_p "$ac_dir/$ac_word$ac_exec_ext"; then
-          echo "$as_me: trying $ac_dir/$ac_word..." >&AS_MESSAGE_LOG_FD
-          if [$3]; then
-            ac_cv_path_$1="$ac_dir/$ac_word$ac_exec_ext"
-            break 2
-          fi
-        fi
-      done
-    done
-    IFS="$ac_save_IFS"
-dnl If no 4th arg is given, leave the cache variable unset,
-dnl so AC_PATH_PROGS will keep looking.
-ifelse([$4], , , [  test -z "[$]ac_cv_path_$1" && ac_cv_path_$1="$4"
-])dnl
-    ;;
-esac])dnl
-$1="$ac_cv_path_$1"
-if test ifelse([$4], , [-n "[$]$1"], ["[$]$1" != "$4"]); then
-  AC_MSG_RESULT([$]$1)
-else
-  AC_MSG_RESULT(no)
-fi
-AC_SUBST($1)dnl
-])
diff -pruN 1.2.0.20090904-1/Makefile.am 1.2.0.20091024-1/Makefile.am
--- 1.2.0.20090904-1/Makefile.am	2009-08-31 06:20:44.000000000 +0100
+++ 1.2.0.20091024-1/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -75,19 +76,19 @@ dist-hook:
 rpm: dist @PACKAGE_NAME@.spec
 	rpmbuild -bb \
 			--define "_sourcedir `pwd`" \
-			--define "_builddir `pwd`" \
-			--define "_srcrpmdir `pwd`" \
-			--define "_rpmdir `pwd`" \
-			--define "_specdir `pwd`" \
+			--define "_builddir `pwd`/rpm" \
+			--define "_srcrpmdir `pwd`/rpm" \
+			--define "_rpmdir `pwd`"/rpm \
+			--define "_specdir `pwd`/rpm" \
 			@PACKAGE_NAME@.spec
 
 srpm: dist @PACKAGE_NAME@.spec
 	rpmbuild -bs \
 			--define "_sourcedir `pwd`" \
-			--define "_builddir `pwd`" \
-			--define "_srcrpmdir `pwd`" \
-			--define "_rpmdir `pwd`" \
-			--define "_specdir `pwd`" \
+			--define "_builddir `pwd`/rpm" \
+			--define "_srcrpmdir `pwd`/rpm" \
+			--define "_rpmdir `pwd`/rpm" \
+			--define "_specdir `pwd`/rpm" \
 			@PACKAGE_NAME@.spec
 
 clean-rpm:
diff -pruN 1.2.0.20090904-1/Makefile.in 1.2.0.20091024-1/Makefile.in
--- 1.2.0.20090904-1/Makefile.in	2009-09-04 03:51:15.000000000 +0100
+++ 1.2.0.20091024-1/Makefile.in	2009-10-24 04:18:15.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -61,22 +62,19 @@ DIST_COMMON = README $(am__configure_dep
 	$(srcdir)/ibus-1.0.pc.in $(srcdir)/ibus.spec.in \
 	$(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING ChangeLog \
 	INSTALL NEWS compile config.guess config.rpath config.sub \
-	depcomp install-sh ltmain.sh missing py-compile
+	depcomp install-sh ltmain.sh missing mkinstalldirs py-compile
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  configure.lineno config.status.lineno
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = config.h
 CONFIG_CLEAN_FILES = ibus-1.0.pc ibus.spec
 CONFIG_CLEAN_VPATH_FILES =
@@ -164,6 +162,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -207,8 +207,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -223,32 +223,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -269,7 +266,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -280,7 +280,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -290,7 +289,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
@@ -931,19 +929,19 @@ dist-hook:
 rpm: dist @PACKAGE_NAME@.spec
 	rpmbuild -bb \
 			--define "_sourcedir `pwd`" \
-			--define "_builddir `pwd`" \
-			--define "_srcrpmdir `pwd`" \
-			--define "_rpmdir `pwd`" \
-			--define "_specdir `pwd`" \
+			--define "_builddir `pwd`/rpm" \
+			--define "_srcrpmdir `pwd`/rpm" \
+			--define "_rpmdir `pwd`"/rpm \
+			--define "_specdir `pwd`/rpm" \
 			@PACKAGE_NAME@.spec
 
 srpm: dist @PACKAGE_NAME@.spec
 	rpmbuild -bs \
 			--define "_sourcedir `pwd`" \
-			--define "_builddir `pwd`" \
-			--define "_srcrpmdir `pwd`" \
-			--define "_rpmdir `pwd`" \
-			--define "_specdir `pwd`" \
+			--define "_builddir `pwd`/rpm" \
+			--define "_srcrpmdir `pwd`/rpm" \
+			--define "_rpmdir `pwd`/rpm" \
+			--define "_specdir `pwd`/rpm" \
 			@PACKAGE_NAME@.spec
 
 clean-rpm:
diff -pruN 1.2.0.20090904-1/missing 1.2.0.20091024-1/missing
--- 1.2.0.20090904-1/missing	2009-06-14 07:32:30.000000000 +0100
+++ 1.2.0.20091024-1/missing	2009-10-13 06:59:38.000000000 +0100
@@ -1,10 +1,10 @@
 #! /bin/sh
 # Common stub for a few missing GNU programs while installing.
 
-scriptversion=2006-05-10.23
+scriptversion=2009-04-28.21; # UTC
 
-# Copyright (C) 1996, 1997, 1999, 2000, 2002, 2003, 2004, 2005, 2006
-#   Free Software Foundation, Inc.
+# Copyright (C) 1996, 1997, 1999, 2000, 2002, 2003, 2004, 2005, 2006,
+# 2008, 2009 Free Software Foundation, Inc.
 # Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
 
 # This program is free software; you can redistribute it and/or modify
@@ -18,9 +18,7 @@ scriptversion=2006-05-10.23
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # As a special exception to the GNU General Public License, if you
 # distribute this file as part of a program that contains a
@@ -89,6 +87,9 @@ Supported PROGRAM values:
   tar          try tar, gnutar, gtar, then tar without non-portable flags
   yacc         create \`y.tab.[ch]', if possible, from existing .[ch]
 
+Version suffixes to PROGRAM as well as the prefixes \`gnu-', \`gnu', and
+\`g' are ignored when checking the name.
+
 Send bug reports to <bug-automake@gnu.org>."
     exit $?
     ;;
@@ -106,15 +107,22 @@ Send bug reports to <bug-automake@gnu.or
 
 esac
 
+# normalize program name to check for.
+program=`echo "$1" | sed '
+  s/^gnu-//; t
+  s/^gnu//; t
+  s/^g//; t'`
+
 # Now exit if we have it, but it failed.  Also exit now if we
 # don't have it and --version was passed (most likely to detect
-# the program).
+# the program).  This is about non-GNU programs, so use $1 not
+# $program.
 case $1 in
-  lex|yacc)
+  lex*|yacc*)
     # Not GNU programs, they don't have --version.
     ;;
 
-  tar)
+  tar*)
     if test -n "$run"; then
        echo 1>&2 "ERROR: \`tar' requires --run"
        exit 1
@@ -138,7 +146,7 @@ esac
 
 # If it does not exist, or fails to run (possibly an outdated version),
 # try to emulate it.
-case $1 in
+case $program in
   aclocal*)
     echo 1>&2 "\
 WARNING: \`$1' is $msg.  You should only need it if
@@ -148,7 +156,7 @@ WARNING: \`$1' is $msg.  You should only
     touch aclocal.m4
     ;;
 
-  autoconf)
+  autoconf*)
     echo 1>&2 "\
 WARNING: \`$1' is $msg.  You should only need it if
          you modified \`${configure_ac}'.  You might want to install the
@@ -157,7 +165,7 @@ WARNING: \`$1' is $msg.  You should only
     touch configure
     ;;
 
-  autoheader)
+  autoheader*)
     echo 1>&2 "\
 WARNING: \`$1' is $msg.  You should only need it if
          you modified \`acconfig.h' or \`${configure_ac}'.  You might want
@@ -187,7 +195,7 @@ WARNING: \`$1' is $msg.  You should only
 	   while read f; do touch "$f"; done
     ;;
 
-  autom4te)
+  autom4te*)
     echo 1>&2 "\
 WARNING: \`$1' is needed, but is $msg.
          You might have modified some files without having the
@@ -210,7 +218,7 @@ WARNING: \`$1' is needed, but is $msg.
     fi
     ;;
 
-  bison|yacc)
+  bison*|yacc*)
     echo 1>&2 "\
 WARNING: \`$1' $msg.  You should only need it if
          you modified a \`.y' file.  You may need the \`Bison' package
@@ -240,7 +248,7 @@ WARNING: \`$1' $msg.  You should only ne
     fi
     ;;
 
-  lex|flex)
+  lex*|flex*)
     echo 1>&2 "\
 WARNING: \`$1' is $msg.  You should only need it if
          you modified a \`.l' file.  You may need the \`Flex' package
@@ -263,7 +271,7 @@ WARNING: \`$1' is $msg.  You should only
     fi
     ;;
 
-  help2man)
+  help2man*)
     echo 1>&2 "\
 WARNING: \`$1' is $msg.  You should only need it if
 	 you modified a dependency of a manual page.  You may need the
@@ -277,11 +285,11 @@ WARNING: \`$1' is $msg.  You should only
     else
 	test -z "$file" || exec >$file
 	echo ".ab help2man is required to generate this page"
-	exit 1
+	exit $?
     fi
     ;;
 
-  makeinfo)
+  makeinfo*)
     echo 1>&2 "\
 WARNING: \`$1' is $msg.  You should only need it if
          you modified a \`.texi' or \`.texinfo' file, or any other file
@@ -310,7 +318,7 @@ WARNING: \`$1' is $msg.  You should only
     touch $file
     ;;
 
-  tar)
+  tar*)
     shift
 
     # We have already tried tar in the generic part.
@@ -363,5 +371,6 @@ exit 0
 # eval: (add-hook 'write-file-hooks 'time-stamp)
 # time-stamp-start: "scriptversion="
 # time-stamp-format: "%:y-%02m-%02d.%02H"
-# time-stamp-end: "$"
+# time-stamp-time-zone: "UTC"
+# time-stamp-end: "; # UTC"
 # End:
diff -pruN 1.2.0.20090904-1/mkinstalldirs 1.2.0.20091024-1/mkinstalldirs
--- 1.2.0.20090904-1/mkinstalldirs	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/mkinstalldirs	2009-10-13 06:59:43.000000000 +0100
@@ -0,0 +1,162 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+
+scriptversion=2009-04-28.21; # UTC
+
+# Original author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain.
+#
+# This file is maintained in Automake, please report
+# bugs to <bug-automake@gnu.org> or send patches to
+# <automake-patches@gnu.org>.
+
+nl='
+'
+IFS=" ""	$nl"
+errstatus=0
+dirmode=
+
+usage="\
+Usage: mkinstalldirs [-h] [--help] [--version] [-m MODE] DIR ...
+
+Create each directory DIR (with mode MODE, if specified), including all
+leading file name components.
+
+Report bugs to <bug-automake@gnu.org>."
+
+# process command line arguments
+while test $# -gt 0 ; do
+  case $1 in
+    -h | --help | --h*)         # -h for help
+      echo "$usage"
+      exit $?
+      ;;
+    -m)                         # -m PERM arg
+      shift
+      test $# -eq 0 && { echo "$usage" 1>&2; exit 1; }
+      dirmode=$1
+      shift
+      ;;
+    --version)
+      echo "$0 $scriptversion"
+      exit $?
+      ;;
+    --)                         # stop option processing
+      shift
+      break
+      ;;
+    -*)                         # unknown option
+      echo "$usage" 1>&2
+      exit 1
+      ;;
+    *)                          # first non-opt arg
+      break
+      ;;
+  esac
+done
+
+for file
+do
+  if test -d "$file"; then
+    shift
+  else
+    break
+  fi
+done
+
+case $# in
+  0) exit 0 ;;
+esac
+
+# Solaris 8's mkdir -p isn't thread-safe.  If you mkdir -p a/b and
+# mkdir -p a/c at the same time, both will detect that a is missing,
+# one will create a, then the other will try to create a and die with
+# a "File exists" error.  This is a problem when calling mkinstalldirs
+# from a parallel make.  We use --version in the probe to restrict
+# ourselves to GNU mkdir, which is thread-safe.
+case $dirmode in
+  '')
+    if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
+      echo "mkdir -p -- $*"
+      exec mkdir -p -- "$@"
+    else
+      # On NextStep and OpenStep, the `mkdir' command does not
+      # recognize any option.  It will interpret all options as
+      # directories to create, and then abort because `.' already
+      # exists.
+      test -d ./-p && rmdir ./-p
+      test -d ./--version && rmdir ./--version
+    fi
+    ;;
+  *)
+    if mkdir -m "$dirmode" -p --version . >/dev/null 2>&1 &&
+       test ! -d ./--version; then
+      echo "mkdir -m $dirmode -p -- $*"
+      exec mkdir -m "$dirmode" -p -- "$@"
+    else
+      # Clean up after NextStep and OpenStep mkdir.
+      for d in ./-m ./-p ./--version "./$dirmode";
+      do
+        test -d $d && rmdir $d
+      done
+    fi
+    ;;
+esac
+
+for file
+do
+  case $file in
+    /*) pathcomp=/ ;;
+    *)  pathcomp= ;;
+  esac
+  oIFS=$IFS
+  IFS=/
+  set fnord $file
+  shift
+  IFS=$oIFS
+
+  for d
+  do
+    test "x$d" = x && continue
+
+    pathcomp=$pathcomp$d
+    case $pathcomp in
+      -*) pathcomp=./$pathcomp ;;
+    esac
+
+    if test ! -d "$pathcomp"; then
+      echo "mkdir $pathcomp"
+
+      mkdir "$pathcomp" || lasterr=$?
+
+      if test ! -d "$pathcomp"; then
+	errstatus=$lasterr
+      else
+	if test ! -z "$dirmode"; then
+	  echo "chmod $dirmode $pathcomp"
+	  lasterr=
+	  chmod "$dirmode" "$pathcomp" || lasterr=$?
+
+	  if test ! -z "$lasterr"; then
+	    errstatus=$lasterr
+	  fi
+	fi
+      fi
+    fi
+
+    pathcomp=$pathcomp/
+  done
+done
+
+exit $errstatus
+
+# Local Variables:
+# mode: shell-script
+# sh-indentation: 2
+# eval: (add-hook 'write-file-hooks 'time-stamp)
+# time-stamp-start: "scriptversion="
+# time-stamp-format: "%:y-%02m-%02d.%02H"
+# time-stamp-time-zone: "UTC"
+# time-stamp-end: "; # UTC"
+# End:
diff -pruN 1.2.0.20090904-1/po/ar.po 1.2.0.20091024-1/po/ar.po
--- 1.2.0.20090904-1/po/ar.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/ar.po	2009-10-24 04:23:02.000000000 +0100
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-06 11:45+0800\n"
 "Last-Translator: Muayyad Alsadi <alsadi@ojuba.org>\n"
 "Language-Team: Arabic <AR@li.org>\n"
@@ -20,86 +20,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "إطار إطرق الإدخال IBUS"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "أخرى"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "إعادة تشغيل"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "لا يوجد طريقة إدخال"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "نظام IBus هو ناقل إدخال ذكي لنظام لينكس ويونكس."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Muayyad Alsadi <alsadi@ojuba.org>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "طرق الإدخال"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "تبديل طريقة الإدخال"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "حول"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "اختصارات لوحة المفاتيح"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "زناد"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "طريقة الإدخال التالية"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "طريقة الإدخال السابقة"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "خادم IBUS لم يبدأ من قبل. هل تريد تشغيله الآن؟"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -108,24 +114,24 @@ msgid ""
 "  export QT_IM_MODULE=ibus"
 msgstr ""
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "اختر الاختصار ل %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "اختصارات لوحة المفاتيح"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "كود المفتاح"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr ""
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -133,46 +139,140 @@ msgstr ""
 "فضلا اضغط مفتاح أو (عدة مفاتيح).\n"
 "صندوق الحوار سيغلق عند ترك المفتاح."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "فضلا اضغط مفتاح أو عدة مفاتيح"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "اختر طريقة الإدخال"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "طرق الإدخال"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "تفضيلات IBus"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "اخفاء تلقائي"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "خط مخصص:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "اسم الخط المخصص للوحة اللغة"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "مفتاح المحرك التالي"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "المحركات المحملة مسبقا عند بدء ibus"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "المحركات المحملة مسبقا"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "مفتاح المحرك السابق"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "اسم الخط المخصص للوحة اللغة"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "اسم الخط المخصص للوحة اللغة"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "مفتاح الزناد"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "استعمال خط مخصص"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "استخدم خط مخصص في لوحة اللغة"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>الخط والتنسيق</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>اختصارات لوحة المفاتيح</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>اختصارات لوحة المفاتيح</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>البدء</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -188,219 +288,134 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "الاتجاهات المرشحة:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "اسم الخط المخصص للوحة اللغة"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "خط مخصص:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "تفعيّل أو تثبيط:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "اسم الخط المخصص للوحة اللغة"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "عام"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "أفقي\n"
 "عمودي"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "تفضيلات IBus"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"أبدا\n"
-"عند التفعيل\n"
-"دائما"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "طريقة الإدخال التالية"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "طريقة الإدخال السابقة"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr ""
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "اسم الخط المخصص للوحة اللغة"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "اسم الخط المخصص للوحة اللغة"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "إظهار لوحة اللغات:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "بدء ibus عند الولوج"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr ""
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "استعمال خط مخصص"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "استخدم خط مخصص في لوحة اللغة"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "اخفاء تلقائي"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "خط مخصص"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "اسم الخط المخصص للوحة اللغة"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "مفتاح المحرك التالي"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "المحركات المحملة مسبقا"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "المحركات المحملة مسبقا عند بدء ibus"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "مفتاح المحرك السابق"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:13
+#: ../setup/setup.ui.h:49
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "اسم الخط المخصص للوحة اللغة"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
+msgid "When active"
 msgstr ""
+"أبدا\n"
+"عند التفعيل\n"
+"دائما"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "مفتاح الزناد"
+#~ msgid "Custom Font"
+#~ msgstr "خط مخصص"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "مفتاح الزناد لتفعيل وتثبيط سياق الإدخال"
+#, fuzzy
+#~ msgid "Show IM name on language bar"
+#~ msgstr "اسم الخط المخصص للوحة اللغة"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "استخدم خط مخصص"
+#~ msgid "Use Custom Font"
+#~ msgstr "استخدم خط مخصص"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "استخدم خط مخصص في لوحة اللغة"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "مفتاح الزناد لتفعيل وتثبيط سياق الإدخال"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Control+space]"
diff -pruN 1.2.0.20090904-1/po/as.po 1.2.0.20091024-1/po/as.po
--- 1.2.0.20090904-1/po/as.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/as.po	2009-10-24 04:23:02.000000000 +0100
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.ibus.as\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-05-26 15:19+0530\n"
 "Last-Translator: Amitakhya Phukan <aphukan@fedoraproject.org>\n"
 "Language-Team: Assamese <fedora-trans-as@redhat.com>\n"
@@ -20,86 +20,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus input method framework"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "অন্য"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "পুনৰাৰম্ভ"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "কোনো নিবেশ পদ্ধতি নাই"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus এটা Linux/Unix ৰ কাৰণে বুদ্ধিমান নিবেশ bus ।"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "অমিতাক্ষ ফুকন (aphukan@fedoraproject.org)"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "নিবেশ পদ্ধতি"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "নিবেশ পদ্ধতি সলনি কৰক"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "বিষয়ে"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "কীবৰ্ডৰ চমুপথবোৰ"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ট্ৰিগাৰ"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "পিছৰ নিবেশ পদ্ধতি"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "আগৰ নিবেশ পদ্ধতি"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ডেমন আৰম্ভ কৰা হোৱা নাই । আপুনি ইয়াক এতিয়া আৰম্ভ কৰিব বিচাৰে নেকি ?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -113,24 +119,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s ৰ কাৰণে চাবিফলকৰ চমুপথ নিৰ্ব্বাচন কৰক"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "কীবৰ্ডৰ চমুপথবোৰ"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "চাবিৰ কোড:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "পৰিবৰ্তক:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -138,46 +144,144 @@ msgstr ""
 "অনুগ্ৰহ কৰি এটা চাবি টিপক (বা এটা চাবিৰ মিশ্ৰণ) ।\n"
 "চাবি এৰিলে সম্বাদ বন্ধ হ'ব ।"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "অনুগ্ৰহ কৰি এটা চাবি টিপক (বা এটা চাবিৰ মিশ্ৰণ)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "এটা নিবেশ পদ্ধতি নিৰ্ব্বাচন কৰক"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "নিবেশ পদ্ধতি"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus পছন্দ"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "স্বয়ংক্ৰিয়ভাবে লুকাওক"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "স্বনিৰ্বাচিত ফন্ট:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "পিছৰ কলঘৰৰ Hotkey"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "লুকআপ টেবুলৰ দিশ । ০ = অনুভূমিক, ১ = উলম্ব"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "লুকআপ টেবুলৰ দিশ"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus আৰম্ভৰ পূৰ্বে কলঘৰ তুলি লওক"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "পূৰ্বে কলঘৰ তুলি লওক"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "আগৰ কলঘৰৰ Hotkey"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"ভাষাৰ পেনেলৰ আচৰণ । ০ = সদায় লুকাওক, ১ = স্বয়ংক্ৰিয়ভাবে লুকাওক, ২ = সদায় দেখুৱাওক"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+#, fuzzy
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "পিছৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "আগৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ট্ৰিগাৰ Hotkey"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "স্বনিৰ্বাচিত ফন্ট ব্যৱহাৰ কৰা হ'ব"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্টৰ নাম ব্যৱহাৰ কৰক"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ফন্ট আৰু শৈলী</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>কীবৰ্ডৰ চমুপথবোৰ</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>কীবৰ্ডৰ চমুপথবোৰ</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>ষ্টাৰ্টআপ</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -193,7 +297,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -201,217 +305,136 @@ msgstr ""
 "<small><i>অবিকল্পিত নিবেশ পদ্ধতি তালিকাৰ ওপৰৰ প্ৰথমত ।\n"
 "তাক সলনি কৰিবলৈ আপুনি ওপৰ/তল বুটাম ব্যৱহাৰ কৰিব পাৰে ।</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "প্ৰাৰ্থীৰ দিশ:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "স্বনিৰ্বাচিত ফন্ট:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "সক্ৰিয় বা নিষ্ক্ৰিয় কৰক:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "সাধাৰণ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "অনুভূমিক\n"
 "উলম্ব"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus পছন্দ"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"কেতিয়াও নহয়\n"
-"যেতিয়া সক্ৰিয়\n"
-"সদায়"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "পিছৰ নিবেশ পদ্ধতি:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "আগৰ নিবেশ পদ্ধতি"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 #, fuzzy
 msgid "Set the orientation of candidates in lookup table"
 msgstr "লুকআপ টেবুলৰ দিশ"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ভাষাৰ পেনেল দেখুৱাওক:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "প্ৰৱেশত ibus আৰম্ভ কৰক"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "পিছৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 #, fuzzy
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "আগৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "স্বনিৰ্বাচিত ফন্ট ব্যৱহাৰ কৰা হ'ব"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্টৰ নাম ব্যৱহাৰ কৰক"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"কেতিয়াও নহয়\n"
+"যেতিয়া সক্ৰিয়\n"
+"সদায়"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "স্বয়ংক্ৰিয়ভাবে লুকাওক"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "স্বনিৰ্বাচিত ফন্ট"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "পিছৰ কলঘৰৰ Hotkey"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "পিছৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "লুকআপ টেবুলৰ দিশ"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "লুকআপ টেবুলৰ দিশ । ০ = অনুভূমিক, ১ = উলম্ব"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "পূৰ্বে কলঘৰ তুলি লওক"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus আৰম্ভৰ পূৰ্বে কলঘৰ তুলি লওক"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "আগৰ কলঘৰৰ Hotkey"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "আগৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
+#~ msgid "Custom Font"
+#~ msgstr "স্বনিৰ্বাচিত ফন্ট"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্ট"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"ভাষাৰ পেনেলৰ আচৰণ । ০ = সদায় লুকাওক, ১ = স্বয়ংক্ৰিয়ভাবে লুকাওক, ২ = সদায় দেখুৱাওক"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ট্ৰিগাৰ Hotkey"
+#~ msgid "Use Custom Font"
+#~ msgstr "স্বনিৰ্বাচিত ফন্ট ব্যৱহাৰ কৰা হ'ব"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ট্ৰিগাৰ Hotkey নিবেশ সনদৰ্ভ সক্ৰিয় বা নিষ্ক্ৰিয় কৰিবলৈ"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "পিছৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "স্বনিৰ্বাচিত ফন্ট ব্যৱহাৰ কৰা হ'ব"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "আগৰ কলঘৰৰ Hotkey পিছৰ নিবেশ কলঘৰলৈ যাবলৈ"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ভাষাৰ পেনেলৰ বাবে স্বনিৰ্বাচিত ফন্টৰ নাম ব্যৱহাৰ কৰক"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ট্ৰিগাৰ Hotkey নিবেশ সনদৰ্ভ সক্ৰিয় বা নিষ্ক্ৰিয় কৰিবলৈ"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Control+space]"
diff -pruN 1.2.0.20090904-1/po/bn_IN.po 1.2.0.20091024-1/po/bn_IN.po
--- 1.2.0.20090904-1/po/bn_IN.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/bn_IN.po	2009-10-24 04:23:02.000000000 +0100
@@ -3,14 +3,15 @@
 # This file is distributed under the same license as the PACKAGE package.
 #
 # Runa Bhattacharjee <runab@fedoraproject.org>, 2009.
+# Runa Bhattacharjee <runab@redhat.com>, 2009.
 msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.bn_IN\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-05-26 11:28+0530\n"
-"Last-Translator: Runa Bhattacharjee <runab@fedoraproject.org>\n"
-"Language-Team: Bengali INDIA <fedora-trans-bn_in@redhat.com>\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-02 12:29+0530\n"
+"Last-Translator: Runa Bhattacharjee <runab@redhat.com>\n"
+"Language-Team: Bengali INDIA <anubad@lists.ankur.org.in>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -21,86 +22,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ইনপুট পদ্ধতির পরিকাঠামো"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "অন্যান্য"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "পুনরারম্ভ"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "ইনপুট পদ্ধতি অনুপস্থিত"
+msgstr "ইনপুট পদ্ধতি বন্ধ করুন"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "ইনপুটের উদ্দেশ্যে উইন্ডো অনুপস্থিত"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "Linux/Unix-র সাথে ব্যবহারযোগ্য বুদ্ধিবিশিষ্ট ইনপুট বাস হল IBus"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "রুণা ভট্টাচার্য্য (runab@fedoraproject.org)"
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "ইনপুট পদ্ধতি"
+msgstr "ইনপুট পদ্ধতি পরিচিতি"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ইনপুট পদ্ধতি পরিবর্তন করুন"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "পরিচিতি"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
-msgstr ""
+msgstr "ভাষা: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
-#, fuzzy, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
-msgstr "কি-বোর্ড শর্ট-কাট"
+msgstr "কি-বোর্ড বিন্যাস: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
-msgstr ""
+msgstr "নির্মাতা: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
-msgstr ""
+msgstr "বিবরণ:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ট্রিগার"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "পরবর্তী ইনপুট পদ্ধতি"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "পূর্ববর্তী ইনপুট পদ্ধতি"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ডেমন আরম্ভ করা হয়নি। এটি এখন আরম্ভ করা হবে কি?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -114,24 +119,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s-র জন্য কি-বোর্ড শর্ট-কাট ধার্য করুন"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "কি-বোর্ড শর্ট-কাট"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "কি-র কোড:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "পরিবর্তক:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -139,46 +144,141 @@ msgstr ""
 "অনুগ্রহ করে কোনো কি (অথবা কি সংকলন) টিপুন।\n"
 "কি মুক্ত করা হলে এই ডায়লগ বক্সটি বন্ধ করা হবে।"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "অনুগ্রহ করে একটি কি (অথবা কি সংকলন) টিপুন"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "একটি ইনপুট পদ্ধতি নির্বাচন করুন"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
-#, fuzzy
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "ইনপুট পদ্ধতি"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus সংক্রান্ত পছন্দ"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "স্বয়ংক্রিয়ভাবে আড়াল করা হবে"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "স্বনির্ধারিত ফন্ট:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ভাষার প্যানেলের জন্য ব্যবহারযোগ্য স্বনির্ধারিত ফন্টের নাম"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "পরবর্তী ইঞ্জিনের জন্য হট-কি"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "লুক-আপ টেবিলের দিশা। 0 (০) = অনুভুমিক, 1 (১) = উল্লম্ব"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "লুক-আপ টেবিলের দিশা"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus আরম্ভের সময় ইঞ্জিনগুলি পূর্বে লোড করা হবে"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "ইঞ্জিন পূর্বে লোড করা হবে"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "পূর্ববর্তী ইঞ্জিনের হট-কি"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ভাষার বারের মধ্যে ইনপুট পদ্ধতির নাম প্রদর্শন করা হবে"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "ভাষার বারের মধ্যে ইনপুট পদ্ধতির নাম প্রদর্শন করা হবে"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"ভাষা প্রদর্শনের প্যানেলের আচরণ। 0 (০) = সর্বদা আড়াল করা হবে, 1 (১) = "
+"স্বয়ংক্রিয়ভাবে আড়াল করা হবে, 2 (২) = সর্বদা প্রদর্শন করা হবে"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "তালিকায় উপস্থিত পরবর্তী ইনপুট পদ্ধতিতে পরিবর্তনের জন্য প্রযোজ্য শর্ট-কাট কি"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ইনপুট পদ্ধতি খোলা ও বন্ধ করার জন্য প্রয়োজনীয় শর্ট-কাট কি নির্ধারণ করুন"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ট্রিগারের হট-কি"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "স্বনির্ধারিত ফন্ট প্রয়োগ করুন"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ভাষার প্যানেলের জন্য স্বনির্ধারিত ফন্টের নাম ব্যবহার করা হবে"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "সিস্টেম কি-বোর্ড (XKB) বিন্যাস প্রয়োগ করা হবে"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "সিস্টেম কি-বোর্ড বিন্যাস প্রয়োগ করা হবে"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ফন্ট ও বিন্যাস</b>"
 
-#: ../setup/setup.glade.h:3
-#, fuzzy
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
-msgstr "<b>কি-বোর্ড শর্ট-কাট</b>"
+msgstr "<b>কি-বোর্ডের বিন্যাস</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>কি-বোর্ড শর্ট-কাট</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>প্রারম্ভ</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -194,7 +294,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -203,215 +303,138 @@ msgstr ""
 "ডিফল্ট পদ্ধতি পরিবর্তনের জন্য উপর/নীচে চিহ্নকারী বাটনগুলি প্রয়োগ করা যাবে।</i></"
 "small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr ""
+msgstr "নির্বাচিত ইনপুট পদ্ধতিটি, সক্রিয় ইনপুট পদ্ধতির তালিকা যোগ করা হবে"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
+msgstr "উন্নত"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "নির্বাচিত বস্তুর দিশা:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "ভাষার প্যানেলের জন্য ব্যবহারযোগ্য স্বনির্ধারিত ফন্টের নাম"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "স্বনির্ধারিত ফন্ট:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "সক্রিয় অথা নিষ্ক্রিয় করুন:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr ""
+"ভাষার বার ও এর মধ্যে প্রদর্শিত প্রযোজ্য বিকল্পগুলির জন্য ব্যবহারযোগ্য স্বনির্ধারিত ফন্টের "
+"নাম"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "সাধারণ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "অনুভূমিক\n"
 "উল্লম্ব"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus সংক্রান্ত পছন্দ"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
-msgstr ""
+msgstr "নির্বাচিত ইনপুট পদ্ধতিটি, সক্রিয় ইনপুট পদ্ধতির তালিকায় নীচে স্থানান্তর করা হবে"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr ""
+msgstr "নির্বাচিত ইনপুট পদ্ধতিটি, সক্রিয় ইনপুট পদ্ধতির তালিকায় উপরে স্থানান্তর করা হবে"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"কখনো নয়\n"
-"সক্রিয় অবস্থায়\n"
-"সর্বদা"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "পরবর্তী ইনপুট পদ্ধতি:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "পূর্ববর্তী ইনপুট পদ্ধতি:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr ""
+msgstr "সক্রিয় ইনপুট পদ্ধতির তালিকা থেকে নির্বাচিত ইনপুট পদ্ধতিটি মুছে ফেলা হবে"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr ""
+msgstr "ভাষার বার প্রদর্শন ও আড়াল করার উদ্দেশ্যে ibus-র আচরণ নির্ধারণ করুন"
 
-#: ../setup/setup.glade.h:36
-#, fuzzy
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
-msgstr "লুক-আপ টেবিলের দিশা"
+msgstr "লুক-আপ টেবিলের মধ্যে প্রযোজ্য বিকল্পগুলির দিশা নির্ধারণ করুন"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr ""
+msgstr "নির্বাচিত ইনপুট পদ্ধতি সংক্রান্ত তথ্য প্রদর্শন করা হবে"
 
-#: ../setup/setup.glade.h:39
-#, fuzzy
-msgid "Show input method name on language bar"
-msgstr "ভাষার প্যানেলের জন্য ব্যবহারযোগ্য স্বনির্ধারিত ফন্টের নাম"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "চেকবক্স নির্বাচিত হলে, ভাষার বারের মধ্যে ইনপুট পদ্ধতির নাম প্রদর্শন করা হবে"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ভাষার প্যানেল প্রদর্শন করা হবে:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "লগ-ইন করার সময় ibus আরম্ভ করা হবে"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "পরবর্তী ইনপুট পদ্ধতির ইঞ্জিনে পরিবর্তনের জন্য পরবর্তী ইঞ্জিনের জন্য হট-কি"
-
-#: ../setup/setup.glade.h:44
-#, fuzzy
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "পূর্ববর্তী ইনপুট পদ্ধতির ইঞ্জিনে পরিবর্তনের জন্য পূর্ববর্তী ইঞ্জিনের জন্য হট-কি"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "স্বনির্ধারিত ফন্ট প্রয়োগ করুন"
+msgstr "তালিকায় উপস্থিত পূর্ববর্তী ইনপুট পদ্ধতিতে পরিবর্তনের জন্য প্রযোজ্য শর্ট-কাট কি"
 
-#: ../setup/setup.glade.h:46
-#, fuzzy
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
-msgstr "ভাষার প্যানেলের জন্য স্বনির্ধারিত ফন্টের নাম ব্যবহার করা হবে"
-
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
 msgstr ""
+"ভাষার বার ও এর মধ্যে প্রদর্শিত প্রযোজ্য বিকল্পগুলির জন্য স্বনির্ধারিত ফন্ট ব্যবহার করা "
+"হবে"
 
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"কখনো নয়\n"
+"সক্রিয় অবস্থায়\n"
+"সর্বদা"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "স্বয়ংক্রিয়ভাবে আড়াল করা হবে"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "স্বনির্ধারিত ফন্ট"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ভাষার প্যানেলের জন্য ব্যবহারযোগ্য স্বনির্ধারিত ফন্টের নাম"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "পরবর্তী ইঞ্জিনের জন্য হট-কি"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "পরবর্তী ইনপুট পদ্ধতির ইঞ্জিনে পরিবর্তনের জন্য পরবর্তী ইঞ্জিনের জন্য হট-কি"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "লুক-আপ টেবিলের দিশা"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "লুক-আপ টেবিলের দিশা। 0 (০) = অনুভুমিক, 1 (১) = উল্লম্ব"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "ইঞ্জিন পূর্বে লোড করা হবে"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus আরম্ভের সময় ইঞ্জিনগুলি পূর্বে লোড করা হবে"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "পূর্ববর্তী ইঞ্জিনের হট-কি"
+#~ msgid "Custom Font"
+#~ msgstr "স্বনির্ধারিত ফন্ট"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "পূর্ববর্তী ইনপুট পদ্ধতির ইঞ্জিনে পরিবর্তনের জন্য পূর্ববর্তী ইঞ্জিনের জন্য হট-কি"
+#~ msgid "Show IM Name"
+#~ msgstr "ইনপুট পদ্ধতির নাম প্রদর্শন করা হবে"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "ভাষার প্যানেলের জন্য ব্যবহারযোগ্য স্বনির্ধারিত ফন্টের নাম"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "ভাষার বারের মধ্যে ইনপুট পদ্ধতির নাম প্রদর্শন করা হবে"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"ভাষা প্রদর্শনের প্যানেলের আচরণ। 0 (০) = সর্বদা আড়াল করা হবে, 1 (১) = "
-"স্বয়ংক্রিয়ভাবে আড়াল করা হবে, 2 (২) = সর্বদা প্রদর্শন করা হবে"
+#~ msgid "Use Custom Font"
+#~ msgstr "স্বনির্ধারিত ফন্ট ব্যবহার করা হবে"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ট্রিগারের হট-কি"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "পরবর্তী ইনপুট পদ্ধতির ইঞ্জিনে পরিবর্তনের জন্য পরবর্তী ইঞ্জিনের জন্য হট-কি"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ইনপুটের প্রসঙ্গ সক্রিয় অথবা নিষ্ক্রিয় করার জন্য ট্রিগার হট-কি"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "পূর্ববর্তী ইনপুট পদ্ধতির ইঞ্জিনে পরিবর্তনের জন্য পূর্ববর্তী ইঞ্জিনের জন্য হট-কি"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "স্বনির্ধারিত ফন্ট ব্যবহার করা হবে"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ইনপুটের প্রসঙ্গ সক্রিয় অথবা নিষ্ক্রিয় করার জন্য ট্রিগার হট-কি"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ভাষার প্যানেলের জন্য স্বনির্ধারিত ফন্টের নাম ব্যবহার করা হবে"
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/ca.po 1.2.0.20091024-1/po/ca.po
--- 1.2.0.20090904-1/po/ca.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/ca.po	2009-10-24 04:23:03.000000000 +0100
@@ -20,8 +20,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-08-24 20:43+0200\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-19 20:43+0200\n"
 "Last-Translator: Patricia Rivera Escuder <patysya@gmail.com>\n"
 "Language-Team: Catalan <fedora@softcatala.net>\n"
 "MIME-Version: 1.0\n"
@@ -33,88 +33,93 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "Entorn de mètodes d'entrada IBus"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Altres"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Reinicia"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "Cap mètode d'entrada"
+msgstr "Inhabilita el mètode d'entrada"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "Cap finestra d'entrada"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus és un bus d'entrada intel·ligent per a Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr ""
 "Oscar Osta Pueyo <oostap@gmail.com>, 2009\n"
 "Patricia Rivera Escuder <patysya@gmail.com>, 2009\n"
 "Xavier Conde Rueda <xavi.conde@gmail.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "Quant al mètode d'entrada"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Canvia el mètode d'entrada"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "Quant a"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "Idioma: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Disposició del teclat: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "Autor: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "Descripció: \n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "activador"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "següent mètode d'entrada"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "anterior mètode d'entrada"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "El dimoni IBus no està iniciat. Voleu iniciar-lo ara?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -128,24 +133,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Seleccioneu la drecera de teclat per a %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Dreceres de teclat"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Codi de lletra:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Modificadors:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -153,44 +158,143 @@ msgstr ""
 "Si us plau premeu una tecla (o una combinació de tecles).\n"
 "El diàleg es tancarà quan es deixi anar la tecla."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Si us plau premeu una tecla (o una combinació de tecles)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Selecciona un mètode d'entrada"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "Mètode d'entrada"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Prefèrencies de l'IBus"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Oculta automàticament"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Tipus de lletra personalitzada:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Tipus de lletra personalitzat per al quadre d'idiomes"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Tecla del mètode següent"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Orientació de la taula de cerca. 0 = Horitzontal, 1 = Vertical"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Orientació de la taula de cerca"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Carrega els mètodes d'entrada a l'inici"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Carrega a l'inici"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Tecla del mètode anterior"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Mostra el nom del mètode d'entrada a la barra d'idioma"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "Mostra el nom del mètode d'entrada a la barra d'idioma"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Comportament del quadre d'idiomes. 0 = Sempre ocult, 1 = Ocultar "
+"automàticament, 2 = Sempre visible"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+"La drecera de teclat per canviar al següent mètode d'entrada de la llista"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+"Estableix les dreceres de teclat per activar o desactivar el mètode d'entrada"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Tecla d'activació"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Empra un tipus de lletra personalitzat"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Empra el tipus de lletra personalitzat per al quadre d'idiomes"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "Utilitza la disposició de teclat del sistema (XKB)"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "Utilitza la disposició de teclat del sistema"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Tipus de lletra i estil</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Disposició del teclat</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Dreceres de teclat</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Inici</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -206,7 +310,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -214,219 +318,142 @@ msgstr ""
 "<small><i>El mètode d'entrada per defecte és el primer de la llista.\n"
 "Podeu fer servir els botons amunt/abaix per canviar-lo.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 "Afegeix el mètode d'entrada seleccionat als mètodes d'entrada activats."
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "Avançat"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Orientació dels candidats:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "Escolliu el tipus de lletra per a la barra d'idioma i els candidats"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Tipus de lletra personalitzada:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Activa o desactiva:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Escolliu el tipus de lletra per a la barra d'idioma i els candidats"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "General"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "Horitzontal\n"
 "Vertical"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "Prefèrencies de l'IBus"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "Abaixa el mètode d'entrada selecionat als mètodes d'entrada activats"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "Apuja el mètode d'entrada seleccionat a la llista de mètodes activats"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"Mai\n"
-"Quan s'activa\n"
-"Sempre"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Següent mètode d'entrada:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Anterior mètode d'entrada:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 "Suprimeix el mètode d'entrada seleccionat dels mètodes d'entrada activats"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "Ajusta com l'ibus mostra o amaga la barra d'idioma"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Estableix l'orientació dels candidats a la taula de cerca"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-"Estableix les dreceres de teclat per activar o desactivar el mètode d'entrada"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "Mostra la informació del mètode d'entrada seleccionat"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "Mostra el nom del mètode d'entrada a la barra d'idioma"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "Mostra el nom del mètode a la barra d'idioma quan s'activi l'opció"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Mostra el quadre d'idiomes:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Inicia l'ibus en entrar"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr ""
-"La drecera de teclat per canviar al següent mètode d'entrada de la llista"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 "La drecera de teclat per canviar a l'anterior mètode d'entrada de la llista"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Empra un tipus de lletra personalitzat"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr ""
 "Empra un tipus de lletra personalitzat per a la barra d'idioma i els "
 "candidats"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-#, fuzzy
-msgid "Use system keyboard (XKB) layout"
-msgstr "Utilitza la disposició de teclat del sistema"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "Utilitza la disposició de teclat del sistema"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Oculta automàticament"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Tipus de lletra personalitzat"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Tipus de lletra personalitzat per al quadre d'idiomes"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Tecla del mètode següent"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "Tecla ràpida per canviar al següent mètode d'entrada"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Orientació de la taula de cerca"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Orientació de la taula de cerca. 0 = Horitzontal, 1 = Vertical"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Carrega a l'inici"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Carrega els mètodes d'entrada a l'inici"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Tecla del mètode anterior"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"Mai\n"
+"Quan s'activa\n"
+"Sempre"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "Tecla ràpida per canviar a l'anterior mètode d'entrada"
+#~ msgid "Custom Font"
+#~ msgstr "Tipus de lletra personalitzat"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "Mostra el nom del mètode d'entrada"
+#~ msgid "Show IM Name"
+#~ msgstr "Mostra el nom del mètode d'entrada"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "Mostra el nom del mètode d'entrada a la barra d'idioma"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Mostra el nom del mètode d'entrada a la barra d'idioma"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"Comportament del quadre d'idiomes. 0 = Sempre ocult, 1 = Ocultar "
-"automàticament, 2 = Sempre visible"
+#~ msgid "Use Custom Font"
+#~ msgstr "Empra el tipus de lletra personalitzat"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Tecla d'activació"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "Tecla ràpida per canviar al següent mètode d'entrada"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "Tecla per activar o desactivar el context d'entrada"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "Tecla ràpida per canviar a l'anterior mètode d'entrada"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Empra el tipus de lletra personalitzat"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "Tecla per activar o desactivar el context d'entrada"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Empra el tipus de lletra personalitzat per al quadre d'idiomes"
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
 
 #~ msgid "Use system keyboard (XKB) layout setting"
 #~ msgstr ""
diff -pruN 1.2.0.20090904-1/po/da.po 1.2.0.20091024-1/po/da.po
--- 1.2.0.20090904-1/po/da.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/da.po	2009-10-24 04:23:03.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-06-11 17:58+0200\n"
 "Last-Translator: Kris Thomsen <lakristho@gmail.com>\n"
 "Language-Team: Danish <dansk@dansk-gruppen.dk>\n"
@@ -19,33 +19,39 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus-ramme for inddatametode"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Andre"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Genstart"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "Ingen inddatametode"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus er en intelligent inddatabus til Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr ""
 "Kris Thomsen\n"
@@ -53,56 +59,56 @@ msgstr ""
 "Dansk-gruppen <dansk@dansk-gruppen.dk>\n"
 "Mere info: http://www.dansk-gruppen.dk"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "Inddatametoder"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Skift inddatametode"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "Om"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Tastaturgenveje"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "udløser"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "næste inddatametode"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "forrige inddatametode"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus-dæmonen er ikke startet. Vil du starte den nu?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -116,24 +122,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Vælg tastaturgenveje til %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Tastaturgenveje"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Nøglekode:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Kombinationstaster:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -141,46 +147,146 @@ msgstr ""
 "Tryk venligst på en tast (eller en tastekombination).\n"
 "Dialogen bliver lukket, når tasten slippes."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Tryk venligst på en tast (eller en tastekombination)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Vælg en inddatametode"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "Inddatametoder"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Indstillinger for IBus"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Skjul automatisk"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Tilpasset skrifttype:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Tilpasset skrifttypenavn til sprogpanel"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Næste tastaturgenvej til motor"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Orientering af opslagstabel. 0 = Vandret, 1 = Lodret"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Orientering af opslagstabel"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Forindlæs motorer under opstarten af ibus"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Forindlæs motorer"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Forrige tastaturgenvej til motor"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Tilpasset skrifttypenavn til sprogpanel"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "Tilpasset skrifttypenavn til sprogpanel"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Sprogpanelets opførsel. 0 = Skjul altid, 1 = Skjul automatisk, 2 = Vis altid"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+#, fuzzy
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+"Næste tastaturgenvej til motor til skift af næste motor for inddatametode"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+"Forrige tastaturgenvej til motor til skift af forrige motor for inddatametode"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Udløser til tastaturgenvej"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Brug tilpasset skrifttype"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Brug tilpasset skrifttypenavn til sprogpanel"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Skrifttype og stil</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Tastaturgenveje</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Tastaturgenveje</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Opstart</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -196,7 +302,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -204,222 +310,142 @@ msgstr ""
 "<small><i>Standard inputmetoden er den øverste i listen.\n"
 "Du kan bruge op/ned-knapperne for at ændre det.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Orientering for kandidater:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "Tilpasset skrifttypenavn til sprogpanel"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Tilpasset skrifttype:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Aktivér eller deaktivér:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Tilpasset skrifttypenavn til sprogpanel"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Generelt"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "Vandret\n"
 "Lodret"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "Indstillinger for IBus"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"Aldrig\n"
-"Hvis aktiv\n"
-"Altid"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Næste inddatametode:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Forrige inddatametode:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 #, fuzzy
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Orientering af opslagstabel"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "Tilpasset skrifttypenavn til sprogpanel"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "Tilpasset skrifttypenavn til sprogpanel"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Vis sprogpanel:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Start ibus ved logind"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr ""
-"Næste tastaturgenvej til motor til skift af næste motor for inddatametode"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 #, fuzzy
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 "Forrige tastaturgenvej til motor til skift af forrige motor for inddatametode"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Brug tilpasset skrifttype"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "Brug tilpasset skrifttypenavn til sprogpanel"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Skjul automatisk"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Tilpasset skrifttype"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Tilpasset skrifttypenavn til sprogpanel"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Næste tastaturgenvej til motor"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
-"Næste tastaturgenvej til motor til skift af næste motor for inddatametode"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Orientering af opslagstabel"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Orientering af opslagstabel. 0 = Vandret, 1 = Lodret"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Forindlæs motorer"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Forindlæs motorer under opstarten af ibus"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Forrige tastaturgenvej til motor"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
-"Forrige tastaturgenvej til motor til skift af forrige motor for inddatametode"
+"Aldrig\n"
+"Hvis aktiv\n"
+"Altid"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "Tilpasset skrifttype"
 
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "Tilpasset skrifttypenavn til sprogpanel"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"Sprogpanelets opførsel. 0 = Skjul altid, 1 = Skjul automatisk, 2 = Vis altid"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Tilpasset skrifttypenavn til sprogpanel"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Udløser til tastaturgenvej"
+#~ msgid "Use Custom Font"
+#~ msgstr "Brug tilpasset skrifttype"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr ""
-"Udløser til tastaturgenvej for at aktivere eller deaktivere inddatakontekst"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr ""
+#~ "Næste tastaturgenvej til motor til skift af næste motor for inddatametode"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Brug tilpasset skrifttype"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr ""
+#~ "Forrige tastaturgenvej til motor til skift af forrige motor for "
+#~ "inddatametode"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Brug tilpasset skrifttypenavn til sprogpanel"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr ""
+#~ "Udløser til tastaturgenvej for at aktivere eller deaktivere "
+#~ "inddatakontekst"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Control+space]"
diff -pruN 1.2.0.20090904-1/po/de.po 1.2.0.20091024-1/po/de.po
--- 1.2.0.20090904-1/po/de.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/de.po	2009-10-24 04:23:03.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: iBus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-17 11:32+0100\n"
 "Last-Translator: Fabian Affolter <fab@fedoraproject.org>\n"
 "Language-Team: Gemran <fedora-trans-de@redhat.com>\n"
@@ -20,86 +20,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus-Eingabemethode-Framework"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Sonstige"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Neustart"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "Keine Eingabemethode"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr ""
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Fabian Affolter <fab@fedoraproject.org>, 2009."
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "Eingabemethode"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Eingabemethode wechseln"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "Über"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Tastatureingabe aufnehmen"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "trigger"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "Nächste Eingabemethode"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "Vorherige Eingabemethode"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr ""
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -108,25 +114,25 @@ msgid ""
 "  export QT_IM_MODULE=ibus"
 msgstr ""
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr ""
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 #, fuzzy
 msgid "Keyboard shortcuts"
 msgstr "Tastatureingabe aufnehmen"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Tasten-Code:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr ""
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -134,47 +140,138 @@ msgstr ""
 "Bitte eine Taste (oder eine Tastenkombination drücken).nDer Dialog wird "
 "geschlossen, wenn die Taste losgelassen wird."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Bitte eine Taste (oder eine Tastenkombination drücken)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr " Eingabemethode wählen"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "Eingabemethode"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus-Einstellungen"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Automatisch verstecken"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Benutzerdefinierte Schriftart:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:4
+msgid "Next engine shortcut keys"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:8
+msgid "Preload engines"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:9
+msgid "Prev engine shortcut keys"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Zeige Sprach-Panel:"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "Zeige Sprach-Panel:"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Tastatureingabe aufnehmen"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Benutze benutzerdefinierte Schriftart"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Schriftart und Stil</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "Tastatureingabe aufnehmen"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 #, fuzzy
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "Tastatureingabe aufnehmen"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Starten</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -190,217 +287,129 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
-msgid "Candidates orientation:"
+#: ../setup/setup.ui.h:18
+msgid "Always"
 msgstr ""
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
+#: ../setup/setup.ui.h:19
+msgid "Candidates orientation:"
 msgstr ""
 
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Benutzerdefinierte Schriftart:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Aktivieren oder deaktivieren:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+msgid "Font for language bar and candidates"
+msgstr ""
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Allgemein"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "Horizontal\n"
 "Vertikal"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus-Einstellungen"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"Niemals\n"
-"Wenn aktiv\n"
-"Immer"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Nächste Eingabemethode:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Vorherige Eingabemethode:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr ""
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr ""
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr ""
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Zeige Sprach-Panel:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Starte ibus bei der Anmeldung"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr ""
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Benutze benutzerdefinierte Schriftart"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr ""
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Automatisch verstecken"
-
-#: ../data/ibus.schemas.in.h:2
+#: ../setup/setup.ui.h:49
 #, fuzzy
-msgid "Custom Font"
-msgstr "&Schriftart:"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
+msgid "When active"
 msgstr ""
+"Niemals\n"
+"Wenn aktiv\n"
+"Immer"
 
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "Zeige Sprach-Panel:"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "&Schriftart:"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Benutze benutzerdefinierte Schriftart"
+#, fuzzy
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Zeige Sprach-Panel:"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr ""
+#~ msgid "Use Custom Font"
+#~ msgstr "Benutze benutzerdefinierte Schriftart"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Ctrl+Leertaste]"
diff -pruN 1.2.0.20090904-1/po/es.po 1.2.0.20091024-1/po/es.po
--- 1.2.0.20090904-1/po/es.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/es.po	2009-10-24 04:23:03.000000000 +0100
@@ -2,7 +2,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-30 19:54+0000\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: \n"
 "Last-Translator: Domingo Becker <domingobecker@gmail.com>\n"
 "Language-Team: Fedora Spanish <fedora-trans-es@redhat.com>\n"
@@ -15,122 +15,121 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2
-#: ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "Marco de trabajo para métodos de entrada IBus"
 
-#: ../ibus/lang.py:40
-#: ../ui/gtk/panel.py:339
-#: ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341
-#: ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Otro"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Reiniciar"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "Desactivar métodos de entrada"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "Sin ventana de entrada"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus es un bus de entrada inteligente para Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Domingo Becker, <domingobecker@gmail.com>, 2009"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "Acerca del Método de Entrada"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Cambiar método de entrada"
 
-#: ../ui/gtk/engineabout.py:34
-#: ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "Acerca de"
 
-#: ../ui/gtk/engineabout.py:62
-#: ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "Idioma: %s\n"
 
-#: ../ui/gtk/engineabout.py:64
-#: ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Diseño del teclado: %s\n"
 
-#: ../ui/gtk/engineabout.py:66
-#: ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "Autor: %s\n"
 
-#: ../ui/gtk/engineabout.py:68
-#: ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "Descripción:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "activador"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "siguiente método de entrada"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "método de entrada anterior"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "El demonio IBUS no fue iniciado. ¿Desea iniciarlo ahora?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
-"IBus has been started! If you can not use IBus, please add below lines in $HOME/.bashrc, and relogin your desktop.\n"
+"IBus has been started! If you can not use IBus, please add below lines in "
+"$HOME/.bashrc, and relogin your desktop.\n"
 "  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 msgstr ""
-"¡IBus ha sido iniciado! Si no puede usar IBus, por favor, agregue las siguientes líneas a $HOME/.bashrc, y reingrese a su escritorio.\n"
+"¡IBus ha sido iniciado! Si no puede usar IBus, por favor, agregue las "
+"siguientes líneas a $HOME/.bashrc, y reingrese a su escritorio.\n"
 "  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Seleccione la tecla de atajo para %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Atajos de teclado"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Código clave:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Modificadores:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -138,45 +137,133 @@ msgstr ""
 "Por favor, presione una tecla (o una combinación de tecla).\n"
 "El diálogo será cerrado cuando la tecla sea soltada."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Por favor, presione una tecla (o combinación de teclas)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Seleccione un método de entrada"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59
-#: ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "Métodos de Entrada"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Preferencias de IBus"
+
+#: ../data/ibus.schemas.in.h:1
+msgid "Auto hide"
+msgstr "Auto Ocultar"
+
+#: ../data/ibus.schemas.in.h:2
+msgid "Custom font"
+msgstr "Fuente personalizada"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Nombre de fuente personalizado para el panel de idioma"
+
+#: ../data/ibus.schemas.in.h:4
+msgid "Next engine shortcut keys"
+msgstr "Atajo de teclado para el siguiente motor"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Orientación de la Tabla de Búsqueda. 0 = Horizontal, 1 = Vertical"
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr "Orientación de búsqueda en la tabla "
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Precargar las Máquinas durante el inicio de ibus"
+
+#: ../data/ibus.schemas.in.h:8
+msgid "Preload engines"
+msgstr "Precargar máquinas"
+
+#: ../data/ibus.schemas.in.h:9
+msgid "Prev engine shortcut keys"
+msgstr "Atajo de teclado para la máquina previa"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr "Mostrar un ícono en el área de notificación"
+
+#: ../data/ibus.schemas.in.h:11
+msgid "Show input method name"
+msgstr "Mostrar el nombre del método de entrada"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "Mostrar el nombre del método de entrada en la barra de idioma"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"El comportamiento del panel de idioma. 0 = Siempre oculto, 1 = Auto ocultar, "
+"2 = mostrar siempre"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+"Tecla programada para cambiar al siguiente método de entrada en la lista"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+msgid "The shortcut keys for turning input method on or off"
+msgstr "Atajo de teclado para encender o apagar el método de entrada"
+
+#: ../data/ibus.schemas.in.h:16
+msgid "Trigger shortcut keys"
+msgstr "Activadora de los Atajos de teclado"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Usar fuente personalizada"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Usar nombre de fuente personalizada para el panel de idioma"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "Usar el diseño del teclado del sistema (XKB)"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "Usar el diseño del teclado del sistema"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "…"
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Fuente y Estilo</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Diseño del Teclado</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Atajos de teclado</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Inicio</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -192,7 +279,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -200,217 +287,127 @@ msgstr ""
 "<small><i>El método de entrada determinado está al comienzo de la lista.\n"
 "Puede usar los botones arriba/abajo para cambiarlo.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr "Agregar el método de entrada seleccionado a los métodos de entrada habilitados"
+msgstr ""
+"Agregar el método de entrada seleccionado a los métodos de entrada "
+"habilitados"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr "Siempre"
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Orientaciones candidato:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "Fuente elegida para la barra de idioma y candidatos"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Fuente personalizada:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Habilitar o deshabilitar:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+msgid "Font for language bar and candidates"
+msgstr "Fuente para la barra de idioma y candidatos"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "General"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
-msgstr ""
-"Horizontal\n"
-"Vertical"
-
-#: ../setup/setup.glade.h:25
-#: ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "Preferencias de IBus"
+#: ../setup/setup.ui.h:24
+msgid "Horizontal"
+msgstr "Horizontal"
 
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
-msgstr "Mover abajo el método de entrada seleccionado en los métodos de entrada habilitados"
+msgstr ""
+"Mover abajo el método de entrada seleccionado en los métodos de entrada "
+"habilitados"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr "Mover arriba el método de entrada seleccionado en la lista de métodos de entrada habilitados"
+msgstr ""
+"Mover arriba el método de entrada seleccionado en la lista de métodos de "
+"entrada habilitados"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
-msgstr ""
-"Nunca\n"
-"Cuando esté activo\n"
-"Siempre"
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr "Nunca"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Siguiente método de entrada:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Método de entrada anterior:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr "Eliminar el método de entrada seleccionado de los métodos de entrada habilitados"
+msgstr ""
+"Eliminar el método de entrada seleccionado de los métodos de entrada "
+"habilitados"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr "Configurar el comportamiento de ibus sobre cómo mostrar u ocultar la barra de idiomas"
+msgstr ""
+"Configurar el comportamiento de ibus sobre cómo mostrar u ocultar la barra "
+"de idiomas"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Poner la orientación de la tabla de búsqueda de candidatos"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "Poner las teclas abreviadas para encender o apagar los métodos de entrada"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "Mostrar información sobre el método de entrada seleccionado"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "Mostrar el nombre del método de entrada en la barra de idioma"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr "Mostrar el nombre del método de entrada en la barra de idioma cuando se marque la casilla"
+msgstr ""
+"Mostrar el nombre del método de entrada en la barra de idioma cuando se "
+"marque la casilla"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Mostrar el panel de idioma:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Iniciar ibus al ingresar"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "Tecla programada para cambiar al siguiente método de entrada en la lista"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "Tecla programada para cambiar al método de entrada anterior en la lista"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Usar fuente personalizada"
+msgstr ""
+"Tecla programada para cambiar al método de entrada anterior en la lista"
 
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "Usar fuente personalizada para la barra de idiomas y candidatos"
 
-#: ../setup/setup.glade.h:47
-#: ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "Usar el diseño del teclado del sistema (XKB)"
-
-#: ../setup/setup.glade.h:48
-#: ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "Usar el diseño del teclado del sistema"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr "Vertical"
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Auto Ocultar"
+#: ../setup/setup.ui.h:49
+msgid "When active"
+msgstr "Cuando esté activo"
 
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Fuente Personalizada"
+#~ msgid "Custom Font"
+#~ msgstr "Fuente Personalizada"
 
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Nombre de fuente personalizado para el panel de idioma"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Tecla para la Siguiente Máquina"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "Tecla programada para cambiar a la siguiente máquina de método de entrada"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Orientación de la Tabla de Búsqueda"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Orientación de la Tabla de Búsqueda. 0 = Horizontal, 1 = Vertical"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Precargar Máquinas"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Precargar las Máquinas durante el inicio de ibus"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Tecla para Máquina Anterior"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "Tecla programada para cambiar a la máquina de método de entrada anterior"
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "Mostrar Nombre de ME"
-
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "Mostrar nombre de ME en la barra de idioma"
-
-#: ../data/ibus.schemas.in.h:14
-msgid "The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always show"
-msgstr "El comportamiento del panel de idioma. 0 = Siempre oculto, 1 = Auto ocultar, 2 = mostrar siempre"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Tecla Disparadora"
-
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "Tecla de activación para habilitar o deshabilitar el contexto de entrada"
-
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Usar Fuente Personalizada"
-
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Usar nombre de fuente personalizada para el panel de idioma"
+#~ msgid "Show IM Name"
+#~ msgstr "Mostrar Nombre de ME"
 
-#~ msgid "Use system keyboard (XKB) layout setting"
-#~ msgstr "Usar configuración de diseño del teclado del sistema (XKB)"
-#~ msgid "Use system keyboard layout (XKB) setting"
-#~ msgstr "Usar la configuración de diseño del teclado del sistema (XKB)"
-#~ msgid "Use system keyboard layout setting"
-#~ msgstr "Usar la configuración de diseño del teclado del sistema"
-#~ msgid "[Control+space]"
-#~ msgstr "[Control+space]"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Mostrar nombre de ME en la barra de idioma"
 
+#~ msgid "Use Custom Font"
+#~ msgstr "Usar Fuente Personalizada"
diff -pruN 1.2.0.20090904-1/po/fr.po 1.2.0.20091024-1/po/fr.po
--- 1.2.0.20090904-1/po/fr.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/fr.po	2009-10-24 04:23:04.000000000 +0100
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-08-30 17:51+0200\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-10-13 11:12+0200\n"
 "Last-Translator: Humbert Julien <julroy67@gmail.com>\n"
 "Language-Team: French <kde-francophone@kde.org>\n"
 "MIME-Version: 1.0\n"
@@ -26,83 +26,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "Framework de méthode d'entrée IBus"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Autre"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Redémarrer IBus"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "Désactiver la méthide d'entrée"
+msgstr "Désactiver la méthode d'entrée"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "Aucune fenêtre d'insertion"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus est un IME intelligent pour Linux/Unix"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "HUMBERT Julien <julroy67@gmail.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "À propos de la Méthode d'Entrée"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Changer de méthode d'entrée"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "À propos"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "Langue: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Disposition du clavier : %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "Auteur : %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "Description :\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "déclencheur"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "méthode d'entrée suivante"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "méthode d'entrée précédente"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "Le démon IBus n'est pas démarré. Voulez-vous le démarrer maintenant ?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -110,31 +117,31 @@ msgid ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 msgstr ""
-"IBus est démarré ! Si vous ne pouvez pas utiliser IBus, veuillez ajouter les "
-"lignes suivantes dans le fichier $HOME/.bashrc, et veuillez vous "
+"IBus a été démarré ! Si vous ne pouvez pas utiliser IBus, veuillez ajouter "
+"les lignes suivantes dans le fichier $HOME/.bashrc, et veuillez vous "
 "reconnecter.\n"
 "  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Choisissez le raccourci clavier pour %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Raccourcis claviers"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Code touche :"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Modificateurs :"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -142,44 +149,143 @@ msgstr ""
 "Veuillez presser une touche (ou une combinaison de touches).\n"
 "La boîte de dialogue se fermera lorsque la touche sera relâchée."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Veuillez presser une touche (ou une combinaison de touches)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Sélectionnez une méthode d'entrée"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "Méthode d'entrée"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Préférences d'IBus"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Cacher automatiquement"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Police personnalisée :"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Police personnalisée pour le panneau de langue"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Passer au moteur suivant"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Orientation de la table. 0 = Horizontale, 1 = Verticale"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Orientation de la table"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Précharger les moteurs lors du démarrage d'iBus"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Précharger les moteurs"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Revenir au moteur précédant"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr "Afficher l'icône dans la boîte à miniatures"
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Afficher le nom de la méthode d'entrée sur la barre de langue"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "Afficher le nom de la méthode d'entrée sur la barre de langue"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Préférence d'affichage du panneau de langue. 0 = Toujours cacher, 1 = Cacher "
+"automatiquement, 2 = Toujours afficher"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "Raccourci clavier pour passer à méthode d'entrée suivante"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+"Sélection des raccourcis claviers pour activer ou désactiver la méthode "
+"d'entrée"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Raccourci clavier déclencheur"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Utiliser une police personnalisée"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Utiliser une police personnalisée pour le panneau de langue"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "Utiliser la disposition clavier système (XKB)"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "Utiliser la disposition clavier système"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "…"
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Police et Style</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Disposition du clavier</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Raccourcis claviers</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Démarrage</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -195,7 +301,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -203,221 +309,136 @@ msgstr ""
 "<small><i>La méthode d'entrée par défaut se trouve en haut de la liste.\n"
 "Utilisez les boutons Haut/bas pour changer l'ordre.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 "Ajouter la méthode d'entrée selectionnée aux méthodes d'entrée activées"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "Avancé"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr "Toujours"
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Orientations :"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr ""
-"Choix d'une police personnalisée pour la barre de langue et les candidats"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Police personnalisée :"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Activer ou désactiver :"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr ""
+"Choix d'une police personnalisée pour la barre de langue et les candidats"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Général"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
-msgstr ""
-"Horizontale\n"
-"Verticale"
-
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "Préférences d'IBus"
+#: ../setup/setup.ui.h:24
+msgid "Horizontal"
+msgstr "Horizontale"
 
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 "Déplacer vers le bas la méthode d'entrée selectionnée dans la liste des "
 "méthodes d'entrée activées"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 "Déplacer vers le haut la méthode d'entrée selectionnée dans la liste des "
 "méthodes d'entrée activées"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
-msgstr ""
-"Jamais\n"
-"Uniquement lorsque actif\n"
-"Toujours"
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr "Jamais"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Méthode d'entrée suivante :"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Méthode d'entrée précédente :"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 "Supprimer la méthode d'entrée selectionnée des méthodes d'entrées activées"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "Selection du type d'affichage de la barre de langue d'Ibus"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Sélection de l'orientation de la table des candidats"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-"Sélection des raccourcis claviers pour activer ou désactiver la méthode "
-"d'entrée"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "Afficher les informations de la méthode d'entrée selectionnée"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "Afficher le nom de la méthode d'entrée sur la barre de langue"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr ""
 "Afficher le nom de la méthode d'entrée sur la barre de langue lorsque la "
 "case est cochée"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Afficher la barre de langue :"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Démarrer IBus lors de la connexion"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "Raccourci clavier pour passer à méthode d'entrée suivante"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "Raccourci clavier pour revenir à la méthode d'entrée précédente"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Utiliser une police personnalisée"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr ""
 "Utiliser une police personnalisée pour le barre de langue et les candidats"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "Utiliser la disposition clavier système (XKB)"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr "Verticale"
 
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "Utiliser la disposition clavier système"
+#: ../setup/setup.ui.h:49
+msgid "When active"
+msgstr "Uniquement lorsque active"
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "Police personnalisée"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Cacher automatiquement"
+#~ msgid "Show IM Name"
+#~ msgstr "Afficher le nom de la méthode d'entrée"
 
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Police personnalisée"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Afficher le nom de la méthode d'entrée sur la barre de langue"
 
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Police personnalisée pour le panneau de langue"
+#~ msgid "Use Custom Font"
+#~ msgstr "Utiliser une police personnalisée"
 
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Passer au moteur suivant"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "Raccourci clavier pour passer au moteur de méthode d'entrée suivant"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "Raccourci clavier pour passer au moteur de méthode d'entrée suivant"
 
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Orientation de la table"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Orientation de la table. 0 = Horizontale, 1 = Verticale"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Précharger les moteurs"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Précharger les moteurs lors du démarrage d'iBus"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Revenir au moteur précédant"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "Raccourci clavier pour revenir au moteur de méthode d'entrée précédant"
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "Afficher le nom de la méthode d'entrée"
-
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "Afficher le nom de la méthode d'entrée sur la barre de langue"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"Préférence d'affichage du panneau de langue. 0 = Toujours cacher, 1 = Cacher "
-"automatiquement, 2 = Toujours afficher"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Raccourci clavier déclencheur"
-
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "Raccourci clavier d'activation ou de désactivation la méthode d'entrée"
-
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Utiliser une police personnalisée"
-
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Utiliser une police personnalisée pour le panneau de langue"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr ""
+#~ "Raccourci clavier pour revenir au moteur de méthode d'entrée précédant"
 
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr ""
+#~ "Raccourci clavier d'activation ou de désactivation la méthode d'entrée"
diff -pruN 1.2.0.20090904-1/po/gu.po 1.2.0.20091024-1/po/gu.po
--- 1.2.0.20090904-1/po/gu.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/gu.po	2009-10-24 04:23:04.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-09-03 08:34+0000\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-09-03 15:52+0530\n"
 "Last-Translator: Sweta Kothari <swkothar@redhat.com>\n"
 "Language-Team: Gujarati\n"
@@ -21,84 +21,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ઇનપુટ પદ્દતિ ફ્રેમવર્ક"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "બીજા"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "ફરી શરી કરો"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "ઇનપુટ પદ્દતિને બંધ કરો"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "ઇનપુટ વિન્ડો નથી"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus એ Linux/Unix માટે હોશિયાર ઇનપુટ બસ છે."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "શ્ર્વેતા કોઠારી <swkothar@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "ઇનપુટ પદ્દતિ વિશે"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ઇનપુટ પદ્દતિને બદલો"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "વિશે"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "ભાષા: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "કિબોર્ડ લેઆઉટ: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "લેખક: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "વર્ણન:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ટ્રીગર"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "પછીની ઇનપુટ પદ્દતિ"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "પહેલાની ઇનપુટ પદ્દતિ"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ડિમન એ શરૂ થયેલ નથી. શું તમે હવે તેને શરૂ કરવા ઇચ્છો છો?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -112,24 +118,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s માટે કિબોર્ડ ટૂંકાણોને પસંદ કરો"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "કિબોર્ડ ટૂંકાણો"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "કિ કોડ:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "બદલનારો:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -137,44 +143,139 @@ msgstr ""
 "મહેરબાની કરીને કીને દબાવો (અથવા કી સંયોજન).\n"
 "સંવાદ એ બંધ થયેલ હશે જ્યારે કી પ્રકાશિત થયેલ હોય તો."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "મહેરબાની કરીને કી ને દબાવો (અથવા કી સંયોજન)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ઇનપુટ પદ્દતિને પસંદ કરો"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "ઇનપુટ પદ્દતિ"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus પસંદગીઓ"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "આપમેળે છુપાવો"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "વૈવિધ્ય ફોન્ટ:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ભાષા પેનલ માટે વૈવિધ્ય ફોન્ટ નામ"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "પછીની એંજિન હોટકી"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "કોષ્ટકને જોવાની દિશા. 0 = આડુ, 1 = ઊભુ "
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "કોષ્ટકને જોવાની દિશા"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus ની શરૂ કરવા દરમ્યાન એંજિનોને ફરીથી લોડ કરો"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "એંજિનોને ફરીથી લોડ કરો"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "પહેલાંની એંજિન હોટકી"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ભાષા પેનલ પર ઇનપુટ પદ્દતિ નામને બતાવો"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "ભાષા પેનલ પર ઇનપુટ પદ્દતિ નામને બતાવો"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "ભાષા પેનલની વર્ણતૂક. 0 = હંમેશા છુપાડો, 1 = આપમેળે છુપાડો, 2 = હંમેશા બતાવો"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "યાદીમાં પછીની ઇનપુટ પદ્દતિને ખસેડવા માટે ટૂંકાણ કીઓ"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ઇનપુટ પદ્દતિને ચાલુ કરવા અથવા બંધ કરવા માટે ટૂંકાણ કીઓને સુયોજિત કરો"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ટ્રીગર હોટકી"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "વૈવિધ્ય ફોન્ટને વાપરો"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ભાષા પેનલ માટે વૈવિધેય ફોન્ટ નામ ને વાપરો"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "સિસ્ટમ કિબોર્ડ (XKB) લેઆઉટને વાપરો"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "સિસ્ટમ કિબોર્ડ લેઆઉટને વાપરો"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ફોન્ટ અને શૈલીઓ</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>કિબોર્ડ લેઆઉટ</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>કિબોર્ડ ટૂંકાણો</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>શરૂઆત કરો</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -190,7 +291,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -198,207 +299,134 @@ msgstr ""
 "<small><i>મૂળભૂત ઇનપુટ પદ્દતિ એ યાદીમાં ઉપર છે.\n"
 "તમારે તેને બદલવા માટે ઉપર/નીચે બટનોને વાપરી શકો છો.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "સક્રિય થયેલ ઇનપુટ પદ્દતિઓમાં પસંદ થયેલ ઇનપુટ પદ્દતિને ઉમેરો"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "ઉન્નત"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "ઉમેદવારોની દિશા:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "ભાષા પેનલ અને સભ્યો માટે ફોન્ટ પસંદ કરો"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "વૈવિધ્ય ફોન્ટ:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "સક્રિય અથવા નિષ્ક્રિય:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "ભાષા પેનલ અને સભ્યો માટે ફોન્ટ પસંદ કરો"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "સામાન્ય"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "આડુ\n"
 "ઊભુ"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus પસંદગીઓ"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "સક્રિય થયેલ ઇનપુટ પદ્દતિઓમાં પસંદ થયેલ ઇનપુટ પદ્દતિને નીચે ખસેડો"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "સક્રિય થયેલ ઇનપુટ પદ્દતિઓ યાદીમાં પસંદ થયેલ ઇનપુટ પદ્દતિને ઉપર ખસેડો"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"કદી નહિં\n"
-"જ્યારે સક્રિય હોય તો\n"
-"હંમેશા"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "પછીની ઇનપુટ પદ્દતિ:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "પહેલાંની ઇનપુટ પદ્દતિ:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "સક્રિય થયેલ ઇનપુટ પદ્દતિઓ માંથી પસંદ થયેલ ઇનપુટ પદ્દતિને દૂર કરો"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "ભાષા પેનલને કેવી રીતે બતાવવી અથવા છુપાડવી તે માટે ibus નાં વર્ણતૂકને સુયોજિત કરો"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "કોષ્ટક જોવામાં સભ્યોની દિશાને સુયોજિત કરો"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "ઇનપુટ પદ્દતિને ચાલુ કરવા અથવા બંધ કરવા માટે ટૂંકાણ કીઓને સુયોજિત કરો"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "પસંદ થયેલ ઇનપુટ પદ્દતિની જાણકારીને બતાવો"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "ભાષા પેનલ પર ઇનપુટ પદ્દતિ નામને બતાવો"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "જ્યારે ચેકબોક્સને ચકાસતા હોય ત્યારે ભાષા પેનલ પર ઇનપુટ પદ્દતિનાં નામને બતાવો"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ભાષા પેનલને બતાવો:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "પ્રવેશ પર ibus ને શરૂ કરો"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "યાદીમાં પછીની ઇનપુટ પદ્દતિને ખસેડવા માટે ટૂંકાણ કીઓ"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "યાદીમાં પહેલાંની ઇનપુટ પદ્દતિને ખસેડવા માટે ટૂંકાણ કીઓ"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "વૈવિધ્ય ફોન્ટને વાપરો"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "ભાષા પેનલ અને સભ્યો માટે વૈવિધ્ય ફોન્ટ નામ ને વાપરો"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "સિસ્ટમ કિબોર્ડ (XKB) લેઆઉટને વાપરો"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "સિસ્ટમ કિબોર્ડ લેઆઉટને વાપરો"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "આપમેળે છુપાવો"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "વૈવિધ્ય ફોન્ટ"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ભાષા પેનલ માટે વૈવિધ્ય ફોન્ટ નામ"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "પછીની એંજિન હોટકી"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "પછીની ઇનપુટ પદ્દતિ એંજિનને ખસેડવા માટે પછીની એંજિન હોટકી"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "કોષ્ટકને જોવાની દિશા"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "કોષ્ટકને જોવાની દિશા. 0 = આડુ, 1 = ઊભુ "
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "એંજિનોને ફરીથી લોડ કરો"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus ની શરૂ કરવા દરમ્યાન એંજિનોને ફરીથી લોડ કરો"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "પહેલાંની એંજિન હોટકી"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "પહેલાંની ઇનપુટ પદ્દતિ એંજિનને ખસેડવા માટે પહેલાંની એંજિન હોટકીા"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"કદી નહિં\n"
+"જ્યારે સક્રિય હોય તો\n"
+"હંમેશા"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "IM નામ ને બતાવો"
+#~ msgid "Custom Font"
+#~ msgstr "વૈવિધ્ય ફોન્ટ"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "ભાષા પેનલ પર IM નામ ને બતાવો"
+#~ msgid "Show IM Name"
+#~ msgstr "IM નામ ને બતાવો"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "ભાષા પેનલની વર્ણતૂક. 0 = હંમેશા છુપાડો, 1 = આપમેળે છુપાડો, 2 = હંમેશા બતાવો"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "ભાષા પેનલ પર IM નામ ને બતાવો"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ટ્રીગર હોટકી"
+#~ msgid "Use Custom Font"
+#~ msgstr "વૈવિધ્ય ફોન્ટને વાપરો"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ઇનપુટ સંદર્ભને સક્રિય અથવા નિષ્ક્રિય કરવા માટે ટ્રીગર હોટકી"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "પછીની ઇનપુટ પદ્દતિ એંજિનને ખસેડવા માટે પછીની એંજિન હોટકી"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "વૈવિધ્ય ફોન્ટને વાપરો"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "પહેલાંની ઇનપુટ પદ્દતિ એંજિનને ખસેડવા માટે પહેલાંની એંજિન હોટકીા"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ભાષા પેનલ માટે વૈવિધેય ફોન્ટ નામ ને વાપરો"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ઇનપુટ સંદર્ભને સક્રિય અથવા નિષ્ક્રિય કરવા માટે ટ્રીગર હોટકી"
 
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/hi.po 1.2.0.20091024-1/po/hi.po
--- 1.2.0.20090904-1/po/hi.po	2009-09-04 11:38:08.000000000 +0100
+++ 1.2.0.20091024-1/po/hi.po	2009-10-24 04:23:04.000000000 +0100
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-05-27 13:41+0530\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-04 11:11+0530\n"
 "Last-Translator: Rajesh Ranjan <rajesh672@gmail.com>\n"
 "Language-Team: Hindi <hindi.sf.net>\n"
 "MIME-Version: 1.0\n"
@@ -19,91 +19,96 @@ msgstr ""
 "Plural-Forms: nplurals=2; plural=(n!=1);\n"
 "\n"
 "\n"
+"\n"
 
 #: ../bus/ibus.desktop.in.h:1
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus इनपुट विधि फ्रेमवर्क"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "अन्य"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "पुनः प्रारंभ करें"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "कोई इनपुट विधि नहीं"
+msgstr "इनपुट विधि बंद करें"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "कोई इनपुट विंडो नहीं"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus Linux/Unix के लिए तेज तर्रार इनपुट बस है."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "राजेश रंजन (rranjan@redhat.com)"
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "इनपुट विधि"
+msgstr "इनपुट विधि का परिचय"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "इनपुट विधि बदलें"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "परिचय"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
-msgstr ""
+msgstr "भाषा: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
-#, fuzzy, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
-msgstr "कुंजीपटल शॉर्टकर्ट"
+msgstr "कुंजीपट लेआउट: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
-msgstr ""
+msgstr "लेखक: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
-msgstr ""
+msgstr "विवरण:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ट्रिगर"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "अगली इनपुट विधि"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "पिछली इनपुट विधि"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus अबतक आरंभ नहीं हुआ है. क्या आप इसे आरंभ करना चाहते हैं?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -117,24 +122,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s के लिए कुंजीपटल शॉर्टकर्ट चुनें"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "कुंजीपटल शॉर्टकर्ट"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "कुंजी कोड:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "परिवर्तनकर्ता:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -142,46 +147,139 @@ msgstr ""
 "कृपया कोई कुंजी दबाएँ (या कोई कुंजी संयोग).\n"
 "यह संवाद कुंजी छोड़े जाने पर बंद हो जाएगा."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "कृपया कोई कुंजी दबाएँ (या कोई कुंजी संयोग)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "कोई इनपुट विधि चुनें"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
-#, fuzzy
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "इनपुट विधि"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus वरीयता"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "स्वतः छुपाएँ"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "मनपसंद फ़ॉन्ट:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "अगला इंजन हॉटकी"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "सारणी देखने के लिए दिशा. 0 = क्षैतिज, 1 = लंबवत"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "लुकअप सारणी की दिशा"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus आरंभन के दौरान पहले से लोड इंजन"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "पहले से लोड इंजन"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "पिछला इंजन हॉटकी"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "भाषा पट्टी पर इनपुट विधि नाम दिखाएँ"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "भाषा पट्टी पर इनपुट विधि नाम दिखाएँ"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "भाषा पटल का आचरण. 0 = हमेशा छुपाएँ, 1 = स्वतः छुपाएँ, 2 = हमेशा दिखाएँ"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "सूची में अगली इनपुट विधि में जाने के लिए शॉर्टकट कुंजी"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "इनपुट विधि का चालू रखने के लिए शॉर्टकट कुंजी सेट करें"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ट्रिगर हॉटकी"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "मनपसंद फ़ॉन्ट का प्रयोग करें"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम का प्रयोग करें"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "तंत्र कुंजीपट (XKB) लेआउट का प्रयोग करें"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "तंत्र कुंजीपट लेआउट का प्रयोग करें"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>फ़ॉन्ट व शैली</b>"
 
-#: ../setup/setup.glade.h:3
-#, fuzzy
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
-msgstr "<b>कुंजीपटल शॉर्टकट</b>"
+msgstr "<b>कुंजीपट लेआउट</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>कुंजीपटल शॉर्टकट</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>स्टार्टअप</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -197,7 +295,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -205,213 +303,134 @@ msgstr ""
 "<small><i>तयशुदा इनपुट विधि सूची में सबसे ऊपर है.\n"
 "आप ऊपर/नीचे बटन को इसे बदलने के लिए प्रयोग कर सकते हैं.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr ""
+msgstr "सक्रिय किए गए इनपुट विधि में चुनी गई इनपुट विधियों को जोड़ें"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
+msgstr "उन्नत"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "कंडीडेट दिशा:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "मनपसंद फ़ॉन्ट:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "सक्रिय या निष्क्रिय करें:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "भाषा पट्टी और कंडीडेट के लिए मनपसंद फ़ॉन्ट"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "सामान्य"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "क्षैतिज\n"
 "लंबवत"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus वरीयता"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
-msgstr ""
+msgstr "सक्रिय की गई इनपुट विधियों में चुनी गई इनपुट विधियों को खिसकाएँ"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr ""
+msgstr "सक्रिय की गई इनपुट विधि सूची में चुनी गई इनपुट विधियों को ले जाएँ"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"कभी नहीं\n"
-"जब सक्रिय हो\n"
-"हमेशा"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "अगली इनपुट विधि :"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "पिछली इनपुट विधि:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr ""
+msgstr "सक्रिय की गई इनपुट विधियों में चुनी गई इनपुट विधियों हटाएँ"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr ""
+msgstr "ibus का आचरण सेट करें कि कैसे भाषा पट्टी को दिखाना या छिपाना है"
 
-#: ../setup/setup.glade.h:36
-#, fuzzy
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
-msgstr "लुकअप सारणी की दिशा"
-
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
+msgstr "लुकअप सारणी में कंडीडेट की दिशा सेट करें"
 
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr ""
+msgstr "चुनी गई इनपुट विधि की सूचना दिखाएँ"
 
-#: ../setup/setup.glade.h:39
-#, fuzzy
-msgid "Show input method name on language bar"
-msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "भाषा पट्टी पर इनपुट विधि नाम दिखाएँ जब जाँचपेटी जाँचा गया है"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "भाषा पैनल दिखाएँ:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "लॉगिन पर ibus आरंभ करें"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "अगली इनपुट विधि इंजन में जाने के लिए अगला इंजन हॉटकी"
-
-#: ../setup/setup.glade.h:44
-#, fuzzy
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "पिछले इनपुट विधि इंजन में जाने के लिए पिछला इंजन हॉटकी"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "मनपसंद फ़ॉन्ट का प्रयोग करें"
+msgstr "सूची में पिछली इनपुट विधि में जाने के लिए शॉर्टकट कुंजी"
 
-#: ../setup/setup.glade.h:46
-#, fuzzy
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
-msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम का प्रयोग करें"
-
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
+msgstr "भाषा पट्टी और कंडीडेट के लिए मनपसंद फ़ॉन्ट नाम का प्रयोग करें"
 
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"कभी नहीं\n"
+"जब सक्रिय हो\n"
+"हमेशा"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "स्वतः छुपाएँ"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "मनपसंद फ़ॉन्ट"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "अगला इंजन हॉटकी"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "अगली इनपुट विधि इंजन में जाने के लिए अगला इंजन हॉटकी"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "लुकअप सारणी की दिशा"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "सारणी देखने के लिए दिशा. 0 = क्षैतिज, 1 = लंबवत"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "पहले से लोड इंजन"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus आरंभन के दौरान पहले से लोड इंजन"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "पिछला इंजन हॉटकी"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "पिछले इनपुट विधि इंजन में जाने के लिए पिछला इंजन हॉटकी"
+#~ msgid "Custom Font"
+#~ msgstr "मनपसंद फ़ॉन्ट"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Show IM Name"
+#~ msgstr "IM नाम दिखाएँ"
 
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "भाषा पट्टी पर आईएम नाम दिखाएँ"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "भाषा पटल का आचरण. 0 = हमेशा छुपाएँ, 1 = स्वतः छुपाएँ, 2 = हमेशा दिखाएँ"
+#~ msgid "Use Custom Font"
+#~ msgstr "मनपसंद फ़ॉन्ट का प्रयोग करें"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ट्रिगर हॉटकी"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "अगली इनपुट विधि इंजन में जाने के लिए अगला इंजन हॉटकी"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "इनपुट संदर्भ सक्रिय या निष्क्रिय करने के लिए ट्रिगर हॉटकी"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "पिछले इनपुट विधि इंजन में जाने के लिए पिछला इंजन हॉटकी"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "मनपसंद फ़ॉन्ट का प्रयोग करें"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "इनपुट संदर्भ सक्रिय या निष्क्रिय करने के लिए ट्रिगर हॉटकी"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "भाषा पटल के लिए मनपसंद फ़ॉन्ट नाम का प्रयोग करें"
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/hu.po 1.2.0.20091024-1/po/hu.po
--- 1.2.0.20090904-1/po/hu.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/hu.po	2009-10-24 04:23:04.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: IBus master\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-11 10:58+0200\n"
 "Last-Translator: Sulyok Péter <peti@fedoraproject.org>\n"
 "Language-Team: Hungarian <fedora-trans-hu@redhat.com>\n"
@@ -19,86 +19,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus bevitel eljárás keretrendszer"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Más"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Újraindítás"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "Nincs bevitel eljárás"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus egy okos bemenő csatorna Linux/Unixhoz"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Sulyok Péter <peti@fedoraproject.org>, 2009."
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "Bevitel eljárások"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Bevitel eljárás átváltás"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "Névjegy"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Gyorsbillentyűk"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ravasz"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "következő bevitel eljárás"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "előző bevitel eljárás"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "Az IBus szolgáltatás áll. Beindítja?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -112,24 +118,24 @@ msgstr ""
 "  export QT_IM_MODULE=ibussorokat a $HOME/.bashrc fájlhoz, majd lépjen be "
 "újra."
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s gyorsbillentyűjének kiválasztása"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Gyorsbillentyűk"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Kulcs kód:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Módosítók:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -137,46 +143,146 @@ msgstr ""
 "Kérem nyomjon egy billentyűt (vagy kombinációt).\n"
 "Az ablak bezárul, amint a billentyűt felengedi."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Kérem nyomjon egy billentyűt (vagy kombinációt)."
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Bevitel eljárás kiválasztása"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "Bevitel eljárások"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus beállítás"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Önműködő rejtés"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Saját betű:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Saját betű neve a nyelv panelen"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Következő eljárás gyorsbillentyű"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Kereső táblázat iránya. 0 = vízszintes, 1 = függőleges"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Kereső táblázat iránya"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Eljárások előre betöltése ibus indulásakor"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Eljárások előtöltése"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Előző eljárás gyorsbillentyű"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Saját betű neve a nyelv panelen"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "Saját betű neve a nyelv panelen"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"A nyelv panel viselkedése. 0 = mindig rejtve, 1 = rejtőzködő, 2 = mindig "
+"látható"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+#, fuzzy
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+"A következő eljárás gyorsbillentyű a következő bevitel eljárásra kapcsol"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "Az előző eljárás gyorsbillentyű az előző bevitel eljárásra kapcsol"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Ravasz gyorsbillentyű"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Saját betű használata"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Saját betű használata a nyelv panelen"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "…"
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Betűtípus és stílus</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Gyorsbillentyűk</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Gyorsbillentyűk</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Indulás</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -192,226 +298,143 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Jelöltek iránya:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "Saját betű neve a nyelv panelen"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Saját betű:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Engedés vagy tiltás"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Saját betű neve a nyelv panelen"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Általános"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "vízszintes\n"
 "függőleges"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus beállítás"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"soha\n"
-"aktívan\n"
-"mindig"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Következő bevitel eljárás:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Előző bevitel eljárás:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 #, fuzzy
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Kereső táblázat iránya"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "Saját betű neve a nyelv panelen"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "Saját betű neve a nyelv panelen"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Nyelv panel mutatása:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Belépve ibus indítása"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr ""
-"A következő eljárás gyorsbillentyű a következő bevitel eljárásra kapcsol"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 #, fuzzy
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "Az előző eljárás gyorsbillentyű az előző bevitel eljárásra kapcsol"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Saját betű használata"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "Saját betű használata a nyelv panelen"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Önműködő rejtés"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Saját betű"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Saját betű neve a nyelv panelen"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Következő eljárás gyorsbillentyű"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
-"A következő eljárás gyorsbillentyű a következő bevitel eljárásra kapcsol"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Kereső táblázat iránya"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Kereső táblázat iránya. 0 = vízszintes, 1 = függőleges"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Eljárások előtöltése"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Eljárások előre betöltése ibus indulásakor"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Előző eljárás gyorsbillentyű"
+"soha\n"
+"aktívan\n"
+"mindig"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "Az előző eljárás gyorsbillentyű az előző bevitel eljárásra kapcsol"
+#~ msgid "Custom Font"
+#~ msgstr "Saját betű"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "Saját betű neve a nyelv panelen"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"A nyelv panel viselkedése. 0 = mindig rejtve, 1 = rejtőzködő, 2 = mindig "
-"látható"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Saját betű neve a nyelv panelen"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Ravasz gyorsbillentyű"
+#~ msgid "Use Custom Font"
+#~ msgstr "Saját betű használata"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "A ravasz gyorsbillentyű engedi vagy tiltja bevitel környezetet"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr ""
+#~ "A következő eljárás gyorsbillentyű a következő bevitel eljárásra kapcsol"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Saját betű használata"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "Az előző eljárás gyorsbillentyű az előző bevitel eljárásra kapcsol"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Saját betű használata a nyelv panelen"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "A ravasz gyorsbillentyű engedi vagy tiltja bevitel környezetet"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Ctrl+szóköz]"
diff -pruN 1.2.0.20090904-1/po/ja.po 1.2.0.20091024-1/po/ja.po
--- 1.2.0.20090904-1/po/ja.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/ja.po	2009-10-24 04:23:05.000000000 +0100
@@ -3,15 +3,16 @@
 # This file is distributed under the same license as the ibus package.
 # UTUMI Hirosi <utuhiro78@yahoo.co.jp>, 2008.
 # IWAI, Masaharu <iwai@alib.jp>, 2009
+# Hyu_gabaru Ryu_ichi <hyu_gabaru@yahoo.co.jp>, 2009.
 #
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ibus VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-09-03 10:38+0900\n"
-"PO-Revision-Date: 2009-04-11 03:13+0900\n"
-"Last-Translator: IWAI, Masaharu <iwai@alib.jp>\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-08 17:31+0900\n"
+"Last-Translator: Hyu_gabaru Ryu_ichi <hyu_gabaru@yahoo.co.jp>\n"
 "Language-Team: Japanese <gnome-translation@gnome.gr.jp>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -21,87 +22,93 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus インプットメソッドフレームワーク"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "その他"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "再起動"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "インプットメソッドをオフにする"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "入力ウィンドウがありません"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus は、Linux/Unix のためのインテリジェントなインプットバスです。"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr ""
 "UTUMI Hirosi <utuhiro78@yahoo.co.jp>\n"
-"IWAI, Masaharu <iwai@alib.jp>"
+"IWAI, Masaharu <iwai@alib.jp>\n"
+"日向原 龍一 <hyu_gabaru@yahoo.co.jp>"
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "インプットメソッド"
+msgstr "インプットメソッドについて"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "インプットメソッドがありません"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "情報"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "言語: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "キーボードレイアウト: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "作者: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "説明:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "トリガー"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "次のインプットメソッド"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "ひとつ前のインプットメソッド"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus デーモンが動いていません。起動しますか？"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -115,24 +122,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s のキーボードショートカットを選択"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "キーボードショートカット"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "キーコード:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "モディファイア:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -140,44 +147,137 @@ msgstr ""
 "キーもしくはキーの組み合わせを入力してください。\n"
 "キーを離すとダイアログを閉じます"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "キーもしくはキーの組み合わせを入力してください"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "インプットメソッドの選択"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "インプットメソッド"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus の設定"
+
+#: ../data/ibus.schemas.in.h:1
+msgid "Auto hide"
+msgstr "自動的に隠す"
+
+#: ../data/ibus.schemas.in.h:2
+msgid "Custom font"
+msgstr "カスタムフォント"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "言語パネル用のカスタムフォント名"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "次のエンジンへのホットキー"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "検索テーブルの方位。0 = 横、1 = 縦"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "検索テーブルの方位"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus の開始中にエンジンをプリロード"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "エンジンのプリロード"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "前のエンジンへのホットキー"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "言語バーにインプットメソッド名を表示する"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "言語バーにインプットメソッド名を表示する"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "言語パネルの動作。0 = 常に隠す、1 = 自動的に隠す、2 = 常に表示"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "リストの中で次のインプットメソッドに切り替えるためのショートカットキー"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "インプットメソッドをオン、オフするためのショートカットキーを設定します"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "トリガーホットキー"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "カスタムフォントを使う"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "言語パネル用にカスタムフォント名を使用する"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "システムキーボード (XKB) レイアウトを使用する"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "システムキーボードレイアウトを使用する"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>フォントとスタイル</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>キーボードレイアウト</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>キーボードショートカット</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>スタートアップ</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -193,7 +293,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -201,216 +301,144 @@ msgstr ""
 "<small><i>デフォルトのインプットメソッドはリストの中で一番上のものです。\n"
 "「上へ/下へ」ボタンを使ってデフォルトを変更できます。</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "選択したインプットメソッドを有効なインプットメソッドへ追加します"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "詳細"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "候補ウィンドウの向き:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "言語バーと候補用にフォントを選択します"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "カスタムフォント:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "切り替え"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "言語バーと候補用にフォントを選択します"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "一般"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
-msgstr ""
-"横\n"
-"縦"
-
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus の設定"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
+msgstr "横"
 
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 "選択したインプットメソッドを有効なインプットメソッドの中で下へ移動します"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 "選択したインプットメソッドを有効なインプットメソッドの中で上へ移動します"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"表示しない\n"
-"有効なときだけ表示する\n"
-"常に表示する"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "次のインプットメソッド:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "ひとつ前のインプットメソッド:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "選択したインプットメソッドを有効なインプットメソッドから削除します"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "言語バーをどのように表示するもしくは隠すかの ibus の動作を設定します"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "ルックアップテーブルの中で候補ウィンドウの向きを設定します"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "インプットメソッドをオン、オフするためのショートカットキーを設定します"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "選択したインプットメソッドの情報を表示します"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "言語バーにインプットメソッド名を表示する"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr ""
-"チェックボックスをチェックしたときに言語バー上でインプットメソッドの名前を"
-"表示します"
+"チェックボックスをチェックしたときに言語バー上でインプットメソッドの名前を表"
+"示します"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "言語パネルの表示:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "ログイン時に IBus を起動"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "リストの中で次のインプットメソッドに切り替えるためのショートカットキー"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "リストの中で前のインプットメソッドに切り替えるためのショートカットキー"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "カスタムフォントを使う"
+msgstr ""
+"リストの中でひとつ前のインプットメソッドに切り替えるためのショートカットキー"
 
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "言語バーと候補用にカスタムフォントを使用します"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "システムキーボード (XKB) レイアウトを使用する"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "システムキーボードレイアウトを使用する"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "カスタムフォント"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:4
+#: ../setup/setup.ui.h:48
 #, fuzzy
-msgid "Next Engine Hotkey"
-msgstr "次のエンジン"
+msgid "Vertical"
+msgstr "縦"
 
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:10
+#: ../setup/setup.ui.h:49
 #, fuzzy
-msgid "Prev Engine Hotkey"
-msgstr "前のエンジン"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
+msgid "When active"
 msgstr ""
+"表示しない\n"
+"有効なときだけ表示する\n"
+"常に表示する"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "カスタムフォント"
 
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "言語パネルの表示:"
+#~ msgid "Show IM Name"
+#~ msgstr "IM 名の表示"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
+#~ msgid "Show IM name on language bar"
+#~ msgstr "言語バーでの IM 名の表示"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr ""
+#~ msgid "Use Custom Font"
+#~ msgstr "カスタムフォントを使う"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr ""
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr ""
+#~ "次のインプットメソッドエンジンへの切り替え用の次のエンジンへのホットキー"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "カスタムフォントを使う"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr ""
+#~ "ひとつ前のインプットメソッドエンジンへの切り替え用の前のエンジンへのホット"
+#~ "キー"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "言語パネル用にカスタムフォント名を使用する"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "入力コンテンツを有効や無効にするためのトリガーホットキー"
+
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
 
 #~ msgid "Switch engine"
 #~ msgstr "エンジンの変更"
diff -pruN 1.2.0.20090904-1/po/kn.po 1.2.0.20091024-1/po/kn.po
--- 1.2.0.20090904-1/po/kn.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/kn.po	2009-10-24 04:23:05.000000000 +0100
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.kn\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-06-08 17:55+0530\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-07 15:12+0530\n"
 "Last-Translator: Shankar Prasad <svenkate@redhat.com>\n"
 "Language-Team: Kannada <en@li.org>\n"
 "MIME-Version: 1.0\n"
@@ -21,86 +21,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ಇನ್‌ಪುಟ್ ವಿಧಾನದ ಫ್ರೇಮ್‌ವರ್ಕ್"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "ಇತರೆ"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "ಪುನರಾರಂಭಿಸು"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "ಯಾವುದೆ ಇನ್‌ಪುಟ್ ವಿಧಾನವಿಲ್ಲ"
+msgstr "ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಆಫ್‌ ಮಾಡಿ"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "ಯಾವುದೆ ಇನ್‌ಪುಟ್ ವಿಂಡೊ ಇಲ್ಲ"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus ಎನ್ನುವುದು Linux/Unix ಗಾಗಿನ ಒಂದು ಚತುರ ಇನ್‌ಪುಟ್ ಬಸ್."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "ಶಂಕರ್ ಪ್ರಸಾದ್ <svenkate@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "ಇನ್‌ಪುಟ್ ವಿಧಾನಗಳು"
+msgstr "ಇನ್‌ಪುಟ್ ವಿಧಾನದ ಬಗೆಗೆ"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಬದಲಾಯಿಸು"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "ಇದರ ಬಗ್ಗೆ"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
-msgstr ""
+msgstr "ಭಾಷೆ: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
-#, fuzzy, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
-msgstr "ಕೀಲಿಮಣೆ ಶಾರ್ಟ್-ಕಟ್‌ಗಳು"
+msgstr "ಕೀಲಿಮಣೆ ವಿನ್ಯಾಸ: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
-msgstr ""
+msgstr "ಕತೃ: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
-msgstr ""
+msgstr "ವಿವರಣೆ:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ಟ್ರಿಗರ್"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "ಮುಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "ಹಿಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ಡೀಮನ್ ಇನ್ನೂ ಸಹ ಆರಂಭಗೊಂಡಿಲ್ಲ. ನೀವದನ್ನು ಈಗಲೆ ಆರಂಭಿಸಲು ಬಯಸುತ್ತೀರೆ?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -114,24 +118,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s ಗಾಗಿ ಕೀಲಿಮಣೆ ಶಾರ್ಟ್-ಕಟ್‌ ಕೀಲಿಯನ್ನು ಆಯ್ಕೆ ಮಾಡಿ"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "ಕೀಲಿಮಣೆ ಶಾರ್ಟ್-ಕಟ್‌ಗಳು"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "ಕೀಲಿ ಸಂಕೇತ:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "ಮಾರ್ಪಡಕಗಳು:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -139,46 +143,140 @@ msgstr ""
 "ದಯವಿಟ್ಟು ಒಂದು ಕೀಲಿಯನ್ನು (ಅಥವ ಒಂದು ಕೀಲಿ ಸಂಯೋಜನೆಯನ್ನು) ಒತ್ತಿ.\n"
 "ಕೀಲಿಯನ್ನು ಬಿಟ್ಟಾಗ ಸಂವಾದವು ಮುಚ್ಚಲ್ಪಡುತ್ತದೆ."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "ದಯವಿಟ್ಟು ಒಂದು ಕೀಲಿಯನ್ನು (ಅಥವ ಒಂದು ಕೀಲಿ ಸಂಯೋಜನೆಯನ್ನು) ಒತ್ತಿ"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ಒಂದು ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಆಯ್ಕೆ ಮಾಡಿ"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
-#, fuzzy
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
-msgstr "ಇನ್‌ಪುಟ್ ವಿಧಾನಗಳು"
+msgstr "ಇನ್‌ಪುಟ್ ವಿಧಾನ"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus ಆದ್ಯತೆಗಳು"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "ಸ್ವಯಂ ಅಡಗಿಸುವಿಕೆ"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿ:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿನ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರು"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "ಮುಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "ನೋಡಬೇಕಿರುವ (ಲುಕ್‌ಅಪ್‌) ಕೋಷ್ಟಕದ ಹೊಂದಿಕೆ. 0 = ಅಡ್ಡಲಾಗಿ, 1 = ಲಂಬವಾಗಿ"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "ನೋಡಬೇಕಿರುವ (ಲುಕ್‌ಅಪ್‌) ಕೋಷ್ಟಕದ ಹೊಂದಿಕೆ"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus ಆರಂಭಗೊಂಡಾಗ ಲೋಡ್ ಮಾಡಲಾದ ಎಂಜಿನ್‌ಗಳು"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "ಮೊದಲೆ ಲೋಡ್ ಮಾಡಲಾದ ಎಂಜಿನ್‌ಗಳು"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "ಹಿಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ಭಾಷೆಯ ಫಲಕದಲ್ಲಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನದ ಹೆಸರನ್ನು ತೋರಿಸು"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "ಭಾಷೆಯ ಫಲಕದಲ್ಲಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನದ ಹೆಸರನ್ನು ತೋರಿಸು"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
 msgstr ""
+"ಭಾಷೆಯ ಫಲಕದ ವರ್ತನೆ. 0 = ಯಾವಾಗಲೂ ಅಡಗಿಸು, 1 = ಸ್ವಯಂ ಅಡಗಿಸು, 2 = ಯಾವಾಗಲೂ ತೋರಿಸು"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "ಪಟ್ಟಿಯಲ್ಲಿನ ಮುಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನಕ್ಕೆ ಬದಲಾಯಿಸಲು ಶಾರ್ಟ್-ಕಟ್‌ ಕೀಲಿಗಳು"
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ಇನ್‌ಪುಟ್‌ ವಿಧಾನಗಳನ್ನು ಆಫ್ ಹಾಗು ಆನ್ ಮಾಡಲು ಶಾರ್ಟ್-ಕೀಲಿಗಳನ್ನು ಹೊಂದಿಸಿ"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ಟ್ರಿಗರ್ ಹಾಟ್‌ಕೀಲಿ"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯನ್ನು ಬಳಸಿ"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರನ್ನು ಬಳಸಿ"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "ವ್ಯವಸ್ಥೆಯ ಕೀಲಿಮಣೆ (XKB) ವಿನ್ಯಾಸವನ್ನು ಬಳಸಿ"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "ವ್ಯವಸ್ಥೆಯ ಕೀಲಿಮಣೆ ವಿನ್ಯಾಸವನ್ನು ಬಳಸಿ"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ಅಕ್ಷರಶೈಲಿ ಹಾಗು ವಿನ್ಯಾಸ</b>"
 
-#: ../setup/setup.glade.h:3
-#, fuzzy
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
-msgstr "<b>ಕೀಲಿಮಣೆ ಶಾರ್ಟ್-ಕಟ್‌ಗಳು</b>"
+msgstr "<b>ಕೀಲಿಮಣೆ ವಿನ್ಯಾಸ</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>ಕೀಲಿಮಣೆ ಶಾರ್ಟ್-ಕಟ್‌ಗಳು</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>ಆರಂಭ</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -194,7 +292,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -202,214 +300,138 @@ msgstr ""
 "<small><i>ಪೂರ್ವನಿಯೋಜಿತ ಇನ್‌ಪುಟ್‌ ವಿಧಾನವು ಪಟ್ಟಿಯ ಮೇಲ್ಬಾಗದಲ್ಲಿದೆ.\n"
 "ಅದನ್ನು ಬದಲಾಯಿಸಲು ನೀವು up/down ಗುಂಡಿಗಳನ್ನು ಬಳಸಬಹುದು.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr ""
+msgstr "ಆಯ್ಕೆ ಮಾಡಲಾದ ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಶಕ್ತಗೊಂಡಿರುವ ಇನ್‌ಪುಟ್‌ ವಿಧಾನಗಳಿಗೆ ಸೇರಿಸಿ"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
+msgstr "ಸುಧಾರಿತ"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "ಅಬ್ಯರ್ಥಿಗಳ ಹೊಂದಿಕೆ:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿನ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರು"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿ:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "ಶಕ್ತಗೊಂಡ ಅಥವ ಅಶಕ್ತಗೊಂಡ:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "ಭಾಷೆಯ ಫಲಕ ಹಾಗು ಅಭ್ಯರ್ಥಿಗಾಗಿ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿ"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "ಸಾಮಾನ್ಯ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "ಅಡ್ಡ\n"
 "ಲಂಬ"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus ಆದ್ಯತೆಗಳು"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
+"ಆಯ್ಕೆ ಮಾಡಲಾದ ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಶಕ್ತಗೊಂಡಿರುವ ಇನ್‌ಪುಟ್‌ ವಿಧಾನಗಳ ಪಟ್ಟಿಯಲ್ಲಿ ಕೆಳಕ್ಕೆ ಜರುಗಿಸಿ"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
+"ಆಯ್ಕೆ ಮಾಡಲಾದ ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಶಕ್ತಗೊಂಡಿರುವ ಇನ್‌ಪುಟ್‌ ವಿಧಾನಗಳ ಪಟ್ಟಿಯಲ್ಲಿ ಮೇಲಕ್ಕೆ ಜರುಗಿಸಿ"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"ಎಂದಿಗೂ ಬೇಡ\n"
-"ಸಕ್ರಿಯವಾಗಿದ್ದಾಗ\n"
-"ಯಾವಾಗಲೂ"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "ಮುಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "ಹಿಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
+"ಆಯ್ಕೆ ಮಾಡಲಾದ ಇನ್‌ಪುಟ್ ವಿಧಾನವನ್ನು ಶಕ್ತಗೊಂಡಿರುವ ಇನ್‌ಪುಟ್‌ ವಿಧಾನಗಳ ಪಟ್ಟಿಯಿಂದ ತೆಗೆದು ಹಾಕಿ"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
+"ಭಾಷಾ ಪಟ್ಟಿಕೆಯನ್ನು ಹೇಗೆ ತೋರಿಸಬೇಕು ಅಥವ ಅಡಗಿಸಬೇಕು ಎನ್ನುವ ibus ನ ವರ್ತನೆಯನ್ನು ಹೊಂದಿಸಿ"
 
-#: ../setup/setup.glade.h:36
-#, fuzzy
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
-msgstr "ನೋಡಬೇಕಿರುವ (ಲುಕ್‌ಅಪ್‌) ಕೋಷ್ಟಕದ ಹೊಂದಿಕೆ"
+msgstr "ನೋಡಬೇಕಿರುವ (ಲುಕ್‌ಅಪ್‌) ಕೋಷ್ಟಕದ ವಾಲಿಕೆಯನ್ನು ಹೊಂದಿಸಿ"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:39
-#, fuzzy
-msgid "Show input method name on language bar"
-msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿನ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರು"
+msgstr "ಆಯ್ಕೆ ಮಾಡಲಾದ ಇನ್‌ಪುಟ್ ವಿಧಾನದ ಮಾಹಿತಿಯನ್ನು ತೋರಿಸು"
 
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "ಗುರುತುಚೌಕದಲ್ಲಿ ಗುರುತು ಹಾಕಿದಾಗ ಭಾಷಾ ಪಟ್ಟಿಯಲ್ಲಿ ಇನ್‌ಪುಟ್ ವಿಧಾನದ ಹೆಸರನ್ನು ತೋರಿಸು"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ಭಾಷೆಯ ಫಲಕವನ್ನು ತೋರಿಸು:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "ಪ್ರವೇಶಿಸಿದಾಗ ibus ಅನ್ನು ಆರಂಭಿಸು"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "ಮುಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ ಎಂಜಿನ್‌ಗೆ ಬದಲಾಯಿಸಲು ಮುಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
-
-#: ../setup/setup.glade.h:44
-#, fuzzy
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "ಹಿಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ ಎಂಜಿನ್‌ಗೆ ಬದಲಾಯಿಸಲು ಹಿಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
+msgstr "ಪಟ್ಟಿಯಲ್ಲಿನ ಹಿಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನಕ್ಕೆ ಬದಲಾಯಿಸಲು ಶಾರ್ಟ್-ಕಟ್‌ ಕೀಲಿಗಳು"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯನ್ನು ಬಳಸಿ"
-
-#: ../setup/setup.glade.h:46
-#, fuzzy
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
-msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರನ್ನು ಬಳಸಿ"
+msgstr "ಭಾಷೆಯ ಫಲಕ ಹಾಗು ಅಭ್ಯರ್ಥಿಗಳಿಗಾಗಿ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯನ್ನು ಬಳಸಿ"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"ಎಂದಿಗೂ ಬೇಡ\n"
+"ಸಕ್ರಿಯವಾಗಿದ್ದಾಗ\n"
+"ಯಾವಾಗಲೂ"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "ಸ್ವಯಂ ಅಡಗಿಸುವಿಕೆ"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿ"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿನ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರು"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "ಮುಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "ಮುಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ ಎಂಜಿನ್‌ಗೆ ಬದಲಾಯಿಸಲು ಮುಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "ನೋಡಬೇಕಿರುವ (ಲುಕ್‌ಅಪ್‌) ಕೋಷ್ಟಕದ ಹೊಂದಿಕೆ"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "ನೋಡಬೇಕಿರುವ (ಲುಕ್‌ಅಪ್‌) ಕೋಷ್ಟಕದ ಹೊಂದಿಕೆ. 0 = ಅಡ್ಡಲಾಗಿ, 1 = ಲಂಬವಾಗಿ"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "ಮೊದಲೆ ಲೋಡ್ ಮಾಡಲಾದ ಎಂಜಿನ್‌ಗಳು"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus ಆರಂಭಗೊಂಡಾಗ ಲೋಡ್ ಮಾಡಲಾದ ಎಂಜಿನ್‌ಗಳು"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "ಹಿಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
+#~ msgid "Custom Font"
+#~ msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿ"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "ಹಿಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ ಎಂಜಿನ್‌ಗೆ ಬದಲಾಯಿಸಲು ಹಿಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
+#~ msgid "Show IM Name"
+#~ msgstr "IM ಹೆಸರನ್ನು ತೋರಿಸು"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Show IM name on language bar"
+#~ msgstr "IM ಹೆಸರು ಅಥವ ಭಾಷೆಯ ಫಲಕವನ್ನು ತೋರಿಸು"
 
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿನ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರು"
+#~ msgid "Use Custom Font"
+#~ msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯನ್ನು ಬಳಸಿ"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"ಭಾಷೆಯ ಫಲಕದ ವರ್ತನೆ. 0 = ಯಾವಾಗಲೂ ಅಡಗಿಸು, 1 = ಸ್ವಯಂ ಅಡಗಿಸು, 2 = ಯಾವಾಗಲೂ ತೋರಿಸು"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ಟ್ರಿಗರ್ ಹಾಟ್‌ಕೀಲಿ"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "ಮುಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ ಎಂಜಿನ್‌ಗೆ ಬದಲಾಯಿಸಲು ಮುಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ಇನ್‌ಪುಟ್ ಸನ್ನಿವೇಶವನ್ನು ಶಕ್ತಗೊಳಿಸಲು ಅಥವ ಅಶಕ್ತಗೊಳಿಸಲು ಟ್ರಿಗರ್ ಹಾಟ್‌ಕೀಲಿ"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "ಹಿಂದಿನ ಇನ್‌ಪುಟ್ ವಿಧಾನ ಎಂಜಿನ್‌ಗೆ ಬದಲಾಯಿಸಲು ಹಿಂದಿನ ಎಂಜಿನ್ ಹಾಟ್‌ಕೀಲಿ"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯನ್ನು ಬಳಸಿ"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ಇನ್‌ಪುಟ್ ಸನ್ನಿವೇಶವನ್ನು ಶಕ್ತಗೊಳಿಸಲು ಅಥವ ಅಶಕ್ತಗೊಳಿಸಲು ಟ್ರಿಗರ್ ಹಾಟ್‌ಕೀಲಿ"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ಭಾಷೆಯ ಫಲಕಕ್ಕಾಗಿ ಇಚ್ಛೆಯ ಅಕ್ಷರಶೈಲಿಯ ಹೆಸರನ್ನು ಬಳಸಿ"
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/ko.po 1.2.0.20091024-1/po/ko.po
--- 1.2.0.20090904-1/po/ko.po	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/po/ko.po	2009-10-24 04:23:05.000000000 +0100
@@ -0,0 +1,432 @@
+# translation of ibus.master.ibus.po to Korean
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+#
+# Eunju Kim <eukim@redhat.com>, 2009.
+msgid ""
+msgstr ""
+"Project-Id-Version: ibus.master.ibus\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-10 14:06+1000\n"
+"Last-Translator: Eunju Kim <eukim@redhat.com>\n"
+"Language-Team: Korean <ko@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.11.4\n"
+"Plural-Forms:  nplurals=1; plural=0;\n"
+
+#: ../bus/ibus.desktop.in.h:1
+msgid "IBus"
+msgstr "IBus"
+
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
+msgid "IBus input method framework"
+msgstr "IBus 입력 방식 프레임워크  "
+
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
+msgid "Other"
+msgstr "기타  "
+
+#: ../ui/gtk/panel.py:322
+msgid "Restart"
+msgstr "재시작  "
+
+#: ../ui/gtk/panel.py:377
+msgid "Turn off input method"
+msgstr "입력 방식 해제  "
+
+#: ../ui/gtk/panel.py:410
+msgid "No input window"
+msgstr "입력 창이 없음  "
+
+#: ../ui/gtk/panel.py:438
+msgid "IBus is an intelligent input bus for Linux/Unix."
+msgstr "IBus는 Linux/Unix를 위한 지능형 입력 버스입니다. "
+
+#: ../ui/gtk/panel.py:442
+msgid "translator-credits"
+msgstr "김은주 (eukim@redhat.com)  "
+
+#: ../ui/gtk/languagebar.py:103
+msgid "About the Input Method"
+msgstr "입력 방식 정보  "
+
+#: ../ui/gtk/languagebar.py:166
+msgid "Switch input method"
+msgstr "입력 방식 전환  "
+
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
+msgid "About"
+msgstr "정보  "
+
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
+#, python-format
+msgid "Language: %s\n"
+msgstr "언어: %s\n"
+
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
+msgid "Keyboard layout: %s\n"
+msgstr "키보드 레이아웃: %s\n"
+
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
+#, python-format
+msgid "Author: %s\n"
+msgstr "저자: %s\n"
+
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
+msgid "Description:\n"
+msgstr "설명:\n"
+
+#: ../setup/main.py:106
+msgid "trigger"
+msgstr "트리거  "
+
+#: ../setup/main.py:117
+msgid "next input method"
+msgstr "다음 입력 방식   "
+
+#: ../setup/main.py:128
+msgid "previous input method"
+msgstr "이전 입력 방식  "
+
+#: ../setup/main.py:237
+msgid "IBus daemon is not started. Do you want to start it now?"
+msgstr "Bus 데몬이 시작되지 않았습니다. 지금 시작하시겠습니까?  "
+
+#: ../setup/main.py:252
+msgid ""
+"IBus has been started! If you can not use IBus, please add below lines in "
+"$HOME/.bashrc, and relogin your desktop.\n"
+"  export GTK_IM_MODULE=ibus\n"
+"  export XMODIFIERS=@im=ibus\n"
+"  export QT_IM_MODULE=ibus"
+msgstr ""
+"IBus를 시작했습니다! IBus를 사용할 수 없는 경우, 다음을 $HOME/.bashrc에 추가"
+"하고 다시 로그인하십시오.\n"
+"  export GTK_IM_MODULE=ibus\n"
+"  export XMODIFIERS=@im=ibus\n"
+"  export QT_IM_MODULE=ibus "
+
+#: ../setup/main.py:267
+#, python-format
+msgid "Select keyboard shortcut for %s"
+msgstr "%s의 키보드 단축키를 선택   "
+
+#: ../setup/keyboardshortcut.py:55
+msgid "Keyboard shortcuts"
+msgstr "키보드 단축기   "
+
+#: ../setup/keyboardshortcut.py:66
+msgid "Key code:"
+msgstr "키 코드:  "
+
+#: ../setup/keyboardshortcut.py:81
+msgid "Modifiers:"
+msgstr "수정자:  "
+
+#: ../setup/keyboardshortcut.py:228
+msgid ""
+"Please press a key (or a key combination).\n"
+"The dialog will be closed when the key is released."
+msgstr ""
+"키 또는 키 조합을 입력하십시오.\n"
+"키를 입력하면 대화 상자가 닫히게 됩니다.  "
+
+#: ../setup/keyboardshortcut.py:230
+msgid "Please press a key (or a key combination)"
+msgstr "키 또는 키 조합을 입력하십시오. "
+
+#: ../setup/enginecombobox.py:100
+msgid "Select an input method"
+msgstr "입력 방식을 선택합니다  "
+
+#. create im name & icon column
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
+msgid "Input Method"
+msgstr "입력 방식  "
+
+#: ../setup/enginetreeview.py:88
+msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus 환경 설정  "
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "자동 숨기기  "
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "사용자 정의 글꼴:  "
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "언어 패널 용 사용자 정의 글꼴 이름  "
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "다음 엔진 핫키   "
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "룩업 테이블의 방향. 0 = 가로, 1 = 세로  "
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "룩업 테이블의 방향  "
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus 시작 시 엔진 미리로드  "
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "엔진 미리로드  "
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "이전 엔진 핫키  "
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "입력 도구 모음에 있는 입력 방식 이름 표시   "
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "입력 도구 모음에 있는 입력 방식 이름 표시   "
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "언어 패널의 동작 0 = 항상 숨기기, 1 = 자동 숨기기, 2 = 항상 표시  "
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "목록에 있는 다음 입력 방식으로 전환하기 위한 단축키  "
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "입력 방식을 활성 또는 해제하기 위한 단축키 설정  "
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "트리거 핫키  "
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "사용자 정의 글꼴 사용  "
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "언어 패널 용 사용자 정의 글꼴 이름 사용  "
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "시스템 키보드 (XKB) 레이아웃 사용  "
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "시스템 키보드 레이아웃 사용  "
+
+#: ../setup/setup.ui.h:1
+msgid "..."
+msgstr "..."
+
+#: ../setup/setup.ui.h:2
+msgid "<b>Font and Style</b>"
+msgstr "<b>글꼴 및 스타일</b> "
+
+#: ../setup/setup.ui.h:3
+msgid "<b>Keyboard Layout</b>"
+msgstr "<b>키보드 레이아웃</b>  "
+
+#: ../setup/setup.ui.h:4
+msgid "<b>Keyboard Shortcuts</b>"
+msgstr "<b>키보드 단축키</b>  "
+
+#: ../setup/setup.ui.h:5
+msgid "<b>Startup</b>"
+msgstr "<b>시작</b>  "
+
+#: ../setup/setup.ui.h:6
+msgid ""
+"<big><b>IBus</b></big>\n"
+"<small>The intelligent input bus</small>\n"
+"Homepage: http://code.google.com/p/ibus\n"
+"\n"
+"\n"
+"\n"
+msgstr ""
+"<big><b>IBus</b></big>\n"
+"<small>지능형 입력 버스</small>\n"
+"홈페이지: http://code.google.com/p/ibus\n"
+"\n"
+"\n"
+"\n"
+
+#: ../setup/setup.ui.h:13
+msgid ""
+"<small><i>The default input method is the top one in the list.\n"
+"You may use up/down buttons to change it.</i></small>"
+msgstr ""
+"<small><i>기본값 입력 방식은 목록 맨 위에 있습니다.\n"
+"위로/아래로 버튼을 사용하여 기본값을 변경할 수 있습니다.</i></small> "
+
+#: ../setup/setup.ui.h:16
+msgid "Add the selected input method into the enabled input methods"
+msgstr "활성화된 입력 방식에 선택한 입력 방식을 추가합니다  "
+
+#: ../setup/setup.ui.h:17
+msgid "Advanced"
+msgstr "고급  "
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
+msgid "Candidates orientation:"
+msgstr "후보 창의 방향:  "
+
+#: ../setup/setup.ui.h:20
+msgid "Custom font:"
+msgstr "사용자 정의 글꼴:  "
+
+#: ../setup/setup.ui.h:21
+msgid "Enable or disable:"
+msgstr "활성화 또는 비활성화:  "
+
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "도구 모음 및 후보에 대한 글꼴 선택  "
+
+#: ../setup/setup.ui.h:23
+msgid "General"
+msgstr "일반  "
+
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
+msgstr ""
+"가로\n"
+"세로  "
+
+#: ../setup/setup.ui.h:27
+msgid "Move down the selected input method in the enabled input methods"
+msgstr "활성화된 입력 방식에서 선택한 입력 방식을 아래로 이동합니다     "
+
+#: ../setup/setup.ui.h:28
+msgid "Move up the selected input method in the enabled input methods list"
+msgstr "활성화된 입력 방식 목록에서 선택한 입력 방식을 위로 이동합니다  "
+
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr ""
+
+#: ../setup/setup.ui.h:30
+msgid "Next input method:"
+msgstr "다음 입력 방식:  "
+
+#: ../setup/setup.ui.h:31
+msgid "Previous input method:"
+msgstr "이전 입력 방식:  "
+
+#: ../setup/setup.ui.h:32
+msgid "Remove the selected input method from the enabled input methods"
+msgstr "활성화된 입력 방식에서 선택한 입력 방식을 제거  "
+
+#: ../setup/setup.ui.h:33
+msgid "Set the behavior of ibus how to show or hide language bar"
+msgstr "입력 도구 모음을 표시 또는 숨기는 방법에 대한 ibus 동작 설정     "
+
+#: ../setup/setup.ui.h:34
+msgid "Set the orientation of candidates in lookup table"
+msgstr "룩업 테이블에서 후보 창의 방향 설정  "
+
+#: ../setup/setup.ui.h:36
+msgid "Show information of the selected input method"
+msgstr "선택한 입력 방식의 정보 표시  "
+
+#: ../setup/setup.ui.h:38
+msgid "Show input method's name on language bar when check the checkbox"
+msgstr "확인란을 선택하면 입력 도구 모음에 있는 입력 방식의 이름 표시   "
+
+#: ../setup/setup.ui.h:39
+msgid "Show language panel:"
+msgstr "언어 패널 표시:  "
+
+#: ../setup/setup.ui.h:40
+msgid "Start ibus on login"
+msgstr "로그인 시 ibus 시작  "
+
+#: ../setup/setup.ui.h:42
+msgid "The shortcut keys for switching to previous input method in the list"
+msgstr "목록에 있는 이전 입력 방식으로 전환하기 위한 단축키   "
+
+#: ../setup/setup.ui.h:45
+msgid "Use custom font for language bar and candidates"
+msgstr "입력 도구 모음 및 후보에 대해 사용자 정의 글꼴 사용   "
+
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
+
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"숨기기\n"
+"활성화된 경우에만 표시\n"
+"항상 표시   "
+
+#~ msgid "Custom Font"
+#~ msgstr "사용자 정의 글꼴  "
+
+#~ msgid "Show IM Name"
+#~ msgstr "IM 이름 표시  "
+
+#~ msgid "Show IM name on language bar"
+#~ msgstr "도구 모음에 있는 IM 이름 표시   "
+
+#~ msgid "Use Custom Font"
+#~ msgstr "사용자 정의 글꼴 사용  "
+
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "다음 입력 방식 엔진으로 전환하기 위한 다음 엔진 핫키  "
+
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "이전 입력 방식 엔진으로 전환하기 위한 이전 엔진 핫키  "
+
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "활성화 또는 비활성화 입력 문맥 용 트리거 핫키  "
+
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/LINGUAS 1.2.0.20091024-1/po/LINGUAS
--- 1.2.0.20090904-1/po/LINGUAS	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/po/LINGUAS	2009-10-13 01:27:49.000000000 +0100
@@ -11,11 +11,13 @@ hi
 hu
 ja
 kn
+ko
 ml
 mr
 or
 pa
 pl
+ru
 sr
 sr@latin
 ta
diff -pruN 1.2.0.20090904-1/po/Makefile.in.in 1.2.0.20091024-1/po/Makefile.in.in
--- 1.2.0.20090904-1/po/Makefile.in.in	2009-06-14 07:32:21.000000000 +0100
+++ 1.2.0.20091024-1/po/Makefile.in.in	2009-10-13 06:59:25.000000000 +0100
@@ -56,7 +56,7 @@ ALL_LINGUAS = @ALL_LINGUAS@
 
 PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)
 
-USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep '^$$lang$$' $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep '^$$lang$$'`"; then printf "$$lang "; fi; done; fi)
+USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)
 
 USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)
 
@@ -129,7 +129,7 @@ install-data-yes: all
 	done
 
 # Empty stubs to satisfy archaic automake needs
-dvi info tags TAGS ID:
+dvi info ctags tags CTAGS TAGS ID:
 
 # Define this as empty until I found a useful application.
 install-exec installcheck:
diff -pruN 1.2.0.20090904-1/po/Makevars 1.2.0.20091024-1/po/Makevars
--- 1.2.0.20090904-1/po/Makevars	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/po/Makevars	2009-10-23 08:56:46.000000000 +0100
@@ -18,7 +18,7 @@ XGETTEXT_OPTIONS = --keyword=_ --keyword
 # or entity, or to disclaim their copyright.  The empty string stands for
 # the public domain; in this case the translators are expected to disclaim
 # their copyright.
-COPYRIGHT_HOLDER = Huang Peng <shawn.p.huang@gmail.com>
+COPYRIGHT_HOLDER = Peng Huang <shawn.p.huang@gmail.com>
 
 # This is the email address or URL to which the translators shall report
 # bugs in the untranslated strings:
diff -pruN 1.2.0.20090904-1/po/ml.po 1.2.0.20091024-1/po/ml.po
--- 1.2.0.20090904-1/po/ml.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/ml.po	2009-10-24 04:23:05.000000000 +0100
@@ -8,10 +8,11 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.ml\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-09-03 02:39+0000\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-09-03 11:08+0530\n"
 "Last-Translator: Ani Peter <apeter@redhat.com>\n"
-"Language-Team:  Swathantra Malayalam Computing|സ്വതന്ത്ര മലയാളം കമ്പ്യൂട്ടിങ്  <smc-discuss@googlegroups.com>\n"
+"Language-Team:  Swathantra Malayalam Computing|സ്വതന്ത്ര മലയാളം കമ്പ്യൂട്ടിങ്  <smc-"
+"discuss@googlegroups.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -21,84 +22,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ഇന്‍പുട്ട് മെഥേഡ് ആകൃതി"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "മറ്റുള്ളവ"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "വീണ്ടും ആരംഭിക്കുക"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "ഇന്‍പുട്ട് മെഥേഡ് ഓഫ് ചെയ്യുക"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "ഇന്‍പുട്ട് ജാലകം ലഭ്യമല്ല"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "ലിനക്സ്/യുണിക്സിനുള്ള ഇന്റലിജന്റ് ഇന്‍പുട്ട് ബസാണു് IBus."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "അനി പീറ്റര്‍ <apeter@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "ഇന്‍പുട്ട് മെഥേഡ് സംബന്ധിച്ചു്"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ഇന്‍പുട്ട് മെഥേഡ് മാറ്റുക"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "സംബന്ധിച്ചു്"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "ഭാഷ: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "കീബോര്‍ഡ് മാതൃക: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "രചയിതാവു്: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "വിവരണം:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ട്രിഗ്ഗര്‍ ചെയ്യുക"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "അടുത്ത ഇന്‍പുട്ട് മെഥേഡ്"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "മുമ്പുള്ള ഇന്‍പുട്ട് മെഥേഡ്"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ഡെമണ്‍ ആരംഭിച്ചിട്ടില്ല. നിങ്ങള്‍ക്കിതു് ഉടന്‍ ആരംഭിക്കണമോ?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -112,24 +119,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s-നുള്ള കീബോര്‍ഡ് എളുപ്പവഴി തെരഞ്ഞെടുക്കുക"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "കീബോര്‍ഡ് എളുപ്പവഴികള്‍"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "കീ കോഡ്:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "മോഡിഫയറുകള്‍:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -137,44 +144,141 @@ msgstr ""
 "ദയവായി ഒരു കീ അമര്‍ത്തുക (അല്ലെങ്കില്‍ ഒരു കീ കൂട്ട്).\n"
 "കീ റിലീസ് ചെയ്യുമ്പോള്‍ ഡയലോഗ് അടയ്ക്കുന്നു."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "ദയവായി ഒരു കീ അമര്‍ത്തുക (അല്ലെങ്കില്‍ ഒരു കീ കൂട്ട്)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ഒരു ഇന്‍പുട്ട് മെഥേഡ് തെരഞ്ഞെടുക്കുക"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "ഇന്‍പുട്ട് മെഥേഡ്"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus മുന്‍ഗണനകള്‍"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "സ്വയം അദൃശ്യമാക്കുക"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "അക്ഷരസഞ്ചയം സജ്ജമാക്കുക:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ഭാഷയുടെ പാനലിലേക്കുള്ള അക്ഷരസഞ്ചയത്തിനുള്ള പേരു് സജ്ജമാക്കുക"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "അടുത്ത സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "ലുക്കപ്പ് പട്ടികയുടെ ക്രമീകരണം. 0 = നേരെയുള്ള, 1 = കുറുകയുള്ള"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "ലുക്കപ്പ് പട്ടികയുടെ ക്രമീകരണം"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus ആരംഭിക്കുമ്പോള്‍ സംവിധാനങ്ങള്‍ ലഭ്യമാക്കുക"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "സംവിധാനങ്ങള്‍ ലഭ്യമാക്കുക"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "തൊട്ടു് മുമ്പുള്ള സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ഭാഷയുടെ പാനലില്‍ ഇന്‍പുട്ട് മെഥേഡിന്റെ പേരു് കാണിക്കുക"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "ഭാഷയുടെ പാനലില്‍ ഇന്‍പുട്ട് മെഥേഡിന്റെ പേരു് കാണിക്കുക"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"ഭാഷയുടെ പാനലിന്റെ രീതി. 0 = എപ്പോഴും അദൃശ്യം, 1 = സ്വയം അദൃശ്യമാകുക, 2 = എപ്പോഴും കാണിക്കുക"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+"അടുത്ത ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി അടുത്ത സംവിധാനത്തിനുള്ള എളുപ്പവഴി"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ഇന്‍പുട്ട് മെഥേഡ് ഓണ്‍ അല്ലെങ്കില്‍ ഓഫ് ചെയ്യുന്നതിനുള്ള എളുപ്പവളികള്‍ സജ്ജമാക്കുക"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ഹോട്ട്കീ ട്രിഗര്‍ ചെയ്യുക"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "സജ്ജമാക്കിയ അക്ഷരസഞ്ചയം ഉപയോഗിക്കുക"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ഭാഷ്ക്കുള്ള പാനലില്‍ നിങ്ങള്‍ സജ്ജമാക്കിയ അക്ഷരസഞ്ചയത്തിന്റെ പേരു് ഉപയോഗിക്കുക"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "സിസ്റ്റം കീബോര്‍ഡ് (XKB) മാതൃക ഉപയോഗിക്കുക"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "സിസ്റ്റം കീബോര്‍ഡ് മാതൃക ഉപയോഗിക്കുക"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>അക്ഷരസഞ്ചയവും രീതിയും</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>കീബോര്‍ഡ് മാതൃക</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>കീബോര്‍ഡ് എളുപ്പവഴികള്‍</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>ആരംഭത്തില്‍</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -190,7 +294,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -198,209 +302,140 @@ msgstr ""
 "<small><i>പട്ടികയില്‍ ആദ്യമുള്ളതാണു് സ്വതവേയുള്ള ഇന്‍പുട്ട് മെഥേഡ്.\n"
 "ഇതു് മാറ്റുന്നതിനായി മുകളിലേക്കും താഴേക്കും ഉള്ള ബട്ടണ്‍ ഉപയോഗിക്കാം.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "സജ്ജമാക്കിയ ഇന്‍പുട്ട് മെഥേഡുകളിലേക്കു് തെരഞ്ഞെടുത്ത ഇന്‍പുട്ട് മെഥേഡ് ചേര്‍ക്കുക"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "മെച്ചപ്പെട്ടവ"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "ലഭ്യമായവയുടെ ക്രമീകരണങ്ങള്‍:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "ഭാഷയുടെ പാനലിലേക്കുള്ള അക്ഷരസഞ്ചയത്തിനുള്ള പേരും ലഭ്യമായവയും സജ്ജമാക്കുക"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "അക്ഷരസഞ്ചയം സജ്ജമാക്കുക:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "സജ്ജമാക്കുക അല്ലെങ്കില്‍ നിര്‍ജ്ജീവമാക്കുക:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "ഭാഷയുടെ പാനലിലേക്കുള്ള അക്ഷരസഞ്ചയത്തിനുള്ള പേരും ലഭ്യമായവയും സജ്ജമാക്കുക"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "സാധാരണ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "നേരേയുള്ള\n"
 "കുറുകെയുള്ള"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus മുന്‍ഗണനകള്‍"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "സജ്ജമാക്കിയ ഇന്‍പുട്ട് മെഥേഡുകളില്‍ നിന്നും തെരഞ്ഞെടുത്ത ഇന്‍പുട്ട് മെഥേഡ് താഴേക്ക് നീക്കുക"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "സജ്ജമാക്കിയ ഇന്‍പുട്ട് മെഥേഡുകളില്‍ നിന്നും തെരഞ്ഞെടുത്ത ഇന്‍പുട്ട് മെഥേഡ് മുകളിലേക്ക് നീക്കുക"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"ഒരിക്കലും ഇല്ല\n"
-"സജീവമാകുമ്പോള്‍\n"
-"എപ്പോഴും"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "അടുത്ത ഇന്‍പുട്ട് മെഥേഡ്:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "മുമ്പുള്ള ഇന്‍പുട്ട് മെഥേഡ്:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "സജ്ജമാക്കിയ ഇന്‍പുട്ട് മെഥേഡുകളില്‍ നിന്നും തെരഞ്ഞെടുത്ത ഇന്‍പുട്ട് മെഥേഡ് നീക്കം ചെയ്യുക"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "ibus ഭാഷയുടെ പാനല്‍ കാണിക്കണമോ വേണ്ടയോ എന്നതു് സജ്ജമാക്കുക"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "ലുക്കപ്പ് പട്ടികയില്‍ ലഭ്യമായവയുടെ ക്രമീകരണം സജ്ജമാക്കുക"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "ഇന്‍പുട്ട് മെഥേഡ് ഓണ്‍ അല്ലെങ്കില്‍ ഓഫ് ചെയ്യുന്നതിനുള്ള എളുപ്പവളികള്‍ സജ്ജമാക്കുക"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "തെരഞ്ഞെടുത്ത ഇന്‍പുട്ട് മെഥേഡിനെപ്പറ്റിയുള്ള വിവരങ്ങള്‍ കാണിക്കുക"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "ഭാഷയുടെ പാനലില്‍ ഇന്‍പുട്ട് മെഥേഡിന്റെ പേരു് കാണിക്കുക"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "ചെക്ക്ബോക്സ് ചെക്ക് ചെയ്യുമ്പോള്‍ ഭാഷയുടെ പാനലില്‍ ഇന്‍പുട്ട് മെഥേഡിന്റെ പേരു് കാണിക്കുക"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ഭാഷയുടെ പാനല്‍ കാണിക്കുക:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "പ്രവേശിക്കുമ്പോള്‍ തന്നെ ibus ആരംഭിക്കുക"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "അടുത്ത ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി അടുത്ത സംവിധാനത്തിനുള്ള എളുപ്പവഴി"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 "മുമ്പുള്ള ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി തൊട്ടു് മുമ്പുള്ള സംവിധാനത്തിനുള്ള "
 "എളുപ്പവഴി"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "സജ്ജമാക്കിയ അക്ഷരസഞ്ചയം ഉപയോഗിക്കുക"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "ഭാഷ്ക്കുള്ള പാനലില്‍ നിങ്ങള്‍ സജ്ജമാക്കിയ അക്ഷരസഞ്ചയത്തിന്റെ പേരു് ഉപയോഗിക്കുക"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "സിസ്റ്റം കീബോര്‍ഡ് (XKB) മാതൃക ഉപയോഗിക്കുക"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "സിസ്റ്റം കീബോര്‍ഡ് മാതൃക ഉപയോഗിക്കുക"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "സ്വയം അദൃശ്യമാക്കുക"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "അക്ഷരസഞ്ചയം സജ്ജമാക്കുക"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ഭാഷയുടെ പാനലിലേക്കുള്ള അക്ഷരസഞ്ചയത്തിനുള്ള പേരു് സജ്ജമാക്കുക"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "അടുത്ത സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "അടുത്ത ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി അടുത്ത സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "ലുക്കപ്പ് പട്ടികയുടെ ക്രമീകരണം"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "ലുക്കപ്പ് പട്ടികയുടെ ക്രമീകരണം. 0 = നേരെയുള്ള, 1 = കുറുകയുള്ള"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "സംവിധാനങ്ങള്‍ ലഭ്യമാക്കുക"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus ആരംഭിക്കുമ്പോള്‍ സംവിധാനങ്ങള്‍ ലഭ്യമാക്കുക"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "തൊട്ടു് മുമ്പുള്ള സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "മുമ്പുള്ള ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി തൊട്ടു് മുമ്പുള്ള സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"ഒരിക്കലും ഇല്ല\n"
+"സജീവമാകുമ്പോള്‍\n"
+"എപ്പോഴും"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "IM പേരു് കാണിക്കുക"
+#~ msgid "Custom Font"
+#~ msgstr "അക്ഷരസഞ്ചയം സജ്ജമാക്കുക"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "ഭാഷയുടെ പാനലില്‍ IM പേരു് കാണിക്കുക"
+#~ msgid "Show IM Name"
+#~ msgstr "IM പേരു് കാണിക്കുക"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "ഭാഷയുടെ പാനലിന്റെ രീതി. 0 = എപ്പോഴും അദൃശ്യം, 1 = സ്വയം അദൃശ്യമാകുക, 2 = എപ്പോഴും കാണിക്കുക"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "ഭാഷയുടെ പാനലില്‍ IM പേരു് കാണിക്കുക"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ഹോട്ട്കീ ട്രിഗര്‍ ചെയ്യുക"
+#~ msgid "Use Custom Font"
+#~ msgstr "നിങ്ങള്‍ സജ്ജമാക്കിയ അക്ഷരസഞ്ചയം ഉപയോഗിക്കുക"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ഇന്‍പുട്ട് കോണ്‍ടെക്സ്റ്റ് സജ്ജമാക്കുകയോ നിര്‍ജ്ജീവമാക്കുകയോ ചെയ്യുന്നതിനായി ഹോട്ട്കീ ട്രിഗര്‍ ചെയ്യുക"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr ""
+#~ "അടുത്ത ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി അടുത്ത സംവിധാനത്തിനുള്ള ഹോട്ട്കീ"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "നിങ്ങള്‍ സജ്ജമാക്കിയ അക്ഷരസഞ്ചയം ഉപയോഗിക്കുക"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr ""
+#~ "മുമ്പുള്ള ഇന്‍പുട്ട് മെഥേഡ് സംവിധാനത്തിലേക്ക് മാറ്റുന്നതിനായി തൊട്ടു് മുമ്പുള്ള സംവിധാനത്തിനുള്ള "
+#~ "ഹോട്ട്കീ"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ഭാഷ്ക്കുള്ള പാനലില്‍ നിങ്ങള്‍ സജ്ജമാക്കിയ അക്ഷരസഞ്ചയത്തിന്റെ പേരു് ഉപയോഗിക്കുക"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr ""
+#~ "ഇന്‍പുട്ട് കോണ്‍ടെക്സ്റ്റ് സജ്ജമാക്കുകയോ നിര്‍ജ്ജീവമാക്കുകയോ ചെയ്യുന്നതിനായി ഹോട്ട്കീ ട്രിഗര്‍ ചെയ്യുക"
 
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/mr.po 1.2.0.20091024-1/po/mr.po
--- 1.2.0.20090904-1/po/mr.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/mr.po	2009-10-24 04:23:06.000000000 +0100
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-09-01 08:35+0000\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-09-01 16:30+0530\n"
 "Last-Translator: Sandeep Shedmake <sshedmak@redhat.com>\n"
 "Language-Team: Marathi <fedora-trans-mr@redhat.com>\n"
@@ -22,84 +22,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus इन्पुट पद्धती मांडणी"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "इतर"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "पुन्हा चालू करा"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "इंपुट पद्धत बंद करा"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "इंपुट खिडकी आढळली नाही"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "Linux/Unix करीता IBus हे एक हुशार इनपुट बस आहे."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
-msgstr "संदिप शेडमाके <sandeep.shedmake@gmail.com>, 2009; संदिप शेडमाके <sshedmak@redhat.com>, 2009."
+msgstr ""
+"संदिप शेडमाके <sandeep.shedmake@gmail.com>, 2009; संदिप शेडमाके <sshedmak@redhat."
+"com>, 2009."
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "इंपुट पद्धत विषयी"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "इंपुट पद्धत बदला"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "विषयी"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "भाषा: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "कळफलक मांडणी: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "लेखक: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "वर्णन:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ट्रिगर"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "पुढिल इंपुट पद्धत"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "मागील इंपुट पद्धत"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus डिमन सुरू केले गेले नाही. तुम्हाला आता सुरू करायचे?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -113,24 +121,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s करीता कळफलक शार्टकट निवडा"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "कळफलक शार्टकट"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "कि कोड:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "मॉडिफायर:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -138,44 +146,139 @@ msgstr ""
 "कृपया कि (किंवा कि जोडणी) दाबा.\n"
 "कि सोडल्यावर संवाद बंद होईल."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "कृपया कि (किंवा कि जोडणी) दाबा"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "इंपुट पद्धत निवडा"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "इंपुट पद्धत"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus आवड निवड"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "स्वयं लपवा"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "स्वपसंत फॉन्ट:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "भाषा पटल करीता स्वपसंत फॉन्ट नाव"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "पुढील इंजिनची हॉटकि"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "लुकअप टेबलचे निर्देशन. 0 = Horizontal, 1 = Vertical"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "लुकअप टेबलचे निर्देशन"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus सुरू होतेवेळी इंजिन पूर्व दाखल करा"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "इंजिन पूर्व दाखल करा"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "मागील इंचिनचे हॉटकि"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "भाषा पट्टीवरील इंपुट पद्धतीचे नाव दाखवा"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "भाषा पट्टीवरील इंपुट पद्धतीचे नाव दाखवा"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "भाषा पटलाचे वर्तन. 0 = Always hide, 1 = Auto hide, 2 = Always show"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "सूचीतील पुढची इंपुट पद्धत नीवडण्याकरीता वापरण्याजोगी शार्टकट किज्"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "इंपुट पद्धत सुरू किंवा बंद करण्यासाठी शार्टकट किज् ठरवा"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "हॉटकि निर्माण करा"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "स्वपसंत फॉन्ट वापरा"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "भाषा पटल करीत स्वपसंत फॉन्ट नाव वापरा"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "प्रणाली कळफलक (XKB) मांडणीचा वापर करा"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "प्रणाली कळफलक मांडणीचा वापर करा"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>फॉन्ट व शैली</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>कळफलक मांडणी</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>कळफलक शार्टकट</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>स्टार्टअप</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -191,7 +294,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -199,207 +302,134 @@ msgstr ""
 "<small><i>यादीतील प्रथम इन्पुट पद्धती मुलभूत नुरूप आहे.\n"
 "बदलण्याकरीता तुम्ही वर/खाली बटणांचा वापर करू शकता.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "नीवडलेली इंपुट पद्धत कार्यक्षम इंपुट पद्धतींमध्ये समावेश करा"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "प्रगत"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "घटकांचे निर्देशन:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "भाषा पट्टी व घटकांकरीता फॉन्टची नीवड करा"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "स्वपसंत फॉन्ट:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "कार्यान्वीत करा किंवा अकार्यान्वीत करा:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "भाषा पट्टी व घटकांकरीता फॉन्टची नीवड करा"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "सर्वसाधारण"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "आडवे\n"
 "उभे"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus आवड निवड"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "कार्यक्षम इंपुट पद्धतींमध्ये नीवडलेली इंपुट पद्धत खाली सरकवा"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "कार्यक्षम इंपुट पद्धतींमध्ये नीवडलेली इंपुट पद्धत वर सरकवा"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"कधिच नाही\n"
-"सक्रीय असल्यास\n"
-"नेहमी"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "पुढची इंपुट पद्धत:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "मागील इंपुट पद्धत:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "कार्यक्षम इंपुट पद्धतीपासून नीवडलेली इंपुट पद्धत काढून टाका"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "भाषा पट्टी कसे दाखवायचे किंवा लपवायचे यासाठी ibus चे वर्तन ठरवा"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "लुकअप टेबल मधील घटकांचे निर्देशन ठरवा"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "इंपुट पद्धत सुरू किंवा बंद करण्यासाठी शार्टकट किज् ठरवा"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "नीवडलेल्या इंपुट पद्धत विषयी माहिती दाखवा"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "भाषा पट्टीवरील इंपुट पद्धतीचे नाव दाखवा"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "चेकबॉक्स नीवडल्यानंतर भाषा पट्टीवरील इंपुट पद्धतीचे नाव दाखवा"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "भाषा पटल दाखवा:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "प्रवेशवेळी ibus सुरू करा"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "सूचीतील पुढची इंपुट पद्धत नीवडण्याकरीता वापरण्याजोगी शार्टकट किज्"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "सूचीतील मागील इंपुट पद्धत नीवडण्याकरीता वापरण्याजोगी शार्टकट किज्"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "स्वपसंत फॉन्ट वापरा"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "भाषा पट्टी व उपघटकांकरीता स्वपसंत फॉन्टचे नाव वापरा"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "प्रणाली कळफलक (XKB) मांडणीचा वापर करा"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "प्रणाली कळफलक मांडणीचा वापर करा"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "स्वयं लपवा"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "स्वपसंत फॉन्ट"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "भाषा पटल करीता स्वपसंत फॉन्ट नाव"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "पुढील इंजिनची हॉटकि"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "पुढचे इंपुट पद्धत इंजिन वापरण्याकरीता पुढिल इंजिन हॉटकि"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "लुकअप टेबलचे निर्देशन"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "लुकअप टेबलचे निर्देशन. 0 = Horizontal, 1 = Vertical"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "इंजिन पूर्व दाखल करा"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus सुरू होतेवेळी इंजिन पूर्व दाखल करा"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "मागील इंचिनचे हॉटकि"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "मागील इंपुट पद्धत इंजिन वापरण्याकरीता मागील इंजिनचे हॉटकि"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"कधिच नाही\n"
+"सक्रीय असल्यास\n"
+"नेहमी"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "IM नाव दाखवा"
+#~ msgid "Custom Font"
+#~ msgstr "स्वपसंत फॉन्ट"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "भाषा पट्टी करीता IM नाव दाखवा"
+#~ msgid "Show IM Name"
+#~ msgstr "IM नाव दाखवा"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "भाषा पटलाचे वर्तन. 0 = Always hide, 1 = Auto hide, 2 = Always show"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "भाषा पट्टी करीता IM नाव दाखवा"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "हॉटकि निर्माण करा"
+#~ msgid "Use Custom Font"
+#~ msgstr "स्वपसंत फॉन्ट वापरा"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "इनपुट संदर्भ कार्यान्वीत किंवा अकार्यान्वीत करण्याकरीता हॉटकि निर्माण करा"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "पुढचे इंपुट पद्धत इंजिन वापरण्याकरीता पुढिल इंजिन हॉटकि"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "स्वपसंत फॉन्ट वापरा"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "मागील इंपुट पद्धत इंजिन वापरण्याकरीता मागील इंजिनचे हॉटकि"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "भाषा पटल करीत स्वपसंत फॉन्ट नाव वापरा"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "इनपुट संदर्भ कार्यान्वीत किंवा अकार्यान्वीत करण्याकरीता हॉटकि निर्माण करा"
 
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/or.po 1.2.0.20091024-1/po/or.po
--- 1.2.0.20090904-1/po/or.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/or.po	2009-10-24 04:23:06.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.or\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-09-01 02:37+0000\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-09-02 17:31+0530\n"
 "Last-Translator: Manoj Kumar Giri <mgiri@redhat.com>\n"
 "Language-Team: Oriya <oriya-it@googlegroups.com>\n"
@@ -15,7 +15,8 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: KBabel 1.11.4\n"
-"Plural-Forms:  nplurals=2; plural=(n!=1);\n\n"
+"Plural-Forms:  nplurals=2; plural=(n!=1);\n"
+"\n"
 "\n"
 "\n"
 "\n"
@@ -27,84 +28,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ନିବେଶ ପ୍ରଣାଳୀ ଫ୍ରେମୱର୍କ"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "ଅନ୍ୟାନ୍ୟ"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "ପୁନଃଚାଳନ"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "ନିବେଶ ପ୍ରଣୀଳୀକୁ ବନ୍ଦ କରନ୍ତୁ"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "କୌଣସି ନିବେଶ ୱିଣ୍ଡୋ ନାହିଁ"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus ହେଉଛି Linux/Unix ପାଇଁ ଗୋଟିଏ ବୁଦ୍ଧିମାନ ନିବେଶ ପରିପଥ।"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "ମନୋଜ କୁମାର ଗିରି <mgiri@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "ନିବେଶ ପ୍ରଣାଳୀ ବିଷୟରେ"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ନିବେଶ ପ୍ରଣୀଳିକୁ ବଦଳାନ୍ତୁ"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "ବିବରଣୀ"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "ଭାଷା: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "କିବୋର୍ଡ ବିନ୍ୟାସ: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "ଲେଖକ: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "ବର୍ଣ୍ଣନା:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ଟ୍ରିଗର"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "ପରବର୍ତ୍ତି ନିବେଶ ପ୍ରଣାଳୀ"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "ପୂର୍ବ ନିବେଶ ପ୍ରଣାଳୀ"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ଡେମନଟି ଆରମ୍ଭ ହୋଇନାହିଁ। ଆପଣ ଏହାକୁ ବର୍ତ୍ତମାନ ଆରମ୍ଭ କରିବାକୁ ଚାହୁଁଛନ୍ତି କି?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -118,24 +125,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s ପାଇଁ କିବୋର୍ଡ ସକ୍ଷିପ୍ତପଥ ବାଛନ୍ତୁ"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "କିବୋର୍ଡ ସକ୍ଷିପ୍ତପଥ"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "କି ସଂକେତ:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "ରୂପାନ୍ତରକ:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -143,44 +150,140 @@ msgstr ""
 "ଦୟାକରି ଗୋଟିଏ କି (କିମ୍ବା ଗୋଟିଏ କି ସଂଯୋଜନ) ଦବାନ୍ତୁ।\n"
 "କିକୁ ଛାଡ଼ିଦେଲାପରେ ସଂଳାପଟି ବନ୍ଦ ହୋଇଯିବ।"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "ଦୟାକରି ଗୋଟିଏ କି (କିମ୍ବା ଗୋଟିଏ କି ସଂଯୋଜନ) ଦବାନ୍ତୁ।"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ଗୋଟିଏ ନିବେଶ ପ୍ରଣୀଳୀ ବାଛନ୍ତୁ"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "ନିବେଶ ପ୍ରଣାଳୀ"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus ପସନ୍ଦ"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "ସ୍ୱୟଂଚାଳିତ ଭାବରେ ଲୁଚାନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "ଇଚ୍ଛାରୂପୀ ଅକ୍ଷରରୂପ:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ଭାଷା ତାଲିକା ପାଇଁ ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ନାମ"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "ପରବର୍ତ୍ତି ଯନ୍ତ୍ର ହଟ କି"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "ଅବଲୋକନ ସାରଣୀର ଅନୁସ୍ଥାପନ। 0 = ଭୂ-ସମାନ୍ତର, 1 = ଭୂ-ଲମ୍ବ"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "ଅବଲୋକନ ସାରଣୀର ଅନୁସ୍ଥାପନ"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus ଆରମ୍ଭ ସମୟରେ ଯନ୍ତ୍ର ପ୍ରାକ ଧାରଣ କରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "ଯନ୍ତ୍ର ପ୍ରାକ ଧାରଣ କରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "ପୂର୍ବ ଯନ୍ତ୍ର ହଟ କି"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ଭାଷା ତାଲିକା ପାଇଁ ନିବେଶ ପଦ୍ଧତି ନାମ ଦର୍ଶାନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "ଭାଷା ତାଲିକା ପାଇଁ ନିବେଶ ପଦ୍ଧତି ନାମ ଦର୍ଶାନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"ଭାଷା ତାଲିକାର ଆଚରଣ। 0 = ସର୍ବଦା ଲୁଚାନ୍ତୁ, 1 = ସ୍ୱୟଂଚାଳିତ ଭାବରେ ଲୁଚାନ୍ତୁ, 2 = ସର୍ବଦା ଦର୍ଶାନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "ତାଲିକାରେ ପରବର୍ତ୍ତୀ ନିବେଶ ପ୍ରଣାଳୀକୁ ବଦଳାଇବା ପାଇଁ ସକ୍ଷିପ୍ତ ପଥଗୁଡ଼ିକ"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ନିବେଶ ପଦ୍ଧତିକୁ ଅନ କିମ୍ବା ଅଫ କରିବା ପାଇଁ ସକ୍ଷିପ୍ତ ପଥଗୁଡ଼ିକୁ ସେଟକରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ହଟ କିକୁ ଟ୍ରିଗର କରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ବ୍ୟବହାର କରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ଭାଷା ତାଲିକା ପାଇଁ ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ନାମକୁ ବ୍ୟବହାର କରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "ତନ୍ତ୍ର କିବୋର୍ଡ (XKB) ବିନ୍ୟାସକୁ ବ୍ୟବହାର କରନ୍ତୁ"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "ତନ୍ତ୍ର କିବୋର୍ଡ ବିନ୍ୟାସକୁ ବ୍ୟବହାର କରନ୍ତୁ"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ଅକ୍ଷରରୂପ ଏବଂ ଶୈଳୀ</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>କିବୋର୍ଡ ବିନ୍ୟାସ</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>କିବୋର୍ଡ ସଂକ୍ଷିପ୍ତ ପଥଗୁଡ଼ିକ</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>ଆରମ୍ଭ</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -196,7 +299,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -204,207 +307,134 @@ msgstr ""
 "<small><i>ପୂର୍ବନିର୍ଦ୍ଧାରିତ ନିବେଶ ପଦ୍ଧତିଟି ତାଲିକା ଉପରେ ଅଛି।\n"
 "ଆପଣ ଉପର/ତଳ ବଟନକୁ ବ୍ୟାବହାର କରି ଏହାକୁ ପରିବର୍ତ୍ତନ କରିପାରିବେ।</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "ବଚ୍ଛିତ ନିବେଶ ପ୍ରଣାଳୀକୁ ସକ୍ରିୟ ନିବେଶ ପ୍ରଣାଳୀରେ ଯୋଗକରନ୍ତୁ"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "ଉନ୍ନତ"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "ପ୍ରାର୍ଥୀ ଅନୁସ୍ଥାପନ:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "ଭାଷା ତାଲିକା ପଟି ଏବଂ ବ୍ୟକ୍ତି ପାଇଁ ଅକ୍ଷରରୂପ ବାଛନ୍ତୁ"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "ଇଚ୍ଛାରୂପୀ ଅକ୍ଷରରୂପ:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "ସକ୍ରିୟ ଅଥବା ନିଷ୍କ୍ରିୟ:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "ଭାଷା ତାଲିକା ପଟି ଏବଂ ବ୍ୟକ୍ତି ପାଇଁ ଅକ୍ଷରରୂପ ବାଛନ୍ତୁ"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "ସାଧାରଣ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "ଭୂ-ସମାନ୍ତରାଳ\n"
 "ଭୂ-ଲମ୍ବ"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus ପସନ୍ଦ"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "ସକ୍ରିୟ ନିବେଶ ପଦ୍ଧତିଗୁଡ଼ିକରେ ବଚ୍ଛିତ ନିବେଶ ପ୍ରଣୀଳୀକୁ ତଳକୁ ଘୁଞ୍ଚାନ୍ତୁ"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "ସକ୍ରିୟ ନିବେଶ ପଦ୍ଧତି ତାଲିକାରେ ବଚ୍ଛିତ ନିବେଶ ପ୍ରଣୀଳୀକୁ ଉପରକୁ ଘୁଞ୍ଚାନ୍ତୁ"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"କଦାପି ନୁହଁ\n"
-"ସକ୍ରିୟ ଥିବା ସମୟରେ\n"
-"ସର୍ବଦା"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "ପରବର୍ତ୍ତି ନିବେଶ ପ୍ରଣାଳୀ:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "ପୂର୍ବ ନିବେଶ ପ୍ରଣାଳୀ:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "ସକ୍ରିୟ ନିବେଶ ପଦ୍ଧତିରୁ ବଚ୍ଛିତ ନିବେଶ ପ୍ରଣୀଳୀକୁ କାଢ଼ିଦିଅନ୍ତୁ"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "ଭାଷା ସୂଚକକୁ ଦର୍ଶାଇବା ଅଥବା ଲୁଚାଇବା ପାଇଁ ibus ର ଆଚରଣକୁ ସେଟକରନ୍ତୁ"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "ଅବଲୋକନ ସାରଣୀରେ ବ୍ୟକ୍ତିମାନଙ୍କର ଅନୁସ୍ଥାପନ ସେଟକରନ୍ତୁ"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "ନିବେଶ ପଦ୍ଧତିକୁ ଅନ କିମ୍ବା ଅଫ କରିବା ପାଇଁ ସକ୍ଷିପ୍ତ ପଥଗୁଡ଼ିକୁ ସେଟକରନ୍ତୁ"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "ବଚ୍ଛିତ ନିବେଶ ପଦ୍ଧତିର ସୂଚନା ଦର୍ଶାନ୍ତୁ"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "ଭାଷା ତାଲିକା ପାଇଁ ନିବେଶ ପଦ୍ଧତି ନାମ ଦର୍ଶାନ୍ତୁ"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "ନିବେଶ ପଦ୍ଧତି ନାମକୁ ଭାଷା ସୂଚକରେ ଦର୍ଶାନ୍ତୁ ଯେତେବେଳେ ଯାଞ୍ଚବାକ୍ସକୁ ଯାଞ୍ଚକରୁଛନ୍ତି"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ଭାଷା ତାଲିକା ଦର୍ଶାନ୍ତୁ:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "ଲଗଇନ ସମୟରେ ibus କୁ ଆରମ୍ଭ କରନ୍ତୁ"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "ତାଲିକାରେ ପରବର୍ତ୍ତୀ ନିବେଶ ପ୍ରଣାଳୀକୁ ବଦଳାଇବା ପାଇଁ ସକ୍ଷିପ୍ତ ପଥଗୁଡ଼ିକ"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "ତାଲିକାରେ ପୂର୍ବ ନିବେଶ ପ୍ରଣାଳୀକୁ ବଦଳାଇବା ପାଇଁ ସକ୍ଷିପ୍ତ ପଥଗୁଡ଼ିକ"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ବ୍ୟବହାର କରନ୍ତୁ"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "ଭାଷା ତାଲିକା ଏବଂ ପ୍ରାର୍ଥୀମାନଙ୍କପାଇଁ ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ନାମକୁ ବ୍ୟବହାର କରନ୍ତୁ"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "ତନ୍ତ୍ର କିବୋର୍ଡ (XKB) ବିନ୍ୟାସକୁ ବ୍ୟବହାର କରନ୍ତୁ"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "ତନ୍ତ୍ର କିବୋର୍ଡ ବିନ୍ୟାସକୁ ବ୍ୟବହାର କରନ୍ତୁ"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "ସ୍ୱୟଂଚାଳିତ ଭାବରେ ଲୁଚାନ୍ତୁ"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ଭାଷା ତାଲିକା ପାଇଁ ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ନାମ"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "ପରବର୍ତ୍ତି ଯନ୍ତ୍ର ହଟ କି"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "ପରବର୍ତ୍ତି ନିବେଶ ପ୍ରଣାଳୀ ଯନ୍ତ୍ରକୁ ବଦଳାଇବା ପାଇଁ ପରବର୍ତ୍ତି ଯନ୍ତ୍ର ହଟ କି"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "ଅବଲୋକନ ସାରଣୀର ଅନୁସ୍ଥାପନ"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "ଅବଲୋକନ ସାରଣୀର ଅନୁସ୍ଥାପନ। 0 = ଭୂ-ସମାନ୍ତର, 1 = ଭୂ-ଲମ୍ବ"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "ଯନ୍ତ୍ର ପ୍ରାକ ଧାରଣ କରନ୍ତୁ"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus ଆରମ୍ଭ ସମୟରେ ଯନ୍ତ୍ର ପ୍ରାକ ଧାରଣ କରନ୍ତୁ"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "ପୂର୍ବ ଯନ୍ତ୍ର ହଟ କି"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "ପୂର୍ବ ନିବେଶ ପ୍ରଣାଳୀ ଯନ୍ତ୍ର ପାଇଁ ପୂର୍ବ ଯନ୍ତ୍ର ହଟ କି"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"କଦାପି ନୁହଁ\n"
+"ସକ୍ରିୟ ଥିବା ସମୟରେ\n"
+"ସର୍ବଦା"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "IM ନାମ ଦର୍ଶାନ୍ତୁ"
+#~ msgid "Custom Font"
+#~ msgstr "ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "ଭାଷା ତାଲିକା ପଟିରେ IM ନାମ ଦର୍ଶାନ୍ତୁ"
+#~ msgid "Show IM Name"
+#~ msgstr "IM ନାମ ଦର୍ଶାନ୍ତୁ"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "ଭାଷା ତାଲିକାର ଆଚରଣ। 0 = ସର୍ବଦା ଲୁଚାନ୍ତୁ, 1 = ସ୍ୱୟଂଚାଳିତ ଭାବରେ ଲୁଚାନ୍ତୁ, 2 = ସର୍ବଦା ଦର୍ଶାନ୍ତୁ"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "ଭାଷା ତାଲିକା ପଟିରେ IM ନାମ ଦର୍ଶାନ୍ତୁ"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ହଟ କିକୁ ଟ୍ରିଗର କରନ୍ତୁ"
+#~ msgid "Use Custom Font"
+#~ msgstr "ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପକୁ ବ୍ୟବହାର କରନ୍ତୁ"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ହଟ କିକୁ ଟ୍ରିଗର କରନ୍ତୁ ଅଥବା ନିବେଶ ପ୍ରସଙ୍ଗକୁ ସକ୍ରିୟ କିମ୍ବା ନିଷ୍କ୍ରିୟ କରନ୍ତୁ"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "ପରବର୍ତ୍ତି ନିବେଶ ପ୍ରଣାଳୀ ଯନ୍ତ୍ରକୁ ବଦଳାଇବା ପାଇଁ ପରବର୍ତ୍ତି ଯନ୍ତ୍ର ହଟ କି"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପକୁ ବ୍ୟବହାର କରନ୍ତୁ"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "ପୂର୍ବ ନିବେଶ ପ୍ରଣାଳୀ ଯନ୍ତ୍ର ପାଇଁ ପୂର୍ବ ଯନ୍ତ୍ର ହଟ କି"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ଭାଷା ତାଲିକା ପାଇଁ ଇଚ୍ଛାମୁତାବକ ଅକ୍ଷରରୂପ ନାମକୁ ବ୍ୟବହାର କରନ୍ତୁ"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ହଟ କିକୁ ଟ୍ରିଗର କରନ୍ତୁ ଅଥବା ନିବେଶ ପ୍ରସଙ୍ଗକୁ ସକ୍ରିୟ କିମ୍ବା ନିଷ୍କ୍ରିୟ କରନ୍ତୁ"
 
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/pa.po 1.2.0.20091024-1/po/pa.po
--- 1.2.0.20090904-1/po/pa.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/pa.po	2009-10-24 04:23:06.000000000 +0100
@@ -7,102 +7,106 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-05-31 07:46+0530\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-25 06:41+0530\n"
 "Last-Translator: A S Alam <aalam@users.sf.net>\n"
 "Language-Team: Punjabi/Panjabi <punjabi-users@lists.sf.net>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 0.3\n"
+"X-Generator: Lokalize 1.0\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 
 #: ../bus/ibus.desktop.in.h:1
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ਇੰਪੁੱਟ ਢੰਗ ਫਰੇਮਵਰਕ"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "ਹੋਰ"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "ਮੁੜ-ਚਾਲੂ"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "ਕੋਈ ਇੰਪੁੱਟ ਢੰਗ ਨਹੀਂ"
+msgstr "ਇੰਪੁੱਟ ਢੰਗ ਬੰਦ ਕਰੋ"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "ਕੋਈ ਇੰਪੁੱਟ ਵਿੰਡੋ ਨਹੀਂ"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus ਲੀਨਕਸ/ਯੂਨੈਕਸ ਲਈ ਮਾਹਰ ਇੰਪੁੱਟ ਬੱਸ ਹੈ।"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr ""
-"ਅਮਨਪਰੀਤ ਸਿੰਘ ਆਲਮ <aalam@users.sf.net> 2008, 2009\n"
+"ਅਮਨਪਰੀਤ ਸਿੰਘ ਆਲਮ <aalam@users.sf.net> ੨੦੦੮-੨੦੦੯\n"
 "http://www.satluj.com/"
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "ਇੰਪੁੱਟ ਢੰਗ"
+msgstr "ਇੰਪੁੱਟ ਢੰਗ ਬਾਰੇ"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ਇੰਪੁੱਟ ਢੰਗ ਬਦਲੋ"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "ਇਸ ਬਾਰੇ"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
-msgstr ""
+msgstr "ਭਾਸ਼ਾ: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
-#, fuzzy, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
-msgstr "ਕੀਬੋਰਡ ਸ਼ਾਰਟਕੱਟ"
+msgstr "ਕੀਬੋਰਡ ਲੇਆਉਟ: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
-msgstr ""
+msgstr "ਲੇਖਕ: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
-msgstr ""
+msgstr "ਵੇਰਵਾ:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ਟਰਿੱਗਰ"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "ਅਗਲਾ ਇੰਪੁੱਟ ਢੰਗ"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "ਪਿਛਲਾ ਇੰਪੁੱਟ ਢੰਗ"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus ਡੈਮਨ ਚੱਲਦੀ ਨਹੀਂ ਹੈ। ਕੀ ਤੁਸੀਂ ਇਸ ਨੂੰ ਸ਼ੁਰੂ ਕਰਨਾ ਚਾਹੁੰਦੇ ਹੋ?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -115,24 +119,24 @@ msgstr ""
 "   export XMODIFIERS=@im=ibus\n"
 "   export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s ਲਈ ਕੀਬੋਰਡ ਸ਼ਾਰਟਕੱਟ ਚੁਣੋ"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "ਕੀਬੋਰਡ ਸ਼ਾਰਟਕੱਟ"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "ਕੀ ਕੋਡ:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "ਮਾਡੀਫਾਇਰ:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -140,46 +144,139 @@ msgstr ""
 "ਕੋਈ ਵੀ ਸਵਿੱਚ ਦੱਬੋ (ਜਾਂ ਕੋਈ ਸਵਿੱਚ ਜੋੜ)।\n"
 "ਜਦੋਂ ਸਵਿੱਚ ਛੱਡੀ ਜਾਵੇਗੀ ਤਾਂ ਇਹ ਡਾਈਲਾਗ ਬੰਦ ਹੋ ਜਾਵੇਗਾ।"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "ਕੋਈ ਵੀ ਸਵਿੱਚ ਦੱਬੋ (ਜਾਂ ਸਵਿੱਚ ਜੋੜ)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ਇੱਕ ਇੰਪੁੱਟ ਢੰਗ ਚੁਣੋ"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
-#, fuzzy
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "ਇੰਪੁੱਟ ਢੰਗ"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus ਪਸੰਦ"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "ਆਟੋਮੈਟਿਕ ਓਹਲੇ"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਲਈ ਪਸੰਦੀਦਾ ਫੋਂਟ ਨਾਂ"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "ਅਗਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "ਖੋਜ ਟੇਬਲ ਦੀ ਸਥਿਤੀ। 0 = ਹਰੀਜੱਟਲ, 1 =ਵਰਟੀਕਲ"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "ਖੋਜ ਟੇਬਲ ਦੀ ਸਥਿਤੀ"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus ਸ਼ੁਰੂ ਹੋਣ ਸਮੇਂ ਪਹਿਲਾਂ ਲੋਡ ਕੀਤੇ ਇੰਜਣ"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "ਪ੍ਰੀ-ਲੋਡ ਇੰਜਣ"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "ਪਿਛਲਾ ਇੰਜਣ ਹਾਟਕੀ"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਉੱਤੇ ਇੰਪੁੱਟ ਨਾਂ ਵੇਖੋ"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਉੱਤੇ ਇੰਪੁੱਟ ਨਾਂ ਵੇਖੋ"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਦਾ ਰਵੱਈਆ: 0 = ਹਮੇਸ਼ਾ ਓਹਲੇ, 1 = ਆਟੋਮੈਟਿਕ ਓਹਲੇ, 2 = ਹਮੇਸ਼ਾ ਵੇਖੋ"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "ਲਿਸਟ ਵਿੱਚ ਅਗਲਾ ਇੰਪੁੱਟ ਢੰਗ ਬਦਲਣ ਲਈ ਸ਼ਾਰਟਕੱਟ ਸਵਿੱਚ"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ਇੰਪੁੱਟ ਢੰਗ ਬੰਦ ਕਰਨ ਜਾਂ ਚਾਲੂ ਕਰਨ ਲਈ ਸ਼ਾਰਟਕੱਟ ਸਵਿੱਚਾਂ ਸੈੱਟ ਕਰੋ"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ਟਰਿੱਗਰ ਹਾਟਕੀ"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ ਵਰਤੋਂ"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਲਈ ਪਸੰਦੀਦਾ ਫੋਂਟ ਨਾਂ ਵਰਤੋਂ"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "ਸਿਸਟਮ ਕੀਬੋਰਡ (XKB) ਲੇਆਉਟ ਵਰਤੋਂ"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "ਸਿਸਟਮ ਕੀਬੋਰਡ ਲੇਆਉਟ ਵਰਤੋਂ"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ਫੋਂਟ ਅਤੇ ਸਟਾਈਲ</b>"
 
-#: ../setup/setup.glade.h:3
-#, fuzzy
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
-msgstr "<b>ਕੀਬੋਰਡ ਸ਼ਾਰਟਕੱਟ</b>"
+msgstr "<b>ਕੀਬੋਰਡ ਲੇਆਉਟ</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>ਕੀਬੋਰਡ ਸ਼ਾਰਟਕੱਟ</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
-msgstr "<b>ਸ਼ੁਰੂਆਤ</b>"
+msgstr "<b>ਸ਼ੁਰੂ</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -195,7 +292,7 @@ msgstr ""
 " \n"
 " \n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -203,216 +300,137 @@ msgstr ""
 "<small><i>ਡਿਫਾਲਟ ਇੰਪੁੱਟ ਢੰਗ ਲਿਸਟ ਵਿੱਚ ਸਭ ਤੋਂ ਉੱਤੇ ਹੈ।\n"
 "ਤੁਸੀਂ ਇਸ ਨੂੰ ਬਦਲਣ ਲਈ ਉੱਤੇ/ਹੇਠਾਂ ਬਟਨ ਦੀ ਵਰਤੋਂ ਕਰ ਸਕਦੇ ਹੋ।</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr ""
+msgstr "ਚੁਣਿਆ ਇੰਪੁੱਟ ਢੰਗ ਚਾਲੂ ਕੀਤੇ ਇੰਪੁੱਟ ਢੰਗਾਂ ਵਿੱਚ ਸ਼ਾਮਲ ਕਰੋ"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
+msgstr "ਮਾਹਰ"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "ਉਮੀਦਵਾਰ ਸਥਿਤੀ:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਲਈ ਪਸੰਦੀਦਾ ਫੋਂਟ ਨਾਂ"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "ਚਾਲੂ ਜਾਂ ਬੰਦ:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਅਤੇ ਉਮੀਦਵਾਰ ਲਈ ਫੋਂਟ ਚੋਣ"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "ਆਮ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "ਹਰੀਜੱਟਲ\n"
 "ਵਰਟੀਕਲ"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus ਪਸੰਦ"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
-msgstr ""
+msgstr "ਚੁਣਿਆ ਇੰਪੁੱਟ ਢੰਗ ਚਾਲੂ ਇੰਪੁੱਟ ਢੰਗਾਂ ਵਿੱਚ ਹੇਠਾਂ ਭੇਜੋ"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr ""
+msgstr "ਚੁਣਿਆ ਇੰਪੁੱਟ ਢੰਗ ਚਾਲੂ ਇੰਪੁੱਟ ਢੰਗਾਂ ਵਿੱਚ ਉੱਤੇ ਭੇਜੋ"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"ਕਦੇ ਨਹੀਂ\n"
-"ਜਦੋਂ ਐਕਟਿਵ\n"
-"ਹਮੇਸ਼ਾ"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "ਅਗਲਾ ਇੰਪੁੱਟ ਢੰਗ:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "ਪਿਛਲਾ ਇੰਪੁੱਟ ਢੰਗ:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr ""
+msgstr "ਚੁਣਿਆ ਇੰਪੁੱਟ ਢੰਗ ਚਾਲੂ ਇੰਪੁੱਟ ਢੰਗਾਂ ਵਿੱਚੋਂ ਹਟਾਓ"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr ""
+msgstr "ibus ਦਾ ਰਵੱਈਆ ਸੈੱਟ ਕਰੋ ਕਿ ਭਾਸ਼ਾ ਪੱਟੀ ਕਿਵੇਂ ਵੇਖਾਈ ਜਾਵੇ"
 
-#: ../setup/setup.glade.h:36
-#, fuzzy
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
-msgstr "ਖੋਜ ਟੇਬਲ ਦੀ ਸਥਿਤੀ"
+msgstr "ਖੋਜ ਟੇਬਲ ਵਿੱਚ ਉਮੀਦਵਾਰ ਦੀ ਸਥਿਤੀ ਸੈੱਟ ਕਰੋ"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr ""
+msgstr "ਚੁਣੇ ਇੰਪੁੱਟ ਢੰਗ ਬਾਰੇ ਜਾਣਕਾਰੀ ਵੇਖੋ"
 
-#: ../setup/setup.glade.h:39
-#, fuzzy
-msgid "Show input method name on language bar"
-msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਆਟੋਮੈਟਿਕ ਓਹਲੇ ਕਰੋ"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "ਜਦੋਂ ਚੈੱਕ ਬਾਕਸ ਚੁਣਿਆ ਹੋਵੇ ਤਾਂ ਇੰਪੁੱਟ ਢੰਗ ਨਾਂ ਭਾਸ਼ਾ ਪੱਟੀ ਉੱਤੇ ਵੇਖੋ"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਵੇਖੋ:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "ਲਾਗਇਨ ਸਮੇਂ ibus ਚਲਾਉ"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "ਅਗਲੇ ਇੰਪੁੱਟ ਢੰਗ ਇੰਜਣ ਲਈ ਬਦਲਣ ਵਾਸਤੇ ਅਗਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
-
-#: ../setup/setup.glade.h:44
-#, fuzzy
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "ਪਿਛਲੇ ਇੰਪੁੱਟ ਢੰਗ ਇੰਜਣ ਲਈ ਬਦਲਣ ਵਾਸਤੇ ਪਿਛਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ ਵਰਤੋਂ"
+msgstr "ਲਿਸਟ ਵਿੱਚ ਪਿਛਲਾ ਇੰਪੁੱਟ ਢੰਗ ਬਦਲਣ ਲਈ ਸ਼ਾਰਟਕੱਟ ਸਵਿੱਚ"
 
-#: ../setup/setup.glade.h:46
-#, fuzzy
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
-msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਲਈ ਪਸੰਦੀਦਾ ਫੋਂਟ ਨਾਂ ਵਰਤੋਂ"
-
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
+msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਅਤੇ ਉਮੀਦਵਾਰ ਲਈ ਕਸਟਮ ਫੋਂਟ"
 
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"ਕਦੇ ਨਹੀਂ\n"
+"ਜਦੋਂ ਐਕਟਿਵ\n"
+"ਹਮੇਸ਼ਾ"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "ਆਟੋਮੈਟਿਕ ਓਹਲੇ"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਲਈ ਪਸੰਦੀਦਾ ਫੋਂਟ ਨਾਂ"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "ਅਗਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "ਅਗਲੇ ਇੰਪੁੱਟ ਢੰਗ ਇੰਜਣ ਲਈ ਬਦਲਣ ਵਾਸਤੇ ਅਗਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "ਖੋਜ ਟੇਬਲ ਦੀ ਸਥਿਤੀ"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "ਖੋਜ ਟੇਬਲ ਦੀ ਸਥਿਤੀ। 0 = ਹਰੀਜੱਟਲ, 1 =ਵਰਟੀਕਲ"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "ਪ੍ਰੀ-ਲੋਡ ਇੰਜਣ"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus ਸ਼ੁਰੂ ਹੋਣ ਸਮੇਂ ਪਹਿਲਾਂ ਲੋਡ ਕੀਤੇ ਇੰਜਣ"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "ਪਿਛਲਾ ਇੰਜਣ ਹਾਟਕੀ"
+#~ msgid "Custom Font"
+#~ msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "ਪਿਛਲੇ ਇੰਪੁੱਟ ਢੰਗ ਇੰਜਣ ਲਈ ਬਦਲਣ ਵਾਸਤੇ ਪਿਛਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
+#~ msgid "Show IM Name"
+#~ msgstr "IM ਨਾਂ ਵੇਖੋ"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Show IM name on language bar"
+#~ msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਉੱਤੇ IM ਨਾਂ ਵੇਖੋ"
 
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "ਭਾਸ਼ਾ ਪੱਟੀ ਆਟੋਮੈਟਿਕ ਓਹਲੇ ਕਰੋ"
+#~ msgid "Use Custom Font"
+#~ msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ ਵਰਤੋਂ"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਦਾ ਰਵੱਈਆ: 0 = ਹਮੇਸ਼ਾ ਓਹਲੇ, 1 = ਆਟੋਮੈਟਿਕ ਓਹਲੇ, 2 = ਹਮੇਸ਼ਾ ਵੇਖੋ"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ਟਰਿੱਗਰ ਹਾਟਕੀ"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "ਅਗਲੇ ਇੰਪੁੱਟ ਢੰਗ ਇੰਜਣ ਲਈ ਬਦਲਣ ਵਾਸਤੇ ਅਗਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ਇੰਪੁੱਟ ਪਰਸੰਗ ਚਾਲੂ ਜਾਂ ਬੰਦ ਕਰਨ ਵਾਸਤੇ ਟਰਿੱਗਰ ਹਾਟ-ਕੀ"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "ਪਿਛਲੇ ਇੰਪੁੱਟ ਢੰਗ ਇੰਜਣ ਲਈ ਬਦਲਣ ਵਾਸਤੇ ਪਿਛਲਾ ਇੰਜਣ ਹਾਟ-ਕੀ"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "ਪਸੰਦੀਦਾ ਫੋਂਟ ਵਰਤੋਂ"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ਇੰਪੁੱਟ ਪਰਸੰਗ ਚਾਲੂ ਜਾਂ ਬੰਦ ਕਰਨ ਵਾਸਤੇ ਟਰਿੱਗਰ ਹਾਟ-ਕੀ"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "ਭਾਸ਼ਾ ਪੈਨਲ ਲਈ ਪਸੰਦੀਦਾ ਫੋਂਟ ਨਾਂ ਵਰਤੋਂ"
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Control+space]"
diff -pruN 1.2.0.20090904-1/po/pl.po 1.2.0.20091024-1/po/pl.po
--- 1.2.0.20090904-1/po/pl.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/pl.po	2009-10-24 04:23:06.000000000 +0100
@@ -5,10 +5,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: pl\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-08-31 14:03+0200\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-10-23 23:16+0200\n"
 "Last-Translator: Piotr Drąg <piotrdrag@gmail.com>\n"
-"Language-Team: Polish <pl@li.org>\n"
+"Language-Team: Polish <fedora-trans-pl@redhat.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -17,84 +17,92 @@ msgstr ""
 msgid "IBus"
 msgstr "iBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
-msgstr "Struktura metody wejścia iBus"
+msgstr "Struktura metody wprowadzania iBus"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Inne"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Uruchom ponownie"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "Wyłącz metodę wejścia"
+msgstr "Wyłącz metodę wprowadzania"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr "Brak okna wejścia"
+msgstr "Brak okna wprowadzania"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
-msgstr "iBus jest inteligentną magistralą wejścia dla Linuksa/Uniksa."
+msgstr "iBus jest inteligentną magistralą wprowadzania dla Linuksa/Uniksa."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Piotr Drąg <piotrdrag@gmail.com>, 2009"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "O metodzie wejścia"
+msgstr "O metodzie wprowadzania"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
-msgstr "Przełącz metodę wejścia"
+msgstr "Przełącz metodę wprowadzania"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "O programie"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "Język: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Układ klawiatury: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "Autor: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "Opis:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "przełącznik"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
-msgstr "następna metoda wejścia"
+msgstr "następna metoda wprowadzania"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
-msgstr "poprzednia metoda wejścia"
+msgstr "poprzednia metoda wprowadzania"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
-msgstr "Demon iBus nie jest uruchomiony. Czy chcesz uruchomić teraz?"
+msgstr "Demon iBus nie jest uruchomiony. Uruchomić go teraz?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -102,75 +110,164 @@ msgid ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 msgstr ""
-"iBus został uruchomiony! Jeśli nie możesz używać iBus, dodaj poniższe "
-"wiersze do $HOME/.bashrc i zaloguj się ponownie.\n"
+"iBus został uruchomiony. Jeśli nie można używać iBus, należy dodać poniższe "
+"wiersze do $HOME/.bashrc i zalogować się ponownie.\n"
 "  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
-msgstr "Wybierz skrót klawiszowy dla %s"
+msgstr "Proszę wybrać skrót klawiszowy dla %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Skróty klawiszowe"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Kod klawisza:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Modyfikatory:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
 msgstr ""
-"Naciśnij klawisz (lub kombinację klawiszy).\n"
+"Proszę nacisnąć klawisz (lub kombinację klawiszy).\n"
 "Okno dialogowe zostanie zamknięte po zwolnieniu klawisza."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
-msgstr "Naciśnij klawisz (lub kombinację klawiszy)"
+msgstr "Proszę nacisnąć klawisz (lub kombinację klawiszy)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
-msgstr "Wybierz metodę wejścia"
+msgstr "Wybór metodę wprowadzania"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
-msgstr "Metoda wejścia"
+msgstr "Metoda wprowadzania"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "KBD"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Preferencje programu iBus"
+
+#: ../data/ibus.schemas.in.h:1
+msgid "Auto hide"
+msgstr "Automatyczne ukrywanie"
+
+#: ../data/ibus.schemas.in.h:2
+msgid "Custom font"
+msgstr "Własna czcionka"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Nazwa własnej czcionki dla panelu języków"
+
+#: ../data/ibus.schemas.in.h:4
+msgid "Next engine shortcut keys"
+msgstr "Klawisze skrótów następnego mechanizmu"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Orientacja tablicy wyszukiwania. 0 = pozioma, 1 = pionowa"
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr "Orientacja tablicy wyszukiwania"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Wczytanie mechanizmów podczas uruchamiania programu iBus"
+
+#: ../data/ibus.schemas.in.h:8
+msgid "Preload engines"
+msgstr "Wcześniejsze wczytanie mechanizmów"
+
+#: ../data/ibus.schemas.in.h:9
+msgid "Prev engine shortcut keys"
+msgstr "Klawisze skrótów poprzedniego mechanizmu"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr "Wyświetlanie ikony w obszarze powiadamiania"
+
+#: ../data/ibus.schemas.in.h:11
+msgid "Show input method name"
+msgstr "Wyświetlanie nazwy metody wprowadzania"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "Wyświetlanie nazwy metody wprowadzania na panelu języków"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Zachowanie panela języków. 0 = zawsze ukrywany, 1 = automatycznie ukrywany, "
+"2 = zawsze wyświetlany"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr ""
+"Klawisz skrótu do przełączenia na następną metodę wprowadzania na liście"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+msgid "The shortcut keys for turning input method on or off"
+msgstr "Klawisze skrótów do włączania lub wyłączania metody wprowadzania"
+
+#: ../data/ibus.schemas.in.h:16
+msgid "Trigger shortcut keys"
+msgstr "Klawisze skrótów przełącznika"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Użycie własnej czcionki"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Nazwa własnej czcionki użytej w panelu języków"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "Użycie systemowego układu klawiatury (XKB)"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "Użycie systemowych ustawień układu klawiatury"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Czcionka i styl</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Układ klawiatury</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Skróty klawiszowe</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
-msgstr "<b>Uruchom</b>"
+msgstr "<b>Uruchomienie</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -180,231 +277,125 @@ msgid ""
 "\n"
 msgstr ""
 "<big><b>iBus</b></big>\n"
-"<small>Inteligentna magistrala wejścia</small>\n"
+"<small>Inteligentna magistrala wprowadzania</small>\n"
 "Strona domowa: http://code.google.com/p/ibus\n"
 "\n"
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
-"<small><i>Domyślna metoda wejścia znajduje się na górze listy.\n"
+"<small><i>Domyślna metoda wprowadzania znajduje się na górze listy.\n"
 "Można użyć klawiszy w górę/w dół, aby ją zmienić.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr "Dodaj wybraną metodę wejścia do włączonych metod wejścia"
+msgstr "Dodanie wybranej metody wprowadzania do włączonych metod wprowadzania"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "Zaawansowane"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr "Zawsze"
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Orientacja kandydatów:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "Wybierz czcionkę dla panelu języka i kandydatów"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Własna czcionka:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
-msgstr "Włącz lub wyłącz:"
+msgstr "Włączenie lub wyłączenie:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+msgid "Font for language bar and candidates"
+msgstr "Czcionka dla panela języków i kandydatów"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Ogólne"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
-msgstr ""
-"Poziome\n"
-"Pionowe"
-
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "Preferencje iBus"
+#: ../setup/setup.ui.h:24
+msgid "Horizontal"
+msgstr "Poziomo"
 
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
-"Przenieś w dół zaznaczoną metodę wejścia we włączonych metodach wejścia"
+"Przeniesienie w dół zaznaczonej metody wprowadzania we włączonych metodach "
+"wprowadzania"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
-"Przenieś w górę zaznaczoną metodę wejścia we włączonych metodach wejścia"
+"Przeniesienie w górę zaznaczonej metody wprowadzania we włączonych metodach "
+"wprowadzania"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
-msgstr ""
-"Nigdy\n"
-"W czasie aktywności\n"
-"Zawsze"
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr "Nigdy"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
-msgstr "Następna metoda wejścia:"
+msgstr "Następna metoda wprowadzania:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
-msgstr "Poprzednia metoda wejścia:"
+msgstr "Poprzednia metoda wprowadzania:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr "Usuń zaznaczoną metodę wejścia we włączonych metodach wejścia"
+msgstr ""
+"Usunięcie zaznaczonej metody wprowadzania we włączonych metodach wprowadzania"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr "Ustaw zachowanie iBus wyświetlania lub ukrywania panelu języka"
+msgstr ""
+"Ustawienie zachowania programu iBus wyświetlania lub ukrywania panela języków"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
-msgstr "Ustaw orientację kandydatów w tablicy wyszukiwania"
+msgstr "Ustawienie orientacji kandydatów w tablicy wyszukiwania"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "Ustaw skróty klawiszowe do włączania lub wyłączania metody wejścia"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr "Wyświetl informacje o zaznaczonej metodzie wejścia"
-
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "Wyświetl nazwę metody wejścia na panelu języka"
+msgstr "Wyświetlanie informacji o wybranej metodzie wprowadzania"
 
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr ""
-"Wyświetl nazwę metody wejścia na panelu języka podczas zaznaczania pola "
-"wyboru"
+"Wyświetlanie nazwy metody wprowadzania na panelu języków podczas zaznaczania "
+"pola wyboru"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
-msgstr "Wyświetl panel języka:"
+msgstr "Wyświetlanie panelu języków:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
-msgstr "Uruchom iBus podczas logowania"
-
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "Klawisz skrótu do przełączenia na następną metodę wejścia na liście"
+msgstr "Uruchomienie iBus podczas logowania"
 
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "Klawisz skrótu do przełączenia na poprzednią metodę wejścia na liście"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Użyj własnej czcionki"
-
-#: ../setup/setup.glade.h:46
-msgid "Use custom font for language bar and candidates"
-msgstr "Nazwa własnej czcionki w panelu języka i kandydatów"
-
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "Użyj systemowego układu klawiatury (XKB)"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "Użyj systemowych ustawień układu klawiatury"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Automatyczne ukrywanie"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Własna czcionka"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Nazwa własnej czcionki dla panelu języków"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Klawisz skrótu następnego mechanizmu"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
 msgstr ""
-"Klawisz skrótu następnego mechanizmu do przełączenia na następny mechanizm "
-"metody wejścia"
+"Klawisz skrótu do przełączenia na poprzednią metodę wprowadzania na liście"
 
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Orientacja tablicy wyszukiwania"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Orientacja tablicy wyszukiwania. 0 = pozioma, 1 = pionowa"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Wcześniej wczytaj mechanizmy"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Wczytaj mechanizmy podczas uruchamiania iBus"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Klawisz skrótu poprzedniego mechanizmu"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr ""
-"Klawisz skrótu poprzedniego mechanizmu do przełączenia na poprzedni "
-"mechanizm metody wejścia"
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "Wyświetl nazwę metody wejścia"
-
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "Wyświetl nazwę metody wejścia na panelu języka"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"Zachowanie panelu języków. 0 = zawsze ukrywaj, 1 = automatycznie ukrywaj, 2 "
-"= zawsze wyświetlaj"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Klawisz skrótu przełącznika"
-
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr ""
-"Klawisz skrótu przełącznika do włączenia lub wyłączenia kontekstu wejścia"
-
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Użyj własnej czcionki"
+#: ../setup/setup.ui.h:45
+msgid "Use custom font for language bar and candidates"
+msgstr "Nazwa własnej czcionki w panelu języków i kandydatów"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Nazwa własnej czcionki użytej w panelu języków"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr "Pionowo"
+
+#: ../setup/setup.ui.h:49
+msgid "When active"
+msgstr "W czasie aktywności"
diff -pruN 1.2.0.20090904-1/po/POTFILES.in 1.2.0.20091024-1/po/POTFILES.in
--- 1.2.0.20090904-1/po/POTFILES.in	2009-06-17 12:22:15.000000000 +0100
+++ 1.2.0.20091024-1/po/POTFILES.in	2009-10-24 04:22:53.000000000 +0100
@@ -16,6 +16,7 @@ bus/inputcontext.c
 bus/panelproxy.c
 ibus/bus.py
 ibus/__init__.py
+ibus/_config.py.in
 ibus/common.py
 ibus/utility.py
 ibus/keysyms.py
@@ -53,6 +54,6 @@ setup/keyboardshortcut.py
 setup/enginecombobox.py
 setup/engineabout.py
 setup/enginetreeview.py
-setup/setup.glade
 setup/ibus-setup.desktop.in
 data/ibus.schemas.in
+[type: gettext/glade]setup/setup.ui
diff -pruN 1.2.0.20090904-1/po/ru.po 1.2.0.20091024-1/po/ru.po
--- 1.2.0.20090904-1/po/ru.po	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/po/ru.po	2009-10-24 04:23:07.000000000 +0100
@@ -0,0 +1,396 @@
+# Russian translations for PACKAGE package.
+# Copyright (C) 2009 THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# Alexey Kotlyarov <koterpillar@gmail.com>, 2009.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-10-14 09:39+0300\n"
+"Last-Translator: Alexey Kotlyarov <koterpillar@gmail.com>\n"
+"Language-Team: Russian\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
+"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+
+#: ../bus/ibus.desktop.in.h:1
+msgid "IBus"
+msgstr "IBus"
+
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
+msgid "IBus input method framework"
+msgstr "Система методов ввода IBus"
+
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
+msgid "Other"
+msgstr "Другие"
+
+#: ../ui/gtk/panel.py:322
+msgid "Restart"
+msgstr "Перезапустить"
+
+#: ../ui/gtk/panel.py:377
+msgid "Turn off input method"
+msgstr "Выключить метод ввода"
+
+#: ../ui/gtk/panel.py:410
+msgid "No input window"
+msgstr "Нет окна ввода"
+
+#: ../ui/gtk/panel.py:438
+msgid "IBus is an intelligent input bus for Linux/Unix."
+msgstr "IBus - умная система ввода для Linux/Unix."
+
+#: ../ui/gtk/panel.py:442
+msgid "translator-credits"
+msgstr ""
+
+#: ../ui/gtk/languagebar.py:103
+msgid "About the Input Method"
+msgstr "О методе ввода"
+
+#: ../ui/gtk/languagebar.py:166
+msgid "Switch input method"
+msgstr "Переключить метод ввода"
+
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
+msgid "About"
+msgstr "О программе"
+
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
+#, python-format
+msgid "Language: %s\n"
+msgstr "Язык: %s\n"
+
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
+msgid "Keyboard layout: %s\n"
+msgstr "Раскладка клавиатуры: %s\n"
+
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
+#, python-format
+msgid "Author: %s\n"
+msgstr "Автор: %s\n"
+
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
+msgid "Description:\n"
+msgstr "Описание:\n"
+
+#: ../setup/main.py:106
+msgid "trigger"
+msgstr "вкл./выкл."
+
+#: ../setup/main.py:117
+msgid "next input method"
+msgstr "следующий метод ввода"
+
+#: ../setup/main.py:128
+msgid "previous input method"
+msgstr "предыдущий метод ввода"
+
+#: ../setup/main.py:237
+msgid "IBus daemon is not started. Do you want to start it now?"
+msgstr "Демон IBus не запущен. Хотите запустить его сейчас?"
+
+#: ../setup/main.py:252
+msgid ""
+"IBus has been started! If you can not use IBus, please add below lines in "
+"$HOME/.bashrc, and relogin your desktop.\n"
+"  export GTK_IM_MODULE=ibus\n"
+"  export XMODIFIERS=@im=ibus\n"
+"  export QT_IM_MODULE=ibus"
+msgstr ""
+"IBus был запущен! Если Вы не можете пользоваться IBus, пожалуйста, добавьте "
+"строки ниже в $HOME/.bashrc, и заново войдите в систему.\n"
+"  export GTK_IM_MODULE=ibus\n"
+"  export XMODIFIERS=@im=ibus\n"
+"  export QT_IM_MODULE=ibus"
+
+#: ../setup/main.py:267
+#, python-format
+msgid "Select keyboard shortcut for %s"
+msgstr "Выберите комбинацию клавиш для %s"
+
+#: ../setup/keyboardshortcut.py:55
+msgid "Keyboard shortcuts"
+msgstr "Комбинации клавиш"
+
+#: ../setup/keyboardshortcut.py:66
+msgid "Key code:"
+msgstr "Код клавиши:"
+
+#: ../setup/keyboardshortcut.py:81
+msgid "Modifiers:"
+msgstr "Модификаторы:"
+
+#: ../setup/keyboardshortcut.py:228
+msgid ""
+"Please press a key (or a key combination).\n"
+"The dialog will be closed when the key is released."
+msgstr ""
+"Нажмите клавишу (или сочетание клавиш).\n"
+"Это окно закроется, когда клавиша будет отпущена."
+
+#: ../setup/keyboardshortcut.py:230
+msgid "Please press a key (or a key combination)"
+msgstr "Нажмите клавишу (или сочетание клавиш)"
+
+#: ../setup/enginecombobox.py:100
+msgid "Select an input method"
+msgstr "Выберите метод ввода"
+
+#. create im name & icon column
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
+msgid "Input Method"
+msgstr "Метод ввода"
+
+#: ../setup/enginetreeview.py:88
+msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Параметры IBus"
+
+#: ../data/ibus.schemas.in.h:1
+msgid "Auto hide"
+msgstr "Автоматически скрывать "
+
+#: ../data/ibus.schemas.in.h:2
+msgid "Custom font"
+msgstr "Свой шрифт"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Свой шрифт для языковой панели"
+
+#: ../data/ibus.schemas.in.h:4
+msgid "Next engine shortcut keys"
+msgstr "Клавиши для следующего метода ввода"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Ориентация таблицы просмотра. 0 = горизонтально, 1 = вертикально."
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr "Ориентация таблицы поиска"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Загружать методы ввода при запуске ibus"
+
+#: ../data/ibus.schemas.in.h:8
+msgid "Preload engines"
+msgstr "Предварительная загрузка методов ввода"
+
+#: ../data/ibus.schemas.in.h:9
+msgid "Prev engine shortcut keys"
+msgstr "Клавиши для предыдущего метода ввода"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr "Показать значок в области уведомлений"
+
+#: ../data/ibus.schemas.in.h:11
+msgid "Show input method name"
+msgstr "Показывать название метода ввода на языковой панели"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "Показывать название метода ввода на языковой панели"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Поведение языковой панели. 0 - всегда скрыта, 1 - автоматически скрывать, 2 "
+"- всегда показывать"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "Горячие клавиши для переключения на следующий в списке метод ввода:"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "Горячие клавиши для включения/выключения метода ввода"
+
+#: ../data/ibus.schemas.in.h:16
+msgid "Trigger shortcut keys"
+msgstr "Горячие клавиши для включения/выключения"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Использовать свой шрифт"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Использовать свой шрифт для языковой панели"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "Использовать системную раскладку клавиатуры (XKB)"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "Использовать системную раскладку клавиатуры"
+
+#: ../setup/setup.ui.h:1
+msgid "..."
+msgstr "..."
+
+#: ../setup/setup.ui.h:2
+msgid "<b>Font and Style</b>"
+msgstr "<b>Шрифт и стиль</b>"
+
+#: ../setup/setup.ui.h:3
+msgid "<b>Keyboard Layout</b>"
+msgstr "<b>Раскладка клавиатуры</b>"
+
+#: ../setup/setup.ui.h:4
+msgid "<b>Keyboard Shortcuts</b>"
+msgstr "<b>Горячие клавиши</b>"
+
+#: ../setup/setup.ui.h:5
+msgid "<b>Startup</b>"
+msgstr "<b>Запуск</b>"
+
+#: ../setup/setup.ui.h:6
+msgid ""
+"<big><b>IBus</b></big>\n"
+"<small>The intelligent input bus</small>\n"
+"Homepage: http://code.google.com/p/ibus\n"
+"\n"
+"\n"
+"\n"
+msgstr ""
+"<big><b>IBus</b></big>\n"
+"<small>Умная система ввода</small>\n"
+"Веб-сайт: http://code.google.com/p/ibus\n"
+"\n"
+"\n"
+"\n"
+
+#: ../setup/setup.ui.h:13
+msgid ""
+"<small><i>The default input method is the top one in the list.\n"
+"You may use up/down buttons to change it.</i></small>"
+msgstr ""
+"<small><i>По умолчанию используется первый в списке метод ввода.\n"
+"Используйте кнопки вверх/вниз для изменения.</i></small>"
+
+#: ../setup/setup.ui.h:16
+msgid "Add the selected input method into the enabled input methods"
+msgstr "Добавить выбранный метод ввода к используемым"
+
+#: ../setup/setup.ui.h:17
+msgid "Advanced"
+msgstr "Дополнительно"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr "Всегда"
+
+#: ../setup/setup.ui.h:19
+msgid "Candidates orientation:"
+msgstr "Ориентация кандидатов:"
+
+#: ../setup/setup.ui.h:20
+msgid "Custom font:"
+msgstr "Свой шрифт:"
+
+#: ../setup/setup.ui.h:21
+msgid "Enable or disable:"
+msgstr "Включить или выключить:"
+
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Шрифт для языковой панели и кандидатов"
+
+#: ../setup/setup.ui.h:23
+msgid "General"
+msgstr "Основные"
+
+#: ../setup/setup.ui.h:24
+msgid "Horizontal"
+msgstr "Горизонтально"
+
+#: ../setup/setup.ui.h:27
+msgid "Move down the selected input method in the enabled input methods"
+msgstr "Переместить выбранный метод ввода вниз в списке используемых"
+
+#: ../setup/setup.ui.h:28
+msgid "Move up the selected input method in the enabled input methods list"
+msgstr "Переместить выбранный метод ввода вверх в списке используемых"
+
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr "Никогда"
+
+#: ../setup/setup.ui.h:30
+msgid "Next input method:"
+msgstr "Следующий метод ввода:"
+
+#: ../setup/setup.ui.h:31
+msgid "Previous input method:"
+msgstr "Предыдущий метод ввода:"
+
+#: ../setup/setup.ui.h:32
+msgid "Remove the selected input method from the enabled input methods"
+msgstr "Добавить выбранный метод ввода к используемым"
+
+#: ../setup/setup.ui.h:33
+msgid "Set the behavior of ibus how to show or hide language bar"
+msgstr "Установить поведение ibus для показа или скрытия языковой панели"
+
+#: ../setup/setup.ui.h:34
+msgid "Set the orientation of candidates in lookup table"
+msgstr "Установить ориентацию кандидатов в таблице поиска"
+
+#: ../setup/setup.ui.h:36
+msgid "Show information of the selected input method"
+msgstr "Показать информацию о выбранном методе ввода"
+
+#: ../setup/setup.ui.h:38
+msgid "Show input method's name on language bar when check the checkbox"
+msgstr ""
+"Показывать название метода ввода на языковой панели, когда пункт выбран"
+
+#: ../setup/setup.ui.h:39
+msgid "Show language panel:"
+msgstr "Показывать языковую панель:"
+
+#: ../setup/setup.ui.h:40
+msgid "Start ibus on login"
+msgstr "Запускать ibus при входе в систему:"
+
+#: ../setup/setup.ui.h:42
+msgid "The shortcut keys for switching to previous input method in the list"
+msgstr "Горячие клавиши для переключения на предыдущий в списке метод ввода:"
+
+#: ../setup/setup.ui.h:45
+msgid "Use custom font for language bar and candidates"
+msgstr "Использовать свой шрифт для языковой панели и кандидатов"
+
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr "Вертикально"
+
+#: ../setup/setup.ui.h:49
+msgid "When active"
+msgstr "Когда активна"
diff -pruN 1.2.0.20090904-1/po/sr@latin.po 1.2.0.20091024-1/po/sr@latin.po
--- 1.2.0.20090904-1/po/sr@latin.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/sr@latin.po	2009-10-24 04:23:07.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-01 19:58+0100\n"
 "Last-Translator: Miloš Komarčević <kmilos@gmail.com>\n"
 "Language-Team: Serbian <fedora-trans-sr@redhat.com>\n"
@@ -21,89 +21,95 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus radni okvir metode unosa"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Drugo"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Pokreni ponovo"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "Nema metode unosa"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus je inteligentna magistrala unosa za Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Serbian <fedora-trans-sr@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "Metode unosa"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 #, fuzzy
 msgid "Switch input method"
 msgstr "Nema metode unosa"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "O programu"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Prečice tastature"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "okidač"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 #, fuzzy
 msgid "next input method"
 msgstr "sledeća metoda unosa"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 #, fuzzy
 msgid "previous input method"
 msgstr "prethodna metoda unosa"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus demon nije pokrenut. Da li želite da ga sada pokrenete?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -117,24 +123,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Izaberite prečicu tastature za %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Prečice tastature"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Kod tastera:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Modifikatori:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -142,46 +148,146 @@ msgstr ""
 "Pritisnite taster (ili kombinaciju tastera).\n"
 "Prozorče će biti zatvoreno kada se taster otpusti."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Pritisnite taster (ili kombinaciju tastera)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Izaberite metodu unosa"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "Metode unosa"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus postavke"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Samostalno sakrivanje"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Prilagođeni font:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Naziv prilagođenog fonta za jezički panel"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Prečica sledećeg pogona"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Orijentacija referentne tabele. 0 = vodoravno, 1 = uspravno"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Orijentacija referentne tabele"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Unapred učitaj pogone tokom ibus pokretanja"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Unapred učitaj pogone"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Prečica prethodnog pogona"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Naziv prilagođenog fonta za jezički panel"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "Naziv prilagođenog fonta za jezički panel"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Ponašanje jezičkog panela. 0 = uvek sakriven, 1 = samostalno sakrivanje, 2 = "
+"uvek prikazan"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+#, fuzzy
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "Prečica sledećeg pogona za prebacivanje na sledeći pogon metode unosa"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+"Prečica prethodnog pogona za prebacivanje na prethodni pogon metode unosa"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Prečica okidača"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Upotrebi prilagođeni font"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Koristi prilagođeni font za jezički panel"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Font i stil</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Prečice tastature</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Prečice tastature</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Pokretanje</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -197,227 +303,146 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Orijentacije kandidata:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "Naziv prilagođenog fonta za jezički panel"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Prilagođeni font:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Uključi ili isključi:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Naziv prilagođenog fonta za jezički panel"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Opšte"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "Vodoravno\n"
 "Uspravno"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus postavke"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"Nikad\n"
-"Kada je aktivno\n"
-"Uvek"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Sledeća metoda unosa:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 #, fuzzy
 msgid "Previous input method:"
 msgstr "Prethodna metoda unosa:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 #, fuzzy
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Orijentacija referentne tabele"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "Naziv prilagođenog fonta za jezički panel"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "Naziv prilagođenog fonta za jezički panel"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Prikaži jezički panel:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Pokreni ibus pri prijavi"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "Prečica sledećeg pogona za prebacivanje na sledeći pogon metode unosa"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 #, fuzzy
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 "Prečica prethodnog pogona za prebacivanje na prethodni pogon metode unosa"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Upotrebi prilagođeni font"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "Koristi prilagođeni font za jezički panel"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Samostalno sakrivanje"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Prilagođeni font"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Naziv prilagođenog fonta za jezički panel"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Prečica sledećeg pogona"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "Prečica sledećeg pogona za prebacivanje na sledeći pogon metode unosa"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Orijentacija referentne tabele"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Orijentacija referentne tabele. 0 = vodoravno, 1 = uspravno"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Unapred učitaj pogone"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Unapred učitaj pogone tokom ibus pokretanja"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Prečica prethodnog pogona"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
-"Prečica prethodnog pogona za prebacivanje na prethodni pogon metode unosa"
+"Nikad\n"
+"Kada je aktivno\n"
+"Uvek"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "Prilagođeni font"
 
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "Naziv prilagođenog fonta za jezički panel"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Naziv prilagođenog fonta za jezički panel"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"Ponašanje jezičkog panela. 0 = uvek sakriven, 1 = samostalno sakrivanje, 2 = "
-"uvek prikazan"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Prečica okidača"
+#~ msgid "Use Custom Font"
+#~ msgstr "Koristi prilagođeni font"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "Prečica okidača za uključivanje ili isključivanje konteksta unosa"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr ""
+#~ "Prečica sledećeg pogona za prebacivanje na sledeći pogon metode unosa"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Koristi prilagođeni font"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr ""
+#~ "Prečica prethodnog pogona za prebacivanje na prethodni pogon metode unosa"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Koristi prilagođeni font za jezički panel"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "Prečica okidača za uključivanje ili isključivanje konteksta unosa"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Control+space]"
diff -pruN 1.2.0.20090904-1/po/sr.po 1.2.0.20091024-1/po/sr.po
--- 1.2.0.20090904-1/po/sr.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/sr.po	2009-10-24 04:23:07.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-01 19:58+0100\n"
 "Last-Translator: Miloš Komarčević <kmilos@gmail.com>\n"
 "Language-Team: Serbian <fedora-trans-sr@redhat.com>\n"
@@ -21,89 +21,95 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus радни оквир методе уноса"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Друго"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Покрени поново"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "Нема методе уноса"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus је интелигентна магистрала уноса за Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Serbian <fedora-trans-sr@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "Методе уноса"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 #, fuzzy
 msgid "Switch input method"
 msgstr "Нема методе уноса"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "О програму"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Пречице тастатуре"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "окидач"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 #, fuzzy
 msgid "next input method"
 msgstr "Следећа метода уноса"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 #, fuzzy
 msgid "previous input method"
 msgstr "Претходна метода уноса"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus демон није покренут. Да ли желите да га сада покренете?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -117,24 +123,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Изаберите пречицу тастатуре за %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Пречице тастатуре"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Код тастера:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Модификатори:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -142,46 +148,146 @@ msgstr ""
 "Притисните тастер (или комбинацију тастера).\n"
 "Прозорче ће бити затворено када се тастер отпусти."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Притисните тастер (или комбинацију тастера)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Изаберите методу уноса"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "Методе уноса"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus поставке"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Самостално сакривање"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Прилагођени фонт:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Назив прилагођеног фонта за језички панел"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Пречица следећег погона"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Оријентација референтне табеле. 0 = водоравно, 1 = усправно"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Оријентација референтне табеле"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Унапред учитај погоне током ibus покретања"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Унапред учитај погоне"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Пречица претходног погона"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Назив прилагођеног фонта за језички панел"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "Назив прилагођеног фонта за језички панел"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Понашање језичког панела. 0 = увек сакривен, 1 = самостално сакривање, 2 = "
+"увек приказан"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+#, fuzzy
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "Пречица следећег погона за пребацивање на следећи погон методе уноса"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr ""
+"Пречица претходног погона за пребацивање на претходни погон методе уноса"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Пречица окидача"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Употреби прилагођени фонт"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Користи прилагођени фонт за језички панел"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Фонт и стил</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Пречице тастатуре</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Пречице тастатуре</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Покретање</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -197,227 +303,146 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Оријентације кандидата:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "Назив прилагођеног фонта за језички панел"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Прилагођени фонт:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Укључи или искључи:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Назив прилагођеног фонта за језички панел"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Опште"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "Водоравно\n"
 "Усправно"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus поставке"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"Никад\n"
-"Када је активно\n"
-"Увек"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Следећа метода уноса:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 #, fuzzy
 msgid "Previous input method:"
 msgstr "Претходна метода уноса:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 #, fuzzy
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Оријентација референтне табеле"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "Назив прилагођеног фонта за језички панел"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "Назив прилагођеног фонта за језички панел"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Прикажи језички панел:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Покрени ibus при пријави"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "Пречица следећег погона за пребацивање на следећи погон методе уноса"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 #, fuzzy
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr ""
 "Пречица претходног погона за пребацивање на претходни погон методе уноса"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Употреби прилагођени фонт"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "Користи прилагођени фонт за језички панел"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Самостално сакривање"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Прилагођени фонт"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Назив прилагођеног фонта за језички панел"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Пречица следећег погона"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "Пречица следећег погона за пребацивање на следећи погон методе уноса"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Оријентација референтне табеле"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Оријентација референтне табеле. 0 = водоравно, 1 = усправно"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Унапред учитај погоне"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Унапред учитај погоне током ibus покретања"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Пречица претходног погона"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
-"Пречица претходног погона за пребацивање на претходни погон методе уноса"
+"Никад\n"
+"Када је активно\n"
+"Увек"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "Прилагођени фонт"
 
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "Назив прилагођеног фонта за језички панел"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Назив прилагођеног фонта за језички панел"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"Понашање језичког панела. 0 = увек сакривен, 1 = самостално сакривање, 2 = "
-"увек приказан"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Пречица окидача"
+#~ msgid "Use Custom Font"
+#~ msgstr "Користи прилагођени фонт"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "Пречица окидача за укључивање или искључивање контекста уноса"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr ""
+#~ "Пречица следећег погона за пребацивање на следећи погон методе уноса"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Користи прилагођени фонт"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr ""
+#~ "Пречица претходног погона за пребацивање на претходни погон методе уноса"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Користи прилагођени фонт за језички панел"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "Пречица окидача за укључивање или искључивање контекста уноса"
 
 #~ msgid "[Control+space]"
 #~ msgstr "[Control+space]"
diff -pruN 1.2.0.20090904-1/po/ta.po 1.2.0.20091024-1/po/ta.po
--- 1.2.0.20090904-1/po/ta.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/ta.po	2009-10-24 04:23:07.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.ta\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-31 16:46+0000\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-09-01 11:24+0530\n"
 "Last-Translator: I. Felix <ifelix@redhat.com>\n"
 "Language-Team: Tamil <fedora-trans-ta@redhat.com>\n"
@@ -23,84 +23,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus உள்ளீடு முறை ஃபிரேம்வொர்க்"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "வேறு"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "மறுதுவக்கம்"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "உள்ளீடு முறையை நிறுத்து"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "உள்ளீடு சாளரம் இல்லை"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus Linux/Unixக்கான உள்ளிடு பஸ்."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "I. Felix <ifelix@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "உள்ளீடு முறை பற்றி"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "உள்ளீடு முறையை மாற்று"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "பற்றி"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "மொழி: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "விசைப்பலகை அமைப்பு: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "ஆசிரியர்: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "விளக்கம்:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "ட்ரிகர்"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "அடுத்த உள்ளீடு முறை"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "முந்தைய உள்ளீடு முறை"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus daemon துவக்கப்படவில்லை. இப்போது துவக்க வேண்டுமா?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -114,24 +120,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%sக்கான விசைப்பலகை குறுக்குவழியை தேர்ந்தெடு"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "விசைப்பலகை குறுக்குவழிகள்"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "விசை குறியீடு:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "மாற்றிகள்;"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -139,44 +145,139 @@ msgstr ""
 "ஒரு விசையை அழுத்தவும் (அல்லது விசை கலவையை).\n"
 "விசையை விடுத்தால் உரையாடல் மூடப்படும்."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "ஒரு விசையை அழுத்தவும் (அல்லது ஒரு விசை கலவையை)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ஒரு உள்ளீடு முறையை தேர்ந்தெடு"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "உள்ளீடு முறை"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr "Kbd"
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus முன்னுரிமைகள்"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "தானாக மறை"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "தனிபயன் எழுத்துரு:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "தனிபயன் எழுத்துரு பெயர் மொழி பலகத்துக்கு"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "அடுத்த இயந்திர குறுக்குவிசை"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "காணும் அட்டவணையின் திசை. 0 = கிடைமட்டம், 1 = செங்குத்து"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "காணும் அட்டவணையின் திசை"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus துவங்கும் போது முன்னேற்றப்பட்ட எந்திரங்கள் "
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "முன்ஏற்றப்பட்ட இயந்திரங்கள்"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "முந்தைய இயந்திர குறுக்குவிசை"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "மொழி பட்டையில் உள்ளீடு முறையின் பெயரை காட்டு"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "மொழி பட்டையில் உள்ளீடு முறையின் பெயரை காட்டு"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "மொழி பலகத்தின் பண்புகள். 0 = எப்போதும் மறை, 1 = தானாக மறை, 2 = எப்போதும் காட்டு"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "பட்டியலில் அடுத்த உள்ளீடு முறையை மாற்றுவதற்கான குறுக்குவழி விசைகள்"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "உள்ளீடு முறைமை துவக்க அல்லது நிறுத்த குறுக்குவிசைகளை அமை"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "ட்ரிகர் குறுக்குவிசை"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "தனிபயன் எழுத்துருவை பயன்படுத்து"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "மொழி பலகத்தில் தனிபயன் எழுத்துரு பெயர்"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "கணினி விசைப்பலகை (XKB) அமைப்பை பயன்படுத்து"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "கணினி விசைப்பலகை அமைப்பை பயன்படுத்து"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>எழுத்துரு மற்றும் தோற்றம்</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>விசைப்பலகை அமைப்பு</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>விசைப்பலகை குறுக்குவழிகள்</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>துவக்கம்</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -192,7 +293,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -200,209 +301,137 @@ msgstr ""
 "<small><i>பட்டியலில் முன்னிருப்பு உள்ளீடு முறை மேலே இருக்கும்.\n"
 "மேல்/கீழ் பொத்தானை பயன்படுத்தி அதனை மாற்றவும்.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "செயல்படுத்தப்பட்ட உள்ளீடு முறைகளில் தேர்ந்தெடுக்கப்பட்ட உள்ளீடு முறையை சேர்"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "கூடுதல்"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "கேண்டிடேட் சார்ந்து:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "மொழி பட்டை மற்றும் நபர்களுக்கு எழுத்துரு தேர்வு"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "தனிபயன் எழுத்துரு:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "செயல்படுத்து அல்லது செயல்நீக்கு:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "மொழி பட்டை மற்றும் நபர்களுக்கு எழுத்துரு தேர்வு"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "பொது"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "கிடைமட்டம்\n"
 "செங்குத்து"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus முன்னுரிமைகள்"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "செயல்படுத்தப்பட்ட உள்ளீடு முறைகளில் தேர்ந்தெடுக்கப்பட்ட உள்ளீடு முறையை கீழே நகர்த்து"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr "செயல்படுத்தப்பட்ட உள்ளீடு முறைகள் பட்டியலில் தேர்ந்தெடுக்கப்பட்ட உள்ளீடு முறையை மேலே நகர்த்து"
+msgstr ""
+"செயல்படுத்தப்பட்ட உள்ளீடு முறைகள் பட்டியலில் தேர்ந்தெடுக்கப்பட்ட உள்ளீடு முறையை மேலே நகர்த்து"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"ஒருபோதும்\n"
-"செயலிலிருக்கும் போது\n"
-"எப்போதும்"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "அடுத்த உள்ளீடு முறை:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "முந்தைய உள்ளீடு முறை:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "செயல்படுத்தப்பட்ட உள்ளீடு முறைகளிலிருந்து தேர்ந்தெடுக்கப்பட்ட உள்ளீடு முறையை நீக்கு"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "மொழி பட்டையை எவ்வாறு காட்ட அல்லது மறைக்க வேண்டும் என ibus பண்பினை அமை"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "காணும் அட்டவணையில் நபர்களின் திசையமைப்பை அமை"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "உள்ளீடு முறைமை துவக்க அல்லது நிறுத்த குறுக்குவிசைகளை அமை"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "தேர்ந்தெடுக்கப்பட்ட உள்ளீடு முறையின் தகவலை காட்டு"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "மொழி பட்டையில் உள்ளீடு முறையின் பெயரை காட்டு"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "சோதனை பெட்டியை சோதிக்கும் போது உள்ளீடு முறை பெயரை மொழி பட்டையில் காட்டு "
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "மொழி பலகத்தை காட்டு:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "புகுபதிவில் ibusஐ துவக்கு"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "பட்டியலில் அடுத்த உள்ளீடு முறையை மாற்றுவதற்கான குறுக்குவழி விசைகள்"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "பட்டியலில் முந்தைய உள்ளீடு முறையை மாற்றுவதற்கான குறுக்குவழி விசைகள்"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "தனிபயன் எழுத்துருவை பயன்படுத்து"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "மொழி பட்டை மற்றும் நபர்களுக்கான தனிபயன் எழுத்துருவை பயன்படுத்து"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "கணினி விசைப்பலகை (XKB) அமைப்பை பயன்படுத்து"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "கணினி விசைப்பலகை அமைப்பை பயன்படுத்து"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "தானாக மறை"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "தனிபயன் எழுத்துரு"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "தனிபயன் எழுத்துரு பெயர் மொழி பலகத்துக்கு"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "அடுத்த இயந்திர குறுக்குவிசை"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "அடுத்த உள்ளீடு முறை இயந்திரத்தை மாற்றும் போது அடுத்த இயந்திர குறுக்குவிசை "
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "காணும் அட்டவணையின் திசை"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "காணும் அட்டவணையின் திசை. 0 = கிடைமட்டம், 1 = செங்குத்து"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "முன்ஏற்றப்பட்ட இயந்திரங்கள்"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus துவங்கும் போது முன்னேற்றப்பட்ட எந்திரங்கள் "
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "முந்தைய இயந்திர குறுக்குவிசை"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "முந்தைய உள்ளீடு முறை இயந்திரத்தை மாற்றும் போது முந்தைய இயந்திர குறுக்குவிசை "
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"ஒருபோதும்\n"
+"செயலிலிருக்கும் போது\n"
+"எப்போதும்"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "IM பெயரை காட்டு"
+#~ msgid "Custom Font"
+#~ msgstr "தனிபயன் எழுத்துரு"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "மொழி பலகத்தில் IM பெயரை காட்டு"
+#~ msgid "Show IM Name"
+#~ msgstr "IM பெயரை காட்டு"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "மொழி பலகத்தின் பண்புகள். 0 = எப்போதும் மறை, 1 = தானாக மறை, 2 = எப்போதும் காட்டு"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "மொழி பலகத்தில் IM பெயரை காட்டு"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "ட்ரிகர் குறுக்குவிசை"
+#~ msgid "Use Custom Font"
+#~ msgstr "தனிபயன் எழுத்துருவை பயன்படுத்து"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr ""
-"உள்ளீடு சூழலை செயல்படுத்த அல்லது செயல் நீக்க ட்ரிகர் குறுக்குவிசையை செயல்படுத்து அல்லது "
-"செயல்நீக்கு"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "அடுத்த உள்ளீடு முறை இயந்திரத்தை மாற்றும் போது அடுத்த இயந்திர குறுக்குவிசை "
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "தனிபயன் எழுத்துருவை பயன்படுத்து"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "முந்தைய உள்ளீடு முறை இயந்திரத்தை மாற்றும் போது முந்தைய இயந்திர குறுக்குவிசை "
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "மொழி பலகத்தில் தனிபயன் எழுத்துரு பெயர்"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr ""
+#~ "உள்ளீடு சூழலை செயல்படுத்த அல்லது செயல் நீக்க ட்ரிகர் குறுக்குவிசையை செயல்படுத்து அல்லது "
+#~ "செயல்நீக்கு"
 
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/te.po 1.2.0.20091024-1/po/te.po
--- 1.2.0.20090904-1/po/te.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/te.po	2009-10-24 04:23:07.000000000 +0100
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ibus.master.te\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
-"PO-Revision-Date: 2009-05-26 14:13+0530\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
+"PO-Revision-Date: 2009-09-09 15:52+0530\n"
 "Last-Translator: Krishna Babu K <kkrothap@redhat.com>\n"
 "Language-Team: Telugu <en@li.org>\n"
 "MIME-Version: 1.0\n"
@@ -19,91 +19,96 @@ msgstr ""
 "\n"
 "\n"
 "\n"
+"\n"
 
 #: ../bus/ibus.desktop.in.h:1
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus ఇన్పుట్ పద్దతి ఆకృతి"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "ఇతర"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "పునఃప్రారంభము"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "ఎటువంటి ఇన్పుట్ పద్దతిలేదు"
+msgstr "ఇన్పుట్ పద్దతి ఆఫ్ చేయుము"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "ఇన్పుట్ విండో లేదు"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus అనునది Linux/Unix కొరకు తెలివైన ఇన్పుట్ బస్."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "కృష్ణబాబు కె <kkrothap@redhat.com> 2009."
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "ఇన్పుట్ పద్దతులు"
+msgstr "ఇన్పుట్ పద్దతి గురించి"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "ఇన్పుట్ పద్దతి మార్చుము"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "గురించి"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
-msgstr ""
+msgstr "భాష: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
-#, fuzzy, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
-msgstr "కీబోర్డు లఘువులు"
+msgstr "కీబోర్డు నమూనా: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
-msgstr ""
+msgstr "మూలకర్త: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
-msgstr ""
+msgstr "వివరణ:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "బిస (ట్రిగ్గర్)"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "తరువాతి ఇన్పుట్ పద్దతి"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "మునుపటి ఇన్పుట్ పద్దతి"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus డెమోన్ ప్రారంభమవలేదు. మీరు దానిని ప్రారంభించాలని అనుకొనుచున్నారా?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -117,24 +122,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "%s కొరకు కీబోర్డు లఘువును యెంపికచేయుము"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "కీబోర్డు లఘువులు"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "కీ కోడ్:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "సవరణిలు:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -142,46 +147,141 @@ msgstr ""
 "దయచేసి వొక కీను వత్తండి (లేదా కీ మిశ్రమాన్ని).\n"
 "కీ వదిలినప్పుడు డైలాగు మూయబడుతుంది."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "దయచేసి కీను వత్తండి (లేదా కీ మిశ్రమాన్ని)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "ఇన్పుట్ పద్దతిని యెంపికచేయుము"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
-#, fuzzy
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
-msgstr "ఇన్పుట్ పద్దతులు"
+msgstr "ఇన్పుట్ పద్దతి"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus అభీష్టములు"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "స్వయంచాలకంగా మరుగునవుంచు"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "మలచుకొనిన ఫాంటు:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "భాష ప్యానల్ కొరకు మలచుకొనిన ఫాంటు నామము"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "తరువాతి యింజన్ హాట్‌కీ"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "లుకప్ పట్టిక సర్దుబాటు. 0 = చదరముగా, 1 = నిలువుగా"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "లుకప్ పట్టిక సర్దుబాటు"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus ప్రారంభమునందు ముందుగా లోడైన యింజన్లు"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "ముందుగా లోడైన యింజన్లు"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "మునుపటి యింజన్ హాట్‌కీ"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "భాషా పట్టీపై యిన్పుట్ పద్దతి నామము చూపుము"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "భాషా పట్టీపై యిన్పుట్ పద్దతి నామము చూపుము"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"భాషా ప్యానల్ యొక్క ప్రవర్తన. 0 = ఎల్లప్పుడూ మరుగునవుంచు, 1 = స్వయంచాలకంగా మరుగునవుంచు, 2 = "
+"ఎల్లప్పుడూ "
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "జాబితానందలి తరువాతి యిన్పుట్ పద్దతినకు మారుటకు లఘువులు"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "ఇన్పుట్ పద్దతిని ఆన్ చేయుటకు లేదా ఆఫ్ చేయుటకు లఘువు కీలను అమర్చుము"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "బిస హాట్‌కీ"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "మలచుకొనిన ఫాంటు వుపయోగించుము"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "భాషా ప్యానల్ కొరకు మలచుకొనిన ఫాంట్ నామము వుపయోగించుము"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "సిస్టమ్ కీబోర్డు (XKB) నమూనా వుపయోగించుము"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "సిస్టమ్ కీబోర్డు నమూనా వుపయోగించుము"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>ఫాంటు మరియు శైలి</b>"
 
-#: ../setup/setup.glade.h:3
-#, fuzzy
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
-msgstr "<b>కీబోర్డు లఘువులు</b>"
+msgstr "<b>కీబోర్డు నమూనా</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>కీబోర్డు లఘువులు</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>ప్రారంభము</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -197,7 +297,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -205,215 +305,134 @@ msgstr ""
 "<small><i>జాబితాలో పైన వున్నది అప్రమేయ యిన్పుట్ విధానం అవుతుంది.\n"
 "దానిని మార్చుటకు మీరు పైకి/క్రిందకు బటన్సును వుపయోగించవచ్చు.</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr ""
+msgstr "ఎంపికైన ఇన్పుట్ పద్దతిని చేతనమైన యిన్పుట్ పద్దతులలోనికి జతచేయుము"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
+msgstr "అధునాతన"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "సభ్యుల దృక్పధము:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "భాష ప్యానల్ కొరకు మలచుకొనిన ఫాంటు నామము"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "మలచుకొనిన ఫాంటు:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "చేతనముచేయి లేదా అచేతనముచేయి:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "భాషా పట్టీ మరియు కాండిడేట్లకొరకు యెంచుకొనిన ఫాంటు"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "సాదారణ"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "చదరముగా\n"
 "నిలువుగా"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus అభీష్టములు"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
-msgstr ""
+msgstr "చేతనమైన యిన్పుట్ పద్దతులలో యెంపికైన యిన్పుట్ పద్దతిని క్రిందకి కదుపుము"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr ""
+msgstr "చేతనమైన యిన్పుట్ పద్దతులలో యెంపికైన యిన్పుట్ పద్దతిని పైకి కదుపుము"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"ఎప్పటికివద్దు\n"
-"క్రియాశీలముగా వున్నప్పుడు\n"
-"ఎల్లప్పుడు"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "తరువాతి ఇన్పుట్ పద్దతి:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "మునుపటి ఇన్పుట్ పద్దతి:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr ""
+msgstr "చేతనమైన యిన్పుట్ పద్దతులలో యెంపికైన యిన్పుట్ పద్దతిని తీసివేయుము"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr ""
+msgstr "భాషా పట్టీని యెలా చూపాలి మరియు దాయాలి అనేదానికి ibus ప్రవర్తనను అమర్చుము"
 
-#: ../setup/setup.glade.h:36
-#, fuzzy
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
-msgstr "లుకప్ పట్టిక సర్దుబాటు"
+msgstr "లుకప్ పట్టికనందు కాండిడేట్ల సర్దుబాటును అమర్చుము"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr ""
+msgstr "ఎంపికచేసిన యిన్పుట్ పద్దతి యొక్క సమాచారమును చూపుము"
 
-#: ../setup/setup.glade.h:39
-#, fuzzy
-msgid "Show input method name on language bar"
-msgstr "భాష ప్యానల్ కొరకు మలచుకొనిన ఫాంటు నామము"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "చెక్‌బాక్సు చెక్ చేసినప్పుడు భాషా పట్టీపై యిన్పుట్ పద్దతి నామము చూపుము"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "భాషా ప్యానల్ చూపుము:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "లాగిన్‌నందు ibus ప్రారంభించుము"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "తరువాతి ఇన్పుట్ పద్దతి యింజనుకు మారుటకు తరువాతి యింజన్ హాట్‌కీ"
-
-#: ../setup/setup.glade.h:44
-#, fuzzy
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "మునుపటి ఇన్పుట్ పద్దతి యింజనుకు మారుటకు మునుపటి యింజన్ హాట్‌కీ"
+msgstr "జాబితానందలి ముందరి యిన్పుట్ పద్దతినకు మారుటకు లఘువులు"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "మలచుకొనిన ఫాంటు వుపయోగించుము"
-
-#: ../setup/setup.glade.h:46
-#, fuzzy
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
-msgstr "భాషా ప్యానల్ కొరకు మలచుకొనిన ఫాంట్ నామము వుపయోగించుము"
-
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
+msgstr "భాషా పట్టీ మరియు కాండిడేట్ల కొరకు మలచుకొనిన ఫాంటు వుపయోగించుము"
 
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"ఎప్పటికివద్దు\n"
+"క్రియాశీలముగా వున్నప్పుడు\n"
+"ఎల్లప్పుడు"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "స్వయంచాలకంగా మరుగునవుంచు"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "మలచుకొనిన ఫాంటు"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "భాష ప్యానల్ కొరకు మలచుకొనిన ఫాంటు నామము"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "తరువాతి యింజన్ హాట్‌కీ"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "తరువాతి ఇన్పుట్ పద్దతి యింజనుకు మారుటకు తరువాతి యింజన్ హాట్‌కీ"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "లుకప్ పట్టిక సర్దుబాటు"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "లుకప్ పట్టిక సర్దుబాటు. 0 = చదరముగా, 1 = నిలువుగా"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "ముందుగా లోడైన యింజన్లు"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus ప్రారంభమునందు ముందుగా లోడైన యింజన్లు"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "మునుపటి యింజన్ హాట్‌కీ"
+#~ msgid "Custom Font"
+#~ msgstr "మలచుకొనిన ఫాంటు"
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "మునుపటి ఇన్పుట్ పద్దతి యింజనుకు మారుటకు మునుపటి యింజన్ హాట్‌కీ"
+#~ msgid "Show IM Name"
+#~ msgstr "IM నామము చూపుము"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Show IM name on language bar"
+#~ msgstr "భాషా పట్టీపై IM నామము చూపుము"
 
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "భాష ప్యానల్ కొరకు మలచుకొనిన ఫాంటు నామము"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr ""
-"భాషా ప్యానల్ యొక్క ప్రవర్తన. 0 = ఎల్లప్పుడూ మరుగునవుంచు, 1 = స్వయంచాలకంగా మరుగునవుంచు, 2 = "
-"ఎల్లప్పుడూ "
+#~ msgid "Use Custom Font"
+#~ msgstr "మలచుకొనిన ఫాంటు వుపయోగించుము"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "బిస హాట్‌కీ"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "తరువాతి ఇన్పుట్ పద్దతి యింజనుకు మారుటకు తరువాతి యింజన్ హాట్‌కీ"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "ఇన్పుట్ సందర్భమును చేతనము చేయుటకు లేదా అచేతనము చేయుటకు బిస హాట్‌కీ"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "మునుపటి ఇన్పుట్ పద్దతి యింజనుకు మారుటకు మునుపటి యింజన్ హాట్‌కీ"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "మలచుకొనిన ఫాంటు వుపయోగించుము"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "ఇన్పుట్ సందర్భమును చేతనము చేయుటకు లేదా అచేతనము చేయుటకు బిస హాట్‌కీ"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "భాషా ప్యానల్ కొరకు మలచుకొనిన ఫాంట్ నామము వుపయోగించుము"
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/vi.po 1.2.0.20091024-1/po/vi.po
--- 1.2.0.20090904-1/po/vi.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/vi.po	2009-10-24 04:23:08.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: data 1\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-09-01 10:46+0700\n"
 "Last-Translator: Le Quoc Tuan <mr.lequoctuan@gmail.com>\n"
 "Language-Team: Vietnamese\n"
@@ -20,122 +20,122 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2
-#: ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "Bộ gõ IBus"
 
-#: ../ibus/lang.py:40
-#: ../ui/gtk/panel.py:339
-#: ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341
-#: ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "Khác"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "Khởi động lại"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "Không dùng bộ gõ"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "Không có cửa sổ nhập"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus là một bộ gõ thông minh cho Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Lê Quốc Tuấn <mr.lequoctuan@gmail.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "Giới thiệu bộ gõ"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "Chuyển bộ gõ"
 
-#: ../ui/gtk/engineabout.py:34
-#: ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "Giới thiệu"
 
-#: ../ui/gtk/engineabout.py:62
-#: ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "Ngôn ngữ: %s\n"
 
-#: ../ui/gtk/engineabout.py:64
-#: ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "Bố trí bàn phím: %s\n"
 
-#: ../ui/gtk/engineabout.py:66
-#: ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "Tác giả: %s\n"
 
-#: ../ui/gtk/engineabout.py:68
-#: ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "Mô tả:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "Bật/tắt"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "Bộ gõ kế tiếp"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "Bộ gõ trước"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
-msgstr "IBus daemon chưa được khởi động. Bạn có muốn khởi động nó ngay bây giờ?"
+msgstr ""
+"IBus daemon chưa được khởi động. Bạn có muốn khởi động nó ngay bây giờ?"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
-"IBus has been started! If you can not use IBus, please add below lines in $HOME/.bashrc, and relogin your desktop.\n"
+"IBus has been started! If you can not use IBus, please add below lines in "
+"$HOME/.bashrc, and relogin your desktop.\n"
 "  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 msgstr ""
-"IBus vừa được khởi động! Nếu bạn không thể dùng IBus, vui lòng thêm những dòng bên dưới vào $HOME/.bashrc, và đăng nhập lại.\n"
+"IBus vừa được khởi động! Nếu bạn không thể dùng IBus, vui lòng thêm những "
+"dòng bên dưới vào $HOME/.bashrc, và đăng nhập lại.\n"
 "  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "Chọn phím tắt cho %s"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "Những phím tắt"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "Mã phím:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "Phím bổ sung:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -143,45 +143,140 @@ msgstr ""
 "Vui lòng nhấn một phím (hoặc tổ hợp phím).\n"
 "Hộp thoại này sẽ được đống lại khi bạn thả phím ấn."
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "Vui lòng nhấn một phím (hoặc tổ hợp phím)"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "Chọn một bộ gõ"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59
-#: ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "Bộ gõ"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "Tùy thích IBus"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "Tự động ẩn"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "Tùy biến phông:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "Tùy biến phông cho thanh ngôn ngữ"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "Phím nóng cho bộ gõ kế tiếp"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "Hướng của bảng tra cứu. 0 = Ngang, 1 = Dọc"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "Hướng của bảng tra cứu"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "Nạp trước bộ gõ trong khi khởi động ibus"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "Nạp trước bộ gõ"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "Phím nóng cho bộ gõ trước"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "Hiển thị tên bộ gõ trên thanh ngôn ngữ"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "Hiển thị tên bộ gõ trên thanh ngôn ngữ"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr ""
+"Cách hiển thị thanh ngôn ngữ. 0 = Luôn ẩn, 1 = Tự  động ẩn, 2 = Luôn hiện"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "Phím nóng dùng để chuyển đến bộ gõ kế tiếp trong danh sách"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "Đặt phím tắt để bật hoặc tắt bộ gõ"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "Phím nóng bật/tắt"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "Dùng phông chữ tùy biến"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "Dùng phông tùy biến cho thanh ngôn ngữ"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "Dùng kiểu bố trí bàn phím hệ thống (XKB)"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "Dùng kiểu bố trí bàn phím của hệ thống"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>Phông và kiểu</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>Bố trí bàn phím</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>Phím tắt</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>Khởi động</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -197,7 +292,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -205,208 +300,134 @@ msgstr ""
 "<small><i>Bộ gõ mặc định là bộ gõ đầu tiên trong danh sách.\n"
 "Bạn có thể dùng phím lên/xuống để thay đổi nó</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "Thêm bộ gõ đã chọn vào những bộ gõ cho phép sử dụng"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr "Nâng cao"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "Hướng danh sách từ ứng cử:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "Chọn phông cho thanh ngôn ngữ và từ gợi ý"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "Tùy biến phông:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "Bật hoặc tắt:"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "Chọn phông cho thanh ngôn ngữ và từ gợi ý"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "Chung"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "Ngang\n"
 "Dọc"
 
-#: ../setup/setup.glade.h:25
-#: ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "Tùy thích IBus"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "Di chuyển bộ gõ đã chọn xuống dưới trong những bộ gõ cho phép sử dụng"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "Di chuyển bộ gõ đã chọn lên trên trong những bộ gõ cho phép sử dụng"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"Không bao giờ\n"
-"Khi hoạt động\n"
-"Luôn luôn"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "Bộ gõ kế tiếp:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "Bộ gõ trước:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "Xóa bộ gõ đã chọn ra khỏi những bộ gõ cho phép sử dụng"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "Đặt cách mà bộ gõ hiển thị hay ẩn thanh ngôn ngữ"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "Đặt hướng của từ gợi ý trong bảng tra cứu"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "Đặt phím tắt để bật hoặc tắt bộ gõ"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "Hiển thị thông tin về bộ gõ đã chọn"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "Hiển thị tên bộ gõ trên thanh ngôn ngữ"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "Hiển thị tên của bộ gõ trên thanh ngôn ngữ khi đánh dấu vào ô kiểm"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "Hiển thị thanh ngôn ngữ:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "Khởi động ibus khi đăng nhập"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "Phím nóng dùng để chuyển đến bộ gõ kế tiếp trong danh sách"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "Phím nóng dùng để chuyển về bộ gõ trước trong danh sách"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "Dùng phông chữ tùy biến"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "Dùng phông tùy biến cho thanh ngôn ngữ và từ gợi ý"
 
-#: ../setup/setup.glade.h:47
-#: ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "Dùng kiểu bố trí bàn phím hệ thống (XKB)"
-
-#: ../setup/setup.glade.h:48
-#: ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "Dùng kiểu bố trí bàn phím của hệ thống"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr "gtk-about"
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "Tự động ẩn"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "Tùy biến phông"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "Tùy biến phông cho thanh ngôn ngữ"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "Phím nóng cho bộ gõ kế tiếp"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "Phím nóng dùng để chuyển đến bộ gõ kế tiếp"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "Hướng của bảng tra cứu"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "Hướng của bảng tra cứu. 0 = Ngang, 1 = Dọc"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "Nạp trước bộ gõ"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "Nạp trước bộ gõ trong khi khởi động ibus"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "Phím nóng cho bộ gõ trước"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr ""
 
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "Phím nóng dùng để chuyển về bộ gõ trước"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
+msgstr ""
+"Không bao giờ\n"
+"Khi hoạt động\n"
+"Luôn luôn"
 
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "Hiển thị tên bộ gõ"
+#~ msgid "Custom Font"
+#~ msgstr "Tùy biến phông"
 
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "Hiển thị tên IM trên thanh ngôn ngữ"
+#~ msgid "Show IM Name"
+#~ msgstr "Hiển thị tên bộ gõ"
 
-#: ../data/ibus.schemas.in.h:14
-msgid "The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always show"
-msgstr "Cách hiển thị thanh ngôn ngữ. 0 = Luôn ẩn, 1 = Tự  động ẩn, 2 = Luôn hiện"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "Hiển thị tên IM trên thanh ngôn ngữ"
 
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "Phím nóng bật/tắt"
+#~ msgid "Use Custom Font"
+#~ msgstr "Dùng phông tùy biến"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "Phím nóng bật/tắt dùng để bật hoặc tắt bộ gõ"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "Phím nóng dùng để chuyển đến bộ gõ kế tiếp"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "Dùng phông tùy biến"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "Phím nóng dùng để chuyển về bộ gõ trước"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "Dùng phông tùy biến cho thanh ngôn ngữ"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "Phím nóng bật/tắt dùng để bật hoặc tắt bộ gõ"
 
+#~ msgid "gtk-about"
+#~ msgstr "gtk-about"
diff -pruN 1.2.0.20090904-1/po/zh_CN.po 1.2.0.20091024-1/po/zh_CN.po
--- 1.2.0.20090904-1/po/zh_CN.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/zh_CN.po	2009-10-24 04:23:08.000000000 +0100
@@ -1,13 +1,13 @@
 # Translation for ibus.
-# Copyright (C) 2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (C) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
 # This file is distributed under the same license as the ibus package.
-# Huang Peng <shawn.p.huang@gmail.com>, 2008.
+# Peng Huang <shawn.p.huang@gmail.com>, 2007-2009.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: 0.1.1.20080813\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2008-08-13 21:59+0800\n"
 "Last-Translator: Huang Peng <shawn.p.huang@gmail.com>\n"
 "Language-Team: Huang Peng <shawn.p.huang@gmail.com>\n"
@@ -20,84 +20,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
-msgstr "IBus输入法框架"
+msgstr "IBus 输入法框架"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+"版权所有 (c) 2007-2009 黄鹏\n"
+"版权所有 (c) 2007-2009 Red Hat 公司"
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "其他"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "重新启动"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
 msgstr "关闭输入法"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr "没有输入窗口"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus is an intelligent input bus for Linux/Unix."
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Huang Peng <shawn.p.huang@gmail.com>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
 msgstr "关于输入法"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "切换输入法"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "关于"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr "语言: %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "键盘: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr "作者: %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr "描述:\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "开关"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "下一入法"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "前一入法"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
-msgstr "IBus守护进程没有启动，您是否想现在启动它？"
+msgstr "IBus 守护进程没有启动，您是否想现在启动它？"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -105,29 +113,29 @@ msgid ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 msgstr ""
-"IBus已经被成功启动！如果你不能正常使用IBus，请将下面代码加入到$HOME/.bashrc"
+"IBus 已经被成功启动！如果你不能正常使用IBus，请将下面代码加入到$HOME/.bashrc"
 "中，并重新登录桌面。  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "选择%s的快捷键"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "快捷键"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "按键:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "修饰符:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -135,44 +143,130 @@ msgstr ""
 "请按一个键盘按键（或者一个组合按键）\n"
 "当您松开任意按键时，对话框会自动关闭。"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "请按一个键盘按键（或者一个组合按键）"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "选择输入法"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "输入法"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
-msgstr ""
+msgstr "Kbd"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus 设置"
+
+#: ../data/ibus.schemas.in.h:1
+msgid "Auto hide"
+msgstr "自动隐藏"
+
+#: ../data/ibus.schemas.in.h:2
+msgid "Custom font"
+msgstr "自定义字体:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "自定义语言栏字体"
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:4
+msgid "Next engine shortcut keys"
+msgstr "下一个引擎快捷键"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "候选词表方向。0 = 水平，1 = 竖直。"
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr "候选词表方向"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus启动时预加载的引擎"
+
+#: ../data/ibus.schemas.in.h:8
+msgid "Preload engines"
+msgstr "预加载引擎"
+
+#: ../data/ibus.schemas.in.h:9
+msgid "Prev engine shortcut keys"
+msgstr "上一个引擎快捷键"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr "在系统托盘上显示图标"
+
+#: ../data/ibus.schemas.in.h:11
+msgid "Show input method name"
+msgstr "在语言栏上显示输入法名字"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "在语言栏上显示输入法名字"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "语言栏行为。0 = 总是隐藏，1 = 自动隐藏，2 = 总是显示。"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "切换下一个引擎快捷键"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+msgid "The shortcut keys for turning input method on or off"
+msgstr "打开关闭输入法的快捷键"
+
+#: ../data/ibus.schemas.in.h:16
+msgid "Trigger shortcut keys"
+msgstr "触发快捷键"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "使用自定义字体"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "语言栏是否使用自定义字体"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "使用系统键盘（XKB）布局"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "使用系统键盘布局"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>字体和风格</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>键盘布局</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>快捷键</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>启动</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -188,7 +282,7 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
@@ -196,207 +290,102 @@ msgstr ""
 "<small><i>列表中第一个输入法是默认的输入法。\n"
 "您可以使用上/下按钮来更改默认的输入法。</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr "添加输入法到启动"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
-msgstr ""
+msgstr "高级"
+
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr "总是"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "候选词排列方向:"
 
-#: ../setup/setup.glade.h:19
-msgid "Choice font for language bar and candidates"
-msgstr "选择语言栏和候选词的字体"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "自定义字体:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "开关"
 
-#: ../setup/setup.glade.h:22
-msgid "General"
-msgstr "通用"
+#: ../setup/setup.ui.h:22
+msgid "Font for language bar and candidates"
+msgstr "选择语言栏和候选词的字体"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
-msgstr ""
-"水平\n"
-"竖直"
+#: ../setup/setup.ui.h:23
+msgid "General"
+msgstr "常规"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus设置"
+#: ../setup/setup.ui.h:24
+msgid "Horizontal"
+msgstr "水平"
 
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr "下移选中的输入法"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr "上移选中的输入法"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
-msgstr ""
-"从不\n"
-"活动时\n"
-"总是"
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr "从不"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "下一入法:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "前一入法:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr "删除选中的输入法"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr "设置显示隐藏语言栏的方式"
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "设置候选词表方向"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr "设置打开关闭输入法的快捷键"
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr "显示选中输入法的信息"
 
-#: ../setup/setup.glade.h:39
-msgid "Show input method name on language bar"
-msgstr "在语言栏上显示输入法名字"
-
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
 msgstr "在语言栏上显示输入法的名字"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "显示语言栏:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "启动桌面时自动启动IBus"
 
-#: ../setup/setup.glade.h:43
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "切换下一个引擎快捷键"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "切换上一个引擎快捷键"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "使用自定义字体"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "使用自定义字体显示语言栏和候选词"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr "使用系统键盘（XKB）布局"
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr "使用系统键盘布局"
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "自动隐藏"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "自定义字体:"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "自定义语言栏字体"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "下一个引擎快捷键"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "切换下一个引擎快捷键"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "候选词表方向"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "候选词表方向。0 = 水平，1 = 竖直。"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "预加载引擎"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus启动时预加载的引擎"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "上一个引擎快捷键"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "切换上一个引擎快捷键"
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr "显示输入法名字"
-
-#: ../data/ibus.schemas.in.h:13
-msgid "Show IM name on language bar"
-msgstr "在语言栏上显示输入法名字"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "语言栏行为。0 = 总是隐藏，1 = 自动隐藏，2 = 总是显示。"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "触发快捷键"
-
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "触发快捷键"
-
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "使用自定义字体"
-
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "语言栏是否使用自定义字体"
-
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr "竖直"
+
+#: ../setup/setup.ui.h:49
+msgid "When active"
+msgstr "活动时"
diff -pruN 1.2.0.20090904-1/po/zh_HK.po 1.2.0.20091024-1/po/zh_HK.po
--- 1.2.0.20090904-1/po/zh_HK.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/zh_HK.po	2009-10-24 04:23:08.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 1.1.0.20090331\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-07 06:38+1000\n"
 "Last-Translator: Caius 'kaio' Chance <k@kaio.me>\n"
 "Language-Team: Caius 'kaio' Chance <k@kaio.me>\n"
@@ -20,86 +20,92 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus輸入法框架"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "其他"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "重新啟動"
 
-#: ../ui/gtk/panel.py:369
+#: ../ui/gtk/panel.py:377
 #, fuzzy
 msgid "Turn off input method"
 msgstr "無輸入法"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
 msgstr ""
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus 為 Linux/Unix上的智能輸入法框架。"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Caius 'kaio' Chance <k@kaio.me>"
 
-#: ../ui/gtk/languagebar.py:102
+#: ../ui/gtk/languagebar.py:103
 #, fuzzy
 msgid "About the Input Method"
 msgstr "輸入法"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "切換輸入法"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "關於"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
 #, fuzzy, python-format
 msgid "Keyboard layout: %s\n"
 msgstr "捷徑鍵"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
 msgstr ""
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
 msgstr ""
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
 msgstr "切換"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "下一個輸入法"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "上一個輸入法"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus daemon 没有啟動，您是否想現在啟動它？"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -112,24 +118,24 @@ msgstr ""
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "選擇%s的捷徑鍵"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "捷徑鍵"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "按鍵:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "組合按鍵:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -137,46 +143,143 @@ msgstr ""
 "請按一個鍵盤按鍵（或是一個按鍵組合）\n"
 "當按鍵被放開時，對話框會自動關閉。"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "請按一個鍵盤按鍵（或是一個按鍵組合）"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr "選擇輸入法"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 #, fuzzy
 msgid "Input Method"
 msgstr "輸入法"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus設定"
+
+#: ../data/ibus.schemas.in.h:1
+#, fuzzy
+msgid "Auto hide"
+msgstr "自動隱藏"
+
+#: ../data/ibus.schemas.in.h:2
+#, fuzzy
+msgid "Custom font"
+msgstr "自訂字體:"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "自訂語言面板字體"
+
+#: ../data/ibus.schemas.in.h:4
+#, fuzzy
+msgid "Next engine shortcut keys"
+msgstr "下一個引擎捷徑鍵"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "候選字詞表排列方向。0 = 水平，1 = 垂直"
+
+#: ../data/ibus.schemas.in.h:6
+#, fuzzy
+msgid "Orientation of lookup table"
+msgstr "候選字詞表排列方向"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus啟動時預先載入引擎"
+
+#: ../data/ibus.schemas.in.h:8
+#, fuzzy
+msgid "Preload engines"
+msgstr "預載引擎"
+
+#: ../data/ibus.schemas.in.h:9
+#, fuzzy
+msgid "Prev engine shortcut keys"
+msgstr "切換到上一個引擎捷徑鍵"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:11
+#, fuzzy
+msgid "Show input method name"
+msgstr "自訂語言面板字體"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+#, fuzzy
+msgid "Show input method name on language bar"
+msgstr "自訂語言面板字體"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "語言面板行為。0 = 永遠隱藏，1 = 自動隱藏，2 = 永遠顯示。"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+#, fuzzy
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "下一個引擎捷徑鍵"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+#, fuzzy
+msgid "The shortcut keys for turning input method on or off"
+msgstr "切換到上一個引擎捷徑鍵"
+
+#: ../data/ibus.schemas.in.h:16
+#, fuzzy
+msgid "Trigger shortcut keys"
+msgstr "輸入法觸發捷徑鍵"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "使用自訂字體"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "語言面板是否使用自訂字體"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr ""
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr ""
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>字體與風格</b>"
 
-#: ../setup/setup.glade.h:3
+#: ../setup/setup.ui.h:3
 #, fuzzy
 msgid "<b>Keyboard Layout</b>"
 msgstr "<b>捷徑鍵</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>捷徑鍵</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>啟動</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -192,219 +295,139 @@ msgstr ""
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
 msgstr ""
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr ""
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "候選詞排列方向:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "自訂語言面板字體"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "自訂字體:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
 msgstr "開關"
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+#, fuzzy
+msgid "Font for language bar and candidates"
+msgstr "自訂語言面板字體"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "通用"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
+#: ../setup/setup.ui.h:24
+#, fuzzy
+msgid "Horizontal"
 msgstr ""
 "水平\n"
 "垂直"
 
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus設定"
-
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
 msgstr ""
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
+#: ../setup/setup.ui.h:29
+msgid "Never"
 msgstr ""
-"從不\n"
-"啟動時\n"
-"總是"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "下一個輸入法:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "上一個輸入法:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
 msgstr ""
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
 msgstr ""
 
-#: ../setup/setup.glade.h:36
+#: ../setup/setup.ui.h:34
 #, fuzzy
 msgid "Set the orientation of candidates in lookup table"
 msgstr "候選字詞表排列方向"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
 msgstr ""
 
-#: ../setup/setup.glade.h:39
+#: ../setup/setup.ui.h:38
 #, fuzzy
-msgid "Show input method name on language bar"
-msgstr "自訂語言面板字體"
-
-#: ../setup/setup.glade.h:40
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "自訂語言面板字體"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "顯示語言面板:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "登入時自動啟動IBus"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "下一個引擎捷徑鍵"
-
-#: ../setup/setup.glade.h:44
+#: ../setup/setup.ui.h:42
 #, fuzzy
 msgid "The shortcut keys for switching to previous input method in the list"
 msgstr "切換到上一個引擎捷徑鍵"
 
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "使用自訂字體"
-
-#: ../setup/setup.glade.h:46
+#: ../setup/setup.ui.h:45
 #, fuzzy
 msgid "Use custom font for language bar and candidates"
 msgstr "語言面板是否使用自訂字體"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
 msgstr ""
 
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
+#: ../setup/setup.ui.h:49
+#, fuzzy
+msgid "When active"
 msgstr ""
+"從不\n"
+"啟動時\n"
+"總是"
 
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "自動隱藏"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "自訂字體"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "自訂語言面板字體"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "下一個引擎捷徑鍵"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "下一個引擎捷徑鍵"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "候選字詞表排列方向"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "候選字詞表排列方向。0 = 水平，1 = 垂直"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "預載引擎"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus啟動時預先載入引擎"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "切換到上一個引擎捷徑鍵"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "切換到上一個引擎捷徑鍵"
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
+#~ msgid "Custom Font"
+#~ msgstr "自訂字體"
 
-#: ../data/ibus.schemas.in.h:13
 #, fuzzy
-msgid "Show IM name on language bar"
-msgstr "自訂語言面板字體"
+#~ msgid "Show IM name on language bar"
+#~ msgstr "自訂語言面板字體"
 
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "語言面板行為。0 = 永遠隱藏，1 = 自動隱藏，2 = 永遠顯示。"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "輸入法觸發捷徑鍵"
+#~ msgid "Use Custom Font"
+#~ msgstr "使用自訂字體"
 
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "開關輸入法捷徑鍵"
+#~ msgid "Next engine hotkey for switch to next input method engine"
+#~ msgstr "下一個引擎捷徑鍵"
 
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "使用自訂字體"
+#~ msgid "Prev engine hotkey for switch to previous input method engine"
+#~ msgstr "切換到上一個引擎捷徑鍵"
 
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "語言面板是否使用自訂字體"
+#~ msgid "Trigger hotkey for enable or disable input context"
+#~ msgstr "開關輸入法捷徑鍵"
diff -pruN 1.2.0.20090904-1/po/zh_TW.po 1.2.0.20091024-1/po/zh_TW.po
--- 1.2.0.20090904-1/po/zh_TW.po	2009-09-04 03:58:12.000000000 +0100
+++ 1.2.0.20091024-1/po/zh_TW.po	2009-10-24 04:23:09.000000000 +0100
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 1.1.0.20090331\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-08-29 08:13+0800\n"
+"POT-Creation-Date: 2009-10-24 11:23+0800\n"
 "PO-Revision-Date: 2009-04-07 21:59+0800\n"
 "Last-Translator: Ding-Yi Chen <dchen@redhat.com>\n"
 "Language-Team: Ding-Yi Chen <dchen@redhat.com>\n"
@@ -20,86 +20,90 @@ msgstr ""
 msgid "IBus"
 msgstr "IBus"
 
-#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:110
+#: ../bus/ibus.desktop.in.h:2 ../ui/gtk/panel.py:111
 msgid "IBus input method framework"
 msgstr "IBus輸入法框架"
 
-#: ../ibus/lang.py:40 ../ui/gtk/panel.py:339 ../ui/gtk/panel.py:340
-#: ../ui/gtk/panel.py:341 ../ui/gtk/panel.py:342
+#: ../ibus/_config.py.in:37
+msgid ""
+"Copyright (c) 2007-2009 Peng Huang\n"
+"Copying (c) 2007-2009 Red Hat, Inc."
+msgstr ""
+
+#: ../ibus/lang.py:41 ../ui/gtk/panel.py:347 ../ui/gtk/panel.py:348
+#: ../ui/gtk/panel.py:349 ../ui/gtk/panel.py:350
 msgid "Other"
 msgstr "其他"
 
-#: ../ui/gtk/panel.py:314
+#: ../ui/gtk/panel.py:322
 msgid "Restart"
 msgstr "重新啟動"
 
-#: ../ui/gtk/panel.py:369
-#, fuzzy
+#: ../ui/gtk/panel.py:377
 msgid "Turn off input method"
-msgstr "無輸入法"
+msgstr "關閉輸入法"
 
-#: ../ui/gtk/panel.py:402
+#: ../ui/gtk/panel.py:410
 msgid "No input window"
-msgstr ""
+msgstr "無輸入窗"
 
-#: ../ui/gtk/panel.py:430
+#: ../ui/gtk/panel.py:438
 msgid "IBus is an intelligent input bus for Linux/Unix."
 msgstr "IBus 為 Linux/Unix上的智慧型輸入法框架。"
 
-#: ../ui/gtk/panel.py:434
+#: ../ui/gtk/panel.py:442
 msgid "translator-credits"
 msgstr "Ding-Yi Chen 陳定彞 <dchen@redhat.com>"
 
-#: ../ui/gtk/languagebar.py:102
-#, fuzzy
+#: ../ui/gtk/languagebar.py:103
 msgid "About the Input Method"
-msgstr "輸入法"
+msgstr "關於輸入法"
 
-#: ../ui/gtk/languagebar.py:165
+#: ../ui/gtk/languagebar.py:166
 msgid "Switch input method"
 msgstr "切換輸入法"
 
-#: ../ui/gtk/engineabout.py:34 ../setup/engineabout.py:34
-#: ../setup/setup.glade.h:15
+#: ../ui/gtk/engineabout.py:35 ../setup/engineabout.py:35
+#: ../setup/setup.ui.h:15
 msgid "About"
 msgstr "關於"
 
-#: ../ui/gtk/engineabout.py:62 ../setup/engineabout.py:62
+#: ../ui/gtk/engineabout.py:63 ../setup/engineabout.py:63
 #, python-format
 msgid "Language: %s\n"
-msgstr ""
+msgstr "語言： %s\n"
 
-#: ../ui/gtk/engineabout.py:64 ../setup/engineabout.py:64
-#, fuzzy, python-format
+#: ../ui/gtk/engineabout.py:65 ../setup/engineabout.py:65
+#, python-format
 msgid "Keyboard layout: %s\n"
-msgstr "熱鍵"
+msgstr "鍵盤配置: %s\n"
 
-#: ../ui/gtk/engineabout.py:66 ../setup/engineabout.py:66
+#: ../ui/gtk/engineabout.py:67 ../setup/engineabout.py:67
 #, python-format
 msgid "Author: %s\n"
-msgstr ""
+msgstr "作者： %s\n"
 
-#: ../ui/gtk/engineabout.py:68 ../setup/engineabout.py:68
+#: ../ui/gtk/engineabout.py:69 ../setup/engineabout.py:69
 msgid "Description:\n"
-msgstr ""
+msgstr "描述：\n"
 
-#: ../setup/main.py:108
+#: ../setup/main.py:106
 msgid "trigger"
-msgstr "切換"
+msgstr "觸發"
 
-#: ../setup/main.py:120
+#: ../setup/main.py:117
 msgid "next input method"
 msgstr "下一輸入法"
 
-#: ../setup/main.py:132
+#: ../setup/main.py:128
 msgid "previous input method"
 msgstr "前一輸入法"
 
-#: ../setup/main.py:235
+#: ../setup/main.py:237
 msgid "IBus daemon is not started. Do you want to start it now?"
 msgstr "IBus daemon 没有啟動，您是否想現在啟動它？"
 
-#: ../setup/main.py:250
+#: ../setup/main.py:252
 msgid ""
 "IBus has been started! If you can not use IBus, please add below lines in "
 "$HOME/.bashrc, and relogin your desktop.\n"
@@ -108,28 +112,29 @@ msgid ""
 "  export QT_IM_MODULE=ibus"
 msgstr ""
 "IBus已經成功啟動！如果你不能正常使用IBus，請將下列代碼加入到$HOME/.bashrc中，"
-"並重新登入桌面。  export GTK_IM_MODULE=ibus\n"
+"並重新登入桌面。\n"
+"  export GTK_IM_MODULE=ibus\n"
 "  export XMODIFIERS=@im=ibus\n"
 "  export QT_IM_MODULE=ibus"
 
-#: ../setup/main.py:265
+#: ../setup/main.py:267
 #, python-format
 msgid "Select keyboard shortcut for %s"
 msgstr "選%s的熱鍵"
 
-#: ../setup/keyboardshortcut.py:54
+#: ../setup/keyboardshortcut.py:55
 msgid "Keyboard shortcuts"
 msgstr "熱鍵"
 
-#: ../setup/keyboardshortcut.py:65
+#: ../setup/keyboardshortcut.py:66
 msgid "Key code:"
 msgstr "按鍵:"
 
-#: ../setup/keyboardshortcut.py:80
+#: ../setup/keyboardshortcut.py:81
 msgid "Modifiers:"
 msgstr "組合按鍵:"
 
-#: ../setup/keyboardshortcut.py:227
+#: ../setup/keyboardshortcut.py:228
 msgid ""
 "Please press a key (or a key combination).\n"
 "The dialog will be closed when the key is released."
@@ -137,46 +142,130 @@ msgstr ""
 "請按一個鍵盤按鍵（或是一個按鍵組合）\n"
 "當您鬆開任意鍵時，對話框會自動關閉。"
 
-#: ../setup/keyboardshortcut.py:229
+#: ../setup/keyboardshortcut.py:230
 msgid "Please press a key (or a key combination)"
 msgstr "請按一個鍵盤按鍵（或是一個按鍵組合）"
 
-#: ../setup/enginecombobox.py:99
+#: ../setup/enginecombobox.py:100
 msgid "Select an input method"
 msgstr " 選擇輸入法"
 
 #. create im name & icon column
-#: ../setup/enginetreeview.py:59 ../setup/setup.glade.h:26
-#, fuzzy
+#: ../setup/enginetreeview.py:60 ../setup/setup.ui.h:26
 msgid "Input Method"
 msgstr "輸入法"
 
-#: ../setup/enginetreeview.py:87
+#: ../setup/enginetreeview.py:88
 msgid "Kbd"
+msgstr "鍵盤"
+
+#: ../setup/ibus-setup.desktop.in.h:1 ../setup/setup.ui.h:25
+msgid "IBus Preferences"
+msgstr "IBus偏好設定"
+
+#: ../data/ibus.schemas.in.h:1
+msgid "Auto hide"
+msgstr "自動隱藏"
+
+#: ../data/ibus.schemas.in.h:2
+msgid "Custom font"
+msgstr "自訂字體"
+
+#: ../data/ibus.schemas.in.h:3
+msgid "Custom font name for language panel"
+msgstr "自訂語言面板"
+
+#: ../data/ibus.schemas.in.h:4
+msgid "Next engine shortcut keys"
+msgstr "「下一個引擎」熱鍵"
+
+#: ../data/ibus.schemas.in.h:5
+msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
+msgstr "候選字詞表排列方向。0 = 水平，1 = 垂直"
+
+#: ../data/ibus.schemas.in.h:6
+msgid "Orientation of lookup table"
+msgstr "候選字詞表排列方向"
+
+#: ../data/ibus.schemas.in.h:7
+msgid "Preload Engines during ibus starts up"
+msgstr "ibus啟動時預先載入的引擎"
+
+#: ../data/ibus.schemas.in.h:8
+msgid "Preload engines"
+msgstr "預載引擎"
+
+#: ../data/ibus.schemas.in.h:9
+msgid "Prev engine shortcut keys"
+msgstr "「上一個引擎」熱鍵"
+
+#: ../data/ibus.schemas.in.h:10 ../setup/setup.ui.h:35
+msgid "Show icon on system tray"
 msgstr ""
 
-#: ../setup/setup.glade.h:1
+#: ../data/ibus.schemas.in.h:11
+msgid "Show input method name"
+msgstr "自訂語言面板"
+
+#: ../data/ibus.schemas.in.h:12 ../setup/setup.ui.h:37
+msgid "Show input method name on language bar"
+msgstr "自訂語言面板"
+
+#: ../data/ibus.schemas.in.h:13
+msgid ""
+"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
+"show"
+msgstr "語言面板行為。0 = 永遠隱藏，1 = 自動隱藏，2 = 永遠顯示。"
+
+#: ../data/ibus.schemas.in.h:14 ../setup/setup.ui.h:41
+msgid "The shortcut keys for switching to next input method in the list"
+msgstr "「下一個引擎」熱鍵"
+
+#: ../data/ibus.schemas.in.h:15 ../setup/setup.ui.h:43
+msgid "The shortcut keys for turning input method on or off"
+msgstr "開啟或關閉輸入法熱鍵"
+
+#: ../data/ibus.schemas.in.h:16
+msgid "Trigger shortcut keys"
+msgstr "觸發熱鍵"
+
+#: ../data/ibus.schemas.in.h:17 ../setup/setup.ui.h:44
+msgid "Use custom font"
+msgstr "使用自訂字體"
+
+#: ../data/ibus.schemas.in.h:18
+msgid "Use custom font name for language panel"
+msgstr "語言面板是否使用自訂字體"
+
+#: ../data/ibus.schemas.in.h:19 ../setup/setup.ui.h:46
+msgid "Use system keyboard (XKB) layout"
+msgstr "使用系統鍵盤(XKB)配置"
+
+#: ../data/ibus.schemas.in.h:20 ../setup/setup.ui.h:47
+msgid "Use system keyboard layout"
+msgstr "使用系統鍵盤配置"
+
+#: ../setup/setup.ui.h:1
 msgid "..."
 msgstr "..."
 
-#: ../setup/setup.glade.h:2
+#: ../setup/setup.ui.h:2
 msgid "<b>Font and Style</b>"
 msgstr "<b>字體與風格</b>"
 
-#: ../setup/setup.glade.h:3
-#, fuzzy
+#: ../setup/setup.ui.h:3
 msgid "<b>Keyboard Layout</b>"
-msgstr "<b>熱鍵</b>"
+msgstr "<b>鍵盤配置</b>"
 
-#: ../setup/setup.glade.h:4
+#: ../setup/setup.ui.h:4
 msgid "<b>Keyboard Shortcuts</b>"
 msgstr "<b>熱鍵</b>"
 
-#: ../setup/setup.glade.h:5
+#: ../setup/setup.ui.h:5
 msgid "<b>Startup</b>"
 msgstr "<b>啟動</b>"
 
-#: ../setup/setup.glade.h:6
+#: ../setup/setup.ui.h:6
 msgid ""
 "<big><b>IBus</b></big>\n"
 "<small>The intelligent input bus</small>\n"
@@ -186,225 +275,116 @@ msgid ""
 "\n"
 msgstr ""
 "<big><b>IBus</b></big>\n"
-"<small>The intelligent input bus</small>\n"
-"Homepage: http://code.google.com/p/ibus\n"
+"<small>智慧型輸入框架</small>\n"
+"首頁: http://code.google.com/p/ibus\n"
 "\n"
 "\n"
 "\n"
 
-#: ../setup/setup.glade.h:13
+#: ../setup/setup.ui.h:13
 msgid ""
 "<small><i>The default input method is the top one in the list.\n"
 "You may use up/down buttons to change it.</i></small>"
 msgstr ""
+"<small><i>輸入法列表頂端即為預設的輸入法。\n"
+"請用上/下 按鈕來改變順序。</i></small>"
 
-#: ../setup/setup.glade.h:16
+#: ../setup/setup.ui.h:16
 msgid "Add the selected input method into the enabled input methods"
-msgstr ""
+msgstr "把所選的輸入法加入列表"
 
-#: ../setup/setup.glade.h:17
+#: ../setup/setup.ui.h:17
 msgid "Advanced"
-msgstr ""
+msgstr "進階"
 
-#: ../setup/setup.glade.h:18
+#: ../setup/setup.ui.h:18
+msgid "Always"
+msgstr "總是"
+
+#: ../setup/setup.ui.h:19
 msgid "Candidates orientation:"
 msgstr "候選詞排列方向:"
 
-#: ../setup/setup.glade.h:19
-#, fuzzy
-msgid "Choice font for language bar and candidates"
-msgstr "自訂語言面板"
-
-#: ../setup/setup.glade.h:20
+#: ../setup/setup.ui.h:20
 msgid "Custom font:"
 msgstr "自訂字體:"
 
-#: ../setup/setup.glade.h:21
+#: ../setup/setup.ui.h:21
 msgid "Enable or disable:"
-msgstr "開關"
+msgstr "開關："
 
-#: ../setup/setup.glade.h:22
+#: ../setup/setup.ui.h:22
+msgid "Font for language bar and candidates"
+msgstr "自訂語言面板及候選字字體"
+
+#: ../setup/setup.ui.h:23
 msgid "General"
 msgstr "通用"
 
-#: ../setup/setup.glade.h:23
-msgid ""
-"Horizontal\n"
-"Vertical"
-msgstr ""
-"水平\n"
-"垂直"
-
-#: ../setup/setup.glade.h:25 ../setup/ibus-setup.desktop.in.h:1
-msgid "IBus Preferences"
-msgstr "IBus設定"
+#: ../setup/setup.ui.h:24
+msgid "Horizontal"
+msgstr "水平"
 
-#: ../setup/setup.glade.h:27
+#: ../setup/setup.ui.h:27
 msgid "Move down the selected input method in the enabled input methods"
-msgstr ""
+msgstr "下移所選的輸入法"
 
-#: ../setup/setup.glade.h:28
+#: ../setup/setup.ui.h:28
 msgid "Move up the selected input method in the enabled input methods list"
-msgstr ""
+msgstr "上移所選的輸入法"
 
-#: ../setup/setup.glade.h:29
-msgid ""
-"Never\n"
-"When active\n"
-"Always"
-msgstr ""
-"從不\n"
-"啟動時\n"
-"總是"
+#: ../setup/setup.ui.h:29
+msgid "Never"
+msgstr "從不"
 
-#: ../setup/setup.glade.h:32
+#: ../setup/setup.ui.h:30
 msgid "Next input method:"
 msgstr "下一輸入法:"
 
-#: ../setup/setup.glade.h:33
+#: ../setup/setup.ui.h:31
 msgid "Previous input method:"
 msgstr "前一輸入法:"
 
-#: ../setup/setup.glade.h:34
+#: ../setup/setup.ui.h:32
 msgid "Remove the selected input method from the enabled input methods"
-msgstr ""
+msgstr "將輸入法從候選輸入法列表移除移除"
 
-#: ../setup/setup.glade.h:35
+#: ../setup/setup.ui.h:33
 msgid "Set the behavior of ibus how to show or hide language bar"
-msgstr ""
+msgstr "語言面板顯示/隱藏行為設定"
 
-#: ../setup/setup.glade.h:36
-#, fuzzy
+#: ../setup/setup.ui.h:34
 msgid "Set the orientation of candidates in lookup table"
 msgstr "候選字詞表排列方向"
 
-#: ../setup/setup.glade.h:37
-msgid "Set the shortcut keys for turnning on or off input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:38
+#: ../setup/setup.ui.h:36
 msgid "Show information of the selected input method"
-msgstr ""
-
-#: ../setup/setup.glade.h:39
-#, fuzzy
-msgid "Show input method name on language bar"
-msgstr "自訂語言面板"
+msgstr "顯示所選輸入法資訊"
 
-#: ../setup/setup.glade.h:40
+#: ../setup/setup.ui.h:38
 msgid "Show input method's name on language bar when check the checkbox"
-msgstr ""
+msgstr "選取時顯示在語言面板上輸入法名稱"
 
-#: ../setup/setup.glade.h:41
+#: ../setup/setup.ui.h:39
 msgid "Show language panel:"
 msgstr "顯示語言面板:"
 
-#: ../setup/setup.glade.h:42
+#: ../setup/setup.ui.h:40
 msgid "Start ibus on login"
 msgstr "啟動桌面時自動啟動IBus"
 
-#: ../setup/setup.glade.h:43
-#, fuzzy
-msgid "The shortcut keys for switching to next input method in the list"
-msgstr "下一個引擎熱鍵"
-
-#: ../setup/setup.glade.h:44
-#, fuzzy
+#: ../setup/setup.ui.h:42
 msgid "The shortcut keys for switching to previous input method in the list"
-msgstr "上一個引擎引擎熱鍵"
-
-#: ../setup/setup.glade.h:45
-msgid "Use custom font"
-msgstr "使用自訂字體"
+msgstr "「上一個引擎」熱鍵"
 
-#: ../setup/setup.glade.h:46
-#, fuzzy
+#: ../setup/setup.ui.h:45
 msgid "Use custom font for language bar and candidates"
 msgstr "語言面板是否使用自訂字體"
 
-#: ../setup/setup.glade.h:47 ../data/ibus.schemas.in.h:19
-msgid "Use system keyboard (XKB) layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:48 ../data/ibus.schemas.in.h:20
-msgid "Use system keyboard layout"
-msgstr ""
-
-#: ../setup/setup.glade.h:49
-msgid "gtk-about"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:1
-msgid "Auto Hide"
-msgstr "自動隱藏"
-
-#: ../data/ibus.schemas.in.h:2
-msgid "Custom Font"
-msgstr "自訂字體:"
-
-#: ../data/ibus.schemas.in.h:3
-msgid "Custom font name for language panel"
-msgstr "自訂語言面板"
-
-#: ../data/ibus.schemas.in.h:4
-msgid "Next Engine Hotkey"
-msgstr "下一個引擎熱鍵"
-
-#: ../data/ibus.schemas.in.h:5
-msgid "Next engine hotkey for switch to next input method engine"
-msgstr "下一個引擎熱鍵"
-
-#: ../data/ibus.schemas.in.h:6
-msgid "Orientation of Lookup Table"
-msgstr "候選字詞表排列方向"
-
-#: ../data/ibus.schemas.in.h:7
-msgid "Orientation of Lookup Table. 0 = Horizontal, 1 = Vertical"
-msgstr "候選字詞表排列方向。0 = 水平，1 = 垂直"
-
-#: ../data/ibus.schemas.in.h:8
-msgid "Preload Engines"
-msgstr "預載引擎"
-
-#: ../data/ibus.schemas.in.h:9
-msgid "Preload Engines during ibus starts up"
-msgstr "ibus啟動時預先載入的引擎"
-
-#: ../data/ibus.schemas.in.h:10
-msgid "Prev Engine Hotkey"
-msgstr "上一個引擎熱鍵"
-
-#: ../data/ibus.schemas.in.h:11
-msgid "Prev engine hotkey for switch to previous input method engine"
-msgstr "上一個引擎引擎熱鍵"
-
-#: ../data/ibus.schemas.in.h:12
-msgid "Show IM Name"
-msgstr ""
-
-#: ../data/ibus.schemas.in.h:13
-#, fuzzy
-msgid "Show IM name on language bar"
-msgstr "自訂語言面板"
-
-#: ../data/ibus.schemas.in.h:14
-msgid ""
-"The behavior of language panel. 0 = Always hide, 1 = Auto hide, 2 = Always "
-"show"
-msgstr "語言面板行為。0 = 永遠隱藏，1 = 自動隱藏，2 = 永遠顯示。"
-
-#: ../data/ibus.schemas.in.h:15
-msgid "Trigger Hotkey"
-msgstr "觸發熱鍵"
-
-#: ../data/ibus.schemas.in.h:16
-msgid "Trigger hotkey for enable or disable input context"
-msgstr "輸入法觸發熱鍵"
-
-#: ../data/ibus.schemas.in.h:17
-msgid "Use Custom Font"
-msgstr "使用自訂字體"
-
-#: ../data/ibus.schemas.in.h:18
-msgid "Use custom font name for language panel"
-msgstr "語言面板是否使用自訂字體"
+#: ../setup/setup.ui.h:48
+msgid "Vertical"
+msgstr "垂直"
+
+#: ../setup/setup.ui.h:49
+msgid "When active"
+msgstr "啟動時"
diff -pruN 1.2.0.20090904-1/py-compile 1.2.0.20091024-1/py-compile
--- 1.2.0.20090904-1/py-compile	2009-06-14 07:32:33.000000000 +0100
+++ 1.2.0.20091024-1/py-compile	2009-10-13 06:59:42.000000000 +0100
@@ -1,9 +1,10 @@
 #!/bin/sh
 # py-compile - Compile a Python program
 
-scriptversion=2005-05-14.22
+scriptversion=2009-04-28.21; # UTC
 
-# Copyright (C) 2000, 2001, 2003, 2004, 2005  Free Software Foundation, Inc.
+# Copyright (C) 2000, 2001, 2003, 2004, 2005, 2008, 2009 Free Software
+# Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,9 +17,7 @@ scriptversion=2005-05-14.22
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # As a special exception to the GNU General Public License, if you
 # distribute this file as part of a program that contains a
@@ -103,38 +102,38 @@ else
 fi
 
 $PYTHON -c "
-import sys, os, string, py_compile
+import sys, os, py_compile
 
 files = '''$files'''
 
-print 'Byte-compiling python modules...'
-for file in string.split(files):
+sys.stdout.write('Byte-compiling python modules...\n')
+for file in files.split():
     $pathtrans
     $filetrans
     if not os.path.exists(filepath) or not (len(filepath) >= 3
                                             and filepath[-3:] == '.py'):
-	continue
-    print file,
+	    continue
+    sys.stdout.write(file)
     sys.stdout.flush()
     py_compile.compile(filepath, filepath + 'c', path)
-print" || exit $?
+sys.stdout.write('\n')" || exit $?
 
 # this will fail for python < 1.5, but that doesn't matter ...
 $PYTHON -O -c "
-import sys, os, string, py_compile
+import sys, os, py_compile
 
 files = '''$files'''
-print 'Byte-compiling python modules (optimized versions) ...'
-for file in string.split(files):
+sys.stdout.write('Byte-compiling python modules (optimized versions) ...\n')
+for file in files.split():
     $pathtrans
     $filetrans
     if not os.path.exists(filepath) or not (len(filepath) >= 3
                                             and filepath[-3:] == '.py'):
-	continue
-    print file,
+	    continue
+    sys.stdout.write(file)
     sys.stdout.flush()
     py_compile.compile(filepath, filepath + 'o', path)
-print" 2>/dev/null || :
+sys.stdout.write('\n')" 2>/dev/null || :
 
 # Local Variables:
 # mode: shell-script
@@ -142,5 +141,6 @@ print" 2>/dev/null || :
 # eval: (add-hook 'write-file-hooks 'time-stamp)
 # time-stamp-start: "scriptversion="
 # time-stamp-format: "%:y-%02m-%02d.%02H"
-# time-stamp-end: "$"
+# time-stamp-time-zone: "UTC"
+# time-stamp-end: "; # UTC"
 # End:
diff -pruN 1.2.0.20090904-1/README 1.2.0.20091024-1/README
--- 1.2.0.20090904-1/README	2009-06-14 07:28:10.000000000 +0100
+++ 1.2.0.20091024-1/README	2009-10-23 08:51:58.000000000 +0100
@@ -24,4 +24,4 @@ Ctrl + Shift: Change input method.
 For more detail please refer to http://code.google.com/p/ibus/wiki/ReadMe .
 
 
-Huang Peng <shawn.p.huang@gmail.com>
+Peng Huang <shawn.p.huang@gmail.com>
diff -pruN 1.2.0.20090904-1/setup/engineabout.py 1.2.0.20091024-1/setup/engineabout.py
--- 1.2.0.20090904-1/setup/engineabout.py	2009-06-23 02:48:15.000000000 +0100
+++ 1.2.0.20091024-1/setup/engineabout.py	2009-10-23 07:39:51.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -91,13 +92,12 @@ class EngineAbout(gtk.Dialog):
                         left_margin=32)
 
     def __load_icon(self, icon):
-        pixbuf = gdk.pixbuf_new_from_file(icon)
-        w, h = pixbuf.get_width(), pixbuf.get_height()
-        rate = max(w, h) / float(48)
-        w = int(w / rate)
-        h = int(h / rate)
-        pixbuf = pixbuf.scale_simple(w, h, gdk.INTERP_BILINEAR)
+        try:
+            pixbuf = gdk.pixbuf_new_from_file_at_scale(icon, 48, 48, True)
+        except:
+            theme = gtk.icon_theme_get_default()
+            icon = theme.lookup_icon("ibus-engine", 48, 0)
+            if icon == None:
+                icon = theme.lookup_icon("gtk-missing-image", 48, 0)
+            pixbuf = icon.load_icon()
         return pixbuf
-
-
-
diff -pruN 1.2.0.20090904-1/setup/enginecombobox.py 1.2.0.20091024-1/setup/enginecombobox.py
--- 1.2.0.20090904-1/setup/enginecombobox.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/setup/enginecombobox.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -83,7 +84,7 @@ class EngineComboBox(gtk.ComboBox):
             renderer.set_property("sensitive", True)
             pixbuf = load_icon(engine.icon, gtk.ICON_SIZE_LARGE_TOOLBAR)
             if pixbuf == None:
-                pixbuf = load_icon("engine-default", gtk.ICON_SIZE_LARGE_TOOLBAR)
+                pixbuf = load_icon("ibus-engine", gtk.ICON_SIZE_LARGE_TOOLBAR)
             if pixbuf == None:
                 pixbuf = load_icon("gtk-missing-image", gtk.ICON_SIZE_LARGE_TOOLBAR)
             renderer.set_property("pixbuf", pixbuf)
diff -pruN 1.2.0.20090904-1/setup/enginetreeview.py 1.2.0.20091024-1/setup/enginetreeview.py
--- 1.2.0.20090904-1/setup/enginetreeview.py	2009-08-18 10:28:34.000000000 +0100
+++ 1.2.0.20091024-1/setup/enginetreeview.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -112,7 +113,7 @@ class EngineTreeView(gtk.TreeView):
         pixbuf = load_icon(engine.icon, gtk.ICON_SIZE_LARGE_TOOLBAR)
 
         if pixbuf == None:
-            pixbuf = load_icon("engine-default", gtk.ICON_SIZE_LARGE_TOOLBAR)
+            pixbuf = load_icon("ibus-engine", gtk.ICON_SIZE_LARGE_TOOLBAR)
         if pixbuf == None:
             pixbuf = load_icon("gtk-missing-image", gtk.ICON_SIZE_LARGE_TOOLBAR)
 
diff -pruN 1.2.0.20090904-1/setup/ibus-setup.in 1.2.0.20091024-1/setup/ibus-setup.in
--- 1.2.0.20090904-1/setup/ibus-setup.in	2009-08-20 08:22:31.000000000 +0100
+++ 1.2.0.20091024-1/setup/ibus-setup.in	2009-10-23 08:52:38.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/setup/icon.py 1.2.0.20091024-1/setup/icon.py
--- 1.2.0.20090904-1/setup/icon.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/setup/icon.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/setup/keyboardshortcut.py 1.2.0.20091024-1/setup/keyboardshortcut.py
--- 1.2.0.20090904-1/setup/keyboardshortcut.py	2009-07-02 02:30:11.000000000 +0100
+++ 1.2.0.20091024-1/setup/keyboardshortcut.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/setup/main.py 1.2.0.20091024-1/setup/main.py
--- 1.2.0.20090904-1/setup/main.py	2009-08-20 08:39:24.000000000 +0100
+++ 1.2.0.20091024-1/setup/main.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -32,7 +33,6 @@ import keyboardshortcut
 from os import path
 from xdg import BaseDirectory
 from gtk import gdk
-from gtk import glade
 from enginecombobox import EngineComboBox
 from enginetreeview import EngineTreeView
 from engineabout import EngineAbout
@@ -70,25 +70,25 @@ class Setup(object):
         super(Setup, self).__init__()
         localedir = os.getenv("IBUS_LOCALEDIR")
         gettext.bindtextdomain("ibus", localedir)
-        glade.bindtextdomain("ibus", localedir)
         gettext.bind_textdomain_codeset("ibus", "UTF-8")
-        glade.textdomain("ibus")
-        glade_file = path.join(path.dirname(__file__), "./setup.glade")
-        self.__xml = glade.XML(glade_file)
+        gtk_builder_file = path.join(path.dirname(__file__), "./setup.ui")
+        self.__builder = gtk.Builder()
+        self.__builder.set_translation_domain("ibus")
+        self.__builder.add_from_file(gtk_builder_file);
         self.__bus = None
         self.__init_bus()
         self.__init_ui()
 
     def __init_ui(self):
         # add icon search path
-        self.__window = self.__xml.get_widget("window_preferences")
+        self.__window = self.__builder.get_object("window_preferences")
         self.__window.connect("delete-event", gtk.main_quit)
 
-        self.__button_close = self.__xml.get_widget("button_close")
+        self.__button_close = self.__builder.get_object("button_close")
         self.__button_close.connect("clicked", gtk.main_quit)
 
         # auto start ibus
-        self.__checkbutton_auto_start = self.__xml.get_widget("checkbutton_auto_start")
+        self.__checkbutton_auto_start = self.__builder.get_object("checkbutton_auto_start")
         self.__checkbutton_auto_start.set_active(self.__is_auto_start())
         self.__checkbutton_auto_start.connect("toggled", self.__checkbutton_auto_start_toggled_cb)
 
@@ -98,12 +98,10 @@ class Setup(object):
         shortcuts = self.__config.get_value(
                         "general/hotkey", "trigger",
                         ibus.CONFIG_GENERAL_SHORTCUT_TRIGGER_DEFAULT)
-
-        button = self.__xml.get_widget("button_trigger")
-        entry = self.__xml.get_widget("entry_trigger")
-        text = "; ".join(shortcuts)
-        entry.set_text(text)
-        entry.set_tooltip_text(text)
+        button = self.__builder.get_object("button_trigger")
+        entry = self.__builder.get_object("entry_trigger")
+        entry.set_text("; ".join(shortcuts))
+        entry.set_tooltip_text("\n".join(shortcuts))
         button.connect("clicked", self.__shortcut_button_clicked_cb,
                     N_("trigger"), "general/hotkey", "trigger", entry)
 
@@ -111,11 +109,10 @@ class Setup(object):
         shortcuts = self.__config.get_value(
                         "general/hotkey", "next_engine",
                         ibus.CONFIG_GENERAL_SHORTCUT_NEXT_ENGINE_DEFAULT)
-        button = self.__xml.get_widget("button_next_engine")
-        entry = self.__xml.get_widget("entry_next_engine")
-        text = "; ".join(shortcuts)
-        entry.set_text(text)
-        entry.set_tooltip_text(text)
+        button = self.__builder.get_object("button_next_engine")
+        entry = self.__builder.get_object("entry_next_engine")
+        entry.set_text("; ".join(shortcuts))
+        entry.set_tooltip_text("\n".join(shortcuts))
         button.connect("clicked", self.__shortcut_button_clicked_cb,
                     N_("next input method"), "general/hotkey", "next_engine", entry)
 
@@ -123,35 +120,34 @@ class Setup(object):
         shortcuts = self.__config.get_value(
                         "general/hotkey", "prev_engine",
                         ibus.CONFIG_GENERAL_SHORTCUT_PREV_ENGINE_DEFAULT)
-        button = self.__xml.get_widget("button_prev_engine")
-        entry = self.__xml.get_widget("entry_prev_engine")
-        text = "; ".join(shortcuts)
-        entry.set_text(text)
-        entry.set_tooltip_text(text)
+        button = self.__builder.get_object("button_prev_engine")
+        entry = self.__builder.get_object("entry_prev_engine")
+        entry.set_text("; ".join(shortcuts))
+        entry.set_tooltip_text("\n".join(shortcuts))
         button.connect("clicked", self.__shortcut_button_clicked_cb,
                     N_("previous input method"), "general/hotkey", "prev_engine", entry)
 
         # lookup table orientation
-        self.__combobox_lookup_table_orientation = self.__xml.get_widget("combobox_lookup_table_orientation")
+        self.__combobox_lookup_table_orientation = self.__builder.get_object("combobox_lookup_table_orientation")
         self.__combobox_lookup_table_orientation.set_active(
             self.__config.get_value("panel", "lookup_table_orientation", 0))
         self.__combobox_lookup_table_orientation.connect("changed",
             self.__combobox_lookup_table_orientation_changed_cb)
 
         # auto hide
-        self.__combobox_panel_show = self.__xml.get_widget("combobox_panel_show")
+        self.__combobox_panel_show = self.__builder.get_object("combobox_panel_show")
         self.__combobox_panel_show.set_active(
             self.__config.get_value("panel", "show", 1))
         self.__combobox_panel_show.connect("changed", self.__combobox_panel_show_changed_cb)
 
         # custom font
-        self.__checkbutton_custom_font = self.__xml.get_widget("checkbutton_custom_font")
+        self.__checkbutton_custom_font = self.__builder.get_object("checkbutton_custom_font")
         self.__checkbutton_custom_font.set_active(
             self.__config.get_value("panel", "use_custom_font", False))
         self.__checkbutton_custom_font.connect("toggled", self.__checkbutton_custom_font_toggled_cb)
 
-        self.__label_custom_font = self.__xml.get_widget("label_custom_font")
-        self.__fontbutton_custom_font = self.__xml.get_widget("fontbutton_custom_font")
+        self.__label_custom_font = self.__builder.get_object("label_custom_font")
+        self.__fontbutton_custom_font = self.__builder.get_object("fontbutton_custom_font")
         if self.__config.get_value("panel", "use_custom_font", False):
             self.__label_custom_font.set_sensitive(True)
             self.__fontbutton_custom_font.set_sensitive(True)
@@ -164,14 +160,20 @@ class Setup(object):
         self.__fontbutton_custom_font.connect("notify::font-name", self.__fontbutton_custom_font_notify_cb)
         self.__fontbutton_custom_font.set_font_name(font_name)
 
+        # show icon on system tray
+        self.__checkbutton_show_icon_on_systray = self.__builder.get_object("checkbutton_show_icon_on_systray")
+        self.__checkbutton_show_icon_on_systray.set_active(
+            self.__config.get_value("panel", "show_icon_on_systray", True))
+        self.__checkbutton_show_icon_on_systray.connect("toggled", self.__checkbutton_show_icon_on_systray_toggled_cb)
+
         # show ime name
-        self.__checkbutton_show_im_name = self.__xml.get_widget("checkbutton_show_im_name")
+        self.__checkbutton_show_im_name = self.__builder.get_object("checkbutton_show_im_name")
         self.__checkbutton_show_im_name.set_active(
             self.__config.get_value("panel", "show_im_name", False))
         self.__checkbutton_show_im_name.connect("toggled", self.__checkbutton_show_im_name_toggled_cb)
 
         # use system keyboard layout setting
-        self.__checkbutton_use_sys_layout = self.__xml.get_widget("checkbutton_use_sys_layout")
+        self.__checkbutton_use_sys_layout = self.__builder.get_object("checkbutton_use_sys_layout")
         self.__checkbutton_use_sys_layout.set_active(
             self.__config.get_value("general", "use_system_keyboard_layout", False))
         self.__checkbutton_use_sys_layout.connect("toggled", self.__checkbutton_use_sys_layout_toggled_cb)
@@ -180,7 +182,7 @@ class Setup(object):
         self.__engines = self.__bus.list_engines()
         self.__combobox = EngineComboBox(self.__engines)
         self.__combobox.show()
-        self.__xml.get_widget("alignment_engine_combobox").add(self.__combobox)
+        self.__builder.get_object("alignment_engine_combobox").add(self.__combobox)
 
         tmp_dict = {}
         for e in self.__engines:
@@ -192,22 +194,22 @@ class Setup(object):
                 engines.append(tmp_dict[n])
         self.__treeview = EngineTreeView(engines)
         self.__treeview.show()
-        self.__xml.get_widget("scrolledwindow_engine_treeview").add(self.__treeview)
+        self.__builder.get_object("scrolledwindow_engine_treeview").add(self.__treeview)
 
         self.__treeview.connect("changed", self.__treeview_changed_cb)
 
-        button = self.__xml.get_widget("button_engine_add")
+        button = self.__builder.get_object("button_engine_add")
         button.connect("clicked",
                        lambda *args:self.__treeview.append_engine(self.__combobox.get_active_engine()))
-        button = self.__xml.get_widget("button_engine_remove")
+        button = self.__builder.get_object("button_engine_remove")
         button.connect("clicked", lambda *args:self.__treeview.remove_engine())
-        button = self.__xml.get_widget("button_engine_up")
+        button = self.__builder.get_object("button_engine_up")
         button.connect("clicked", lambda *args:self.__treeview.move_up_engine())
 
-        button = self.__xml.get_widget("button_engine_down")
+        button = self.__builder.get_object("button_engine_down")
         button.connect("clicked", lambda *args:self.__treeview.move_down_engine())
 
-        button = self.__xml.get_widget("button_engine_about")
+        button = self.__builder.get_object("button_engine_about")
         button.connect("clicked", self.__button_engine_about_cb)
 
     def __button_engine_about_cb(self, button):
@@ -388,6 +390,10 @@ class Setup(object):
         font_name = unicode(font_name, "utf-8")
         self.__config.set_value("panel", "custom_font", font_name)
 
+    def __checkbutton_show_icon_on_systray_toggled_cb(self, button):
+        value = self.__checkbutton_show_icon_on_systray.get_active()
+        self.__config.set_value("panel", "show_icon_on_systray", value)
+
     def __checkbutton_show_im_name_toggled_cb(self, button):
         value = self.__checkbutton_show_im_name.get_active()
         self.__config.set_value("panel", "show_im_name", value)
diff -pruN 1.2.0.20090904-1/setup/Makefile.am 1.2.0.20091024-1/setup/Makefile.am
--- 1.2.0.20090904-1/setup/Makefile.am	2009-08-20 08:33:45.000000000 +0100
+++ 1.2.0.20091024-1/setup/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -29,7 +30,7 @@ ibussetup_PYTHON = \
 	$(NULL)
 
 ibussetup_DATA = \
-	setup.glade \
+	setup.ui \
 	$(NULL)
 
 bin_SCRIPTS = ibus-setup
@@ -47,7 +48,7 @@ CLEANFILES = \
 
 EXTRA_DIST = \
 	ibus-setup.in \
-	setup.glade \
+	setup.ui \
 	$(desktop_in_files) \
 	$(NULL)
 
diff -pruN 1.2.0.20090904-1/setup/Makefile.in 1.2.0.20091024-1/setup/Makefile.in
--- 1.2.0.20090904-1/setup/Makefile.in	2009-09-04 03:51:14.000000000 +0100
+++ 1.2.0.20091024-1/setup/Makefile.in	2009-10-24 04:18:14.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -61,17 +62,14 @@ DIST_COMMON = $(ibussetup_PYTHON) $(srcd
 	$(srcdir)/Makefile.in $(srcdir)/ibus-setup.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES = ibus-setup
 CONFIG_CLEAN_VPATH_FILES =
@@ -112,6 +110,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -155,8 +155,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -171,32 +171,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -217,7 +214,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -228,7 +228,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -238,7 +237,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
@@ -306,7 +304,7 @@ ibussetup_PYTHON = \
 	$(NULL)
 
 ibussetup_DATA = \
-	setup.glade \
+	setup.ui \
 	$(NULL)
 
 bin_SCRIPTS = ibus-setup
@@ -321,7 +319,7 @@ CLEANFILES = \
 
 EXTRA_DIST = \
 	ibus-setup.in \
-	setup.glade \
+	setup.ui \
 	$(desktop_in_files) \
 	$(NULL)
 
diff -pruN 1.2.0.20090904-1/setup/setup.glade 1.2.0.20091024-1/setup/setup.glade
--- 1.2.0.20090904-1/setup/setup.glade	2009-08-26 23:22:51.000000000 +0100
+++ 1.2.0.20091024-1/setup/setup.glade	1970-01-01 01:00:00.000000000 +0100
@@ -1,801 +0,0 @@
-<?xml version="1.0"?>
-<glade-interface>
-  <!-- interface-requires gtk+ 2.16 -->
-  <!-- interface-naming-policy toplevel-contextual -->
-  <widget class="GtkWindow" id="window_preferences">
-    <property name="border_width">12</property>
-    <property name="title" translatable="yes">IBus Preferences</property>
-    <property name="resizable">False</property>
-    <property name="window_position">center</property>
-    <property name="icon_name">gtk-preferences</property>
-    <child>
-      <widget class="GtkVBox" id="vbox1">
-        <property name="visible">True</property>
-        <property name="spacing">12</property>
-        <child>
-          <widget class="GtkNotebook" id="notebook1">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <child>
-              <widget class="GtkAlignment" id="alignment3">
-                <property name="visible">True</property>
-                <property name="top_padding">12</property>
-                <property name="bottom_padding">12</property>
-                <property name="left_padding">12</property>
-                <property name="right_padding">12</property>
-                <child>
-                  <widget class="GtkVBox" id="vbox5">
-                    <property name="visible">True</property>
-                    <property name="spacing">18</property>
-                    <child>
-                      <widget class="GtkFrame" id="frame3">
-                        <property name="visible">True</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
-                        <child>
-                          <widget class="GtkAlignment" id="alignment4">
-                            <property name="visible">True</property>
-                            <property name="top_padding">6</property>
-                            <property name="left_padding">12</property>
-                            <child>
-                              <widget class="GtkTable" id="table1">
-                                <property name="visible">True</property>
-                                <property name="n_rows">3</property>
-                                <property name="n_columns">2</property>
-                                <property name="column_spacing">12</property>
-                                <property name="row_spacing">6</property>
-                                <child>
-                                  <widget class="GtkLabel" id="label7">
-                                    <property name="visible">True</property>
-                                    <property name="tooltip" translatable="yes">Set the shortcut keys for turnning on or off input method</property>
-                                    <property name="xalign">0</property>
-                                    <property name="label" translatable="yes">Enable or disable:</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="x_options">GTK_FILL</property>
-                                    <property name="y_options">GTK_FILL</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkLabel" id="label8">
-                                    <property name="visible">True</property>
-                                    <property name="tooltip" translatable="yes">The shortcut keys for switching to next input method in the list</property>
-                                    <property name="xalign">0</property>
-                                    <property name="label" translatable="yes">Next input method:</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="top_attach">1</property>
-                                    <property name="bottom_attach">2</property>
-                                    <property name="x_options">GTK_FILL</property>
-                                    <property name="y_options">GTK_FILL</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkLabel" id="label9">
-                                    <property name="visible">True</property>
-                                    <property name="sensitive">False</property>
-                                    <property name="tooltip" translatable="yes">The shortcut keys for switching to previous input method in the list</property>
-                                    <property name="xalign">0</property>
-                                    <property name="label" translatable="yes">Previous input method:</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="top_attach">2</property>
-                                    <property name="bottom_attach">3</property>
-                                    <property name="x_options">GTK_FILL</property>
-                                    <property name="y_options">GTK_FILL</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkHBox" id="hbox4">
-                                    <property name="visible">True</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <widget class="GtkEntry" id="entry_trigger">
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="editable">False</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <widget class="GtkButton" id="button_trigger">
-                                        <property name="label" translatable="yes">...</property>
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="use_underline">True</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="left_attach">1</property>
-                                    <property name="right_attach">2</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkHBox" id="hbox5">
-                                    <property name="visible">True</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <widget class="GtkEntry" id="entry_next_engine">
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="editable">False</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <widget class="GtkButton" id="button_next_engine">
-                                        <property name="label" translatable="yes">...</property>
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="use_underline">True</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="left_attach">1</property>
-                                    <property name="right_attach">2</property>
-                                    <property name="top_attach">1</property>
-                                    <property name="bottom_attach">2</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkHBox" id="hbox6">
-                                    <property name="visible">True</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <widget class="GtkEntry" id="entry_prev_engine">
-                                        <property name="visible">True</property>
-                                        <property name="sensitive">False</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="editable">False</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <widget class="GtkButton" id="button_prev_engine">
-                                        <property name="label" translatable="yes">...</property>
-                                        <property name="visible">True</property>
-                                        <property name="sensitive">False</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="use_underline">True</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="left_attach">1</property>
-                                    <property name="right_attach">2</property>
-                                    <property name="top_attach">2</property>
-                                    <property name="bottom_attach">3</property>
-                                  </packing>
-                                </child>
-                              </widget>
-                            </child>
-                          </widget>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label12">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">&lt;b&gt;Keyboard Shortcuts&lt;/b&gt;</property>
-                            <property name="use_markup">True</property>
-                          </widget>
-                          <packing>
-                            <property name="type">label_item</property>
-                          </packing>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="position">0</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkFrame" id="frame4">
-                        <property name="visible">True</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
-                        <child>
-                          <widget class="GtkAlignment" id="alignment5">
-                            <property name="visible">True</property>
-                            <property name="top_padding">6</property>
-                            <property name="left_padding">12</property>
-                            <child>
-                              <widget class="GtkVBox" id="vbox6">
-                                <property name="visible">True</property>
-                                <property name="spacing">6</property>
-                                <child>
-                                  <widget class="GtkHBox" id="hbox2">
-                                    <property name="visible">True</property>
-                                    <property name="homogeneous">True</property>
-                                    <child>
-                                      <widget class="GtkLabel" id="label6">
-                                        <property name="visible">True</property>
-                                        <property name="tooltip" translatable="yes">Set the orientation of candidates in lookup table</property>
-                                        <property name="xalign">0</property>
-                                        <property name="label" translatable="yes">Candidates orientation:</property>
-                                        <property name="justify">right</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <widget class="GtkComboBox" id="combobox_lookup_table_orientation">
-                                        <property name="visible">True</property>
-                                        <property name="items" translatable="yes">Horizontal
-Vertical</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkHBox" id="hbox3">
-                                    <property name="visible">True</property>
-                                    <property name="homogeneous">True</property>
-                                    <child>
-                                      <widget class="GtkLabel" id="label10">
-                                        <property name="visible">True</property>
-                                        <property name="tooltip" translatable="yes">Set the behavior of ibus how to show or hide language bar</property>
-                                        <property name="xalign">0</property>
-                                        <property name="label" translatable="yes">Show language panel:</property>
-                                        <property name="justify">right</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <widget class="GtkComboBox" id="combobox_panel_show">
-                                        <property name="visible">True</property>
-                                        <property name="items" translatable="yes">Never
-When active
-Always</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="position">1</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkCheckButton" id="checkbutton_show_im_name">
-                                    <property name="label" translatable="yes">Show input method name on language bar</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="tooltip" translatable="yes">Show input method's name on language bar when check the checkbox</property>
-                                    <property name="draw_indicator">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="position">2</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkCheckButton" id="checkbutton_custom_font">
-                                    <property name="label" translatable="yes">Use custom font</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">False</property>
-                                    <property name="tooltip" translatable="yes">Use custom font for language bar and candidates</property>
-                                    <property name="use_underline">True</property>
-                                    <property name="draw_indicator">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="position">3</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkHBox" id="hbox7">
-                                    <property name="visible">True</property>
-                                    <child>
-                                      <widget class="GtkLabel" id="label_custom_font">
-                                        <property name="visible">True</property>
-                                        <property name="tooltip" translatable="yes">Choice font for language bar and candidates</property>
-                                        <property name="xalign">0</property>
-                                        <property name="label" translatable="yes">Custom font:</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <widget class="GtkFontButton" id="fontbutton_custom_font">
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="position">4</property>
-                                  </packing>
-                                </child>
-                              </widget>
-                            </child>
-                          </widget>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label13">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">&lt;b&gt;Font and Style&lt;/b&gt;</property>
-                            <property name="use_markup">True</property>
-                          </widget>
-                          <packing>
-                            <property name="type">label_item</property>
-                          </packing>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="position">1</property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label1">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">General</property>
-              </widget>
-              <packing>
-                <property name="tab_fill">False</property>
-                <property name="type">tab</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkAlignment" id="alignment1">
-                <property name="visible">True</property>
-                <property name="top_padding">12</property>
-                <property name="bottom_padding">12</property>
-                <property name="left_padding">12</property>
-                <property name="right_padding">12</property>
-                <child>
-                  <widget class="GtkVBox" id="vbox2">
-                    <property name="visible">True</property>
-                    <property name="orientation">vertical</property>
-                    <child>
-                      <widget class="GtkHBox" id="hbox1">
-                        <property name="visible">True</property>
-                        <child>
-                          <widget class="GtkAlignment" id="alignment6">
-                            <property name="visible">True</property>
-                            <child>
-                              <widget class="GtkVBox" id="vbox3">
-                                <property name="visible">True</property>
-                                <property name="orientation">vertical</property>
-                                <property name="spacing">6</property>
-                                <child>
-                                  <widget class="GtkAlignment" id="alignment_engine_combobox">
-                                    <property name="visible">True</property>
-                                    <child>
-                                      <placeholder/>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkScrolledWindow" id="scrolledwindow_engine_treeview">
-                                    <property name="width_request">240</property>
-                                    <property name="height_request">300</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="hscrollbar_policy">automatic</property>
-                                    <property name="vscrollbar_policy">automatic</property>
-                                    <property name="shadow_type">in</property>
-                                    <child>
-                                      <placeholder/>
-                                    </child>
-                                  </widget>
-                                  <packing>
-                                    <property name="position">1</property>
-                                  </packing>
-                                </child>
-                              </widget>
-                            </child>
-                          </widget>
-                          <packing>
-                            <property name="position">0</property>
-                          </packing>
-                        </child>
-                        <child>
-                          <widget class="GtkAlignment" id="alignment2">
-                            <property name="visible">True</property>
-                            <property name="left_padding">12</property>
-                            <child>
-                              <widget class="GtkVButtonBox" id="vbuttonbox1">
-                                <property name="visible">True</property>
-                                <property name="spacing">5</property>
-                                <property name="layout_style">start</property>
-                                <child>
-                                  <widget class="GtkButton" id="button_engine_add">
-                                    <property name="label">gtk-add</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">True</property>
-                                    <property name="tooltip" translatable="yes">Add the selected input method into the enabled input methods</property>
-                                    <property name="use_stock">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">False</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkButton" id="button_engine_remove">
-                                    <property name="label">gtk-remove</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">True</property>
-                                    <property name="tooltip" translatable="yes">Remove the selected input method from the enabled input methods</property>
-                                    <property name="use_stock">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">False</property>
-                                    <property name="position">1</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkButton" id="button_engine_up">
-                                    <property name="label">gtk-go-up</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">True</property>
-                                    <property name="tooltip" translatable="yes">Move up the selected input method in the enabled input methods list</property>
-                                    <property name="use_stock">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">False</property>
-                                    <property name="position">2</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkButton" id="button_engine_down">
-                                    <property name="label">gtk-go-down</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">True</property>
-                                    <property name="tooltip" translatable="yes">Move down the selected input method in the enabled input methods</property>
-                                    <property name="use_stock">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">False</property>
-                                    <property name="position">3</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <widget class="GtkButton" id="button_engine_about">
-                                    <property name="label" translatable="yes">gtk-about</property>
-                                    <property name="visible">True</property>
-                                    <property name="can_focus">True</property>
-                                    <property name="receives_default">True</property>
-                                    <property name="tooltip" translatable="yes">Show information of the selected input method</property>
-                                    <property name="use_stock">True</property>
-                                  </widget>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">False</property>
-                                    <property name="position">4</property>
-                                  </packing>
-                                </child>
-                              </widget>
-                            </child>
-                          </widget>
-                          <packing>
-                            <property name="expand">False</property>
-                            <property name="position">1</property>
-                          </packing>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="position">0</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkAlignment" id="alignment8">
-                        <property name="visible">True</property>
-                        <property name="top_padding">6</property>
-                        <child>
-                          <widget class="GtkHBox" id="hbox8">
-                            <property name="visible">True</property>
-                            <property name="spacing">6</property>
-                            <child>
-                              <widget class="GtkImage" id="image1">
-                                <property name="visible">True</property>
-                                <property name="stock">gtk-info</property>
-                                <property name="icon-size">2</property>
-                              </widget>
-                              <packing>
-                                <property name="expand">False</property>
-                                <property name="position">0</property>
-                              </packing>
-                            </child>
-                            <child>
-                              <widget class="GtkLabel" id="label11">
-                                <property name="visible">True</property>
-                                <property name="xalign">0</property>
-                                <property name="label" translatable="yes">&lt;small&gt;&lt;i&gt;The default input method is the top one in the list.
-You may use up/down buttons to change it.&lt;/i&gt;&lt;/small&gt;</property>
-                                <property name="use_markup">True</property>
-                              </widget>
-                              <packing>
-                                <property name="position">1</property>
-                              </packing>
-                            </child>
-                          </widget>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="position">1</property>
-                      </packing>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label2">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">Input Method</property>
-              </widget>
-              <packing>
-                <property name="position">1</property>
-                <property name="tab_fill">False</property>
-                <property name="type">tab</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkAlignment" id="alignment9">
-                <property name="visible">True</property>
-                <property name="top_padding">12</property>
-                <property name="bottom_padding">12</property>
-                <property name="left_padding">12</property>
-                <property name="right_padding">12</property>
-                <child>
-                  <widget class="GtkVBox" id="vbox7">
-                    <property name="visible">True</property>
-                    <property name="orientation">vertical</property>
-                    <child>
-                      <widget class="GtkFrame" id="frame2">
-                        <property name="visible">True</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
-                        <child>
-                          <widget class="GtkAlignment" id="alignment10">
-                            <property name="visible">True</property>
-                            <property name="left_padding">12</property>
-                            <child>
-                              <widget class="GtkAlignment" id="alignment11">
-                                <property name="visible">True</property>
-                                <property name="top_padding">6</property>
-                                <property name="left_padding">12</property>
-                                <child>
-                                  <widget class="GtkVBox" id="vbox8">
-                                    <property name="visible">True</property>
-                                    <property name="orientation">vertical</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <widget class="GtkCheckButton" id="checkbutton_use_sys_layout">
-                                        <property name="label" translatable="yes">Use system keyboard layout</property>
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="tooltip" translatable="yes">Use system keyboard (XKB) layout</property>
-                                        <property name="draw_indicator">True</property>
-                                      </widget>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">False</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <placeholder/>
-                                    </child>
-                                    <child>
-                                      <placeholder/>
-                                    </child>
-                                  </widget>
-                                </child>
-                              </widget>
-                            </child>
-                          </widget>
-                        </child>
-                        <child>
-                          <widget class="GtkLabel" id="label15">
-                            <property name="visible">True</property>
-                            <property name="label" translatable="yes">&lt;b&gt;Keyboard Layout&lt;/b&gt;</property>
-                            <property name="use_markup">True</property>
-                          </widget>
-                          <packing>
-                            <property name="type">label_item</property>
-                          </packing>
-                        </child>
-                      </widget>
-                      <packing>
-                        <property name="position">0</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <placeholder/>
-                    </child>
-                    <child>
-                      <placeholder/>
-                    </child>
-                  </widget>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">2</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label14">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">Advanced</property>
-              </widget>
-              <packing>
-                <property name="position">3</property>
-                <property name="tab_fill">False</property>
-                <property name="type">tab</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkVBox" id="vbox4">
-                <property name="no_show_all">True</property>
-                <child>
-                  <placeholder/>
-                </child>
-                <child>
-                  <widget class="GtkLabel" id="label5">
-                    <property name="visible">True</property>
-                    <property name="label" translatable="yes">&lt;big&gt;&lt;b&gt;IBus&lt;/b&gt;&lt;/big&gt;
-&lt;small&gt;The intelligent input bus&lt;/small&gt;
-Homepage: http://code.google.com/p/ibus
-
-
-
-</property>
-                    <property name="use_markup">True</property>
-                    <property name="justify">center</property>
-                  </widget>
-                  <packing>
-                    <property name="position">1</property>
-                  </packing>
-                </child>
-                <child>
-                  <widget class="GtkFrame" id="frame1">
-                    <property name="no_show_all">True</property>
-                    <property name="label_xalign">0</property>
-                    <property name="shadow_type">none</property>
-                    <child>
-                      <widget class="GtkAlignment" id="alignment7">
-                        <property name="visible">True</property>
-                        <property name="top_padding">6</property>
-                        <property name="left_padding">12</property>
-                        <child>
-                          <widget class="GtkCheckButton" id="checkbutton_auto_start">
-                            <property name="label" translatable="yes">Start ibus on login</property>
-                            <property name="visible">True</property>
-                            <property name="can_focus">True</property>
-                            <property name="receives_default">False</property>
-                            <property name="use_underline">True</property>
-                            <property name="draw_indicator">True</property>
-                          </widget>
-                        </child>
-                      </widget>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label4">
-                        <property name="visible">True</property>
-                        <property name="label" translatable="yes">&lt;b&gt;Startup&lt;/b&gt;</property>
-                        <property name="use_markup">True</property>
-                      </widget>
-                      <packing>
-                        <property name="type">label_item</property>
-                      </packing>
-                    </child>
-                  </widget>
-                  <packing>
-                    <property name="expand">False</property>
-                    <property name="fill">False</property>
-                    <property name="position">2</property>
-                  </packing>
-                </child>
-              </widget>
-              <packing>
-                <property name="position">3</property>
-              </packing>
-            </child>
-            <child>
-              <widget class="GtkLabel" id="label3">
-                <property name="visible">True</property>
-                <property name="label" translatable="yes">About</property>
-              </widget>
-              <packing>
-                <property name="position">3</property>
-                <property name="tab_fill">False</property>
-                <property name="type">tab</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="position">0</property>
-          </packing>
-        </child>
-        <child>
-          <widget class="GtkHButtonBox" id="hbuttonbox1">
-            <property name="visible">True</property>
-            <property name="spacing">12</property>
-            <property name="layout_style">end</property>
-            <child>
-              <widget class="GtkButton" id="button_close">
-                <property name="label">gtk-close</property>
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">False</property>
-                <property name="use_stock">True</property>
-              </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">0</property>
-              </packing>
-            </child>
-          </widget>
-          <packing>
-            <property name="expand">False</property>
-            <property name="position">1</property>
-          </packing>
-        </child>
-      </widget>
-    </child>
-  </widget>
-</glade-interface>
diff -pruN 1.2.0.20090904-1/setup/setup.ui 1.2.0.20091024-1/setup/setup.ui
--- 1.2.0.20090904-1/setup/setup.ui	1970-01-01 01:00:00.000000000 +0100
+++ 1.2.0.20091024-1/setup/setup.ui	2009-10-16 00:20:31.000000000 +0100
@@ -0,0 +1,844 @@
+<?xml version="1.0"?>
+<interface>
+  <requires lib="gtk+" version="2.14"/>
+  <!-- interface-naming-policy toplevel-contextual -->
+  <object class="GtkListStore" id="model1">
+    <columns>
+      <!-- column-name gchararray -->
+      <column type="gchararray"/>
+    </columns>
+    <data>
+      <row>
+        <col id="0" translatable="yes">Horizontal</col>
+      </row>
+      <row>
+        <col id="0" translatable="yes">Vertical</col>
+      </row>
+    </data>
+  </object>
+  <object class="GtkListStore" id="model2">
+    <columns>
+      <!-- column-name gchararray -->
+      <column type="gchararray"/>
+    </columns>
+    <data>
+      <row>
+        <col id="0" translatable="yes">Never</col>
+      </row>
+      <row>
+        <col id="0" translatable="yes">When active</col>
+      </row>
+      <row>
+        <col id="0" translatable="yes">Always</col>
+      </row>
+    </data>
+  </object>
+  <object class="GtkWindow" id="window_preferences">
+    <property name="border_width">12</property>
+    <property name="title" translatable="yes">IBus Preferences</property>
+    <property name="resizable">False</property>
+    <property name="window_position">center</property>
+    <property name="icon_name">ibus-setup</property>
+    <child>
+      <object class="GtkVBox" id="vbox1">
+        <property name="visible">True</property>
+        <property name="orientation">vertical</property>
+        <property name="spacing">12</property>
+        <child>
+          <object class="GtkNotebook" id="notebook1">
+            <property name="visible">True</property>
+            <property name="can_focus">True</property>
+            <child>
+              <object class="GtkAlignment" id="alignment3">
+                <property name="visible">True</property>
+                <property name="top_padding">12</property>
+                <property name="bottom_padding">12</property>
+                <property name="left_padding">12</property>
+                <property name="right_padding">12</property>
+                <child>
+                  <object class="GtkVBox" id="vbox5">
+                    <property name="visible">True</property>
+                    <property name="orientation">vertical</property>
+                    <property name="spacing">18</property>
+                    <child>
+                      <object class="GtkFrame" id="frame3">
+                        <property name="visible">True</property>
+                        <property name="label_xalign">0</property>
+                        <property name="shadow_type">none</property>
+                        <child>
+                          <object class="GtkAlignment" id="alignment4">
+                            <property name="visible">True</property>
+                            <property name="top_padding">6</property>
+                            <property name="left_padding">12</property>
+                            <child>
+                              <object class="GtkTable" id="table1">
+                                <property name="visible">True</property>
+                                <property name="n_rows">3</property>
+                                <property name="n_columns">2</property>
+                                <property name="column_spacing">12</property>
+                                <property name="row_spacing">6</property>
+                                <child>
+                                  <object class="GtkLabel" id="label7">
+                                    <property name="visible">True</property>
+                                    <property name="tooltip_text" translatable="yes">The shortcut keys for turning input method on or off</property>
+                                    <property name="xalign">0</property>
+                                    <property name="label" translatable="yes">Enable or disable:</property>
+                                  </object>
+                                  <packing>
+                                    <property name="x_options">GTK_FILL</property>
+                                    <property name="y_options">GTK_FILL</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkLabel" id="label8">
+                                    <property name="visible">True</property>
+                                    <property name="tooltip_text" translatable="yes">The shortcut keys for switching to next input method in the list</property>
+                                    <property name="xalign">0</property>
+                                    <property name="label" translatable="yes">Next input method:</property>
+                                  </object>
+                                  <packing>
+                                    <property name="top_attach">1</property>
+                                    <property name="bottom_attach">2</property>
+                                    <property name="x_options">GTK_FILL</property>
+                                    <property name="y_options">GTK_FILL</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkLabel" id="label9">
+                                    <property name="visible">True</property>
+                                    <property name="sensitive">False</property>
+                                    <property name="tooltip_text" translatable="yes">The shortcut keys for switching to previous input method in the list</property>
+                                    <property name="xalign">0</property>
+                                    <property name="label" translatable="yes">Previous input method:</property>
+                                  </object>
+                                  <packing>
+                                    <property name="top_attach">2</property>
+                                    <property name="bottom_attach">3</property>
+                                    <property name="x_options">GTK_FILL</property>
+                                    <property name="y_options">GTK_FILL</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkHBox" id="hbox4">
+                                    <property name="visible">True</property>
+                                    <property name="spacing">6</property>
+                                    <child>
+                                      <object class="GtkEntry" id="entry_trigger">
+                                        <property name="visible">True</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="editable">False</property>
+                                      </object>
+                                      <packing>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <object class="GtkButton" id="button_trigger">
+                                        <property name="label" translatable="yes">...</property>
+                                        <property name="visible">True</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="receives_default">False</property>
+                                        <property name="use_underline">True</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="position">1</property>
+                                      </packing>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="left_attach">1</property>
+                                    <property name="right_attach">2</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkHBox" id="hbox5">
+                                    <property name="visible">True</property>
+                                    <property name="spacing">6</property>
+                                    <child>
+                                      <object class="GtkEntry" id="entry_next_engine">
+                                        <property name="visible">True</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="editable">False</property>
+                                      </object>
+                                      <packing>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <object class="GtkButton" id="button_next_engine">
+                                        <property name="label" translatable="yes">...</property>
+                                        <property name="visible">True</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="receives_default">False</property>
+                                        <property name="use_underline">True</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="position">1</property>
+                                      </packing>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="left_attach">1</property>
+                                    <property name="right_attach">2</property>
+                                    <property name="top_attach">1</property>
+                                    <property name="bottom_attach">2</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkHBox" id="hbox6">
+                                    <property name="visible">True</property>
+                                    <property name="spacing">6</property>
+                                    <child>
+                                      <object class="GtkEntry" id="entry_prev_engine">
+                                        <property name="visible">True</property>
+                                        <property name="sensitive">False</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="editable">False</property>
+                                      </object>
+                                      <packing>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <object class="GtkButton" id="button_prev_engine">
+                                        <property name="label" translatable="yes">...</property>
+                                        <property name="visible">True</property>
+                                        <property name="sensitive">False</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="receives_default">False</property>
+                                        <property name="use_underline">True</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="position">1</property>
+                                      </packing>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="left_attach">1</property>
+                                    <property name="right_attach">2</property>
+                                    <property name="top_attach">2</property>
+                                    <property name="bottom_attach">3</property>
+                                  </packing>
+                                </child>
+                              </object>
+                            </child>
+                          </object>
+                        </child>
+                        <child type="label">
+                          <object class="GtkLabel" id="label12">
+                            <property name="visible">True</property>
+                            <property name="label" translatable="yes">&lt;b&gt;Keyboard Shortcuts&lt;/b&gt;</property>
+                            <property name="use_markup">True</property>
+                          </object>
+                        </child>
+                      </object>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="position">0</property>
+                      </packing>
+                    </child>
+                    <child>
+                      <object class="GtkFrame" id="frame4">
+                        <property name="visible">True</property>
+                        <property name="label_xalign">0</property>
+                        <property name="shadow_type">none</property>
+                        <child>
+                          <object class="GtkAlignment" id="alignment5">
+                            <property name="visible">True</property>
+                            <property name="top_padding">6</property>
+                            <property name="left_padding">12</property>
+                            <child>
+                              <object class="GtkVBox" id="vbox6">
+                                <property name="visible">True</property>
+                                <property name="orientation">vertical</property>
+                                <property name="spacing">6</property>
+                                <child>
+                                  <object class="GtkHBox" id="hbox2">
+                                    <property name="visible">True</property>
+                                    <property name="homogeneous">True</property>
+                                    <child>
+                                      <object class="GtkLabel" id="label6">
+                                        <property name="visible">True</property>
+                                        <property name="tooltip_text" translatable="yes">Set the orientation of candidates in lookup table</property>
+                                        <property name="xalign">0</property>
+                                        <property name="label" translatable="yes">Candidates orientation:</property>
+                                        <property name="justify">right</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <object class="GtkComboBox" id="combobox_lookup_table_orientation">
+                                        <property name="visible">True</property>
+                                        <property name="model">model1</property>
+                                        <child>
+                                          <object class="GtkCellRendererText" id="renderer1"/>
+                                          <attributes>
+                                            <attribute name="text">0</attribute>
+                                          </attributes>
+                                        </child>
+                                      </object>
+                                      <packing>
+                                        <property name="position">1</property>
+                                      </packing>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="position">0</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkHBox" id="hbox3">
+                                    <property name="visible">True</property>
+                                    <property name="homogeneous">True</property>
+                                    <child>
+                                      <object class="GtkLabel" id="label10">
+                                        <property name="visible">True</property>
+                                        <property name="tooltip_text" translatable="yes">Set the behavior of ibus how to show or hide language bar</property>
+                                        <property name="xalign">0</property>
+                                        <property name="label" translatable="yes">Show language panel:</property>
+                                        <property name="justify">right</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <object class="GtkComboBox" id="combobox_panel_show">
+                                        <property name="visible">True</property>
+                                        <property name="model">model2</property>
+                                        <child>
+                                          <object class="GtkCellRendererText" id="renderer2"/>
+                                          <attributes>
+                                            <attribute name="text">0</attribute>
+                                          </attributes>
+                                        </child>
+                                      </object>
+                                      <packing>
+                                        <property name="position">1</property>
+                                      </packing>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="position">1</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkCheckButton" id="checkbutton_show_icon_on_systray">
+                                    <property name="label" translatable="yes">Show icon on system tray</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">False</property>
+                                    <property name="has_tooltip">True</property>
+                                    <property name="tooltip_text" translatable="yes">Show icon on system tray</property>
+                                    <property name="draw_indicator">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="position">2</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkCheckButton" id="checkbutton_show_im_name">
+                                    <property name="label" translatable="yes">Show input method name on language bar</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">False</property>
+                                    <property name="tooltip_text" translatable="yes">Show input method's name on language bar when check the checkbox</property>
+                                    <property name="draw_indicator">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="position">3</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkCheckButton" id="checkbutton_custom_font">
+                                    <property name="label" translatable="yes">Use custom font</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">False</property>
+                                    <property name="tooltip_text" translatable="yes">Use custom font for language bar and candidates</property>
+                                    <property name="use_underline">True</property>
+                                    <property name="draw_indicator">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="position">4</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkHBox" id="hbox7">
+                                    <property name="visible">True</property>
+                                    <child>
+                                      <object class="GtkLabel" id="label_custom_font">
+                                        <property name="visible">True</property>
+                                        <property name="tooltip_text" translatable="yes">Font for language bar and candidates</property>
+                                        <property name="xalign">0</property>
+                                        <property name="label" translatable="yes">Custom font:</property>
+                                      </object>
+                                      <packing>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <object class="GtkFontButton" id="fontbutton_custom_font">
+                                        <property name="visible">True</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="receives_default">False</property>
+                                      </object>
+                                      <packing>
+                                        <property name="position">1</property>
+                                      </packing>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="position">5</property>
+                                  </packing>
+                                </child>
+                              </object>
+                            </child>
+                          </object>
+                        </child>
+                        <child type="label">
+                          <object class="GtkLabel" id="label13">
+                            <property name="visible">True</property>
+                            <property name="label" translatable="yes">&lt;b&gt;Font and Style&lt;/b&gt;</property>
+                            <property name="use_markup">True</property>
+                          </object>
+                        </child>
+                      </object>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="position">1</property>
+                      </packing>
+                    </child>
+                  </object>
+                </child>
+              </object>
+            </child>
+            <child type="tab">
+              <object class="GtkLabel" id="label1">
+                <property name="visible">True</property>
+                <property name="label" translatable="yes">General</property>
+              </object>
+              <packing>
+                <property name="tab_fill">False</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkAlignment" id="alignment1">
+                <property name="visible">True</property>
+                <property name="top_padding">12</property>
+                <property name="bottom_padding">12</property>
+                <property name="left_padding">12</property>
+                <property name="right_padding">12</property>
+                <child>
+                  <object class="GtkVBox" id="vbox2">
+                    <property name="visible">True</property>
+                    <property name="orientation">vertical</property>
+                    <child>
+                      <object class="GtkHBox" id="hbox1">
+                        <property name="visible">True</property>
+                        <child>
+                          <object class="GtkAlignment" id="alignment6">
+                            <property name="visible">True</property>
+                            <child>
+                              <object class="GtkVBox" id="vbox3">
+                                <property name="visible">True</property>
+                                <property name="orientation">vertical</property>
+                                <property name="spacing">6</property>
+                                <child>
+                                  <object class="GtkAlignment" id="alignment_engine_combobox">
+                                    <property name="visible">True</property>
+                                    <child>
+                                      <placeholder/>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="expand">False</property>
+                                    <property name="position">0</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkScrolledWindow" id="scrolledwindow_engine_treeview">
+                                    <property name="width_request">240</property>
+                                    <property name="height_request">300</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="hscrollbar_policy">automatic</property>
+                                    <property name="vscrollbar_policy">automatic</property>
+                                    <property name="shadow_type">in</property>
+                                    <child>
+                                      <placeholder/>
+                                    </child>
+                                  </object>
+                                  <packing>
+                                    <property name="position">1</property>
+                                  </packing>
+                                </child>
+                              </object>
+                            </child>
+                          </object>
+                          <packing>
+                            <property name="position">0</property>
+                          </packing>
+                        </child>
+                        <child>
+                          <object class="GtkAlignment" id="alignment2">
+                            <property name="visible">True</property>
+                            <property name="left_padding">12</property>
+                            <child>
+                              <object class="GtkVButtonBox" id="vbuttonbox1">
+                                <property name="visible">True</property>
+                                <property name="orientation">vertical</property>
+                                <property name="spacing">5</property>
+                                <property name="layout_style">start</property>
+                                <child>
+                                  <object class="GtkButton" id="button_engine_add">
+                                    <property name="label">gtk-add</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">True</property>
+                                    <property name="tooltip_text" translatable="yes">Add the selected input method into the enabled input methods</property>
+                                    <property name="use_stock">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="expand">False</property>
+                                    <property name="fill">False</property>
+                                    <property name="position">0</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkButton" id="button_engine_remove">
+                                    <property name="label">gtk-remove</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">True</property>
+                                    <property name="tooltip_text" translatable="yes">Remove the selected input method from the enabled input methods</property>
+                                    <property name="use_stock">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="expand">False</property>
+                                    <property name="fill">False</property>
+                                    <property name="position">1</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkButton" id="button_engine_up">
+                                    <property name="label">gtk-go-up</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">True</property>
+                                    <property name="tooltip_text" translatable="yes">Move up the selected input method in the enabled input methods list</property>
+                                    <property name="use_stock">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="expand">False</property>
+                                    <property name="fill">False</property>
+                                    <property name="position">2</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkButton" id="button_engine_down">
+                                    <property name="label">gtk-go-down</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">True</property>
+                                    <property name="tooltip_text" translatable="yes">Move down the selected input method in the enabled input methods</property>
+                                    <property name="use_stock">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="expand">False</property>
+                                    <property name="fill">False</property>
+                                    <property name="position">3</property>
+                                  </packing>
+                                </child>
+                                <child>
+                                  <object class="GtkButton" id="button_engine_about">
+                                    <property name="label">gtk-about</property>
+                                    <property name="visible">True</property>
+                                    <property name="can_focus">True</property>
+                                    <property name="receives_default">True</property>
+                                    <property name="tooltip_text" translatable="yes">Show information of the selected input method</property>
+                                    <property name="use_stock">True</property>
+                                  </object>
+                                  <packing>
+                                    <property name="expand">False</property>
+                                    <property name="fill">False</property>
+                                    <property name="position">4</property>
+                                  </packing>
+                                </child>
+                              </object>
+                            </child>
+                          </object>
+                          <packing>
+                            <property name="expand">False</property>
+                            <property name="position">1</property>
+                          </packing>
+                        </child>
+                      </object>
+                      <packing>
+                        <property name="position">0</property>
+                      </packing>
+                    </child>
+                    <child>
+                      <object class="GtkAlignment" id="alignment8">
+                        <property name="visible">True</property>
+                        <property name="top_padding">6</property>
+                        <child>
+                          <object class="GtkHBox" id="hbox8">
+                            <property name="visible">True</property>
+                            <property name="spacing">6</property>
+                            <child>
+                              <object class="GtkImage" id="image1">
+                                <property name="visible">True</property>
+                                <property name="stock">gtk-info</property>
+                                <property name="icon-size">2</property>
+                              </object>
+                              <packing>
+                                <property name="expand">False</property>
+                                <property name="position">0</property>
+                              </packing>
+                            </child>
+                            <child>
+                              <object class="GtkLabel" id="label11">
+                                <property name="visible">True</property>
+                                <property name="xalign">0</property>
+                                <property name="label" translatable="yes">&lt;small&gt;&lt;i&gt;The default input method is the top one in the list.
+You may use up/down buttons to change it.&lt;/i&gt;&lt;/small&gt;</property>
+                                <property name="use_markup">True</property>
+                              </object>
+                              <packing>
+                                <property name="position">1</property>
+                              </packing>
+                            </child>
+                          </object>
+                        </child>
+                      </object>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="position">1</property>
+                      </packing>
+                    </child>
+                  </object>
+                </child>
+              </object>
+              <packing>
+                <property name="position">1</property>
+              </packing>
+            </child>
+            <child type="tab">
+              <object class="GtkLabel" id="label2">
+                <property name="visible">True</property>
+                <property name="label" translatable="yes">Input Method</property>
+              </object>
+              <packing>
+                <property name="position">1</property>
+                <property name="tab_fill">False</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkAlignment" id="alignment9">
+                <property name="visible">True</property>
+                <property name="top_padding">12</property>
+                <property name="bottom_padding">12</property>
+                <property name="left_padding">12</property>
+                <property name="right_padding">12</property>
+                <child>
+                  <object class="GtkVBox" id="vbox7">
+                    <property name="visible">True</property>
+                    <property name="orientation">vertical</property>
+                    <child>
+                      <object class="GtkFrame" id="frame2">
+                        <property name="visible">True</property>
+                        <property name="label_xalign">0</property>
+                        <property name="shadow_type">none</property>
+                        <child>
+                          <object class="GtkAlignment" id="alignment10">
+                            <property name="visible">True</property>
+                            <property name="left_padding">12</property>
+                            <child>
+                              <object class="GtkAlignment" id="alignment11">
+                                <property name="visible">True</property>
+                                <property name="top_padding">6</property>
+                                <property name="left_padding">12</property>
+                                <child>
+                                  <object class="GtkVBox" id="vbox8">
+                                    <property name="visible">True</property>
+                                    <property name="orientation">vertical</property>
+                                    <property name="spacing">6</property>
+                                    <child>
+                                      <object class="GtkCheckButton" id="checkbutton_use_sys_layout">
+                                        <property name="label" translatable="yes">Use system keyboard layout</property>
+                                        <property name="visible">True</property>
+                                        <property name="can_focus">True</property>
+                                        <property name="receives_default">False</property>
+                                        <property name="tooltip_text" translatable="yes">Use system keyboard (XKB) layout</property>
+                                        <property name="draw_indicator">True</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="fill">False</property>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child>
+                                      <placeholder/>
+                                    </child>
+                                    <child>
+                                      <placeholder/>
+                                    </child>
+                                  </object>
+                                </child>
+                              </object>
+                            </child>
+                          </object>
+                        </child>
+                        <child type="label">
+                          <object class="GtkLabel" id="label15">
+                            <property name="visible">True</property>
+                            <property name="label" translatable="yes">&lt;b&gt;Keyboard Layout&lt;/b&gt;</property>
+                            <property name="use_markup">True</property>
+                          </object>
+                        </child>
+                      </object>
+                      <packing>
+                        <property name="position">0</property>
+                      </packing>
+                    </child>
+                    <child>
+                      <placeholder/>
+                    </child>
+                    <child>
+                      <placeholder/>
+                    </child>
+                  </object>
+                </child>
+              </object>
+              <packing>
+                <property name="position">2</property>
+              </packing>
+            </child>
+            <child type="tab">
+              <object class="GtkLabel" id="label14">
+                <property name="visible">True</property>
+                <property name="label" translatable="yes">Advanced</property>
+              </object>
+              <packing>
+                <property name="position">3</property>
+                <property name="tab_fill">False</property>
+              </packing>
+            </child>
+            <child>
+              <object class="GtkVBox" id="vbox4">
+                <property name="no_show_all">True</property>
+                <property name="orientation">vertical</property>
+                <child>
+                  <placeholder/>
+                </child>
+                <child>
+                  <object class="GtkLabel" id="label5">
+                    <property name="visible">True</property>
+                    <property name="label" translatable="yes">&lt;big&gt;&lt;b&gt;IBus&lt;/b&gt;&lt;/big&gt;
+&lt;small&gt;The intelligent input bus&lt;/small&gt;
+Homepage: http://code.google.com/p/ibus
+
+
+
+</property>
+                    <property name="use_markup">True</property>
+                    <property name="justify">center</property>
+                  </object>
+                  <packing>
+                    <property name="position">1</property>
+                  </packing>
+                </child>
+                <child>
+                  <object class="GtkFrame" id="frame1">
+                    <property name="no_show_all">True</property>
+                    <property name="label_xalign">0</property>
+                    <property name="shadow_type">none</property>
+                    <child>
+                      <object class="GtkAlignment" id="alignment7">
+                        <property name="visible">True</property>
+                        <property name="top_padding">6</property>
+                        <property name="left_padding">12</property>
+                        <child>
+                          <object class="GtkCheckButton" id="checkbutton_auto_start">
+                            <property name="label" translatable="yes">Start ibus on login</property>
+                            <property name="visible">True</property>
+                            <property name="can_focus">True</property>
+                            <property name="receives_default">False</property>
+                            <property name="use_underline">True</property>
+                            <property name="draw_indicator">True</property>
+                          </object>
+                        </child>
+                      </object>
+                    </child>
+                    <child type="label">
+                      <object class="GtkLabel" id="label4">
+                        <property name="visible">True</property>
+                        <property name="label" translatable="yes">&lt;b&gt;Startup&lt;/b&gt;</property>
+                        <property name="use_markup">True</property>
+                      </object>
+                    </child>
+                  </object>
+                  <packing>
+                    <property name="expand">False</property>
+                    <property name="fill">False</property>
+                    <property name="position">2</property>
+                  </packing>
+                </child>
+              </object>
+              <packing>
+                <property name="position">3</property>
+              </packing>
+            </child>
+            <child type="tab">
+              <object class="GtkLabel" id="label3">
+                <property name="visible">True</property>
+                <property name="label" translatable="yes">About</property>
+              </object>
+              <packing>
+                <property name="position">3</property>
+                <property name="tab_fill">False</property>
+              </packing>
+            </child>
+          </object>
+          <packing>
+            <property name="position">0</property>
+          </packing>
+        </child>
+        <child>
+          <object class="GtkHButtonBox" id="hbuttonbox1">
+            <property name="visible">True</property>
+            <property name="spacing">12</property>
+            <property name="layout_style">end</property>
+            <child>
+              <object class="GtkButton" id="button_close">
+                <property name="label">gtk-close</property>
+                <property name="visible">True</property>
+                <property name="can_focus">True</property>
+                <property name="receives_default">False</property>
+                <property name="use_stock">True</property>
+              </object>
+              <packing>
+                <property name="expand">False</property>
+                <property name="fill">False</property>
+                <property name="position">0</property>
+              </packing>
+            </child>
+          </object>
+          <packing>
+            <property name="expand">False</property>
+            <property name="position">1</property>
+          </packing>
+        </child>
+      </object>
+    </child>
+  </object>
+</interface>
diff -pruN 1.2.0.20090904-1/src/ibusattribute.c 1.2.0.20091024-1/src/ibusattribute.c
--- 1.2.0.20090904-1/src/ibusattribute.c	2009-08-28 06:31:34.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusattribute.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusattribute.h 1.2.0.20091024-1/src/ibusattribute.h
--- 1.2.0.20090904-1/src/ibusattribute.h	2009-08-28 09:26:47.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusattribute.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -123,6 +124,7 @@ typedef enum {
  * @IBUS_ATTR_UNDERLINE_SINGLE: Single underline.
  * @IBUS_ATTR_UNDERLINE_DOUBLE: Double underline.
  * @IBUS_ATTR_UNDERLINE_LOW: Low underline ? %FIXME
+ * @IBUS_ATTR_UNDERLINE_ERROR: Error underline
  *
  * Type of IBusText attribute.
  */
@@ -131,6 +133,7 @@ typedef enum {
     IBUS_ATTR_UNDERLINE_SINGLE  = 1,
     IBUS_ATTR_UNDERLINE_DOUBLE  = 2,
     IBUS_ATTR_UNDERLINE_LOW     = 3,
+    IBUS_ATTR_UNDERLINE_ERROR   = 4,
 } IBusAttrUnderline;
 
 G_BEGIN_DECLS
diff -pruN 1.2.0.20090904-1/src/ibusbus.c 1.2.0.20091024-1/src/ibusbus.c
--- 1.2.0.20090904-1/src/ibusbus.c	2009-08-19 03:41:24.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusbus.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusbus.h 1.2.0.20091024-1/src/ibusbus.h
--- 1.2.0.20090904-1/src/ibusbus.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusbus.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuscomponent.c 1.2.0.20091024-1/src/ibuscomponent.c
--- 1.2.0.20090904-1/src/ibuscomponent.c	2009-07-09 07:55:33.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuscomponent.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuscomponent.h 1.2.0.20091024-1/src/ibuscomponent.h
--- 1.2.0.20090904-1/src/ibuscomponent.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuscomponent.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconfig.c 1.2.0.20091024-1/src/ibusconfig.c
--- 1.2.0.20090904-1/src/ibusconfig.c	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconfig.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconfig.h 1.2.0.20091024-1/src/ibusconfig.h
--- 1.2.0.20090904-1/src/ibusconfig.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconfig.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconfigprivate.h 1.2.0.20091024-1/src/ibusconfigprivate.h
--- 1.2.0.20090904-1/src/ibusconfigprivate.h	2009-07-23 01:13:42.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconfigprivate.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconfigservice.c 1.2.0.20091024-1/src/ibusconfigservice.c
--- 1.2.0.20090904-1/src/ibusconfigservice.c	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconfigservice.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconfigservice.h 1.2.0.20091024-1/src/ibusconfigservice.h
--- 1.2.0.20090904-1/src/ibusconfigservice.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconfigservice.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconnection.c 1.2.0.20091024-1/src/ibusconnection.c
--- 1.2.0.20090904-1/src/ibusconnection.c	2009-06-29 06:35:44.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconnection.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusconnection.h 1.2.0.20091024-1/src/ibusconnection.h
--- 1.2.0.20090904-1/src/ibusconnection.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusconnection.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusdebug.h 1.2.0.20091024-1/src/ibusdebug.h
--- 1.2.0.20090904-1/src/ibusdebug.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusdebug.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusengine.c 1.2.0.20091024-1/src/ibusengine.c
--- 1.2.0.20090904-1/src/ibusengine.c	2009-06-29 06:35:44.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusengine.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusenginedesc.c 1.2.0.20091024-1/src/ibusenginedesc.c
--- 1.2.0.20090904-1/src/ibusenginedesc.c	2009-08-07 03:17:30.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusenginedesc.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -254,13 +255,13 @@ ibus_engine_desc_output (IBusEngineDesc 
 {
     g_string_append_indent (output, indent);
     g_string_append (output, "<engine>\n");
-#define OUTPUT_ENTRY(field, element)                                    \
-    {                                                                   \
-        gchar *escape_text = g_markup_escape_text (desc->field, -1);    \
-        g_string_append_indent (output, indent + 1);                    \
-        g_string_append_printf (output, "<"element">%s</"element">\n",  \
-                                escape_text);                           \
-        g_free (escape_text);                                           \
+#define OUTPUT_ENTRY(field, element)                                                    \
+    {                                                                                   \
+        gchar *escape_text = g_markup_escape_text (desc->field ? desc->field : "", -1); \
+        g_string_append_indent (output, indent + 1);                                    \
+        g_string_append_printf (output, "<"element">%s</"element">\n",                  \
+                                escape_text);                                           \
+        g_free (escape_text);                                                           \
     }
 #define OUTPUT_ENTRY_1(name) OUTPUT_ENTRY(name, #name)
     OUTPUT_ENTRY_1(name);
@@ -289,9 +290,7 @@ ibus_engine_desc_parse_xml_node (IBusEng
 
 #define PARSE_ENTRY(field_name, element_name)                   \
         if (g_strcmp0 (sub_node->name, element_name) == 0) {    \
-            if (desc->field_name != NULL) {                     \
-                g_free (desc->field_name);                      \
-            }                                                   \
+            g_free (desc->field_name);                          \
             desc->field_name = g_strdup (sub_node->text);       \
             continue;                                           \
         }
diff -pruN 1.2.0.20090904-1/src/ibusenginedesc.h 1.2.0.20091024-1/src/ibusenginedesc.h
--- 1.2.0.20090904-1/src/ibusenginedesc.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusenginedesc.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusengine.h 1.2.0.20091024-1/src/ibusengine.h
--- 1.2.0.20090904-1/src/ibusengine.h	2009-06-25 02:41:19.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusengine.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuserror.c 1.2.0.20091024-1/src/ibuserror.c
--- 1.2.0.20090904-1/src/ibuserror.c	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuserror.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuserror.h 1.2.0.20091024-1/src/ibuserror.h
--- 1.2.0.20090904-1/src/ibuserror.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuserror.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusfactory.c 1.2.0.20091024-1/src/ibusfactory.c
--- 1.2.0.20090904-1/src/ibusfactory.c	2009-07-09 07:55:33.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusfactory.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusfactory.h 1.2.0.20091024-1/src/ibusfactory.h
--- 1.2.0.20090904-1/src/ibusfactory.h	2009-08-24 09:11:07.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusfactory.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibus.h 1.2.0.20091024-1/src/ibus.h
--- 1.2.0.20090904-1/src/ibus.h	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/src/ibus.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibushotkey.c 1.2.0.20091024-1/src/ibushotkey.c
--- 1.2.0.20090904-1/src/ibushotkey.c	2009-08-18 07:55:48.000000000 +0100
+++ 1.2.0.20091024-1/src/ibushotkey.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibushotkey.h 1.2.0.20091024-1/src/ibushotkey.h
--- 1.2.0.20090904-1/src/ibushotkey.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibushotkey.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusinputcontext.c 1.2.0.20091024-1/src/ibusinputcontext.c
--- 1.2.0.20090904-1/src/ibusinputcontext.c	2009-08-28 06:31:34.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusinputcontext.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusinputcontext.h 1.2.0.20091024-1/src/ibusinputcontext.h
--- 1.2.0.20090904-1/src/ibusinputcontext.h	2009-06-29 06:35:44.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusinputcontext.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusinternal.h 1.2.0.20091024-1/src/ibusinternal.h
--- 1.2.0.20090904-1/src/ibusinternal.h	2009-07-08 03:00:24.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusinternal.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuskeymap.c 1.2.0.20091024-1/src/ibuskeymap.c
--- 1.2.0.20090904-1/src/ibuskeymap.c	2009-08-10 07:07:40.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuskeymap.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuskeymap.h 1.2.0.20091024-1/src/ibuskeymap.h
--- 1.2.0.20090904-1/src/ibuskeymap.h	2009-08-03 07:52:09.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuskeymap.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuskeysyms.h 1.2.0.20091024-1/src/ibuskeysyms.h
--- 1.2.0.20090904-1/src/ibuskeysyms.h	2009-07-08 03:00:24.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuskeysyms.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,5 +1,6 @@
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuslookuptable.c 1.2.0.20091024-1/src/ibuslookuptable.c
--- 1.2.0.20090904-1/src/ibuslookuptable.c	2009-09-03 00:34:55.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuslookuptable.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuslookuptable.h 1.2.0.20091024-1/src/ibuslookuptable.h
--- 1.2.0.20090904-1/src/ibuslookuptable.h	2009-09-03 00:34:55.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuslookuptable.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusmainloop.c 1.2.0.20091024-1/src/ibusmainloop.c
--- 1.2.0.20090904-1/src/ibusmainloop.c	2009-06-16 00:51:22.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusmainloop.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusmainloop.h 1.2.0.20091024-1/src/ibusmainloop.h
--- 1.2.0.20090904-1/src/ibusmainloop.h	2009-07-08 03:00:24.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusmainloop.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -92,7 +93,7 @@ void    ibus_mainloop_setup         (DBu
 void    ibus_dbus_server_setup      (DBusServer                  *server);
 
 /**
- * dbus_connection_setup:
+ * ibus_dbus_connection_setup:
  * @connection: A DBusConnection.
  *
  * Sets the watch and timeout functions of a #DBusConnection
diff -pruN 1.2.0.20090904-1/src/ibusmessage.c 1.2.0.20091024-1/src/ibusmessage.c
--- 1.2.0.20090904-1/src/ibusmessage.c	2009-07-23 01:13:42.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusmessage.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -525,7 +526,7 @@ ibus_message_iter_append (IBusMessageIte
     case G_TYPE_STRING:
         {
             const gchar *v;
-            v = * (gchar **)value;
+            v = *(gchar **)value != NULL ? * (gchar **)value : "";
             return dbus_message_iter_append_basic (iter, DBUS_TYPE_STRING, &v);
         }
     case G_TYPE_INT64:
@@ -769,6 +770,25 @@ ibus_message_iter_get (IBusMessageIter *
             *(guint *) value = (guint) v;
             return TRUE;
         }
+    case G_TYPE_LONG:
+        {
+            dbus_int64_t v;
+            if (dbus_message_iter_get_arg_type (iter) != DBUS_TYPE_INT32)
+                return FALSE;
+            dbus_message_iter_get_basic (iter, &v);
+            *(glong *) value = (glong) v;
+            return TRUE;
+        }
+    case G_TYPE_ULONG:
+        {
+            dbus_uint64_t v;
+            if (dbus_message_iter_get_arg_type (iter) != DBUS_TYPE_UINT32)
+                return FALSE;
+            dbus_message_iter_get_basic (iter, &v);
+            *(gulong *) value = (gulong) v;
+            return TRUE;
+        }
+
     case G_TYPE_BOOLEAN:
         {
             dbus_bool_t v;
diff -pruN 1.2.0.20090904-1/src/ibusmessage.h 1.2.0.20091024-1/src/ibusmessage.h
--- 1.2.0.20090904-1/src/ibusmessage.h	2009-07-09 07:55:33.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusmessage.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusobject.c 1.2.0.20091024-1/src/ibusobject.c
--- 1.2.0.20090904-1/src/ibusobject.c	2009-08-24 09:11:08.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusobject.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -74,7 +75,7 @@ ibus_object_get_type (void)
     };
 
     if (type == 0) {
-        type = g_type_register_static (G_TYPE_OBJECT,
+        type = g_type_register_static (G_TYPE_INITIALLY_UNOWNED,
                     "IBusObject",
                     &type_info,
                     G_TYPE_FLAG_ABSTRACT);
diff -pruN 1.2.0.20090904-1/src/ibusobject.h 1.2.0.20091024-1/src/ibusobject.h
--- 1.2.0.20090904-1/src/ibusobject.h	2009-08-24 09:11:08.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusobject.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -81,7 +82,7 @@ typedef struct _IBusObjectClass IBusObje
  * private to the #IBusObject and should never be accessed directly.
  */
 struct _IBusObject {
-  GObject parent;
+  GInitiallyUnowned parent;
   /* instance members */
   guint32 flags;
 };
@@ -89,7 +90,7 @@ struct _IBusObject {
 typedef void ( *IBusObjectDestroyFunc) (IBusObject *);
 
 struct _IBusObjectClass {
-    GObjectClass parent;
+    GInitiallyUnownedClass parent;
 
     /* signals */
     void (* destroy)        (IBusObject   *object);
diff -pruN 1.2.0.20090904-1/src/ibusobservedpath.c 1.2.0.20091024-1/src/ibusobservedpath.c
--- 1.2.0.20090904-1/src/ibusobservedpath.c	2009-07-09 07:55:33.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusobservedpath.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input IBus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusobservedpath.h 1.2.0.20091024-1/src/ibusobservedpath.h
--- 1.2.0.20090904-1/src/ibusobservedpath.h	2009-08-24 09:11:08.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusobservedpath.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input IBus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuspendingcall.c 1.2.0.20091024-1/src/ibuspendingcall.c
--- 1.2.0.20090904-1/src/ibuspendingcall.c	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuspendingcall.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibuspendingcall.h 1.2.0.20091024-1/src/ibuspendingcall.h
--- 1.2.0.20090904-1/src/ibuspendingcall.h	2009-08-24 09:11:08.000000000 +0100
+++ 1.2.0.20091024-1/src/ibuspendingcall.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusproperty.c 1.2.0.20091024-1/src/ibusproperty.c
--- 1.2.0.20090904-1/src/ibusproperty.c	2009-08-28 09:30:58.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusproperty.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -315,8 +316,7 @@ ibus_property_set_icon (IBusProperty *pr
     g_assert (IBUS_IS_PROPERTY (prop));
 
     g_free (prop->icon);
-    prop->icon = NULL;
-    prop->icon = g_strdup (icon != NULL ? icon : "");
+    prop->icon = g_strdup (icon);
 }
 
 void
diff -pruN 1.2.0.20090904-1/src/ibusproperty.h 1.2.0.20091024-1/src/ibusproperty.h
--- 1.2.0.20090904-1/src/ibusproperty.h	2009-08-28 09:27:48.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusproperty.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusproxy.c 1.2.0.20091024-1/src/ibusproxy.c
--- 1.2.0.20090904-1/src/ibusproxy.c	2009-06-29 06:35:44.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusproxy.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusproxy.h 1.2.0.20091024-1/src/ibusproxy.h
--- 1.2.0.20090904-1/src/ibusproxy.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusproxy.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusserializable.c 1.2.0.20091024-1/src/ibusserializable.c
--- 1.2.0.20090904-1/src/ibusserializable.c	2009-08-24 09:11:08.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusserializable.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusserializable.h 1.2.0.20091024-1/src/ibusserializable.h
--- 1.2.0.20090904-1/src/ibusserializable.h	2009-08-24 09:11:08.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusserializable.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusserver.c 1.2.0.20091024-1/src/ibusserver.c
--- 1.2.0.20090904-1/src/ibusserver.c	2009-06-16 00:51:22.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusserver.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -130,6 +131,11 @@ ibus_server_class_init (IBusServerClass 
     klass->new_connection = ibus_server_new_connection;
 
     /* install properties */
+    /**
+     * IBusServer:connection-type:
+     *
+     * The connection type of server object.
+     */
     g_object_class_install_property (gobject_class,
                     PROP_CONNECTION_TYPE,
                     g_param_spec_gtype ("connection-type",
@@ -139,6 +145,19 @@ ibus_server_class_init (IBusServerClass 
                         G_PARAM_READWRITE));
 
     /* install signals */
+    /**
+     * IBusServer::new-connection:
+     * @server: An IBusServer.
+     * @connection: The corresponding IBusConnection.
+     *
+     * Emitted when a new connection is coming in.
+     * In this handler, IBus could add a reference and continue processing the connection.
+     * If no reference is added, the new connection will be released and closed after this signal.
+     *
+     * <note><para>Argument @user_data is ignored in this function.</para></note>
+     *
+     * See also: IBusNewConnectionFunc().
+     */
     server_signals[NEW_CONNECTION] =
         g_signal_new (I_("new-connection"),
             G_TYPE_FROM_CLASS (klass),
diff -pruN 1.2.0.20090904-1/src/ibusserver.h 1.2.0.20091024-1/src/ibusserver.h
--- 1.2.0.20090904-1/src/ibusserver.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusserver.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -17,6 +18,14 @@
  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  * Boston, MA 02111-1307, USA.
  */
+/**
+ * SECTION: ibusserver
+ * @short_description: Server that listen on a socket and wait for connection requests.
+ * @stability: Stable
+ *
+ * An IBusServer listen on a socket and wait for connections requests,
+ * just like DBusServer.
+ */
 #ifndef __IBUS_SERVER_H_
 #define __IBUS_SERVER_H_
 
@@ -47,8 +56,28 @@ G_BEGIN_DECLS
 typedef struct _IBusServer IBusServer;
 typedef struct _IBusServerClass IBusServerClass;
 
+/**
+ * IBusNewConnectionFunc:
+ * @server: An IBusServer.
+ * @connection: The corresponding IBusConnection.
+ *
+ * Prototype of new connection callback function.
+ *
+ * This callback should be connected to signal ::new-connection
+ * to handle the event that a new connection is coming in.
+ * In this handler, IBus could add a reference and continue processing the connection.
+ * If no reference is added, the new connection will be released and closed after this signal.
+ *
+ * @see_also: ::new-connection
+ */
+
 typedef void (* IBusNewConnectionFunc) (IBusServer *server, IBusConnection *connection);
 
+/**
+ * IBusServer:
+ *
+ * An opaque object representing an IBusServer.
+ */
 struct _IBusServer {
     IBusObject parent;
     /* instance members */
@@ -66,13 +95,95 @@ struct _IBusServerClass {
 };
 
 GType            ibus_server_get_type           (void);
+
+/**
+ * ibus_server_new:
+ * @returns: A newly allocated IBusServer instance.
+ *
+ * New an IBusServer.
+ */
 IBusServer      *ibus_server_new                (void);
+
+/**
+ * ibus_server_listen:
+ * @server: An IBusServer.
+ * @address: Address of this server.
+ * @returns: TRUE if succeed ; FALSE otherwise.
+ *
+ * Listens for new connections on the given address.
+ *
+ * If there are multiple semicolon-separated address entries in the address,
+ * tries each one and listens on the first one that works.
+ *
+ * Returns FALSE if listening fails for any reason.
+ *
+ * To free the server, applications must call first ibus_server_disconnect() and then dbus_server_unref().
+ */
 gboolean         ibus_server_listen             (IBusServer     *server,
                                                  const gchar    *address);
+
+/**
+ * ibus_server_disconnect:
+ * @server: An IBusServer.
+ *
+ * Releases the server's address and stops listening for new clients.
+ *
+ * If called more than once, only the first call has an effect. Does not modify the server's reference count.
+ */
 void             ibus_server_disconnect         (IBusServer     *server);
+
+/**
+ * ibus_server_get_address:
+ * @server: An IBusServer.
+ * @returns: A newly allocated string which contain address.
+ *
+ * Returns the address of the server, as a newly-allocated string which must be freed by the caller.
+ */
 const gchar     *ibus_server_get_address        (IBusServer     *server);
+
+/**
+ * ibus_server_get_id:
+ * @server: An IBusServer.
+ * @returns: A newly allocated string which contain address.
+ *
+ * Returns the unique ID of the server, as a newly-allocated string which must be freed by the caller.
+ *
+ * This ID is normally used by clients to tell when two IBusConnection would be equivalent
+ * (because the server address passed to ibus_connection_open() will have the same guid in the two cases).
+ * ibus_connection_open() can re-use an existing connection with the same ID instead of opening a new connection.
+ *
+ * This is an ID unique to each IBusServer. Remember that an IBusServer represents only one mode of connecting,
+ * so e.g. a bus daemon can listen on multiple addresses which will mean it has multiple IBusServer each with
+ * their own ID.
+ *
+ * The ID is not a UUID in the sense of RFC4122; the details are explained in the D-Bus specification.
+ * Returns the address of the server, as a newly-allocated string which must be freed by the caller.
+ */
 const gchar     *ibus_server_get_id             (IBusServer     *server);
+
+/**
+ * ibus_server_is_connected:
+ * @server: An IBusServer.
+ * @returns: TRUE if the server is still listening for new connections; FALSE otherwise.
+ *
+ * Returns TRUE if the server is still listening for new connections.
+ */
 gboolean         ibus_server_is_connected       (IBusServer     *server);
+
+/**
+ * ibus_server_set_auth_mechanisms:
+ * @server: An IBusServer.
+ * @mechanisms: NULL-terminated array of mechanisms.
+ * @returns:  TRUE if succeed; FALSE if insufficient memory.
+ *
+ * Sets the authentication mechanisms that this server offers to clients,
+ * as a NULL-terminated array of mechanism names.
+ *
+ * This function only affects connections created after it is called.
+ * Pass NULL instead of an array to use all available mechanisms (this is the default behavior).
+ *
+ * The D-Bus specification describes some of the supported mechanisms.
+ */
 gboolean         ibus_server_set_auth_mechanisms(IBusServer     *server,
                                                  const gchar   **mechanisms);
 
diff -pruN 1.2.0.20090904-1/src/ibusservice.c 1.2.0.20091024-1/src/ibusservice.c
--- 1.2.0.20090904-1/src/ibusservice.c	2009-06-29 06:35:44.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusservice.c	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusservice.h 1.2.0.20091024-1/src/ibusservice.h
--- 1.2.0.20090904-1/src/ibusservice.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusservice.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusshare.c 1.2.0.20091024-1/src/ibusshare.c
--- 1.2.0.20090904-1/src/ibusshare.c	2009-08-12 02:59:04.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusshare.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -166,11 +167,11 @@ ibus_get_socket_path (void)
                              ibus_get_local_machine_id (),
                              hostname,
                              displaynumber);
-        path = g_build_path (G_DIR_SEPARATOR_S,
-                             g_get_user_config_dir (),
-                             "ibus" G_DIR_SEPARATOR_S "bus",
-                             p,
-                             NULL);
+        path = g_build_filename (g_get_user_config_dir (),
+                                 "ibus",
+                                 "bus",
+                                 p,
+                                 NULL);
         g_free (p);
         g_free (display);
     }
diff -pruN 1.2.0.20090904-1/src/ibusshare.h 1.2.0.20091024-1/src/ibusshare.h
--- 1.2.0.20090904-1/src/ibusshare.h	2009-08-11 09:59:49.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusshare.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibustext.c 1.2.0.20091024-1/src/ibustext.c
--- 1.2.0.20090904-1/src/ibustext.c	2009-08-28 06:31:34.000000000 +0100
+++ 1.2.0.20091024-1/src/ibustext.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibustext.h 1.2.0.20091024-1/src/ibustext.h
--- 1.2.0.20090904-1/src/ibustext.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibustext.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* IBus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibustypes.h 1.2.0.20091024-1/src/ibustypes.h
--- 1.2.0.20090904-1/src/ibustypes.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibustypes.h	2009-10-23 07:37:36.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusversion.h 1.2.0.20091024-1/src/ibusversion.h
--- 1.2.0.20090904-1/src/ibusversion.h	2009-09-04 03:51:38.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusversion.h	2009-10-24 04:18:38.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusversion.h.in 1.2.0.20091024-1/src/ibusversion.h.in
--- 1.2.0.20090904-1/src/ibusversion.h.in	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusversion.h.in	2009-10-23 08:50:54.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* ibus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusxml.c 1.2.0.20091024-1/src/ibusxml.c
--- 1.2.0.20090904-1/src/ibusxml.c	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusxml.c	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/ibusxml.h 1.2.0.20091024-1/src/ibusxml.h
--- 1.2.0.20090904-1/src/ibusxml.h	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/src/ibusxml.h	2009-10-23 07:37:35.000000000 +0100
@@ -1,6 +1,7 @@
 /* vim:set et sts=4: */
 /* bus - The Input Bus
- * Copyright (C) 2008-2009 Huang Peng <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Peng Huang <shawn.p.huang@gmail.com>
+ * Copyright (C) 2008-2009 Red Hat, Inc.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/src/Makefile.am 1.2.0.20091024-1/src/Makefile.am
--- 1.2.0.20090904-1/src/Makefile.am	2009-06-25 02:38:47.000000000 +0100
+++ 1.2.0.20091024-1/src/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -178,13 +179,13 @@ test_lookuptable_DEPENDENCIES = $(DEPS)
 # gen enum types
 ibusenumtypes.h: stamp-ibusenumtypes.h
 	@true
-stamp-ibusenumtypes.h: @REBUILD@ $(ibus_public_h_sources) ibusenumtypes.h.template
+stamp-ibusenumtypes.h: $(ibus_public_h_sources) ibusenumtypes.h.template
 	( cd $(srcdir) && $(GLIB_MKENUMS) --template ibusenumtypes.h.template \
 	$(ibus_public_h_sources) ) | sed 's/i_bus_/ibus_/g' | sed 's/I_TYPE_BUS_/IBUS_TYPE_/g' >> xgen-geth \
 	&& (cmp -s xgen-geth ibusenumtypes.h || cp xgen-geth ibusenumtypes.h ) \
 	&& rm -f xgen-geth \
 	&& echo timestamp > $(@F)
-ibusenumtypes.c: @REBUILD@ $(ibus_public_h_sources) ibusenumtypes.c.template
+ibusenumtypes.c: $(ibus_public_h_sources) ibusenumtypes.c.template
 	( cd $(srcdir) && $(GLIB_MKENUMS) --template ibusenumtypes.c.template \
 	$(ibus_public_h_sources) ) | sed 's/i_bus_/ibus_/g' | sed 's/I_TYPE_BUS_/IBUS_TYPE_/g' > xgen-getc \
 	&& cp xgen-getc ibusenumtypes.c  \
diff -pruN 1.2.0.20090904-1/src/Makefile.in 1.2.0.20091024-1/src/Makefile.in
--- 1.2.0.20090904-1/src/Makefile.in	2009-09-04 03:51:14.000000000 +0100
+++ 1.2.0.20091024-1/src/Makefile.in	2009-10-24 04:18:14.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -65,17 +66,14 @@ DIST_COMMON = $(ibusinclude_HEADERS) $(s
 	$(srcdir)/Makefile.in $(srcdir)/ibusversion.h.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES = ibusversion.h
 CONFIG_CLEAN_VPATH_FILES =
@@ -180,6 +178,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -223,8 +223,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -239,32 +239,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -285,7 +282,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -296,7 +296,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -306,7 +305,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
@@ -1248,13 +1246,13 @@ uninstall-am: uninstall-ibusincludeHEADE
 # gen enum types
 ibusenumtypes.h: stamp-ibusenumtypes.h
 	@true
-stamp-ibusenumtypes.h: @REBUILD@ $(ibus_public_h_sources) ibusenumtypes.h.template
+stamp-ibusenumtypes.h: $(ibus_public_h_sources) ibusenumtypes.h.template
 	( cd $(srcdir) && $(GLIB_MKENUMS) --template ibusenumtypes.h.template \
 	$(ibus_public_h_sources) ) | sed 's/i_bus_/ibus_/g' | sed 's/I_TYPE_BUS_/IBUS_TYPE_/g' >> xgen-geth \
 	&& (cmp -s xgen-geth ibusenumtypes.h || cp xgen-geth ibusenumtypes.h ) \
 	&& rm -f xgen-geth \
 	&& echo timestamp > $(@F)
-ibusenumtypes.c: @REBUILD@ $(ibus_public_h_sources) ibusenumtypes.c.template
+ibusenumtypes.c: $(ibus_public_h_sources) ibusenumtypes.c.template
 	( cd $(srcdir) && $(GLIB_MKENUMS) --template ibusenumtypes.c.template \
 	$(ibus_public_h_sources) ) | sed 's/i_bus_/ibus_/g' | sed 's/I_TYPE_BUS_/IBUS_TYPE_/g' > xgen-getc \
 	&& cp xgen-getc ibusenumtypes.c  \
diff -pruN 1.2.0.20090904-1/ui/gtk/candidatepanel.py 1.2.0.20091024-1/ui/gtk/candidatepanel.py
--- 1.2.0.20090904-1/ui/gtk/candidatepanel.py	2009-06-30 00:38:35.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/candidatepanel.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/engineabout.py 1.2.0.20091024-1/ui/gtk/engineabout.py
--- 1.2.0.20090904-1/ui/gtk/engineabout.py	2009-06-23 02:48:15.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/engineabout.py	2009-10-23 07:39:51.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -91,13 +92,12 @@ class EngineAbout(gtk.Dialog):
                         left_margin=32)
 
     def __load_icon(self, icon):
-        pixbuf = gdk.pixbuf_new_from_file(icon)
-        w, h = pixbuf.get_width(), pixbuf.get_height()
-        rate = max(w, h) / float(48)
-        w = int(w / rate)
-        h = int(h / rate)
-        pixbuf = pixbuf.scale_simple(w, h, gdk.INTERP_BILINEAR)
+        try:
+            pixbuf = gdk.pixbuf_new_from_file_at_scale(icon, 48, 48, True)
+        except:
+            theme = gtk.icon_theme_get_default()
+            icon = theme.lookup_icon("ibus-engine", 48, 0)
+            if icon == None:
+                icon = theme.lookup_icon("gtk-missing-image", 48, 0)
+            pixbuf = icon.load_icon()
         return pixbuf
-
-
-
diff -pruN 1.2.0.20090904-1/ui/gtk/handle.py 1.2.0.20091024-1/ui/gtk/handle.py
--- 1.2.0.20090904-1/ui/gtk/handle.py	2009-06-29 13:45:52.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/handle.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/ibus-ui-gtk.in 1.2.0.20091024-1/ui/gtk/ibus-ui-gtk.in
--- 1.2.0.20090904-1/ui/gtk/ibus-ui-gtk.in	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/ibus-ui-gtk.in	2009-10-23 08:53:05.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/icon.py 1.2.0.20091024-1/ui/gtk/icon.py
--- 1.2.0.20090904-1/ui/gtk/icon.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/icon.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/languagebar.py 1.2.0.20091024-1/ui/gtk/languagebar.py
--- 1.2.0.20090904-1/ui/gtk/languagebar.py	2009-06-30 00:35:59.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/languagebar.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/main.py 1.2.0.20091024-1/ui/gtk/main.py
--- 1.2.0.20090904-1/ui/gtk/main.py	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/main.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/Makefile.am 1.2.0.20091024-1/ui/gtk/Makefile.am
--- 1.2.0.20090904-1/ui/gtk/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/Makefile.in 1.2.0.20091024-1/ui/gtk/Makefile.in
--- 1.2.0.20090904-1/ui/gtk/Makefile.in	2009-09-04 03:51:15.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/Makefile.in	2009-10-24 04:18:14.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -62,17 +63,14 @@ DIST_COMMON = $(srcdir)/Makefile.am $(sr
 	$(ui_gtk_PYTHON)
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES = ibus-ui-gtk gtkpanel.xml.in
 CONFIG_CLEAN_VPATH_FILES =
@@ -113,6 +111,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -156,8 +156,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -172,32 +172,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -218,7 +215,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -229,7 +229,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -239,7 +238,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/ui/gtk/menu.py 1.2.0.20091024-1/ui/gtk/menu.py
--- 1.2.0.20090904-1/ui/gtk/menu.py	2009-07-02 02:29:27.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/menu.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/notifications.py 1.2.0.20091024-1/ui/gtk/notifications.py
--- 1.2.0.20090904-1/ui/gtk/notifications.py	2009-07-02 02:29:27.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/notifications.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/panel.py 1.2.0.20091024-1/ui/gtk/panel.py
--- 1.2.0.20090904-1/ui/gtk/panel.py	2009-08-31 08:07:55.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/panel.py	2009-10-23 07:40:42.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -37,7 +38,7 @@ from gettext import dgettext
 _  = lambda a : dgettext("ibus", a)
 N_ = lambda a : a
 
-ICON_OFF = "ibus-off"
+ICON_KEYBOARD = "ibus-keyboard"
 ICON_ENGINE = "ibus-engine"
 
 def show_uri(screen, link):
@@ -106,13 +107,14 @@ class Panel(ibus.PanelBase):
         self.__status_icon = gtk.StatusIcon()
         self.__status_icon.connect("popup-menu", self.__status_icon_popup_menu_cb)
         self.__status_icon.connect("activate", self.__status_icon_activate_cb)
-        self.__status_icon.set_from_icon_name(ICON_OFF)
+        self.__status_icon.set_from_icon_name(ICON_KEYBOARD)
         self.__status_icon.set_tooltip(_("IBus input method framework"))
         self.__status_icon.set_visible(True)
 
         self.__config_load_lookup_table_orientation()
         self.__config_load_show()
         self.__config_load_custom_font()
+        self.__config_load_show_icon_on_systray()
         self.__config_load_show_im_name()
         # self.__bus.request_name(ibus.panel.IBUS_SERVICE_PANEL, 0)
 
@@ -198,7 +200,7 @@ class Panel(ibus.PanelBase):
         self.__language_bar.set_enabled(enabled)
 
         if not enabled:
-            self.__set_im_icon(ICON_OFF)
+            self.__set_im_icon(ICON_KEYBOARD)
             self.__set_im_name(None)
         else:
             engine = self.__focus_ic.get_engine()
@@ -206,7 +208,7 @@ class Panel(ibus.PanelBase):
                 self.__set_im_icon(engine.icon)
                 self.__set_im_name(engine.longname)
             else:
-                self.__set_im_icon(ICON_OFF)
+                self.__set_im_icon(ICON_KEYBOARD)
                 self.__set_im_name(None)
         self.__language_bar.focus_in()
 
@@ -215,7 +217,7 @@ class Panel(ibus.PanelBase):
         self.__focus_ic = None
         self.__language_bar.set_enabled(False)
         self.__language_bar.focus_out()
-        self.__set_im_icon(ICON_OFF)
+        self.__set_im_icon(ICON_KEYBOARD)
         self.__set_im_name(None)
 
     def state_changed(self):
@@ -227,7 +229,7 @@ class Panel(ibus.PanelBase):
 
         if enabled == False:
             self.reset()
-            self.__set_im_icon(ICON_OFF)
+            self.__set_im_icon(ICON_KEYBOARD)
             self.__set_im_name(None)
         else:
             engine = self.__focus_ic.get_engine()
@@ -235,7 +237,7 @@ class Panel(ibus.PanelBase):
                 self.__set_im_icon(engine.icon)
                 self.__set_im_name(engine.longname)
             else:
-                self.__set_im_icon(ICON_OFF)
+                self.__set_im_icon(ICON_KEYBOARD)
                 self.__set_im_name(None)
 
 
@@ -279,6 +281,10 @@ class Panel(ibus.PanelBase):
         settings = gtk.settings_get_default()
         gtk.rc_reset_styles(settings)
 
+    def __config_load_show_icon_on_systray(self):
+        value = self.__config.get_value("panel", "show_icon_on_systray", True)
+        self.__status_icon.set_visible(True if value else False)
+
     def __config_load_show_im_name(self):
         value = self.__config.get_value("panel", "show_im_name", False)
         self.__language_bar.set_show_im_name(value)
@@ -292,6 +298,8 @@ class Panel(ibus.PanelBase):
             self.__config_load_show()
         elif name == "use_custom_font" or name == "custom_font":
             self.__config_load_custom_font()
+        elif name == "show_icon_on_systray":
+            self.__config_load_show_icon_on_systray()
         elif name == "show_im_name":
             self.__config_load_show_im_name()
         else:
@@ -429,8 +437,8 @@ class Panel(ibus.PanelBase):
             about_dialog.set_license(ibus.get_license())
             about_dialog.set_comments(_("IBus is an intelligent input bus for Linux/Unix."))
             about_dialog.set_website("http://code.google.com/p/ibus")
-            about_dialog.set_authors(["Huang Peng <shawn.p.huang@gmail.com>"])
-            about_dialog.set_documenters(["Huang Peng <shawn.p.huang@gmail.com>"])
+            about_dialog.set_authors(["Peng Huang <shawn.p.huang@gmail.com>"])
+            about_dialog.set_documenters(["Peng Huang <shawn.p.huang@gmail.com>"])
             about_dialog.set_translator_credits(_("translator-credits"))
             about_dialog.set_logo_icon_name("ibus")
             about_dialog.set_icon_name("ibus")
diff -pruN 1.2.0.20090904-1/ui/gtk/propitem.py 1.2.0.20091024-1/ui/gtk/propitem.py
--- 1.2.0.20090904-1/ui/gtk/propitem.py	2009-07-02 02:29:27.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/propitem.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright(c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright(c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/gtk/toolitem.py 1.2.0.20091024-1/ui/gtk/toolitem.py
--- 1.2.0.20090904-1/ui/gtk/toolitem.py	2009-07-02 02:29:27.000000000 +0100
+++ 1.2.0.20091024-1/ui/gtk/toolitem.py	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -170,4 +171,7 @@ class MenuToolButton(ToggleToolButton):
         if self.get_active():
             self._menu.popup(0, gtk.get_current_event_time(), self)
 
-
+    def destroy(self):
+        self._menu.destroy()
+        self._menu = None
+        super(MenuToolButton, self).destroy()
diff -pruN 1.2.0.20090904-1/ui/Makefile.am 1.2.0.20091024-1/ui/Makefile.am
--- 1.2.0.20090904-1/ui/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/ui/Makefile.am	2009-10-23 07:37:37.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/ui/Makefile.in 1.2.0.20091024-1/ui/Makefile.in
--- 1.2.0.20090904-1/ui/Makefile.in	2009-09-04 03:51:15.000000000 +0100
+++ 1.2.0.20091024-1/ui/Makefile.in	2009-10-24 04:18:14.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -58,17 +59,14 @@ subdir = ui
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -123,6 +121,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -166,8 +166,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -182,32 +182,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -228,7 +225,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -239,7 +239,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -249,7 +248,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/util/IMdkit/Makefile.am 1.2.0.20091024-1/util/IMdkit/Makefile.am
--- 1.2.0.20090904-1/util/IMdkit/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/util/IMdkit/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/util/IMdkit/Makefile.in 1.2.0.20091024-1/util/IMdkit/Makefile.in
--- 1.2.0.20090904-1/util/IMdkit/Makefile.in	2009-09-04 03:51:15.000000000 +0100
+++ 1.2.0.20091024-1/util/IMdkit/Makefile.in	2009-10-24 04:18:14.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -61,17 +62,14 @@ DIST_COMMON = $(noinst_HEADERS) $(srcdir
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -108,6 +106,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -151,8 +151,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -167,32 +167,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -213,7 +210,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -224,7 +224,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -234,7 +233,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
diff -pruN 1.2.0.20090904-1/util/Makefile.am 1.2.0.20091024-1/util/Makefile.am
--- 1.2.0.20090904-1/util/Makefile.am	2009-06-14 07:28:11.000000000 +0100
+++ 1.2.0.20091024-1/util/Makefile.am	2009-10-23 07:37:36.000000000 +0100
@@ -2,7 +2,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
diff -pruN 1.2.0.20090904-1/util/Makefile.in 1.2.0.20091024-1/util/Makefile.in
--- 1.2.0.20090904-1/util/Makefile.in	2009-09-04 03:51:15.000000000 +0100
+++ 1.2.0.20091024-1/util/Makefile.in	2009-10-24 04:18:15.000000000 +0100
@@ -19,7 +19,8 @@
 #
 # ibus - The Input Bus
 #
-# Copyright (c) 2007-2008 Huang Peng <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Peng Huang <shawn.p.huang@gmail.com>
+# Copyright (c) 2007-2009 Red Hat, Inc.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
@@ -58,17 +59,14 @@ subdir = util
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-version.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
-	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/intltool.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
@@ -123,6 +121,8 @@ AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
@@ -166,8 +166,8 @@ GLIB_CFLAGS = @GLIB_CFLAGS@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_LIBS = @GLIB_LIBS@
 GLIB_MKENUMS = @GLIB_MKENUMS@
+GMOFILES = @GMOFILES@
 GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
 GOBJECT2_CFLAGS = @GOBJECT2_CFLAGS@
 GOBJECT2_LIBS = @GOBJECT2_LIBS@
 GOBJECT_QUERY = @GOBJECT_QUERY@
@@ -182,32 +182,29 @@ INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
 INTLLIBS = @INTLLIBS@
 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
 INTLTOOL_MERGE = @INTLTOOL_MERGE@
 INTLTOOL_PERL = @INTLTOOL_PERL@
 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
 ISOCODES_CFLAGS = @ISOCODES_CFLAGS@
 ISOCODES_LIBS = @ISOCODES_LIBS@
 LD = @LD@
 LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIPO = @LIPO@
 LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
 LTLIBOBJS = @LTLIBOBJS@
 LT_VERSION_INFO = @LT_VERSION_INFO@
 MAINT = @MAINT@
 MAKEINFO = @MAKEINFO@
 MKDIR_P = @MKDIR_P@
+MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 MSGMERGE = @MSGMERGE@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -228,7 +225,10 @@ PACKAGE_VERSION_NANO = @PACKAGE_VERSION_
 PACKAGE_VERSION_RELEASE = @PACKAGE_VERSION_RELEASE@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PKG_CONFIG = @PKG_CONFIG@
+POFILES = @POFILES@
 POSUB = @POSUB@
+PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
+PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
 PYTHON = @PYTHON@
 PYTHON_CFLAGS = @PYTHON_CFLAGS@
 PYTHON_CONFIG = @PYTHON_CONFIG@
@@ -239,7 +239,6 @@ PYTHON_PLATFORM = @PYTHON_PLATFORM@
 PYTHON_PREFIX = @PYTHON_PREFIX@
 PYTHON_VERSION = @PYTHON_VERSION@
 RANLIB = @RANLIB@
-REBUILD = @REBUILD@
 SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
@@ -249,7 +248,6 @@ VERSION = @VERSION@
 X11_CFLAGS = @X11_CFLAGS@
 X11_LIBS = @X11_LIBS@
 XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
